AAF COM APIAAF COM API: Main Page

AAFA Developer Support

Advanced Authoring Format

Application Programmer's Interface

Reference Manual

SDK Rev 1.1.6

This manual is automatically generated by Doxygen from the AAF IDL files AAF/ref-impl/include/com-api/AAF.idl and AAF/ref-impl/include/com-api/AAFTypes.idl

If you would prefer to browse it off-line, a zipped copy can be downloaded as aafapiman.zip or aafapiman.tgz

This manual is also available in Microsoft HtmlHelp format aafapi.chm. Note, that recent versions of Microsoft Windows will block html content in downloaded chm files. To resolve this you must download the file and right click on it to open the file's property dialog, then click the "Unblock" button on the "General" tab.

Any corrections or omissions should be drawn to the attention of developers by posting a message on the project discussion forums.

Generated on Wed Jul 4 2012 22:13:44 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafDateStruct_t Struct Reference

  • IAAFTypes
  • _aafDateStruct_t
Public Attributes
IAAFTypes::_aafDateStruct_t Struct Reference

List of all members.

Public Attributes

aafInt16 year
aafUInt8 month
aafUInt8 day

Detailed Description

Definition at line 720 of file AAFTypes.idl.

Member Data Documentation

aafUInt8 IAAFTypes::_aafDateStruct_t::day

Definition at line 724 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafDateStruct_t::month

Definition at line 723 of file AAFTypes.idl.

aafInt16 IAAFTypes::_aafDateStruct_t::year

Definition at line 722 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafDateStruct_t
IAAFTypes::_aafDateStruct_t Member List
This is the complete list of members for IAAFTypes::_aafDateStruct_t, including all inherited members.
day | IAAFTypes::_aafDateStruct_t
month | IAAFTypes::_aafDateStruct_t
year | IAAFTypes::_aafDateStruct_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafDefaultFade_t Struct Reference

  • IAAFTypes
  • _aafDefaultFade_t
Public Attributes
IAAFTypes::_aafDefaultFade_t Struct Reference

List of all members.

Public Attributes

aafLength_t fadeLength
aafFadeType_t fadeType
aafRational_t fadeEditUnit
aafBoolean_t valid

Detailed Description

Definition at line 853 of file AAFTypes.idl.

Member Data Documentation

aafRational_t IAAFTypes::_aafDefaultFade_t::fadeEditUnit

Definition at line 857 of file AAFTypes.idl.

aafLength_t IAAFTypes::_aafDefaultFade_t::fadeLength

Definition at line 855 of file AAFTypes.idl.

aafFadeType_t IAAFTypes::_aafDefaultFade_t::fadeType

Definition at line 856 of file AAFTypes.idl.

aafBoolean_t IAAFTypes::_aafDefaultFade_t::valid

Definition at line 858 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafDefaultFade_t
IAAFTypes::_aafDefaultFade_t Member List
This is the complete list of members for IAAFTypes::_aafDefaultFade_t, including all inherited members.
fadeEditUnit | IAAFTypes::_aafDefaultFade_t
fadeLength | IAAFTypes::_aafDefaultFade_t
fadeType | IAAFTypes::_aafDefaultFade_t
valid | IAAFTypes::_aafDefaultFade_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafDefinitionCrit_t Struct Reference

  • IAAFTypes
  • _aafDefinitionCrit_t
Public Attributes
IAAFTypes::_aafDefinitionCrit_t Struct Reference

List of all members.

Public Attributes

aafDefinitionCritType_t type
union {
aafDefinitionKind_t defKind
aafString_t name
aafClassID_t objClass
} tags

Detailed Description

Definition at line 971 of file AAFTypes.idl.

Member Data Documentation

aafDefinitionKind_t IAAFTypes::_aafDefinitionCrit_t::defKind

Definition at line 976 of file AAFTypes.idl.

aafString_t IAAFTypes::_aafDefinitionCrit_t::name

Definition at line 977 of file AAFTypes.idl.

aafClassID_t IAAFTypes::_aafDefinitionCrit_t::objClass

Definition at line 978 of file AAFTypes.idl.

union { ... } IAAFTypes::_aafDefinitionCrit_t::tags
aafDefinitionCritType_t IAAFTypes::_aafDefinitionCrit_t::type

Definition at line 973 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafDefinitionCrit_t
IAAFTypes::_aafDefinitionCrit_t Member List
This is the complete list of members for IAAFTypes::_aafDefinitionCrit_t, including all inherited members.
defKind | IAAFTypes::_aafDefinitionCrit_t
name | IAAFTypes::_aafDefinitionCrit_t
objClass | IAAFTypes::_aafDefinitionCrit_t
tags | IAAFTypes::_aafDefinitionCrit_t
type | IAAFTypes::_aafDefinitionCrit_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafEdgecode_t Struct Reference

  • IAAFTypes
  • _aafEdgecode_t
Public Attributes
IAAFTypes::_aafEdgecode_t Struct Reference

List of all members.

Public Attributes

aafFrameOffset_t startFrame
aafFilmType_t filmKind
aafEdgeType_t codeFormat
aafEdgecodeHeader_t header

Detailed Description

Definition at line 836 of file AAFTypes.idl.

Member Data Documentation

aafEdgeType_t IAAFTypes::_aafEdgecode_t::codeFormat

Definition at line 840 of file AAFTypes.idl.

aafFilmType_t IAAFTypes::_aafEdgecode_t::filmKind

Definition at line 839 of file AAFTypes.idl.

aafEdgecodeHeader_t IAAFTypes::_aafEdgecode_t::header

Definition at line 841 of file AAFTypes.idl.

aafFrameOffset_t IAAFTypes::_aafEdgecode_t::startFrame

Definition at line 838 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafEdgecode_t
IAAFTypes::_aafEdgecode_t Member List
This is the complete list of members for IAAFTypes::_aafEdgecode_t, including all inherited members.
codeFormat | IAAFTypes::_aafEdgecode_t
filmKind | IAAFTypes::_aafEdgecode_t
header | IAAFTypes::_aafEdgecode_t
startFrame | IAAFTypes::_aafEdgecode_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafIdentificationCrit_t Struct Reference

  • IAAFTypes
  • _aafIdentificationCrit_t
Public Attributes
IAAFTypes::_aafIdentificationCrit_t Struct Reference

List of all members.

Public Attributes

aafIdentificationCritType_t type
union {
aafUID_t productID
aafUID_t generation
aafProductVersion_t referenceImplementationVersion
} tags

Detailed Description

Definition at line 991 of file AAFTypes.idl.

Member Data Documentation

aafUID_t IAAFTypes::_aafIdentificationCrit_t::generation

Definition at line 997 of file AAFTypes.idl.

aafUID_t IAAFTypes::_aafIdentificationCrit_t::productID

Definition at line 996 of file AAFTypes.idl.

aafProductVersion_t IAAFTypes::_aafIdentificationCrit_t::referenceImplementationVersion

Definition at line 998 of file AAFTypes.idl.

union { ... } IAAFTypes::_aafIdentificationCrit_t::tags
aafIdentificationCritType_t IAAFTypes::_aafIdentificationCrit_t::type

Definition at line 993 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafIdentificationCrit_t
IAAFTypes::_aafIdentificationCrit_t Member List
This is the complete list of members for IAAFTypes::_aafIdentificationCrit_t, including all inherited members.
generation | IAAFTypes::_aafIdentificationCrit_t
productID | IAAFTypes::_aafIdentificationCrit_t
referenceImplementationVersion | IAAFTypes::_aafIdentificationCrit_t
tags | IAAFTypes::_aafIdentificationCrit_t
type | IAAFTypes::_aafIdentificationCrit_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafMediaCriteria_t Struct Reference

  • IAAFTypes
  • _aafMediaCriteria_t
Public Attributes
IAAFTypes::_aafMediaCriteria_t Struct Reference

List of all members.

Public Attributes

aafCriteriaType_t type

Detailed Description

Definition at line 880 of file AAFTypes.idl.

Member Data Documentation

aafCriteriaType_t IAAFTypes::_aafMediaCriteria_t::type

Definition at line 882 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafMediaCriteria_t
IAAFTypes::_aafMediaCriteria_t Member List
This is the complete list of members for IAAFTypes::_aafMediaCriteria_t, including all inherited members.
type IAAFTypes::_aafMediaCriteria_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafmMultiCreate_t Struct Reference

  • IAAFTypes
  • _aafmMultiCreate_t
Public Attributes
IAAFTypes::_aafmMultiCreate_t Struct Reference

List of all members.

Public Attributes

const aafUID_t * mediaKind
aafInt16 subTrackNum
aafInt32 slotID
aafRational_t sampleRate

Detailed Description

Definition at line 772 of file AAFTypes.idl.

Member Data Documentation

const aafUID_t* IAAFTypes::_aafmMultiCreate_t::mediaKind

Definition at line 774 of file AAFTypes.idl.

aafRational_t IAAFTypes::_aafmMultiCreate_t::sampleRate

Definition at line 777 of file AAFTypes.idl.

aafInt32 IAAFTypes::_aafmMultiCreate_t::slotID

Definition at line 776 of file AAFTypes.idl.

aafInt16 IAAFTypes::_aafmMultiCreate_t::subTrackNum

Definition at line 775 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafmMultiCreate_t
IAAFTypes::_aafmMultiCreate_t Member List
This is the complete list of members for IAAFTypes::_aafmMultiCreate_t, including all inherited members.
mediaKind | IAAFTypes::_aafmMultiCreate_t
sampleRate | IAAFTypes::_aafmMultiCreate_t
slotID | IAAFTypes::_aafmMultiCreate_t
subTrackNum | IAAFTypes::_aafmMultiCreate_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafmMultiResult_t Struct Reference

  • IAAFTypes
  • _aafmMultiResult_t
Public Attributes
IAAFTypes::_aafmMultiResult_t Struct Reference

List of all members.

Public Attributes

aafUInt32 bytesXfered
aafUInt32 samplesXfered

Detailed Description

Definition at line 766 of file AAFTypes.idl.

Member Data Documentation

aafUInt32 IAAFTypes::_aafmMultiResult_t::bytesXfered

Definition at line 768 of file AAFTypes.idl.

aafUInt32 IAAFTypes::_aafmMultiResult_t::samplesXfered

Definition at line 769 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafmMultiResult_t
IAAFTypes::_aafmMultiResult_t Member List
This is the complete list of members for IAAFTypes::_aafmMultiResult_t, including all inherited members.
bytesXfered | IAAFTypes::_aafmMultiResult_t
samplesXfered | IAAFTypes::_aafmMultiResult_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafmMultiXfer_t Struct Reference

  • IAAFTypes
  • _aafmMultiXfer_t
Public Attributes
IAAFTypes::_aafmMultiXfer_t Struct Reference

List of all members.

Public Attributes

aafUID_t * mediaKind
aafInt16 subTrackNum
aafUInt32 numSamples
aafUInt32 buflen
aafDataBuffer_t buffer

Detailed Description

Definition at line 757 of file AAFTypes.idl.

Member Data Documentation

aafDataBuffer_t IAAFTypes::_aafmMultiXfer_t::buffer

Definition at line 763 of file AAFTypes.idl.

aafUInt32 IAAFTypes::_aafmMultiXfer_t::buflen

Definition at line 762 of file AAFTypes.idl.

aafUID_t* IAAFTypes::_aafmMultiXfer_t::mediaKind

Definition at line 759 of file AAFTypes.idl.

aafUInt32 IAAFTypes::_aafmMultiXfer_t::numSamples

Definition at line 761 of file AAFTypes.idl.

aafInt16 IAAFTypes::_aafmMultiXfer_t::subTrackNum

Definition at line 760 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafmMultiXfer_t
IAAFTypes::_aafmMultiXfer_t Member List
This is the complete list of members for IAAFTypes::_aafmMultiXfer_t, including all inherited members.
buffer | IAAFTypes::_aafmMultiXfer_t
buflen | IAAFTypes::_aafmMultiXfer_t
mediaKind | IAAFTypes::_aafmMultiXfer_t
numSamples | IAAFTypes::_aafmMultiXfer_t
subTrackNum | IAAFTypes::_aafmMultiXfer_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafMobComment_t Struct Reference

  • IAAFTypes
  • _aafMobComment_t
Public Attributes
IAAFTypes::_aafMobComment_t Struct Reference

List of all members.

Public Attributes

aafString_t category
aafString_t comment

Detailed Description

Definition at line 605 of file AAFTypes.idl.

Member Data Documentation

aafString_t IAAFTypes::_aafMobComment_t::category

Definition at line 607 of file AAFTypes.idl.

aafString_t IAAFTypes::_aafMobComment_t::comment

Definition at line 608 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafMobComment_t
IAAFTypes::_aafMobComment_t Member List
This is the complete list of members for IAAFTypes::_aafMobComment_t, including all inherited members.
category | IAAFTypes::_aafMobComment_t
comment | IAAFTypes::_aafMobComment_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafMobID_t Struct Reference

  • IAAFTypes
  • _aafMobID_t
Public Attributes
IAAFTypes::_aafMobID_t Struct Reference

List of all members.

Public Attributes

aafUInt8 | SMPTELabel [12]
aafUInt8 length
aafUInt8 instanceHigh
aafUInt8 instanceMid
aafUInt8 instanceLow
struct _aafUID_t | material

Detailed Description

Definition at line 694 of file AAFTypes.idl.

Member Data Documentation

aafUInt8 IAAFTypes::_aafMobID_t::instanceHigh

Definition at line 698 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafMobID_t::instanceLow

Definition at line 700 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafMobID_t::instanceMid

Definition at line 699 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafMobID_t::length

Definition at line 697 of file AAFTypes.idl.

struct _aafUID_t IAAFTypes::_aafMobID_t::material

Definition at line 701 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafMobID_t::SMPTELabel[12]

Definition at line 696 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafMobID_t
IAAFTypes::_aafMobID_t Member List
This is the complete list of members for IAAFTypes::_aafMobID_t, including all inherited members.
instanceHigh | IAAFTypes::_aafMobID_t
instanceLow | IAAFTypes::_aafMobID_t
instanceMid | IAAFTypes::_aafMobID_t
length | IAAFTypes::_aafMobID_t
material | IAAFTypes::_aafMobID_t
SMPTELabel | IAAFTypes::_aafMobID_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafProductIdentification_t Struct Reference

  • IAAFTypes
  • _aafProductIdentification_t
Public Attributes
IAAFTypes::_aafProductIdentification_t Struct Reference

List of all members.

Public Attributes

aafCharacter * companyName
aafCharacter * productName
aafCharacter * productVersionString
aafUID_t productID
aafCharacter * platform
aafProductVersion_t * productVersion

Detailed Description

Definition at line 706 of file AAFTypes.idl.

Member Data Documentation

aafCharacter* IAAFTypes::_aafProductIdentification_t::companyName

Definition at line 708 of file AAFTypes.idl.

aafCharacter* IAAFTypes::_aafProductIdentification_t::platform

Definition at line 712 of file AAFTypes.idl.

aafUID_t IAAFTypes::_aafProductIdentification_t::productID

Definition at line 711 of file AAFTypes.idl.

aafCharacter* IAAFTypes::_aafProductIdentification_t::productName

Definition at line 709 of file AAFTypes.idl.

aafProductVersion_t* IAAFTypes::_aafProductIdentification_t::productVersion

Definition at line 713 of file AAFTypes.idl.

aafCharacter* IAAFTypes::_aafProductIdentification_t::productVersionString

Definition at line 710 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafProductIdentification_t
IAAFTypes::_aafProductIdentification_t Member List
This is the complete list of members for IAAFTypes::_aafProductIdentification_t, including all inherited members.
companyName | IAAFTypes::_aafProductIdentification_t
platform | IAAFTypes::_aafProductIdentification_t
productID | IAAFTypes::_aafProductIdentification_t
productName | IAAFTypes::_aafProductIdentification_t
productVersion | IAAFTypes::_aafProductIdentification_t
productVersionString | IAAFTypes::_aafProductIdentification_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafProductVersion_t Struct Reference

  • IAAFTypes
  • _aafProductVersion_t
Public Attributes
IAAFTypes::_aafProductVersion_t Struct Reference

List of all members.

Public Attributes

aafUInt16 major
aafUInt16 minor
aafUInt16 tertiary
aafUInt16 patchLevel
aafProductReleaseType_t type

Detailed Description

Definition at line 676 of file AAFTypes.idl.

Member Data Documentation

aafUInt16 IAAFTypes::_aafProductVersion_t::major

Definition at line 678 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafProductVersion_t::minor

Definition at line 679 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafProductVersion_t::patchLevel

Definition at line 681 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafProductVersion_t::tertiary

Definition at line 680 of file AAFTypes.idl.

aafProductReleaseType_t IAAFTypes::_aafProductVersion_t::type

Definition at line 682 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafProductVersion_t
IAAFTypes::_aafProductVersion_t Member List
This is the complete list of members for IAAFTypes::_aafProductVersion_t, including all inherited members.
major | IAAFTypes::_aafProductVersion_t
minor | IAAFTypes::_aafProductVersion_t
patchLevel | IAAFTypes::_aafProductVersion_t
tertiary | IAAFTypes::_aafProductVersion_t
type | IAAFTypes::_aafProductVersion_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafRational_t Struct Reference

  • IAAFTypes
  • _aafRational_t
Public Attributes
IAAFTypes::_aafRational_t Struct Reference

List of all members.

Public Attributes

aafInt32 numerator
aafInt32 denominator

Detailed Description

Definition at line 743 of file AAFTypes.idl.

Member Data Documentation

aafInt32 IAAFTypes::_aafRational_t::denominator

Definition at line 746 of file AAFTypes.idl.

aafInt32 IAAFTypes::_aafRational_t::numerator

Definition at line 745 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafRational_t
IAAFTypes::_aafRational_t Member List
This is the complete list of members for IAAFTypes::_aafRational_t, including all inherited members.
denominator | IAAFTypes::_aafRational_t
numerator | IAAFTypes::_aafRational_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafRect_t Struct Reference

  • IAAFTypes
  • _aafRect_t
Public Attributes
IAAFTypes::_aafRect_t Struct Reference

List of all members.

Public Attributes

aafInt32 xOffset
aafInt32 yOffset
aafInt32 xSize
aafInt32 ySize

Detailed Description

Definition at line 749 of file AAFTypes.idl.

Member Data Documentation

aafInt32 IAAFTypes::_aafRect_t::xOffset

Definition at line 751 of file AAFTypes.idl.

aafInt32 IAAFTypes::_aafRect_t::xSize

Definition at line 753 of file AAFTypes.idl.

aafInt32 IAAFTypes::_aafRect_t::yOffset

Definition at line 752 of file AAFTypes.idl.

aafInt32 IAAFTypes::_aafRect_t::ySize

Definition at line 754 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafRect_t
IAAFTypes::_aafRect_t Member List
This is the complete list of members for IAAFTypes::_aafRect_t, including all inherited members.
xOffset | IAAFTypes::_aafRect_t
xSize | IAAFTypes::_aafRect_t
yOffset | IAAFTypes::_aafRect_t
ySize | IAAFTypes::_aafRect_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafRGBAComponent_t Struct Reference

  • IAAFTypes
  • _aafRGBAComponent_t
Public Attributes
IAAFTypes::_aafRGBAComponent_t Struct Reference

List of all members.

Public Attributes

aafRGBAComponentKind_t Code
aafUInt8 Size

Detailed Description

Definition at line 624 of file AAFTypes.idl.

Member Data Documentation

aafRGBAComponentKind_t IAAFTypes::_aafRGBAComponent_t::Code

Definition at line 626 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafRGBAComponent_t::Size

Definition at line 627 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafRGBAComponent_t
IAAFTypes::_aafRGBAComponent_t Member List
This is the complete list of members for IAAFTypes::_aafRGBAComponent_t, including all inherited members.
Code | IAAFTypes::_aafRGBAComponent_t
Size | IAAFTypes::_aafRGBAComponent_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafSearchCrit_t Struct Reference

  • IAAFTypes
  • _aafSearchCrit_t
Public Attributes
IAAFTypes::_aafSearchCrit_t Struct Reference

List of all members.

Public Attributes

aafSearchTag_t searchTag
union {
aafMobID_t mobID
aafMobKind_t mobKind
aafString_t name
aafClassID_t objClass
aafUID_t datadef
aafCriteriaType_t mediaCrit
};

Detailed Description

Definition at line 910 of file AAFTypes.idl.

Member Data Documentation

union { ... }
aafUID_t IAAFTypes::_aafSearchCrit_t::datadef

Definition at line 925 of file AAFTypes.idl.

aafCriteriaType_t IAAFTypes::_aafSearchCrit_t::mediaCrit

Definition at line 927 of file AAFTypes.idl.

aafMobID_t IAAFTypes::_aafSearchCrit_t::mobID

Definition at line 917 of file AAFTypes.idl.

aafMobKind_t IAAFTypes::_aafSearchCrit_t::mobKind

Definition at line 919 of file AAFTypes.idl.

aafString_t IAAFTypes::_aafSearchCrit_t::name

Definition at line 921 of file AAFTypes.idl.

aafClassID_t IAAFTypes::_aafSearchCrit_t::objClass

Definition at line 923 of file AAFTypes.idl.

aafSearchTag_t IAAFTypes::_aafSearchCrit_t::searchTag

Definition at line 913 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafSearchCrit_t
IAAFTypes::_aafSearchCrit_t Member List
This is the complete list of members for IAAFTypes::_aafSearchCrit_t, including all inherited members.
datadef | IAAFTypes::_aafSearchCrit_t
mediaCrit | IAAFTypes::_aafSearchCrit_t
mobID | IAAFTypes::_aafSearchCrit_t
mobKind | IAAFTypes::_aafSearchCrit_t
name | IAAFTypes::_aafSearchCrit_t
objClass | IAAFTypes::_aafSearchCrit_t
searchTag | IAAFTypes::_aafSearchCrit_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafSearchDictionaryCrit_t Struct Reference

  • IAAFTypes
  • _aafSearchDictionaryCrit_t
Public Attributes
IAAFTypes::_aafSearchDictionaryCrit_t Struct Reference

List of all members.

Public Attributes

aafSearchDictionaryTag_t searchTag
union {
aafUID_t * classID
aafUID_t * parentClassID
aafUID_t * propertyID
aafUID_t * typeID
aafString_t name
};

Detailed Description

Definition at line 1042 of file AAFTypes.idl.

Member Data Documentation

union { ... }
aafUID_t* IAAFTypes::_aafSearchDictionaryCrit_t::classID

Definition at line 1049 of file AAFTypes.idl.

aafString_t IAAFTypes::_aafSearchDictionaryCrit_t::name

Definition at line 1057 of file AAFTypes.idl.

aafUID_t* IAAFTypes::_aafSearchDictionaryCrit_t::parentClassID

Definition at line 1051 of file AAFTypes.idl.

aafUID_t* IAAFTypes::_aafSearchDictionaryCrit_t::propertyID

Definition at line 1053 of file AAFTypes.idl.

aafSearchDictionaryTag_t IAAFTypes::_aafSearchDictionaryCrit_t::searchTag

Definition at line 1045 of file AAFTypes.idl.

aafUID_t* IAAFTypes::_aafSearchDictionaryCrit_t::typeID

Definition at line 1055 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafSearchDictionaryCrit_t
IAAFTypes::_aafSearchDictionaryCrit_t Member List
This is the complete list of members for IAAFTypes::_aafSearchDictionaryCrit_t, including all inherited members.
classID | IAAFTypes::_aafSearchDictionaryCrit_t
name | IAAFTypes::_aafSearchDictionaryCrit_t
parentClassID | IAAFTypes::_aafSearchDictionaryCrit_t
propertyID | IAAFTypes::_aafSearchDictionaryCrit_t
searchTag | IAAFTypes::_aafSearchDictionaryCrit_t
typeID | IAAFTypes::_aafSearchDictionaryCrit_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafSourceRef_t Struct Reference

  • IAAFTypes
  • _aafSourceRef_t
Public Attributes
IAAFTypes::_aafSourceRef_t Struct Reference

List of all members.

Public Attributes

aafMobID_t sourceID
aafSlotID_t sourceSlotID
aafPosition_t startTime

Detailed Description

Definition at line 845 of file AAFTypes.idl.

Member Data Documentation

aafMobID_t IAAFTypes::_aafSourceRef_t::sourceID

Definition at line 847 of file AAFTypes.idl.

aafSlotID_t IAAFTypes::_aafSourceRef_t::sourceSlotID

Definition at line 848 of file AAFTypes.idl.

aafPosition_t IAAFTypes::_aafSourceRef_t::startTime

Definition at line 849 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafSourceRef_t
IAAFTypes::_aafSourceRef_t Member List
This is the complete list of members for IAAFTypes::_aafSourceRef_t, including all inherited members.
sourceID | IAAFTypes::_aafSourceRef_t
sourceSlotID | IAAFTypes::_aafSourceRef_t
startTime | IAAFTypes::_aafSourceRef_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafTimecode_t Struct Reference

  • IAAFTypes
  • _aafTimecode_t
Public Attributes
IAAFTypes::_aafTimecode_t Struct Reference

List of all members.

Public Attributes

aafFrameOffset_t startFrame
aafDropType_t drop
aafUInt16 fps

Detailed Description

Definition at line 827 of file AAFTypes.idl.

Member Data Documentation

aafDropType_t IAAFTypes::_aafTimecode_t::drop

Definition at line 830 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafTimecode_t::fps

Definition at line 831 of file AAFTypes.idl.

aafFrameOffset_t IAAFTypes::_aafTimecode_t::startFrame

Definition at line 829 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafTimecode_t
IAAFTypes::_aafTimecode_t Member List
This is the complete list of members for IAAFTypes::_aafTimecode_t, including all inherited members.
drop | IAAFTypes::_aafTimecode_t
fps | IAAFTypes::_aafTimecode_t
startFrame | IAAFTypes::_aafTimecode_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafTimeStamp_t Struct Reference

  • IAAFTypes
  • _aafTimeStamp_t
Public Attributes
IAAFTypes::_aafTimeStamp_t Struct Reference

List of all members.

Public Attributes

aafDateStruct_t date
aafTimeStruct_t time

Detailed Description

Definition at line 735 of file AAFTypes.idl.

Member Data Documentation

aafDateStruct_t IAAFTypes::_aafTimeStamp_t::date

Definition at line 737 of file AAFTypes.idl.

aafTimeStruct_t IAAFTypes::_aafTimeStamp_t::time

Definition at line 738 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafTimeStamp_t
IAAFTypes::_aafTimeStamp_t Member List
This is the complete list of members for IAAFTypes::_aafTimeStamp_t, including all inherited members.
date | IAAFTypes::_aafTimeStamp_t
time | IAAFTypes::_aafTimeStamp_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafTimeStruct_t Struct Reference

  • IAAFTypes
  • _aafTimeStruct_t
Public Attributes
IAAFTypes::_aafTimeStruct_t Struct Reference

List of all members.

Public Attributes

aafUInt8 hour
aafUInt8 minute
aafUInt8 second
aafUInt8 fraction

Detailed Description

Definition at line 727 of file AAFTypes.idl.

Member Data Documentation

aafUInt8 IAAFTypes::_aafTimeStruct_t::fraction

Definition at line 732 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafTimeStruct_t::hour

Definition at line 729 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafTimeStruct_t::minute

Definition at line 730 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafTimeStruct_t::second

Definition at line 731 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafTimeStruct_t
IAAFTypes::_aafTimeStruct_t Member List
This is the complete list of members for IAAFTypes::_aafTimeStruct_t, including all inherited members.
fraction | IAAFTypes::_aafTimeStruct_t
hour | IAAFTypes::_aafTimeStruct_t
minute | IAAFTypes::_aafTimeStruct_t
second | IAAFTypes::_aafTimeStruct_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafUID_t Struct Reference

  • IAAFTypes
  • _aafUID_t
Public Attributes
IAAFTypes::_aafUID_t Struct Reference

List of all members.

Public Attributes

aafUInt32 Data1
aafUInt16 Data2
aafUInt16 Data3
aafUInt8 Data4 [8]

Detailed Description

Definition at line 685 of file AAFTypes.idl.

Member Data Documentation

aafUInt32 IAAFTypes::_aafUID_t::Data1

Definition at line 688 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafUID_t::Data2

Definition at line 689 of file AAFTypes.idl.

aafUInt16 IAAFTypes::_aafUID_t::Data3

Definition at line 690 of file AAFTypes.idl.

aafUInt8 IAAFTypes::_aafUID_t::Data4[8]

Definition at line 691 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafUID_t
IAAFTypes::_aafUID_t Member List
This is the complete list of members for IAAFTypes::_aafUID_t, including all inherited members.
Data1 | IAAFTypes::_aafUID_t
Data2 | IAAFTypes::_aafUID_t
Data3 | IAAFTypes::_aafUID_t
Data4 | IAAFTypes::_aafUID_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes::_aafVersionType_t Struct Reference

  • IAAFTypes
  • _aafVersionType_t
Public Attributes
IAAFTypes::_aafVersionType_t Struct Reference

List of all members.

Public Attributes

aafInt8 major
aafInt8 minor

Detailed Description

Definition at line 670 of file AAFTypes.idl.

Member Data Documentation

aafInt8 IAAFTypes::_aafVersionType_t::major

Definition at line 672 of file AAFTypes.idl.

aafInt8 IAAFTypes::_aafVersionType_t::minor

Definition at line 673 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

  • IAAFTypes
  • _aafVersionType_t
IAAFTypes::_aafVersionType_t Member List
This is the complete list of members for IAAFTypes::_aafVersionType_t, including all inherited members.
major | IAAFTypes::_aafVersionType_t
minor | IAAFTypes::_aafVersionType_t
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFAES3PCMDescriptor Interface Reference

Public Member Functions
IAAFAES3PCMDescriptor Interface Reference

The IAAFAES3PCMDescriptor is DEPRECATED, please use IAAFAES3PCMDescriptor2. More...

List of all members.

Public Member Functions

HRESULT Initialize ()
Initializes a newly allocated, IAAFAES3PCMDescriptor-supporting object.

Detailed Description

The IAAFAES3PCMDescriptor is DEPRECATED, please use IAAFAES3PCMDescriptor2.

The IAAFAES3PCMDescriptor interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFAES3PCMDescriptor also implement the following interfaces:

IAAFAES3PCMDescriptor2

  • IAAFPCMDescriptor
  • IAAFSoundDescriptor
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 273 of file AAF.idl.

Member Function Documentation

HRESULT IAAFAES3PCMDescriptor::Initialize ( )

Initializes a newly allocated, IAAFAES3PCMDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFAES3PCMDescriptor2 Interface Reference

Public Member Functions
IAAFAES3PCMDescriptor2 Interface Reference

The IAAFAES3PCMDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, IAAFAES3PCMDescriptor-supporting object.
HRESULT | GetEmphasis ([out] aafEmphasisType_t *pEmphasisType)
Gets the Emphasis type property.
HRESULT | SetEmphasis ([in] aafEmphasisType_t EmphasisType)
Gets the Emphasis type property.
HRESULT | GetBlockStartOffset ([out] aafUInt16 *pBlockStartOffset)
Gets the BlockStartOffset.
HRESULT | SetBlockStartOffset ([in] aafUInt16 BlockStartOffset)
Sets the BlockStartOffset.
HRESULT | GetAuxBitsMode ([out] aafAuxBitsModeType_t *pAuxBitsMode)
Gets the AuxBitsMode.
HRESULT | SetAuxBitsMode ([in] aafAuxBitsModeType_t AuxBitsMode)
Sets the AuxBitsMode.
HRESULT | GetChannelStatusModeAt ([in] aafUInt32 index,[out] aafChannelStatusModeType_t *pChannelStatusMode)
Gets the ChannelStatusMode for the channel referenced by the index.
HRESULT | SetChannelStatusModeAt ([in] aafUInt32 index,[in] aafChannelStatusModeType_t ChannelStatusMode)
Sets the ChannelStatusMode for the channel referenced by the index.
HRESULT | GetFixedChannelStatusDataAt ([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[out] aafUInt8 *pFixedChannelStatusData)
Gets the FixedChannelStatusData for the channel referenced by the index.
HRESULT | SetFixedChannelStatusDataAt ([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[in] aafUInt8 *pFixedChannelStatusData)
Sets the FixedChannelStatusData for the channel referenced by the index.
HRESULT | GetUserDataModeAt ([in] aafUInt32 index,[out] aafUserDataModeType_t *pUserDataMode)
Gets the UserDataMode for the channel referenced by the index.
HRESULT | SetUserDataModeAt ([in] aafUInt32 index,[in] aafUserDataModeType_t UserDataMode)
Sets the UserDataMode for the channel referenced by the index.
HRESULT | GetFixedUserDataAt ([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[out] aafUInt8 *pFixedUserData)
Gets the FixedUserData for the channel referenced by the index.
HRESULT | SetFixedUserDataAt ([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[in] aafUInt8 *pFixedUserData)
Sets the FixedUserData for the channel referenced by the index.

Detailed Description

The IAAFAES3PCMDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFAES3PCMDescriptor2 also implement the following interfaces:

IAAFPCMDescriptor

  • IAAFSoundDescriptor
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 39511 of file AAF.idl.

Member Function Documentation

HRESULT IAAFAES3PCMDescriptor2::GetAuxBitsMode ( [out] aafAuxBitsModeType_t * pAuxBitsMode )

Gets the AuxBitsMode.

Succeeds if all of the following are true:

  • pAuxBitsMode is a valid pointer.

If this method fails, *pAuxBitsMode will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pAuxBitsMode arg is NULL.
Parameters:
pAuxBitsMode [out] Address to store the AuxBitsMode.
HRESULT IAAFAES3PCMDescriptor2::GetBlockStartOffset ( [out] aafUInt16 * pBlockStartOffset )

Gets the BlockStartOffset.

Succeeds if all of the following are true:

  • pBlockStartOffset is a valid pointer.

If this method fails, *pBlockStartOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pBlockStartOffset arg is NULL.
Parameters:
pBlockStartOffset [out] Address to store the BlockStartOffset.
HRESULT IAAFAES3PCMDescriptor2::GetChannelStatusModeAt | ( | [in] aafUInt32 | index,
 |  | [out] aafChannelStatusModeType_t * | pChannelStatusMode
 | ) |  |

Gets the ChannelStatusMode for the channel referenced by the index.

Succeeds if all of the following are true:

  • pChannelStatusMode is a valid pointer
  • index is a valid index with the array of channels

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pChannelStatusMode arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index
    Parameters:
    index | [in] Index of the channel desired.
    pChannelStatusMode | [out] Address to store ChannelStatusMode for the index given.
HRESULT IAAFAES3PCMDescriptor2::GetEmphasis ( [out] aafEmphasisType_t * pEmphasisType )

Gets the Emphasis type property.

Succeeds if all of the following are true:

  • pEmphasisType is a valid pointer.

If this method fails, *pEmphasisType will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEmphasisType arg is NULL.
Parameters:
pEmphasisType [out] Address to store the emphasis type.
HRESULT IAAFAES3PCMDescriptor2::GetFixedChannelStatusDataAt | ( | [in] aafUInt32 | index,
 |  | [in] aafUInt32 | sizeOfBuffer,
 |  | [out] aafUInt8 * | pFixedChannelStatusData
 | ) |  |

Gets the FixedChannelStatusData for the channel referenced by the index.

each channel's status is a 24 byte array that gets copied into the the address pointed to by pFixedChannelStatusData. Succeeds if all of the following are true:

  • pFixedChannelStatusData is a valid pointer
  • index is a valid index with the array of channels
  • sizeOfBuffer must be 24

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFixedChannelStatusData arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index

AAFRESULT_WRONG_SIZE

  • buffer size is not correct
    Parameters:
    index | [in] Index of the channel desired.
    sizeOfBuffer | [in] Size of pFixedChannelStatusData buffer in bytes.
    pFixedChannelStatusData | [out] Address to store FixedChannelStatusData for the index given.
HRESULT IAAFAES3PCMDescriptor2::GetFixedUserDataAt | ( | [in] aafUInt32 | index,
 |  | [in] aafUInt32 | sizeOfBuffer,
 |  | [out] aafUInt8 * | pFixedUserData
 | ) |  |

Gets the FixedUserData for the channel referenced by the index.

each channel's status is a 24 byte array that gets copied into the the address pointed to by pFixedUserData. Succeeds if all of the following are true:

  • pFixedUserData is a valid pointer
  • index is a valid index with the array of channels
  • sizeOfBuffer must be 24

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFixedUserData arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index

AAFRESULT_WRONG_SIZE

  • buffer size is not correct
    Parameters:
    index | [in] Index of the channel desired.
    sizeOfBuffer | [in] Size of pFixedUserData buffer in bytes.
    pFixedUserData | [out] Address to store FixedUserData for the index given.
HRESULT IAAFAES3PCMDescriptor2::GetUserDataModeAt | ( | [in] aafUInt32 | index,
 |  | [out] aafUserDataModeType_t * | pUserDataMode
 | ) |  |

Gets the UserDataMode for the channel referenced by the index.

Succeeds if all of the following are true:

  • pUserDataMode is a valid pointer
  • index is a valid index with the array of channels

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pUserDataMode arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index
    Parameters:
    index | [in] Index of the channel desired.
    pUserDataMode | [out] Address to store UserDataMode for the index given.
HRESULT IAAFAES3PCMDescriptor2::Initialize ( )

Initializes a newly allocated, IAAFAES3PCMDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFAES3PCMDescriptor2::SetAuxBitsMode ( [in] aafAuxBitsModeType_t AuxBitsMode )

Sets the AuxBitsMode.

Succeeds if all of the following are true:

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
AuxBitsMode [in] Sets the AuxBitsMode.
HRESULT IAAFAES3PCMDescriptor2::SetBlockStartOffset ( [in] aafUInt16 BlockStartOffset )

Sets the BlockStartOffset.

Succeeds if all of the following are true:

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
BlockStartOffset [in] Sets the BlockStartOffset.
HRESULT IAAFAES3PCMDescriptor2::SetChannelStatusModeAt | ( | [in] aafUInt32 | index,
 |  | [in] aafChannelStatusModeType_t | ChannelStatusMode
 | ) |  |

Sets the ChannelStatusMode for the channel referenced by the index.

Succeeds if all of the following are true:

  • index is a valid index with the array of channels

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BADINDEX

  • index is not a valid index
    Parameters:
    index | [in] Index of the channel desired.
    ChannelStatusMode | [in] Set ChannelStatusMode for the index given.
HRESULT IAAFAES3PCMDescriptor2::SetEmphasis ( [in] aafEmphasisType_t EmphasisType )

Gets the Emphasis type property.

Succeeds if all of the following are true:

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
EmphasisType [in] Sets the Emphasis type property.
HRESULT IAAFAES3PCMDescriptor2::SetFixedChannelStatusDataAt | ( | [in] aafUInt32 | index,
 |  | [in] aafUInt32 | sizeOfBuffer,
 |  | [in] aafUInt8 * | pFixedChannelStatusData
 | ) |  |

Sets the FixedChannelStatusData for the channel referenced by the index.

each channel's status is a 24 byte array that gets copied from the the address pointed to by pFixedChannelStatusData . Succeeds if all of the following are true:

  • pFixedChannelStatusData is a valid pointer
  • index is a valid index with the array of channels
  • sizeOfBuffer must be 24

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFixedChannelStatusData arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index

AAFRESULT_WRONG_SIZE

  • buffer size is not correct
    Parameters:
    index | [in] Index of the channel desired.
    sizeOfBuffer | [in] Size of pFixedChannelStatusData buffer in bytes.
    pFixedChannelStatusData | [in] Set FixedChannelStatusData for the index given.
HRESULT IAAFAES3PCMDescriptor2::SetFixedUserDataAt | ( | [in] aafUInt32 | index,
 |  | [in] aafUInt32 | sizeOfBuffer,
 |  | [in] aafUInt8 * | pFixedUserData
 | ) |  |

Sets the FixedUserData for the channel referenced by the index.

each channel's status is a 24 byte array that gets copied from the the address pointed to by pFixedUserData . Succeeds if all of the following are true:

  • pFixedUserData is a valid pointer
  • index is a valid index with the array of channels
  • sizeOfBuffer must be 24

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFixedUserData arg is NULL

AAFRESULT_BADINDEX

  • index is not a valid index

AAFRESULT_WRONG_SIZE

  • buffer size is not correct
    Parameters:
    index | [in] Index of the channel desired.
    sizeOfBuffer | [in] Size of pFixedUserData buffer in bytes.
    pFixedUserData | [in] Set FixedUserData for the index given.
HRESULT IAAFAES3PCMDescriptor2::SetUserDataModeAt | ( | [in] aafUInt32 | index,
 |  | [in] aafUserDataModeType_t | UserDataMode
 | ) |  |

Sets the UserDataMode for the channel referenced by the index.

Succeeds if all of the following are true:

  • index is a valid index with the array of channels

this method will return the following codes

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BADINDEX

  • index is not a valid index
    Parameters:
    index | [in] Index of the channel desired.
    UserDataMode | [in] Set UserDataMode for the index given.
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFAES3PCMDescriptor2 Member List
This is the complete list of members for IAAFAES3PCMDescriptor2, including all inherited members.
GetAuxBitsMode([out] aafAuxBitsModeType_t *pAuxBitsMode) | IAAFAES3PCMDescriptor2
GetBlockStartOffset([out] aafUInt16 *pBlockStartOffset) | IAAFAES3PCMDescriptor2
GetChannelStatusModeAt([in] aafUInt32 index,[out] aafChannelStatusModeType_t *pChannelStatusMode) | IAAFAES3PCMDescriptor2
GetEmphasis([out] aafEmphasisType_t *pEmphasisType) | IAAFAES3PCMDescriptor2
GetFixedChannelStatusDataAt([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[out] aafUInt8 *pFixedChannelStatusData) | IAAFAES3PCMDescriptor2
GetFixedUserDataAt([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[out] aafUInt8 *pFixedUserData) | IAAFAES3PCMDescriptor2
GetUserDataModeAt([in] aafUInt32 index,[out] aafUserDataModeType_t *pUserDataMode) | IAAFAES3PCMDescriptor2
Initialize() | IAAFAES3PCMDescriptor2
SetAuxBitsMode([in] aafAuxBitsModeType_t AuxBitsMode) | IAAFAES3PCMDescriptor2
SetBlockStartOffset([in] aafUInt16 BlockStartOffset) | IAAFAES3PCMDescriptor2
SetChannelStatusModeAt([in] aafUInt32 index,[in] aafChannelStatusModeType_t ChannelStatusMode) | IAAFAES3PCMDescriptor2
SetEmphasis([in] aafEmphasisType_t EmphasisType) | IAAFAES3PCMDescriptor2
SetFixedChannelStatusDataAt([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[in] aafUInt8 *pFixedChannelStatusData) | IAAFAES3PCMDescriptor2
SetFixedUserDataAt([in] aafUInt32 index,[in] aafUInt32 sizeOfBuffer,[in] aafUInt8 *pFixedUserData) | IAAFAES3PCMDescriptor2
SetUserDataModeAt([in] aafUInt32 index,[in] aafUserDataModeType_t UserDataMode) | IAAFAES3PCMDescriptor2
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFAIFCDescriptor Interface Reference

Public Member Functions
IAAFAIFCDescriptor Interface Reference

The IAAFAIFCDescriptor interface is implemented by objects which describe audio content data formatted according to the AIFC compressed Audio File Format. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFAIFCDescriptor-supporting object.
HRESULT | GetSummary ([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary)
Gets a copy of the AIFC file information without the media.
HRESULT | GetSummaryBufferSize ([out] aafUInt32 *pSize)
Returns the size of the buffer required for the GetSummary() method.
HRESULT | SetSummary ([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary)
Sets the AIFC file information.

Detailed Description

The IAAFAIFCDescriptor interface is implemented by objects which describe audio content data formatted according to the AIFC compressed Audio File Format.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFAIFCDescriptor also implement the following interfaces:

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 348 of file AAF.idl.

Member Function Documentation

HRESULT IAAFAIFCDescriptor::GetSummary | ( | [in] aafUInt32 | size,
 |  | [out, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Gets a copy of the AIFC file information without the media.

Succeeds if all of the following are true:

  • pSummary is a valid pointer.
  • The size of the buffer is large enough to hold the AIFC file information.

If this method fails pSummary will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.

AAFRESULT_SMALLBUF

  • The buffer is too small to hold the AIFC file information.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [out, size_is(size)] Preallocated buffer to hold the AIFC file information
HRESULT IAAFAIFCDescriptor::GetSummaryBufferSize ( [out] aafUInt32 * pSize )

Returns the size of the buffer required for the GetSummary() method.

The value is placed into the location specified by pSize.

Succeeds if all of the following are true:

  • the pSize pointer is valid.

If this method fails nothing will be written to *pSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] required buffer size
HRESULT IAAFAIFCDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFAIFCDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFAIFCDescriptor::SetSummary | ( | [in] aafUInt32 | size,
 |  | [in, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Sets the AIFC file information.

Succeeds if all of the following are true:

  • pSummary is a valid pointer

If this method fails the summary property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [in, size_is(size)] buffer containing value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFAIFCDescriptor Member List
This is the complete list of members for IAAFAIFCDescriptor, including all inherited members.
GetSummary([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary) | IAAFAIFCDescriptor
GetSummaryBufferSize([out] aafUInt32 *pSize) | IAAFAIFCDescriptor
Initialize() | IAAFAIFCDescriptor
SetSummary([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary) | IAAFAIFCDescriptor
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFAuxiliaryDescriptor Interface Reference

Public Member Functions
IAAFAuxiliaryDescriptor Interface Reference

The IAAFAuxiliaryDescriptor interface is implemented by objects that describe a file source which has no physical source. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, IAAFAuxiliaryDescriptor object.
HRESULT | SetMimeType ([in, string] aafCharacter_constptr pMimeType)
Sets The registered mime type of the data per RFC 2046 and RFC 2048.
HRESULT | GetMimeType ([out, string, size_is(bufSize)] aafCharacter *pMimeType,[in] aafUInt32 bufSize)
Gets The registered mime type of the data per RFC 2046 and RFC 2048.
HRESULT | GetMimeTypeBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetMimeType().
HRESULT | SetCharSet ([in, string] aafCharacter_constptr pCharSet)
Sets The registered character set per RFC 2048.
HRESULT | GetCharSet ([out, string, size_is(bufSize)] aafCharacter *pCharSet,[in] aafUInt32 bufSize)
Gets The registered character set per RFC 2048.
HRESULT | GetCharSetBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetCharSet().

Detailed Description

The IAAFAuxiliaryDescriptor interface is implemented by objects that describe a file source which has no physical source.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFAuxiliaryDescriptor also implement the following interfaces:

  • IAAFPhysicalDescriptor
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 496 of file AAF.idl.

Member Function Documentation

HRESULT IAAFAuxiliaryDescriptor::GetCharSet | ( | [out, string, size_is(bufSize)] aafCharacter * | pCharSet,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets The registered character set per RFC 2048.

Writes the CharSet property, with a trailing null character, into the pCharSet buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the CharSet property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetCharSetBufLen() to determine the required buffer size.

If this method fails nothing will be written to pCharSet.

Succeeds if:

  • The pCharSet pointer is valid.
  • bufSize indicates that the buffer is large enough to hold CharSet.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCharSet arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold CharSet.
Parameters:
pCharSet | [out, string, size_is(bufSize)] buffer into which CharSet is to be written
bufSize | [in] size of *pCharSet buffer in bytes
HRESULT IAAFAuxiliaryDescriptor::GetCharSetBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetCharSet().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFAuxiliaryDescriptor::GetMimeType | ( | [out, string, size_is(bufSize)] aafCharacter * | pMimeType,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets The registered mime type of the data per RFC 2046 and RFC 2048.

Writes the MimeType property, with a trailing null character, into the pMimeType buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the MimeType property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetMimeTypeBufLen() to determine the required buffer size.

If this method fails nothing will be written to pMimeType.

Succeeds if:

  • The pMimeType pointer is valid.
  • bufSize indicates that the buffer is large enough to hold MimeType.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMimeType arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold MimeType.
Parameters:
pMimeType | [out, string, size_is(bufSize)] buffer into which MimeType is to be written
bufSize | [in] size of *pMimeType buffer in bytes
HRESULT IAAFAuxiliaryDescriptor::GetMimeTypeBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetMimeType().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFAuxiliaryDescriptor::Initialize ( )

Initializes a newly allocated, IAAFAuxiliaryDescriptor object.

This method must be called after allocation, and before any other method can be called.

Return codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFAuxiliaryDescriptor::SetCharSet ( [in, string] aafCharacter_constptr pCharSet )

Sets The registered character set per RFC 2048.

Set the CharSet property to the value specified in pCharSet. A copy is made of the data so the caller retains ownership of the *pCharSet buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pCharSet pointer is valid.

If this method fails the CharSet property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCharSet arg is NULL.
Parameters:
pCharSet [in, string] buffer from which CharSet is to be read
HRESULT IAAFAuxiliaryDescriptor::SetMimeType ( [in, string] aafCharacter_constptr pMimeType )

Sets The registered mime type of the data per RFC 2046 and RFC 2048.

Set the MimeType property to the value specified in pMimeType. A copy is made of the data so the caller retains ownership of the *pMimeType buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pMimeType pointer is valid.

If this method fails the MimeType property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMimeType arg is NULL.
Parameters:
pMimeType [in, string] buffer from which MimeType is to be read
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFAuxiliaryDescriptor Member List
This is the complete list of members for IAAFAuxiliaryDescriptor, including all inherited members.
GetCharSet([out, string, size_is(bufSize)] aafCharacter *pCharSet,[in] aafUInt32 bufSize) | IAAFAuxiliaryDescriptor
GetCharSetBufLen([out] aafUInt32 *pBufSize) | IAAFAuxiliaryDescriptor
GetMimeType([out, string, size_is(bufSize)] aafCharacter *pMimeType,[in] aafUInt32 bufSize) | IAAFAuxiliaryDescriptor
GetMimeTypeBufLen([out] aafUInt32 *pBufSize) | IAAFAuxiliaryDescriptor
Initialize() | IAAFAuxiliaryDescriptor
SetCharSet([in, string] aafCharacter_constptr pCharSet) | IAAFAuxiliaryDescriptor
SetMimeType([in, string] aafCharacter_constptr pMimeType) | IAAFAuxiliaryDescriptor
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFBWFImportDescriptor Interface Reference

Public Member Functions
IAAFBWFImportDescriptor Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFBWFImportDescriptor-supporting object.
HRESULT | SetFileSecurityReport ([in] aafUInt32 fileSecurityReport)
Sets the fileSecurityReport property.
HRESULT | GetFileSecurityReport ([out] aafUInt32 *pFileSecurityReport)
Gets the FileSecurityReport property.
HRESULT | SetFileSecurityWave ([in] aafUInt32 fileSecurityWave)
Sets the FileSecurityWave property.
HRESULT | GetFileSecurityWave ([out] aafUInt32 *pFileSecurityWave)
Gets the FileSecurityWave property.
HRESULT | CountUnknownBWFChunks ([out] aafUInt32 *pNumData)
Return total number of RIFFChunk objects attached to this component.
HRESULT | AppendUnknownBWFChunk ([in] IAAFRIFFChunk *pData)
Appends a pre-existing RIFFChunk object to end of this BWFImportDescriptor's list of UnknownBWFChunks.
HRESULT | PrependUnknownBWFChunk ([in] IAAFRIFFChunk *pData)
Prepends a pre-existing RIFFChunk object to the beginning of this BWFImportDescriptor's list of UnknownBWFChunks.
HRESULT | InsertUnknownBWFChunkAt ([in] aafUInt32 index,[in] IAAFRIFFChunk *pData)
Inserts the given RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.
HRESULT | GetUnknownBWFChunkAt ([in] aafUInt32 index,[out, retval] IAAFRIFFChunk **ppData)
Retrieves the RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.
HRESULT | RemoveUnknownBWFChunkAt ([in] aafUInt32 index)
Removes the RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.
HRESULT | GetUnknownBWFChunks ([out] IEnumAAFRIFFChunks **ppEnum)
Return the enumeration for all RIFFChunk objects on this component.
HRESULT | SetCodingHistory ([in, string] aafCharacter_constptr pCodingHistory)
Sets the CodingHistory string property.
HRESULT | GetCodingHistory ([out, string, size_is(bufSize)] aafCharacter *pCodingHistory,[in] aafUInt32 bufSize)
Gets the CodingHistory string property.
HRESULT | GetCodingHistoryBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetCodingHistory().
HRESULT | SetBasicData ([in, string] aafCharacter_constptr pBasicData)
Sets the BasicData string property.
HRESULT | GetBasicData ([out, string, size_is(bufSize)] aafCharacter *pBasicData,[in] aafUInt32 bufSize)
Gets the BasicData string property.
HRESULT | GetBasicDataBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetBasicData().
HRESULT | SetStartOfModulation ([in, string] aafCharacter_constptr pStartOfModulation)
Sets the StartOfModulation string property.
HRESULT | GetStartOfModulation ([out, string, size_is(bufSize)] aafCharacter *pStartOfModulation,[in] aafUInt32 bufSize)
Gets the StartOfModulation string property.
HRESULT | GetStartOfModulationBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetStartOfModulation().
HRESULT | SetQualityEvent ([in, string] aafCharacter_constptr pQualityEvent)
Sets the QualityEvent string property.
HRESULT | GetQualityEvent ([out, string, size_is(bufSize)] aafCharacter *pQualityEvent,[in] aafUInt32 bufSize)
Gets the QualityEvent string property.
HRESULT | GetQualityEventBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetQualityEvent().
HRESULT | SetEndOfModulation ([in, string] aafCharacter_constptr pEndOfModulation)
Sets the EndOfModulation string property.
HRESULT | GetEndOfModulation ([out, string, size_is(bufSize)] aafCharacter *pEndOfModulation,[in] aafUInt32 bufSize)
Gets the EndOfModulation string property.
HRESULT | GetEndOfModulationBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetEndOfModulation().
HRESULT | SetQualityParameter ([in, string] aafCharacter_constptr pQualityParameter)
Sets the QualityParameter string property.
HRESULT | GetQualityParameter ([out, string, size_is(bufSize)] aafCharacter *pQualityParameter,[in] aafUInt32 bufSize)
Gets the QualityParameter string property.
HRESULT | GetQualityParameterBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetQualityParameter().
HRESULT | SetOperatorComment ([in, string] aafCharacter_constptr pOperatorComment)
Sets the OperatorComment string property.
HRESULT | GetOperatorComment ([out, string, size_is(bufSize)] aafCharacter *pOperatorComment,[in] aafUInt32 bufSize)
Gets the OperatorComment string property.
HRESULT | GetOperatorCommentBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetOperatorComment().
HRESULT | SetCueSheet ([in, string] aafCharacter_constptr pCueSheet)
Sets the CueSheet string property.
HRESULT | GetCueSheet ([out, string, size_is(bufSize)] aafCharacter *pCueSheet,[in] aafUInt32 bufSize)
Gets the CueSheet string property.
HRESULT | GetCueSheetBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetCueSheet().

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • Insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

Objects that implement IAAFBWFImportDescriptor also implement the following interfaces:

  • IAAFImportDescriptor
  • IAAFPhysicalDescriptor
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 765 of file AAF.idl.

Member Function Documentation

HRESULT IAAFBWFImportDescriptor::AppendUnknownBWFChunk ( [in] IAAFRIFFChunk * pData )

Appends a pre-existing RIFFChunk object to end of this BWFImportDescriptor's list of UnknownBWFChunks.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the pData pointer indicates an object which is not already owned by any object

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pData arg is NULL.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • the object pointed to by pData is already owned by this or another object.
Parameters:
pData [in] RIFFChunk object to append
HRESULT IAAFBWFImportDescriptor::CountUnknownBWFChunks ( [out] aafUInt32 * pNumData )

Return total number of RIFFChunk objects attached to this component.

Succeeds if all of the following are true:

  • the pNumData pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumData arg is NULL.
Parameters:
pNumData [out] Number of RIFFChunk objects
HRESULT IAAFBWFImportDescriptor::GetBasicData | ( | [out, string, size_is(bufSize)] aafCharacter * | pBasicData,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the BasicData string property.

Writes the BasicData property, with a trailing null character, into the pBasicData buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the BasicData property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetBasicDataBufLen() to determine the required buffer size.

If this method fails nothing will be written to pBasicData.

Succeeds if:

  • The pBasicData pointer is valid.
  • bufSize indicates that the buffer is large enough to hold BasicData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBasicData arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold BasicData.
Parameters:
pBasicData | [out, string, size_is(bufSize)] buffer into which BasicData is to be written
bufSize | [in] size of *pBasicData buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetBasicDataBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetBasicData().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetCodingHistory | ( | [out, string, size_is(bufSize)] aafCharacter * | pCodingHistory,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the CodingHistory string property.

Writes the CodingHistory property, with a trailing null character, into the pCodingHistory buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the CodingHistory property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetCodingHistoryBufLen() to determine the required buffer size.

If this method fails nothing will be written to pCodingHistory.

Succeeds if:

  • The pCodingHistory pointer is valid.
  • bufSize indicates that the buffer is large enough to hold CodingHistory.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCodingHistory arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold CodingHistory.
Parameters:
pCodingHistory | [out, string, size_is(bufSize)] buffer into which CodingHistory is to be written
bufSize | [in] size of *pCodingHistory buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetCodingHistoryBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetCodingHistory().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetCueSheet | ( | [out, string, size_is(bufSize)] aafCharacter * | pCueSheet,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the CueSheet string property.

Writes the CueSheet property, with a trailing null character, into the pCueSheet buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the CueSheet property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetCueSheetBufLen() to determine the required buffer size.

If this method fails nothing will be written to pCueSheet.

Succeeds if:

  • The pCueSheet pointer is valid.
  • bufSize indicates that the buffer is large enough to hold CueSheet.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCueSheet arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold CueSheet.
Parameters:
pCueSheet | [out, string, size_is(bufSize)] buffer into which CueSheet is to be written
bufSize | [in] size of *pCueSheet buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetCueSheetBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetCueSheet().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetEndOfModulation | ( | [out, string, size_is(bufSize)] aafCharacter * | pEndOfModulation,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the EndOfModulation string property.

Writes the EndOfModulation property, with a trailing null character, into the pEndOfModulation buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the EndOfModulation property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetEndOfModulationBufLen() to determine the required buffer size.

If this method fails nothing will be written to pEndOfModulation.

Succeeds if:

  • The pEndOfModulation pointer is valid.
  • bufSize indicates that the buffer is large enough to hold EndOfModulation.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEndOfModulation arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold EndOfModulation.
Parameters:
pEndOfModulation | [out, string, size_is(bufSize)] buffer into which EndOfModulation is to be written
bufSize | [in] size of *pEndOfModulation buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetEndOfModulationBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetEndOfModulation().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetFileSecurityReport ( [out] aafUInt32 * pFileSecurityReport )

Gets the FileSecurityReport property.

Succeeds if all of the following are true:

  • pFileSecurityReport is a valid pointer
  • the property is present.

If this method fails, pFileSecurityReport will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileSecurityReport is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFileSecurityReport [out] value of the FileSecurityReport property
HRESULT IAAFBWFImportDescriptor::GetFileSecurityWave ( [out] aafUInt32 * pFileSecurityWave )

Gets the FileSecurityWave property.

Succeeds if all of the following are true:

  • pFileSecurityWave is a valid pointer
  • the property is present.

If this method fails, pFileSecurityWave will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileSecurityWave is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFileSecurityWave [out] value of the FileSecurityWave property
HRESULT IAAFBWFImportDescriptor::GetOperatorComment | ( | [out, string, size_is(bufSize)] aafCharacter * | pOperatorComment,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the OperatorComment string property.

Writes the OperatorComment property, with a trailing null character, into the pOperatorComment buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the OperatorComment property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetOperatorCommentBufLen() to determine the required buffer size.

If this method fails nothing will be written to pOperatorComment.

Succeeds if:

  • The pOperatorComment pointer is valid.
  • bufSize indicates that the buffer is large enough to hold OperatorComment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperatorComment arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold OperatorComment.
Parameters:
pOperatorComment | [out, string, size_is(bufSize)] buffer into which OperatorComment is to be written
bufSize | [in] size of *pOperatorComment buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetOperatorCommentBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetOperatorComment().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetQualityEvent | ( | [out, string, size_is(bufSize)] aafCharacter * | pQualityEvent,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the QualityEvent string property.

Writes the QualityEvent property, with a trailing null character, into the pQualityEvent buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the QualityEvent property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetQualityEventBufLen() to determine the required buffer size.

If this method fails nothing will be written to pQualityEvent.

Succeeds if:

  • The pQualityEvent pointer is valid.
  • bufSize indicates that the buffer is large enough to hold QualityEvent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pQualityEvent arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold QualityEvent.
Parameters:
pQualityEvent | [out, string, size_is(bufSize)] buffer into which QualityEvent is to be written
bufSize | [in] size of *pQualityEvent buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetQualityEventBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetQualityEvent().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetQualityParameter | ( | [out, string, size_is(bufSize)] aafCharacter * | pQualityParameter,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the QualityParameter string property.

Writes the QualityParameter property, with a trailing null character, into the pQualityParameter buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the QualityParameter property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetQualityParameterBufLen() to determine the required buffer size.

If this method fails nothing will be written to pQualityParameter.

Succeeds if:

  • The pQualityParameter pointer is valid.
  • bufSize indicates that the buffer is large enough to hold QualityParameter.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pQualityParameter arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold QualityParameter.
Parameters:
pQualityParameter | [out, string, size_is(bufSize)] buffer into which QualityParameter is to be written
bufSize | [in] size of *pQualityParameter buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetQualityParameterBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetQualityParameter().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetStartOfModulation | ( | [out, string, size_is(bufSize)] aafCharacter * | pStartOfModulation,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the StartOfModulation string property.

Writes the StartOfModulation property, with a trailing null character, into the pStartOfModulation buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the StartOfModulation property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetStartOfModulationBufLen() to determine the required buffer size.

If this method fails nothing will be written to pStartOfModulation.

Succeeds if:

  • The pStartOfModulation pointer is valid.
  • bufSize indicates that the buffer is large enough to hold StartOfModulation.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pStartOfModulation arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold StartOfModulation.
Parameters:
pStartOfModulation | [out, string, size_is(bufSize)] buffer into which StartOfModulation is to be written
bufSize | [in] size of *pStartOfModulation buffer in bytes
HRESULT IAAFBWFImportDescriptor::GetStartOfModulationBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetStartOfModulation().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFBWFImportDescriptor::GetUnknownBWFChunkAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFRIFFChunk ** | ppData
 | ) |  |

Retrieves the RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • index is less than the value returned by CountUnknownBWFChunks().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppData is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountUnknownBWFChunks().
Parameters:
index | [in] index of chunk to retrieve
ppData | [out, retval] returned RIFFChunk
HRESULT IAAFBWFImportDescriptor::GetUnknownBWFChunks ( [out] IEnumAAFRIFFChunks ** ppEnum )

Return the enumeration for all RIFFChunk objects on this component.

The returned enumerator is AddRef()ed before it is returned. The enumerator is implemented as an EnumAAFRIFFChunks.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] RIFFChunk objects
HRESULT IAAFBWFImportDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFBWFImportDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFBWFImportDescriptor::InsertUnknownBWFChunkAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFRIFFChunk * | pData
 | ) |  |

Inserts the given RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.

Chunks already existing at the given and higher indices will be moved to the next higher index to accommodate.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the pData pointer indicates an object which is not already owned by any object
  • index is less than or equal to the value returned by CountUnknownBWFChunks().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • the object pointed to by pData is already owned by this or another object.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountUnknownBWFChunks().
Parameters:
index | [in] index at which chunk is to be inserted
pData | [in] RIFFChunk to append
HRESULT IAAFBWFImportDescriptor::PrependUnknownBWFChunk ( [in] IAAFRIFFChunk * pData )

Prepends a pre-existing RIFFChunk object to the beginning of this BWFImportDescriptor's list of UnknownBWFChunks.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the pData pointer indicates an object which is not already owned by any object

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • the object pointed to by pData is already owned by this or another object.
Parameters:
pData [in] RIFFChunk object to prepend
HRESULT IAAFBWFImportDescriptor::RemoveUnknownBWFChunkAt ( [in] aafUInt32 index )

Removes the RIFFChunk at the given index in this BWFImportDescriptor's list of UnknownBWFChunks.

Chunks already existing at indices higher than the given index will be moved to the next lower index to accommodate.

Succeeds if all of the following are true:

  • index is less than the value returned by CountUnknownBWFChunks().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountUnknownBWFChunks().
Parameters:
index [in] index of chunk to remove
HRESULT IAAFBWFImportDescriptor::SetBasicData ( [in, string] aafCharacter_constptr pBasicData )

Sets the BasicData string property.

Set the BasicData property to the value specified in pBasicData. A copy is made of the data so the caller retains ownership of the *pBasicData buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pBasicData pointer is valid.

If this method fails the BasicData property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBasicData arg is NULL.
Parameters:
pBasicData [in, string] buffer from which BasicData is to be read
HRESULT IAAFBWFImportDescriptor::SetCodingHistory ( [in, string] aafCharacter_constptr pCodingHistory )

Sets the CodingHistory string property.

Set the CodingHistory property to the value specified in pCodingHistory. A copy is made of the data so the caller retains ownership of the *pCodingHistory buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pCodingHistory pointer is valid.

If this method fails the CodingHistory property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCodingHistory arg is NULL.
Parameters:
pCodingHistory [in, string] buffer from which CodingHistory is to be read
HRESULT IAAFBWFImportDescriptor::SetCueSheet ( [in, string] aafCharacter_constptr pCueSheet )

Sets the CueSheet string property.

Set the CueSheet property to the value specified in pCueSheet. A copy is made of the data so the caller retains ownership of the *pCueSheet buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pCueSheet pointer is valid.

If this method fails the CueSheet property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCueSheet arg is NULL.
Parameters:
pCueSheet [in, string] buffer from which CueSheet is to be read
HRESULT IAAFBWFImportDescriptor::SetEndOfModulation ( [in, string] aafCharacter_constptr pEndOfModulation )

Sets the EndOfModulation string property.

Set the EndOfModulation property to the value specified in pEndOfModulation. A copy is made of the data so the caller retains ownership of the *pEndOfModulation buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pEndOfModulation pointer is valid.

If this method fails the EndOfModulation property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEndOfModulation arg is NULL.
Parameters:
pEndOfModulation [in, string] buffer from which EndOfModulation is to be read
HRESULT IAAFBWFImportDescriptor::SetFileSecurityReport ( [in] aafUInt32 fileSecurityReport )

Sets the fileSecurityReport property.

This is an optional property.

If this method fails, the FileSecurityReport property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
fileSecurityReport [in] value to assign to the FileSecurityReport property
HRESULT IAAFBWFImportDescriptor::SetFileSecurityWave ( [in] aafUInt32 fileSecurityWave )

Sets the FileSecurityWave property.

This is an optional property.

If this method fails, the FileSecurityWave property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
fileSecurityWave [in] value to assign to the FileSecurityWave property
HRESULT IAAFBWFImportDescriptor::SetOperatorComment ( [in, string] aafCharacter_constptr pOperatorComment )

Sets the OperatorComment string property.

Set the OperatorComment property to the value specified in pOperatorComment. A copy is made of the data so the caller retains ownership of the *pOperatorComment buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pOperatorComment pointer is valid.

If this method fails the OperatorComment property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperatorComment arg is NULL.
Parameters:
pOperatorComment [in, string] buffer from which OperatorComment is to be read
HRESULT IAAFBWFImportDescriptor::SetQualityEvent ( [in, string] aafCharacter_constptr pQualityEvent )

Sets the QualityEvent string property.

Set the QualityEvent property to the value specified in pQualityEvent. A copy is made of the data so the caller retains ownership of the *pQualityEvent buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pQualityEvent pointer is valid.

If this method fails the QualityEvent property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pQualityEvent arg is NULL.
Parameters:
pQualityEvent [in, string] buffer from which QualityEvent is to be read
HRESULT IAAFBWFImportDescriptor::SetQualityParameter ( [in, string] aafCharacter_constptr pQualityParameter )

Sets the QualityParameter string property.

Set the QualityParameter property to the value specified in pQualityParameter. A copy is made of the data so the caller retains ownership of the *pQualityParameter buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pQualityParameter pointer is valid.

If this method fails the QualityParameter property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pQualityParameter arg is NULL.
Parameters:
pQualityParameter [in, string] buffer from which QualityParameter is to be read
HRESULT IAAFBWFImportDescriptor::SetStartOfModulation ( [in, string] aafCharacter_constptr pStartOfModulation )

Sets the StartOfModulation string property.

Set the StartOfModulation property to the value specified in pStartOfModulation. A copy is made of the data so the caller retains ownership of the *pStartOfModulation buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pStartOfModulation pointer is valid.

If this method fails the StartOfModulation property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pStartOfModulation arg is NULL.
Parameters:
pStartOfModulation [in, string] buffer from which StartOfModulation is to be read
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFBWFImportDescriptor Member List
This is the complete list of members for IAAFBWFImportDescriptor, including all inherited members.
AppendUnknownBWFChunk([in] IAAFRIFFChunk *pData) | IAAFBWFImportDescriptor
CountUnknownBWFChunks([out] aafUInt32 *pNumData) | IAAFBWFImportDescriptor
GetBasicData([out, string, size_is(bufSize)] aafCharacter *pBasicData,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetBasicDataBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetCodingHistory([out, string, size_is(bufSize)] aafCharacter *pCodingHistory,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetCodingHistoryBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetCueSheet([out, string, size_is(bufSize)] aafCharacter *pCueSheet,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetCueSheetBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetEndOfModulation([out, string, size_is(bufSize)] aafCharacter *pEndOfModulation,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetEndOfModulationBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetFileSecurityReport([out] aafUInt32 *pFileSecurityReport) | IAAFBWFImportDescriptor
GetFileSecurityWave([out] aafUInt32 *pFileSecurityWave) | IAAFBWFImportDescriptor
GetOperatorComment([out, string, size_is(bufSize)] aafCharacter *pOperatorComment,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetOperatorCommentBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetQualityEvent([out, string, size_is(bufSize)] aafCharacter *pQualityEvent,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetQualityEventBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetQualityParameter([out, string, size_is(bufSize)] aafCharacter *pQualityParameter,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetQualityParameterBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetStartOfModulation([out, string, size_is(bufSize)] aafCharacter *pStartOfModulation,[in] aafUInt32 bufSize) | IAAFBWFImportDescriptor
GetStartOfModulationBufLen([out] aafUInt32 *pBufSize) | IAAFBWFImportDescriptor
GetUnknownBWFChunkAt([in] aafUInt32 index,[out, retval] IAAFRIFFChunk **ppData) | IAAFBWFImportDescriptor
GetUnknownBWFChunks([out] IEnumAAFRIFFChunks **ppEnum) | IAAFBWFImportDescriptor
Initialize() | IAAFBWFImportDescriptor
InsertUnknownBWFChunkAt([in] aafUInt32 index,[in] IAAFRIFFChunk *pData) | IAAFBWFImportDescriptor
PrependUnknownBWFChunk([in] IAAFRIFFChunk *pData) | IAAFBWFImportDescriptor
RemoveUnknownBWFChunkAt([in] aafUInt32 index) | IAAFBWFImportDescriptor
SetBasicData([in, string] aafCharacter_constptr pBasicData) | IAAFBWFImportDescriptor
SetCodingHistory([in, string] aafCharacter_constptr pCodingHistory) | IAAFBWFImportDescriptor
SetCueSheet([in, string] aafCharacter_constptr pCueSheet) | IAAFBWFImportDescriptor
SetEndOfModulation([in, string] aafCharacter_constptr pEndOfModulation) | IAAFBWFImportDescriptor
SetFileSecurityReport([in] aafUInt32 fileSecurityReport) | IAAFBWFImportDescriptor
SetFileSecurityWave([in] aafUInt32 fileSecurityWave) | IAAFBWFImportDescriptor
SetOperatorComment([in, string] aafCharacter_constptr pOperatorComment) | IAAFBWFImportDescriptor
SetQualityEvent([in, string] aafCharacter_constptr pQualityEvent) | IAAFBWFImportDescriptor
SetQualityParameter([in, string] aafCharacter_constptr pQualityParameter) | IAAFBWFImportDescriptor
SetStartOfModulation([in, string] aafCharacter_constptr pStartOfModulation) | IAAFBWFImportDescriptor
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCachePageAllocator Interface Reference

Public Member Functions
IAAFCachePageAllocator Interface Reference

This interface is used by the toolkit for allocation and deallocation of pages in a page cache. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafUInt32 pageCount,[in] aafUInt32 pageSize)
Initialize.
HRESULT | Allocate ([out] aafMemPtr_t *pPage)
Allocate a cache page.
HRESULT | Deallocate ([in] aafMemPtr_t page)
Dellocate a cache page.

Detailed Description

This interface is used by the toolkit for allocation and deallocation of pages in a page cache.

It is typically implemented by clients requiring control over how memory is allocated. By implementing this interface clients are able to control aspects of memory allocation such as the source from which the memory is obtained, how the memory is aligned etc.

Notes for implementers -

  • Allocate() will be called a maximum of pageCount times, it may be called fewer times.
  • Deallocate() will be called the same number of times as Allocate().
  • Some uses of this interface never call Allocate() after Deallocate(), implementors of this interface should not assume that this is always the case.
  • Allocate() should indicate failure by returning AAFRESULT_NOMEMORY (and not by returning a NULL pointer.)
  • Deallocate() should accept a NULL pointer (and do nothing) as does operator delete.
  • It is valid to allocate all the pages during Initialize() or during the first call to Allocate(). For example, if aligned pages are required, allocating all the pages contiguously mans paying the space cost of alignment once instead of per-page.
  • Initialize() will be called only once.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 2657 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCachePageAllocator::Allocate ( [out] aafMemPtr_t * pPage )

Allocate a cache page.

Parameters:
pPage [out] Pointer to the newly allocated page
HRESULT IAAFCachePageAllocator::Deallocate ( [in] aafMemPtr_t page )

Dellocate a cache page.

Parameters:
page [in] Pointer to the page to deallocate
HRESULT IAAFCachePageAllocator::Initialize | ( | [in] aafUInt32 | pageCount,
 |  | [in] aafUInt32 | pageSize
 | ) |  |

Initialize.

Parameters:
pageCount | [in] Maximum number of pages to allocate
pageSize | [in] Size in bytes of each page
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCachePageAllocator Member List
This is the complete list of members for IAAFCachePageAllocator, including all inherited members.
Allocate([out] aafMemPtr_t *pPage) | IAAFCachePageAllocator
Deallocate([in] aafMemPtr_t page) | IAAFCachePageAllocator
Initialize([in] aafUInt32 pageCount,[in] aafUInt32 pageSize) | IAAFCachePageAllocator
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCDCIDescriptor Interface Reference

Public Member Functions
IAAFCDCIDescriptor Interface Reference

IAAFCDCIDescriptor is DEPRECATED. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFCDCIDescriptor-supporting object.
HRESULT | SetComponentWidth ([in] aafInt32 ComponentWidth)
Sets the ComponentWidth property.
HRESULT | GetComponentWidth ([out] aafInt32 *pComponentWidth)
Gets the ComponentWidth property.
HRESULT | SetHorizontalSubsampling ([in] aafUInt32 HorizontalSubsampling)
Sets the HorizontalSubsampling property.
HRESULT | GetHorizontalSubsampling ([out] aafUInt32 *pHorizontalSubsampling)
Gets the HorizontalSubsampling property.
HRESULT | SetVerticalSubsampling ([in] aafUInt32 VerticalSubsampling)
Sets the VerticalSubsampling property.
HRESULT | GetVerticalSubsampling ([out] aafUInt32 *pVerticalSubsampling)
Gets the VerticalSubsampling property.
HRESULT | SetColorSiting ([in] aafColorSiting_t ColorSiting)
Sets the ColorSiting property.
HRESULT | GetColorSiting ([out] aafColorSiting_t *pColorSiting)
Gets the ColorSiting property.
HRESULT | SetBlackReferenceLevel ([in] aafUInt32 BlackReferenceLevel)
Sets the BlackReferenceLevel property.
HRESULT | GetBlackReferenceLevel ([out] aafUInt32 *pBlackReferenceLevel)
Gets the BlackReferenceLevel property.
HRESULT | SetWhiteReferenceLevel ([in] aafUInt32 WhiteReferenceLevel)
Sets the WhiteReferenceLevel property.
HRESULT | GetWhiteReferenceLevel ([out] aafUInt32 *pWhiteReferenceLevel)
Gets the WhiteReferenceLevel property.
HRESULT | SetColorRange ([in] aafUInt32 ColorRange)
Sets the ColorRange property.
HRESULT | GetColorRange ([out] aafUInt32 *pColorRange)
Gets the ColorRange property.
HRESULT | SetPaddingBits ([in] aafInt16 PaddingBits)
Sets the PaddingBits property.
HRESULT | GetPaddingBits ([out] aafInt16 *pPaddingBits)
Gets the PaddingBits property.

Detailed Description

IAAFCDCIDescriptor is DEPRECATED.

Please use IAAFCDCIDescriptor2.

The IAAFCDCIDescriptor interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFCDCIDescriptor also implement the following interfaces:

IAAFCDCIDescriptor2

  • IAAFDigitalImageDescriptor
  • IAAFDigitalImageDescriptor2
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 2016 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCDCIDescriptor::GetBlackReferenceLevel ( [out] aafUInt32 * pBlackReferenceLevel )

Gets the BlackReferenceLevel property.

Specifies the digital luminance component value associated with black.

For CCIR-601/2, the value is 16 for 8-bit video and 64 for 10-bit video. For YUV, the value is 0. These are typical values; other values will not be disallowed by the reference implementation.

The same value is used in CDCI and RGBA when standard colorspace conversion is used.

Succeeds if all of the following are true:

  • pBlackReferenceLevel is a valid pointer.

If this method fails, *pBlackReferenceLevel will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pBlackReferenceLevel arg is NULL.
Parameters:
pBlackReferenceLevel [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor::GetColorRange ( [out] aafUInt32 * pColorRange )

Gets the ColorRange property.

Specifies the range of allowable digital chrominance component values. Chrominance values are unsigned and the range is centered on 128 for 8-bit video and 512 for 10-bit video. This value is used for both chrominance components.

For CCIR-601/2, the range is 225 for 8-bit video and 897 for 10-bit video. For YUV, the range is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

Succeeds if all of the following are true:

  • pColorRange is a valid pointer.

If this method fails, *pColorRange will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pColorRange arg is NULL.
Parameters:
pColorRange [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor::GetColorSiting ( [out] aafColorSiting_t * pColorSiting )

Gets the ColorSiting property.

Specifies how to compute subsampled chrominance values.

Valid values are:

kCoSiting - To calculate subsampled pixels, take the preceding's pixels color value, discard the other color values and cosite the color with the first luminance value.

kAveraging - To calculate subsampled pixels, take the average of the two adjacent pixels' color values and site the color in the center of the luminance pixels.

kThreeTap - To calculate subsampled pixels, take 25 percent of the the previous pixel's color value, 50 percent of the first value and 25 percent of the second value. For the first value in a row, use 75 percent of that value since there is no previous value. The kThreeTap value is only meaningful when the HorizontalSubsampling propert has a value of 2.

Succeeds if all of the following are true:

  • pColorSiting is a valid pointer.

If this method fails, *pColorSiting will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pColorSiting arg is NULL.
Parameters:
pColorSiting [out] Address to store the color siting value.
HRESULT IAAFCDCIDescriptor::GetComponentWidth ( [out] aafInt32 * pComponentWidth )

Gets the ComponentWidth property.

Specifies the number of bits used to store each component. Typical values can be 8, 10, 12, 14, or 16, but others are permitted by the reference implementation. Each component in a sample is packed contiguously; the sample is filled with the number of bits specified by the optional PaddingBits property. If the PaddingBits property is omitted, samples are packed contiguously.

Succeeds if all of the following are true:

  • pComponentWidth is a valid pointer.

If this method fails, *pComponentWidth will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pComponentWidth arg is NULL.
Parameters:
pComponentWidth [out] Address to store the number of bits.
HRESULT IAAFCDCIDescriptor::GetHorizontalSubsampling ( [out] aafUInt32 * pHorizontalSubsampling )

Gets the HorizontalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the horizontal direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

Succeeds if all of the following are true:

  • pHorizontalSubsampling is a valid pointer.

If this method fails, *pHorizontalSubsampling will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pHorizontalSubsampling arg is NULL.
Parameters:
pHorizontalSubsampling [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor::GetPaddingBits ( [out] aafInt16 * pPaddingBits )

Gets the PaddingBits property.

Specifies the number of bits padded to each pixel.

Succeeds if all of the following are true:

  • pPaddingBits is a valid pointer.

If this method fails, pPaddingBits will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPaddingBits arg is NULL.
Parameters:
pPaddingBits [out] Address to store the number of bits.
HRESULT IAAFCDCIDescriptor::GetVerticalSubsampling ( [out] aafUInt32 * pVerticalSubsampling )

Gets the VerticalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the vertical direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

Succeeds if all of the following are true:

  • pVerticalSubsampling is a valid pointer.

If this method fails, *pVerticalSubsampling will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVerticalSubsampling arg is NULL.
Parameters:
pVerticalSubsampling [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor::GetWhiteReferenceLevel ( [out] aafUInt32 * pWhiteReferenceLevel )

Gets the WhiteReferenceLevel property.

Specifies the digital luminance component component value associated with white.

For CCIR-601/2, the value is 235 for 8-bit video and 940 for 10-bit video. For YUV, the value is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

Succeeds if all of the following are true:

  • pWhiteReferenceLevel is a valid pointer.

If this method fails, *pWhiteReferenceLevel will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pWhiteReferenceLevel arg is NULL.
Parameters:
pWhiteReferenceLevel [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFCDCIDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFCDCIDescriptor::SetBlackReferenceLevel ( [in] aafUInt32 BlackReferenceLevel )

Sets the BlackReferenceLevel property.

Specifies the digital luminance component component value associated with black.

For CCIR-601/2, the value is 16 for 8-bit video and 64 for 10-bit video. For YUV, the value is 0. These are typical values; other values will not be disallowed by the reference implementation.

The same value is used in CDCI and RGBA when standard colorspace conversion is used.

This property is optional. The default value is 0.

If this method fails, the BlackReferenceLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
BlackReferenceLevel [in] Integer value.
HRESULT IAAFCDCIDescriptor::SetColorRange ( [in] aafUInt32 ColorRange )

Sets the ColorRange property.

Specifies the range of allowable digital chrominance component values. Chrominance values are unsigned and the range is centered on 128 for 8-bit video and 512 for 10-bit video. This value is used for both chrominance components.

For CCIR-601/2, the range is 225 for 8-bit video and 897 for 10-bit video. For YUV, the range is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

This property is optional. The default value is the maximum unsigned integer value for component size.

Succeeds if all of the following are true:

If this method fails, the ColorRange property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ColorRange [in] Integer value.
HRESULT IAAFCDCIDescriptor::SetColorSiting ( [in] aafColorSiting_t ColorSiting )

Sets the ColorSiting property.

Specifies how to compute subsampled chrominance values.

Valid values are:

kCoSiting - To calculate subsampled pixels, take the preceding's pixels color value, discard the other color values and cosite the color with the first luminance value.

kAveraging - To calculate subsampled pixels, take the average of the two adjacent pixels' color values and site the color in the center of the luminance pixels.

kThreeTap - To calculate subsampled pixels, take 25 percent of the the previous pixel's color value, 50 percent of the first value and 25 percent of the second value. For the first value in a row, use 75 percent of that value since there is no previous value. The kThreeTap value is only meaningful when the HorizontalSubsampling propert has a value of 2.

This property is optional. The default value is kCoSiting.

Succeeds if all of the following are true:

  • ColorSiting is valid

If this method fails, the ColorSiting property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ColorSiting [in] Color siting value.
HRESULT IAAFCDCIDescriptor::SetComponentWidth ( [in] aafInt32 ComponentWidth )

Sets the ComponentWidth property.

Specifies the number of bits used to store each component. Typical values can be 8, 10, 12, 14, or 16, but others are permitted by the reference implementation. Each component in a sample is packed contiguously; the sample is filled with the number of bits specified by the optional PaddingBits property. If the PaddingBits property is omitted, samples are packed contiguously.

If this method fails, the ComponentWidth property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ComponentWidth [in] Number of bits.
HRESULT IAAFCDCIDescriptor::SetHorizontalSubsampling ( [in] aafUInt32 HorizontalSubsampling )

Sets the HorizontalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the horizontal direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

If this method fails, the HorizontalSubsampling property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
HorizontalSubsampling [in] Integer value.
HRESULT IAAFCDCIDescriptor::SetPaddingBits ( [in] aafInt16 PaddingBits )

Sets the PaddingBits property.

Specifies the number of bits padded to each pixel.

This property is optional. The default value is 0.

If this method fails, the PaddingBits property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
PaddingBits [in] Number of bits.
HRESULT IAAFCDCIDescriptor::SetVerticalSubsampling ( [in] aafUInt32 VerticalSubsampling )

Sets the VerticalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the vertical direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

If this method fails, the VerticalSubsampling property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
VerticalSubsampling [in] Integer value.
HRESULT IAAFCDCIDescriptor::SetWhiteReferenceLevel ( [in] aafUInt32 WhiteReferenceLevel )

Sets the WhiteReferenceLevel property.

Specifies the digital luminance component component value associated with white.

For CCIR-601/2, the value is 235 for 8-bit video and 940 for 10-bit video. For YUV, the value is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

This property is optional. The default value is the maximum unsigned interger value for component size.

If this method fails, the WhiteReferenceLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
WhiteReferenceLevel [in] Integer value.
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCDCIDescriptor2 Interface Reference

Public Member Functions
IAAFCDCIDescriptor2 Interface Reference

The IAAFCDCIDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFCDCIDescriptor2-supporting object.
HRESULT | SetComponentWidth ([in] aafInt32 ComponentWidth)
Sets the ComponentWidth property.
HRESULT | GetComponentWidth ([out] aafInt32 *pComponentWidth)
Gets the ComponentWidth property.
HRESULT | SetHorizontalSubsampling ([in] aafUInt32 HorizontalSubsampling)
Sets the HorizontalSubsampling property.
HRESULT | GetHorizontalSubsampling ([out] aafUInt32 *pHorizontalSubsampling)
Gets the HorizontalSubsampling property.
HRESULT | SetVerticalSubsampling ([in] aafUInt32 VerticalSubsampling)
Sets the VerticalSubsampling property.
HRESULT | GetVerticalSubsampling ([out] aafUInt32 *pVerticalSubsampling)
Gets the VerticalSubsampling property.
HRESULT | SetColorSiting ([in] aafColorSiting_t ColorSiting)
Sets the ColorSiting property.
HRESULT | GetColorSiting ([out] aafColorSiting_t *pColorSiting)
Gets the ColorSiting property.
HRESULT | SetBlackReferenceLevel ([in] aafUInt32 BlackReferenceLevel)
Sets the BlackReferenceLevel property.
HRESULT | GetBlackReferenceLevel ([out] aafUInt32 *pBlackReferenceLevel)
Gets the BlackReferenceLevel property.
HRESULT | SetWhiteReferenceLevel ([in] aafUInt32 WhiteReferenceLevel)
Sets the WhiteReferenceLevel property.
HRESULT | GetWhiteReferenceLevel ([out] aafUInt32 *pWhiteReferenceLevel)
Gets the WhiteReferenceLevel property.
HRESULT | SetColorRange ([in] aafUInt32 ColorRange)
Sets the ColorRange property.
HRESULT | GetColorRange ([out] aafUInt32 *pColorRange)
Gets the ColorRange property.
HRESULT | SetPaddingBits ([in] aafInt16 PaddingBits)
Sets the PaddingBits property.
HRESULT | GetPaddingBits ([out] aafInt16 *pPaddingBits)
Gets the PaddingBits property.
HRESULT | SetAlphaSamplingWidth ([in] aafUInt32 alphaSamplingWidth)
Sets the AlphaSamplingWidth property.
HRESULT | GetAlphaSamplingWidth ([out] aafUInt32 *pAlphaSamplingWidth)
Gets the AlphaSamplingWidth property.
HRESULT | SetReversedByteOrder ([in] aafBoolean_t reversedByteOrder)
Sets the ReversedByteOrder property.
HRESULT | GetReversedByteOrder ([out] aafBoolean_t *pReversedByteOrder)
Gets the ReversedByteOrder property.

Detailed Description

The IAAFCDCIDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFCDCIDescriptor2 also implement the following interfaces:

IAAFDigitalImageDescriptor

  • IAAFDigitalImageDescriptor2
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 39991 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCDCIDescriptor2::GetAlphaSamplingWidth ( [out] aafUInt32 * pAlphaSamplingWidth )

Gets the AlphaSamplingWidth property.

Succeeds if all of the following are true:

  • pAlphaSamplingWidth is a valid pointer
  • the property is present.

If this method fails, pAlphaSamplingWidth will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAlphaSamplingWidth is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pAlphaSamplingWidth [out] Optional.
HRESULT IAAFCDCIDescriptor2::GetBlackReferenceLevel ( [out] aafUInt32 * pBlackReferenceLevel )

Gets the BlackReferenceLevel property.

Specifies the digital luminance component value associated with black.

For CCIR-601/2, the value is 16 for 8-bit video and 64 for 10-bit video. For YUV, the value is 0. These are typical values; other values will not be disallowed by the reference implementation.

The same value is used in CDCI and RGBA when standard colorspace conversion is used.

Succeeds if all of the following are true:

  • pBlackReferenceLevel is a valid pointer.

If this method fails, *pBlackReferenceLevel will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pBlackReferenceLevel arg is NULL.
Parameters:
pBlackReferenceLevel [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor2::GetColorRange ( [out] aafUInt32 * pColorRange )

Gets the ColorRange property.

Specifies the range of allowable digital chrominance component values. Chrominance values are unsigned and the range is centered on 128 for 8-bit video and 512 for 10-bit video. This value is used for both chrominance components.

For CCIR-601/2, the range is 225 for 8-bit video and 897 for 10-bit video. For YUV, the range is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

Succeeds if all of the following are true:

  • pColorRange is a valid pointer.

If this method fails, *pColorRange will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pColorRange arg is NULL.
Parameters:
pColorRange [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor2::GetColorSiting ( [out] aafColorSiting_t * pColorSiting )

Gets the ColorSiting property.

Specifies how to compute subsampled chrominance values.

Valid values are:

kCoSiting - To calculate subsampled pixels, take the preceding's pixels color value, discard the other color values and cosite the color with the first luminance value.

kAveraging - To calculate subsampled pixels, take the average of the two adjacent pixels' color values and site the color in the center of the luminance pixels.

kThreeTap - To calculate subsampled pixels, take 25 percent of the the previous pixel's color value, 50 percent of the first value and 25 percent of the second value. For the first value in a row, use 75 percent of that value since there is no previous value. The kThreeTap value is only meaningful when the HorizontalSubsampling propert has a value of 2.

Succeeds if all of the following are true:

  • pColorSiting is a valid pointer.

If this method fails, *pColorSiting will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pColorSiting arg is NULL.
Parameters:
pColorSiting [out] Address to store the color siting value.
HRESULT IAAFCDCIDescriptor2::GetComponentWidth ( [out] aafInt32 * pComponentWidth )

Gets the ComponentWidth property.

Specifies the number of bits used to store each component. Typical values can be 8, 10, 12, 14, or 16, but others are permitted by the reference implementation. Each component in a sample is packed contiguously; the sample is filled with the number of bits specified by the optional PaddingBits property. If the PaddingBits property is omitted, samples are packed contiguously.

Succeeds if all of the following are true:

  • pComponentWidth is a valid pointer.

If this method fails, *pComponentWidth will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pComponentWidth arg is NULL.
Parameters:
pComponentWidth [out] Address to store the number of bits.
HRESULT IAAFCDCIDescriptor2::GetHorizontalSubsampling ( [out] aafUInt32 * pHorizontalSubsampling )

Gets the HorizontalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the horizontal direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

Succeeds if all of the following are true:

  • pHorizontalSubsampling is a valid pointer.

If this method fails, *pHorizontalSubsampling will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pHorizontalSubsampling arg is NULL.
Parameters:
pHorizontalSubsampling [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor2::GetPaddingBits ( [out] aafInt16 * pPaddingBits )

Gets the PaddingBits property.

Specifies the number of bits padded to each pixel.

Succeeds if all of the following are true:

  • pPaddingBits is a valid pointer.

If this method fails, pPaddingBits will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPaddingBits arg is NULL.
Parameters:
pPaddingBits [out] Address to store the number of bits.
HRESULT IAAFCDCIDescriptor2::GetReversedByteOrder ( [out] aafBoolean_t * pReversedByteOrder )

Gets the ReversedByteOrder property.

Succeeds if all of the following are true:

  • pReversedByteOrder is a valid pointer
  • the property is present.

If this method fails, pReversedByteOrder will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pReversedByteOrder is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pReversedByteOrder [out] Optional.
HRESULT IAAFCDCIDescriptor2::GetVerticalSubsampling ( [out] aafUInt32 * pVerticalSubsampling )

Gets the VerticalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the vertical direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

Succeeds if all of the following are true:

  • pVerticalSubsampling is a valid pointer.

If this method fails, *pVerticalSubsampling will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVerticalSubsampling arg is NULL.
Parameters:
pVerticalSubsampling [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor2::GetWhiteReferenceLevel ( [out] aafUInt32 * pWhiteReferenceLevel )

Gets the WhiteReferenceLevel property.

Specifies the digital luminance component component value associated with white.

For CCIR-601/2, the value is 235 for 8-bit video and 940 for 10-bit video. For YUV, the value is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

Succeeds if all of the following are true:

  • pWhiteReferenceLevel is a valid pointer.

If this method fails, *pWhiteReferenceLevel will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pWhiteReferenceLevel arg is NULL.
Parameters:
pWhiteReferenceLevel [out] Address to store the integer value.
HRESULT IAAFCDCIDescriptor2::Initialize ( )

Initializes a newly allocated, empty IAAFCDCIDescriptor2-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFCDCIDescriptor2::SetAlphaSamplingWidth ( [in] aafUInt32 alphaSamplingWidth )

Sets the AlphaSamplingWidth property.

Succeeds if all of the following are true:

If this method fails, the AlphaSamplingWidth property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
alphaSamplingWidth [in] Optional.
HRESULT IAAFCDCIDescriptor2::SetBlackReferenceLevel ( [in] aafUInt32 BlackReferenceLevel )

Sets the BlackReferenceLevel property.

Specifies the digital luminance component component value associated with black.

For CCIR-601/2, the value is 16 for 8-bit video and 64 for 10-bit video. For YUV, the value is 0. These are typical values; other values will not be disallowed by the reference implementation.

The same value is used in CDCI and RGBA when standard colorspace conversion is used.

This property is optional. The default value is 0.

If this method fails, the BlackReferenceLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
BlackReferenceLevel [in] Integer value.
HRESULT IAAFCDCIDescriptor2::SetColorRange ( [in] aafUInt32 ColorRange )

Sets the ColorRange property.

Specifies the range of allowable digital chrominance component values. Chrominance values are unsigned and the range is centered on 128 for 8-bit video and 512 for 10-bit video. This value is used for both chrominance components.

For CCIR-601/2, the range is 225 for 8-bit video and 897 for 10-bit video. For YUV, the range is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

This property is optional. The default value is the maximum unsigned integer value for component size.

Succeeds if all of the following are true:

If this method fails, the ColorRange property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ColorRange [in] Integer value.
HRESULT IAAFCDCIDescriptor2::SetColorSiting ( [in] aafColorSiting_t ColorSiting )

Sets the ColorSiting property.

Specifies how to compute subsampled chrominance values.

Valid values are:

kCoSiting - To calculate subsampled pixels, take the preceding's pixels color value, discard the other color values and cosite the color with the first luminance value.

kAveraging - To calculate subsampled pixels, take the average of the two adjacent pixels' color values and site the color in the center of the luminance pixels.

kThreeTap - To calculate subsampled pixels, take 25 percent of the the previous pixel's color value, 50 percent of the first value and 25 percent of the second value. For the first value in a row, use 75 percent of that value since there is no previous value. The kThreeTap value is only meaningful when the HorizontalSubsampling propert has a value of 2.

This property is optional. The default value is kCoSiting.

Succeeds if all of the following are true:

  • ColorSiting is valid

If this method fails, the ColorSiting property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ColorSiting [in] Color siting value.
HRESULT IAAFCDCIDescriptor2::SetComponentWidth ( [in] aafInt32 ComponentWidth )

Sets the ComponentWidth property.

Specifies the number of bits used to store each component. Typical values can be 8, 10, 12, 14, or 16, but others are permitted by the reference implementation. Each component in a sample is packed contiguously; the sample is filled with the number of bits specified by the optional PaddingBits property. If the PaddingBits property is omitted, samples are packed contiguously.

If this method fails, the ComponentWidth property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ComponentWidth [in] Number of bits.
HRESULT IAAFCDCIDescriptor2::SetHorizontalSubsampling ( [in] aafUInt32 HorizontalSubsampling )

Sets the HorizontalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the horizontal direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

If this method fails, the HorizontalSubsampling property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
HorizontalSubsampling [in] Integer value.
HRESULT IAAFCDCIDescriptor2::SetPaddingBits ( [in] aafInt16 PaddingBits )

Sets the PaddingBits property.

Specifies the number of bits padded to each pixel.

This property is optional. The default value is 0.

If this method fails, the PaddingBits property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
PaddingBits [in] Number of bits.
HRESULT IAAFCDCIDescriptor2::SetReversedByteOrder ( [in] aafBoolean_t reversedByteOrder )

Sets the ReversedByteOrder property.

Succeeds if all of the following are true:

If this method fails, the ReversedByteOrder property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
reversedByteOrder [in] Optional.
HRESULT IAAFCDCIDescriptor2::SetVerticalSubsampling ( [in] aafUInt32 VerticalSubsampling )

Sets the VerticalSubsampling property.

Specifies the ratio of luminance sampling to chrominance sampling in the vertical direction. For 4:2:2 video, the value is 2, which means that there are twice as many luminance values as there are color-difference values. Another typical value is 1; however other values are permitted by the reference implementation.

If this method fails, the VerticalSubsampling property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
VerticalSubsampling [in] Integer value.
HRESULT IAAFCDCIDescriptor2::SetWhiteReferenceLevel ( [in] aafUInt32 WhiteReferenceLevel )

Sets the WhiteReferenceLevel property.

Specifies the digital luminance component component value associated with white.

For CCIR-601/2, the value is 235 for 8-bit video and 940 for 10-bit video. For YUV, the value is 255 for 8-bit video and 1023 for 10-bit video. These are typical values; other values will not be disallowed by the reference implementation.

This property is optional. The default value is the maximum unsigned interger value for component size.

If this method fails, the WhiteReferenceLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
WhiteReferenceLevel [in] Integer value.
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCDCIDescriptor2 Member List
This is the complete list of members for IAAFCDCIDescriptor2, including all inherited members.
GetAlphaSamplingWidth([out] aafUInt32 *pAlphaSamplingWidth) | IAAFCDCIDescriptor2
GetBlackReferenceLevel([out] aafUInt32 *pBlackReferenceLevel) | IAAFCDCIDescriptor2
GetColorRange([out] aafUInt32 *pColorRange) | IAAFCDCIDescriptor2
GetColorSiting([out] aafColorSiting_t *pColorSiting) | IAAFCDCIDescriptor2
GetComponentWidth([out] aafInt32 *pComponentWidth) | IAAFCDCIDescriptor2
GetHorizontalSubsampling([out] aafUInt32 *pHorizontalSubsampling) | IAAFCDCIDescriptor2
GetPaddingBits([out] aafInt16 *pPaddingBits) | IAAFCDCIDescriptor2
GetReversedByteOrder([out] aafBoolean_t *pReversedByteOrder) | IAAFCDCIDescriptor2
GetVerticalSubsampling([out] aafUInt32 *pVerticalSubsampling) | IAAFCDCIDescriptor2
GetWhiteReferenceLevel([out] aafUInt32 *pWhiteReferenceLevel) | IAAFCDCIDescriptor2
Initialize() | IAAFCDCIDescriptor2
SetAlphaSamplingWidth([in] aafUInt32 alphaSamplingWidth) | IAAFCDCIDescriptor2
SetBlackReferenceLevel([in] aafUInt32 BlackReferenceLevel) | IAAFCDCIDescriptor2
SetColorRange([in] aafUInt32 ColorRange) | IAAFCDCIDescriptor2
SetColorSiting([in] aafColorSiting_t ColorSiting) | IAAFCDCIDescriptor2
SetComponentWidth([in] aafInt32 ComponentWidth) | IAAFCDCIDescriptor2
SetHorizontalSubsampling([in] aafUInt32 HorizontalSubsampling) | IAAFCDCIDescriptor2
SetPaddingBits([in] aafInt16 PaddingBits) | IAAFCDCIDescriptor2
SetReversedByteOrder([in] aafBoolean_t reversedByteOrder) | IAAFCDCIDescriptor2
SetVerticalSubsampling([in] aafUInt32 VerticalSubsampling) | IAAFCDCIDescriptor2
SetWhiteReferenceLevel([in] aafUInt32 WhiteReferenceLevel) | IAAFCDCIDescriptor2
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFClassDef Interface Reference

Public Member Functions
IAAFClassDef Interface Reference

This interface is used with an object representing an AAF class definition. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref classID,[in] IAAFClassDef *pParentClass,[in, string] aafCharacter_constptr pClassName,[in] aafBoolean_t isConcrete)
Initializes this class definition object to inherit from the given parent class.
HRESULT | GetPropertyDefs ([out, retval] IEnumAAFPropertyDefs **ppEnum)
Returns an enumerator over all of the aaf property definitions attached to the current class.
HRESULT | CountPropertyDefs ([out] aafUInt32 *pCount)
Returns number of property definitions in this class.
HRESULT | RegisterNewPropertyDef ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[in] aafBoolean_t isOptional,[in] aafBoolean_t isUniqueIdentifier,[out] IAAFPropertyDef **ppPropDef)
Creates a new property definition and registers it in this class definition.
HRESULT | RegisterOptionalPropertyDef ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[out] IAAFPropertyDef **ppPropDef)
Creates a new property definition and registers it in this class definition.
HRESULT | LookupPropertyDef ([in, ref] aafUID_constref propID,[out] IAAFPropertyDef **ppPropDef)
Looks up the property definition corresponding to the named auid and returns a pointer to that property definition in ppPropDef.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets Accesses a human-readable name for the class.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | GetParent ([out, retval] IAAFClassDef **ppClassDef)
Gets the Parent class for this object.
HRESULT | IsConcrete ([out, retval] aafBoolean_t *pResult)
Returns true if this class can be instantiated; returns false otherwise.
HRESULT | IsRoot ([out, retval] aafBoolean_t *isRoot)
Returns true if this class is the base of the inheritance hierarchy; returns false otherwise.
HRESULT | IsUniquelyIdentified ([out, retval] aafBoolean_t *pIsUniquelyIdentified)
Returns true if this class is uniquely identified.
HRESULT | GetUniqueIdentifier ([out, retval] IAAFPropertyDef **ppUniqueIdentifier)
Returns the property definition corresponding to this class' unique identifier.
HRESULT | CreateInstance ([in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject)
Creates an object of this class, and returns it by reference in the location specified by the ppObject argument.

Detailed Description

This interface is used with an object representing an AAF class definition.

The operations on a class definition include managing the position of the class within the class heirarchy, and accessing property definitions associated with the class.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFClassDef also implement the following interfaces:

  • IAAFMetaDefinition

Definition at line 2726 of file AAF.idl.

Member Function Documentation

HRESULT IAAFClassDef::CountPropertyDefs ( [out] aafUInt32 * pCount )

Returns number of property definitions in this class.

Succeeds if:

  • The pCount pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] number of properties contained in this class definition
HRESULT IAAFClassDef::CreateInstance | ( | [in, ref] REFIID | riid,
 |  | [out, iid_is(riid)] IUnknown ** | ppvObject
 | ) |  |

Creates an object of this class, and returns it by reference in the location specified by the ppObject argument.

Succeeds if:

  • The ppObject pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppObject arg is NULL.
Parameters:
[in] | riid | Reference to the identifier of the interface
[out] | ppvObject | Address of output variable that receives the interface pointer requested in riid
HRESULT IAAFClassDef::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets Accesses a human-readable name for the class.

This name is not meant to be a way for programs to refer to the class, as it is of undetermined length, and is not checked to guarantee uniqueness.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFClassDef::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFClassDef::GetParent ( [out, retval] IAAFClassDef ** ppClassDef )

Gets the Parent class for this object.

If there is no parent, returns the result AAFRESULT_NO_PARENT. The only class which has no parent will be AAFObject.

Succeeds if:

  • The ppClassDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClassDef arg is NULL.
Parameters:
ppClassDef [out, retval] parent class definition
HRESULT IAAFClassDef::GetPropertyDefs ( [out, retval] IEnumAAFPropertyDefs ** ppEnum )

Returns an enumerator over all of the aaf property definitions attached to the current class.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out, retval] Property Definition enumeration
HRESULT IAAFClassDef::GetUniqueIdentifier ( [out, retval] IAAFPropertyDef ** ppUniqueIdentifier )

Returns the property definition corresponding to this class' unique identifier.

Succeeds if:

  • The ppUniqueIdentifier pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppUniqueIdentifier arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • If this class definition does not have a unique identifier property definition.
Parameters:
ppUniqueIdentifier [out, retval] The unique identifier
HRESULT IAAFClassDef::Initialize | ( | [in, ref] aafUID_constref | classID,
 |  | [in] IAAFClassDef * | pParentClass,
 |  | [in, string] aafCharacter_constptr | pClassName,
 |  | [in] aafBoolean_t | isConcrete
 | ) |  |

Initializes this class definition object to inherit from the given parent class.

If isConcrete is set to AAFTrue, objects of this class can be instantiated; otherwise, it will be illegal to instantiate such objects.

Succeeds if:

  • The pID pointer is valid.
  • The pParentClass pointer is valid.
  • The pTypeName pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pID, pParentClass, or pTypeName arg is NULL.
Parameters:
classID | [in, ref] auid to be used to identify this type
pParentClass | [in] existing class from which this one inherits
pClassName | [in, string] friendly name of this type definition
isConcrete | [in] can objects of this class be instantiated
HRESULT IAAFClassDef::IsConcrete ( [out, retval] aafBoolean_t * pResult )

Returns true if this class can be instantiated; returns false otherwise.

Succeeds if:

  • The ppClassDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out, retval] Can this class be instantiated
HRESULT IAAFClassDef::IsRoot ( [out, retval] aafBoolean_t * isRoot )

Returns true if this class is the base of the inheritance hierarchy; returns false otherwise.

Succeeds if:

  • The ppClassDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • isRoot arg is NULL.
Parameters:
isRoot [out, retval] Is this a root (base) class
HRESULT IAAFClassDef::IsUniquelyIdentified ( [out, retval] aafBoolean_t * pIsUniquelyIdentified )

Returns true if this class is uniquely identified.

Succeeds if:

  • The pIsUniquelyIdentified pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsUniquelyIdentified arg is NULL.
Parameters:
pIsUniquelyIdentified [out, retval] Is this a UniquelyIdentified class
HRESULT IAAFClassDef::LookupPropertyDef | ( | [in, ref] aafUID_constref | propID,
 |  | [out] IAAFPropertyDef ** | ppPropDef
 | ) |  |

Looks up the property definition corresponding to the named auid and returns a pointer to that property definition in ppPropDef.

Succeeds if:

  • The pPropID pointer is valid.
  • The ppPropDef pointer is valid.
  • the auid specified by pID has been registered as a property definition for this class definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppPropDef arg is NULL.

AAFRESULT_BAD_PARAM

  • The given ID has not been registered as a property definition.
Parameters:
propID | [in, ref] auid reprepresenting property to look up
ppPropDef | [out] resulting property definition
HRESULT IAAFClassDef::RegisterNewPropertyDef | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in] aafBoolean_t | isOptional,
 |  | [in] aafBoolean_t | isUniqueIdentifier,
 |  | [out] IAAFPropertyDef ** | ppPropDef
 | ) |  |

Creates a new property definition and registers it in this class definition.

If ppPropDef is non-NULL, will return the new property definition in ppPropDef.

Note that it is illegal to add mandatory properties to an existing (registered) class. This method will allow adding either optional or mandatory properties to a class, but they must be added to a class which has not yet been registered in the dictionary. If this class has already been registered, it is possible to add optional properties, but not through this method. Optional properties added to an existing (registered) class may be added through the RegisterOptionalPropertyDef() method.

Succeeds if:

  • The pID pointer is valid.
  • The pName pointer is valid.
  • The pTypeDef pointer is valid.
  • This class has not already been registered in the dictionary.
  • The auid specified by pID has not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pName or pTypeDef arg is NULL.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • This class has already been registered.

AAFRESULT_ALREADY_UNIQUELY_INDENTIFED

  • This class already has a unique indentifier property.

AAFRESULT_BAD_PARAM

  • The given ID has already been registered.
Parameters:
id | [in, ref] auid to be used to identify this property
pName | [in, string] name of the new property
pTypeDef | [in] type of the new property
isOptional | [in] true if new property is to be optional
isUniqueIdentifier | [in] true if new property is to be the unique identifier of the class
ppPropDef | [out] return pointer to newly created property def
HRESULT IAAFClassDef::RegisterOptionalPropertyDef | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [out] IAAFPropertyDef ** | ppPropDef
 | ) |  |

Creates a new property definition and registers it in this class definition.

If ppPropDef is non-NULL, will return the new property definition in ppPropDef.

Note that it is illegal to add mandatory properties to an already existing (registered) class. It is assumed that this property is being added to a class which is already registered. If so, it must be optional and this method will declare it so. If it is wished to add a mandatory property, that may be done through the RegisterNewPropertyDef() method, but that must be called on a class which is not yet registered.

Succeeds if:

  • The pID pointer is valid.
  • The pName pointer is valid.
  • The pTypeDef pointer is valid.
  • The auid specified by pID has not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pName or pTypeDef arg is NULL.

AAFRESULT_BAD_PARAM

  • The given ID has already been registered.
Parameters:
id | [in, ref] auid to be used to identify this property
pName | [in, string] name of the new property
pTypeDef | [in] type of the new property
ppPropDef | [out] return pointer to newly created property def
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFClassDef Member List
This is the complete list of members for IAAFClassDef, including all inherited members.
CountPropertyDefs([out] aafUInt32 *pCount) | IAAFClassDef
CreateInstance([in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject) | IAAFClassDef
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFClassDef
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFClassDef
GetParent([out, retval] IAAFClassDef **ppClassDef) | IAAFClassDef
GetPropertyDefs([out, retval] IEnumAAFPropertyDefs **ppEnum) | IAAFClassDef
GetUniqueIdentifier([out, retval] IAAFPropertyDef **ppUniqueIdentifier) | IAAFClassDef
Initialize([in, ref] aafUID_constref classID,[in] IAAFClassDef *pParentClass,[in, string] aafCharacter_constptr pClassName,[in] aafBoolean_t isConcrete) | IAAFClassDef
IsConcrete([out, retval] aafBoolean_t *pResult) | IAAFClassDef
IsRoot([out, retval] aafBoolean_t *isRoot) | IAAFClassDef
IsUniquelyIdentified([out, retval] aafBoolean_t *pIsUniquelyIdentified) | IAAFClassDef
LookupPropertyDef([in, ref] aafUID_constref propID,[out] IAAFPropertyDef **ppPropDef) | IAAFClassDef
RegisterNewPropertyDef([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[in] aafBoolean_t isOptional,[in] aafBoolean_t isUniqueIdentifier,[out] IAAFPropertyDef **ppPropDef) | IAAFClassDef
RegisterOptionalPropertyDef([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[out] IAAFPropertyDef **ppPropDef) | IAAFClassDef
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCodecDef Interface Reference

Public Member Functions
IAAFCodecDef Interface Reference

This interface is used with an object representing a particular kind of essence codec, which may be implemented by one or more AAFPluginDescriptors. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | IsEssenceKindSupported ([in] IAAFDataDef *pEssenceKind,[out, retval] aafBoolean_t *pIsSupported)
Returns AAFTrue if the given codec support transfers to essence of the given essence kind.
HRESULT | AddEssenceKind ([in] IAAFDataDef *pEssenceKind)
Appends the given essence kind to those supported by the codec.
HRESULT | RemoveEssenceKind ([in] IAAFDataDef *pEssenceKind)
Removes the given essence kind from the list of those supported by the codec.
HRESULT | CountEssenceKinds ([out, retval] aafUInt32 *pResult)
Places the number of supported essence kinds into *pResult.
HRESULT | GetEssenceKinds ([out, retval] IEnumAAFDataDefs **ppEnum)
Places an IEnumAAFDataDefs enumerator for the essence kinds contained in the sequence into the *ppEnum argument.
HRESULT | AreThereFlavours ([out, retval] aafBoolean_t *pResult)
Find out whether its worth iterating over flavours.
HRESULT | GetFileDescriptorClass ([out] IAAFClassDef **ppClass)
Places the file descriptor class object associated with this codec into the *ppClass argument.
HRESULT | SetFileDescriptorClass ([in] IAAFClassDef *pClass)
Sets the file descriptor class associated with this codec to be the given one.
HRESULT | EnumCodecFlavours ([out, retval] IEnumAAFCodecFlavours **ppEnum)
Places an enumerator for codec flavour into the *ppEnum argument.

Detailed Description

This interface is used with an object representing a particular kind of essence codec, which may be implemented by one or more AAFPluginDescriptors.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFCodecDef also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 3226 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCodecDef::AddEssenceKind ( [in] IAAFDataDef * pEssenceKind )

Appends the given essence kind to those supported by the codec.

This is dependant upon the format, not an incomplete implementation.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceKind is null.

AAFRESULT_DUPLICATE_ESSENCE_KIND

  • the given essenceKind is already contained.
Parameters:
pEssenceKind [in] The essence kind
HRESULT IAAFCodecDef::AreThereFlavours ( [out, retval] aafBoolean_t * pResult )

Find out whether its worth iterating over flavours.

Flavours are used when a single codec can support multiple formats. An example would be a codec which would accept a "resolution ID" for a particular manufacturer and set up all of the parameters. When a new resolution ID is released, then a new codec plugin would give users the ability to use the new resolutions without upgrading the application.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • if Result is null.
Parameters:
pResult [out,retval] True if there are flavours of this codec
HRESULT IAAFCodecDef::CountEssenceKinds ( [out, retval] aafUInt32 * pResult )

Places the number of supported essence kinds into *pResult.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is NULL.
Parameters:
pResult [out, retval] The number of essence kinds
HRESULT IAAFCodecDef::EnumCodecFlavours ( [out, retval] IEnumAAFCodecFlavours ** ppEnum )

Places an enumerator for codec flavour into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Flavours are used when a single codec can support multiple formats. An example would be a codec which would accept a "resolution ID" for a particular manufacturer and set up all of the parameters. When a new resolution ID is released, then a new codec plugin would give users the ability to use the new resolutions without upgrading the application.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • if ppEnum is null.
Parameters:
ppEnum [out,retval] Codec flavour Enumeration
HRESULT IAAFCodecDef::GetEssenceKinds ( [out, retval] IEnumAAFDataDefs ** ppEnum )

Places an IEnumAAFDataDefs enumerator for the essence kinds contained in the sequence into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

E_FAIL

  • Failed to create the enumerator.
Parameters:
ppEnum [out, retval] Essence Kind Enumeration
HRESULT IAAFCodecDef::GetFileDescriptorClass ( [out] IAAFClassDef ** ppClass )

Places the file descriptor class object associated with this codec into the *ppClass argument.

If none exists yet, NULL is placed into the*ppClass argument.

The returned class object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppClass pointer is valid.
  • A valid file descriptor class exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppClass is null.
Parameters:
ppClass [out] Returned file descriptor class object
HRESULT IAAFCodecDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFCodecDef::IsEssenceKindSupported | ( | [in] IAAFDataDef * | pEssenceKind,
 |  | [out, retval] aafBoolean_t * | pIsSupported
 | ) |  |

Returns AAFTrue if the given codec support transfers to essence of the given essence kind.

Succeeds if all of the following are true:

  • the pEssenceKind pointer is valid.
  • the pIsSupported pointer is valid.

If this method fails nothing will be written to *pIsSupported.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceKind or pIsSupported is null.
Parameters:
pEssenceKind | [in] The essence kind
pIsSupported | [out,retval] Is this type supported
HRESULT IAAFCodecDef::RemoveEssenceKind ( [in] IAAFDataDef * pEssenceKind )

Removes the given essence kind from the list of those supported by the codec.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceKind is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given essenceKind is not already contained.
Parameters:
pEssenceKind [in] The essence kind to remove
HRESULT IAAFCodecDef::SetFileDescriptorClass ( [in] IAAFClassDef * pClass )

Sets the file descriptor class associated with this codec to be the given one.

Succeeds if all of the following are true:

  • the pClass pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pClass is null.
Parameters:
pClass [in] File descriptor class object
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCodecDef Member List
This is the complete list of members for IAAFCodecDef, including all inherited members.
AddEssenceKind([in] IAAFDataDef *pEssenceKind) | IAAFCodecDef
AreThereFlavours([out, retval] aafBoolean_t *pResult) | IAAFCodecDef
CountEssenceKinds([out, retval] aafUInt32 *pResult) | IAAFCodecDef
EnumCodecFlavours([out, retval] IEnumAAFCodecFlavours **ppEnum) | IAAFCodecDef
GetEssenceKinds([out, retval] IEnumAAFDataDefs **ppEnum) | IAAFCodecDef
GetFileDescriptorClass([out] IAAFClassDef **ppClass) | IAAFCodecDef
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFCodecDef
IsEssenceKindSupported([in] IAAFDataDef *pEssenceKind,[out, retval] aafBoolean_t *pIsSupported) | IAAFCodecDef
RemoveEssenceKind([in] IAAFDataDef *pEssenceKind) | IAAFCodecDef
SetFileDescriptorClass([in] IAAFClassDef *pClass) | IAAFCodecDef
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCommentMarker Interface Reference

Public Member Functions
IAAFCommentMarker Interface Reference

The IAAFCommentMarker interface is implemented by objects which represent a user comment associated with a point in time. More...

List of all members.

Public Member Functions

HRESULT | GetAnnotation ([out, retval] IAAFSourceReference **ppResult)
This method will get the annotation for this comment marker and place an interface for it into the **ppResult argument.
HRESULT | SetAnnotation ([in] IAAFSourceReference *pAnnotation)
This method will set the Annotation for this comment marker.

Detailed Description

The IAAFCommentMarker interface is implemented by objects which represent a user comment associated with a point in time.

A CommentMarker may have a SourceReference that specifies a text or audio annotation.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFCommentMarker also implement the following interfaces:

  • IAAFEvent
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 3568 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCommentMarker::GetAnnotation ( [out, retval] IAAFSourceReference ** ppResult )

This method will get the annotation for this comment marker and place an interface for it into the **ppResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
ppResult [out,retval] Annotation property value
HRESULT IAAFCommentMarker::SetAnnotation ( [in] IAAFSourceReference * pAnnotation )

This method will set the Annotation for this comment marker.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
pAnnotation [in] Annotation property value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCommentMarker Member List
This is the complete list of members for IAAFCommentMarker, including all inherited members.
GetAnnotation([out, retval] IAAFSourceReference **ppResult) | IAAFCommentMarker
SetAnnotation([in] IAAFSourceReference *pAnnotation) | IAAFCommentMarker
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFComponent Interface Reference

Public Member Functions
IAAFComponent Interface Reference

IAAFComponent is DEPRECATED, please use IAAFComponent2. More...

List of all members.

Public Member Functions

HRESULT | SetLength ([in] aafLength_constref length)
Sets the length property value on this component object.
HRESULT | GetLength ([retval][out] aafLength_t *pLength)
Gets the duration in edit units of this component.
HRESULT | SetDataDef ([in] IAAFDataDef *pDataDef)
Sets the data definition property AUID on this component.
HRESULT | GetDataDef ([out, retval] IAAFDataDef **ppDatadef)
Returns data definition object.
HRESULT | AppendKLVData ([in] IAAFKLVData *pData)
Appends a pre-existing KLV Data object to the specified component.
HRESULT | CountKLVData ([out] aafUInt32 *pNumData)
Return total number of KLV data objects attached to this component.
HRESULT | GetKLVData ([out] IEnumAAFKLVData **ppEnum)
Return the enumeration for all KLV data objects on this component.
HRESULT | RemoveKLVData ([in] IAAFKLVData *pData)
Removes the given KLV data object from this component.

Detailed Description

IAAFComponent is DEPRECATED, please use IAAFComponent2.

The component class represents an essence element. A Component is an abastract class with two subclasses: Segment and Transition. The GetLength and SetLength only aplies to time-varying media and it is an optional property. Non time-varying objects DO NOT support this property.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFComponent is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFComponent also implement the following interfaces:

  • IAAFComponent2
  • IAAFObject

Definition at line 3663 of file AAF.idl.

Member Function Documentation

HRESULT IAAFComponent::AppendKLVData ( [in] IAAFKLVData * pData )

Appends a pre-existing KLV Data object to the specified component.

Succeeds if all of the following are true:

  • the pKLV pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pData arg is NULL.
Parameters:
pData [in] KLV object
HRESULT IAAFComponent::CountKLVData ( [out] aafUInt32 * pNumData )

Return total number of KLV data objects attached to this component.

Succeeds if all of the following are true:

  • the pNumData pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumData arg is NULL.
Parameters:
pNumData [out] Number of KLV data objects
HRESULT IAAFComponent::GetDataDef ( [out, retval] IAAFDataDef ** ppDatadef )

Returns data definition object.

Succeeds if all of the following are true:

  • the ppDatadef pointer is valid.

If this method fails nothing will be written to *ppDatadef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDatadef arg is NULL.
Parameters:
ppDatadef [out, retval] DataDef of this object
HRESULT IAAFComponent::GetKLVData ( [out] IEnumAAFKLVData ** ppEnum )

Return the enumeration for all KLV data objects on this component.

The returned enumerator is AddRef()ed before it is returned. The enumerator is implemented as a EnumAAFKLVData.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] KLV data objects
HRESULT IAAFComponent::GetLength ( [out] aafLength_t * pLength )

Gets the duration in edit units of this component.

Succeeds if all of the following are true:

  • the pLength pointer is valid.
  • the optional length property is present for this object.

This method deals with an optional property, which will only be present for time-varying media.

If this method fails nothing will be written to *pLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLength arg is NULL.

AAFRESULT_BAD_PROP

  • the optional length property is not present for this object.
Parameters:
pLength [retval][out] Length of this component
HRESULT IAAFComponent::RemoveKLVData ( [in] IAAFKLVData * pData )

Removes the given KLV data object from this component.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the given KLV data object is present in the component.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given KLV data object is not in this component.
Parameters:
pData [in] KLV data object to remove
HRESULT IAAFComponent::SetDataDef ( [in] IAAFDataDef * pDataDef )

Sets the data definition property AUID on this component.

If this method fails the Data Definition property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDataDef arg is NULL.
Parameters:
pDataDef [in] DataDef of this object
HRESULT IAAFComponent::SetLength ( [in] aafLength_constref length )

Sets the length property value on this component object.

Succeeds if all of the following are true:

  • the optional length property is present for this object.

This method deals with an optional property, which will only be present for time-varying media.

If this method fails the length property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BAD_PROP

  • the optional length property is not present for this object.
Parameters:
length [in] The duration in edit units of this component
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFComponent2 Interface Reference

Public Member Functions
IAAFComponent2 Interface Reference

The component class represents an essence element. More...

List of all members.

Public Member Functions

HRESULT | SetLength ([in] aafLength_constref length)
Sets the length property value on this component object.
HRESULT | GetLength ([retval][out] aafLength_t *pLength)
Gets the duration in edit units of this component.
HRESULT | SetDataDef ([in] IAAFDataDef *pDataDef)
Sets the data definition property AUID on this component.
HRESULT | GetDataDef ([out, retval] IAAFDataDef **ppDatadef)
Returns data definition object.
HRESULT | AppendKLVData ([in] IAAFKLVData *pData)
Appends a pre-existing KLV Data object to the specified component.
HRESULT | CountKLVData ([out] aafUInt32 *pNumData)
Return total number of KLV data objects attached to this component.
HRESULT | GetKLVData ([out] IEnumAAFKLVData **ppEnum)
Return the enumeration for all KLV data objects on this component.
HRESULT | RemoveKLVData ([in] IAAFKLVData *pData)
Removes the given KLV data object from this component.
HRESULT | AppendComment ([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue)
Append an attribute name/value pair to the attribute list.
HRESULT | CountComments ([out] aafUInt32 *pNumComments)
Return the number of comments contained in this component.
HRESULT | GetComments ([out] IEnumAAFTaggedValues **ppEnum)
Return a comment enumerator for this component.
HRESULT | RemoveComment ([in] IAAFTaggedValue *pComment)
Remove a component comment (tagged value).
HRESULT | AppendAttribute ([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue)
Append an attribute name/value pair to the attribute list.
HRESULT | CountAttributes ([out] aafUInt32 *pNumAttributes)
Return the number of attributes contained in this component.
HRESULT | GetAttributes ([out] IEnumAAFTaggedValues **ppEnum)
Return an attribute enumerator for this component.
HRESULT | RemoveAttribute ([in] IAAFTaggedValue *pAttribute)
Remove a component attribute (tagged value).

Detailed Description

The component class represents an essence element.

A Component is an abastract class with two subclasses: Segment and Transition. The GetLength and SetLength only aplies to time-varying media and it is an optional property. Non time-varying objects DO NOT support this property.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFComponent2 is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFComponent2 also implement the following interfaces:

  • IAAFObject

Definition at line 40711 of file AAF.idl.

Member Function Documentation

HRESULT IAAFComponent2::AppendAttribute | ( | [in] aafCharacter_constptr | pName,
 |  | [in] aafCharacter_constptr | pValue
 | ) |  |

Append an attribute name/value pair to the attribute list.

Creates a new tagged value, initializes it with the specified attribute name/value pair, and appends it to the attribute list.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pName | [in] The attribute name.
pValue | [in] The attribute value.
HRESULT IAAFComponent2::AppendComment | ( | [in] aafCharacter_constptr | pName,
 |  | [in] aafCharacter_constptr | pValue
 | ) |  |

Append an attribute name/value pair to the attribute list.

Creates a new tagged value, initializes it with the specified comment name/value pair, and appends it to the comment list.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pName | [in] The attribute name.
pValue | [in] The attribute value.
HRESULT IAAFComponent2::AppendKLVData ( [in] IAAFKLVData * pData )

Appends a pre-existing KLV Data object to the specified component.

Succeeds if all of the following are true:

  • the pKLV pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pData arg is NULL.
Parameters:
pData [in] KLV object
HRESULT IAAFComponent2::CountAttributes ( [out] aafUInt32 * pNumAttributes )

Return the number of attributes contained in this component.

Succeeds if:

  • pNumAttributes is a valid pointer

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pNumAttributes is null.
Parameters:
pNumAttributes [out] Pointer to attribute count.
HRESULT IAAFComponent2::CountComments ( [out] aafUInt32 * pNumComments )

Return the number of comments contained in this component.

Succeeds if:

  • pNumComments is a valid pointer

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pNumComments is null.
Parameters:
pNumComments [out] Pointer to comment count.
HRESULT IAAFComponent2::CountKLVData ( [out] aafUInt32 * pNumData )

Return total number of KLV data objects attached to this component.

Succeeds if all of the following are true:

  • the pNumData pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumData arg is NULL.
Parameters:
pNumData [out] Number of KLV data objects
HRESULT IAAFComponent2::GetAttributes ( [out] IEnumAAFTaggedValues ** ppEnum )

Return an attribute enumerator for this component.

Creates an enumerator for this component's attributes. The new enumerator is AddRef()ed before it is returned.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pEnum was null.
Parameters:
ppEnum [out] Pointer to the new enumerator object created by this method.
HRESULT IAAFComponent2::GetComments ( [out] IEnumAAFTaggedValues ** ppEnum )

Return a comment enumerator for this component.

Creates an enumerator for this component's comments. The new enumerator is AddRef()ed before it is returned.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pEnum was null.
Parameters:
ppEnum [out] Pointer to the new enumerator object created by this method.
HRESULT IAAFComponent2::GetDataDef ( [out, retval] IAAFDataDef ** ppDatadef )

Returns data definition object.

Succeeds if all of the following are true:

  • the ppDatadef pointer is valid.

If this method fails nothing will be written to *ppDatadef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDatadef arg is NULL.
Parameters:
ppDatadef [out, retval] DataDef of this object
HRESULT IAAFComponent2::GetKLVData ( [out] IEnumAAFKLVData ** ppEnum )

Return the enumeration for all KLV data objects on this component.

The returned enumerator is AddRef()ed before it is returned. The enumerator is implemented as a EnumAAFKLVData.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] KLV data objects
HRESULT IAAFComponent2::GetLength ( [out] aafLength_t * pLength )

Gets the duration in edit units of this component.

Succeeds if all of the following are true:

  • the pLength pointer is valid.
  • the optional length property is present for this object.

This method deals with an optional property, which will only be present for time-varying media.

If this method fails nothing will be written to *pLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLength arg is NULL.

AAFRESULT_BAD_PROP

  • the optional length property is not present for this object.
Parameters:
pLength [retval][out] Length of this component
HRESULT IAAFComponent2::RemoveAttribute ( [in] IAAFTaggedValue * pAttribute )

Remove a component attribute (tagged value).

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pAttribute [in] Pointer to the tagged value attribute.
HRESULT IAAFComponent2::RemoveComment ( [in] IAAFTaggedValue * pComment )

Remove a component comment (tagged value).

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pComment [in] Pointer to the tagged value comment.
HRESULT IAAFComponent2::RemoveKLVData ( [in] IAAFKLVData * pData )

Removes the given KLV data object from this component.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the given KLV data object is present in the component.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given KLV data object is not in this component.
Parameters:
pData [in] KLV data object to remove
HRESULT IAAFComponent2::SetDataDef ( [in] IAAFDataDef * pDataDef )

Sets the data definition property AUID on this component.

If this method fails the Data Definition property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDataDef arg is NULL.
Parameters:
pDataDef [in] DataDef of this object
HRESULT IAAFComponent2::SetLength ( [in] aafLength_constref length )

Sets the length property value on this component object.

Succeeds if all of the following are true:

  • the optional length property is present for this object.

This method deals with an optional property, which will only be present for time-varying media.

If this method fails the length property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BAD_PROP

  • the optional length property is not present for this object.
Parameters:
length [in] The duration in edit units of this component
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFComponent2 Member List
This is the complete list of members for IAAFComponent2, including all inherited members.
AppendAttribute([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue) | IAAFComponent2
AppendComment([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue) | IAAFComponent2
AppendKLVData([in] IAAFKLVData *pData) | IAAFComponent2
CountAttributes([out] aafUInt32 *pNumAttributes) | IAAFComponent2
CountComments([out] aafUInt32 *pNumComments) | IAAFComponent2
CountKLVData([out] aafUInt32 *pNumData) | IAAFComponent2
GetAttributes([out] IEnumAAFTaggedValues **ppEnum) | IAAFComponent2
GetComments([out] IEnumAAFTaggedValues **ppEnum) | IAAFComponent2
GetDataDef([out, retval] IAAFDataDef **ppDatadef) | IAAFComponent2
GetKLVData([out] IEnumAAFKLVData **ppEnum) | IAAFComponent2
GetLength([retval][out] aafLength_t *pLength) | IAAFComponent2
RemoveAttribute([in] IAAFTaggedValue *pAttribute) | IAAFComponent2
RemoveComment([in] IAAFTaggedValue *pComment) | IAAFComponent2
RemoveKLVData([in] IAAFKLVData *pData) | IAAFComponent2
SetDataDef([in] IAAFDataDef *pDataDef) | IAAFComponent2
SetLength([in] aafLength_constref length) | IAAFComponent2
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCompositionMob Interface Reference

Public Member Functions
IAAFCompositionMob Interface Reference

IAAFCompositionMob is DEPRECATED, please use IAAFCompositionMob2. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, string] aafCharacter_constptr pName)
Initializes this object with the given name.
HRESULT | GetDefaultFade ([out] aafDefaultFade_t *pResult)
Get the default fade for this composition.
HRESULT | SetDefaultFade ([in] aafLength_t fadeLength,[in] aafFadeType_t fadeType,[in] aafRational_t fadeEditUnit)
Adds the default crossfade properties to the Mob.

Detailed Description

IAAFCompositionMob is DEPRECATED, please use IAAFCompositionMob2.

The IAAFCompositionMob interface is implemented on objects which can specify how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFCompositionMob also implement the following interfaces:

IAAFCompositionMob2

  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 3944 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCompositionMob::GetDefaultFade ( [out] aafDefaultFade_t * pResult )

Get the default fade for this composition.

If there is no default fade, this function returns with no error, but the VALID field of the structure is false. This allows you to pass this struct to SourceClip::GetFade() in all cases.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pResult argument is NULL.
Parameters:
pResult [out] a default fade struct
HRESULT IAAFCompositionMob::Initialize ( [in, string] aafCharacter_constptr pName )

Initializes this object with the given name.

Succeeds if all of the following are true:

  • this object has not yet been initialized.
  • the pName pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pName argument is NULL.
Parameters:
pName [in, string] Mob name [optional]
HRESULT IAAFCompositionMob::SetDefaultFade | ( | [in] aafLength_t | fadeLength,
 |  | [in] aafFadeType_t | fadeType,
 |  | [in] aafRational_t | fadeEditUnit
 | ) |  |

Adds the default crossfade properties to the Mob.

Succeeds if all of the following are true:

  • this object has already been initialized.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • invalid fadeType.

AAFRESULT_BAD_LENGTH

  • invalid fadeLength.
Parameters:
fadeLength | [in] Default fade length
fadeType | [in] default fade type
fadeEditUnit | [in] default fade edit unit
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFCompositionMob2 Interface Reference

Public Member Functions
IAAFCompositionMob2 Interface Reference

The IAAFCompositionMob2 interface is implemented on objects which can specify how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, string] aafCharacter_constptr pName)
Initializes this object with the given name.
HRESULT | GetDefaultFade ([out] aafDefaultFade_t *pResult)
Get the default fade for this composition.
HRESULT | SetDefaultFade ([in] aafLength_t fadeLength,[in] aafFadeType_t fadeType,[in] aafRational_t fadeEditUnit)
Adds the default crossfade properties to the Mob.
HRESULT | SetRendering ([in, ref] aafMobID_constref mobID)
set the MobID of a rendering of this CompositionMob.
HRESULT | GetRendering ([out] aafMobID_t *pMobID)
return the MobID of a rendering of this CompositionMob.

Detailed Description

The IAAFCompositionMob2 interface is implemented on objects which can specify how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFCompositionMob2 also implement the following interfaces:

IAAFMob

  • IAAFMob2
  • IAAFObject

Definition at line 41173 of file AAF.idl.

Member Function Documentation

HRESULT IAAFCompositionMob2::GetDefaultFade ( [out] aafDefaultFade_t * pResult )

Get the default fade for this composition.

If there is no default fade, this function returns with no error, but the VALID field of the structure is false. This allows you to pass this struct to SourceClip::GetFade() in all cases.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pResult argument is NULL.
Parameters:
pResult [out] a default fade struct
HRESULT IAAFCompositionMob2::GetRendering ( [out] aafMobID_t * pMobID )

return the MobID of a rendering of this CompositionMob.

Succeeds if all of the following are true:

  • the pMobID pointer is valid.

If this method fails nothing will be written to *pMobID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMobID arg is NULL.
Parameters:
pMobID [out] Rendering MobID
HRESULT IAAFCompositionMob2::Initialize ( [in, string] aafCharacter_constptr pName )

Initializes this object with the given name.

Succeeds if all of the following are true:

  • this object has not yet been initialized.
  • the pName pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pName argument is NULL.
Parameters:
pName [in, string] Mob name [optional]
HRESULT IAAFCompositionMob2::SetDefaultFade | ( | [in] aafLength_t | fadeLength,
 |  | [in] aafFadeType_t | fadeType,
 |  | [in] aafRational_t | fadeEditUnit
 | ) |  |

Adds the default crossfade properties to the Mob.

Succeeds if all of the following are true:

  • this object has already been initialized.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • invalid fadeType.

AAFRESULT_BAD_LENGTH

  • invalid fadeLength.
Parameters:
fadeLength | [in] Default fade length
fadeType | [in] default fade type
fadeEditUnit | [in] default fade edit unit
HRESULT IAAFCompositionMob2::SetRendering ( [in, ref] aafMobID_constref mobID )

set the MobID of a rendering of this CompositionMob.

This method will return the following codes: AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
mobID [in, ref] Rendering MobID
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCompositionMob2 Member List
This is the complete list of members for IAAFCompositionMob2, including all inherited members.
GetDefaultFade([out] aafDefaultFade_t *pResult) | IAAFCompositionMob2
GetRendering([out] aafMobID_t *pMobID) | IAAFCompositionMob2
Initialize([in, string] aafCharacter_constptr pName) | IAAFCompositionMob2
SetDefaultFade([in] aafLength_t fadeLength,[in] aafFadeType_t fadeType,[in] aafRational_t fadeEditUnit) | IAAFCompositionMob2
SetRendering([in, ref] aafMobID_constref mobID) | IAAFCompositionMob2
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFConstantValue Interface Reference

Public Member Functions
IAAFConstantValue Interface Reference

The IAAFConstantValue interface is implemented by objects that specify a parameter whose value is constant for an entire operation group. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFParameterDef *pParameterDef,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
Initializes a new constant value object to be identified with the given the given type, and with the given human-legible name.
HRESULT | GetValue ([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead)
Writes the value into the pValue buffer.
HRESULT | GetValueBufLen ([out] aafUInt32 *pLen)
Returns the length of buffer required for the GetValue() method.
HRESULT | GetTypeDefinition ([out, retval] IAAFTypeDef **ppTypeDef)
Places the type definition of the dataval inside this parameter into the ppTypeDef argument.
HRESULT | SetValue ([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
The data value is set from a buffer of size valueSize and type.

Detailed Description

The IAAFConstantValue interface is implemented by objects that specify a parameter whose value is constant for an entire operation group.

Use IAAFVaryingValue and one or more IAAFControlPoints for parameters which change in value during the operation group.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFConstantValue also implement the following interfaces:

  • IAAFParameter
  • IAAFObject

Definition at line 4077 of file AAF.idl.

Member Function Documentation

HRESULT IAAFConstantValue::GetTypeDefinition ( [out, retval] IAAFTypeDef ** ppTypeDef )

Places the type definition of the dataval inside this parameter into the ppTypeDef argument.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
ppTypeDef [out,retval] Type Definition of the dataval inside of this object
HRESULT IAAFConstantValue::GetValue | ( | [in] aafUInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Writes the value into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [out, size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFConstantValue::GetValueBufLen ( [out] aafUInt32 * pLen )

Returns the length of buffer required for the GetValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Pointer to an variable used to return the length
HRESULT IAAFConstantValue::Initialize | ( | [in] IAAFParameterDef * | pParameterDef,
 |  | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

Initializes a new constant value object to be identified with the given the given type, and with the given human-legible name.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pParameterDef and pValue are a valid pointers.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pParameterDef or pValue arg is NULL.
Parameters:
pParameterDef | [in] Parameter definition for this object (this determines the type of the constant value)
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
HRESULT IAAFConstantValue::SetValue | ( | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

The data value is set from a buffer of size valueSize and type.

Succeeds if all of the following are true:

  • pTypeDef is valid and registered with the object's dictionary.
  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFConstantValue Member List
This is the complete list of members for IAAFConstantValue, including all inherited members.
GetTypeDefinition([out, retval] IAAFTypeDef **ppTypeDef) | IAAFConstantValue
GetValue([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead) | IAAFConstantValue
GetValueBufLen([out] aafUInt32 *pLen) | IAAFConstantValue
Initialize([in] IAAFParameterDef *pParameterDef,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFConstantValue
SetValue([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFConstantValue
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFContainerDef Interface Reference

Public Member Functions
IAAFContainerDef Interface Reference

This interface is used with an object representing a particular kind of essence stream factory object, which may be implemented by one or more AAFPluginDescriptors. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | EssenceIsIdentified ([out] aafBoolean_t *pEssenceIsIdentified)
Tells whether the given plugin is capable of supporting authentication.
HRESULT | SetEssenceIsIdentified ([in] aafBoolean_t EssenceIsIdentified)
Tells whether the given plugin is capable of supporting authentication.

Detailed Description

This interface is used with an object representing a particular kind of essence stream factory object, which may be implemented by one or more AAFPluginDescriptors.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFContainerDef also implement the following interfaces:

IAAFDefObject

  • IAAFObject

Definition at line 4278 of file AAF.idl.

Member Function Documentation

HRESULT IAAFContainerDef::EssenceIsIdentified ( [out] aafBoolean_t * pEssenceIsIdentified )

Tells whether the given plugin is capable of supporting authentication.

The methods for authenticating a plugin are still <tbd>.

Succeeds if all of the following are true:

  • the pEssenceIsIdentified pointer is valid.

If this method fails nothing will be written to pEssenceIsIdentified.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEssenceIsIdentified arg is NULL.
Parameters:
pEssenceIsIdentified [out] The EssenceIsIdentified
HRESULT IAAFContainerDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFContainerDef::SetEssenceIsIdentified ( [in] aafBoolean_t EssenceIsIdentified )

Tells whether the given plugin is capable of supporting authentication.

The methods for authenticating a plugin are still <tbd>.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
EssenceIsIdentified [in] The EssenceIsIdentified flag
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFContainerDef Member List
This is the complete list of members for IAAFContainerDef, including all inherited members.
EssenceIsIdentified([out] aafBoolean_t *pEssenceIsIdentified) | IAAFContainerDef
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFContainerDef
SetEssenceIsIdentified([in] aafBoolean_t EssenceIsIdentified) | IAAFContainerDef
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFContentStorage Interface Reference

Public Member Functions
IAAFContentStorage Interface Reference

Objects that implement IAAFContentStorage also implement the following interfaces: More...

List of all members.

Public Member Functions

HRESULT | LookupMob ([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob)
Looks up the Mob that matches the given mob id and puts it into the ppMob argument.
HRESULT | CountMobs ([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult)
Writes the number of matches for the given mob kind into the pNumMobs argument.
HRESULT | GetMobs ([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum)
Places an enumerator for mobs that apply to the criteria into the ppEnum argument.
HRESULT | AddMob ([in] IAAFMob *pMob)
Appends the given mob to the header.
HRESULT | RemoveMob ([in] IAAFMob *pMob)
Removes the given mob from the header.
HRESULT | CountEssenceData ([out, retval] aafUInt32 *pResult)
Writes the total number of essence data into the *pNumEssenceData argument.
HRESULT | IsEssenceDataPresent ([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult)
Returns true if essence is found.
HRESULT | EnumEssenceData ([out, retval] IEnumAAFEssenceData **ppEnum)
Places an enumerator for essence that applies to the criteria into the *ppEnum argument.
HRESULT | AddEssenceData ([in] IAAFEssenceData *pEssenceData)
Appends the given essence data object to the header.
HRESULT | RemoveEssenceData ([in] IAAFEssenceData *pEssenceData)
Removes the given EssenceData from the header.
HRESULT | LookupEssenceData ([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData)
Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.

Detailed Description

Objects that implement IAAFContentStorage also implement the following interfaces:

  • IAAFObject

Definition at line 4375 of file AAF.idl.

Member Function Documentation

HRESULT IAAFContentStorage::AddEssenceData ( [in] IAAFEssenceData * pEssenceData )

Appends the given essence data object to the header.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_MOBID

  • The given mob has already been added. The validation is done by comparing mobIDs, which should be unique.

AAFRESULT_NULL_PARAM

  • pEssenceData is null.
Parameters:
pEssenceData [in] Essence data object to append
HRESULT IAAFContentStorage::AddMob ( [in] IAAFMob * pMob )

Appends the given mob to the header.

If the given mob is already contained this method will do nothing and will return success.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is not already part of this collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_DUPLICATE_MOBID

  • the given mob is already contained.
Parameters:
pMob [in] Mob to add
HRESULT IAAFContentStorage::CountEssenceData ( [out, retval] aafUInt32 * pResult )

Writes the total number of essence data into the *pNumEssenceData argument.

Succeeds if all of the following are true:

  • the pNumEssenceData pointer is valid.

If this method fails nothing will be written to pNumEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumEssenceData is null.
Parameters:
pResult [out, retval] Total number of essence data
HRESULT IAAFContentStorage::CountMobs | ( | [in] aafMobKind_t | mobKind,
 |  | [out, retval] aafNumSlots_t * | pResult
 | ) |  |

Writes the number of matches for the given mob kind into the pNumMobs argument.

Succeeds if all of the following are true:

  • the pNumMobs pointer is valid.

If this method fails nothing will be written to *pNumMobs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumMobs is null.
Parameters:
mobKind | [in] The mob kind to count
pResult | [out, retval] Total number of mobs of kind mobKind
HRESULT IAAFContentStorage::EnumEssenceData ( [out, retval] IEnumAAFEssenceData ** ppEnum )

Places an enumerator for essence that applies to the criteria into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pMediaCriteria pointer is valid.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pMediaCriteria or ppEnum is null.
Parameters:
ppEnum [out,retval] Essence Enumeration
HRESULT IAAFContentStorage::GetMobs | ( | [in] aafSearchCrit_t * | pSearchCriteria,
 |  | [out, retval] IEnumAAFMobs ** | ppEnum
 | ) |  |

Places an enumerator for mobs that apply to the criteria into the ppEnum argument.

If pSearchCriteria is null, all mobs are returned. The searchTag field of pSearchCriteria, and exactly ONE of the fields in the union (tags.mobID, tags.name, etc. ) must be set. Only one search criterion may be specified. The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
pSearchCriteria | [in] Search Criteria for enumeration
ppEnum | [out, retval] Mob Enumeration
HRESULT IAAFContentStorage::IsEssenceDataPresent | ( | [in, ref] aafMobID_constref | fileMobID,
 |  | [in] aafFileFormat_t | fmt,
 |  | [out, retval] aafBoolean_t * | pResult
 | ) |  |

Returns true if essence is found.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
fileMobID | [in, ref] A Unique File Mob ID
fmt | [in] The Essence File Format
pResult | [out,retval] True if the essence is found
HRESULT IAAFContentStorage::LookupEssenceData | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFEssenceData ** | ppEssenceData
 | ) |  |

Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.

The returned EssenceData interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEssenceData pointer is valid.

If this method fails nothing will be written to *ppEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEssenceData is null

AAFRESULT_MOB_NOT_FOUND

  • the requested EssenceData wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppEssenceData | [out,retval] Matching EssenceData
HRESULT IAAFContentStorage::LookupMob | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFMob ** | ppMob
 | ) |  |

Looks up the Mob that matches the given mob id and puts it into the ppMob argument.

The returned mob interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppMob pointer is valid.

If this method fails nothing will be written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppMob is null

AAFRESULT_MOB_NOT_FOUND

  • the requested mob wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppMob | [out,retval] Matching Mob
HRESULT IAAFContentStorage::RemoveEssenceData ( [in] IAAFEssenceData * pEssenceData )

Removes the given EssenceData from the header.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.
  • the given EssenceData is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceData is null.

AAFRESULT_ESSENCE_NOT_FOUND

  • the given EssenceData is not already contained.
Parameters:
pEssenceData [in] EssenceData to remove
HRESULT IAAFContentStorage::RemoveMob ( [in] IAAFMob * pMob )

Removes the given mob from the header.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_MOB_NOT_FOUND

  • the given mob is not already contained.
Parameters:
pMob [in] Mob to remove
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFContentStorage Member List
This is the complete list of members for IAAFContentStorage, including all inherited members.
AddEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFContentStorage
AddMob([in] IAAFMob *pMob) | IAAFContentStorage
CountEssenceData([out, retval] aafUInt32 *pResult) | IAAFContentStorage
CountMobs([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult) | IAAFContentStorage
EnumEssenceData([out, retval] IEnumAAFEssenceData **ppEnum) | IAAFContentStorage
GetMobs([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum) | IAAFContentStorage
IsEssenceDataPresent([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult) | IAAFContentStorage
LookupEssenceData([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData) | IAAFContentStorage
LookupMob([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob) | IAAFContentStorage
RemoveEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFContentStorage
RemoveMob([in] IAAFMob *pMob) | IAAFContentStorage
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFControlPoint Interface Reference

Public Member Functions
IAAFControlPoint Interface Reference

The IAAFControlPoint interface is implemented by objects that store an individual point value of a parameter whose value changes during the operation group. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFVaryingValue *pVaryingValue,[in] aafRational_constref time,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
Initializes a new control point object to be.
HRESULT | GetTime ([out, retval] aafRational_t *pTime)
Returns the position of the control point within an operation group, expressed as a rational running from 0 to 1.
HRESULT | GetEditHint ([out, retval] aafEditHint_t *pEditHint)
Returns the edit hint of the control point, which describes how to alter the position if the AAFOperationGroup is made longer or shorter.
HRESULT | GetValueBufLen ([out] aafUInt32 *pLen)
Returns the length of buffer required for the GetValue() method.
HRESULT | GetValue ([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead)
Writes the value into the pValue buffer.
HRESULT | SetTime ([in] aafRational_t pTime)
Sets the position of the control point within an operation group, expressed as a rational running from 0 to 1.
HRESULT | SetEditHint ([in] aafEditHint_t editHint)
Sets the control point Edit hint value, which describes how to alter the position if the AAFOperationGroup is made longer or shorter.
HRESULT | GetTypeDefinition ([out, retval] IAAFTypeDef **ppTypeDef)
Places the type definition of the dataval inside this parameter into the ppTypeDef argument.
HRESULT | SetValue ([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
The data value is set from a buffer of size valueSize and type.

Detailed Description

The IAAFControlPoint interface is implemented by objects that store an individual point value of a parameter whose value changes during the operation group.

IAAFControlPoints must be added to an object which implements IAAFVaryingValue, which is then added to the IAAFOperationGroup.

For parameters which are constant in value during the operation group, use IAAFConstantValue.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFControlPoint also implement the following interfaces:

  • IAAFObject

Definition at line 4756 of file AAF.idl.

Member Function Documentation

HRESULT IAAFControlPoint::GetEditHint ( [out, retval] aafEditHint_t * pEditHint )

Returns the edit hint of the control point, which describes how to alter the position if the AAFOperationGroup is made longer or shorter.

Succeeds if all of the following are true:

  • the pEditHint pointer is valid.

If this method fails nothing will be written to *pEditHint.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • pEditHint arg is NULL.
Parameters:
pEditHint [out,retval] Pointer to an aafEditHint_t
HRESULT IAAFControlPoint::GetTime ( [out, retval] aafRational_t * pTime )

Returns the position of the control point within an operation group, expressed as a rational running from 0 to 1.

Succeeds if all of the following are true:

  • the pTime pointer is valid.

If this method fails nothing will be written to *pTime.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • pTime arg is NULL.
Parameters:
pTime [out,retval] Pointer to an aafRational_t
HRESULT IAAFControlPoint::GetTypeDefinition ( [out, retval] IAAFTypeDef ** ppTypeDef )

Places the type definition of the dataval inside this parameter into the ppTypeDef argument.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
ppTypeDef [out,retval] Type Definition of the dataval inside of this object
HRESULT IAAFControlPoint::GetValue | ( | [in] aafUInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Writes the value into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [out, size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFControlPoint::GetValueBufLen ( [out] aafUInt32 * pLen )

Returns the length of buffer required for the GetValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Pointer to an variable used to return the length
HRESULT IAAFControlPoint::Initialize | ( | [in] IAAFVaryingValue * | pVaryingValue,
 |  | [in] aafRational_constref | time,
 |  | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

Initializes a new control point object to be.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pVaryingValue is a valid pointer.
  • time is a valid rational.
  • pValue is a valid pointer

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pName or pValue arg is NULL.
Parameters:
pVaryingValue | [in] A varying value (this determines the type of this control point through the parameter definition)
time | [in] Control Point time
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
HRESULT IAAFControlPoint::SetEditHint ( [in] aafEditHint_t editHint )

Sets the control point Edit hint value, which describes how to alter the position if the AAFOperationGroup is made longer or shorter.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
editHint [in] Control Point Edit hint
HRESULT IAAFControlPoint::SetTime ( [in] aafRational_t pTime )

Sets the position of the control point within an operation group, expressed as a rational running from 0 to 1.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pTime [in] Control Point time
HRESULT IAAFControlPoint::SetValue | ( | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

The data value is set from a buffer of size valueSize and type.

Succeeds if all of the following are true:

  • pTypeDef is valid and registered with the object's dictionary.
  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFControlPoint Member List
This is the complete list of members for IAAFControlPoint, including all inherited members.
GetEditHint([out, retval] aafEditHint_t *pEditHint) | IAAFControlPoint
GetTime([out, retval] aafRational_t *pTime) | IAAFControlPoint
GetTypeDefinition([out, retval] IAAFTypeDef **ppTypeDef) | IAAFControlPoint
GetValue([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead) | IAAFControlPoint
GetValueBufLen([out] aafUInt32 *pLen) | IAAFControlPoint
Initialize([in] IAAFVaryingValue *pVaryingValue,[in] aafRational_constref time,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFControlPoint
SetEditHint([in] aafEditHint_t editHint) | IAAFControlPoint
SetTime([in] aafRational_t pTime) | IAAFControlPoint
SetValue([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFControlPoint
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDataDef Interface Reference

Public Member Functions
IAAFDataDef Interface Reference

IAAFDataDef is DEPRECATED, Please use IAAFDataDef2. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | IsPictureKind ([retval, out] aafBoolean_t *bIsPictureKind)
Sets return value to TRUE if DataDef is a picture.
HRESULT | IsMatteKind ([retval, out] aafBoolean_t *bIsMatteKind)
Sets return value to TRUE if DataDef is a matte.
HRESULT | IsPictureWithMatteKind ([retval, out] aafBoolean_t *bIsPictureWithMatteKind)
Sets return value to TRUE if DataDef is a picture with matte.
HRESULT | IsSoundKind ([retval, out] aafBoolean_t *bIsSoundKind)
Sets return value to TRUE if DataDef is a sound.
HRESULT | DoesDataDefConvertTo ([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo)
Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | IsDataDefOf ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf)
Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | DoesDataDefConvertFrom ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom)
Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.

Detailed Description

IAAFDataDef is DEPRECATED, Please use IAAFDataDef2.

Objects that implement IAAFDataDef also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 5053 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDataDef::DoesDataDefConvertFrom | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bDoesConvertFrom
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bDoesConvertFrom | [retval, out] pointer to result
HRESULT IAAFDataDef::DoesDataDefConvertTo | ( | [in] IAAFDataDef * | id,
 |  | [retval, out] aafBoolean_t * | bDoesConvertTo
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
id | [in] data def to compare against
bDoesConvertTo | [retval, out] pointer to result
HRESULT IAAFDataDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFDataDef::IsDataDefOf | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bIsDataDefOf
 | ) |  |

Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bIsDataDefOf | [retval, out] pointer to result
HRESULT IAAFDataDef::IsMatteKind ( [retval, out] aafBoolean_t * bIsMatteKind )

Sets return value to TRUE if DataDef is a matte.

Parameters:
bIsMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef::IsPictureKind ( [retval, out] aafBoolean_t * bIsPictureKind )

Sets return value to TRUE if DataDef is a picture.

Parameters:
bIsPictureKind [retval,out] pointer to the return value
HRESULT IAAFDataDef::IsPictureWithMatteKind ( [retval, out] aafBoolean_t * bIsPictureWithMatteKind )

Sets return value to TRUE if DataDef is a picture with matte.

Parameters:
bIsPictureWithMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef::IsSoundKind ( [retval, out] aafBoolean_t * bIsSoundKind )

Sets return value to TRUE if DataDef is a sound.

Parameters:
bIsSoundKind [retval,out] pointer to the return value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDataDef2 Interface Reference

Public Member Functions
IAAFDataDef2 Interface Reference

Objects that implement IAAFDataDef2 also implement the following interfaces: More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | IsPictureKind ([retval, out] aafBoolean_t *bIsPictureKind)
Sets return value to TRUE if DataDef is a picture.
HRESULT | IsMatteKind ([retval, out] aafBoolean_t *bIsMatteKind)
Sets return value to TRUE if DataDef is a matte.
HRESULT | IsPictureWithMatteKind ([retval, out] aafBoolean_t *bIsPictureWithMatteKind)
Sets return value to TRUE if DataDef is a picture with matte.
HRESULT | IsSoundKind ([retval, out] aafBoolean_t *bIsSoundKind)
Sets return value to TRUE if DataDef is a sound.
HRESULT | DoesDataDefConvertTo ([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo)
Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | IsDataDefOf ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf)
Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | DoesDataDefConvertFrom ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom)
Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.
HRESULT | IsEdgecodeKind ([retval, out] aafBoolean_t *bIsEdgecodeKind)
Sets return value to TRUE if DataDef is an edgecode.
HRESULT | IsTimecodeKind ([retval, out] aafBoolean_t *bIsTimecodeKind)
Sets return value to TRUE if DataDef is a timecode.

Detailed Description

Objects that implement IAAFDataDef2 also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 41336 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDataDef2::DoesDataDefConvertFrom | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bDoesConvertFrom
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bDoesConvertFrom | [retval, out] pointer to result
HRESULT IAAFDataDef2::DoesDataDefConvertTo | ( | [in] IAAFDataDef * | id,
 |  | [retval, out] aafBoolean_t * | bDoesConvertTo
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
id | [in] data def to compare against
bDoesConvertTo | [retval, out] pointer to result
HRESULT IAAFDataDef2::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFDataDef2::IsDataDefOf | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bIsDataDefOf
 | ) |  |

Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bIsDataDefOf | [retval, out] pointer to result
HRESULT IAAFDataDef2::IsEdgecodeKind ( [retval, out] aafBoolean_t * bIsEdgecodeKind )

Sets return value to TRUE if DataDef is an edgecode.

Parameters:
bIsEdgecodeKind [retval,out] pointer to the return value
HRESULT IAAFDataDef2::IsMatteKind ( [retval, out] aafBoolean_t * bIsMatteKind )

Sets return value to TRUE if DataDef is a matte.

Parameters:
bIsMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef2::IsPictureKind ( [retval, out] aafBoolean_t * bIsPictureKind )

Sets return value to TRUE if DataDef is a picture.

Parameters:
bIsPictureKind [retval,out] pointer to the return value
HRESULT IAAFDataDef2::IsPictureWithMatteKind ( [retval, out] aafBoolean_t * bIsPictureWithMatteKind )

Sets return value to TRUE if DataDef is a picture with matte.

Parameters:
bIsPictureWithMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef2::IsSoundKind ( [retval, out] aafBoolean_t * bIsSoundKind )

Sets return value to TRUE if DataDef is a sound.

Parameters:
bIsSoundKind [retval,out] pointer to the return value
HRESULT IAAFDataDef2::IsTimecodeKind ( [retval, out] aafBoolean_t * bIsTimecodeKind )

Sets return value to TRUE if DataDef is a timecode.

Parameters:
bIsTimecodeKind [retval,out] pointer to the return value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDataDef2 Member List
This is the complete list of members for IAAFDataDef2, including all inherited members.
DoesDataDefConvertFrom([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom) | IAAFDataDef2
DoesDataDefConvertTo([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo) | IAAFDataDef2
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFDataDef2
IsDataDefOf([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf) | IAAFDataDef2
IsEdgecodeKind([retval, out] aafBoolean_t *bIsEdgecodeKind) | IAAFDataDef2
IsMatteKind([retval, out] aafBoolean_t *bIsMatteKind) | IAAFDataDef2
IsPictureKind([retval, out] aafBoolean_t *bIsPictureKind) | IAAFDataDef2
IsPictureWithMatteKind([retval, out] aafBoolean_t *bIsPictureWithMatteKind) | IAAFDataDef2
IsSoundKind([retval, out] aafBoolean_t *bIsSoundKind) | IAAFDataDef2
IsTimecodeKind([retval, out] aafBoolean_t *bIsTimecodeKind) | IAAFDataDef2
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDataDef3 Interface Reference

Public Member Functions
IAAFDataDef3 Interface Reference

Objects that implement IAAFDataDef3 also implement the following interfaces: More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | IsPictureKind ([retval, out] aafBoolean_t *bIsPictureKind)
Sets return value to TRUE if DataDef is a picture.
HRESULT | IsMatteKind ([retval, out] aafBoolean_t *bIsMatteKind)
Sets return value to TRUE if DataDef is a matte.
HRESULT | IsPictureWithMatteKind ([retval, out] aafBoolean_t *bIsPictureWithMatteKind)
Sets return value to TRUE if DataDef is a picture with matte.
HRESULT | IsSoundKind ([retval, out] aafBoolean_t *bIsSoundKind)
Sets return value to TRUE if DataDef is a sound.
HRESULT | DoesDataDefConvertTo ([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo)
Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | IsDataDefOf ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf)
Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.
HRESULT | DoesDataDefConvertFrom ([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom)
Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.
HRESULT | IsEdgecodeKind ([retval, out] aafBoolean_t *bIsEdgecodeKind)
Sets return value to TRUE if DataDef is an edgecode.
HRESULT | IsTimecodeKind ([retval, out] aafBoolean_t *bIsTimecodeKind)
Sets return value to TRUE if DataDef is a timecode.
HRESULT | IsAuxiliaryKind ([retval, out] aafBoolean_t *bIsAuxiliaryKind)
Sets return value to TRUE if DataDef is auxiliary.
HRESULT | IsDescriptiveMetadataKind ([retval, out] aafBoolean_t *bIsDescriptiveMetadataKind)
Sets return value to TRUE if DataDef is descriptive metadata.

Detailed Description

Objects that implement IAAFDataDef3 also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 41493 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDataDef3::DoesDataDefConvertFrom | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bDoesConvertFrom
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted from the DataDef specified in the IN parameter specified with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bDoesConvertFrom | [retval, out] pointer to result
HRESULT IAAFDataDef3::DoesDataDefConvertTo | ( | [in] IAAFDataDef * | id,
 |  | [retval, out] aafBoolean_t * | bDoesConvertTo
 | ) |  |

Sets return value to TRUE if the DataDef of the given object can be converted to the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
id | [in] data def to compare against
bDoesConvertTo | [retval, out] pointer to result
HRESULT IAAFDataDef3::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFDataDef3::IsAuxiliaryKind ( [retval, out] aafBoolean_t * bIsAuxiliaryKind )

Sets return value to TRUE if DataDef is auxiliary.

Parameters:
bIsAuxiliaryKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsDataDefOf | ( | [in] IAAFDataDef * | pDataDef,
 |  | [retval, out] aafBoolean_t * | bIsDataDefOf
 | ) |  |

Sets the value to TRUE if the DataDef of the given object matches the DataDef specified in the IN parameter with the DataDefName string.

Parameters:
pDataDef | [in] data def to compare against
bIsDataDefOf | [retval, out] pointer to result
HRESULT IAAFDataDef3::IsDescriptiveMetadataKind ( [retval, out] aafBoolean_t * bIsDescriptiveMetadataKind )

Sets return value to TRUE if DataDef is descriptive metadata.

Parameters:
bIsDescriptiveMetadataKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsEdgecodeKind ( [retval, out] aafBoolean_t * bIsEdgecodeKind )

Sets return value to TRUE if DataDef is an edgecode.

Parameters:
bIsEdgecodeKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsMatteKind ( [retval, out] aafBoolean_t * bIsMatteKind )

Sets return value to TRUE if DataDef is a matte.

Parameters:
bIsMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsPictureKind ( [retval, out] aafBoolean_t * bIsPictureKind )

Sets return value to TRUE if DataDef is a picture.

Parameters:
bIsPictureKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsPictureWithMatteKind ( [retval, out] aafBoolean_t * bIsPictureWithMatteKind )

Sets return value to TRUE if DataDef is a picture with matte.

Parameters:
bIsPictureWithMatteKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsSoundKind ( [retval, out] aafBoolean_t * bIsSoundKind )

Sets return value to TRUE if DataDef is a sound.

Parameters:
bIsSoundKind [retval,out] pointer to the return value
HRESULT IAAFDataDef3::IsTimecodeKind ( [retval, out] aafBoolean_t * bIsTimecodeKind )

Sets return value to TRUE if DataDef is a timecode.

Parameters:
bIsTimecodeKind [retval,out] pointer to the return value
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDataDef3 Member List
This is the complete list of members for IAAFDataDef3, including all inherited members.
DoesDataDefConvertFrom([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom) | IAAFDataDef3
DoesDataDefConvertTo([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo) | IAAFDataDef3
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFDataDef3
IsAuxiliaryKind([retval, out] aafBoolean_t *bIsAuxiliaryKind) | IAAFDataDef3
IsDataDefOf([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf) | IAAFDataDef3
IsDescriptiveMetadataKind([retval, out] aafBoolean_t *bIsDescriptiveMetadataKind) | IAAFDataDef3
IsEdgecodeKind([retval, out] aafBoolean_t *bIsEdgecodeKind) | IAAFDataDef3
IsMatteKind([retval, out] aafBoolean_t *bIsMatteKind) | IAAFDataDef3
IsPictureKind([retval, out] aafBoolean_t *bIsPictureKind) | IAAFDataDef3
IsPictureWithMatteKind([retval, out] aafBoolean_t *bIsPictureWithMatteKind) | IAAFDataDef3
IsSoundKind([retval, out] aafBoolean_t *bIsSoundKind) | IAAFDataDef3
IsTimecodeKind([retval, out] aafBoolean_t *bIsTimecodeKind) | IAAFDataDef3
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDataEssenceDescriptor Interface Reference

Public Member Functions
IAAFDataEssenceDescriptor Interface Reference

AAFRESULT_NOMEMORY. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFDataEssenceDescriptor-supporting object.
HRESULT | SetDataEssenceCoding ([in] aafUID_constref dataEssenceCoding)
Sets the DataEssenceCoding property This property is optional.
HRESULT | GetDataEssenceCoding ([out] aafUID_t *pDataEssenceCoding)
Gets the DataEssenceCoding property information of the video essence data.

Detailed Description

AAFRESULT_NOMEMORY.

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

Objects that implement IAAFDataEssenceDescriptor also implement the following interfaces:

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 5202 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDataEssenceDescriptor::GetDataEssenceCoding ( [out] aafUID_t * pDataEssenceCoding )

Gets the DataEssenceCoding property information of the video essence data.

This property is optional.

Succeeds if all of the following are true:

  • the pDataEssenceCoding pointer is valid.

If this method fails nothing will be written to *pDataEssenceCoding.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDataEssenceCoding arg is NULL.
Parameters:
pDataEssenceCoding [out] Optional.
HRESULT IAAFDataEssenceDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFDataEssenceDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFDataEssenceDescriptor::SetDataEssenceCoding ( [in] aafUID_constref dataEssenceCoding )

Sets the DataEssenceCoding property This property is optional.

If this method fails the Data Definition property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
dataEssenceCoding [in] Optional.
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDataEssenceDescriptor Member List
This is the complete list of members for IAAFDataEssenceDescriptor, including all inherited members.
GetDataEssenceCoding([out] aafUID_t *pDataEssenceCoding) | IAAFDataEssenceDescriptor
Initialize() | IAAFDataEssenceDescriptor
SetDataEssenceCoding([in] aafUID_constref dataEssenceCoding) | IAAFDataEssenceDescriptor
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDefObject Interface Reference

Public Member Functions
IAAFDefObject Interface Reference

This interface is defines an item to be referenced in the AAF file. More...

List of all members.

Public Member Functions

HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Name of this definition.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Name of this definition.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | SetDescription ([in, string] aafCharacter_constptr pDescription)
Sets the Description of this definition.
HRESULT | GetDescription ([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize)
Gets the Description of this definition.
HRESULT | GetDescriptionBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetDescription().
HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName)
Init all fields of a definition object.
HRESULT | GetAUID ([retval, out] aafUID_t *pAuid)
Gets the AUID for this object.

Detailed Description

This interface is defines an item to be referenced in the AAF file.

It specifies the AUID unique identifier used to define types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFObject is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFDefObject also implement the following interfaces:

  • IAAFObject

Definition at line 5315 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDefObject::GetAUID ( [retval, out] aafUID_t * pAuid )

Gets the AUID for this object.

Parameters:
pAuid [retval,out] Pointer to an AUID reference
HRESULT IAAFDefObject::GetDescription | ( | [out, string, size_is(bufSize)] aafCharacter * | pDescription,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Description of this definition.

Writes the Description property, with a trailing null character, into the pDescription buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Description property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetDescriptionBufLen() to determine the required buffer size.

If this method fails nothing will be written to pDescription.

Succeeds if:

  • The pDescription pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Description.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Description.
Parameters:
pDescription | [out, string, size_is(bufSize)] buffer into which Description is to be written
bufSize | [in] size of *pDescription buffer in bytes
HRESULT IAAFDefObject::GetDescriptionBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetDescription().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFDefObject::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Name of this definition.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFDefObject::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFDefObject::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
HRESULT IAAFDefObject::SetDescription ( [in, string] aafCharacter_constptr pDescription )

Sets the Description of this definition.

Set the Description property to the value specified in pDescription. A copy is made of the data so the caller retains ownership of the *pDescription buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pDescription pointer is valid.

If this method fails the Description property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.
Parameters:
pDescription [in, string] buffer from which Description is to be read
HRESULT IAAFDefObject::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Name of this definition.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDefObject Member List
This is the complete list of members for IAAFDefObject, including all inherited members.
GetAUID([retval, out] aafUID_t *pAuid) | IAAFDefObject
GetDescription([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize) | IAAFDefObject
GetDescriptionBufLen([out] aafUInt32 *pBufSize) | IAAFDefObject
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFDefObject
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFDefObject
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName) | IAAFDefObject
SetDescription([in, string] aafCharacter_constptr pDescription) | IAAFDefObject
SetName([in, string] aafCharacter_constptr pName) | IAAFDefObject
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDescriptiveClip Interface Reference

Public Member Functions
IAAFDescriptiveClip Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFDataDef *pDataDef,[in] aafLength_constref length,[in] aafSourceRef_t sourceRef)
This method initializes a source clip object with the given properties.
HRESULT | CountDescribedSlotIDs ([out, retval] aafUInt32 *pCount)
Gets the total number of described slot IDs present in the list of described slot IDs referenced by this DescriptiveClip.
HRESULT | GetDescribedSlotIDs ([in] aafUInt32 maxDescribedSlotIDCount,[out, size_is(maxDescribedSlotIDCount)] aafUInt32 *pDescribedSlotIDs)
Gets all the described slot IDs in the list of described slot IDs referenced by this DescriptiveClip.
HRESULT | IsDescribedSlotIDPresent ([in] aafUInt32 DescribedSlotID,[out, retval] aafBoolean_t *pIsPresent)
Determines if the given described slot ID is present in the list of described slot IDs referenced by this DescriptiveClip.
HRESULT | AddDescribedSlotID ([in] aafUInt32 DescribedSlotID)
Appends the given described slot ID to the list of described slot IDs referenced by this DescriptiveClip.
HRESULT | RemoveDescribedSlotID ([in] aafUInt32 DescribedSlotID)
Removes the given described slot ID from the list of described slot IDs referenced by this DescriptiveClip.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFDescriptiveClip also implement the following interfaces:

  • IAAFSourceClip
  • IAAFSourceReference
  • IAAFSourceReference2
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 5601 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDescriptiveClip::AddDescribedSlotID ( [in] aafUInt32 DescribedSlotID )

Appends the given described slot ID to the list of described slot IDs referenced by this DescriptiveClip.

Succeeds if all of the following are true:

  • the given described slot ID is not already contained in the list of described slot IDs referenced by this DescriptiveClip.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_INVALID_PARAM

  • The given described slot ID is already contained in the list of described slot IDs referenced by this DescriptiveClip.
Parameters:
DescribedSlotID [in] described slot ID to add.
HRESULT IAAFDescriptiveClip::CountDescribedSlotIDs ( [out, retval] aafUInt32 * pCount )

Gets the total number of described slot IDs present in the list of described slot IDs referenced by this DescriptiveClip.

Succeeds if all of the following are true:

  • the pCount pointer is valid;
  • the DescribedSlotIDs property is present.

If this method fails nothing will be written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the DescribedSlotIDs property is not present.
Parameters:
pCount [out, retval] Number of described slot IDs
HRESULT IAAFDescriptiveClip::GetDescribedSlotIDs | ( | [in] aafUInt32 | maxDescribedSlotIDCount,
 |  | [out, size_is(maxDescribedSlotIDCount)] aafUInt32 * | pDescribedSlotIDs
 | ) |  |

Gets all the described slot IDs in the list of described slot IDs referenced by this DescriptiveClip.

The values are written to the array specified by pDescribedSlotIDs, which is of size maxDescribedSlotIDCount. The required size may be found by calling CountDescribedSlotIDs().

Succeeds if all of the following are true:

  • pDescribedSlotIDs is a valid pointer;
  • maxDescribedSlotIDCount indicates the array is large enough to hold the data;
  • the DescribedSlotIDs property is present.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescribedSlotIDs is NULL.

AAFRESULT_SMALLBUF

  • maxDescribedSlotIDCount indicates that the array is too small to hold all the referenced described slot IDs.

AAFRESULT_PROP_NOT_PRESENT

  • the DescribedSlotIDs property is not present.
Parameters:
maxDescribedSlotIDCount | [in] The size of the given pDescribedSlotIDs buffer
pDescribedSlotIDs | [out, size_is(maxDescribedSlotIDCount)] Array to hold the described slot IDs
HRESULT IAAFDescriptiveClip::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafLength_constref | length,
 |  | [in] aafSourceRef_t | sourceRef
 | ) |  |

This method initializes a source clip object with the given properties.

Only required properties are set. Optional properties are added with separate functions.

Succeds if:

  • This object has not already been Initialize()d.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pDataDef argument is NULL.
Parameters:
pDataDef | [in] Data Definition object
length | [in] Length property value
sourceRef | [in] Source Reference
HRESULT IAAFDescriptiveClip::IsDescribedSlotIDPresent | ( | [in] aafUInt32 | DescribedSlotID,
 |  | [out, retval] aafBoolean_t * | pIsPresent
 | ) |  |

Determines if the given described slot ID is present in the list of described slot IDs referenced by this DescriptiveClip.

Succeeds if all of the following are true:

  • the pIsPresent pointer is valid;
  • the DescribedSlotIDs property is present.

If this method fails nothing will be written to *pIsPresent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsPresent arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the DescribedSlotIDs property is not present.
Parameters:
DescribedSlotID | [in] described slot ID whose presence is to be queried
pIsPresent | [out,retval] True if DescribedSlotID is present
HRESULT IAAFDescriptiveClip::RemoveDescribedSlotID ( [in] aafUInt32 DescribedSlotID )

Removes the given described slot ID from the list of described slot IDs referenced by this DescriptiveClip.

If the removed ID was the last ID in the list, the list is removed from this DescriptiveClip (the property is removed).

Succeeds if all of the following are true:

  • the DescribedSlotIDs property is present;
  • the given described slot ID is present in the list of described slot IDs referenced by this DescriptiveClip.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_PROP_NOT_PRESENT

  • property not present.

AAFRESULT_INVALID_PARAM

  • The given described slot ID is not present in the list of described slot IDs referenced by this DescriptiveClip.
Parameters:
DescribedSlotID [in] described slot ID to remove.
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDescriptiveClip Member List
This is the complete list of members for IAAFDescriptiveClip, including all inherited members.
AddDescribedSlotID([in] aafUInt32 DescribedSlotID) | IAAFDescriptiveClip
CountDescribedSlotIDs([out, retval] aafUInt32 *pCount) | IAAFDescriptiveClip
GetDescribedSlotIDs([in] aafUInt32 maxDescribedSlotIDCount,[out, size_is(maxDescribedSlotIDCount)] aafUInt32 *pDescribedSlotIDs) | IAAFDescriptiveClip
Initialize([in] IAAFDataDef *pDataDef,[in] aafLength_constref length,[in] aafSourceRef_t sourceRef) | IAAFDescriptiveClip
IsDescribedSlotIDPresent([in] aafUInt32 DescribedSlotID,[out, retval] aafBoolean_t *pIsPresent) | IAAFDescriptiveClip
RemoveDescribedSlotID([in] aafUInt32 DescribedSlotID) | IAAFDescriptiveClip
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDescriptiveFramework Interface Reference

IAAFDescriptiveFramework Interface Reference

The IAAFDescriptiveFramework interface is implemented by objects that represent descriptive metadata. More...

Detailed Description

The IAAFDescriptiveFramework interface is implemented by objects that represent descriptive metadata.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFDescriptiveFramework also implement the following interfaces:

  • IAAFObject

Definition at line 5843 of file AAF.idl.

Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDescriptiveMarker Interface Reference

Public Member Functions
IAAFDescriptiveMarker Interface Reference

The IAAFDescriptiveMarker interface is implemented by objects which represent a descriptive metadata associated with a point in time. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, IAAFDescriptiveFrame object.
HRESULT | SetDescribedSlotIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pDescribedSlotIDs)
Specifies the slot IDs in the Mob to which the DescriptiveFramework refers.
HRESULT | GetDescribedSlotIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pDescribedSlotIDs)
Get the described slot IDs that are referenced by this object.
HRESULT | GetDescribedSlotIDsSize ([out] aafUInt32 *numberElements)
Get the number of slot IDs stored by this DescriptiveMarker.
HRESULT | SetDescriptiveFramework ([in] IAAFDescriptiveFramework *pDescriptiveFramework)
Sets the DescriptiveFramework that describes this DescriptiveMarker.
HRESULT | GetDescriptiveFramework ([out, retval] IAAFDescriptiveFramework **ppDescriptiveFramework)
Gets the DescriptiveFramework that describes this DescriptiveMarker.

Detailed Description

The IAAFDescriptiveMarker interface is implemented by objects which represent a descriptive metadata associated with a point in time.

A DescriptiveMarker may contain a DescriptiveFramework object that specifies the metadata.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFDescriptiveMarker also implement the following interfaces:

  • IAAFCommentMarker
  • IAAFEvent
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 5895 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDescriptiveMarker::GetDescribedSlotIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pDescribedSlotIDs
 | ) |  |

Get the described slot IDs that are referenced by this object.

Refer to SetDescribedSlotIDs for a description of pDescribedSlotIDs.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pDescribedSlotIDs is null

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present

AAFRESULT_SMALLBUF

  • pDescribedSlotIDs is too small

This interface is not currently implemented.

Parameters:
numberElements | [in] Number of elements in the pDescribedSlotIDs array
pDescribedSlotIDs | [in] Array of channel IDs
HRESULT IAAFDescriptiveMarker::GetDescribedSlotIDsSize ( [out] aafUInt32 * numberElements )

Get the number of slot IDs stored by this DescriptiveMarker.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pDescribedSlotIDs is null
Parameters:
numberElements [out] Number of elements in the pDescribedSlotIDs array
HRESULT IAAFDescriptiveMarker::GetDescriptiveFramework ( [out, retval] IAAFDescriptiveFramework ** ppDescriptiveFramework )

Gets the DescriptiveFramework that describes this DescriptiveMarker.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • ppDescriptorFramework is null
Parameters:
ppDescriptiveFramework [out,retval] DescriptorFramework object to return
HRESULT IAAFDescriptiveMarker::Initialize ( )

Initializes a newly allocated, IAAFDescriptiveFrame object.

This method must be called after allocation, and before any other method can be called.

Return codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFDescriptiveMarker::SetDescribedSlotIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pDescribedSlotIDs
 | ) |  |

Specifies the slot IDs in the Mob to which the DescriptiveFramework refers.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pMonoSourceSlotIDs is null

This interface is not currently implemented.

Parameters:
numberElements | [in] Number of elements in the pDescribedSlotIDs array
pDescribedSlotIDs | [in] Array of slot IDs
HRESULT IAAFDescriptiveMarker::SetDescriptiveFramework ( [in] IAAFDescriptiveFramework * pDescriptiveFramework )

Sets the DescriptiveFramework that describes this DescriptiveMarker.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pDescriptorFramework is null
Parameters:
pDescriptiveFramework [in] DescriptorFramework object to set
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDescriptiveMarker Member List
This is the complete list of members for IAAFDescriptiveMarker, including all inherited members.
GetDescribedSlotIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pDescribedSlotIDs) | IAAFDescriptiveMarker
GetDescribedSlotIDsSize([out] aafUInt32 *numberElements) | IAAFDescriptiveMarker
GetDescriptiveFramework([out, retval] IAAFDescriptiveFramework **ppDescriptiveFramework) | IAAFDescriptiveMarker
Initialize() | IAAFDescriptiveMarker
SetDescribedSlotIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pDescribedSlotIDs) | IAAFDescriptiveMarker
SetDescriptiveFramework([in] IAAFDescriptiveFramework *pDescriptiveFramework) | IAAFDescriptiveMarker
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDescriptiveObject Interface Reference

IAAFDescriptiveObject Interface Reference

The IAAFDescriptiveObject interface is implemented by objects that represent descriptive metadata. More...

Detailed Description

The IAAFDescriptiveObject interface is implemented by objects that represent descriptive metadata.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFDescriptiveObject also implement the following interfaces:

  • IAAFObject

Definition at line 6062 of file AAF.idl.

Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDiagnosticOutput Interface Reference

Public Member Functions
IAAFDiagnosticOutput Interface Reference

This interface is used by AAF Toolkit as an output stream to which it writes diagnostic messages. More...

List of all members.

Public Member Functions

HRESULT PutString ([in, string] aafCharacter_constptr pString)
This method is called by the AAF toolkit to write a string to this diagnostic output.

Detailed Description

This interface is used by AAF Toolkit as an output stream to which it writes diagnostic messages.

AAF Toolkit clients can create their own implementation of this interface The default implementation of AAFDiagnosticOutput is a wrapper for the standard error stream (stderr).

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 41685 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDiagnosticOutput::PutString ( [in, string] aafCharacter_constptr pString )

This method is called by the AAF toolkit to write a string to this diagnostic output.

Parameters:
pString [in, string] string to print out
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDiagnosticOutput Member List
This is the complete list of members for IAAFDiagnosticOutput, including all inherited members.
PutString([in, string] aafCharacter_constptr pString) IAAFDiagnosticOutput
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDictionary Interface Reference

Public Member Functions
IAAFDictionary Interface Reference

This interface is used to access dictionary services in an AAF file. More...

List of all members.

Public Member Functions

HRESULT | CreateInstance ([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject)
Creates a single uninitialized AAF object of the class associated with a specified stored object id.
HRESULT | CreateMetaInstance ([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppMetaDefinition)
Creates a single uninitialized AAF meta class or type associated with a specified stored object id.
HRESULT | RegisterClassDef ([in] IAAFClassDef *pClassDef)
Add the class definition object to the dictionary.
HRESULT | LookupClassDef ([in, ref] aafUID_constref classId,[out, retval] IAAFClassDef **ppClassDef)
Return the class definition with the given id.
HRESULT | GetClassDefs ([out, retval] IEnumAAFClassDefs **ppEnum)
Return an enumerator for all class definitions.
HRESULT | CountClassDefs ([out, retval] aafUInt32 *pResult)
Writes the number of class definition objects into the pResult argument.
HRESULT | CreateForwardClassReference ([in, ref] aafUID_constref classId)
Return the class definition with the given id.
HRESULT | HasForwardClassReference ([in, ref] aafUID_constref classId,[out, retval] aafBoolean_t *pResult)
Return kAAFTrue if the given class identification is a forward reference.
HRESULT | RegisterTypeDef ([in] IAAFTypeDef *pTypeDef)
Add the type definition object to the dictionary.
HRESULT | LookupTypeDef ([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef)
Return the type definition object with the given id.
HRESULT | GetTypeDefs ([out, retval] IEnumAAFTypeDefs **ppEnum)
Return an enumerator for all type definitions.
HRESULT | CountTypeDefs ([out, retval] aafUInt32 *pResult)
Writes the number of type definition objects into the pResult argument.
HRESULT | RegisterOpaqueTypeDef ([in] IAAFTypeDef *pTypeDef)
Add the opaquetype definition object to the dictionary.
HRESULT | LookupOpaqueTypeDef ([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef)
Return the opaque type definition object with the given id.
HRESULT | GetOpaqueTypeDefs ([out, retval] IEnumAAFTypeDefs **ppEnum)
Return an enumerator for all registered opaque type definitions.
HRESULT | CountOpaqueTypeDefs ([out, retval] aafUInt32 *pResult)
Writes the number of opaque type definition objects into the pResult argument.
HRESULT | RegisterKLVDataKey ([in] aafUID_t pUID,[in] IAAFTypeDef *pTypeDef)
Add the definition for the given KLV key to the runtime dictionary.
HRESULT | RegisterDataDef ([in] IAAFDataDef *pDataDef)
Add the data definition object to the header's list of definitions.
HRESULT | LookupDataDef ([in, ref] aafUID_constref dataDefinitionId,[out, retval] IAAFDataDef **ppDataDef)
Return the data definition object with the given id.
HRESULT | GetDataDefs ([out, retval] IEnumAAFDataDefs **ppEnum)
Return an enumerator for aff data definitions.
HRESULT | CountDataDefs ([out, retval] aafUInt32 *pResult)
Writes the number of data definition objects into the pResult argument.
HRESULT | RegisterOperationDef ([in] IAAFOperationDef *pOperationDef)
Add the operation definition object to the header's list of definitions.
HRESULT | LookupOperationDef ([in, ref] aafUID_constref operationId,[out, retval] IAAFOperationDef **ppOperationDef)
Return the operation definition object with the given id.
HRESULT | GetOperationDefs ([out, retval] IEnumAAFOperationDefs **ppEnum)
Return an enumerator for all operation definitions.
HRESULT | CountOperationDefs ([out, retval] aafUInt32 *pResult)
Writes the number of operation definition objects into the pResult argument.
HRESULT | RegisterParameterDef ([in] IAAFParameterDef *pParmDef)
Add the parameter definition object to the header's list of definitions.
HRESULT | LookupParameterDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFParameterDef **ppParmDef)
Return the parameter definition object with the given id.
HRESULT | GetParameterDefs ([out, retval] IEnumAAFParameterDefs **ppEnum)
Return an enumerator for all parameter definitions.
HRESULT | CountParameterDefs ([out, retval] aafUInt32 *pResult)
Writes the number of parameter definition objects into the pResult argument.
HRESULT | RegisterCodecDef ([in] IAAFCodecDef *pParmDef)
Add the codec definition object to the header's list of definitions.
HRESULT | LookupCodecDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFCodecDef **ppParmDef)
Return the codec definition object with the given id.
HRESULT | GetCodecDefs ([out, retval] IEnumAAFCodecDefs **ppEnum)
Return an enumerator for all codec definitions.
HRESULT | CountCodecDefs ([out, retval] aafUInt32 *pResult)
Writes the number of codec definition objects into the pResult argument.
HRESULT | RegisterContainerDef ([in] IAAFContainerDef *pParmDef)
Add the container definition object to the header's list of definitions.
HRESULT | LookupContainerDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFContainerDef **ppParmDef)
Return the container definition object with the given id.
HRESULT | GetContainerDefs ([out, retval] IEnumAAFContainerDefs **ppEnum)
Return an enumerator for all container definitions.
HRESULT | CountContainerDefs ([out, retval] aafUInt32 *pResult)
Writes the number of container definition objects into the pResult argument.
HRESULT | RegisterInterpolationDef ([in] IAAFInterpolationDef *pInterpolationDef)
Add the Interpolation definition object to the header's list of definitions.
HRESULT | LookupInterpolationDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFInterpolationDef **ppInterpolationDef)
Return the Interpolation definition object with the given id.
HRESULT | GetInterpolationDefs ([out, retval] IEnumAAFInterpolationDefs **ppEnum)
Return an enumerator for aff Interpolation definitions.
HRESULT | CountInterpolationDefs ([out, retval] aafUInt32 *pResult)
Writes the number of interpolation definition objects into the pResult argument.
HRESULT | RegisterPluginDef ([in] IAAFPluginDef *pPlugDef)
Add the plugin definition object to the header's list of definitions.
HRESULT | LookupPluginDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFPluginDef **ppPlugDef)
Return the plugin descriptor object with the given id.
HRESULT | GetPluginDefs ([out, retval] IEnumAAFPluginDefs **ppEnum)
Return an enumerator for all plugin descriptors.
HRESULT | CountPluginDefs ([out, retval] aafUInt32 *pResult)
Writes the number of plugin definition objects into the pResult argument.

Detailed Description

This interface is used to access dictionary services in an AAF file.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFDictionary also implement the following interfaces:

  • IAAFDictionary2
  • IAAFObject

Definition at line 6097 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDictionary::CountClassDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of class definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of class definition objects
HRESULT IAAFDictionary::CountCodecDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of codec definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of codec definition objects
HRESULT IAAFDictionary::CountContainerDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of container definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of container definition objects
HRESULT IAAFDictionary::CountDataDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of data definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of data definition objects
HRESULT IAAFDictionary::CountInterpolationDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of interpolation definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of interpolation definition objects
HRESULT IAAFDictionary::CountOpaqueTypeDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of opaque type definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of opaque type definition objects
HRESULT IAAFDictionary::CountOperationDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of operation definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of operation definition objects
HRESULT IAAFDictionary::CountParameterDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of parameter definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of parameter definition objects
HRESULT IAAFDictionary::CountPluginDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of plugin definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of plugin definition objects
HRESULT IAAFDictionary::CountTypeDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of type definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of type definition objects
HRESULT IAAFDictionary::CreateForwardClassReference ( [in, ref] aafUID_constref classId )

Return the class definition with the given id.

Succeeds if:

  • The classId does not represent an existing forward class reference or a class definition that has already been successfully registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId [in, ref] Class Unique ID
HRESULT IAAFDictionary::CreateInstance | ( | [in, ref] aafUID_constref | id,
 |  | [in, ref] REFIID | riid,
 |  | [out, iid_is(riid)] IUnknown ** | ppvObject
 | ) |  |

Creates a single uninitialized AAF object of the class associated with a specified stored object id.

Parameters:
[in] | id | Class identifier (id) of the stored object. This is the corresponding SMPTE identifier (as a GUID) for all predefined built-in classes.
[in] | riid | Reference to the identifier of the interface
[out] | ppvObject | Address of output variable that receives the interface pointer requested in riid
HRESULT IAAFDictionary::CreateMetaInstance | ( | [in, ref] aafUID_constref | id,
 |  | [in, ref] REFIID | riid,
 |  | [out, iid_is(riid)] IUnknown ** | ppMetaDefinition
 | ) |  |

Creates a single uninitialized AAF meta class or type associated with a specified stored object id.

Parameters:
[in] | id | Identifier (id) of a class or type definition. This is the corresponding SMPTE identifier (as a GUID) for all predefined built-in definitions.
[in] | riid | Reference to the identifier of the interface
[out] | ppMetaDefinition | Address of output variable that receives the interface pointer requested in riid
HRESULT IAAFDictionary::GetClassDefs ( [out, retval] IEnumAAFClassDefs ** ppEnum )

Return an enumerator for all class definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Class Definition Enumeration
HRESULT IAAFDictionary::GetCodecDefs ( [out, retval] IEnumAAFCodecDefs ** ppEnum )

Return an enumerator for all codec definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetContainerDefs ( [out, retval] IEnumAAFContainerDefs ** ppEnum )

Return an enumerator for all container definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetDataDefs ( [out, retval] IEnumAAFDataDefs ** ppEnum )

Return an enumerator for aff data definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetInterpolationDefs ( [out, retval] IEnumAAFInterpolationDefs ** ppEnum )

Return an enumerator for aff Interpolation definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetOpaqueTypeDefs ( [out, retval] IEnumAAFTypeDefs ** ppEnum )

Return an enumerator for all registered opaque type definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Type Def Enumeration
HRESULT IAAFDictionary::GetOperationDefs ( [out, retval] IEnumAAFOperationDefs ** ppEnum )

Return an enumerator for all operation definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetParameterDefs ( [out, retval] IEnumAAFParameterDefs ** ppEnum )

Return an enumerator for all parameter definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetPluginDefs ( [out, retval] IEnumAAFPluginDefs ** ppEnum )

Return an enumerator for all plugin descriptors.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary::GetTypeDefs ( [out, retval] IEnumAAFTypeDefs ** ppEnum )

Return an enumerator for all type definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Type Def Enumeration
HRESULT IAAFDictionary::HasForwardClassReference | ( | [in, ref] aafUID_constref | classId,
 |  | [out, retval] aafBoolean_t * | pResult
 | ) |  |

Return kAAFTrue if the given class identification is a forward reference.

Succeeds if:

  • The pClassID pointer is valid.
  • The ppClassDef pointer is valid.
  • the ID is a recognized id for a class definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pClassID or ppClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId | [in, ref] Class Unique ID
pResult | [out,retval] true if forward class reference; false if not a forward class reference
HRESULT IAAFDictionary::LookupClassDef | ( | [in, ref] aafUID_constref | classId,
 |  | [out, retval] IAAFClassDef ** | ppClassDef
 | ) |  |

Return the class definition with the given id.

Succeeds if:

  • The pClassID pointer is valid.
  • The ppClassDef pointer is valid.
  • the ID is a recognized id for a class definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pClassID or ppClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId | [in, ref] Class Unique ID
ppClassDef | [out,retval] Class Definition
HRESULT IAAFDictionary::LookupCodecDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFCodecDef ** | ppParmDef
 | ) |  |

Return the codec definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Codec definition object
HRESULT IAAFDictionary::LookupContainerDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFContainerDef ** | ppParmDef
 | ) |  |

Return the container definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Container definition object
HRESULT IAAFDictionary::LookupDataDef | ( | [in, ref] aafUID_constref | dataDefinitionId,
 |  | [out, retval] IAAFDataDef ** | ppDataDef
 | ) |  |

Return the data definition object with the given id.

Parameters:
dataDefinitionId | [in, ref] Data Definition Unique ID
ppDataDef | [out,retval] Data Definition Object
HRESULT IAAFDictionary::LookupInterpolationDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFInterpolationDef ** | ppInterpolationDef
 | ) |  |

Return the Interpolation definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppInterpolationDef | [out,retval] Interpolation definition object
HRESULT IAAFDictionary::LookupOpaqueTypeDef | ( | [in, ref] aafUID_constref | typeId,
 |  | [out, retval] IAAFTypeDef ** | ppTypeDef
 | ) |  |

Return the opaque type definition object with the given id.

Succeeds if:

  • The pTypeID pointer is valid.
  • The ppTypeDef pointer is valid.
  • the ID is a recognized id for an opaque type definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either typeId or ppTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a type definition ID.
Parameters:
typeId | [in, ref] Type Unique ID
ppTypeDef | [out,retval] Type Definition Object
HRESULT IAAFDictionary::LookupOperationDef | ( | [in, ref] aafUID_constref | operationId,
 |  | [out, retval] IAAFOperationDef ** | ppOperationDef
 | ) |  |

Return the operation definition object with the given id.

Parameters:
operationId | [in, ref] Operation Def Unique ID
ppOperationDef | [out,retval] Operation definition object
HRESULT IAAFDictionary::LookupParameterDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFParameterDef ** | ppParmDef
 | ) |  |

Return the parameter definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Parameter definition object
HRESULT IAAFDictionary::LookupPluginDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFPluginDef ** | ppPlugDef
 | ) |  |

Return the plugin descriptor object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppPlugDef | [out,retval] plugin descriptor object
HRESULT IAAFDictionary::LookupTypeDef | ( | [in, ref] aafUID_constref | typeId,
 |  | [out, retval] IAAFTypeDef ** | ppTypeDef
 | ) |  |

Return the type definition object with the given id.

Succeeds if:

  • The pTypeID pointer is valid.
  • The ppTypeDef pointer is valid.
  • the ID is a recognized id for a type definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pTypeID or ppTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a type definition ID.
Parameters:
typeId | [in, ref] Type Unique ID
ppTypeDef | [out,retval] Type Definition Object
HRESULT IAAFDictionary::RegisterClassDef ( [in] IAAFClassDef * pClassDef )

Add the class definition object to the dictionary.

Succeeds if:

  • The pClassDef pointer is valid.
  • the ID contained in the class def is not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The class def ID has already been registered.
Parameters:
pClassDef [in] Class Definition
HRESULT IAAFDictionary::RegisterCodecDef ( [in] IAAFCodecDef * pParmDef )

Add the codec definition object to the header's list of definitions.

Parameters:
pParmDef [in] Codec Definition Object
HRESULT IAAFDictionary::RegisterContainerDef ( [in] IAAFContainerDef * pParmDef )

Add the container definition object to the header's list of definitions.

Parameters:
pParmDef [in] Container Definition Object
HRESULT IAAFDictionary::RegisterDataDef ( [in] IAAFDataDef * pDataDef )

Add the data definition object to the header's list of definitions.

Parameters:
pDataDef [in] Data Definition Object
HRESULT IAAFDictionary::RegisterInterpolationDef ( [in] IAAFInterpolationDef * pInterpolationDef )

Add the Interpolation definition object to the header's list of definitions.

Parameters:
pInterpolationDef [in] Interpolation Definition Object
HRESULT IAAFDictionary::RegisterKLVDataKey | ( | [in] aafUID_t | pUID,
 |  | [in] IAAFTypeDef * | pTypeDef
 | ) |  |

Add the definition for the given KLV key to the runtime dictionary.

The pTypeDef will often be kAAFTypeID_UInt8Array, but may be something else.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the definition is not already been registered with RegisterTypeDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pUID | [in] Key to define
pTypeDef | [in] Type Definition Object
HRESULT IAAFDictionary::RegisterOpaqueTypeDef ( [in] IAAFTypeDef * pTypeDef )

Add the opaquetype definition object to the dictionary.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the definition is not already been registered with RegisterTypeDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pTypeDef [in] Type Definition Object
HRESULT IAAFDictionary::RegisterOperationDef ( [in] IAAFOperationDef * pOperationDef )

Add the operation definition object to the header's list of definitions.

Parameters:
pOperationDef [in] Operation Definition Object
HRESULT IAAFDictionary::RegisterParameterDef ( [in] IAAFParameterDef * pParmDef )

Add the parameter definition object to the header's list of definitions.

Parameters:
pParmDef [in] Parameter Definition Object
HRESULT IAAFDictionary::RegisterPluginDef ( [in] IAAFPluginDef * pPlugDef )

Add the plugin definition object to the header's list of definitions.

Parameters:
pPlugDef [in] plugin definition Object
HRESULT IAAFDictionary::RegisterTypeDef ( [in] IAAFTypeDef * pTypeDef )

Add the type definition object to the dictionary.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the ID is not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pTypeDef [in] Type Definition Object
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDictionary2 Interface Reference

Public Member Functions
IAAFDictionary2 Interface Reference

This interface is used to access dictionary services in an AAF file. More...

List of all members.

Public Member Functions

HRESULT | CreateInstance ([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject)
Creates a single uninitialized AAF object of the class associated with a specified stored object id.
HRESULT | CreateMetaInstance ([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppMetaDefinition)
Creates a single uninitialized AAF meta class or type associated with a specified stored object id.
HRESULT | RegisterClassDef ([in] IAAFClassDef *pClassDef)
Add the class definition object to the dictionary.
HRESULT | LookupClassDef ([in, ref] aafUID_constref classId,[out, retval] IAAFClassDef **ppClassDef)
Return the class definition with the given id.
HRESULT | GetClassDefs ([out, retval] IEnumAAFClassDefs **ppEnum)
Return an enumerator for all class definitions.
HRESULT | CountClassDefs ([out, retval] aafUInt32 *pResult)
Writes the number of class definition objects into the pResult argument.
HRESULT | CreateForwardClassReference ([in, ref] aafUID_constref classId)
Return the class definition with the given id.
HRESULT | HasForwardClassReference ([in, ref] aafUID_constref classId,[out, retval] aafBoolean_t *pResult)
Return kAAFTrue if the given class identification is a forward reference.
HRESULT | RegisterTypeDef ([in] IAAFTypeDef *pTypeDef)
Add the type definition object to the dictionary.
HRESULT | LookupTypeDef ([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef)
Return the type definition object with the given id.
HRESULT | GetTypeDefs ([out, retval] IEnumAAFTypeDefs **ppEnum)
Return an enumerator for all type definitions.
HRESULT | CountTypeDefs ([out, retval] aafUInt32 *pResult)
Writes the number of type definition objects into the pResult argument.
HRESULT | RegisterOpaqueTypeDef ([in] IAAFTypeDef *pTypeDef)
Add the opaquetype definition object to the dictionary.
HRESULT | LookupOpaqueTypeDef ([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef)
Return the opaque type definition object with the given id.
HRESULT | GetOpaqueTypeDefs ([out, retval] IEnumAAFTypeDefs **ppEnum)
Return an enumerator for all registered opaque type definitions.
HRESULT | CountOpaqueTypeDefs ([out, retval] aafUInt32 *pResult)
Writes the number of opaque type definition objects into the pResult argument.
HRESULT | RegisterKLVDataKey ([in] aafUID_t pUID,[in] IAAFTypeDef *pTypeDef)
Add the definition for the given KLV key to the runtime dictionary.
HRESULT | RegisterDataDef ([in] IAAFDataDef *pDataDef)
Add the data definition object to the header's list of definitions.
HRESULT | LookupDataDef ([in, ref] aafUID_constref dataDefinitionId,[out, retval] IAAFDataDef **ppDataDef)
Return the data definition object with the given id.
HRESULT | GetDataDefs ([out, retval] IEnumAAFDataDefs **ppEnum)
Return an enumerator for aff data definitions.
HRESULT | CountDataDefs ([out, retval] aafUInt32 *pResult)
Writes the number of data definition objects into the pResult argument.
HRESULT | RegisterOperationDef ([in] IAAFOperationDef *pOperationDef)
Add the operation definition object to the header's list of definitions.
HRESULT | LookupOperationDef ([in, ref] aafUID_constref operationId,[out, retval] IAAFOperationDef **ppOperationDef)
Return the operation definition object with the given id.
HRESULT | GetOperationDefs ([out, retval] IEnumAAFOperationDefs **ppEnum)
Return an enumerator for all operation definitions.
HRESULT | CountOperationDefs ([out, retval] aafUInt32 *pResult)
Writes the number of operation definition objects into the pResult argument.
HRESULT | RegisterParameterDef ([in] IAAFParameterDef *pParmDef)
Add the parameter definition object to the header's list of definitions.
HRESULT | LookupParameterDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFParameterDef **ppParmDef)
Return the parameter definition object with the given id.
HRESULT | GetParameterDefs ([out, retval] IEnumAAFParameterDefs **ppEnum)
Return an enumerator for all parameter definitions.
HRESULT | CountParameterDefs ([out, retval] aafUInt32 *pResult)
Writes the number of parameter definition objects into the pResult argument.
HRESULT | RegisterCodecDef ([in] IAAFCodecDef *pParmDef)
Add the codec definition object to the header's list of definitions.
HRESULT | LookupCodecDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFCodecDef **ppParmDef)
Return the codec definition object with the given id.
HRESULT | GetCodecDefs ([out, retval] IEnumAAFCodecDefs **ppEnum)
Return an enumerator for all codec definitions.
HRESULT | CountCodecDefs ([out, retval] aafUInt32 *pResult)
Writes the number of codec definition objects into the pResult argument.
HRESULT | RegisterContainerDef ([in] IAAFContainerDef *pParmDef)
Add the container definition object to the header's list of definitions.
HRESULT | LookupContainerDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFContainerDef **ppParmDef)
Return the container definition object with the given id.
HRESULT | GetContainerDefs ([out, retval] IEnumAAFContainerDefs **ppEnum)
Return an enumerator for all container definitions.
HRESULT | CountContainerDefs ([out, retval] aafUInt32 *pResult)
Writes the number of container definition objects into the pResult argument.
HRESULT | RegisterInterpolationDef ([in] IAAFInterpolationDef *pInterpolationDef)
Add the Interpolation definition object to the header's list of definitions.
HRESULT | LookupInterpolationDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFInterpolationDef **ppInterpolationDef)
Return the Interpolation definition object with the given id.
HRESULT | GetInterpolationDefs ([out, retval] IEnumAAFInterpolationDefs **ppEnum)
Return an enumerator for aff Interpolation definitions.
HRESULT | CountInterpolationDefs ([out, retval] aafUInt32 *pResult)
Writes the number of interpolation definition objects into the pResult argument.
HRESULT | RegisterPluginDef ([in] IAAFPluginDef *pPlugDef)
Add the plugin definition object to the header's list of definitions.
HRESULT | LookupPluginDef ([in, ref] aafUID_constref parameterId,[out, retval] IAAFPluginDef **ppPlugDef)
Return the plugin descriptor object with the given id.
HRESULT | GetPluginDefs ([out, retval] IEnumAAFPluginDefs **ppEnum)
Return an enumerator for all plugin descriptors.
HRESULT | CountPluginDefs ([out, retval] aafUInt32 *pResult)
Writes the number of plugin definition objects into the pResult argument.
HRESULT | RegisterKLVDataDef ([in] IAAFKLVDataDefinition *pDef)
Add the KLVData definition object to the header's list of definitions.
HRESULT | LookupKLVDataDef ([in, ref] aafUID_constref defId,[out, retval] IAAFKLVDataDefinition **ppDef)
Return the KLVData descriptor object with the given id.
HRESULT | GetKLVDataDefs ([out, retval] IEnumAAFKLVDataDefs **ppEnum)
Return an enumerator for all KLVData descriptors.
HRESULT | CountKLVDataDefs ([out, retval] aafUInt32 *pResult)
Writes the number of KLVData definition objects into the pResult argument.
HRESULT | RegisterTaggedValueDef ([in] IAAFTaggedValueDefinition *pDef)
Add the tagged value definition object to the header's list of definitions.
HRESULT | LookupTaggedValueDef ([in, ref] aafUID_constref defId,[out, retval] IAAFTaggedValueDefinition **ppDef)
Return the tagged value descriptor object with the given id.
HRESULT | GetTaggedValueDefs ([out, retval] IEnumAAFTaggedValueDefs **ppEnum)
Return an enumerator for all tagged value descriptors.
HRESULT | CountTaggedValueDefs ([out, retval] aafUInt32 *pResult)
Writes the number of tagged value definition objects into the pResult argument.
HRESULT | LookupAuxiliaryDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Auxiliary Data Definition Object.
HRESULT | LookupDescriptiveMetadataDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Descriptive Metadata Data Definition Object.
HRESULT | LookupEdgecodeDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Edgecode Data Definition Object.
HRESULT | LookupLegacyPictureDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the legacy Picture Data Definition Object.
HRESULT | LookupLegacySoundDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the legacy Sound Data Definition Object.
HRESULT | LookupLegacyTimecodeDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the legacy Timecode Data Definition Object.
HRESULT | LookupMatteDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Matte Data Definition Object.
HRESULT | LookupPictureDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Picture Data Definition Object.
HRESULT | LookupPictureWithMatteDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the PictureWithMatte Data Definition Object.
HRESULT | LookupSoundDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Sound Data Definition Object.
HRESULT | LookupTimecodeDataDef ([out, retval] IAAFDataDef **ppDataDef)
Return the Timecode Data Definition Object.

Detailed Description

This interface is used to access dictionary services in an AAF file.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFDictionary2 also implement the following interfaces:

  • IAAFObject

Definition at line 41730 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDictionary2::CountClassDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of class definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of class definition objects
HRESULT IAAFDictionary2::CountCodecDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of codec definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of codec definition objects
HRESULT IAAFDictionary2::CountContainerDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of container definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of container definition objects
HRESULT IAAFDictionary2::CountDataDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of data definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of data definition objects
HRESULT IAAFDictionary2::CountInterpolationDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of interpolation definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of interpolation definition objects
HRESULT IAAFDictionary2::CountKLVDataDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of KLVData definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of KLVData definition objects
HRESULT IAAFDictionary2::CountOpaqueTypeDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of opaque type definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of opaque type definition objects
HRESULT IAAFDictionary2::CountOperationDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of operation definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of operation definition objects
HRESULT IAAFDictionary2::CountParameterDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of parameter definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of parameter definition objects
HRESULT IAAFDictionary2::CountPluginDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of plugin definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of plugin definition objects
HRESULT IAAFDictionary2::CountTaggedValueDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of tagged value definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of tagged value definition objects
HRESULT IAAFDictionary2::CountTypeDefs ( [out, retval] aafUInt32 * pResult )

Writes the number of type definition objects into the pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of type definition objects
HRESULT IAAFDictionary2::CreateForwardClassReference ( [in, ref] aafUID_constref classId )

Return the class definition with the given id.

Succeeds if:

  • The classId does not represent an existing forward class reference or a class definition that has already been successfully registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId [in, ref] Class Unique ID
HRESULT IAAFDictionary2::CreateInstance | ( | [in, ref] aafUID_constref | id,
 |  | [in, ref] REFIID | riid,
 |  | [out, iid_is(riid)] IUnknown ** | ppvObject
 | ) |  |

Creates a single uninitialized AAF object of the class associated with a specified stored object id.

Parameters:
[in] | id | Class identifier (id) of the stored object. This is the corresponding SMPTE identifier (as a GUID) for all predefined built-in classes.
[in] | riid | Reference to the identifier of the interface
[out] | ppvObject | Address of output variable that receives the interface pointer requested in riid
HRESULT IAAFDictionary2::CreateMetaInstance | ( | [in, ref] aafUID_constref | id,
 |  | [in, ref] REFIID | riid,
 |  | [out, iid_is(riid)] IUnknown ** | ppMetaDefinition
 | ) |  |

Creates a single uninitialized AAF meta class or type associated with a specified stored object id.

Parameters:
[in] | id | Identifier (id) of a class or type definition. This is the corresponding SMPTE identifier (as a GUID) for all predefined built-in definitions.
[in] | riid | Reference to the identifier of the interface
[out] | ppMetaDefinition | Address of output variable that receives the interface pointer requested in riid
HRESULT IAAFDictionary2::GetClassDefs ( [out, retval] IEnumAAFClassDefs ** ppEnum )

Return an enumerator for all class definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Class Definition Enumeration
HRESULT IAAFDictionary2::GetCodecDefs ( [out, retval] IEnumAAFCodecDefs ** ppEnum )

Return an enumerator for all codec definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetContainerDefs ( [out, retval] IEnumAAFContainerDefs ** ppEnum )

Return an enumerator for all container definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetDataDefs ( [out, retval] IEnumAAFDataDefs ** ppEnum )

Return an enumerator for aff data definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetInterpolationDefs ( [out, retval] IEnumAAFInterpolationDefs ** ppEnum )

Return an enumerator for aff Interpolation definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetKLVDataDefs ( [out, retval] IEnumAAFKLVDataDefs ** ppEnum )

Return an enumerator for all KLVData descriptors.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetOpaqueTypeDefs ( [out, retval] IEnumAAFTypeDefs ** ppEnum )

Return an enumerator for all registered opaque type definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Type Def Enumeration
HRESULT IAAFDictionary2::GetOperationDefs ( [out, retval] IEnumAAFOperationDefs ** ppEnum )

Return an enumerator for all operation definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetParameterDefs ( [out, retval] IEnumAAFParameterDefs ** ppEnum )

Return an enumerator for all parameter definitions.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetPluginDefs ( [out, retval] IEnumAAFPluginDefs ** ppEnum )

Return an enumerator for all plugin descriptors.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetTaggedValueDefs ( [out, retval] IEnumAAFTaggedValueDefs ** ppEnum )

Return an enumerator for all tagged value descriptors.

Parameters:
ppEnum [out,retval] Definition Enumeration
HRESULT IAAFDictionary2::GetTypeDefs ( [out, retval] IEnumAAFTypeDefs ** ppEnum )

Return an enumerator for all type definitions.

Succeeds if:

  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] Type Def Enumeration
HRESULT IAAFDictionary2::HasForwardClassReference | ( | [in, ref] aafUID_constref | classId,
 |  | [out, retval] aafBoolean_t * | pResult
 | ) |  |

Return kAAFTrue if the given class identification is a forward reference.

Succeeds if:

  • The pClassID pointer is valid.
  • The ppClassDef pointer is valid.
  • the ID is a recognized id for a class definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pClassID or ppClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId | [in, ref] Class Unique ID
pResult | [out,retval] true if forward class reference; false if not a forward class reference
HRESULT IAAFDictionary2::LookupAuxiliaryDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Auxiliary Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupClassDef | ( | [in, ref] aafUID_constref | classId,
 |  | [out, retval] IAAFClassDef ** | ppClassDef
 | ) |  |

Return the class definition with the given id.

Succeeds if:

  • The pClassID pointer is valid.
  • The ppClassDef pointer is valid.
  • the ID is a recognized id for a class definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pClassID or ppClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a class definition ID.
Parameters:
classId | [in, ref] Class Unique ID
ppClassDef | [out,retval] Class Definition
HRESULT IAAFDictionary2::LookupCodecDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFCodecDef ** | ppParmDef
 | ) |  |

Return the codec definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Codec definition object
HRESULT IAAFDictionary2::LookupContainerDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFContainerDef ** | ppParmDef
 | ) |  |

Return the container definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Container definition object
HRESULT IAAFDictionary2::LookupDataDef | ( | [in, ref] aafUID_constref | dataDefinitionId,
 |  | [out, retval] IAAFDataDef ** | ppDataDef
 | ) |  |

Return the data definition object with the given id.

Parameters:
dataDefinitionId | [in, ref] Data Definition Unique ID
ppDataDef | [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupDescriptiveMetadataDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Descriptive Metadata Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupEdgecodeDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Edgecode Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupInterpolationDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFInterpolationDef ** | ppInterpolationDef
 | ) |  |

Return the Interpolation definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppInterpolationDef | [out,retval] Interpolation definition object
HRESULT IAAFDictionary2::LookupKLVDataDef | ( | [in, ref] aafUID_constref | defId,
 |  | [out, retval] IAAFKLVDataDefinition ** | ppDef
 | ) |  |

Return the KLVData descriptor object with the given id.

Parameters:
defId | [in, ref] KLV data definition Unique ID
ppDef | [out,retval] KLVData descriptor object
HRESULT IAAFDictionary2::LookupLegacyPictureDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the legacy Picture Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupLegacySoundDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the legacy Sound Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupLegacyTimecodeDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the legacy Timecode Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupMatteDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Matte Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupOpaqueTypeDef | ( | [in, ref] aafUID_constref | typeId,
 |  | [out, retval] IAAFTypeDef ** | ppTypeDef
 | ) |  |

Return the opaque type definition object with the given id.

Succeeds if:

  • The pTypeID pointer is valid.
  • The ppTypeDef pointer is valid.
  • the ID is a recognized id for an opaque type definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either typeId or ppTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a type definition ID.
Parameters:
typeId | [in, ref] Type Unique ID
ppTypeDef | [out,retval] Type Definition Object
HRESULT IAAFDictionary2::LookupOperationDef | ( | [in, ref] aafUID_constref | operationId,
 |  | [out, retval] IAAFOperationDef ** | ppOperationDef
 | ) |  |

Return the operation definition object with the given id.

Parameters:
operationId | [in, ref] Operation Def Unique ID
ppOperationDef | [out,retval] Operation definition object
HRESULT IAAFDictionary2::LookupParameterDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFParameterDef ** | ppParmDef
 | ) |  |

Return the parameter definition object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppParmDef | [out,retval] Parameter definition object
HRESULT IAAFDictionary2::LookupPictureDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Picture Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupPictureWithMatteDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the PictureWithMatte Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupPluginDef | ( | [in, ref] aafUID_constref | parameterId,
 |  | [out, retval] IAAFPluginDef ** | ppPlugDef
 | ) |  |

Return the plugin descriptor object with the given id.

Parameters:
parameterId | [in, ref] Parameter Unique ID
ppPlugDef | [out,retval] plugin descriptor object
HRESULT IAAFDictionary2::LookupSoundDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Sound Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupTaggedValueDef | ( | [in, ref] aafUID_constref | defId,
 |  | [out, retval] IAAFTaggedValueDefinition ** | ppDef
 | ) |  |

Return the tagged value descriptor object with the given id.

Parameters:
defId | [in, ref] tagged value definition ID
ppDef | [out,retval] tagged value descriptor object
HRESULT IAAFDictionary2::LookupTimecodeDataDef ( [out, retval] IAAFDataDef ** ppDataDef )

Return the Timecode Data Definition Object.

Succeeds if:

  • The ppDataDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDef arg is NULL.
Parameters:
ppDataDef [out,retval] Data Definition Object
HRESULT IAAFDictionary2::LookupTypeDef | ( | [in, ref] aafUID_constref | typeId,
 |  | [out, retval] IAAFTypeDef ** | ppTypeDef
 | ) |  |

Return the type definition object with the given id.

Succeeds if:

  • The pTypeID pointer is valid.
  • The ppTypeDef pointer is valid.
  • the ID is a recognized id for a type definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either pTypeID or ppTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given ID is not recognized as a type definition ID.
Parameters:
typeId | [in, ref] Type Unique ID
ppTypeDef | [out,retval] Type Definition Object
HRESULT IAAFDictionary2::RegisterClassDef ( [in] IAAFClassDef * pClassDef )

Add the class definition object to the dictionary.

Succeeds if:

  • The pClassDef pointer is valid.
  • the ID contained in the class def is not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The class def ID has already been registered.
Parameters:
pClassDef [in] Class Definition
HRESULT IAAFDictionary2::RegisterCodecDef ( [in] IAAFCodecDef * pParmDef )

Add the codec definition object to the header's list of definitions.

Parameters:
pParmDef [in] Codec Definition Object
HRESULT IAAFDictionary2::RegisterContainerDef ( [in] IAAFContainerDef * pParmDef )

Add the container definition object to the header's list of definitions.

Parameters:
pParmDef [in] Container Definition Object
HRESULT IAAFDictionary2::RegisterDataDef ( [in] IAAFDataDef * pDataDef )

Add the data definition object to the header's list of definitions.

Parameters:
pDataDef [in] Data Definition Object
HRESULT IAAFDictionary2::RegisterInterpolationDef ( [in] IAAFInterpolationDef * pInterpolationDef )

Add the Interpolation definition object to the header's list of definitions.

Parameters:
pInterpolationDef [in] Interpolation Definition Object
HRESULT IAAFDictionary2::RegisterKLVDataDef ( [in] IAAFKLVDataDefinition * pDef )

Add the KLVData definition object to the header's list of definitions.

Parameters:
pDef [in] plugin definition object
HRESULT IAAFDictionary2::RegisterKLVDataKey | ( | [in] aafUID_t | pUID,
 |  | [in] IAAFTypeDef * | pTypeDef
 | ) |  |

Add the definition for the given KLV key to the runtime dictionary.

The pTypeDef will often be kAAFTypeID_UInt8Array, but may be something else.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the definition is not already been registered with RegisterTypeDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pUID | [in] Key to define
pTypeDef | [in] Type Definition Object
HRESULT IAAFDictionary2::RegisterOpaqueTypeDef ( [in] IAAFTypeDef * pTypeDef )

Add the opaquetype definition object to the dictionary.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the definition is not already been registered with RegisterTypeDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTypeDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pTypeDef [in] Type Definition Object
HRESULT IAAFDictionary2::RegisterOperationDef ( [in] IAAFOperationDef * pOperationDef )

Add the operation definition object to the header's list of definitions.

Parameters:
pOperationDef [in] Operation Definition Object
HRESULT IAAFDictionary2::RegisterParameterDef ( [in] IAAFParameterDef * pParmDef )

Add the parameter definition object to the header's list of definitions.

Parameters:
pParmDef [in] Parameter Definition Object
HRESULT IAAFDictionary2::RegisterPluginDef ( [in] IAAFPluginDef * pPlugDef )

Add the plugin definition object to the header's list of definitions.

Parameters:
pPlugDef [in] plugin definition Object
HRESULT IAAFDictionary2::RegisterTaggedValueDef ( [in] IAAFTaggedValueDefinition * pDef )

Add the tagged value definition object to the header's list of definitions.

Parameters:
pDef [in] tagged value definition Object
HRESULT IAAFDictionary2::RegisterTypeDef ( [in] IAAFTypeDef * pTypeDef )

Add the type definition object to the dictionary.

Succeeds if:

  • The pTypeDef pointer is valid.
  • the ID is not already been registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClassDef arg is NULL.

AAFRESULT_INVALID_PARAM

  • The given type has already been registered.
Parameters:
pTypeDef [in] Type Definition Object
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDictionary2 Member List
This is the complete list of members for IAAFDictionary2, including all inherited members.
CountClassDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountCodecDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountContainerDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountDataDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountInterpolationDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountKLVDataDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountOpaqueTypeDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountOperationDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountParameterDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountPluginDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountTaggedValueDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CountTypeDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary2
CreateForwardClassReference([in, ref] aafUID_constref classId) | IAAFDictionary2
CreateInstance([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject) | IAAFDictionary2
CreateMetaInstance([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppMetaDefinition) | IAAFDictionary2
GetClassDefs([out, retval] IEnumAAFClassDefs **ppEnum) | IAAFDictionary2
GetCodecDefs([out, retval] IEnumAAFCodecDefs **ppEnum) | IAAFDictionary2
GetContainerDefs([out, retval] IEnumAAFContainerDefs **ppEnum) | IAAFDictionary2
GetDataDefs([out, retval] IEnumAAFDataDefs **ppEnum) | IAAFDictionary2
GetInterpolationDefs([out, retval] IEnumAAFInterpolationDefs **ppEnum) | IAAFDictionary2
GetKLVDataDefs([out, retval] IEnumAAFKLVDataDefs **ppEnum) | IAAFDictionary2
GetOpaqueTypeDefs([out, retval] IEnumAAFTypeDefs **ppEnum) | IAAFDictionary2
GetOperationDefs([out, retval] IEnumAAFOperationDefs **ppEnum) | IAAFDictionary2
GetParameterDefs([out, retval] IEnumAAFParameterDefs **ppEnum) | IAAFDictionary2
GetPluginDefs([out, retval] IEnumAAFPluginDefs **ppEnum) | IAAFDictionary2
GetTaggedValueDefs([out, retval] IEnumAAFTaggedValueDefs **ppEnum) | IAAFDictionary2
GetTypeDefs([out, retval] IEnumAAFTypeDefs **ppEnum) | IAAFDictionary2
HasForwardClassReference([in, ref] aafUID_constref classId,[out, retval] aafBoolean_t *pResult) | IAAFDictionary2
LookupAuxiliaryDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupClassDef([in, ref] aafUID_constref classId,[out, retval] IAAFClassDef **ppClassDef) | IAAFDictionary2
LookupCodecDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFCodecDef **ppParmDef) | IAAFDictionary2
LookupContainerDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFContainerDef **ppParmDef) | IAAFDictionary2
LookupDataDef([in, ref] aafUID_constref dataDefinitionId,[out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupDescriptiveMetadataDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupEdgecodeDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupInterpolationDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFInterpolationDef **ppInterpolationDef) | IAAFDictionary2
LookupKLVDataDef([in, ref] aafUID_constref defId,[out, retval] IAAFKLVDataDefinition **ppDef) | IAAFDictionary2
LookupLegacyPictureDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupLegacySoundDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupLegacyTimecodeDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupMatteDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupOpaqueTypeDef([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef) | IAAFDictionary2
LookupOperationDef([in, ref] aafUID_constref operationId,[out, retval] IAAFOperationDef **ppOperationDef) | IAAFDictionary2
LookupParameterDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFParameterDef **ppParmDef) | IAAFDictionary2
LookupPictureDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupPictureWithMatteDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupPluginDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFPluginDef **ppPlugDef) | IAAFDictionary2
LookupSoundDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupTaggedValueDef([in, ref] aafUID_constref defId,[out, retval] IAAFTaggedValueDefinition **ppDef) | IAAFDictionary2
LookupTimecodeDataDef([out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary2
LookupTypeDef([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef) | IAAFDictionary2
RegisterClassDef([in] IAAFClassDef *pClassDef) | IAAFDictionary2
RegisterCodecDef([in] IAAFCodecDef *pParmDef) | IAAFDictionary2
RegisterContainerDef([in] IAAFContainerDef *pParmDef) | IAAFDictionary2
RegisterDataDef([in] IAAFDataDef *pDataDef) | IAAFDictionary2
RegisterInterpolationDef([in] IAAFInterpolationDef *pInterpolationDef) | IAAFDictionary2
RegisterKLVDataDef([in] IAAFKLVDataDefinition *pDef) | IAAFDictionary2
RegisterKLVDataKey([in] aafUID_t pUID,[in] IAAFTypeDef *pTypeDef) | IAAFDictionary2
RegisterOpaqueTypeDef([in] IAAFTypeDef *pTypeDef) | IAAFDictionary2
RegisterOperationDef([in] IAAFOperationDef *pOperationDef) | IAAFDictionary2
RegisterParameterDef([in] IAAFParameterDef *pParmDef) | IAAFDictionary2
RegisterPluginDef([in] IAAFPluginDef *pPlugDef) | IAAFDictionary2
RegisterTaggedValueDef([in] IAAFTaggedValueDefinition *pDef) | IAAFDictionary2
RegisterTypeDef([in] IAAFTypeDef *pTypeDef) | IAAFDictionary2
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDigitalImageDescriptor Interface Reference

Public Member Functions
IAAFDigitalImageDescriptor Interface Reference

IAAFDigitalImageDescriptor is DEPRECATED. More...

List of all members.

Public Member Functions

HRESULT | SetCompression ([in] aafUID_constref compression)
Sets the kind of compression and format of compression information of the video essence data.
HRESULT | GetCompression ([out] aafUID_t *pCompression)
Gets the kind of compression and format of compression information of the video essence data.
HRESULT | SetStoredView ([in] aafUInt32 StoredHeight,[in] aafUInt32 StoredWidth)
Sets the dimension of the stored view.
HRESULT | GetStoredView ([out] aafUInt32 *pStoredHeight,[out] aafUInt32 *pStoredWidth)
Gets the dimension of the stored view.
HRESULT | SetSampledView ([in] aafUInt32 SampledHeight,[in] aafUInt32 SampledWidth,[in] aafInt32 SampledXOffset,[in] aafInt32 SampledYOffset)
Sets the dimensions of sampled view.
HRESULT | GetSampledView ([out] aafUInt32 *pSampledHeight,[out] aafUInt32 *pSampledWidth,[out] aafInt32 *pSampledXOffset,[out] aafInt32 *pSampledYOffset)
Gets the dimensions of sampled view.
HRESULT | SetDisplayView ([in] aafUInt32 DisplayHeight,[in] aafUInt32 DisplayWidth,[in] aafInt32 DisplayXOffset,[in] aafInt32 DisplayYOffset)
Sets the dimension of display view.
HRESULT | GetDisplayView ([out] aafUInt32 *pDisplayHeight,[out] aafUInt32 *pDisplayWidth,[out] aafInt32 *pDisplayXOffset,[out] aafInt32 *pDisplayYOffset)
Gets the dimension of display view.
HRESULT | SetFrameLayout ([in] aafFrameLayout_t FrameLayout)
Sets the frame layout.
HRESULT | GetFrameLayout ([out] aafFrameLayout_t *pFrameLayout)
Gets the frame layout.
HRESULT | SetVideoLineMap ([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafInt32 *pVideoLineMap)
Sets the VideoLineMap property.
HRESULT | GetVideoLineMap ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafInt32 *pVideoLineMap)
Gets the VideoLineMap property.
HRESULT | GetVideoLineMapSize ([out] aafUInt32 *pNumberElements)
Get the number of elements in the VideoLineMap property array.
HRESULT | SetImageAspectRatio ([in] aafRational_t ImageAspectRatio)
Sets the Image Aspect Ratio property.
HRESULT | GetImageAspectRatio ([out] aafRational_t *pImageAspectRatio)
Gets the Image Aspect Ratio property.
HRESULT | SetAlphaTransparency ([in] aafAlphaTransparency_t AlphaTransparency)
Sets the AlphaTransparency property.
HRESULT | GetAlphaTransparency ([out] aafAlphaTransparency_t *pAlphaTransparency)
Gets the AlphaTransparency property.
HRESULT | SetGamma ([in] aafUID_t Gamma)
Sets the TransferCharacteristic property.
HRESULT | GetGamma ([out] aafUID_t *pGamma)
Gets the TransferCharacteristic property.
HRESULT | SetImageAlignmentFactor ([in] aafUInt32 ImageAlignmentFactor)
Sets the ImageAlignmentFactor property.
HRESULT | GetImageAlignmentFactor ([out] aafUInt32 *pImageAlignmentFactor)
Gets the ImageAlignmentFactor property.

Detailed Description

IAAFDigitalImageDescriptor is DEPRECATED.

Please use IAAFDigitalImageDescriptor2.

The IAAFDigitalImageDescriptor interface is implemented by objects which describe video content data formatted either using RGBA or luminance/chrominance formatting.

The geometry properties accessed by Set/GetStoredView(), Set/GetSampledView(), and Set/GetDisplayView() describe the dimensions and meaning of the stored pixels in the image. The geometry describes the pixels of an uncompressed image. Consequently, the geometry properties are independent of the compression and subsampling.

Three separate geometries - stored, sampled, and display views - are used to define a set of different views on uncompressed digital data. All views are constrained to rectangular regions, which means that storage and sampling has to be rectangular.

The relationships among the views can be shown by the following rectangles, representing areas of a video image:

+------------------+ | | | Stored View | | | +--------------+ +------------------+ <-------- | | | | Sample | Analog Video | | Sampled View | Process | Source | | | | Information | | +--------------+ | | | | | | | | | | | Display View | | | | | | | | | | | +--------------+ | | | | | | | +------------------+ <-------- | | +--------------+

The stored view is the entire data region corresponding to a single uncompressed frame or field of the image, and is defined by its horizontal and vertical dimension properties. The stored view may include data that is not derived from, and would not usually be translated back to, analog data.

The sampled view is defined to be the rectangular dimensions in pixels corresponding to the digital data derived from an analog or digital source. These pixels reside within the rectangle defined by the stored view. This would include the image and auxiliary information included in the analog or digital source. For the capture of video signals, the mapping of these views to the original signal is determined by the VideoLineMap property.

The display view is the rectangular size in pixels corresponding to the viewable area. These pixels contain image data suitable for scaling, display, warping, and other image processing. The display view offsets are relative to the stored view, not to the sampled view.

Although typically the display view is a subset of the sampled view, it is possible that the viewable area may not be a subset of the sampled data. It may overlap or even encapsulate the sampled data. For example, a subset of the input image might be centered in a computer-generated blue screen for use in a chroma key effect. In this case the viewable pixels on disk would contain more than the sampled image.

Each of these data views will have a width and height value. Both the sampled view and the display view also have offsets relative to the top left corner of the stored view.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFDigitalImageDescriptor is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFDigitalImageDescriptor also implement the following interfaces:

IAAFDigitalImageDescriptor2

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 7167 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDigitalImageDescriptor::GetAlphaTransparency ( [out] aafAlphaTransparency_t * pAlphaTransparency )

Gets the AlphaTransparency property.

This property is optional.

Valid values: kMaxValueTransparent - means the maximum Alpha value is transparent kMinValueTransparent - means the minimum Alpha value is transparent

Succeeds if all of the following are true:

  • pAlphaTransparency is a valid pointer

If this method fails, pAlphaTransparency not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAlphaTransparency is NULL.
Parameters:
pAlphaTransparency [out] Alpha Transparency value.
HRESULT IAAFDigitalImageDescriptor::GetCompression ( [out] aafUID_t * pCompression )

Gets the kind of compression and format of compression information of the video essence data.

This property is optional.

Succeeds if all of the following are true:

  • the pCompression pointer is valid.

If this method fails nothing will be written to *pCompression.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComporession arg is NULL.
Parameters:
pCompression [out] Optional.
HRESULT IAAFDigitalImageDescriptor::GetDisplayView | ( | [out] aafUInt32 * | pDisplayHeight,
 |  | [out] aafUInt32 * | pDisplayWidth,
 |  | [out] aafInt32 * | pDisplayXOffset,
 |  | [out] aafInt32 * | pDisplayYOffset
 | ) |  |

Gets the dimension of display view.

Typically this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

Note that The specified display rectangle may exist outside the SampledView or even the StoredView.

Succeeds if all of the following are true:

  • pDisplayHeight, pDisplayWidth, pDisplayXOffset and pDisplayYOffset are valid pointers.

If this method fails, *pDisplayHeight, *pDisplayWidth, pDisplayXOffset, and *pDisplayYOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pDisplayHeight, pDisplayWidth, pDisplayXOffset, or pDisplayYOffset are NULL.
Parameters:
pDisplayHeight | [out] Number of pixels in vertical dimension of display view. Optional.
pDisplayWidth | [out] Number of pixels in horizontal dimension of display view. Optional.
pDisplayXOffset | [out] Number of pixels from the top-left corner of the display view. Optional.
pDisplayYOffset | [out] Number pixels from the top-left corner of the display view. Optional.
HRESULT IAAFDigitalImageDescriptor::GetFrameLayout ( [out] aafFrameLayout_t * pFrameLayout )

Gets the frame layout.

The frame layout describes whether all data for a complete sample is in one frame or is split into more than one field.

Values are:

kNoLayout - Default; not a valid value. kFullFrame - Each frame contains a full sample in progressive scan lines. kSeparateFields - Each sample consists of two fields, which when interlaced produce a full sample. kOneField - Each sample consists of two interlaced fields, but only one field is stored in the data stream. kMixedFields - Similar to FullFrame, except the two fields may have been sampled at different times.

Succeeds if all of the following are true:

  • pFrameLayout is a valid pointer

If this method fails, *pFrameLayout will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFrameLayout is NULL.
Parameters:
pFrameLayout [out] layout of the frame
HRESULT IAAFDigitalImageDescriptor::GetGamma ( [out] aafUID_t * pGamma )

Gets the TransferCharacteristic property.

Succeeds if all of the following are true:

  • pGamma is a valid pointer

If this method fails, pGamma will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pGamma is NULL.
Parameters:
pGamma [out] Optional.
HRESULT IAAFDigitalImageDescriptor::GetImageAlignmentFactor ( [out] aafUInt32 * pImageAlignmentFactor )

Gets the ImageAlignmentFactor property.

Specifies the alignment when storing the digital essence. For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

Succeeds if all of the following are true:

  • pImageAlignmentFactor is a valid pointer

If this method fails, pImageAlignmentFactor will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pImageAlignmentFactor is NULL.
Parameters:
pImageAlignmentFactor [out] Optional.
HRESULT IAAFDigitalImageDescriptor::GetImageAspectRatio ( [out] aafRational_t * pImageAspectRatio )

Gets the Image Aspect Ratio property.

This ratio describes the ratio between the horizontal size and the vertical size in the intended final image.

Succeeds if all of the following are true:

  • pImageAspectRatio is a valid pointer

If this method fails, *pImageAspectRatio will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pImageAspectRatio is NULL.
Parameters:
pImageAspectRatio [out] Ratio between horizontal and vertical size
HRESULT IAAFDigitalImageDescriptor::GetSampledView | ( | [out] aafUInt32 * | pSampledHeight,
 |  | [out] aafUInt32 * | pSampledWidth,
 |  | [out] aafInt32 * | pSampledXOffset,
 |  | [out] aafInt32 * | pSampledYOffset
 | ) |  |

Gets the dimensions of sampled view.

Typically this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

Succeeds if all of the following are true:

  • pSampledHeight, pSampledWidth, pSampledXOffset and pSampledYOffset are valid pointers

If any of the input parameters are NULL, the property will not be returned.

If this method fails, *pSampledHeight, *pSampledWidth, pSampledXOffset, and *pSampledYOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSampledHeight, pSampledWidth, pSampledXOffset, or pSampledYOffset are NULL.
Parameters:
pSampledHeight | [out] Number of pixels in vertical dimension of sampled view.
pSampledWidth | [out] Number of pixels in horizontal dimension of sampled view.
pSampledXOffset | [out] Number of pixels from top left corner of sampled view. Optional.
pSampledYOffset | [out] Number of pixels from top left corner of sampled view. Optional.
HRESULT IAAFDigitalImageDescriptor::GetStoredView | ( | [out] aafUInt32 * | pStoredHeight,
 |  | [out] aafUInt32 * | pStoredWidth
 | ) |  |

Gets the dimension of the stored view.

Typically this includes leading blank video lines, any VITC lines, as well as the active picture area.

Succeeds if all of the following are true:

  • pStoredHieght and pStoredWidth are valid pointers.

If this method fails, the *pStoredHieght and *pStoredWidth will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pStoredHeight or pStoredWidth is NULL.
Parameters:
pStoredHeight | [out] Number of pixels in vertical dimension of stored view.
pStoredWidth | [out] Number of pixels in horizontal dimension of stored view.
HRESULT IAAFDigitalImageDescriptor::GetVideoLineMap | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafInt32 * | pVideoLineMap
 | ) |  |

Gets the VideoLineMap property.

The video line map specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

The values are written to the array specified by pVideoLineMap, which is of size numberElements. The required size may be found by calling GetVideoLineMapSize().

Succeeds if all of the following are true:

  • pVideoLineMap is a valid pointer.
  • numberElements indicates the array is large enough to hold the data.

If this method fails, videoLineMap will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in the array
pVideoLineMap | [out, size_is(numberElements)] Array to hold the Video Line Map information
HRESULT IAAFDigitalImageDescriptor::GetVideoLineMapSize ( [out] aafUInt32 * pNumberElements )

Get the number of elements in the VideoLineMap property array.

Succeeds if all of the following are true:

  • pNumberElements is a valid pointer

If this method fails, *pNumberElements will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.
Parameters:
pNumberElements [out] The number of elements in the array
HRESULT IAAFDigitalImageDescriptor::SetAlphaTransparency ( [in] aafAlphaTransparency_t AlphaTransparency )

Sets the AlphaTransparency property.

This property is optional.

Valid values: kMaxValueTransparent - means the maximum Alpha value is transparent kMinValueTransparent - means the minimum Alpha value is transparent

Succeeds if all of the following are true:

  • AlphaTransparency is a valid value.

If this method fails, the AlphaTransparency property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • AlphaTransparency is not a valid value.
Parameters:
AlphaTransparency [in] Alpha Transparency value.
HRESULT IAAFDigitalImageDescriptor::SetCompression ( [in] aafUID_constref compression )

Sets the kind of compression and format of compression information of the video essence data.

This property is optional. If there is no compression, the property is omitted.

If this method fails the Data Definition property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
compression [in] Optional.
HRESULT IAAFDigitalImageDescriptor::SetDisplayView | ( | [in] aafUInt32 | DisplayHeight,
 |  | [in] aafUInt32 | DisplayWidth,
 |  | [in] aafInt32 | DisplayXOffset,
 |  | [in] aafInt32 | DisplayYOffset
 | ) |  |

Sets the dimension of display view.

Typically this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

The following properties are optional:

DisplayHeight - The default value is the storedHeight. Use storedHeight to select the default. DisplayWidth - The default value is the storedWidth. Use storedWidth to select the default. DisplayXOffset - The default value is 0. Use a value of 0 to select the default. DisplayYOffset - The default value is 0. Use a value of 0 to select the default.

Note that The specified display rectangle may exist outside the SampledView or even the StoredView.

If this method fails the DisplayHeight, DisplayWidth, DisplayXOffset and DisplayYOffset properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • The area specified by DisplayHeight and DisplayXOffset is outside the StoredView, or the area specified by DisplayWidth and DisplayYOffset is outside the StoredView.
Parameters:
DisplayHeight | [in] Number of pixels in vertical dimension of display view. Optional.
DisplayWidth | [in] Number of pixels in horizontal dimension of display view. Optional.
DisplayXOffset | [in] Number of pixels from the top-left corner of the display view. Optional.
DisplayYOffset | [in] Number pixels from the top-left corner of the display view. Optional.
HRESULT IAAFDigitalImageDescriptor::SetFrameLayout ( [in] aafFrameLayout_t FrameLayout )

Sets the frame layout.

The frame layout describes whether all data for a complete sample is in one frame or is split into more than/ one field.

Values are:

kNoLayout - Default; not a valid value. kFullFrame - Each frame contains a full sample in progressive scan lines. kSeparateFields - Each sample consists of two fields, which when interlaced produce a full sample. kOneField - Each sample consists of two interlaced fields, but only one field is stored in the data stream. kMixedFields - Similar to FullFrame, except the two fields may have been sampled at different times.

Succeeds if all of the following are true:

  • frameLayout is a valid value

If this method fails, the Frame Layout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • FrameLayout is not a valid value.
Parameters:
FrameLayout [in] layout of the frame
HRESULT IAAFDigitalImageDescriptor::SetGamma ( [in] aafUID_t Gamma )

Sets the TransferCharacteristic property.

Succeeds if all of the following are true:

If this method fails, the Gamma property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
Gamma [in] Optional
HRESULT IAAFDigitalImageDescriptor::SetImageAlignmentFactor ( [in] aafUInt32 ImageAlignmentFactor )

Sets the ImageAlignmentFactor property.

Specifies the alignment when storing the digital essence. For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

Succeeds if all of the following are true:

If this method fails, the ImageAlignmentFactor property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
ImageAlignmentFactor [in] Optional.
HRESULT IAAFDigitalImageDescriptor::SetImageAspectRatio ( [in] aafRational_t ImageAspectRatio )

Sets the Image Aspect Ratio property.

This ratio describes the ratio between the horizontal size and the vertical size in the intended final image.

Succeeds if all of the following are true:

If this method fails, the Image Access Ratio property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
ImageAspectRatio [in] Ratio between horizontal and vertical size
HRESULT IAAFDigitalImageDescriptor::SetSampledView | ( | [in] aafUInt32 | SampledHeight,
 |  | [in] aafUInt32 | SampledWidth,
 |  | [in] aafInt32 | SampledXOffset,
 |  | [in] aafInt32 | SampledYOffset
 | ) |  |

Sets the dimensions of sampled view.

Typically this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

The following properties are optional:

SampledXOffset - The default value is 0. Use a value of 0 to select the default. SampledYOffset - The default value is 0. Use a value of 0 to select the default.

Succeeds if all of the following are true:

  • The given dimensions exist within the StoredView.

If this method fails, the SampledXOffset and SampledYOffset properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • The area specified by SampledHeight and SampledXOffset is outside the StoredView, or the area specified by SampledWidth and SampledYOffset is outside the StoredView.
Parameters:
SampledHeight | [in] Number of pixels in vertical dimension of sampled view.
SampledWidth | [in] Number of pixels in horizontal dimension of sampled view.
SampledXOffset | [in] Number of pixels from top left corner of sampled view. Optional.
SampledYOffset | [in] Number of pixels from top left corner of sampled view. Optional.
HRESULT IAAFDigitalImageDescriptor::SetStoredView | ( | [in] aafUInt32 | StoredHeight,
 |  | [in] aafUInt32 | StoredWidth
 | ) |  |

Sets the dimension of the stored view.

Typically this includes leading blank video lines, any VITC lines, as well as the active picture area.

If this method fails the Stored Height and Stored Width properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
StoredHeight | [in] Number of pixels in vertical dimension of stored view.
StoredWidth | [in] Number of pixels in horizontal dimension of stored view.
HRESULT IAAFDigitalImageDescriptor::SetVideoLineMap | ( | [in] aafUInt32 | numberElements,
 |  | [in, size_is(numberElements)] aafInt32 * | pVideoLineMap
 | ) |  |

Sets the VideoLineMap property.

The video line map specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

Succeeds if all of the following are true:

  • pVideoLineMap is a valid pointer

If this method fails, the Video Line Map property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVideoLineMap is NULL.
Parameters:
numberElements | [in] The number of elements in the array
pVideoLineMap | [in, size_is(numberElements)] Array to hold the Video Line Map information
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFDigitalImageDescriptor2 Interface Reference

Public Member Functions
IAAFDigitalImageDescriptor2 Interface Reference

The IAAFDigitalImageDescriptor2 interface is implemented by objects which describe video content data formatted either using RGBA or luminance/chrominance formatting. More...

List of all members.

Public Member Functions

HRESULT | SetCompression ([in] aafUID_constref compression)
/// Sets the kind of compression and format of compression information of the video essence data.
HRESULT | GetCompression ([out] aafUID_t *pCompression)
/// Gets the kind of compression and format of compression information of the video essence data.
HRESULT | SetStoredView ([in] aafUInt32 StoredHeight,[in] aafUInt32 StoredWidth)
Sets the dimension of the stored view.
HRESULT | GetStoredView ([out] aafUInt32 *pStoredHeight,[out] aafUInt32 *pStoredWidth)
Gets the dimension of the stored view.
HRESULT | SetSampledView ([in] aafUInt32 SampledHeight,[in] aafUInt32 SampledWidth,[in] aafInt32 SampledXOffset,[in] aafInt32 SampledYOffset)
Sets the dimensions of sampled view.
HRESULT | GetSampledView ([out] aafUInt32 *pSampledHeight,[out] aafUInt32 *pSampledWidth,[out] aafInt32 *pSampledXOffset,[out] aafInt32 *pSampledYOffset)
Gets the dimensions of sampled view.
HRESULT | SetDisplayView ([in] aafUInt32 DisplayHeight,[in] aafUInt32 DisplayWidth,[in] aafInt32 DisplayXOffset,[in] aafInt32 DisplayYOffset)
Sets the dimension of display view.
HRESULT | GetDisplayView ([out] aafUInt32 *pDisplayHeight,[out] aafUInt32 *pDisplayWidth,[out] aafInt32 *pDisplayXOffset,[out] aafInt32 *pDisplayYOffset)
Gets the dimension of display view.
HRESULT | SetFrameLayout ([in] aafFrameLayout_t FrameLayout)
Sets the frame layout.
HRESULT | GetFrameLayout ([out] aafFrameLayout_t *pFrameLayout)
Gets the frame layout.
HRESULT | SetVideoLineMap ([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafInt32 *pVideoLineMap)
Sets the VideoLineMap property.
HRESULT | GetVideoLineMap ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafInt32 *pVideoLineMap)
Gets the VideoLineMap property.
HRESULT | GetVideoLineMapSize ([out] aafUInt32 *pNumberElements)
Get the number of elements in the VideoLineMap property array.
HRESULT | SetImageAspectRatio ([in] aafRational_t ImageAspectRatio)
Sets the Image Aspect Ratio property.
HRESULT | GetImageAspectRatio ([out] aafRational_t *pImageAspectRatio)
Gets the Image Aspect Ratio property.
HRESULT | SetAlphaTransparency ([in] aafAlphaTransparency_t AlphaTransparency)
Sets the AlphaTransparency property.
HRESULT | GetAlphaTransparency ([out] aafAlphaTransparency_t *pAlphaTransparency)
Gets the AlphaTransparency property.
HRESULT | SetImageAlignmentFactor ([in] aafUInt32 ImageAlignmentFactor)
Sets the ImageAlignmentFactor property.
HRESULT | GetImageAlignmentFactor ([out] aafUInt32 *pImageAlignmentFactor)
Gets the ImageAlignmentFactor property.
HRESULT | SetTransferCharacteristic ([in] aafUID_constref transferCharacteristic)
Sets the TransferCharacteristic property.
HRESULT | GetTransferCharacteristic ([out] aafUID_t *pTransferCharacteristic)
Gets the TransferCharacteristic property.
HRESULT | SetCodingEquations ([in] aafUID_constref codingEquations)
Sets the CodingEquations property.
HRESULT | GetCodingEquations ([out] aafUID_t *pCodingEquations)
Gets the CodingEquations property.
HRESULT | SetColorPrimaries ([in] aafUID_constref colorPrimaries)
Sets the ColorPrimaries property.
HRESULT | GetColorPrimaries ([out] aafUID_t *pColorPrimaries)
Gets the ColorPrimaries property.
HRESULT | SetFieldStartOffset ([in] aafUInt32 fieldStartOffset)
Sets the FieldStartOffset property.
HRESULT | GetFieldStartOffset ([out] aafUInt32 *pFieldStartOffset)
Gets the FieldStartOffset property.
HRESULT | SetFieldEndOffset ([in] aafUInt32 fieldEndOffset)
Sets the FieldEndOffset property.
HRESULT | GetFieldEndOffset ([out] aafUInt32 *pFieldEndOffset)
Gets the FieldEndOffset property.
HRESULT | SetFieldDominance ([in] aafFieldNumber_t fieldDominance)
Sets the FieldDominance property.
HRESULT | GetFieldDominance ([out] aafFieldNumber_t *pFieldDominance)
Gets the FieldDominance property.
HRESULT | SetDisplayF2Offset ([in] aafInt32 displayF2Offset)
Sets the DisplayF2Offset property.
HRESULT | GetDisplayF2Offset ([out] aafInt32 *pDisplayF2Offset)
Gets the DisplayF2Offset property.
HRESULT | SetStoredF2Offset ([in] aafInt32 storedF2Offset)
Sets the StoredF2Offset property.
HRESULT | GetStoredF2Offset ([out] aafInt32 *pStoredF2Offset)
Gets the StoredF2Offset property.
HRESULT | SetActiveFormatDescriptor ([in] aafUInt8 activeFormatDescriptor)
Sets the ActiveFormatDescriptor property.
HRESULT | GetActiveFormatDescriptor ([out] aafUInt8 *pActiveFormatDescriptor)
Gets the ActiveFormatDescriptor property.
HRESULT | SetSignalStandard ([in] aafSignalStandard_t signalStandard)
Sets the SignalStandard property.
HRESULT | GetSignalStandard ([out] aafSignalStandard_t *pSignalStandard)
Gets the SignalStandard property.

Detailed Description

The IAAFDigitalImageDescriptor2 interface is implemented by objects which describe video content data formatted either using RGBA or luminance/chrominance formatting.

The geometry properties accessed by Set/GetStoredView(), Set/GetSampledView(), and Set/GetDisplayView() describe the dimensions and meaning of the stored pixels in the image. The geometry describes the pixels of an uncompressed image. Consequently, the geometry properties are independent of the compression and subsampling.

Three separate geometries - stored, sampled, and display views - are used to define a set of different views on uncompressed digital data. All views are constrained to rectangular regions, which means that storage and sampling has to be rectangular.

The relationships among the views can be shown by the following rectangles, representing areas of a video image:

+------------------+ | | | Stored View | | | +--------------+ +------------------+ <-------- | | | | Sample | Analog Video | | Sampled View | Process | Source | | | | Information | | +--------------+ | | | | | | | | | | | Display View | | | | | | | | | | | +--------------+ | | | | | | | +------------------+ <-------- | | +--------------+

The stored view is the entire data region corresponding to a single uncompressed frame or field of the image, and is defined by its horizontal and vertical dimension properties. The stored view may include data that is not derived from, and would not usually be translated back to, analog data.

The sampled view is defined to be the rectangular dimensions in pixels corresponding to the digital data derived from an analog or digital source. These pixels reside within the rectangle defined by the stored view. This would include the image and auxiliary information included in the analog or digital source. For the capture of video signals, the mapping of these views to the original signal is determined by the VideoLineMap property.

The display view is the rectangular size in pixels corresponding to the viewable area. These pixels contain image data suitable for scaling, display, warping, and other image processing. The display view offsets are relative to the stored view, not to the sampled view.

Although typically the display view is a subset of the sampled view, it is possible that the viewable area may not be a subset of the sampled data. It may overlap or even encapsulate the sampled data. For example, a subset of the input image might be centered in a computer-generated blue screen for use in a chroma key effect. In this case the viewable pixels on disk would contain more than the sampled image.

Each of these data views will have a width and height value. Both the sampled view and the display view also have offsets relative to the top left corner of the stored view.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFDigitalImageDescriptor2 is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFDigitalImageDescriptor2 also implement the following interfaces:

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 43178 of file AAF.idl.

Member Function Documentation

HRESULT IAAFDigitalImageDescriptor2::GetActiveFormatDescriptor ( [out] aafUInt8 * pActiveFormatDescriptor )

Gets the ActiveFormatDescriptor property.

Succeeds if all of the following are true:

  • pActiveFormatDescriptor is a valid pointer

If this method fails, pActiveFormatDescriptor will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pActiveFormatDescriptor is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pActiveFormatDescriptor [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetAlphaTransparency ( [out] aafAlphaTransparency_t * pAlphaTransparency )

Gets the AlphaTransparency property.

This property is optional.

Valid values: kMaxValueTransparent - means the maximum Alpha value is transparent kMinValueTransparent - means the minimum Alpha value is transparent

Succeeds if all of the following are true:

  • pAlphaTransparency is a valid pointer

If this method fails, pAlphaTransparency not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAlphaTransparency is NULL.
Parameters:
pAlphaTransparency [out] Alpha Transparency value.
HRESULT IAAFDigitalImageDescriptor2::GetCodingEquations ( [out] aafUID_t * pCodingEquations )

Gets the CodingEquations property.

Succeeds if all of the following are true:

  • pCodingEquations is a valid pointer

If this method fails, pCodingEquations will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCodingEquations is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pCodingEquations [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetColorPrimaries ( [out] aafUID_t * pColorPrimaries )

Gets the ColorPrimaries property.

Succeeds if all of the following are true:

  • pColorPrimaries is a valid pointer

If this method fails, pColorPrimaries will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pColorPrimaries is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pColorPrimaries [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetCompression ( [out] aafUID_t * pCompression )

/// Gets the kind of compression and format of compression information of the video essence data.

This property is optional.

Succeeds if all of the following are true:

  • the pCompression pointer is valid.

If this method fails nothing will be written to *pCompression.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComporession arg is NULL.
Parameters:
pCompression [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetDisplayF2Offset ( [out] aafInt32 * pDisplayF2Offset )

Gets the DisplayF2Offset property.

Succeeds if all of the following are true:

  • pDisplayF2Offset is a valid pointer

If this method fails, pDisplayF2Offset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDisplayF2Offset is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pDisplayF2Offset [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetDisplayView | ( | [out] aafUInt32 * | pDisplayHeight,
 |  | [out] aafUInt32 * | pDisplayWidth,
 |  | [out] aafInt32 * | pDisplayXOffset,
 |  | [out] aafInt32 * | pDisplayYOffset
 | ) |  |

Gets the dimension of display view.

Typically this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

Note that The specified display rectangle may exist outside the SampledView or even the StoredView.

Succeeds if all of the following are true:

  • pDisplayHeight, pDisplayWidth, pDisplayXOffset and pDisplayYOffset are valid pointers.

If this method fails, *pDisplayHeight, *pDisplayWidth, pDisplayXOffset, and *pDisplayYOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pDisplayHeight, pDisplayWidth, pDisplayXOffset, or pDisplayYOffset are NULL.
Parameters:
pDisplayHeight | [out] Number of pixels in vertical dimension of display view. Optional.
pDisplayWidth | [out] Number of pixels in horizontal dimension of display view. Optional.
pDisplayXOffset | [out] Number of pixels from the top-left corner of the display view. Optional.
pDisplayYOffset | [out] Number pixels from the top-left corner of the display view. Optional.
HRESULT IAAFDigitalImageDescriptor2::GetFieldDominance ( [out] aafFieldNumber_t * pFieldDominance )

Gets the FieldDominance property.

Succeeds if all of the following are true:

  • pFieldDominance is a valid pointer

If this method fails, pFieldDominance will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFieldDominance is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFieldDominance [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetFieldEndOffset ( [out] aafUInt32 * pFieldEndOffset )

Gets the FieldEndOffset property.

Succeeds if all of the following are true:

  • pFieldEndOffset is a valid pointer

If this method fails, pFieldEndOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFieldEndOffset is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFieldEndOffset [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetFieldStartOffset ( [out] aafUInt32 * pFieldStartOffset )

Gets the FieldStartOffset property.

Succeeds if all of the following are true:

  • pFieldStartOffset is a valid pointer

If this method fails, pFieldStartOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFieldStartOffset is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFieldStartOffset [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetFrameLayout ( [out] aafFrameLayout_t * pFrameLayout )

Gets the frame layout.

The frame layout describes whether all data for a complete sample is in one frame or is split into more than one field.

Values are:

kNoLayout - Default; not a valid value. kFullFrame - Each frame contains a full sample in progressive scan lines. kSeparateFields - Each sample consists of two fields, which when interlaced produce a full sample. kOneField - Each sample consists of two interlaced fields, but only one field is stored in the data stream. kMixedFields - Similar to FullFrame, except the two fields may have been sampled at different times.

Succeeds if all of the following are true:

  • pFrameLayout is a valid pointer

If this method fails, *pFrameLayout will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFrameLayout is NULL.
Parameters:
pFrameLayout [out] layout of the frame
HRESULT IAAFDigitalImageDescriptor2::GetImageAlignmentFactor ( [out] aafUInt32 * pImageAlignmentFactor )

Gets the ImageAlignmentFactor property.

Specifies the alignment when storing the digital essence. For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

Succeeds if all of the following are true:

  • pImageAlignmentFactor is a valid pointer

If this method fails, pImageAlignmentFactor will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pImageAlignmentFactor is NULL.
Parameters:
pImageAlignmentFactor [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetImageAspectRatio ( [out] aafRational_t * pImageAspectRatio )

Gets the Image Aspect Ratio property.

This ratio describes the ratio between the horizontal size and the vertical size in the intended final image.

Succeeds if all of the following are true:

  • pImageAspectRatio is a valid pointer

If this method fails, *pImageAspectRatio will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pImageAspectRatio is NULL.
Parameters:
pImageAspectRatio [out] Ratio between horizontal and vertical size
HRESULT IAAFDigitalImageDescriptor2::GetSampledView | ( | [out] aafUInt32 * | pSampledHeight,
 |  | [out] aafUInt32 * | pSampledWidth,
 |  | [out] aafInt32 * | pSampledXOffset,
 |  | [out] aafInt32 * | pSampledYOffset
 | ) |  |

Gets the dimensions of sampled view.

Typically this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

Succeeds if all of the following are true:

  • pSampledHeight, pSampledWidth, pSampledXOffset and pSampledYOffset are valid pointers

If any of the input parameters are NULL, the property will not be returned.

If this method fails, *pSampledHeight, *pSampledWidth, pSampledXOffset, and *pSampledYOffset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSampledHeight, pSampledWidth, pSampledXOffset, or pSampledYOffset are NULL.
Parameters:
pSampledHeight | [out] Number of pixels in vertical dimension of sampled view.
pSampledWidth | [out] Number of pixels in horizontal dimension of sampled view.
pSampledXOffset | [out] Number of pixels from top left corner of sampled view. Optional.
pSampledYOffset | [out] Number of pixels from top left corner of sampled view. Optional.
HRESULT IAAFDigitalImageDescriptor2::GetSignalStandard ( [out] aafSignalStandard_t * pSignalStandard )

Gets the SignalStandard property.

This property is optional.

Succeeds if all of the following are true:

  • pSignalStandard is a valid pointer

If this method fails, pSignalStandard not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSignalStandard is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pSignalStandard [out] Signal standard value.
HRESULT IAAFDigitalImageDescriptor2::GetStoredF2Offset ( [out] aafInt32 * pStoredF2Offset )

Gets the StoredF2Offset property.

Succeeds if all of the following are true:

  • pStoredF2Offset is a valid pointer

If this method fails, pStoredF2Offset will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pStoredF2Offset is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pStoredF2Offset [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetStoredView | ( | [out] aafUInt32 * | pStoredHeight,
 |  | [out] aafUInt32 * | pStoredWidth
 | ) |  |

Gets the dimension of the stored view.

Typically this includes leading blank video lines, any VITC lines, as well as the active picture area.

Succeeds if all of the following are true:

  • pStoredHieght and pStoredWidth are valid pointers.

If this method fails, the *pStoredHieght and *pStoredWidth will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pStoredHeight or pStoredWidth is NULL.
Parameters:
pStoredHeight | [out] Number of pixels in vertical dimension of stored view.
pStoredWidth | [out] Number of pixels in horizontal dimension of stored view.
HRESULT IAAFDigitalImageDescriptor2::GetTransferCharacteristic ( [out] aafUID_t * pTransferCharacteristic )

Gets the TransferCharacteristic property.

Succeeds if all of the following are true:

  • pTransferCharacteristic is a valid pointer

If this method fails, pTransferCharacteristic will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTransferCharacteristic is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pTransferCharacteristic [out] Optional.
HRESULT IAAFDigitalImageDescriptor2::GetVideoLineMap | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafInt32 * | pVideoLineMap
 | ) |  |

Gets the VideoLineMap property.

The video line map specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

The values are written to the array specified by pVideoLineMap, which is of size numberElements. The required size may be found by calling GetVideoLineMapSize().

Succeeds if all of the following are true:

  • pVideoLineMap is a valid pointer.
  • numberElements indicates the array is large enough to hold the data.

If this method fails, videoLineMap will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in the array
pVideoLineMap | [out, size_is(numberElements)] Array to hold the Video Line Map information
HRESULT IAAFDigitalImageDescriptor2::GetVideoLineMapSize ( [out] aafUInt32 * pNumberElements )

Get the number of elements in the VideoLineMap property array.

Succeeds if all of the following are true:

  • pNumberElements is a valid pointer

If this method fails, *pNumberElements will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.
Parameters:
pNumberElements [out] The number of elements in the array
HRESULT IAAFDigitalImageDescriptor2::SetActiveFormatDescriptor ( [in] aafUInt8 activeFormatDescriptor )

Sets the ActiveFormatDescriptor property.

Succeeds if all of the following are true:

If this method fails, the ActiveFormatDescriptor property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
activeFormatDescriptor [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetAlphaTransparency ( [in] aafAlphaTransparency_t AlphaTransparency )

Sets the AlphaTransparency property.

This property is optional.

Valid values: kMaxValueTransparent - means the maximum Alpha value is transparent kMinValueTransparent - means the minimum Alpha value is transparent

Succeeds if all of the following are true:

  • AlphaTransparency is a valid value.

If this method fails, the AlphaTransparency property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • AlphaTransparency is not a valid value.
Parameters:
AlphaTransparency [in] Alpha Transparency value.
HRESULT IAAFDigitalImageDescriptor2::SetCodingEquations ( [in] aafUID_constref codingEquations )

Sets the CodingEquations property.

Succeeds if all of the following are true:

If this method fails, the CodingEquations property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
codingEquations [in] Optional
HRESULT IAAFDigitalImageDescriptor2::SetColorPrimaries ( [in] aafUID_constref colorPrimaries )

Sets the ColorPrimaries property.

Succeeds if all of the following are true:

If this method fails, the ColorPrimaries property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
colorPrimaries [in] Optional
HRESULT IAAFDigitalImageDescriptor2::SetCompression ( [in] aafUID_constref compression )

/// Sets the kind of compression and format of compression information of the video essence data.

This property is optional. If there is no compression, the property is omitted.

If this method fails the Data Definition property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
compression [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetDisplayF2Offset ( [in] aafInt32 displayF2Offset )

Sets the DisplayF2Offset property.

Succeeds if all of the following are true:

If this method fails, the DisplayF2Offset property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • displayF2Offset is not a valid value.
Parameters:
displayF2Offset [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetDisplayView | ( | [in] aafUInt32 | DisplayHeight,
 |  | [in] aafUInt32 | DisplayWidth,
 |  | [in] aafInt32 | DisplayXOffset,
 |  | [in] aafInt32 | DisplayYOffset
 | ) |  |

Sets the dimension of display view.

Typically this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

The following properties are optional:

DisplayHeight - The default value is the storedHeight. Use storedHeight to select the default. DisplayWidth - The default value is the storedWidth. Use storedWidth to select the default. DisplayXOffset - The default value is 0. Use a value of 0 to select the default. DisplayYOffset - The default value is 0. Use a value of 0 to select the default.

Note that The specified display rectangle may exist outside the SampledView or even the StoredView.

If this method fails the DisplayHeight, DisplayWidth, DisplayXOffset and DisplayYOffset properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • The area specified by DisplayHeight and DisplayXOffset is outside the StoredView, or the area specified by DisplayWidth and DisplayYOffset is outside the StoredView.
Parameters:
DisplayHeight | [in] Number of pixels in vertical dimension of display view. Optional.
DisplayWidth | [in] Number of pixels in horizontal dimension of display view. Optional.
DisplayXOffset | [in] Number of pixels from the top-left corner of the display view. Optional.
DisplayYOffset | [in] Number pixels from the top-left corner of the display view. Optional.
HRESULT IAAFDigitalImageDescriptor2::SetFieldDominance ( [in] aafFieldNumber_t fieldDominance )

Sets the FieldDominance property.

Succeeds if all of the following are true:

If this method fails, the FieldDominance property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • FieldDominance is not a valid value.
Parameters:
fieldDominance [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetFieldEndOffset ( [in] aafUInt32 fieldEndOffset )

Sets the FieldEndOffset property.

Succeeds if all of the following are true:

If this method fails, the FieldEndOffset property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
fieldEndOffset [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetFieldStartOffset ( [in] aafUInt32 fieldStartOffset )

Sets the FieldStartOffset property.

Succeeds if all of the following are true:

If this method fails, the FieldStartOffset property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
fieldStartOffset [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetFrameLayout ( [in] aafFrameLayout_t FrameLayout )

Sets the frame layout.

The frame layout describes whether all data for a complete sample is in one frame or is split into more than/ one field.

Values are:

kNoLayout - Default; not a valid value. kFullFrame - Each frame contains a full sample in progressive scan lines. kSeparateFields - Each sample consists of two fields, which when interlaced produce a full sample. kOneField - Each sample consists of two interlaced fields, but only one field is stored in the data stream. kMixedFields - Similar to FullFrame, except the two fields may have been sampled at different times.

Succeeds if all of the following are true:

  • frameLayout is a valid value

If this method fails, the Frame Layout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • FrameLayout is not a valid value.
Parameters:
FrameLayout [in] layout of the frame
HRESULT IAAFDigitalImageDescriptor2::SetImageAlignmentFactor ( [in] aafUInt32 ImageAlignmentFactor )

Sets the ImageAlignmentFactor property.

Specifies the alignment when storing the digital essence. For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

Succeeds if all of the following are true:

If this method fails, the ImageAlignmentFactor property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
ImageAlignmentFactor [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetImageAspectRatio ( [in] aafRational_t ImageAspectRatio )

Sets the Image Aspect Ratio property.

This ratio describes the ratio between the horizontal size and the vertical size in the intended final image.

Succeeds if all of the following are true:

If this method fails, the Image Access Ratio property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
ImageAspectRatio [in] Ratio between horizontal and vertical size
HRESULT IAAFDigitalImageDescriptor2::SetSampledView | ( | [in] aafUInt32 | SampledHeight,
 |  | [in] aafUInt32 | SampledWidth,
 |  | [in] aafInt32 | SampledXOffset,
 |  | [in] aafInt32 | SampledYOffset
 | ) |  |

Sets the dimensions of sampled view.

Typically this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by Set/GetStoredView().

The following properties are optional:

SampledXOffset - The default value is 0. Use a value of 0 to select the default. SampledYOffset - The default value is 0. Use a value of 0 to select the default.

Succeeds if all of the following are true:

  • The given dimensions exist within the StoredView.

If this method fails, the SampledXOffset and SampledYOffset properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • The area specified by SampledHeight and SampledXOffset is outside the StoredView, or the area specified by SampledWidth and SampledYOffset is outside the StoredView.
Parameters:
SampledHeight | [in] Number of pixels in vertical dimension of sampled view.
SampledWidth | [in] Number of pixels in horizontal dimension of sampled view.
SampledXOffset | [in] Number of pixels from top left corner of sampled view. Optional.
SampledYOffset | [in] Number of pixels from top left corner of sampled view. Optional.
HRESULT IAAFDigitalImageDescriptor2::SetSignalStandard ( [in] aafSignalStandard_t signalStandard )

Sets the SignalStandard property.

This property is optional.

Succeeds if all of the following are true:

If this method fails, the SignalStandard property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_AAFRESULT_INVALID_ENUM_VALUE

  • signalStandard is not a valid value.
Parameters:
signalStandard [in] Signal standard value.
HRESULT IAAFDigitalImageDescriptor2::SetStoredF2Offset ( [in] aafInt32 storedF2Offset )

Sets the StoredF2Offset property.

Succeeds if all of the following are true:

If this method fails, the StoredF2Offset property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • storedF2Offset is not a valid value.
Parameters:
storedF2Offset [in] Optional.
HRESULT IAAFDigitalImageDescriptor2::SetStoredView | ( | [in] aafUInt32 | StoredHeight,
 |  | [in] aafUInt32 | StoredWidth
 | ) |  |

Sets the dimension of the stored view.

Typically this includes leading blank video lines, any VITC lines, as well as the active picture area.

If this method fails the Stored Height and Stored Width properties will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
StoredHeight | [in] Number of pixels in vertical dimension of stored view.
StoredWidth | [in] Number of pixels in horizontal dimension of stored view.
HRESULT IAAFDigitalImageDescriptor2::SetTransferCharacteristic ( [in] aafUID_constref transferCharacteristic )

Sets the TransferCharacteristic property.

Succeeds if all of the following are true:

If this method fails, the TransferCharacteristic property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
transferCharacteristic [in] Optional
HRESULT IAAFDigitalImageDescriptor2::SetVideoLineMap | ( | [in] aafUInt32 | numberElements,
 |  | [in, size_is(numberElements)] aafInt32 * | pVideoLineMap
 | ) |  |

Sets the VideoLineMap property.

The video line map specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

Succeeds if all of the following are true:

  • pVideoLineMap is a valid pointer

If this method fails, the Video Line Map property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVideoLineMap is NULL.
Parameters:
numberElements | [in] The number of elements in the array
pVideoLineMap | [in, size_is(numberElements)] Array to hold the Video Line Map information
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDigitalImageDescriptor2 Member List
This is the complete list of members for IAAFDigitalImageDescriptor2, including all inherited members.
GetActiveFormatDescriptor([out] aafUInt8 *pActiveFormatDescriptor) | IAAFDigitalImageDescriptor2
GetAlphaTransparency([out] aafAlphaTransparency_t *pAlphaTransparency) | IAAFDigitalImageDescriptor2
GetCodingEquations([out] aafUID_t *pCodingEquations) | IAAFDigitalImageDescriptor2
GetColorPrimaries([out] aafUID_t *pColorPrimaries) | IAAFDigitalImageDescriptor2
GetCompression([out] aafUID_t *pCompression) | IAAFDigitalImageDescriptor2
GetDisplayF2Offset([out] aafInt32 *pDisplayF2Offset) | IAAFDigitalImageDescriptor2
GetDisplayView([out] aafUInt32 *pDisplayHeight,[out] aafUInt32 *pDisplayWidth,[out] aafInt32 *pDisplayXOffset,[out] aafInt32 *pDisplayYOffset) | IAAFDigitalImageDescriptor2
GetFieldDominance([out] aafFieldNumber_t *pFieldDominance) | IAAFDigitalImageDescriptor2
GetFieldEndOffset([out] aafUInt32 *pFieldEndOffset) | IAAFDigitalImageDescriptor2
GetFieldStartOffset([out] aafUInt32 *pFieldStartOffset) | IAAFDigitalImageDescriptor2
GetFrameLayout([out] aafFrameLayout_t *pFrameLayout) | IAAFDigitalImageDescriptor2
GetImageAlignmentFactor([out] aafUInt32 *pImageAlignmentFactor) | IAAFDigitalImageDescriptor2
GetImageAspectRatio([out] aafRational_t *pImageAspectRatio) | IAAFDigitalImageDescriptor2
GetSampledView([out] aafUInt32 *pSampledHeight,[out] aafUInt32 *pSampledWidth,[out] aafInt32 *pSampledXOffset,[out] aafInt32 *pSampledYOffset) | IAAFDigitalImageDescriptor2
GetSignalStandard([out] aafSignalStandard_t *pSignalStandard) | IAAFDigitalImageDescriptor2
GetStoredF2Offset([out] aafInt32 *pStoredF2Offset) | IAAFDigitalImageDescriptor2
GetStoredView([out] aafUInt32 *pStoredHeight,[out] aafUInt32 *pStoredWidth) | IAAFDigitalImageDescriptor2
GetTransferCharacteristic([out] aafUID_t *pTransferCharacteristic) | IAAFDigitalImageDescriptor2
GetVideoLineMap([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafInt32 *pVideoLineMap) | IAAFDigitalImageDescriptor2
GetVideoLineMapSize([out] aafUInt32 *pNumberElements) | IAAFDigitalImageDescriptor2
SetActiveFormatDescriptor([in] aafUInt8 activeFormatDescriptor) | IAAFDigitalImageDescriptor2
SetAlphaTransparency([in] aafAlphaTransparency_t AlphaTransparency) | IAAFDigitalImageDescriptor2
SetCodingEquations([in] aafUID_constref codingEquations) | IAAFDigitalImageDescriptor2
SetColorPrimaries([in] aafUID_constref colorPrimaries) | IAAFDigitalImageDescriptor2
SetCompression([in] aafUID_constref compression) | IAAFDigitalImageDescriptor2
SetDisplayF2Offset([in] aafInt32 displayF2Offset) | IAAFDigitalImageDescriptor2
SetDisplayView([in] aafUInt32 DisplayHeight,[in] aafUInt32 DisplayWidth,[in] aafInt32 DisplayXOffset,[in] aafInt32 DisplayYOffset) | IAAFDigitalImageDescriptor2
SetFieldDominance([in] aafFieldNumber_t fieldDominance) | IAAFDigitalImageDescriptor2
SetFieldEndOffset([in] aafUInt32 fieldEndOffset) | IAAFDigitalImageDescriptor2
SetFieldStartOffset([in] aafUInt32 fieldStartOffset) | IAAFDigitalImageDescriptor2
SetFrameLayout([in] aafFrameLayout_t FrameLayout) | IAAFDigitalImageDescriptor2
SetImageAlignmentFactor([in] aafUInt32 ImageAlignmentFactor) | IAAFDigitalImageDescriptor2
SetImageAspectRatio([in] aafRational_t ImageAspectRatio) | IAAFDigitalImageDescriptor2
SetSampledView([in] aafUInt32 SampledHeight,[in] aafUInt32 SampledWidth,[in] aafInt32 SampledXOffset,[in] aafInt32 SampledYOffset) | IAAFDigitalImageDescriptor2
SetSignalStandard([in] aafSignalStandard_t signalStandard) | IAAFDigitalImageDescriptor2
SetStoredF2Offset([in] aafInt32 storedF2Offset) | IAAFDigitalImageDescriptor2
SetStoredView([in] aafUInt32 StoredHeight,[in] aafUInt32 StoredWidth) | IAAFDigitalImageDescriptor2
SetTransferCharacteristic([in] aafUID_constref transferCharacteristic) | IAAFDigitalImageDescriptor2
SetVideoLineMap([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafInt32 *pVideoLineMap) | IAAFDigitalImageDescriptor2
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEdgecode Interface Reference

Public Member Functions
IAAFEdgecode Interface Reference

Objects that implement IAAFEdgecode also implement the following interfaces: More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafLength_t length,[in] aafEdgecode_t edgecode)
This function creates a new edgecode clip with the given property values.
HRESULT | GetEdgecode ([out] aafEdgecode_t *edgecode)
This set of functions returns the required property values for the object identified by XXX.

Detailed Description

Objects that implement IAAFEdgecode also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 7882 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEdgecode::GetEdgecode ( [out] aafEdgecode_t * edgecode )

This set of functions returns the required property values for the object identified by XXX.

Parameters:
edgecode [out] Edgecode
HRESULT IAAFEdgecode::Initialize | ( | [in] aafLength_t | length,
 |  | [in] aafEdgecode_t | edgecode
 | ) |  |

This function creates a new edgecode clip with the given property values.

The edgecode value is represented with an aafEdgecode_t struct consisting of startFrame, filmKind, and codeFormat.

Parameters:
length | [in] Length Property Value
edgecode | [in] Edgecode Value
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEdgecode Member List
This is the complete list of members for IAAFEdgecode, including all inherited members.
GetEdgecode([out] aafEdgecode_t *edgecode) | IAAFEdgecode
Initialize([in] aafLength_t length,[in] aafEdgecode_t edgecode) | IAAFEdgecode
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEndian Interface Reference

Public Member Functions
IAAFEndian Interface Reference

This interface is used to allow the user to determine the byte order of this object. More...

List of all members.

Public Member Functions

HRESULT | GetStoredByteOrder ([out] eAAFByteOrder_t *pOrder)
Returns the "Endian-ness" in which the current object was or will be stored.
HRESULT | GetNativeByteOrder ([out] eAAFByteOrder_t *pOrder)
Returns the native "Endian-ness" of the platform on which this is running.

Detailed Description

This interface is used to allow the user to determine the byte order of this object.

Note that the byte order of the object stored in the AAF file may be different from the native byte order of this machine. Note also that both pieces of information are available here.

Byte order of newly created AAF files is set upon creation of that file. It is set to the byte order of the creating machine.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFEndian is not a primary interface for a concrete class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Definition at line 44353 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEndian::GetNativeByteOrder ( [out] eAAFByteOrder_t * pOrder )

Returns the native "Endian-ness" of the platform on which this is running.

Succeeds if all of the following are true:

  • the pOrder pointer is valid.

If this method fails nothing is written to *pOrder.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOrder is null.
Parameters:
pOrder [out] Pointer to place where byte order is to be put
HRESULT IAAFEndian::GetStoredByteOrder ( [out] eAAFByteOrder_t * pOrder )

Returns the "Endian-ness" in which the current object was or will be stored.

If this is a transient object (i.e., one which has not been persisted) then it will return the native byte order of the platform on which this is running.

Succeeds if all of the following are true:

  • the pOrder pointer is valid.

If this method fails nothing is written to *pOrder.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOrder is null.
Parameters:
pOrder [out] Pointer to place where byte order is to be put
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEndian Member List
This is the complete list of members for IAAFEndian, including all inherited members.
GetNativeByteOrder([out] eAAFByteOrder_t *pOrder) | IAAFEndian
GetStoredByteOrder([out] eAAFByteOrder_t *pOrder) | IAAFEndian
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceAccess Interface Reference

Public Member Functions
IAAFEssenceAccess Interface Reference

AAFEssenceAccess is an interace which provides streaming access over multiple channels of essence data. More...

List of all members.

Public Member Functions

HRESULT | SetEssenceCodecFlavour ([in, ref] aafUID_constref flavour)
Sets which flavour of the codec ID is to be used.
HRESULT | WriteSamples ([in] aafUInt32 nSamples,[in] aafUInt32 buflen,[in, size_is(buflen)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *samplesWritten,[out, ref] aafUInt32 *bytesWritten)
Writes data to the given essence stream.
HRESULT | GetLargestSampleSize ([in] IAAFDataDef *pDataDef,[out] aafLength_t *maxSize)
Returns the size in bytes of the largest sample for a given essence type.
HRESULT | GetIndexedSampleSize ([in] IAAFDataDef *pDataDef,[in] aafPosition_t frameNum,[out] aafLength_t *frameSize)
Returns the size in bytes of the given sample for a given essence type.
HRESULT | SetTransformParameters ([in] IAAFEssenceFormat *op)
Sets a series of format objects which will be used to describe the in-memory format.
HRESULT | CountSamples ([in] IAAFDataDef *pDataDef,[out] aafLength_t *result)
Returns the number of samples of the given essence type on the given essence stream.
HRESULT | ReadSamples ([in] aafUInt32 nSamples,[in] aafUInt32 buflen,[out, size_is(buflen), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *samplesRead,[out, ref] aafUInt32 *bytesRead)
Read a given number of samples from an opened essence stream.
HRESULT | Seek ([in] aafPosition_t sampleFrameNum)
The seek function for essence.
HRESULT | GetFileFormat ([in] IAAFEssenceFormat *opsTemplate,[out] IAAFEssenceFormat **opsResult)
Given an AAFEssenceFormat, read the essence parameters inside and set the values from the file format.
HRESULT | GetFileFormatParameterList ([out] IAAFEssenceFormat **ops)
Returns an AAFEssenceFormat containing a list of all parameters supported by the current codec.
HRESULT | GetEmptyFileFormat ([out] IAAFEssenceFormat **ops)
Returns an empty AAFEssenceFormat object.
HRESULT | PutFileFormat ([in] IAAFEssenceFormat *ops)
Given an AAFEssenceFormat, read the essence parameters inside and change the file format.
HRESULT | GetCodecName ([in] aafUInt32 namelen,[out, size_is(namelen)] aafCharacter *name)
Returns the full name of the given codec expanded for human consumption.
HRESULT | GetCodecID ([out] aafCodecID_t *codecID)
Returns the codec ID being used to handle the specified essence.
HRESULT | CompleteWrite ()
Handle any format related writing at the end and adjust mob lengths.

Detailed Description

AAFEssenceAccess is an interace which provides streaming access over multiple channels of essence data.

This interface deals with essence data which is in an uncompressed form, and handles compression or decompression of the data if required. You may need to QueryInterface for an AAFEssenceAccess interface in order to do non-read write operations such as seek.

You should call the CreateMultiEssence or OpenMultiEssence calls on AAFMasterMob in order to get an interface pointer to AAFEssenceAccess, as there is no public create or open method in the interface.

A number of errors can be returned from most method calls, These are: AAFRESULT_NOMEMORY -- The system ran out of memory processing the method. AAFRESULT_NULL_PARAM -- A NULL parameter was passed in which was required.

Objects that implement IAAFEssenceAccess also implement the following interfaces:

  • IAAFEssenceMultiAccess

Definition at line 7952 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceAccess::CompleteWrite ( )

Handle any format related writing at the end and adjust mob lengths.

Must be called before releasing a write essence access.

Possible Errors: AAFRESULT_STREAM_FULL

  • The essence can not be written because of a fault such as a disk full error in the underlying operating system.
HRESULT IAAFEssenceAccess::CountSamples | ( | [in] IAAFDataDef * | pDataDef,
 |  | [out] aafLength_t * | result
 | ) |  |

Returns the number of samples of the given essence type on the given essence stream.

A video sample is one frame.

Parameters:
pDataDef | [in] For this essence dataDef
result | [out] find out how many samples are present
HRESULT IAAFEssenceAccess::GetCodecID ( [out] aafCodecID_t * codecID )

Returns the codec ID being used to handle the specified essence.

This will be required in order to send private data to the codec.

The name will be truncated to fit within "buflen" bytes.

Parameters:
codecID [out] Returns the current codec ID
HRESULT IAAFEssenceAccess::GetCodecName | ( | [in] aafUInt32 | namelen,
 |  | [out, size_is(namelen)] aafCharacter * | name
 | ) |  |

Returns the full name of the given codec expanded for human consumption.

No other call uses this name, so it may be fully descriptive, esp. of limitations.

The name will be truncated to fit within "buflen" bytes.

Possible Errors: AAFRESULT_CODEC_INVALID - The given codec ID is not loaded. AAFRESULT_SMALLBUF - The buffer is not large enough to hold the data.

Parameters:
namelen | [in] The size of the name buffer to be filled
name | [out,size_is(namelen)] The buffer to fill
HRESULT IAAFEssenceAccess::GetEmptyFileFormat ( [out] IAAFEssenceFormat ** ops )

Returns an empty AAFEssenceFormat object.

This is the factory method for AAFEssenceFormat.

Parameters:
ops [out] An ampty AAFEssenceFormat object
HRESULT IAAFEssenceAccess::GetFileFormat | ( | [in] IAAFEssenceFormat * | opsTemplate,
 |  | [out] IAAFEssenceFormat ** | opsResult
 | ) |  |

Given an AAFEssenceFormat, read the essence parameters inside and set the values from the file format.

Parameters:
opsTemplate | [in] An AAFEssenceFormat with parameter codes set but no values
opsResult | [out] Another AAFEssenceFormat with values set
HRESULT IAAFEssenceAccess::GetFileFormatParameterList ( [out] IAAFEssenceFormat ** ops )

Returns an AAFEssenceFormat containing a list of all parameters supported by the current codec.

Parameters:
ops [out] An ampty AAFEssenceFormat object
HRESULT IAAFEssenceAccess::GetIndexedSampleSize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafPosition_t | frameNum,
 |  | [out] aafLength_t * | frameSize
 | ) |  |

Returns the size in bytes of the given sample for a given essence type.

For uncompressed data, or the output of the software codec, the sample size will propably be a constant.

The essence type parameter exists to support codecs with multiple interleaved essence types.

Possible Errors: AAFRESULT_NULL_PARAM -- A return parameter was NULL. AAFRESULT_BADSAMPLEOFFSET -- The supplied sample offset is out of range.

Parameters:
pDataDef | [in] and this essence type
frameNum | [in] for this [0-based] sample frame number
frameSize | [out] How big is the sample frame?
HRESULT IAAFEssenceAccess::GetLargestSampleSize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [out] aafLength_t * | maxSize
 | ) |  |

Returns the size in bytes of the largest sample for a given essence type.

For uncompressed data, or the output of the software codec, the sample size will propably be a constant.

The essence type parameter exists to support codecs with multiple interleaved essence types.

Parameters:
pDataDef | [in] for this essence type
maxSize | [out] the largest sample size
HRESULT IAAFEssenceAccess::PutFileFormat ( [in] IAAFEssenceFormat * ops )

Given an AAFEssenceFormat, read the essence parameters inside and change the file format.

Parameters:
ops [in] An AAFEssenceFormat with one or more parameter/value pairs
HRESULT IAAFEssenceAccess::ReadSamples | ( | [in] aafUInt32 | nSamples,
 |  | [in] aafUInt32 | buflen,
 |  | [out, size_is(buflen), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | samplesRead,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read a given number of samples from an opened essence stream.

This call will only return a single channel of essence from an interleaved stream.

A video sample is a frame.

Buflen is in bytes, and should be large enough to hold the samples after the requested transforms have been applied.

Possible Errors: AAFRESULT_END_OF_DATA -- Hit the end of the essence (like EOF) while reading. AAFRESULT_SMALLBUF -- Buffer too small for samples.

Parameters:
nSamples | [in] Read this many samples
buflen | [in] into a buffer of this size
buffer | [out, size_is(buflen),length_is(*bytesRead)] The transfer buffer
samplesRead | [out, ref] The number of samples actually read
bytesRead | [out, ref] The number of bytes actually read
HRESULT IAAFEssenceAccess::Seek ( [in] aafPosition_t sampleFrameNum )

The seek function for essence.

Useful only on reading, you can't seek aound while writing essence.

An audio frame is one sample across all channels.

Possible Errors: AAFRESULT_BADSAMPLEOFFSET -- Hit the end of the essence (like EOF) while reading.

Parameters:
sampleFrameNum [in] A 0-based offset in units of the sample rate to seek to.
HRESULT IAAFEssenceAccess::SetEssenceCodecFlavour ( [in, ref] aafUID_constref flavour )

Sets which flavour of the codec ID is to be used.

An example of a flavour would be a number of standard starting JPEG tables.

Parameters:
flavour [in, ref] The particular flavour
HRESULT IAAFEssenceAccess::SetTransformParameters ( [in] IAAFEssenceFormat * op )

Sets a series of format objects which will be used to describe the in-memory format.

This is the format expected on writes and produced on reads.

On writes, the data will be written in this format, except where a software codec may be used. On reads, the data will be translated to this format.

The order of the parameters does matter, as transformations will be applied in that order to get from the on-disk format to the in-memory format.

Parameters:
op [in] A set of transforms to apply to the essence if required
HRESULT IAAFEssenceAccess::WriteSamples | ( | [in] aafUInt32 | nSamples,
 |  | [in] aafUInt32 | buflen,
 |  | [in, size_is(buflen)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | samplesWritten,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Writes data to the given essence stream.

A single video frame is ONE sample.

Buflen must be large enough to hold the total sample size.

Possible Errors: AAFRESULT_SINGLE_CHANNEL_OP -- Tried to write to an interleaved stream. AAFRESULT_BADDATAADDRESS -- The buffer must not be a NULL pointer.

Parameters:
nSamples | [in] write this many samples
buflen | [in] from a buffer of this size
buffer | [in,size_is(buflen)] from a buffer
samplesWritten | [out, ref] The number of samples actually written
bytesWritten | [out, ref] The number of bytes actually written
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceAccess Member List
This is the complete list of members for IAAFEssenceAccess, including all inherited members.
CompleteWrite() | IAAFEssenceAccess
CountSamples([in] IAAFDataDef *pDataDef,[out] aafLength_t *result) | IAAFEssenceAccess
GetCodecID([out] aafCodecID_t *codecID) | IAAFEssenceAccess
GetCodecName([in] aafUInt32 namelen,[out, size_is(namelen)] aafCharacter *name) | IAAFEssenceAccess
GetEmptyFileFormat([out] IAAFEssenceFormat **ops) | IAAFEssenceAccess
GetFileFormat([in] IAAFEssenceFormat *opsTemplate,[out] IAAFEssenceFormat **opsResult) | IAAFEssenceAccess
GetFileFormatParameterList([out] IAAFEssenceFormat **ops) | IAAFEssenceAccess
GetIndexedSampleSize([in] IAAFDataDef *pDataDef,[in] aafPosition_t frameNum,[out] aafLength_t *frameSize) | IAAFEssenceAccess
GetLargestSampleSize([in] IAAFDataDef *pDataDef,[out] aafLength_t *maxSize) | IAAFEssenceAccess
PutFileFormat([in] IAAFEssenceFormat *ops) | IAAFEssenceAccess
ReadSamples([in] aafUInt32 nSamples,[in] aafUInt32 buflen,[out, size_is(buflen), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *samplesRead,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceAccess
Seek([in] aafPosition_t sampleFrameNum) | IAAFEssenceAccess
SetEssenceCodecFlavour([in, ref] aafUID_constref flavour) | IAAFEssenceAccess
SetTransformParameters([in] IAAFEssenceFormat *op) | IAAFEssenceAccess
WriteSamples([in] aafUInt32 nSamples,[in] aafUInt32 buflen,[in, size_is(buflen)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *samplesWritten,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceAccess
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceData Interface Reference

Public Member Functions
IAAFEssenceData Interface Reference

This interface is DEPRECATED, please use IAAFEssenceData2. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | Write ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a essence stream.
HRESULT | Read ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a essence stream.
HRESULT | SetPosition ([in] aafPosition_t offset)
Seek to absolute position within the essence data.
HRESULT | GetPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the essence data.
HRESULT | GetSize ([out] aafLength_t *pSize)
Return the total size of the essence data.
HRESULT | SetFileMob ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMob ([in] IAAFSourceMob **ppFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMobID ([out] aafMobID_t *pFileMobID)
Return the mob id used to find the file mob associated with this essence.

Detailed Description

This interface is DEPRECATED, please use IAAFEssenceData2.

The IAAFEssenceData interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex. WAVE) when it is contained within an AAF file. Normally the client application would access the essence through the IAAFEssenceAccess interface, which handles the work of finding and (de)compressing the data. However, in rare cases direct access to the data is required, so this interface is exposed.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NULL_PARAM

  • One of the passed in pointers is NULL.

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFEssenceData also implement the following interfaces:

  • IAAFObject

Definition at line 8300 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceData::GetFileMob ( [in] IAAFSourceMob ** ppFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the ppFileMob pointer is valid and a weak reference to the associated file mob can be resolved.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileMob is null.
Parameters:
ppFileMob [in] reference to a file mob
HRESULT IAAFEssenceData::GetFileMobID ( [out] aafMobID_t * pFileMobID )

Return the mob id used to find the file mob associated with this essence.

The file mob must exist in the same file as this essence data.

Parameters:
pFileMobID [out] the file mob id associated with essence
HRESULT IAAFEssenceData::GetPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the essence data.

Parameters:
pOffset [out] offset from beginning of essence
HRESULT IAAFEssenceData::GetSize ( [out] aafLength_t * pSize )

Return the total size of the essence data.

Parameters:
pSize [out] size of essence data
HRESULT IAAFEssenceData::Initialize ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceData::Read | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a essence stream.

Parameters:
bytes | [in] read this many bytes
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFEssenceData::SetFileMob ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceData::SetPosition ( [in] aafPosition_t offset )

Seek to absolute position within the essence data.

Parameters:
offset [in] offset from beginning of essence
HRESULT IAAFEssenceData::Write | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a essence stream.

Parameters:
bytes | [in] write this many bytes
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceData2 Interface Reference

Public Member Functions
IAAFEssenceData2 Interface Reference

The IAAFEssenceData2 interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | Write ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a essence stream.
HRESULT | Read ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a essence stream.
HRESULT | SetPosition ([in] aafPosition_t offset)
Seek to absolute position within the essence data.
HRESULT | GetPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the essence data.
HRESULT | GetSize ([out] aafLength_t *pSize)
Return the total size of the essence data.
HRESULT | WriteSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a sample index stream.
HRESULT | ReadSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a sample index stream.
HRESULT | SetSampleIndexPosition ([in] aafPosition_t offset)
Seek to absolute position within the sample index data.
HRESULT | GetSampleIndexPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the sample index data.
HRESULT | GetSampleIndexSize ([out] aafLength_t *pSize)
Return the total size of the sample index data.
HRESULT | SetFileMob ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMob ([in] IAAFSourceMob **ppFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMobID ([out] aafMobID_t *pFileMobID)
Return the mob id used to find the file mob associated with this essence.
HRESULT | GetPlainEssenceData ([in] aafUInt32 reserved,[out, retval] IAAFPlainEssenceData **pPlainEssenceData)
Creates an object which implements.

Detailed Description

The IAAFEssenceData2 interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex.

WAVE) when it is contained within an AAF file. Normally the client application would access the essence through the IAAFEssenceAccess interface, which handles the work of finding and (de)compressing the data. However, in rare cases direct access to the data is required, so this interface is exposed.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NULL_PARAM

  • One of the passed in pointers is NULL.

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFEssenceData2 also implement the following interfaces:

  • IAAFObject

Definition at line 44732 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceData2::GetFileMob ( [in] IAAFSourceMob ** ppFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the ppFileMob pointer is valid and a weak reference to the associated file mob can be resolved.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileMob is null.
Parameters:
ppFileMob [in] reference to a file mob
HRESULT IAAFEssenceData2::GetFileMobID ( [out] aafMobID_t * pFileMobID )

Return the mob id used to find the file mob associated with this essence.

The file mob must exist in the same file as this essence data.

Parameters:
pFileMobID [out] the file mob id associated with essence
HRESULT IAAFEssenceData2::GetPlainEssenceData | ( | [in] aafUInt32 | reserved,
 |  | [out, retval] IAAFPlainEssenceData ** | pPlainEssenceData
 | ) |  |

Creates an object which implements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPlainEssenceData arg is NULL.

AAFRESULT_INVALID_PARAM

  • reserved is not 0.
Parameters:
reserved | [in] Reserved for future use
pPlainEssenceData | [out,retval] file encoding-independent essence data
HRESULT IAAFEssenceData2::GetPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the essence data.

Parameters:
pOffset [out] offset from beginning of essence
HRESULT IAAFEssenceData2::GetSampleIndexPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the sample index data.

Parameters:
pOffset [out] offset from beginning of sample index
HRESULT IAAFEssenceData2::GetSampleIndexSize ( [out] aafLength_t * pSize )

Return the total size of the sample index data.

Parameters:
pSize [out] size of sample index data
HRESULT IAAFEssenceData2::GetSize ( [out] aafLength_t * pSize )

Return the total size of the essence data.

Parameters:
pSize [out] size of essence data
HRESULT IAAFEssenceData2::Initialize ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceData2::Read | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a essence stream.

Parameters:
bytes | [in] read this many bytes from the data stream
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFEssenceData2::ReadSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a sample index stream.

Parameters:
bytes | [in] read this many bytes from the sample index stream
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFEssenceData2::SetFileMob ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceData2::SetPosition ( [in] aafPosition_t offset )

Seek to absolute position within the essence data.

Parameters:
offset [in] offset from beginning of essence
HRESULT IAAFEssenceData2::SetSampleIndexPosition ( [in] aafPosition_t offset )

Seek to absolute position within the sample index data.

Parameters:
offset [in] offset from beginning of sample index
HRESULT IAAFEssenceData2::Write | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a essence stream.

Parameters:
bytes | [in] write this many bytes to the data stream
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
HRESULT IAAFEssenceData2::WriteSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a sample index stream.

Parameters:
bytes | [in] write this many bytes to the sample index stream
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceData2 Member List
This is the complete list of members for IAAFEssenceData2, including all inherited members.
GetFileMob([in] IAAFSourceMob **ppFileMob) | IAAFEssenceData2
GetFileMobID([out] aafMobID_t *pFileMobID) | IAAFEssenceData2
GetPlainEssenceData([in] aafUInt32 reserved,[out, retval] IAAFPlainEssenceData **pPlainEssenceData) | IAAFEssenceData2
GetPosition([out] aafPosition_t *pOffset) | IAAFEssenceData2
GetSampleIndexPosition([out] aafPosition_t *pOffset) | IAAFEssenceData2
GetSampleIndexSize([out] aafLength_t *pSize) | IAAFEssenceData2
GetSize([out] aafLength_t *pSize) | IAAFEssenceData2
Initialize([in] IAAFSourceMob *pFileMob) | IAAFEssenceData2
Read([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceData2
ReadSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceData2
SetFileMob([in] IAAFSourceMob *pFileMob) | IAAFEssenceData2
SetPosition([in] aafPosition_t offset) | IAAFEssenceData2
SetSampleIndexPosition([in] aafPosition_t offset) | IAAFEssenceData2
Write([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceData2
WriteSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceData2
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceDataEx Interface Reference

Public Member Functions
IAAFEssenceDataEx Interface Reference

This interface is DEPRECATED, please use IAAFEssenceData2. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | Write ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a essence stream.
HRESULT | Read ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a essence stream.
HRESULT | SetPosition ([in] aafPosition_t offset)
Seek to absolute position within the essence data.
HRESULT | GetPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the essence data.
HRESULT | GetSize ([out] aafLength_t *pSize)
Return the total size of the essence data.
HRESULT | WriteSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a sample index stream.
HRESULT | ReadSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a sample index stream.
HRESULT | SetSampleIndexPosition ([in] aafPosition_t offset)
Seek to absolute position within the sample index data.
HRESULT | GetSampleIndexPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the sample index data.
HRESULT | GetSampleIndexSize ([out] aafLength_t *pSize)
Return the total size of the sample index data.
HRESULT | SetFileMob ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMob ([in] IAAFSourceMob **ppFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMobID ([out] aafMobID_t *pFileMobID)
Return the mob id used to find the file mob associated with this essence.

Detailed Description

This interface is DEPRECATED, please use IAAFEssenceData2.

The IAAFEssenceData interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex. WAVE) when it is contained within an AAF file. Normally the client application would access the essence through the IAAFEssenceAccess interface, which handles the work of finding and (de)compressing the data. However, in rare cases direct access to the data is required, so this interface is exposed.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NULL_PARAM

  • One of the passed in pointers is NULL.

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFEssenceDataEx also implement the following interfaces:

  • IAAFObject

Definition at line 44454 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceDataEx::GetFileMob ( [in] IAAFSourceMob ** ppFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the ppFileMob pointer is valid and a weak reference to the associated file mob can be resolved.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileMob is null.
Parameters:
ppFileMob [in] reference to a file mob
HRESULT IAAFEssenceDataEx::GetFileMobID ( [out] aafMobID_t * pFileMobID )

Return the mob id used to find the file mob associated with this essence.

The file mob must exist in the same file as this essence data.

Parameters:
pFileMobID [out] the file mob id associated with essence
HRESULT IAAFEssenceDataEx::GetPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the essence data.

Parameters:
pOffset [out] offset from beginning of essence
HRESULT IAAFEssenceDataEx::GetSampleIndexPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the sample index data.

Parameters:
pOffset [out] offset from beginning of sample index
HRESULT IAAFEssenceDataEx::GetSampleIndexSize ( [out] aafLength_t * pSize )

Return the total size of the sample index data.

Parameters:
pSize [out] size of sample index data
HRESULT IAAFEssenceDataEx::GetSize ( [out] aafLength_t * pSize )

Return the total size of the essence data.

Parameters:
pSize [out] size of essence data
HRESULT IAAFEssenceDataEx::Initialize ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceDataEx::Read | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a essence stream.

Parameters:
bytes | [in] read this many bytes from the data stream
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFEssenceDataEx::ReadSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a sample index stream.

Parameters:
bytes | [in] read this many bytes from the sample index stream
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFEssenceDataEx::SetFileMob ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFEssenceDataEx::SetPosition ( [in] aafPosition_t offset )

Seek to absolute position within the essence data.

Parameters:
offset [in] offset from beginning of essence
HRESULT IAAFEssenceDataEx::SetSampleIndexPosition ( [in] aafPosition_t offset )

Seek to absolute position within the sample index data.

Parameters:
offset [in] offset from beginning of sample index
HRESULT IAAFEssenceDataEx::Write | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a essence stream.

Parameters:
bytes | [in] write this many bytes to the data stream
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
HRESULT IAAFEssenceDataEx::WriteSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a sample index stream.

Parameters:
bytes | [in] write this many bytes to the sample index stream
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceDataEx Member List
This is the complete list of members for IAAFEssenceDataEx, including all inherited members.
GetFileMob([in] IAAFSourceMob **ppFileMob) | IAAFEssenceDataEx
GetFileMobID([out] aafMobID_t *pFileMobID) | IAAFEssenceDataEx
GetPosition([out] aafPosition_t *pOffset) | IAAFEssenceDataEx
GetSampleIndexPosition([out] aafPosition_t *pOffset) | IAAFEssenceDataEx
GetSampleIndexSize([out] aafLength_t *pSize) | IAAFEssenceDataEx
GetSize([out] aafLength_t *pSize) | IAAFEssenceDataEx
Initialize([in] IAAFSourceMob *pFileMob) | IAAFEssenceDataEx
Read([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceDataEx
ReadSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceDataEx
SetFileMob([in] IAAFSourceMob *pFileMob) | IAAFEssenceDataEx
SetPosition([in] aafPosition_t offset) | IAAFEssenceDataEx
SetSampleIndexPosition([in] aafPosition_t offset) | IAAFEssenceDataEx
Write([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceDataEx
WriteSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceDataEx
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceDescriptor Interface Reference

Public Member Functions
IAAFEssenceDescriptor Interface Reference

The IAAFEssenceDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob or of the media associated with a Physical Source mob. More...

List of all members.

Public Member Functions

HRESULT | CountLocators ([out] aafUInt32 *pResult)
Return the number of locators attached to this essence descriptor.
HRESULT | AppendLocator ([in] IAAFLocator *pLocator)
Append another locator to this essence descriptor.
HRESULT | PrependLocator ([in] IAAFLocator *pLocator)
Prepend another locator to this essence descriptor.
HRESULT | InsertLocatorAt ([in] aafUInt32 index,[in] IAAFLocator *pLocator)
Inserts the given locator at the given index.
HRESULT | GetLocatorAt ([in] aafUInt32 index,[out, retval] IAAFLocator **ppLocator)
Retrieves the locator at the given index.
HRESULT | RemoveLocatorAt ([in] aafUInt32 index)
Removes the locator at the given index.
HRESULT | GetLocators ([out] IEnumAAFLocators **ppEnum)
Returns an enumerator to the locators.

Detailed Description

The IAAFEssenceDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob or of the media associated with a Physical Source mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFEssenceDescriptor is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFEssenceDescriptor also implement the following interfaces:

  • IAAFObject

Definition at line 8515 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceDescriptor::AppendLocator ( [in] IAAFLocator * pLocator )

Append another locator to this essence descriptor.

Use this function to add a locator to be scanned last when searching for the essence (a secondary location for the essence).

Succeeds if all of the following are true:

  • the pLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.
Parameters:
pLocator [in] Locator to append
HRESULT IAAFEssenceDescriptor::CountLocators ( [out] aafUInt32 * pResult )

Return the number of locators attached to this essence descriptor.

The number of locators may be zero if the essence is in the current file.

Succeeds if all of the following are true:

  • the pCount pointer is valid.

If this method fails nothing is written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount is null.
Parameters:
pResult [out] Returns the number of locators
HRESULT IAAFEssenceDescriptor::GetLocatorAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFLocator ** | ppLocator
 | ) |  |

Retrieves the locator at the given index.

Succeeds if all of the following are true:

  • the pLocator pointer is valid.
  • index is less than the value returned by CountLocators().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountLocators().
Parameters:
index | [in] index of locator to retrieve
ppLocator | [out, retval] returned locator
HRESULT IAAFEssenceDescriptor::GetLocators ( [out] IEnumAAFLocators ** ppEnum )

Returns an enumerator to the locators.

The number of locators may be zero if the essence is in the current file.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] An enumerator to the locators on this essence descriptor
HRESULT IAAFEssenceDescriptor::InsertLocatorAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFLocator * | pLocator
 | ) |  |

Inserts the given locator at the given index.

Locators already existing at the given and higher indices will be moved to the next higher index to accommodate.

Succeeds if all of the following are true:

  • the pLocator pointer is valid.
  • index is less than or equal to the value returned by CountLocators().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountLocators().
Parameters:
index | [in] index at which locator is to be inserted
pLocator | [in] Locator to append
HRESULT IAAFEssenceDescriptor::PrependLocator ( [in] IAAFLocator * pLocator )

Prepend another locator to this essence descriptor.

Use this function to add a locator to be scanned first when searching for the essence (a new primary location for the essence).

Succeeds if all of the following are true:

  • the pLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.
Parameters:
pLocator [in] Locator to append
HRESULT IAAFEssenceDescriptor::RemoveLocatorAt ( [in] aafUInt32 index )

Removes the locator at the given index.

Locators already existing at indices higher than the given index will be moved to the next lower index to accommodate.

Succeeds if all of the following are true:

  • index is less than the value returned by CountLocators().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountLocators().
Parameters:
index [in] index of locator to remove
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceDescriptor Member List
This is the complete list of members for IAAFEssenceDescriptor, including all inherited members.
AppendLocator([in] IAAFLocator *pLocator) | IAAFEssenceDescriptor
CountLocators([out] aafUInt32 *pResult) | IAAFEssenceDescriptor
GetLocatorAt([in] aafUInt32 index,[out, retval] IAAFLocator **ppLocator) | IAAFEssenceDescriptor
GetLocators([out] IEnumAAFLocators **ppEnum) | IAAFEssenceDescriptor
InsertLocatorAt([in] aafUInt32 index,[in] IAAFLocator *pLocator) | IAAFEssenceDescriptor
PrependLocator([in] IAAFLocator *pLocator) | IAAFEssenceDescriptor
RemoveLocatorAt([in] aafUInt32 index) | IAAFEssenceDescriptor
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceFormat Interface Reference

Public Member Functions
IAAFEssenceFormat Interface Reference

The AAFEssenceFormat class represents a collection of parameters (such as image height/width, audio sample width) which describes a piece of essence. More...

List of all members.

Public Member Functions

HRESULT | AddFormatSpecifier ([in] aafUID_constref essenceFormatCode,[in] aafInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t value)
Appends a format specifier to the AAFEssenceFormat.
HRESULT | GetFormatSpecifier ([in] aafUID_constref essenceFormatCode,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t value,[out] aafInt32 *bytesRead)
The data value is returned in a preallocated buffer of size valueSize.
HRESULT | NumFormatSpecifiers ([out] aafInt32 *numSpecifiers)
The data value is returned in a preallocated buffer of size valueSize.
HRESULT | GetIndexedFormatSpecifier ([in] aafInt32 index,[out] aafUID_t *essenceFormatCode,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t value,[out] aafInt32 *bytesRead)
The data value is returned in a preallocated buffer of size valueSize.

Detailed Description

The AAFEssenceFormat class represents a collection of parameters (such as image height/width, audio sample width) which describes a piece of essence.

Each parameter is specified by an AUID, and contains a variable length piece of data.

When creating a piece of essence, you should call AddFormatSpecifier() for each required or known parameter, and the codec will supply defaults for other optional parameters.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface.

Definition at line 8771 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceFormat::AddFormatSpecifier | ( | [in] aafUID_constref | essenceFormatCode,
 |  | [in] aafInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | value
 | ) |  |

Appends a format specifier to the AAFEssenceFormat.

If an essenceFormatCode has already been added, then this call replaces the value, otherwise the value is appended.

The value data is passed in as a void * through the "value" argument. The size of the value must be passed through the valueSize argument.

Parameters:
essenceFormatCode | [in] From aaddefuids.h
valueSize | [in] Size of preallocated buffer
value | [in, size_is(valueSize)] Value data
HRESULT IAAFEssenceFormat::GetFormatSpecifier | ( | [in] aafUID_constref | essenceFormatCode,
 |  | [in] aafInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | value,
 |  | [out] aafInt32 * | bytesRead
 | ) |  |

The data value is returned in a preallocated buffer of size valueSize.

The actual number of bytes read is returned in bytesRead. If the buffer is not big enough to return the entire value, an error is returned.

Parameters:
essenceFormatCode | [in] From aaddefuids.h
valueSize | [in] Size of preallocated buffer
value | [out, size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFEssenceFormat::GetIndexedFormatSpecifier | ( | [in] aafInt32 | index,
 |  | [out] aafUID_t * | essenceFormatCode,
 |  | [in] aafInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | value,
 |  | [out] aafInt32 * | bytesRead
 | ) |  |

The data value is returned in a preallocated buffer of size valueSize.

Parameters:
index | [in] 0-based index
essenceFormatCode | [out] From aaddefuids.h
valueSize | [in] Size of preallocated buffer
value | [out, size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFEssenceFormat::NumFormatSpecifiers ( [out] aafInt32 * numSpecifiers )

The data value is returned in a preallocated buffer of size valueSize.

Parameters:
numSpecifiers [out] The number of specifiers present.
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceFormat Member List
This is the complete list of members for IAAFEssenceFormat, including all inherited members.
AddFormatSpecifier([in] aafUID_constref essenceFormatCode,[in] aafInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t value) | IAAFEssenceFormat
GetFormatSpecifier([in] aafUID_constref essenceFormatCode,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t value,[out] aafInt32 *bytesRead) | IAAFEssenceFormat
GetIndexedFormatSpecifier([in] aafInt32 index,[out] aafUID_t *essenceFormatCode,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t value,[out] aafInt32 *bytesRead) | IAAFEssenceFormat
NumFormatSpecifiers([out] aafInt32 *numSpecifiers) | IAAFEssenceFormat
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceGroup Interface Reference

Public Member Functions
IAAFEssenceGroup Interface Reference

This interface provides access to the IAAFEssenceGroup interface, which contains multiple representations of the same media within a MasterMob. More...

List of all members.

Public Member Functions

HRESULT | SetStillFrame ([in] IAAFSourceClip *pStillFrame)
This method sets the still frame property on a essence group to be the source clip passed as the stillFrame argument.
HRESULT | GetStillFrame ([out] IAAFSourceClip **ppStillFrame)
Gets the still frame property on a essence group.
HRESULT | AppendChoice ([in] IAAFSegment *pChoice)
Append another choice to this AAFEssenceGroup.
HRESULT | PrependChoice ([in] IAAFSegment *pChoice)
Prepend another choice to this AAFEssenceGroup.
HRESULT | InsertChoiceAt ([in] aafUInt32 index,[in] IAAFSegment *pChoice)
Insert another choice to this AAFEssenceGroup at the given index.
HRESULT | CountChoices ([out] aafUInt32 *pCount)
Returns the number of choices attached to this AAFEssenceGroup., excepting the still frame.
HRESULT | GetChoiceAt ([in] aafUInt32 index,[out] IAAFSegment **ppChoice)
Given an index, returns the corresponding source clip choice.
HRESULT | RemoveChoiceAt ([in] aafUInt32 index)
Removes the choice at the given index.

Detailed Description

This interface provides access to the IAAFEssenceGroup interface, which contains multiple representations of the same media within a MasterMob.

The IAAFEssenceAccess methods allow specifying parameters such as "best quality", or "lowest frame rate" for and follow the correct path through the EssenceGroup in order to find the media which matches the criteria.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFEssenceGroup also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 8888 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceGroup::AppendChoice ( [in] IAAFSegment * pChoice )

Append another choice to this AAFEssenceGroup.

Succeeds if all of the following are true:

  • the pChoice pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pChoice is null.
Parameters:
pChoice [in] Source clip to add as a choice
HRESULT IAAFEssenceGroup::CountChoices ( [out] aafUInt32 * pCount )

Returns the number of choices attached to this AAFEssenceGroup., excepting the still frame.

Succeeds if all of the following are true:

  • the pCount pointer is valid.

If this method fails nothing is written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount is null.
Parameters:
pCount [out] The number of representations contained within.
HRESULT IAAFEssenceGroup::GetChoiceAt | ( | [in] aafUInt32 | index,
 |  | [out] IAAFSegment ** | ppChoice
 | ) |  |

Given an index, returns the corresponding source clip choice.

Succeeds if all of the following are true:

  • the ppChoice pointer is valid.

If this method fails nothing will be written to *ppChoice.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_MISSING_INDEX

  • The given index value is not present.

AAFRESULT_NULL_PARAM

  • ppChoice arg is NULL.
Parameters:
index | [in] The 0-based index into the array
ppChoice | [out] The representation at that index
HRESULT IAAFEssenceGroup::GetStillFrame ( [out] IAAFSourceClip ** ppStillFrame )

Gets the still frame property on a essence group.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppStillFrame is null.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
ppStillFrame [out] Still Frame source clip
HRESULT IAAFEssenceGroup::InsertChoiceAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFSegment * | pChoice
 | ) |  |

Insert another choice to this AAFEssenceGroup at the given index.

Choices already existing at the given and higher indices will be moved up by one index to accommodate.

Succeeds if all of the following are true:

  • the pChoice pointer is valid.
  • index is less than or equal to the value returned by CountChoices().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pChoice is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountChoices().
Parameters:
index | [in] place to insert new choice
pChoice | [in] Source clip to add as a choice
HRESULT IAAFEssenceGroup::PrependChoice ( [in] IAAFSegment * pChoice )

Prepend another choice to this AAFEssenceGroup.

Succeeds if all of the following are true:

  • the pChoice pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pChoice is null.
Parameters:
pChoice [in] Source clip to add as a choice
HRESULT IAAFEssenceGroup::RemoveChoiceAt ( [in] aafUInt32 index )

Removes the choice at the given index.

Items already existing at higher indices will be moved down by one index to accommodate.

Succeeds if all of the following are true:

  • the ppChoice pointer is valid.
  • index is less than the value returned by CountChoices().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppChoice arg is NULL.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountChoices().
Parameters:
index [in] The 0-based index into the array
HRESULT IAAFEssenceGroup::SetStillFrame ( [in] IAAFSourceClip * pStillFrame )

This method sets the still frame property on a essence group to be the source clip passed as the stillFrame argument.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pStillFrame is null.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pStillFrame [in] Still Frame source clip
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceGroup Member List
This is the complete list of members for IAAFEssenceGroup, including all inherited members.
AppendChoice([in] IAAFSegment *pChoice) | IAAFEssenceGroup
CountChoices([out] aafUInt32 *pCount) | IAAFEssenceGroup
GetChoiceAt([in] aafUInt32 index,[out] IAAFSegment **ppChoice) | IAAFEssenceGroup
GetStillFrame([out] IAAFSourceClip **ppStillFrame) | IAAFEssenceGroup
InsertChoiceAt([in] aafUInt32 index,[in] IAAFSegment *pChoice) | IAAFEssenceGroup
PrependChoice([in] IAAFSegment *pChoice) | IAAFEssenceGroup
RemoveChoiceAt([in] aafUInt32 index) | IAAFEssenceGroup
SetStillFrame([in] IAAFSourceClip *pStillFrame) | IAAFEssenceGroup
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEssenceMultiAccess Interface Reference

Public Member Functions
IAAFEssenceMultiAccess Interface Reference

AAFEssenceMultiAccess is an interace which provides streaming access over essence data. More...

List of all members.

Public Member Functions

HRESULT | WriteMultiSamples ([in] aafUInt16 arrayElemCount,[in, size_is(arrayElemCount)] aafmMultiXfer_t *xferArray,[out, size_is(arrayElemCount)] aafmMultiResult_t *resultArray)
Writes multiple channels worth of sample data to an interleaved data stream in the natural order for the CODEC.
HRESULT | ReadMultiSamples ([in] aafUInt16 elemCount,[in, size_is(elemCount)] aafmMultiXfer_t *xferArray,[out, size_is(elemCount)] aafmMultiResult_t *resultArray)
Reads one or more channels from an interleaved data stream.

Detailed Description

AAFEssenceMultiAccess is an interace which provides streaming access over essence data.

This nterfaces deals with essence data which is in an uncompressed form, and handles compression or decompression of the data if required.

You should call the CreateMultiEssence or OpenMultiEssence calls on AAFMasterMob in order to get an interface pointer to AAFEssenceAccess, as there is no public create or open method in the interface.

Objects implementing this interface also implement AAFEssenceAccess for operations other than read and write.

A number of errors can be returned from most method calls, These are: AAFRESULT_NOMEMORY -- The system ran out of memory processing the method. AAFRESULT_NULL_PARAM -- A NULL parameter was passed in which was required.

Definition at line 45044 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEssenceMultiAccess::ReadMultiSamples | ( | [in] aafUInt16 | elemCount,
 |  | [in, size_is(elemCount)] aafmMultiXfer_t * | xferArray,
 |  | [out, size_is(elemCount)] aafmMultiResult_t * | resultArray
 | ) |  |

Reads one or more channels from an interleaved data stream.

Possible Errors:

Standard errors (see top of file).

AAFRESULT_END_OF_ESSENCE -- Hit the end of the essence (like EOF) while reading.

Parameters:
elemCount | [in] The size of the array for transfer operations.
xferArray | [in, size_is(elemCount)] Points to an array of transfer parameters. All fields in this array except for bytesXferred must be set up before doing the transfer. Some of the fields in the xferArray structure are status results like bytesXferred and samplesXferred.

The multiXfer_t structure has the following fields, which specify one channel of data:

essenceDef [IN] -- The essence type definition physical [IN] -- The physical input-output channel numSamples [IN] -- The number of samples to transfer buflen [IN] -- The size of the buffer buffer [IN] -- The buffer for this

Parameters:
resultArray [out, size_is(elemCount)] Results go into this array.

The aafmMultiResult_t structure has the following fields, which return result for one channel of data:

bytesXfered [OUT] -- The total number of bytes transferred samplesXfered [OUT] -- The total number of samples transferred

HRESULT IAAFEssenceMultiAccess::WriteMultiSamples | ( | [in] aafUInt16 | arrayElemCount,
 |  | [in, size_is(arrayElemCount)] aafmMultiXfer_t * | xferArray,
 |  | [out, size_is(arrayElemCount)] aafmMultiResult_t * | resultArray
 | ) |  |

Writes multiple channels worth of sample data to an interleaved data stream in the natural order for the CODEC.

Parameters:
arrayElemCount | [in] number of elements in the array of transfer operations
xferArray | [in,size_is(arrayElemCount)] Points to an array of transfer parameters. All fields in this array except for bytesXferred must be set up before doing the transfer. Some of the fields in the xferArray structure are status results like bytesXferred and samplesXferred.

The multiXfer_t structure has the following fields, which specify one channel of data:

essenceDef [IN] -- The essence type definition physical [IN] -- The physical input-output channel numSamples [IN] -- The number of samples to transfer buflen [IN] -- The size of the buffer buffer [IN] -- The buffer for this

Parameters:
resultArray [out,size_is(arrayElemCount)] Put results into this array. It has the following fields, which return result for one channel of data:

bytesXfered [OUT] -- The total number of bytes transferred samplesXfered [OUT] -- The total number of samples transferred

Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceMultiAccess Member List
This is the complete list of members for IAAFEssenceMultiAccess, including all inherited members.
ReadMultiSamples([in] aafUInt16 elemCount,[in, size_is(elemCount)] aafmMultiXfer_t *xferArray,[out, size_is(elemCount)] aafmMultiResult_t *resultArray) | IAAFEssenceMultiAccess
WriteMultiSamples([in] aafUInt16 arrayElemCount,[in, size_is(arrayElemCount)] aafmMultiXfer_t *xferArray,[out, size_is(arrayElemCount)] aafmMultiResult_t *resultArray) | IAAFEssenceMultiAccess
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEvent Interface Reference

Public Member Functions
IAAFEvent Interface Reference

The IAAFEvent interface is implemented by objects which represent a text comment, a trigger, or an area in the image that has an associated interactive action. More...

List of all members.

Public Member Functions

HRESULT | GetPosition ([out, retval] aafPosition_t *pPosition)
This method will return the Position of this event.
HRESULT | SetPosition ([in] aafPosition_t Position)
This method will set the Position of this event.
HRESULT | SetComment ([in, string] aafCharacter_constptr pComment)
Sets specifies the purpose of the event.
HRESULT | GetComment ([out, string, size_is(bufSize)] aafCharacter *pComment,[in] aafUInt32 bufSize)
Gets specifies the purpose of the event.
HRESULT | GetCommentBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetComment().

Detailed Description

The IAAFEvent interface is implemented by objects which represent a text comment, a trigger, or an area in the image that has an associated interactive action.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFEvent also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 9168 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEvent::GetComment | ( | [out, string, size_is(bufSize)] aafCharacter * | pComment,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets specifies the purpose of the event.

Writes the Comment property, with a trailing null character, into the pComment buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Comment property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetCommentBufLen() to determine the required buffer size.

If this method fails nothing will be written to pComment.

Succeeds if:

  • The pComment pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Comment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComment arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Comment.
Parameters:
pComment | [out, string, size_is(bufSize)] buffer into which Comment is to be written
bufSize | [in] size of *pComment buffer in bytes
HRESULT IAAFEvent::GetCommentBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetComment().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFEvent::GetPosition ( [out, retval] aafPosition_t * pPosition )

This method will return the Position of this event.

Succeeds if all of the following are true:

  • the pPosition pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPosition arg is NULL.
Parameters:
pPosition [out,retval] Position property value
HRESULT IAAFEvent::SetComment ( [in, string] aafCharacter_constptr pComment )

Sets specifies the purpose of the event.

Set the Comment property to the value specified in pComment. A copy is made of the data so the caller retains ownership of the *pComment buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pComment pointer is valid.

If this method fails the Comment property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComment arg is NULL.
Parameters:
pComment [in, string] buffer from which Comment is to be read
HRESULT IAAFEvent::SetPosition ( [in] aafPosition_t Position )

This method will set the Position of this event.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.).

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
Position [in] Position property value
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEvent Member List
This is the complete list of members for IAAFEvent, including all inherited members.
GetComment([out, string, size_is(bufSize)] aafCharacter *pComment,[in] aafUInt32 bufSize) | IAAFEvent
GetCommentBufLen([out] aafUInt32 *pBufSize) | IAAFEvent
GetPosition([out, retval] aafPosition_t *pPosition) | IAAFEvent
SetComment([in, string] aafCharacter_constptr pComment) | IAAFEvent
SetPosition([in] aafPosition_t Position) | IAAFEvent
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEventMobSlot Interface Reference

Public Member Functions
IAAFEventMobSlot Interface Reference

IAAFEventMobSlot is DEPRECATED, please use IAAFEventMobSlot2. More...

List of all members.

Public Member Functions

HRESULT | GetEditRate ([out, retval] aafRational_t *pEditRate)
This method will get the edit rate for this mob slot.
HRESULT | SetEditRate ([in] aafRational_t *pEditRate)
This method will get set edit rate for this mob slot.

Detailed Description

IAAFEventMobSlot is DEPRECATED, please use IAAFEventMobSlot2.

An EventMobSlot, as all MobSlots, has a concrete segment, which is a concrete Event or a Sequence of ordered Events. If it has a sequence of events, all events shall have the same concrete Event. Objects that implement IAAFEventMobSlot also implement the following interfaces:

  • IAAFEventMobSlot2
  • IAAFMobSlot
  • IAAFObject

Definition at line 9358 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEventMobSlot::GetEditRate ( [out, retval] aafRational_t * pEditRate )

This method will get the edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [out,retval] Edit rate property value
HRESULT IAAFEventMobSlot::SetEditRate ( [in] aafRational_t * pEditRate )

This method will get set edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [in] Edit rate property value
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFEventMobSlot2 Interface Reference

Public Member Functions
IAAFEventMobSlot2 Interface Reference

An EventMobSlot, as all MobSlots, has a concrete segment, which is a concrete Event or a Sequence of ordered Events. More...

List of all members.

Public Member Functions

HRESULT | GetEditRate ([out, retval] aafRational_t *pEditRate)
This method will get the edit rate for this mob slot.
HRESULT | SetEditRate ([in] aafRational_t *pEditRate)
This method will get set edit rate for this mob slot.
HRESULT | GetEventSlotOrigin ([out, retval] aafPosition_t *pEventSlotOrigin)
This method will return the EventSlotOrigin of this mob slot.
HRESULT | SetEventSlotOrigin ([in] aafPosition_t eventSlotOrigin)
This method will set the EventSlotOrigin of this mob slot.

Detailed Description

An EventMobSlot, as all MobSlots, has a concrete segment, which is a concrete Event or a Sequence of ordered Events.

If it has a sequence of events, all events shall have the same concrete Event. Objects that implement IAAFEventMobSlot2 also implement the following interfaces:

  • IAAFMobSlot
  • IAAFObject

Definition at line 45146 of file AAF.idl.

Member Function Documentation

HRESULT IAAFEventMobSlot2::GetEditRate ( [out, retval] aafRational_t * pEditRate )

This method will get the edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [out,retval] Edit rate property value
HRESULT IAAFEventMobSlot2::GetEventSlotOrigin ( [out, retval] aafPosition_t * pEventSlotOrigin )

This method will return the EventSlotOrigin of this mob slot.

The EventSlotOrigin is an optional property.

Succeeds if all of the following are true:

  • the pEventSlotOrigin pointer is valid.
  • the EventSlotOrigin property is present.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_PROP_NOT_PRESENT

  • The EventSlotOrigin property is not present.

AAFRESULT_NULL_PARAM

  • pEventSlotOrigin arg is NULL.
Parameters:
pEventSlotOrigin [out,retval] EventSlotOrigin property value
HRESULT IAAFEventMobSlot2::SetEditRate ( [in] aafRational_t * pEditRate )

This method will get set edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [in] Edit rate property value
HRESULT IAAFEventMobSlot2::SetEventSlotOrigin ( [in] aafPosition_t eventSlotOrigin )

This method will set the EventSlotOrigin of this mob slot.

EventSlotOrigin is an optional property.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.).
Parameters:
eventSlotOrigin [in] EventSlotOrigin property value
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEventMobSlot2 Member List
This is the complete list of members for IAAFEventMobSlot2, including all inherited members.
GetEditRate([out, retval] aafRational_t *pEditRate) | IAAFEventMobSlot2
GetEventSlotOrigin([out, retval] aafPosition_t *pEventSlotOrigin) | IAAFEventMobSlot2
SetEditRate([in] aafRational_t *pEditRate) | IAAFEventMobSlot2
SetEventSlotOrigin([in] aafPosition_t eventSlotOrigin) | IAAFEventMobSlot2
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFile Interface Reference

Public Member Functions
IAAFFile Interface Reference

This interface is used with an object representing an AAF file. More...

List of all members.

Public Member Functions

HRESULT | Open ()
Associates this IAAFFile-supporting object with the storage to which it is to be associated.
HRESULT | SaveCopyAs ([in] IAAFFile *pDestFile)
Copies the contents of this file to *pDestFile.
HRESULT | GetHeader ([out, retval] IAAFHeader **ppHeader)
Returns the IAAFHeader-supporting object associated with this file.
HRESULT | GetRevision ([out, retval] aafFileRev_t *pRev)
Get the revision of the current AAF file, and returns it in pRev.
HRESULT | Save ()
If this IAAFFile-supporting object is open, all unsaved changes made to the contents of this object are saved.
HRESULT | Close ()
Dissociates this IAAFFile-supporting object from its currently-associated storage.
HRESULT | GetDictionary ([out, retval] IAAFDictionary **ppDictionary)
Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.

Detailed Description

This interface is used with an object representing an AAF file.

Any filesystem file can be opened for reading by multiple IAAFFile-supporting objects.

It is not recommended to Close an IAAFFile-implementing object which contains objects to which outstanding references are held in client code. Nevertheless, even if that is done, the Close() method will succeed and all referenced objects will be put into a Detached state in which may cause any methods on such objects to fail with the error status of AAFRESULT_NOT_IN_FILE.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 9457 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFile::Close ( )

Dissociates this IAAFFile-supporting object from its currently-associated storage.

Any AAF objects which were contained within this object will then no longer be available to the client.

If the client is maintaining any references to any objects which are contained in this object, those objects will be marked as dissociated, and methods on them will fail.

Any unsaved changes will be written to the file before the Close operation is complete.

This method will succeed only if all of the following are true:

  • This object is currently open.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_OPEN

  • This object is not already open.
HRESULT IAAFFile::GetDictionary ( [out, retval] IAAFDictionary ** ppDictionary )

Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.

The returned dictionary is AddRef()ed before it is returned. Note that the dictionary is automatically created when the header object is created.

Succeeds if all of the following are true:

  • the ppDictionary pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDictionary is null.
Parameters:
ppDictionary [out, retval] The AAF Dictionary
HRESULT IAAFFile::GetHeader ( [out, retval] IAAFHeader ** ppHeader )

Returns the IAAFHeader-supporting object associated with this file.

If this object has never been associated with a file, a new empty IAAFHeader-supporting object will be created and returned. The returned header is AddRef()ed before it is returned. Note that the header is automatically created when the file object is created.

Succeeds if:

  • This object has already been Initialize()d.
  • This file object is open.
  • the given header pointer is valid.
  • this object contains a header.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NOT_OPEN

  • This object is not open.

AAFRESULT_NULL_PARAM

  • the header pointer arg is NULL.

AAFRESULT_NO_HEADER

  • this object contains no header.
Parameters:
ppHeader [out, retval] Set to header of the current file
HRESULT IAAFFile::GetRevision ( [out, retval] aafFileRev_t * pRev )

Get the revision of the current AAF file, and returns it in pRev.

Succeeds if:

  • This object has already been Initialize()d.
  • the given revision pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • the revision pointer arg is NULL.

AAFRESULT_NOT_OPEN

  • This object is not open.
Parameters:
pRev [out, retval] Revision of the current file
HRESULT IAAFFile::Open ( )

Associates this IAAFFile-supporting object with the storage to which it is to be associated.

It will then be possible to access objects within this file.

This method will succeed only if all of the following are true:

  • This object has not already been opened.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_OPEN

  • This object has already been Open()ed.
HRESULT IAAFFile::Save ( )

If this IAAFFile-supporting object is open, all unsaved changes made to the contents of this object are saved.

This method will succeed only if all of the following are true:

  • This object is currently open.
  • Sufficient space remains in the storage for the data to be written.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_OPEN

  • This object is not open.

AAFRESULT_WRONG_OPENMODE

  • This object is not open for writing or modification.

AAFRESULT_INSUFFICIENT_SPACE

  • There is insufficient space in the storage to save the contents of this object.
HRESULT IAAFFile::SaveCopyAs ( [in] IAAFFile * pDestFile )

Copies the contents of this file to *pDestFile.

Requires that pDestFile be open, writeable or modifiable, and not yet contain any objects.

NOTE! Stub only. Implementation not yet added.

Succeeds if:

  • This object is currently open.
  • The named filesystem file is writable.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_OPEN

  • This object is not open.

AAFRESULT_NOT_WRITEABLE

  • The named file cannot be written.
Parameters:
pDestFile [in] File to recieve contents
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFile Member List
This is the complete list of members for IAAFFile, including all inherited members.
Close() | IAAFFile
GetDictionary([out, retval] IAAFDictionary **ppDictionary) | IAAFFile
GetHeader([out, retval] IAAFHeader **ppHeader) | IAAFFile
GetRevision([out, retval] aafFileRev_t *pRev) | IAAFFile
Open() | IAAFFile
Save() | IAAFFile
SaveCopyAs([in] IAAFFile *pDestFile) | IAAFFile
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFileDescriptor Interface Reference

Public Member Functions
IAAFFileDescriptor Interface Reference

IAAFFileDescriptor is DEPRECATED, please use IAAFFileDescriptor2. More...

List of all members.

Public Member Functions

HRESULT | SetLength ([in] aafLength_t length)
Sets the length of the essence in samples [not edit units].
HRESULT | GetLength ([out] aafLength_t *pLength)
Gets the length of the essence in samples [not edit units].
HRESULT | SetCodecDef ([in] IAAFCodecDef *codecDef)
Set to the exact codec which was used as a hint.
HRESULT | GetCodecDef ([out] IAAFCodecDef **pCodecDef)
Get to the exact codec which was used as a hint.
HRESULT | SetSampleRate ([in] aafRational_constref rate)
Sets sample rate of the essence as opposed to the edit rate.
HRESULT | GetSampleRate ([out] aafRational_t *pRate)
Gets sample rate of the essence as opposed to the edit rate.
HRESULT | SetContainerFormat ([in] IAAFContainerDef *format)
Identifies the file format.
HRESULT | GetContainerFormat ([out] IAAFContainerDef **pFormat)
Identifies the file format.

Detailed Description

IAAFFileDescriptor is DEPRECATED, please use IAAFFileDescriptor2.

The IAAFFileDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob or the media associated with a Physical Source mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFFileDescriptor is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFFileDescriptor also implement the following interfaces:

IAAFFileDescriptor2

  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 9728 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFileDescriptor::GetCodecDef ( [out] IAAFCodecDef ** pCodecDef )

Get to the exact codec which was used as a hint.

Succeeds if all of the following are true:

  • the pCodecDef pointer is valid.
  • the CodecDefinition identifying the codec is present in the dictionary.

If this method fails nothing will be written to *pCodecDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCodecDef arg is NULL.

AAFRESULT_OBJECT_NOT_FOUND

  • the CodecDefinition identifying the codec is not in the dictionary.
Parameters:
pCodecDef [out] Which codec was used
HRESULT IAAFFileDescriptor::GetContainerFormat ( [out] IAAFContainerDef ** pFormat )

Identifies the file format.

Succeeds if all of the following are true:

  • the pFormat pointer is valid.
  • the ContainerDefinition identifying the file format is present in the dictionary.

If this method fails nothing will be written to *pFormat.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFormat arg is NULL.

AAFRESULT_OBJECT_NOT_FOUND

  • the ContainerDefinition identifying the file format is not in the dictionary.
Parameters:
pFormat [out] Optional
HRESULT IAAFFileDescriptor::GetLength ( [out] aafLength_t * pLength )

Gets the length of the essence in samples [not edit units].

Succeeds if all of the following are true:

  • the pLength pointer is valid.

If this method fails nothing will be written to *pLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLength arg is NULL.
Parameters:
pLength [out] returns length of the essence in samples
HRESULT IAAFFileDescriptor::GetSampleRate ( [out] aafRational_t * pRate )

Gets sample rate of the essence as opposed to the edit rate.

and writes it into the *pRate argument.

Succeeds if all of the following are true:

  • the pRate pointer is valid.

If this method fails nothing will be written to *pRate.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRate arg is NULL.
Parameters:
pRate [out] sample rate of the essence
HRESULT IAAFFileDescriptor::SetCodecDef ( [in] IAAFCodecDef * codecDef )

Set to the exact codec which was used as a hint.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
codecDef [in] Which codec was used
HRESULT IAAFFileDescriptor::SetContainerFormat ( [in] IAAFContainerDef * format )

Identifies the file format.

The container format is an optional property.

If this method fails the container format property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
format [in] file format
HRESULT IAAFFileDescriptor::SetLength ( [in] aafLength_t length )

Sets the length of the essence in samples [not edit units].

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
length [in] length of the essence in samples
HRESULT IAAFFileDescriptor::SetSampleRate ( [in] aafRational_constref rate )

Sets sample rate of the essence as opposed to the edit rate.

If this method fails the sample rate property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
rate [in] sample rate of the essence
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFileDescriptor2 Interface Reference

Public Member Functions
IAAFFileDescriptor2 Interface Reference

The IAAFFileDescriptor2 interface is implemented by objects which describe the format of the content data associated with a File Source mob or the media associated with a Physical Source mob. More...

List of all members.

Public Member Functions

HRESULT | SetLength ([in] aafLength_t length)
Sets the length of the essence in samples [not edit units].
HRESULT | GetLength ([out] aafLength_t *pLength)
Gets the length of the essence in samples [not edit units].
HRESULT | SetCodecDef ([in] IAAFCodecDef *codecDef)
Set to the exact codec which was used as a hint.
HRESULT | GetCodecDef ([out] IAAFCodecDef **pCodecDef)
Get to the exact codec which was used as a hint.
HRESULT | SetSampleRate ([in] aafRational_constref rate)
Sets sample rate of the essence as opposed to the edit rate.
HRESULT | GetSampleRate ([out] aafRational_t *pRate)
Gets sample rate of the essence as opposed to the edit rate.
HRESULT | SetContainerFormat ([in] IAAFContainerDef *format)
Identifies the file format.
HRESULT | GetContainerFormat ([out] IAAFContainerDef **pFormat)
Identifies the file format.
HRESULT | SetLinkedSlotID ([in] aafUInt32 LinkedSlotID)
Sets the LinkedSlotID property.
HRESULT | GetLinkedSlotID ([out] aafUInt32 *pLinkedSlotID)
Gets the LinkedSlotID property.

Detailed Description

The IAAFFileDescriptor2 interface is implemented by objects which describe the format of the content data associated with a File Source mob or the media associated with a Physical Source mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFFileDescriptor2 is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFFileDescriptor2 also implement the following interfaces:

IAAFEssenceDescriptor

  • IAAFObject

Definition at line 45297 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFileDescriptor2::GetCodecDef ( [out] IAAFCodecDef ** pCodecDef )

Get to the exact codec which was used as a hint.

Succeeds if all of the following are true:

  • the pCodecDef pointer is valid.
  • the CodecDefinition identifying the codec is present in the dictionary.

If this method fails nothing will be written to *pCodecDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCodecDef arg is NULL.

AAFRESULT_OBJECT_NOT_FOUND

  • the CodecDefinition identifying the codec is not in the dictionary.
Parameters:
pCodecDef [out] Which codec was used
HRESULT IAAFFileDescriptor2::GetContainerFormat ( [out] IAAFContainerDef ** pFormat )

Identifies the file format.

Succeeds if all of the following are true:

  • the pFormat pointer is valid.
  • the ContainerDefinition identifying the file format is present in the dictionary.

If this method fails nothing will be written to *pFormat.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFormat arg is NULL.

AAFRESULT_OBJECT_NOT_FOUND

  • the ContainerDefinition identifying the file format is not in the dictionary.
Parameters:
pFormat [out] Optional
HRESULT IAAFFileDescriptor2::GetLength ( [out] aafLength_t * pLength )

Gets the length of the essence in samples [not edit units].

Succeeds if all of the following are true:

  • the pLength pointer is valid.

If this method fails nothing will be written to *pLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLength arg is NULL.
Parameters:
pLength [out] returns length of the essence in samples
HRESULT IAAFFileDescriptor2::GetLinkedSlotID ( [out] aafUInt32 * pLinkedSlotID )

Gets the LinkedSlotID property.

Succeeds if all of the following are true:

  • pLinkedSlotID is a valid pointer.

If this method fails, *pLinkedSlotID will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLinkedSlotID arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the LinkedSlotID property is not present.
Parameters:
pLinkedSlotID [out] The linked slot id
HRESULT IAAFFileDescriptor2::GetSampleRate ( [out] aafRational_t * pRate )

Gets sample rate of the essence as opposed to the edit rate.

and writes it into the *pRate argument.

Succeeds if all of the following are true:

  • the pRate pointer is valid.

If this method fails nothing will be written to *pRate.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRate arg is NULL.
Parameters:
pRate [out] sample rate of the essence
HRESULT IAAFFileDescriptor2::SetCodecDef ( [in] IAAFCodecDef * codecDef )

Set to the exact codec which was used as a hint.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
codecDef [in] Which codec was used
HRESULT IAAFFileDescriptor2::SetContainerFormat ( [in] IAAFContainerDef * format )

Identifies the file format.

The container format is an optional property.

If this method fails the container format property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
format [in] file format
HRESULT IAAFFileDescriptor2::SetLength ( [in] aafLength_t length )

Sets the length of the essence in samples [not edit units].

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
length [in] length of the essence in samples
HRESULT IAAFFileDescriptor2::SetLinkedSlotID ( [in] aafUInt32 LinkedSlotID )

Sets the LinkedSlotID property.

This property is optional.

If this method fails, the LinkedSlotID property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
LinkedSlotID [in] the linked slot id
HRESULT IAAFFileDescriptor2::SetSampleRate ( [in] aafRational_constref rate )

Sets sample rate of the essence as opposed to the edit rate.

If this method fails the sample rate property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
rate [in] sample rate of the essence
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFileDescriptor2 Member List
This is the complete list of members for IAAFFileDescriptor2, including all inherited members.
GetCodecDef([out] IAAFCodecDef **pCodecDef) | IAAFFileDescriptor2
GetContainerFormat([out] IAAFContainerDef **pFormat) | IAAFFileDescriptor2
GetLength([out] aafLength_t *pLength) | IAAFFileDescriptor2
GetLinkedSlotID([out] aafUInt32 *pLinkedSlotID) | IAAFFileDescriptor2
GetSampleRate([out] aafRational_t *pRate) | IAAFFileDescriptor2
SetCodecDef([in] IAAFCodecDef *codecDef) | IAAFFileDescriptor2
SetContainerFormat([in] IAAFContainerDef *format) | IAAFFileDescriptor2
SetLength([in] aafLength_t length) | IAAFFileDescriptor2
SetLinkedSlotID([in] aafUInt32 LinkedSlotID) | IAAFFileDescriptor2
SetSampleRate([in] aafRational_constref rate) | IAAFFileDescriptor2
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFileEncoding Interface Reference

Public Member Functions
IAAFFileEncoding Interface Reference

Start of the comment. More...

List of all members.

Public Member Functions

HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the name of this file encoding.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | GetDescription ([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize)
Gets the description of this file encoding.
HRESULT | GetDescriptionBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetDescription().
HRESULT | GetFileKind ([out] aafUID_t *pFileKind)
This method returns the unique ID associated with this file encoding.

Detailed Description

Start of the comment.

End of the comment

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 9970 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFileEncoding::GetDescription | ( | [out, string, size_is(bufSize)] aafCharacter * | pDescription,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the description of this file encoding.

Writes the Description property, with a trailing null character, into the pDescription buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Description property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetDescriptionBufLen() to determine the required buffer size.

If this method fails nothing will be written to pDescription.

Succeeds if:

  • The pDescription pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Description.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Description.
Parameters:
pDescription | [out, string, size_is(bufSize)] buffer into which Description is to be written
bufSize | [in] size of *pDescription buffer in bytes
HRESULT IAAFFileEncoding::GetDescriptionBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetDescription().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFFileEncoding::GetFileKind ( [out] aafUID_t * pFileKind )

This method returns the unique ID associated with this file encoding.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pFileKind pointer is valid.

If this method fails nothing will be written to *pFileKind.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pFileKind argument is NULL.
Parameters:
pFileKind [out] The unique file encoding ID
HRESULT IAAFFileEncoding::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the name of this file encoding.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFFileEncoding::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFileEncoding Member List
This is the complete list of members for IAAFFileEncoding, including all inherited members.
GetDescription([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize) | IAAFFileEncoding
GetDescriptionBufLen([out] aafUInt32 *pBufSize) | IAAFFileEncoding
GetFileKind([out] aafUID_t *pFileKind) | IAAFFileEncoding
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFFileEncoding
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFFileEncoding
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFiller Interface Reference

Public Member Functions
IAAFFiller Interface Reference

The IAAFFiller interface is supported by objects which serve as placeholders for an unknown values for the component duration. More...

List of all members.

Public Member Functions

HRESULT Initialize ([in] IAAFDataDef *pDataDef,[in] aafLength_t length)
This function will create a new filler object with the given property values.

Detailed Description

The IAAFFiller interface is supported by objects which serve as placeholders for an unknown values for the component duration.

Typically, a Filler object is used in a Sequence to allow positioning of a Segment whem not all of the preceding material has been specified. If a Filler object is played, applications can choose any appropiate blank media to play.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFFiller also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 10184 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFiller::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafLength_t | length
 | ) |  |

This function will create a new filler object with the given property values.

Length is specified in units of the edit rate of the containing timeline mob slot.

Succeeds if all of the following are true:

  • this object has not yet been initialized.
  • the length is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pDataDef is null.

AAFRESULT_BAD_LENGTH

  • length is negative.
Parameters:
pDataDef | [in] Data Definition Object
length | [in] Length Property Value
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFiller Member List
This is the complete list of members for IAAFFiller, including all inherited members.
Initialize([in] IAAFDataDef *pDataDef,[in] aafLength_t length) IAAFFiller
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFilmDescriptor Interface Reference

Public Member Functions
IAAFFilmDescriptor Interface Reference

The IAAFFilmDescriptor interface is implemented by objects which describe film essence. More...

List of all members.

Public Member Functions

HRESULT | SetFilmManufacturer ([in, string] aafCharacter_constptr pFilmManufacturer)
Sets the Film Manufacturer string property.
HRESULT | GetFilmManufacturer ([out, string, size_is(bufSize)] aafCharacter *pFilmManufacturer,[in] aafUInt32 bufSize)
Gets the Film Manufacturer string property.
HRESULT | GetFilmManufacturerBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetFilmManufacturer().
HRESULT | SetFilmModel ([in, string] aafCharacter_constptr pFilmModel)
Sets the Film Model string property.
HRESULT | GetFilmModel ([out, string, size_is(bufSize)] aafCharacter *pFilmModel,[in] aafUInt32 bufSize)
Gets the Film Model string property.
HRESULT | GetFilmModelBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetFilmModel().
HRESULT | GetFilmFormat ([out] aafFilmType_t *pFilmFormat)
Gets the film format.
HRESULT | GetFrameRate ([out] aafUInt32 *pRate)
Get the frame rate of the film.
HRESULT | GetPerfPerFrame ([out] aafUInt8 *pPerfPerFrame)
Get the number of perforations per frame.
HRESULT | GetFilmAspectRatio ([out] aafRational_t *pAspectRatio)
Get the image aspect ratio.
HRESULT | SetFilmFormat ([in] aafFilmType_t filmFormat)
Sets the film format of the film.
HRESULT | SetFrameRate ([in] aafUInt32 rate)
Set the frame rate of the film.
HRESULT | SetPerfPerFrame ([in] aafUInt8 perfPerFrame)
Set the number of perforations per frame.
HRESULT | SetFilmAspectRatio ([in] aafRational_t aspectRatio)
Set the image aspect ratio.

Detailed Description

The IAAFFilmDescriptor interface is implemented by objects which describe film essence.

A FilmDescriptor object shall be the EssenceDescription of a physical Source Mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFFilmDescriptor also implement the following interfaces:

  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 10253 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFilmDescriptor::GetFilmAspectRatio ( [out] aafRational_t * pAspectRatio )

Get the image aspect ratio.

This method succeeds if all of the following are true:

  • the pAspectRatio pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pAspectRatio arg is NULL.
Parameters:
pAspectRatio [out] Film Aspect Ratio
HRESULT IAAFFilmDescriptor::GetFilmFormat ( [out] aafFilmType_t * pFilmFormat )

Gets the film format.

Valid values include:

  • kFt35MM
  • kFt16MM
  • kFt8MM
  • kFt65MM

This method succeeds if all of the following are true:

  • the pFilmFormat pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFilmFormat arg is NULL.
Parameters:
pFilmFormat [out] pointer to the filmFormat
HRESULT IAAFFilmDescriptor::GetFilmManufacturer | ( | [out, string, size_is(bufSize)] aafCharacter * | pFilmManufacturer,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Film Manufacturer string property.

Writes the FilmManufacturer property, with a trailing null character, into the pFilmManufacturer buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the FilmManufacturer property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetFilmManufacturerBufLen() to determine the required buffer size.

If this method fails nothing will be written to pFilmManufacturer.

Succeeds if:

  • The pFilmManufacturer pointer is valid.
  • bufSize indicates that the buffer is large enough to hold FilmManufacturer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilmManufacturer arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold FilmManufacturer.
Parameters:
pFilmManufacturer | [out, string, size_is(bufSize)] buffer into which FilmManufacturer is to be written
bufSize | [in] size of *pFilmManufacturer buffer in bytes
HRESULT IAAFFilmDescriptor::GetFilmManufacturerBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetFilmManufacturer().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFFilmDescriptor::GetFilmModel | ( | [out, string, size_is(bufSize)] aafCharacter * | pFilmModel,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Film Model string property.

Writes the FilmModel property, with a trailing null character, into the pFilmModel buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the FilmModel property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetFilmModelBufLen() to determine the required buffer size.

If this method fails nothing will be written to pFilmModel.

Succeeds if:

  • The pFilmModel pointer is valid.
  • bufSize indicates that the buffer is large enough to hold FilmModel.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilmModel arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold FilmModel.
Parameters:
pFilmModel | [out, string, size_is(bufSize)] buffer into which FilmModel is to be written
bufSize | [in] size of *pFilmModel buffer in bytes
HRESULT IAAFFilmDescriptor::GetFilmModelBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetFilmModel().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFFilmDescriptor::GetFrameRate ( [out] aafUInt32 * pRate )

Get the frame rate of the film.

This method succeeds if all of the following are true:

  • the pRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pRate parameter is NULL.
Parameters:
pRate [out] Frame Rate
HRESULT IAAFFilmDescriptor::GetPerfPerFrame ( [out] aafUInt8 * pPerfPerFrame )

Get the number of perforations per frame.

This method succeeds if all of the following are true:

  • the pPerfPerFrame pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPerfPerFrame parameter is NULL.
Parameters:
pPerfPerFrame [out] Perforations per frame
HRESULT IAAFFilmDescriptor::SetFilmAspectRatio ( [in] aafRational_t aspectRatio )

Set the image aspect ratio.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
aspectRatio [in] Film Aspect Ratio
HRESULT IAAFFilmDescriptor::SetFilmFormat ( [in] aafFilmType_t filmFormat )

Sets the film format of the film.

Valid values include:

  • kFt35MM
  • kFt16MM
  • kFt8MM
  • kFt65MM

This method succeeds if all of the following are true:

  • formFactor represents a valid format.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • filmFormat is invalid.
Parameters:
filmFormat [in] Film Format
HRESULT IAAFFilmDescriptor::SetFilmManufacturer ( [in, string] aafCharacter_constptr pFilmManufacturer )

Sets the Film Manufacturer string property.

Set the FilmManufacturer property to the value specified in pFilmManufacturer. A copy is made of the data so the caller retains ownership of the *pFilmManufacturer buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pFilmManufacturer pointer is valid.

If this method fails the FilmManufacturer property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilmManufacturer arg is NULL.
Parameters:
pFilmManufacturer [in, string] buffer from which FilmManufacturer is to be read
HRESULT IAAFFilmDescriptor::SetFilmModel ( [in, string] aafCharacter_constptr pFilmModel )

Sets the Film Model string property.

Set the FilmModel property to the value specified in pFilmModel. A copy is made of the data so the caller retains ownership of the *pFilmModel buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pFilmModel pointer is valid.

If this method fails the FilmModel property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilmModel arg is NULL.
Parameters:
pFilmModel [in, string] buffer from which FilmModel is to be read
HRESULT IAAFFilmDescriptor::SetFrameRate ( [in] aafUInt32 rate )

Set the frame rate of the film.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
rate [in] Frame Rate
HRESULT IAAFFilmDescriptor::SetPerfPerFrame ( [in] aafUInt8 perfPerFrame )

Set the number of perforations per frame.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
perfPerFrame [in] Perforations per frame
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFilmDescriptor Member List
This is the complete list of members for IAAFFilmDescriptor, including all inherited members.
GetFilmAspectRatio([out] aafRational_t *pAspectRatio) | IAAFFilmDescriptor
GetFilmFormat([out] aafFilmType_t *pFilmFormat) | IAAFFilmDescriptor
GetFilmManufacturer([out, string, size_is(bufSize)] aafCharacter *pFilmManufacturer,[in] aafUInt32 bufSize) | IAAFFilmDescriptor
GetFilmManufacturerBufLen([out] aafUInt32 *pBufSize) | IAAFFilmDescriptor
GetFilmModel([out, string, size_is(bufSize)] aafCharacter *pFilmModel,[in] aafUInt32 bufSize) | IAAFFilmDescriptor
GetFilmModelBufLen([out] aafUInt32 *pBufSize) | IAAFFilmDescriptor
GetFrameRate([out] aafUInt32 *pRate) | IAAFFilmDescriptor
GetPerfPerFrame([out] aafUInt8 *pPerfPerFrame) | IAAFFilmDescriptor
SetFilmAspectRatio([in] aafRational_t aspectRatio) | IAAFFilmDescriptor
SetFilmFormat([in] aafFilmType_t filmFormat) | IAAFFilmDescriptor
SetFilmManufacturer([in, string] aafCharacter_constptr pFilmManufacturer) | IAAFFilmDescriptor
SetFilmModel([in, string] aafCharacter_constptr pFilmModel) | IAAFFilmDescriptor
SetFrameRate([in] aafUInt32 rate) | IAAFFilmDescriptor
SetPerfPerFrame([in] aafUInt8 perfPerFrame) | IAAFFilmDescriptor
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFFindSourceInfo Interface Reference

Public Member Functions
IAAFFindSourceInfo Interface Reference

List of all members.

Public Member Functions

HRESULT | GetMob ([out] IAAFMob **ppMob)
This function returns the mob found by the function which generated this IAAFFindSourceInfo as a result.
HRESULT | GetSourceReference ([out] aafSourceRef_t *pSourceRef)
This function returns the source reference found by the function which generated this IAAFFindSourceInfo as a result.
HRESULT | GetLength ([retval][out] aafLength_t *pLength)
Gets the length of this component.
HRESULT | GetEditRate ([out, retval] aafRational_t *pEditRate)
This method will get the edit rate for this result.

Detailed Description

Definition at line 10700 of file AAF.idl.

Member Function Documentation

HRESULT IAAFFindSourceInfo::GetEditRate ( [out, retval] aafRational_t * pEditRate )

This method will get the edit rate for this result.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [out,retval] Edit rate property value
HRESULT IAAFFindSourceInfo::GetLength ( [out] aafLength_t * pLength )

Gets the length of this component.

This function returns the duration in edit units of the result.

Succeeds if all of the following are true:

  • the pLength pointer is valid.
  • the optional length property is present for this object.

This method deals with an optional property, which will only be present for time-varying media.

If this method fails nothing will be written to *pLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLength arg is NULL.

AAFRESULT_BAD_PROP

  • the optional length property is not present for this object.
Parameters:
pLength [retval][out] Length of this component
HRESULT IAAFFindSourceInfo::GetMob ( [out] IAAFMob ** ppMob )

This function returns the mob found by the function which generated this IAAFFindSourceInfo as a result.

Succeeds if all of the following are true:

  • the ppMob pointer is valid.

If this method fails nothing will be written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULLOBJECT

  • There is no valid mob referenced

AAFRESULT_NULL_PARAM

  • ppMob arg is NULL.
Parameters:
ppMob [out] The final media object referenced
HRESULT IAAFFindSourceInfo::GetSourceReference ( [out] aafSourceRef_t * pSourceRef )

This function returns the source reference found by the function which generated this IAAFFindSourceInfo as a result.

Note: the 3 properties that make up the "source reference" are sourceID, sourceTrackID, and startTime.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.
  • the pSourceRef pointer is valid.

If this method fails nothing will be written to *pSourceRef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRef arg is NULL.
Parameters:
pSourceRef [out] Source Reference
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFindSourceInfo Member List
This is the complete list of members for IAAFFindSourceInfo, including all inherited members.
GetEditRate([out, retval] aafRational_t *pEditRate) | IAAFFindSourceInfo
GetLength([retval][out] aafLength_t *pLength) | IAAFFindSourceInfo
GetMob([out] IAAFMob **ppMob) | IAAFFindSourceInfo
GetSourceReference([out] aafSourceRef_t *pSourceRef) | IAAFFindSourceInfo
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFGetFileBits Interface Reference

Public Member Functions
IAAFGetFileBits Interface Reference

This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to obtain the raw bits of a file after close. More...

List of all members.

Public Member Functions

HRESULT | ReadAt ([out, size_is(bufSize)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[in] aafUInt64 position)
Attempts to read bufsize bytes from this stream at the given byte offset.
HRESULT | GetSize ([out] aafUInt64 *pSize)
Returns the size of this file, in bytes, in *pSize.

Detailed Description

This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to obtain the raw bits of a file after close.

Note that this and the IAAFSetFileBits interfaces are different than the IAAFRawStorage interfaces in that those are implemented by clients to provide access to the desired media; these are provided by the toolkit to provide read OR write (but not both simultaneously) access to the raw bits.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 10958 of file AAF.idl.

Member Function Documentation

HRESULT IAAFGetFileBits::GetSize ( [out] aafUInt64 * pSize )

Returns the size of this file, in bytes, in *pSize.

Succeeds if:

  • The pSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] The size of this file in bytes
HRESULT IAAFGetFileBits::ReadAt | ( | [out, size_is(bufSize)] aafMemPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [in] aafUInt64 | position
 | ) |  |

Attempts to read bufsize bytes from this stream at the given byte offset.

Places the data into buf. Any attempt to read beyond the size of this file, as reported by GetSize(), will be considered an error.

A value of zero for position indicates the beginning of the stream.

Succeeds if:

  • The pNumBytes pointer is valid.
  • position + buSize is not larger than the size of this file, as reported by GetSize().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • buf arg is NULL.

AAFRESULT_OFFSET_SIZE

  • position + size is larger than the size of this file.
Parameters:
buf | [out, size_is(bufSize)] Buffer into which data is read
bufSize | [in] Size of buf in bytes
position | [in] The position in bytes at which to read
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFGetFileBits Member List
This is the complete list of members for IAAFGetFileBits, including all inherited members.
GetSize([out] aafUInt64 *pSize) | IAAFGetFileBits
ReadAt([out, size_is(bufSize)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[in] aafUInt64 position) | IAAFGetFileBits
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFGPITrigger Interface Reference

Public Member Functions
IAAFGPITrigger Interface Reference

The IAAFGPITrigger interface is implemented by objects which represent an trigger action that should be taken when its position in time is reached. More...

List of all members.

Public Member Functions

HRESULT | GetActiveState ([out, retval] aafBoolean_t *pActiveState)
Sets *pActiveState to AAFTrue it the event is on otherwise sets it to AAFFalse.
HRESULT | SetActiveState ([in] aafBoolean_t ActiveState)
Set to AAFTrue to turn the trigger on or AAFFalse to turn the trigger off.

Detailed Description

The IAAFGPITrigger interface is implemented by objects which represent an trigger action that should be taken when its position in time is reached.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFGPITrigger also implement the following interfaces:

  • IAAFEvent
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 10874 of file AAF.idl.

Member Function Documentation

HRESULT IAAFGPITrigger::GetActiveState ( [out, retval] aafBoolean_t * pActiveState )

Sets *pActiveState to AAFTrue it the event is on otherwise sets it to AAFFalse.

Succeeds if:

  • The pActiveState pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • The pActiveState pointer is NULL.
Parameters:
pActiveState [out, retval] pointer to the result
HRESULT IAAFGPITrigger::SetActiveState ( [in] aafBoolean_t ActiveState )

Set to AAFTrue to turn the trigger on or AAFFalse to turn the trigger off.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
ActiveState [in] the active state of the trigger
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFGPITrigger Member List
This is the complete list of members for IAAFGPITrigger, including all inherited members.
GetActiveState([out, retval] aafBoolean_t *pActiveState) | IAAFGPITrigger
SetActiveState([in] aafBoolean_t ActiveState) | IAAFGPITrigger
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFHeader Interface Reference

Public Member Functions
IAAFHeader Interface Reference

The IAAFHeader interface provides file-wide information and indexes. More...

List of all members.

Public Member Functions

HRESULT | LookupMob ([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob)
Looks up the Mob that matches the given mob id and puts it into the ppMob argument.
HRESULT | CountMobs ([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult)
Writes the number of matches for the given mob kind into the pNumMobs argument.
HRESULT | GetMobs ([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum)
Places an enumerator for mobs that apply to the criteria into the ppEnum argument.
HRESULT | AddMob ([in] IAAFMob *pMob)
Appends the given mob to the header.
HRESULT | RemoveMob ([in] IAAFMob *pMob)
Removes the given mob from the header.
HRESULT | CountEssenceData ([out, retval] aafUInt32 *pResult)
Writes the total number of essence data into the *pNumEssenceData argument.
HRESULT | IsEssenceDataPresent ([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult)
Returns true if the essence is found.
HRESULT | EnumEssenceData ([out, retval] IEnumAAFEssenceData **ppEnum)
Places an enumerator for essence that applies to the criteria into the *ppEnum argument.
HRESULT | AddEssenceData ([in] IAAFEssenceData *pEssenceData)
Appends the given essence data object to the header.
HRESULT | RemoveEssenceData ([in] IAAFEssenceData *pEssenceData)
Removes the given EssenceData from the header.
HRESULT | LookupEssenceData ([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData)
Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.
HRESULT | GetDictionary ([out, retval] IAAFDictionary **ppDictionary)
Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.
HRESULT | GetLastIdentification ([out, retval] IAAFIdentification **ppIdentification)
Places the identification of the last entity that modified the file into the *ppIdentification argument.
HRESULT | LookupIdentification ([in, ref] aafUID_constref generation,[out, retval] IAAFIdentification **ppIdentification)
Places the Identification that matches the given generation into the *ppIdentification argument.
HRESULT | CountIdentifications ([out, retval] aafUInt32 *pResult)
Writes the number of identification objects into the *pResult argument.
HRESULT | GetIdentifications ([out, retval] IEnumAAFIdentifications **ppEnum)
Places an enumerator for all Identifications criteria into the ppEnum argument.
HRESULT | AppendIdentification ([in] IAAFIdentification *pIdent)
Appends the given Identification class to the header.
HRESULT | GetIdentificationAt ([in] aafUInt32 index,[out, retval] IAAFIdentification **ppIdentification)
Retrieves the indexed identification from the header.
HRESULT | GetRefImplVersion ([out, retval] aafProductVersion_t *pVersion)
Return the version of the Reference Implementation currently running on this machine, which implements these interfaces.
HRESULT | GetFileRevision ([out, retval] aafVersionType_t *pRevision)
Return the File Revision property.
HRESULT | GetLastModified ([out, retval] aafTimeStamp_t *pTimeStamp)
Return the Last Modified property.
HRESULT | GetContentStorage ([out] IAAFContentStorage **ppStorage)
Places the Content Storage object attached to the header into the ppStorage argument.

Detailed Description

The IAAFHeader interface provides file-wide information and indexes.

Each AAF file has one and only one instance of an object which supports IAAFHeader.

When an IAAFHeader-supporting object is created, the contained dictionary object is automatically created.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFHeader also implement the following interfaces:

  • IAAFObject

Definition at line 11058 of file AAF.idl.

Member Function Documentation

HRESULT IAAFHeader::AddEssenceData ( [in] IAAFEssenceData * pEssenceData )

Appends the given essence data object to the header.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_MOBID

  • The given mob has already been added. The validation is done by comparing mobIDs, which should be unique.

AAFRESULT_NULL_PARAM

  • pEssenceData is null.
Parameters:
pEssenceData [in] Essence data object to append
HRESULT IAAFHeader::AddMob ( [in] IAAFMob * pMob )

Appends the given mob to the header.

If the given mob is already contained this method will do nothing and will return success.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is not already part of this collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_DUPLICATE_MOBID

  • the given mob is already contained.
Parameters:
pMob [in] Mob to add
HRESULT IAAFHeader::AppendIdentification ( [in] IAAFIdentification * pIdent )

Appends the given Identification class to the header.

This method does not attempt to identify duplicate identifications, so it will succeed even if an identical identification has already been appended.

Succeeds if all of the following are true:

  • the pIdent pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIdent is null.
Parameters:
pIdent [in] Identification to append
HRESULT IAAFHeader::CountEssenceData ( [out, retval] aafUInt32 * pResult )

Writes the total number of essence data into the *pNumEssenceData argument.

Succeeds if all of the following are true:

  • the pNumEssenceData pointer is valid.

If this method fails nothing will be written to pNumEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumEssenceData is null.
Parameters:
pResult [out, retval] Total number of essence data
HRESULT IAAFHeader::CountIdentifications ( [out, retval] aafUInt32 * pResult )

Writes the number of identification objects into the *pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of identification objects
HRESULT IAAFHeader::CountMobs | ( | [in] aafMobKind_t | mobKind,
 |  | [out, retval] aafNumSlots_t * | pResult
 | ) |  |

Writes the number of matches for the given mob kind into the pNumMobs argument.

Succeeds if all of the following are true:

  • the pNumMobs pointer is valid.

If this method fails nothing will be written to *pNumMobs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumMobs is null.
Parameters:
mobKind | [in] The mob kind to count
pResult | [out, retval] Total number of mobs of kind mobKind
HRESULT IAAFHeader::EnumEssenceData ( [out, retval] IEnumAAFEssenceData ** ppEnum )

Places an enumerator for essence that applies to the criteria into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pMediaCriteria pointer is valid.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pMediaCriteria or ppEnum is null.
Parameters:
ppEnum [out,retval] Essence Enumeration
HRESULT IAAFHeader::GetContentStorage ( [out] IAAFContentStorage ** ppStorage )

Places the Content Storage object attached to the header into the ppStorage argument.

The returned content storage object is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppStorage pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppStorage is null.
Parameters:
ppStorage [out] Returned Content Storage object
HRESULT IAAFHeader::GetDictionary ( [out, retval] IAAFDictionary ** ppDictionary )

Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.

The returned dictionary is AddRef()ed before it is returned. Note that the dictionary is automatically created when the header object is created.

Succeeds if all of the following are true:

  • the ppDictionary pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDictionary is null.
Parameters:
ppDictionary [out, retval] The AAF Dictionary
HRESULT IAAFHeader::GetFileRevision ( [out, retval] aafVersionType_t * pRevision )

Return the File Revision property.

Succeeds if all of the following are true:

  • the pRevision pointer is valid.

If this method fails nothing is written to *pRevision.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRevision is null.
Parameters:
pRevision [out, retval] The File Version
HRESULT IAAFHeader::GetIdentificationAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFIdentification ** | ppIdentification
 | ) |  |

Retrieves the indexed identification from the header.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.
  • index is less than the value returned by CountIdentifications().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdent is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to result of CountIdentifications().
Parameters:
index | [in] Index of identification to retrieve
ppIdentification | [out, retval] Retrieved identification
HRESULT IAAFHeader::GetIdentifications ( [out, retval] IEnumAAFIdentifications ** ppEnum )

Places an enumerator for all Identifications criteria into the ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] Indentification Enumeration
HRESULT IAAFHeader::GetLastIdentification ( [out, retval] IAAFIdentification ** ppIdentification )

Places the identification of the last entity that modified the file into the *ppIdentification argument.

The returned identification is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdentification is null.
Parameters:
ppIdentification [out,retval] Indentification Object
HRESULT IAAFHeader::GetLastModified ( [out, retval] aafTimeStamp_t * pTimeStamp )

Return the Last Modified property.

Succeeds if all of the following are true:

  • the pTimeStamp pointer is valid.

If this method fails nothing is written to *pTimeStamp.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTimeStamp is null.
Parameters:
pTimeStamp [out, retval] The modification date-time stamp
HRESULT IAAFHeader::GetMobs | ( | [in] aafSearchCrit_t * | pSearchCriteria,
 |  | [out, retval] IEnumAAFMobs ** | ppEnum
 | ) |  |

Places an enumerator for mobs that apply to the criteria into the ppEnum argument.

If pSearchCriteria is null, all mobs are returned. The searchTag field of pSearchCriteria, and exactly ONE of the fields in the union (tags.mobID, tags.name, etc. ) must be set. Only one search criterion may be specified. The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
pSearchCriteria | [in] Search Criteria for enumeration
ppEnum | [out, retval] Mob Enumeration
HRESULT IAAFHeader::GetRefImplVersion ( [out, retval] aafProductVersion_t * pVersion )

Return the version of the Reference Implementation currently running on this machine, which implements these interfaces.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails nothing is written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVersion is null.
Parameters:
pVersion [out, retval] The Reference Implementation Version
HRESULT IAAFHeader::IsEssenceDataPresent | ( | [in, ref] aafMobID_constref | fileMobID,
 |  | [in] aafFileFormat_t | fmt,
 |  | [out, retval] aafBoolean_t * | pResult
 | ) |  |

Returns true if the essence is found.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
fileMobID | [in, ref] A Unique File Mob ID
fmt | [in] The Essence File Format
pResult | [out,retval] True if the essence is found
HRESULT IAAFHeader::LookupEssenceData | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFEssenceData ** | ppEssenceData
 | ) |  |

Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.

The returned EssenceData interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEssenceData pointer is valid.

If this method fails nothing will be written to *ppEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEssenceData is null

AAFRESULT_MOB_NOT_FOUND

  • the requested EssenceData wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppEssenceData | [out,retval] Matching EssenceData
HRESULT IAAFHeader::LookupIdentification | ( | [in, ref] aafUID_constref | generation,
 |  | [out, retval] IAAFIdentification ** | ppIdentification
 | ) |  |

Places the Identification that matches the given generation into the *ppIdentification argument.

The returned identification is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.
  • the given generation was found.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdentification is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given generation was not found..
Parameters:
generation | [in, ref] Unique Generation ID
ppIdentification | [out,retval] Indentification Object
HRESULT IAAFHeader::LookupMob | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFMob ** | ppMob
 | ) |  |

Looks up the Mob that matches the given mob id and puts it into the ppMob argument.

The returned mob interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppMob pointer is valid.

If this method fails nothing will be written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppMob is null

AAFRESULT_MOB_NOT_FOUND

  • the requested mob wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppMob | [out,retval] Matching Mob
HRESULT IAAFHeader::RemoveEssenceData ( [in] IAAFEssenceData * pEssenceData )

Removes the given EssenceData from the header.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.
  • the given EssenceData is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceData is null.

AAFRESULT_ESSENCE_NOT_FOUND

  • the given EssenceData is not already contained.
Parameters:
pEssenceData [in] EssenceData to remove
HRESULT IAAFHeader::RemoveMob ( [in] IAAFMob * pMob )

Removes the given mob from the header.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_MOB_NOT_FOUND

  • the given mob is not already contained.
Parameters:
pMob [in] Mob to remove
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFHeader2 Interface Reference

Public Member Functions
IAAFHeader2 Interface Reference

The IAAFHeader2 interface provides file-wide information and indexes. More...

List of all members.

Public Member Functions

HRESULT | LookupMob ([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob)
Looks up the Mob that matches the given mob id and puts it into the ppMob argument.
HRESULT | CountMobs ([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult)
Writes the number of matches for the given mob kind into the pNumMobs argument.
HRESULT | GetMobs ([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum)
Places an enumerator for mobs that apply to the criteria into the ppEnum argument.
HRESULT | AddMob ([in] IAAFMob *pMob)
Appends the given mob to the header.
HRESULT | RemoveMob ([in] IAAFMob *pMob)
Removes the given mob from the header.
HRESULT | CountEssenceData ([out, retval] aafUInt32 *pResult)
Writes the total number of essence data into the *pNumEssenceData argument.
HRESULT | IsEssenceDataPresent ([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult)
Returns true if the essence is found.
HRESULT | EnumEssenceData ([out, retval] IEnumAAFEssenceData **ppEnum)
Places an enumerator for essence that applies to the criteria into the *ppEnum argument.
HRESULT | AddEssenceData ([in] IAAFEssenceData *pEssenceData)
Appends the given essence data object to the header.
HRESULT | RemoveEssenceData ([in] IAAFEssenceData *pEssenceData)
Removes the given EssenceData from the header.
HRESULT | LookupEssenceData ([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData)
Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.
HRESULT | GetDictionary ([out, retval] IAAFDictionary **ppDictionary)
Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.
HRESULT | GetLastIdentification ([out, retval] IAAFIdentification **ppIdentification)
Places the identification of the last entity that modified the file into the *ppIdentification argument.
HRESULT | LookupIdentification ([in, ref] aafUID_constref generation,[out, retval] IAAFIdentification **ppIdentification)
Places the Identification that matches the given generation into the *ppIdentification argument.
HRESULT | CountIdentifications ([out, retval] aafUInt32 *pResult)
Writes the number of identification objects into the *pResult argument.
HRESULT | GetIdentifications ([out, retval] IEnumAAFIdentifications **ppEnum)
Places an enumerator for all Identifications criteria into the ppEnum argument.
HRESULT | AppendIdentification ([in] IAAFIdentification *pIdent)
Appends the given Identification class to the header.
HRESULT | GetIdentificationAt ([in] aafUInt32 index,[out, retval] IAAFIdentification **ppIdentification)
Retrieves the indexed identification from the header.
HRESULT | GetRefImplVersion ([out, retval] aafProductVersion_t *pVersion)
Return the version of the Reference Implementation currently running on this machine, which implements these interfaces.
HRESULT | GetFileRevision ([out, retval] aafVersionType_t *pRevision)
Return the File Revision property.
HRESULT | GetLastModified ([out, retval] aafTimeStamp_t *pTimeStamp)
Return the Last Modified property.
HRESULT | GetContentStorage ([out] IAAFContentStorage **ppStorage)
Places the Content Storage object attached to the header into the ppStorage argument.
HRESULT | GetPrimaryMob ([out, retval] IAAFMob **pPrimaryMob)
Returns this file's primary mob.
HRESULT | SetPrimaryMob ([in] IAAFMob *pPrimaryMob)
Sets this file's primary mob.
HRESULT | GetOperationalPattern ([out] aafUID_t *pOperationalPatternID)
This method returns ID of the operational pattern this file complies to.
HRESULT | SetOperationalPattern ([in] aafUID_constref operationalPatternID)
Sets operational pattern this file complies to.
HRESULT | UpdateEssenceContainers ()
Ensures that the contents of the EssenceContainers property is in sync with the file's metadata.
HRESULT | CountEssenceContainers ([out, retval] aafUInt32 *pCount)
Gets the total number of essence containers present in the file.
HRESULT | GetEssenceContainers ([in] aafUInt32 maxEssenceContainersCount,[out, size_is(maxEssenceContainersCount)] aafUID_t *pEssenceContainerIDs)
Gets IDs of essence containers present in the file.
HRESULT | IsEssenceContainerPresent ([in, ref] aafUID_constref essenceContainerID,[out, retval] aafBoolean_t *pIsPresent)
Returns true if the essence container is present.
HRESULT | CountDescriptiveSchemes ([out, retval] aafUInt32 *pCount)
Gets the total number of descriptive schemes present in the file.
HRESULT | GetDescriptiveSchemes ([in] aafUInt32 maxDescriptiveSchemesCount,[out, size_is(maxDescriptiveSchemesCount)] aafUID_t *pDescriptiveSchemeIDs)
Gets IDs of descriptive schemes present in the file.
HRESULT | IsDescriptiveSchemePresent ([in, ref] aafUID_constref descriptiveSchemeID,[out, retval] aafBoolean_t *pIsPresent)
Returns true if the descriptive scheme ID is present.
HRESULT | AddDescriptiveScheme ([in] aafUID_constref descriptiveSchemeID)
Appends the given descriptive scheme ID to the list of descriptive schemes found in the file.
HRESULT | RemoveDescriptiveScheme ([in] aafUID_constref descriptiveSchemeID)
Removes the given descriptive scheme ID from the list of descriptive schemes found in the file.

Detailed Description

The IAAFHeader2 interface provides file-wide information and indexes.

Each AAF file has one and only one instance of an object which supports IAAFHeader2.

When an IAAFHeader2-supporting object is created, the contained dictionary object is automatically created.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFHeader2 also implement the following interfaces:

  • IAAFObject

Definition at line 45593 of file AAF.idl.

Member Function Documentation

HRESULT IAAFHeader2::AddDescriptiveScheme ( [in] aafUID_constref descriptiveSchemeID )

Appends the given descriptive scheme ID to the list of descriptive schemes found in the file.

Succeeds if all of the following are true:

  • the given descriptive scheme ID is not already contained.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_INVALID_PARAM

  • The given descriptive scheme ID is already contained.
Parameters:
descriptiveSchemeID [in] New descriptive scheme ID.
HRESULT IAAFHeader2::AddEssenceData ( [in] IAAFEssenceData * pEssenceData )

Appends the given essence data object to the header.

NOTE! Stub only. Implementation not yet added.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_MOBID

  • The given mob has already been added. The validation is done by comparing mobIDs, which should be unique.

AAFRESULT_NULL_PARAM

  • pEssenceData is null.
Parameters:
pEssenceData [in] Essence data object to append
HRESULT IAAFHeader2::AddMob ( [in] IAAFMob * pMob )

Appends the given mob to the header.

If the given mob is already contained this method will do nothing and will return success.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is not already part of this collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_DUPLICATE_MOBID

  • the given mob is already contained.
Parameters:
pMob [in] Mob to add
HRESULT IAAFHeader2::AppendIdentification ( [in] IAAFIdentification * pIdent )

Appends the given Identification class to the header.

This method does not attempt to identify duplicate identifications, so it will succeed even if an identical identification has already been appended.

Succeeds if all of the following are true:

  • the pIdent pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIdent is null.
Parameters:
pIdent [in] Identification to append
HRESULT IAAFHeader2::CountDescriptiveSchemes ( [out, retval] aafUInt32 * pCount )

Gets the total number of descriptive schemes present in the file.

Succeeds if all of the following are true:

  • the pCount pointer is valid.
  • the DescriptiveSchemes property is present

If this method fails nothing will be written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
pCount [out, retval] Number of descriptive schemes
HRESULT IAAFHeader2::CountEssenceContainers ( [out, retval] aafUInt32 * pCount )

Gets the total number of essence containers present in the file.

Succeeds if all of the following are true:

  • the pCount pointer is valid.
  • the EssenceContainers property is present

If this method fails nothing will be written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
pCount [out, retval] Number of essence containers
HRESULT IAAFHeader2::CountEssenceData ( [out, retval] aafUInt32 * pResult )

Writes the total number of essence data into the *pNumEssenceData argument.

Succeeds if all of the following are true:

  • the pNumEssenceData pointer is valid.

If this method fails nothing will be written to pNumEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumEssenceData is null.
Parameters:
pResult [out, retval] Total number of essence data
HRESULT IAAFHeader2::CountIdentifications ( [out, retval] aafUInt32 * pResult )

Writes the number of identification objects into the *pResult argument.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] Total number of identification objects
HRESULT IAAFHeader2::CountMobs | ( | [in] aafMobKind_t | mobKind,
 |  | [out, retval] aafNumSlots_t * | pResult
 | ) |  |

Writes the number of matches for the given mob kind into the pNumMobs argument.

Succeeds if all of the following are true:

  • the pNumMobs pointer is valid.

If this method fails nothing will be written to *pNumMobs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumMobs is null.
Parameters:
mobKind | [in] The mob kind to count
pResult | [out, retval] Total number of mobs of kind mobKind
HRESULT IAAFHeader2::EnumEssenceData ( [out, retval] IEnumAAFEssenceData ** ppEnum )

Places an enumerator for essence that applies to the criteria into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pMediaCriteria pointer is valid.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pMediaCriteria or ppEnum is null.
Parameters:
ppEnum [out,retval] Essence Enumeration
HRESULT IAAFHeader2::GetContentStorage ( [out] IAAFContentStorage ** ppStorage )

Places the Content Storage object attached to the header into the ppStorage argument.

The returned content storage object is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppStorage pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppStorage is null.
Parameters:
ppStorage [out] Returned Content Storage object
HRESULT IAAFHeader2::GetDescriptiveSchemes | ( | [in] aafUInt32 | maxDescriptiveSchemesCount,
 |  | [out, size_is(maxDescriptiveSchemesCount)] aafUID_t * | pDescriptiveSchemeIDs
 | ) |  |

Gets IDs of descriptive schemes present in the file.

The values are written to the array specified by pDescriptiveSchemeIDs, which is of size maxDescriptiveSchemesCount. The required size may be found by calling CountDescriptiveSchemes().

Succeeds if all of the following are true:

  • pDescriptiveSchemeIDs is a valid pointer.
  • maxDescriptiveSchemesCount indicates the array is large enough to hold the data.
  • the DescriptiveSchemes property is present

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescriptiveSchemeIDs is NULL.

AAFRESULT_SMALLBUF

  • maxDescriptiveSchemesCount indicates that the array is too small to hold the data.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
maxDescriptiveSchemesCount | [in] The number of elements in the array
pDescriptiveSchemeIDs | [out, size_is(maxDescriptiveSchemesCount)] Array to hold the descriptive scheme IDs
HRESULT IAAFHeader2::GetDictionary ( [out, retval] IAAFDictionary ** ppDictionary )

Places the dictionary that contains all types of aaf definition objects into the *ppDictionary argument.

The returned dictionary is AddRef()ed before it is returned. Note that the dictionary is automatically created when the header object is created.

Succeeds if all of the following are true:

  • the ppDictionary pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDictionary is null.
Parameters:
ppDictionary [out, retval] The AAF Dictionary
HRESULT IAAFHeader2::GetEssenceContainers | ( | [in] aafUInt32 | maxEssenceContainersCount,
 |  | [out, size_is(maxEssenceContainersCount)] aafUID_t * | pEssenceContainerIDs
 | ) |  |

Gets IDs of essence containers present in the file.

The values are written to the array specified by pEssenceContainerIDs, which is of size maxEssenceContainersCount. The required size may be found by calling CountEssenceContainers().

Succeeds if all of the following are true:

  • pEssenceContainerIDs is a valid pointer.
  • maxEssenceContainersCount indicates the array is large enough to hold the data.
  • the EssenceContainers property is present

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceContainerIDs is NULL.

AAFRESULT_SMALLBUF

  • maxEssenceContainersCount indicates that the array is too small to hold the data.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
maxEssenceContainersCount | [in] The number of elements in the array
pEssenceContainerIDs | [out, size_is(maxEssenceContainersCount)] Array to hold the essence container IDs
HRESULT IAAFHeader2::GetFileRevision ( [out, retval] aafVersionType_t * pRevision )

Return the File Revision property.

NOTE! Stub only. Implementation not yet added.

Succeeds if all of the following are true:

  • the pRevision pointer is valid.

If this method fails nothing is written to *pRevision.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRevision is null.
Parameters:
pRevision [out, retval] The File Version
HRESULT IAAFHeader2::GetIdentificationAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFIdentification ** | ppIdentification
 | ) |  |

Retrieves the indexed identification from the header.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.
  • index is less than the value returned by CountIdentifications().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdent is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to result of CountIdentifications().
Parameters:
index | [in] Index of identification to retrieve
ppIdentification | [out, retval] Retrieved identification
HRESULT IAAFHeader2::GetIdentifications ( [out, retval] IEnumAAFIdentifications ** ppEnum )

Places an enumerator for all Identifications criteria into the ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

NOTE! Stub only. Implementation not yet added.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] Indentification Enumeration
HRESULT IAAFHeader2::GetLastIdentification ( [out, retval] IAAFIdentification ** ppIdentification )

Places the identification of the last entity that modified the file into the *ppIdentification argument.

The returned identification is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdentification is null.
Parameters:
ppIdentification [out,retval] Indentification Object
HRESULT IAAFHeader2::GetLastModified ( [out, retval] aafTimeStamp_t * pTimeStamp )

Return the Last Modified property.

NOTE! Stub only. Implementation not yet added.

Succeeds if all of the following are true:

  • the pTimeStamp pointer is valid.

If this method fails nothing is written to *pTimeStamp.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTimeStamp is null.
Parameters:
pTimeStamp [out, retval] The modification date-time stamp
HRESULT IAAFHeader2::GetMobs | ( | [in] aafSearchCrit_t * | pSearchCriteria,
 |  | [out, retval] IEnumAAFMobs ** | ppEnum
 | ) |  |

Places an enumerator for mobs that apply to the criteria into the ppEnum argument.

If pSearchCriteria is null, all mobs are returned. The searchTag field of pSearchCriteria, and exactly ONE of the fields in the union (tags.mobID, tags.name, etc. ) must be set. Only one search criterion may be specified. The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
pSearchCriteria | [in] Search Criteria for enumeration
ppEnum | [out, retval] Mob Enumeration
HRESULT IAAFHeader2::GetOperationalPattern ( [out] aafUID_t * pOperationalPatternID )

This method returns ID of the operational pattern this file complies to.

Succeeds if all of the following are true:

  • the pOperationalPatternID pointer is valid.
  • the OperationalPattern property is present

If this method fails nothing will be written to *pOperationalPatternID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperationalPatternID arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
pOperationalPatternID [out] Operational pattern ID.
HRESULT IAAFHeader2::GetPrimaryMob ( [out, retval] IAAFMob ** pPrimaryMob )

Returns this file's primary mob.

Succeeds if all of the following are true:

  • the pPrimaryMob pointer is valid.

The returned object is AddRef()ed before it is returned.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPrimaryMob arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
pPrimaryMob [out, retval] The primary mob
HRESULT IAAFHeader2::GetRefImplVersion ( [out, retval] aafProductVersion_t * pVersion )

Return the version of the Reference Implementation currently running on this machine, which implements these interfaces.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails nothing is written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVersion is null.
Parameters:
pVersion [out, retval] The Reference Implementation Version
HRESULT IAAFHeader2::IsDescriptiveSchemePresent | ( | [in, ref] aafUID_constref | descriptiveSchemeID,
 |  | [out, retval] aafBoolean_t * | pIsPresent
 | ) |  |

Returns true if the descriptive scheme ID is present.

Succeeds if all of the following are true:

  • the pIsPresent pointer is valid;
  • the DescriptiveSchemes property is present

If this method fails nothing will be written to *pIsPresent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsPresent arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
descriptiveSchemeID | [in, ref] Descriptive scheme ID
pIsPresent | [out,retval] Is this descriptive scheme ID present
HRESULT IAAFHeader2::IsEssenceContainerPresent | ( | [in, ref] aafUID_constref | essenceContainerID,
 |  | [out, retval] aafBoolean_t * | pIsPresent
 | ) |  |

Returns true if the essence container is present.

Succeeds if all of the following are true:

  • the pIsPresent pointer is valid.
  • the EssenceContainers property is present

If this method fails nothing will be written to *pIsPresent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsPresent arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • property not present.
Parameters:
essenceContainerID | [in, ref] Essence container ID
pIsPresent | [out,retval] Is this essence container present
HRESULT IAAFHeader2::IsEssenceDataPresent | ( | [in, ref] aafMobID_constref | fileMobID,
 |  | [in] aafFileFormat_t | fmt,
 |  | [out, retval] aafBoolean_t * | pResult
 | ) |  |

Returns true if the essence is found.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
fileMobID | [in, ref] A Unique File Mob ID
fmt | [in] The Essence File Format
pResult | [out,retval] True if the essence is found
HRESULT IAAFHeader2::LookupEssenceData | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFEssenceData ** | ppEssenceData
 | ) |  |

Looks up the EssenceData that matches the given mob id and puts it into the ppEssenceData argument.

The returned EssenceData interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEssenceData pointer is valid.

If this method fails nothing will be written to *ppEssenceData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEssenceData is null

AAFRESULT_MOB_NOT_FOUND

  • the requested EssenceData wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppEssenceData | [out,retval] Matching EssenceData
HRESULT IAAFHeader2::LookupIdentification | ( | [in, ref] aafUID_constref | generation,
 |  | [out, retval] IAAFIdentification ** | ppIdentification
 | ) |  |

Places the Identification that matches the given generation into the *ppIdentification argument.

The returned identification is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.
  • the given generation was found.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdentification is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given generation was not found..
Parameters:
generation | [in, ref] Unique Generation ID
ppIdentification | [out,retval] Indentification Object
HRESULT IAAFHeader2::LookupMob | ( | [in, ref] aafMobID_constref | mobID,
 |  | [out, retval] IAAFMob ** | ppMob
 | ) |  |

Looks up the Mob that matches the given mob id and puts it into the ppMob argument.

The returned mob interface is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppMob pointer is valid.

If this method fails nothing will be written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppMob is null

AAFRESULT_MOB_NOT_FOUND

  • the requested mob wasn't found.
Parameters:
mobID | [in, ref] The Mob ID
ppMob | [out,retval] Matching Mob
HRESULT IAAFHeader2::RemoveDescriptiveScheme ( [in] aafUID_constref descriptiveSchemeID )

Removes the given descriptive scheme ID from the list of descriptive schemes found in the file.

Succeeds if all of the following are true:

  • the DescriptiveSchemes property is present;
  • the given descriptive scheme ID is present in the list of descriptive schemes found in the file.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_PROP_NOT_PRESENT

  • property not present.

AAFRESULT_INVALID_PARAM

  • The given descriptive scheme ID is present in the list of descriptive schemes found in the file.
Parameters:
descriptiveSchemeID [in] Descriptive scheme to remove.
HRESULT IAAFHeader2::RemoveEssenceData ( [in] IAAFEssenceData * pEssenceData )

Removes the given EssenceData from the header.

Succeeds if all of the following are true:

  • the pEssenceData pointer is valid.
  • the given EssenceData is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceData is null.

AAFRESULT_ESSENCE_NOT_FOUND

  • the given EssenceData is not already contained.
Parameters:
pEssenceData [in] EssenceData to remove
HRESULT IAAFHeader2::RemoveMob ( [in] IAAFMob * pMob )

Removes the given mob from the header.

Succeeds if all of the following are true:

  • the pMob pointer is valid.
  • the given mob is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMob is null.

AAFRESULT_MOB_NOT_FOUND

  • the given mob is not already contained.
Parameters:
pMob [in] Mob to remove
HRESULT IAAFHeader2::SetOperationalPattern ( [in] aafUID_constref operationalPatternID )

Sets operational pattern this file complies to.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
operationalPatternID [in] Operational pattern ID.
HRESULT IAAFHeader2::SetPrimaryMob ( [in] IAAFMob * pPrimaryMob )

Sets this file's primary mob.

If this method fails, the property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPrimaryMob arg is NULL.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pPrimaryMob [in] The primary mob
HRESULT IAAFHeader2::UpdateEssenceContainers ( )

Ensures that the contents of the EssenceContainers property is in sync with the file's metadata.

If this method succeeds the property will contain IDs of all ContainerDefinitions referenced by source mobs in this file. If the property isn't present it will be created. This method must be called before any other EssenceContainers method can be called.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFHeader2 Member List
This is the complete list of members for IAAFHeader2, including all inherited members.
AddDescriptiveScheme([in] aafUID_constref descriptiveSchemeID) | IAAFHeader2
AddEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFHeader2
AddMob([in] IAAFMob *pMob) | IAAFHeader2
AppendIdentification([in] IAAFIdentification *pIdent) | IAAFHeader2
CountDescriptiveSchemes([out, retval] aafUInt32 *pCount) | IAAFHeader2
CountEssenceContainers([out, retval] aafUInt32 *pCount) | IAAFHeader2
CountEssenceData([out, retval] aafUInt32 *pResult) | IAAFHeader2
CountIdentifications([out, retval] aafUInt32 *pResult) | IAAFHeader2
CountMobs([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult) | IAAFHeader2
EnumEssenceData([out, retval] IEnumAAFEssenceData **ppEnum) | IAAFHeader2
GetContentStorage([out] IAAFContentStorage **ppStorage) | IAAFHeader2
GetDescriptiveSchemes([in] aafUInt32 maxDescriptiveSchemesCount,[out, size_is(maxDescriptiveSchemesCount)] aafUID_t *pDescriptiveSchemeIDs) | IAAFHeader2
GetDictionary([out, retval] IAAFDictionary **ppDictionary) | IAAFHeader2
GetEssenceContainers([in] aafUInt32 maxEssenceContainersCount,[out, size_is(maxEssenceContainersCount)] aafUID_t *pEssenceContainerIDs) | IAAFHeader2
GetFileRevision([out, retval] aafVersionType_t *pRevision) | IAAFHeader2
GetIdentificationAt([in] aafUInt32 index,[out, retval] IAAFIdentification **ppIdentification) | IAAFHeader2
GetIdentifications([out, retval] IEnumAAFIdentifications **ppEnum) | IAAFHeader2
GetLastIdentification([out, retval] IAAFIdentification **ppIdentification) | IAAFHeader2
GetLastModified([out, retval] aafTimeStamp_t *pTimeStamp) | IAAFHeader2
GetMobs([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum) | IAAFHeader2
GetOperationalPattern([out] aafUID_t *pOperationalPatternID) | IAAFHeader2
GetPrimaryMob([out, retval] IAAFMob **pPrimaryMob) | IAAFHeader2
GetRefImplVersion([out, retval] aafProductVersion_t *pVersion) | IAAFHeader2
IsDescriptiveSchemePresent([in, ref] aafUID_constref descriptiveSchemeID,[out, retval] aafBoolean_t *pIsPresent) | IAAFHeader2
IsEssenceContainerPresent([in, ref] aafUID_constref essenceContainerID,[out, retval] aafBoolean_t *pIsPresent) | IAAFHeader2
IsEssenceDataPresent([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult) | IAAFHeader2
LookupEssenceData([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData) | IAAFHeader2
LookupIdentification([in, ref] aafUID_constref generation,[out, retval] IAAFIdentification **ppIdentification) | IAAFHeader2
LookupMob([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob) | IAAFHeader2
RemoveDescriptiveScheme([in] aafUID_constref descriptiveSchemeID) | IAAFHeader2
RemoveEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFHeader2
RemoveMob([in] IAAFMob *pMob) | IAAFHeader2
SetOperationalPattern([in] aafUID_constref operationalPatternID) | IAAFHeader2
SetPrimaryMob([in] IAAFMob *pPrimaryMob) | IAAFHeader2
UpdateEssenceContainers() | IAAFHeader2
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFIdentification Interface Reference

Public Member Functions
IAAFIdentification Interface Reference

The IAAFIdentification interface provides information about an application that either created or modified the AAF file. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafCharacter_constptr companyName,[in] aafCharacter_constptr productName,[in] aafCharacter_constptr productVersionString,[in] aafUID_constref productID)
Initializes a newly allocated IAAFIdentification-supporting object.
HRESULT | GetCompanyName ([out, string, size_is(bufSize)] aafCharacter *pCompanyName,[in] aafUInt32 bufSize)
Gets the Company Name string property.
HRESULT | GetCompanyNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetCompanyName().
HRESULT | GetProductName ([out, string, size_is(bufSize)] aafCharacter *pProductName,[in] aafUInt32 bufSize)
Gets the Product Name string property.
HRESULT | GetProductNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetProductName().
HRESULT | GetProductVersionString ([out, string, size_is(bufSize)] aafCharacter *pProductVersionString,[in] aafUInt32 bufSize)
Gets the Product Version string property.
HRESULT | GetProductVersionStringBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetProductVersionString().
HRESULT | GetProductVersion ([out] aafProductVersion_t *pVersion)
Gets the Product Version property associated with this identification object and places it into *pVersion.
HRESULT | SetProductVersion ([in] aafProductVersion_constref version)
Set the Product Version property to the value specified in pVersion.
HRESULT | GetProductID ([out] aafUID_t *pProductID)
Obtains the Product ID, which is the identification number assigned to the application and vendor of the application which attached this object to the AAF file.
HRESULT | GetDate ([out] aafTimeStamp_t *pTimestamp)
Writes the Date-time Stamp property into the caller-allocated aafTimeStamp_t specified by the pTimeStamp argument.
HRESULT | GetRefImplVersion ([out] aafProductVersion_t *pVersion)
Obtains the version of the Reference Implementation which created this identification object and writes it into the caller-allocated aafProductVersion_t specified by the pVersion argument.
HRESULT | GetPlatform ([out, string, size_is(bufSize)] aafCharacter *pPlatform,[in] aafUInt32 bufSize)
Gets the Platform string property.
HRESULT | GetPlatformBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetPlatform().
HRESULT | GetGenerationID ([out] aafUID_t *pGeneration)
Obtains the generation of this AAF file, which was generated at the time this identification object was created.

Detailed Description

The IAAFIdentification interface provides information about an application that either created or modified the AAF file.

If a file was opened for modification by many applications in its lifetime, then there will be multiple Identification objects. These are kept in an ordered array, with the first entry being the file creator, and the last entry being the last application to modify the file.

The identification object is useful for technical support when diagnosing problem AAF files, as it tells which applications (and versions) have touched the file. If a file has been modified by multiple applications, then the date and productID fields can be used to tell which changes to the file were made by a particular application.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFIdentification also implement the following interfaces:

IAAFObject

Definition at line 11792 of file AAF.idl.

Member Function Documentation

HRESULT IAAFIdentification::GetCompanyName | ( | [out, string, size_is(bufSize)] aafCharacter * | pCompanyName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Company Name string property.

Writes the CompanyName property, with a trailing null character, into the pCompanyName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the CompanyName property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetCompanyNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pCompanyName.

Succeeds if:

  • The pCompanyName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold CompanyName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCompanyName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold CompanyName.
Parameters:
pCompanyName | [out, string, size_is(bufSize)] buffer into which CompanyName is to be written
bufSize | [in] size of *pCompanyName buffer in bytes
HRESULT IAAFIdentification::GetCompanyNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetCompanyName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFIdentification::GetDate ( [out] aafTimeStamp_t * pTimestamp )

Writes the Date-time Stamp property into the caller-allocated aafTimeStamp_t specified by the pTimeStamp argument.

The date-time stamp recorded in this object corresponds to the time that this file was created or modified upon the occasion that this object was added to the file.

Note: This is a read-only property.

Succeeds if all of the following are true:

  • the pTimeStamp pointer is valid.

If this method fails nothing will be written to *pTimeStamp.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTimeStamp arg is NULL.
Parameters:
pTimestamp [out] The date-time stamp
HRESULT IAAFIdentification::GetGenerationID ( [out] aafUID_t * pGeneration )

Obtains the generation of this AAF file, which was generated at the time this identification object was created.

If a file was opened for modification by many applications in its lifetime, then there will be multiple Identification objects. This is written into the caller-allocated aafUID_t specified by the pGeneration argument.

Note: This is a read-only property.

Succeeds if all of the following are true:

  • the pGeneration pointer is valid.

If this method fails nothing will be written to *pGeneration.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pGeneration arg is NULL.
Parameters:
pGeneration [out] The unique generation
HRESULT IAAFIdentification::GetPlatform | ( | [out, string, size_is(bufSize)] aafCharacter * | pPlatform,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Platform string property.

This information is provided only to allow diagnostic printing of platform information to be read by humans. The format of the strings is not guaranteed to remain the same for a given platform. Having said that, the possible values currently returned are:

  • "Win32" for Intel/Win32 platforms
  • "MacOS" for MacOS platforms
  • "Unknown" for unknown platforms

Writes the Platform property, with a trailing null character, into the pPlatform buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Platform property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetPlatformBufLen() to determine the required buffer size.

If this method fails nothing will be written to pPlatform.

Succeeds if:

  • The pPlatform pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Platform.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPlatform arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Platform.
Parameters:
pPlatform | [out, string, size_is(bufSize)] buffer into which Platform is to be written
bufSize | [in] size of *pPlatform buffer in bytes
HRESULT IAAFIdentification::GetPlatformBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetPlatform().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFIdentification::GetProductID ( [out] aafUID_t * pProductID )

Obtains the Product ID, which is the identification number assigned to the application and vendor of the application which attached this object to the AAF file.

This ID is written into the caller-allocated aafUID_t specified by the pProductID argument.

Succeeds if all of the following are true:

  • the pProductID pointer is valid.

If this method fails nothing will be written to *pProductID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pProductID arg is NULL.
Parameters:
pProductID [out] The Product ID
HRESULT IAAFIdentification::GetProductName | ( | [out, string, size_is(bufSize)] aafCharacter * | pProductName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Product Name string property.

Writes the ProductName property, with a trailing null character, into the pProductName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the ProductName property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetProductNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pProductName.

Succeeds if:

  • The pProductName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold ProductName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pProductName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold ProductName.
Parameters:
pProductName | [out, string, size_is(bufSize)] buffer into which ProductName is to be written
bufSize | [in] size of *pProductName buffer in bytes
HRESULT IAAFIdentification::GetProductNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetProductName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFIdentification::GetProductVersion ( [out] aafProductVersion_t * pVersion )

Gets the Product Version property associated with this identification object and places it into *pVersion.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails, nothing will be written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVersion arg is NULL.
Parameters:
pVersion [out] The Product Version
HRESULT IAAFIdentification::GetProductVersionString | ( | [out, string, size_is(bufSize)] aafCharacter * | pProductVersionString,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Product Version string property.

Writes the ProductVersionString property, with a trailing null character, into the pProductVersionString buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the ProductVersionString property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetProductVersionStringBufLen() to determine the required buffer size.

If this method fails nothing will be written to pProductVersionString.

Succeeds if:

  • The pProductVersionString pointer is valid.
  • bufSize indicates that the buffer is large enough to hold ProductVersionString.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pProductVersionString arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold ProductVersionString.
Parameters:
pProductVersionString | [out, string, size_is(bufSize)] buffer into which ProductVersionString is to be written
bufSize | [in] size of *pProductVersionString buffer in bytes
HRESULT IAAFIdentification::GetProductVersionStringBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetProductVersionString().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFIdentification::GetRefImplVersion ( [out] aafProductVersion_t * pVersion )

Obtains the version of the Reference Implementation which created this identification object and writes it into the caller-allocated aafProductVersion_t specified by the pVersion argument.

Note: This is a read-only property.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails nothing will be written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVersion arg is NULL.
Parameters:
pVersion [out] The Reference Implementation Version
HRESULT IAAFIdentification::Initialize | ( | [in] aafCharacter_constptr | companyName,
 |  | [in] aafCharacter_constptr | productName,
 |  | [in] aafCharacter_constptr | productVersionString,
 |  | [in] aafUID_constref | productID
 | ) |  |

Initializes a newly allocated IAAFIdentification-supporting object.

This method must be called after allocation, and before any other method can be called.

This method fills in the mandatory properties of the object. The values of the following required properties are set based on the information given in arguments to this method:

  • companyName
  • productname
  • productVersionString
  • productID

The following mandatory properties will be filled in automatically by the reference implementation:

  • date
  • generationAUID

Succeeds if:

  • Initialize() has not yet been called on this object.
  • companyName is a valid pointer
  • productName is a valid pointer
  • productVersionString is a valid pointer

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • companyName, productName, or productVersionString is NULL.
Parameters:
companyName | [in] company name string
productName | [in] product name string
productVersionString | [in] product version string
productID | [in] product identification
HRESULT IAAFIdentification::SetProductVersion ( [in] aafProductVersion_constref version )

Set the Product Version property to the value specified in pVersion.

A copy is made of the data so the caller retains ownership of the *pVersion struct and is responsible for de-allocating it.

If this method fails the Product Version property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
version [in] The Product Version
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFIdentification Member List
This is the complete list of members for IAAFIdentification, including all inherited members.
GetCompanyName([out, string, size_is(bufSize)] aafCharacter *pCompanyName,[in] aafUInt32 bufSize) | IAAFIdentification
GetCompanyNameBufLen([out] aafUInt32 *pBufSize) | IAAFIdentification
GetDate([out] aafTimeStamp_t *pTimestamp) | IAAFIdentification
GetGenerationID([out] aafUID_t *pGeneration) | IAAFIdentification
GetPlatform([out, string, size_is(bufSize)] aafCharacter *pPlatform,[in] aafUInt32 bufSize) | IAAFIdentification
GetPlatformBufLen([out] aafUInt32 *pBufSize) | IAAFIdentification
GetProductID([out] aafUID_t *pProductID) | IAAFIdentification
GetProductName([out, string, size_is(bufSize)] aafCharacter *pProductName,[in] aafUInt32 bufSize) | IAAFIdentification
GetProductNameBufLen([out] aafUInt32 *pBufSize) | IAAFIdentification
GetProductVersion([out] aafProductVersion_t *pVersion) | IAAFIdentification
GetProductVersionString([out, string, size_is(bufSize)] aafCharacter *pProductVersionString,[in] aafUInt32 bufSize) | IAAFIdentification
GetProductVersionStringBufLen([out] aafUInt32 *pBufSize) | IAAFIdentification
GetRefImplVersion([out] aafProductVersion_t *pVersion) | IAAFIdentification
Initialize([in] aafCharacter_constptr companyName,[in] aafCharacter_constptr productName,[in] aafCharacter_constptr productVersionString,[in] aafUID_constref productID) | IAAFIdentification
SetProductVersion([in] aafProductVersion_constref version) | IAAFIdentification
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFImportDescriptor Interface Reference

Public Member Functions
IAAFImportDescriptor Interface Reference

The IAAFImportDescriptor interface is implemented by objects which describe a file which was imported into AAF. More...

List of all members.

Public Member Functions

HRESULT Initialize ()
Initializes a newly allocated, empty IAAFImportDescriptor-supporting object.

Detailed Description

The IAAFImportDescriptor interface is implemented by objects which describe a file which was imported into AAF.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFImportDescriptor also implement the following interfaces:

IAAFPhysicalDescriptor

  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 12374 of file AAF.idl.

Member Function Documentation

HRESULT IAAFImportDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFImportDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFImportDescriptor Member List
This is the complete list of members for IAAFImportDescriptor, including all inherited members.
Initialize() IAAFImportDescriptor
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFInterpolationDef Interface Reference

Public Member Functions
IAAFInterpolationDef Interface Reference

This interface is used with an object representing a particular kind of interpolator, which may be implemented by one or more AAFPluginDescriptors. More...

List of all members.

Public Member Functions

HRESULT Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.

Detailed Description

This interface is used with an object representing a particular kind of interpolator, which may be implemented by one or more AAFPluginDescriptors.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFInterpolationDef also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 12432 of file AAF.idl.

Member Function Documentation

HRESULT IAAFInterpolationDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFInterpolationDef Member List
This is the complete list of members for IAAFInterpolationDef, including all inherited members.
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) IAAFInterpolationDef
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFKLVData Interface Reference

Public Member Functions
IAAFKLVData Interface Reference

The IAAFKLVData interface is implemented by objects that specify an User defined tag and value. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafUID_t key,[in] aafUInt32 length,[in, size_is(length)] aafDataBuffer_t pValue)
Initializes a new KLVData object to be interpreted using the given given key.
HRESULT | GetKey ([out] aafUID_t *pKey)
Returns the type definition for this invocation.
HRESULT | GetValue ([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead)
Writes the value into the pValue buffer.
HRESULT | GetValueBufLen ([out] aafUInt32 *pLen)
Returns the length of buffer required for the GetValue() method.
HRESULT | SetValue ([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
The data value is set from a buffer of size valueSize and type.

Detailed Description

The IAAFKLVData interface is implemented by objects that specify an User defined tag and value.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFKLVData also implement the following interfaces:

  • IAAFObject

Definition at line 12481 of file AAF.idl.

Member Function Documentation

HRESULT IAAFKLVData::GetKey ( [out] aafUID_t * pKey )

Returns the type definition for this invocation.

Succeeds if all of the following are true:

  • the pKey pointer is valid.

If this method fails nothing will be written to *pKey.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • pKey arg is NULL.
Parameters:
pKey [out] The key of this object
HRESULT IAAFKLVData::GetValue | ( | [in] aafUInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Writes the value into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [out, size_is(valueSize), length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFKLVData::GetValueBufLen ( [out] aafUInt32 * pLen )

Returns the length of buffer required for the GetValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Pointer to an variable used to return the length
HRESULT IAAFKLVData::Initialize | ( | [in] aafUID_t | key,
 |  | [in] aafUInt32 | length,
 |  | [in, size_is(length)] aafDataBuffer_t | pValue
 | ) |  |

Initializes a new KLVData object to be interpreted using the given given key.

The key must have been registered using dictionary->RegisterKLVDataKey() in order to use the byte swapping functionality of the type model.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pName is a valid pointer.
  • pTypeDef is a valid pointer and registered
  • pValue is a valid pointer

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTypeDef or pValue arg is NULL.

AAFRESULT_NOT_VALID_KEY

  • The given key must not resolve to a builtin type. For most purposes, use IAAFTypeDefRename to rename an existing type.
Parameters:
key | [in] Key of the following value data
length | [in] Length of preallocated buffer
pValue | [in, size_is(length)] buffer containing value
HRESULT IAAFKLVData::SetValue | ( | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

The data value is set from a buffer of size valueSize and type.

Succeeds if all of the following are true:

  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pValue is null.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFKLVData Member List
This is the complete list of members for IAAFKLVData, including all inherited members.
GetKey([out] aafUID_t *pKey) | IAAFKLVData
GetValue([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead) | IAAFKLVData
GetValueBufLen([out] aafUInt32 *pLen) | IAAFKLVData
Initialize([in] aafUID_t key,[in] aafUInt32 length,[in, size_is(length)] aafDataBuffer_t pValue) | IAAFKLVData
SetValue([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFKLVData
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFKLVDataDefinition Interface Reference

Public Member Functions
IAAFKLVDataDefinition Interface Reference

This interface is used to describe the data type of a value stored in an AAFKLVData object. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | AddParentProperty ([in] IAAFPropertyDef *pParentProperty)
Add a property definition to the KLV data definition.
HRESULT | GetParentProperties ([out] IEnumAAFPropertyDefs **ppEnum)
Writes an enumerator for the property definitions into *ppEnum.
HRESULT | CountParentProperties ([out] aafUInt32 *pNumProperties)
Writes the total number of property definitions into *pNumProperties if, and only if, the method succeeds.
HRESULT | RemoveParentProperty ([in] IAAFPropertyDef *pParentProperty)
Removes the given property definition.
HRESULT | GetKLVDataType ([out] IAAFTypeDef **ppTypeDef)
Writes the data definition object attached to this KLV data definition into the *ppTypeDef argument if, and only if, the call succeeds.
HRESULT | SetKLVDataType ([in] IAAFTypeDef *pTypeDef)
Sets the date type of this KLV data definition to be the given one.

Detailed Description

This interface is used to describe the data type of a value stored in an AAFKLVData object.

Objects that implement IAAFKLVDataDefinition also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 12681 of file AAF.idl.

Member Function Documentation

HRESULT IAAFKLVDataDefinition::AddParentProperty ( [in] IAAFPropertyDef * pParentProperty )

Add a property definition to the KLV data definition.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pParentProperty is null.
Parameters:
pParentProperty [in] Property definition to add.
HRESULT IAAFKLVDataDefinition::CountParentProperties ( [out] aafUInt32 * pNumProperties )

Writes the total number of property definitions into *pNumProperties if, and only if, the method succeeds.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
pNumProperties [out] Number of property definitions.
HRESULT IAAFKLVDataDefinition::GetKLVDataType ( [out] IAAFTypeDef ** ppTypeDef )

Writes the data definition object attached to this KLV data definition into the *ppTypeDef argument if, and only if, the call succeeds.

If none exists, NULL is written to the *ppTypeDef argument.

The returned data definition object, if it exists, is AddRef()ed before it is returned.

Return codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
ppTypeDef [out] Returned data definition object
HRESULT IAAFKLVDataDefinition::GetParentProperties ( [out] IEnumAAFPropertyDefs ** ppEnum )

Writes an enumerator for the property definitions into *ppEnum.

A reference is added to the new enumerator before it is returned.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Property definition enumerator.
HRESULT IAAFKLVDataDefinition::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFKLVDataDefinition::RemoveParentProperty ( [in] IAAFPropertyDef * pParentProperty )

Removes the given property definition.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

AAFRESULT_NO_MORE_OBJECTS

  • The property definition is not in this tagged value definition.
Parameters:
pParentProperty [in] Property to remove.
HRESULT IAAFKLVDataDefinition::SetKLVDataType ( [in] IAAFTypeDef * pTypeDef )

Sets the date type of this KLV data definition to be the given one.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pTypeDef is null.
Parameters:
pTypeDef [in] Data definition object
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFKLVDataDefinition Member List
This is the complete list of members for IAAFKLVDataDefinition, including all inherited members.
AddParentProperty([in] IAAFPropertyDef *pParentProperty) | IAAFKLVDataDefinition
CountParentProperties([out] aafUInt32 *pNumProperties) | IAAFKLVDataDefinition
GetKLVDataType([out] IAAFTypeDef **ppTypeDef) | IAAFKLVDataDefinition
GetParentProperties([out] IEnumAAFPropertyDefs **ppEnum) | IAAFKLVDataDefinition
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFKLVDataDefinition
RemoveParentProperty([in] IAAFPropertyDef *pParentProperty) | IAAFKLVDataDefinition
SetKLVDataType([in] IAAFTypeDef *pTypeDef) | IAAFKLVDataDefinition
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFKLVEssenceDataParameters Interface Reference

Public Member Functions
IAAFKLVEssenceDataParameters Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | GetEssenceElementKey ([out] aafUID_t *pEssenceElementKey)
This method returns essence element key associated with the essence stream.
HRESULT | SetEssenceElementKey ([in, ref] aafUID_constref key)
Set the essence element key on the essence stream.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 46705 of file AAF.idl.

Member Function Documentation

HRESULT IAAFKLVEssenceDataParameters::GetEssenceElementKey ( [out] aafUID_t * pEssenceElementKey )

This method returns essence element key associated with the essence stream.

Succeeds if all of the following are true:

  • pEssenceElementKey is a valid pointer.
  • the essence stream supports essence element keys.

If this method fails nothing will be written to *pEssenceElementKey.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEssenceElementKey arg is NULL.

AAFRESULT_OPERATION_NOT_PERMITTED

  • the essence stream does not support essence element keys.
Parameters:
pEssenceElementKey [out] Essence element key.
HRESULT IAAFKLVEssenceDataParameters::SetEssenceElementKey ( [in, ref] aafUID_constref key )

Set the essence element key on the essence stream.

Succeeds if all of the following are true:

  • the essence stream supports essence element keys.

If this method fails, the property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_OPERATION_NOT_PERMITTED

  • the essence stream does not support essence element keys.
Parameters:
key [in, ref] essence element key
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFKLVEssenceDataParameters Member List
This is the complete list of members for IAAFKLVEssenceDataParameters, including all inherited members.
GetEssenceElementKey([out] aafUID_t *pEssenceElementKey) | IAAFKLVEssenceDataParameters
SetEssenceElementKey([in, ref] aafUID_constref key) | IAAFKLVEssenceDataParameters
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFKLVStreamParameters Interface Reference

Public Member Functions
IAAFKLVStreamParameters Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | GetEssenceElementKey ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafUID_t *pEssenceElementKey)
This method returns essence element key associated with the specified stream.
HRESULT | SetEssenceElementKey ([in] IAAFPropertyValue *pStreamPropertyValue,[in, ref] aafUID_constref key)
Set the essence element key on the specified stream.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 46797 of file AAF.idl.

Member Function Documentation

HRESULT IAAFKLVStreamParameters::GetEssenceElementKey | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafUID_t * | pEssenceElementKey
 | ) |  |

This method returns essence element key associated with the specified stream.

Succeeds if all of the following are true:

  • pStreamPropertyValue is a valid pointer.
  • pEssenceElementKey is a valid pointer.
  • the specified stream supports essence element keys.

If this method fails nothing will be written to *pEssenceElementKey.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pEssenceElementKey arg is NULL.

AAFRESULT_INVALID_PARAM

  • the specified stream does not support essence element keys.
Parameters:
pStreamPropertyValue | [in] stream property value
pEssenceElementKey | [out] Essence element key.
HRESULT IAAFKLVStreamParameters::SetEssenceElementKey | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in, ref] aafUID_constref | key
 | ) |  |

Set the essence element key on the specified stream.

Succeeds if all of the following are true:

  • pStreamPropertyValue is a valid pointer.
  • the specified stream supports essence element keys.

If this method fails, the property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pStreamPropertyValue arg is NULL.

AAFRESULT_INVALID_PARAM

  • the specified stream does not support essence element keys.
Parameters:
pStreamPropertyValue | [in] stream property value
key | [in, ref] essence element key
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFKLVStreamParameters Member List
This is the complete list of members for IAAFKLVStreamParameters, including all inherited members.
GetEssenceElementKey([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafUID_t *pEssenceElementKey) | IAAFKLVStreamParameters
SetEssenceElementKey([in] IAAFPropertyValue *pStreamPropertyValue,[in, ref] aafUID_constref key) | IAAFKLVStreamParameters
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFLocator Interface Reference

Public Member Functions
IAAFLocator Interface Reference

The IAAFLocator interface is implemented by objects that provide information to help find a file that contains the essence. More...

List of all members.

Public Member Functions

HRESULT | SetPath ([in, string] aafCharacter_constptr pPath)
Sets the Path string property.
HRESULT | GetPath ([out, string, size_is(bufSize)] aafCharacter *pPath,[in] aafUInt32 bufSize)
Gets the Path string property.
HRESULT | GetPathBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetPath().

Detailed Description

The IAAFLocator interface is implemented by objects that provide information to help find a file that contains the essence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFLocator is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFLocator also implement the following interfaces:

IAAFObject

Definition at line 12864 of file AAF.idl.

Member Function Documentation

HRESULT IAAFLocator::GetPath | ( | [out, string, size_is(bufSize)] aafCharacter * | pPath,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Path string property.

Writes the Path property, with a trailing null character, into the pPath buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Path property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetPathBufLen() to determine the required buffer size.

If this method fails nothing will be written to pPath.

Succeeds if:

  • The pPath pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Path.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPath arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Path.
Parameters:
pPath | [out, string, size_is(bufSize)] buffer into which Path is to be written
bufSize | [in] size of *pPath buffer in bytes
HRESULT IAAFLocator::GetPathBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetPath().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFLocator::SetPath ( [in, string] aafCharacter_constptr pPath )

Sets the Path string property.

Set the Path property to the value specified in pPath. A copy is made of the data so the caller retains ownership of the *pPath buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pPath pointer is valid.

If this method fails the Path property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPath arg is NULL.
Parameters:
pPath [in, string] buffer from which Path is to be read
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFLocator Member List
This is the complete list of members for IAAFLocator, including all inherited members.
GetPath([out, string, size_is(bufSize)] aafCharacter *pPath,[in] aafUInt32 bufSize) | IAAFLocator
GetPathBufLen([out] aafUInt32 *pBufSize) | IAAFLocator
SetPath([in, string] aafCharacter_constptr pPath) | IAAFLocator
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMasterMob Interface Reference

Public Member Functions
IAAFMasterMob Interface Reference

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFMasterMob-supporting object.
HRESULT | AddMasterSlot ([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName)
This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.
HRESULT | GetTapeName ([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize)
Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.
HRESULT | GetTapeNameBufLen ([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetTapeName() method.
HRESULT | GetNumRepresentations ([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps)
This function returns the number of media representations available for the specified SlotID on a specified Master Mob.
HRESULT | GetRepresentation ([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip)
This method returns the indexed media representation for the specified Master Mob, SlotID, and index.
HRESULT | GetCriteriaSegment ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment)
Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.
HRESULT | AppendPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.
HRESULT | NewPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.
HRESULT | CreateEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Creates a single channel stream of essence.
HRESULT | CreateMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Creates a multi-channel interleaved stream of essence.
HRESULT | OpenEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access)
Opens a single channel of a file mob.
HRESULT | OpenMultiEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access)
Opens a all channels associated with a file mob.
HRESULT | CountChannels ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh)
Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.

Detailed Description

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects.

The Master Mob object is used to provide a level of indirection for accessing Source Mobs from Composition Mobs.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFMasterMob also implement the following interfaces:

  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 13006 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMasterMob::AddMasterSlot | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafSlotID_t | sourceSlotID,
 |  | [in] IAAFSourceMob * | pSourceMob,
 |  | [in] aafSlotID_t | masterSlotID,
 |  | [in, string] aafCharacter_constptr | pSlotName
 | ) |  |

This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.

The new slot in the Master Mob contains a Source Clip that specifies the Source Mob in its source reference properties. Typically this is done automatically by passing the Master Mob handle to AAFMedia::Create, but this function allows you to add it later.

Note: If pSlotName is passed in with zero length, then the slot is not assigned a name. Slot names are not used by the SDK, and exist only so the user can name slots.

Succeeds if all of the following are true: (more conditions here)

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • One or more of the following parameters are NULL pSourceMob, pSlotName, and pDataDef.

AAFRESULT_INVALID_DATADEF

  • The data kind of the source MOB slot to be added to the Master Mob does not match what is specfied in pDataDef.

AAFRESULT_SLOT_NOTFOUND

  • The specified Source Mob slot was not found.

AAFRESULT_SLOT_EXISTS

  • The specified Master slot ID already exists.
Parameters:
pDataDef [in] Data kind of new slot. Requires a data kind valid for a media stream. Valid data kinds are:
  • Picture
  • Sound
sourceSlotID | [in] Slot ID of the Source Mob slot to be added to the Master Mob
pSourceMob | [in] Source Mob containing the slot to be added to the Master Mob
masterSlotID | [in] SlotID assigned to the new Master Mob slot
pSlotName | [in, string] Name to assign to new slot in Master Mob
HRESULT IAAFMasterMob::AppendPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob::CountChannels | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [out] aafUInt16 * | numCh
 | ) |  |

Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.

Returns the number of interleaved essence channels of a given type in the essence stream referenced by the given file mob.

If the data format is not interleaved, then the answer will always be zero or one. This function correctly returns zero for essence types not handled by a given codec, and handles codecs which work with multiple essence types.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
pMediaKind | [in] for this essence type
numCh | [out] How many channels?
HRESULT IAAFMasterMob::CreateEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Creates a single channel stream of essence.

Convenience functions exist to create audio or video essence, and a separate call (MultiCreate) exists to create interleaved audio and video data.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines, but NOT with WriteMultiSamples.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL. For video, the sampleRate should be the edit rate of the file mob. For audio, the sample rate should be the actual samples per second.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob::CreateMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Creates a multi-channel interleaved stream of essence.

The essence handle from this call can be used with WriteDataSamples or WriteMultiSamples but NOT with or WriteDataLines.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob::GetCriteriaSegment | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | pCriteria,
 |  | [out] IAAFSegment ** | ppSegment
 | ) |  |

Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.

This function will work whether multiple media representations exist or not.

The returned segment is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSegment pointer is valid.

If this method fails nothing will be written to *ppSegment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSegment arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.
Parameters:
slotID | [in] Slot ID
pCriteria | [in] Index of requested representation. Note: the aafMediaCriteria_t is defined as the following structure: typedef struct { aafCriteriaType_t type; aafCriteriaProc_t proc; } aafMediaCriteria_t;

The type field can have one of the following values: typedef enum { kAAFAnyRepresentation = 0, kAAFFastestRepresentation, kAAFBestFidelityRepresentation, kAAFSmallestRepresentation, kAAFUseRepresentationProc } aafCriteriaType_t;

Parameters:
ppSegment [out] Requested Segment
HRESULT IAAFMasterMob::GetNumRepresentations | ( | [in] aafSlotID_t | slotID,
 |  | [out, retval] aafNumSlots_t * | pNumReps
 | ) |  |

This function returns the number of media representations available for the specified SlotID on a specified Master Mob.

This function is meant to work with GetRepresentationSourceClip, so that you can iterate through all of the choices yourself. In most cases, you can use GetCriteriaSourceClip to handle multiple representations. This function and GetRepresentationSourceClip are lower-level functions.

Succeeds if all of the following are true:

  • the pNumReps pointer is valid.

If this method fails nothing will be written to *pNumReps.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pNumReps arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The Master Slot specified by slotID was not found.
Parameters:
slotID | [in] SlotID
pNumReps | [out, retval] number of representations
HRESULT IAAFMasterMob::GetRepresentation | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFSegment ** | ppSourceClip
 | ) |  |

This method returns the indexed media representation for the specified Master Mob, SlotID, and index.

This call is meant to work with GetNumRepresentations, so that you can iterate through all of the choices yourself. This method uses an integer index, not an iterator. The function GetRepresentationSourceClip takes an index between 1 and the number of representations [inclusive], and returns the indexed Source Mob. You can make calls to functions such as AAFMedia::GetVideoInfo and AAFMedia::IsMediaContiguous to determine which media is the best fit.

The returned source clip is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSourceClip pointer is valid.

If this method fails nothing will be written to *ppSourceClip.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSourceClip arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_BADINDEX

  • No Source Mob at specified index.
Parameters:
slotID | [in] Slot ID
index | [in] Index of requested representation
ppSourceClip | [out] Requested Source Clip
HRESULT IAAFMasterMob::GetTapeName | ( | [in] aafUInt32 | masterSlotID,
 |  | [out, size_is(bufSize), string] aafCharacter * | pTapeName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.

The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the property name has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetTapeNameBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pTapeName pointer is valid.
  • the specified master slot was found.
  • the specified master slot contains a tape mob.
  • bufSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pTapeName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTapeName arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pTapeName | [out, size_is(bufSize), string] The returned name
bufSize | [in] the size of the pTapeName buffer
HRESULT IAAFMasterMob::GetTapeNameBufLen | ( | [in] aafUInt32 | masterSlotID,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetTapeName() method.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pLen | [out] required buffer length
HRESULT IAAFMasterMob::Initialize ( )

Initializes a newly allocated, empty IAAFMasterMob-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFMasterMob::NewPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob::OpenEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Opens a single channel of a file mob.

If the essence is interleaved, then it will be di-interleaved when samples are read. This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with ReadDataSamples and possibly ReadDataLines, but NOT with ReadMultiSamples.

NOTE: If a locator is followed, then essencePtr may reference ANOTHER file object, which must be closed on file close.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob::OpenMultiEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Opens a all channels associated with a file mob.

This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with WriteMultiSamples but NOT with WriteDataSamples.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMasterMob2 Interface Reference

Public Member Functions
IAAFMasterMob2 Interface Reference

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFMasterMob-supporting object.
HRESULT | AddMasterSlot ([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName)
This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.
HRESULT | GetTapeName ([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize)
Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.
HRESULT | GetTapeNameBufLen ([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetTapeName() method.
HRESULT | GetNumRepresentations ([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps)
This function returns the number of media representations available for the specified SlotID on a specified Master Mob.
HRESULT | GetRepresentation ([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip)
This method returns the indexed media representation for the specified Master Mob, SlotID, and index.
HRESULT | GetCriteriaSegment ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment)
Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.
HRESULT | AppendPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.
HRESULT | NewPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.
HRESULT | CreateEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Creates a single channel stream of essence.
HRESULT | CreateMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Creates a multi-channel interleaved stream of essence.
HRESULT | OpenEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access)
Opens a single channel of a file mob.
HRESULT | OpenMultiEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access)
Opens a all channels associated with a file mob.
HRESULT | CountChannels ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh)
Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.
HRESULT | ExtendEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.
HRESULT | ExtendMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.
HRESULT | CreateStaticEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Creates and initializes the objects required to represent static essence.
HRESULT | CreateEventEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
This function is broadly similar to CreateEssence except that the essence is Created in a static slot in the MasterMob.

Detailed Description

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects.

The Master Mob object is used to provide a level of indirection for accessing Source Mobs from Composition Mobs.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFMasterMob2 also implement the following interfaces:

  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 46908 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMasterMob2::AddMasterSlot | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafSlotID_t | sourceSlotID,
 |  | [in] IAAFSourceMob * | pSourceMob,
 |  | [in] aafSlotID_t | masterSlotID,
 |  | [in, string] aafCharacter_constptr | pSlotName
 | ) |  |

This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.

The new slot in the Master Mob contains a Source Clip that specifies the Source Mob in its source reference properties. Typically this is done automatically by passing the Master Mob handle to AAFMedia::Create, but this function allows you to add it later.

Note: If pSlotName is passed in with zero length, then the slot is not assigned a name. Slot names are not used by the SDK, and exist only so the user can name slots.

Succeeds if all of the following are true: (more conditions here)

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • One or more of the following parameters are NULL pSourceMob, pSlotName, and pDataDef.

AAFRESULT_INVALID_DATADEF

  • The data kind of the source MOB slot to be added to the Master Mob does not match what is specfied in pDataDef.

AAFRESULT_SLOT_NOTFOUND

  • The specified Source Mob slot was not found.

AAFRESULT_SLOT_EXISTS

  • The specified Master slot ID already exists.
Parameters:
pDataDef [in] Data kind of new slot. Requires a data kind valid for a media stream. Valid data kinds are:
  • Picture
  • Sound
sourceSlotID | [in] Slot ID of the Source Mob slot to be added to the Master Mob
pSourceMob | [in] Source Mob containing the slot to be added to the Master Mob
masterSlotID | [in] SlotID assigned to the new Master Mob slot
pSlotName | [in, string] Name to assign to new slot in Master Mob
HRESULT IAAFMasterMob2::AppendPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob2::CountChannels | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [out] aafUInt16 * | numCh
 | ) |  |

Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.

Returns the number of interleaved essence channels of a given type in the essence stream referenced by the given file mob.

If the data format is not interleaved, then the answer will always be zero or one. This function correctly returns zero for essence types not handled by a given codec, and handles codecs which work with multiple essence types.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
pMediaKind | [in] for this essence type
numCh | [out] How many channels?
HRESULT IAAFMasterMob2::CreateEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Creates a single channel stream of essence.

Convenience functions exist to create audio or video essence, and a separate call (MultiCreate) exists to create interleaved audio and video data.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines, but NOT with WriteMultiSamples.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL. For video, the sampleRate should be the edit rate of the file mob. For audio, the sample rate should be the actual samples per second.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::CreateEventEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

This function is broadly similar to CreateEssence except that the essence is Created in a static slot in the MasterMob.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines\, but NOT with WriteMultiSamples. Creates and initializes the objects required to represent stream of events.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::CreateMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Creates a multi-channel interleaved stream of essence.

The essence handle from this call can be used with WriteDataSamples or WriteMultiSamples but NOT with or WriteDataLines.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::CreateStaticEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Creates and initializes the objects required to represent static essence.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::ExtendEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::ExtendMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::GetCriteriaSegment | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | pCriteria,
 |  | [out] IAAFSegment ** | ppSegment
 | ) |  |

Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.

This function will work whether multiple media representations exist or not.

The returned segment is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSegment pointer is valid.

If this method fails nothing will be written to *ppSegment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSegment arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.
Parameters:
slotID | [in] Slot ID
pCriteria | [in] Index of requested representation. Note: the aafMediaCriteria_t is defined as the following structure: typedef struct { aafCriteriaType_t type; aafCriteriaProc_t proc; } aafMediaCriteria_t;

The type field can have one of the following values: typedef enum { kAAFAnyRepresentation = 0, kAAFFastestRepresentation, kAAFBestFidelityRepresentation, kAAFSmallestRepresentation, kAAFUseRepresentationProc } aafCriteriaType_t;

Parameters:
ppSegment [out] Requested Segment
HRESULT IAAFMasterMob2::GetNumRepresentations | ( | [in] aafSlotID_t | slotID,
 |  | [out, retval] aafNumSlots_t * | pNumReps
 | ) |  |

This function returns the number of media representations available for the specified SlotID on a specified Master Mob.

This function is meant to work with GetRepresentationSourceClip, so that you can iterate through all of the choices yourself. In most cases, you can use GetCriteriaSourceClip to handle multiple representations. This function and GetRepresentationSourceClip are lower-level functions.

Succeeds if all of the following are true:

  • the pNumReps pointer is valid.

If this method fails nothing will be written to *pNumReps.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pNumReps arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The Master Slot specified by slotID was not found.
Parameters:
slotID | [in] SlotID
pNumReps | [out, retval] number of representations
HRESULT IAAFMasterMob2::GetRepresentation | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFSegment ** | ppSourceClip
 | ) |  |

This method returns the indexed media representation for the specified Master Mob, SlotID, and index.

This call is meant to work with GetNumRepresentations, so that you can iterate through all of the choices yourself. This method uses an integer index, not an iterator. The function GetRepresentationSourceClip takes an index between 1 and the number of representations [inclusive], and returns the indexed Source Mob. You can make calls to functions such as AAFMedia::GetVideoInfo and AAFMedia::IsMediaContiguous to determine which media is the best fit.

The returned source clip is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSourceClip pointer is valid.

If this method fails nothing will be written to *ppSourceClip.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSourceClip arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_BADINDEX

  • No Source Mob at specified index.
Parameters:
slotID | [in] Slot ID
index | [in] Index of requested representation
ppSourceClip | [out] Requested Source Clip
HRESULT IAAFMasterMob2::GetTapeName | ( | [in] aafUInt32 | masterSlotID,
 |  | [out, size_is(bufSize), string] aafCharacter * | pTapeName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.

The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the property name has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetTapeNameBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pTapeName pointer is valid.
  • the specified master slot was found.
  • the specified master slot contains a tape mob.
  • bufSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pTapeName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTapeName arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pTapeName | [out, size_is(bufSize), string] The returned name
bufSize | [in] the size of the pTapeName buffer
HRESULT IAAFMasterMob2::GetTapeNameBufLen | ( | [in] aafUInt32 | masterSlotID,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetTapeName() method.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pLen | [out] required buffer length
HRESULT IAAFMasterMob2::Initialize ( )

Initializes a newly allocated, empty IAAFMasterMob-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFMasterMob2::NewPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob2::OpenEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Opens a single channel of a file mob.

If the essence is interleaved, then it will be di-interleaved when samples are read. This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with ReadDataSamples and possibly ReadDataLines, but NOT with ReadMultiSamples.

NOTE: If a locator is followed, then essencePtr may reference ANOTHER file object, which must be closed on file close.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob2::OpenMultiEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Opens a all channels associated with a file mob.

This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with WriteMultiSamples but NOT with WriteDataSamples.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMasterMob2 Member List
This is the complete list of members for IAAFMasterMob2, including all inherited members.
AddMasterSlot([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName) | IAAFMasterMob2
AppendPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob2
CountChannels([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh) | IAAFMasterMob2
CreateEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob2
CreateEventEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob2
CreateMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob2
CreateStaticEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob2
ExtendEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob2
ExtendMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob2
GetCriteriaSegment([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment) | IAAFMasterMob2
GetNumRepresentations([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps) | IAAFMasterMob2
GetRepresentation([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip) | IAAFMasterMob2
GetTapeName([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize) | IAAFMasterMob2
GetTapeNameBufLen([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen) | IAAFMasterMob2
Initialize() | IAAFMasterMob2
NewPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob2
OpenEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access) | IAAFMasterMob2
OpenMultiEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob2
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMasterMob3 Interface Reference

Public Member Functions
IAAFMasterMob3 Interface Reference

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFMasterMob-supporting object.
HRESULT | AddMasterSlot ([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName)
This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.
HRESULT | GetTapeName ([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize)
Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.
HRESULT | GetTapeNameBufLen ([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetTapeName() method.
HRESULT | GetNumRepresentations ([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps)
This function returns the number of media representations available for the specified SlotID on a specified Master Mob.
HRESULT | GetRepresentation ([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip)
This method returns the indexed media representation for the specified Master Mob, SlotID, and index.
HRESULT | GetCriteriaSegment ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment)
Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.
HRESULT | AppendPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.
HRESULT | NewPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.
HRESULT | CreateEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Creates a single channel stream of essence.
HRESULT | CreateMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Creates a multi-channel interleaved stream of essence.
HRESULT | OpenEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access)
Opens a single channel of a file mob.
HRESULT | OpenMultiEssence ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access)
Opens a all channels associated with a file mob.
HRESULT | CountChannels ([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh)
Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.
HRESULT | ExtendEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.
HRESULT | ExtendMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.
HRESULT | CreateStaticEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Creates and initializes the objects required to represent static essence.
HRESULT | CreateEventEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
This function is broadly similar to CreateEssence except that the essence is Created in a static slot in the MasterMob.
HRESULT | AddMasterSlotWithSequence ([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName)
This function is broadly similar to CreateEssence except that the essence is Created in a event slot in the MasterMob.

Detailed Description

The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects.

The Master Mob object is used to provide a level of indirection for accessing Source Mobs from Composition Mobs.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFMasterMob3 also implement the following interfaces:

  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 47677 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMasterMob3::AddMasterSlot | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafSlotID_t | sourceSlotID,
 |  | [in] IAAFSourceMob * | pSourceMob,
 |  | [in] aafSlotID_t | masterSlotID,
 |  | [in, string] aafCharacter_constptr | pSlotName
 | ) |  |

This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob.

The new slot in the Master Mob contains a Source Clip that specifies the Source Mob in its source reference properties. Typically this is done automatically by passing the Master Mob handle to AAFMedia::Create, but this function allows you to add it later.

Note: If pSlotName is passed in with zero length, then the slot is not assigned a name. Slot names are not used by the SDK, and exist only so the user can name slots.

Succeeds if all of the following are true: (more conditions here)

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • One or more of the following parameters are NULL pSourceMob, pSlotName, and pDataDef.

AAFRESULT_INVALID_DATADEF

  • The data kind of the source MOB slot to be added to the Master Mob does not match what is specfied in pDataDef.

AAFRESULT_SLOT_NOTFOUND

  • The specified Source Mob slot was not found.

AAFRESULT_SLOT_EXISTS

  • The specified Master slot ID already exists.
Parameters:
pDataDef [in] Data kind of new slot. Requires a data kind valid for a media stream. Valid data kinds are:
  • Picture
  • Sound
sourceSlotID | [in] Slot ID of the Source Mob slot to be added to the Master Mob
pSourceMob | [in] Source Mob containing the slot to be added to the Master Mob
masterSlotID | [in] SlotID assigned to the new Master Mob slot
pSlotName | [in, string] Name to assign to new slot in Master Mob
HRESULT IAAFMasterMob3::AddMasterSlotWithSequence | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafSlotID_t | sourceSlotID,
 |  | [in] IAAFSourceMob * | pSourceMob,
 |  | [in] aafSlotID_t | masterSlotID,
 |  | [in, string] aafCharacter_constptr | pSlotName
 | ) |  |

This function is broadly similar to CreateEssence except that the essence is Created in a event slot in the MasterMob.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines\, but NOT with WriteMultiSamples. This function is similar to AddMasterSlot but creates the structure MobSlot - Sequence - SourceClip instead of MobSlot - SourceClip. This arrangement is required for MXF compliance.

This function adds a slot to the specified Master Mob that references the specified a slot in the specified Source Mob. The new slot in the Master Mob has a Sequence containing the Source Clip that specifies the Source Mob in its source reference properties.

Note: If pSlotName is passed in with zero length, then the slot is not assigned a name. Slot names are not used by the SDK, and exist only so the user can name slots.

Succeeds if all of the following are true: (more conditions here)

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • One or more of the following parameters are NULL pSourceMob, pSlotName, and pDataDef.

AAFRESULT_INVALID_DATADEF

  • The data kind of the source MOB slot to be added to the Master Mob does not match what is specfied in pDataDef.

AAFRESULT_SLOT_NOTFOUND

  • The specified Source Mob slot was not found.

AAFRESULT_SLOT_EXISTS

  • The specified Master slot ID already exists.
Parameters:
pDataDef [in] Data kind of new slot. Requires a data kind valid for a media stream. Valid data kinds are:
  • Picture
  • Sound
sourceSlotID | [in] Slot ID of the Source Mob slot to be added to the Master Mob
pSourceMob | [in] Source Mob containing the slot to be added to the Master Mob
masterSlotID | [in] SlotID assigned to the new Master Mob slot
pSlotName | [in, string] Name to assign to new slot in Master Mob
HRESULT IAAFMasterMob3::AppendPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob3::CountChannels | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [out] aafUInt16 * | numCh
 | ) |  |

Takes an opaque handle, a master mob reference, and a slot ID so that it may be called before the essence is opened.

Returns the number of interleaved essence channels of a given type in the essence stream referenced by the given file mob.

If the data format is not interleaved, then the answer will always be zero or one. This function correctly returns zero for essence types not handled by a given codec, and handles codecs which work with multiple essence types.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
pMediaKind | [in] for this essence type
numCh | [out] How many channels?
HRESULT IAAFMasterMob3::CreateEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Creates a single channel stream of essence.

Convenience functions exist to create audio or video essence, and a separate call (MultiCreate) exists to create interleaved audio and video data.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines, but NOT with WriteMultiSamples.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL. For video, the sampleRate should be the edit rate of the file mob. For audio, the sample rate should be the actual samples per second.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::CreateEventEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

This function is broadly similar to CreateEssence except that the essence is Created in a static slot in the MasterMob.

The essence handle from this call can be used with WriteDataSamples and possibly WriteDataLines\, but NOT with WriteMultiSamples. Creates and initializes the objects required to represent stream of events.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::CreateMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Creates a multi-channel interleaved stream of essence.

The essence handle from this call can be used with WriteDataSamples or WriteMultiSamples but NOT with or WriteDataLines.

If you are creating the essence, and then attaching it to a master mob, then the "masterMob" field may be left NULL.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::CreateStaticEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Creates and initializes the objects required to represent static essence.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::ExtendEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::ExtendMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::GetCriteriaSegment | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | pCriteria,
 |  | [out] IAAFSegment ** | ppSegment
 | ) |  |

Returns the Segment on the specified slot of a Master Mob that references the Source Mob that best meets the specified criteria.

This function will work whether multiple media representations exist or not.

The returned segment is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSegment pointer is valid.

If this method fails nothing will be written to *ppSegment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSegment arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.
Parameters:
slotID | [in] Slot ID
pCriteria | [in] Index of requested representation. Note: the aafMediaCriteria_t is defined as the following structure: typedef struct { aafCriteriaType_t type; aafCriteriaProc_t proc; } aafMediaCriteria_t;

The type field can have one of the following values: typedef enum { kAAFAnyRepresentation = 0, kAAFFastestRepresentation, kAAFBestFidelityRepresentation, kAAFSmallestRepresentation, kAAFUseRepresentationProc } aafCriteriaType_t;

Parameters:
ppSegment [out] Requested Segment
HRESULT IAAFMasterMob3::GetNumRepresentations | ( | [in] aafSlotID_t | slotID,
 |  | [out, retval] aafNumSlots_t * | pNumReps
 | ) |  |

This function returns the number of media representations available for the specified SlotID on a specified Master Mob.

This function is meant to work with GetRepresentationSourceClip, so that you can iterate through all of the choices yourself. In most cases, you can use GetCriteriaSourceClip to handle multiple representations. This function and GetRepresentationSourceClip are lower-level functions.

Succeeds if all of the following are true:

  • the pNumReps pointer is valid.

If this method fails nothing will be written to *pNumReps.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pNumReps arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The Master Slot specified by slotID was not found.
Parameters:
slotID | [in] SlotID
pNumReps | [out, retval] number of representations
HRESULT IAAFMasterMob3::GetRepresentation | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFSegment ** | ppSourceClip
 | ) |  |

This method returns the indexed media representation for the specified Master Mob, SlotID, and index.

This call is meant to work with GetNumRepresentations, so that you can iterate through all of the choices yourself. This method uses an integer index, not an iterator. The function GetRepresentationSourceClip takes an index between 1 and the number of representations [inclusive], and returns the indexed Source Mob. You can make calls to functions such as AAFMedia::GetVideoInfo and AAFMedia::IsMediaContiguous to determine which media is the best fit.

The returned source clip is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSourceClip pointer is valid.

If this method fails nothing will be written to *ppSourceClip.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSourceClip arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_BADINDEX

  • No Source Mob at specified index.
Parameters:
slotID | [in] Slot ID
index | [in] Index of requested representation
ppSourceClip | [out] Requested Source Clip
HRESULT IAAFMasterMob3::GetTapeName | ( | [in] aafUInt32 | masterSlotID,
 |  | [out, size_is(bufSize), string] aafCharacter * | pTapeName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Finds the tape Source Mob associated with a Master Mob slot and writes the name of the tape, which is stored in the Mobs Name property, into the pTapeName buffer.

The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the property name has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetTapeNameBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pTapeName pointer is valid.
  • the specified master slot was found.
  • the specified master slot contains a tape mob.
  • bufSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pTapeName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTapeName arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pTapeName | [out, size_is(bufSize), string] The returned name
bufSize | [in] the size of the pTapeName buffer
HRESULT IAAFMasterMob3::GetTapeNameBufLen | ( | [in] aafUInt32 | masterSlotID,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetTapeName() method.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_SLOT_NOTFOUND

  • The specified Master Slot was not found.

AAFRESULT_NOT_TAPEMOB

  • The specified Master Slot does not contain a Tape MOB.
Parameters:
masterSlotID | [in] SlotID of the Master Mob slot
pLen | [out] required buffer length
HRESULT IAAFMasterMob3::Initialize ( )

Initializes a newly allocated, empty IAAFMasterMob-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFMasterMob3::NewPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid. (other conditions here)

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

(other codes here.)

Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFMasterMob3::OpenEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Opens a single channel of a file mob.

If the essence is interleaved, then it will be di-interleaved when samples are read. This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with ReadDataSamples and possibly ReadDataLines, but NOT with ReadMultiSamples.

NOTE: If a locator is followed, then essencePtr may reference ANOTHER file object, which must be closed on file close.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMob3::OpenMultiEssence | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafMediaCriteria_t * | mediaCrit,
 |  | [in] aafMediaOpenMode_t | openMode,
 |  | [in] aafCompressEnable_t | compEnable,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Opens a all channels associated with a file mob.

This routine follows the locator, and may call the locator failure callback if the essence can not be found. If the failure callback finds the essence, then this routine will return normally.

The essence handle from this call can be used with WriteMultiSamples but NOT with WriteDataSamples.

Parameters:
slotID | [in] On this slot
mediaCrit | [in] using this essence criteria
openMode | [in] ReadOnly or Append
compEnable | [in] optionally decompressing
access | [out] Return an essence access on the essence.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMasterMob3 Member List
This is the complete list of members for IAAFMasterMob3, including all inherited members.
AddMasterSlot([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName) | IAAFMasterMob3
AddMasterSlotWithSequence([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName) | IAAFMasterMob3
AppendPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob3
CountChannels([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh) | IAAFMasterMob3
CreateEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob3
CreateEventEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob3
CreateMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob3
CreateStaticEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob3
ExtendEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob3
ExtendMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob3
GetCriteriaSegment([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment) | IAAFMasterMob3
GetNumRepresentations([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps) | IAAFMasterMob3
GetRepresentation([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip) | IAAFMasterMob3
GetTapeName([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize) | IAAFMasterMob3
GetTapeNameBufLen([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen) | IAAFMasterMob3
Initialize() | IAAFMasterMob3
NewPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob3
OpenEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access) | IAAFMasterMob3
OpenMultiEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob3
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMasterMobEx Interface Reference

Public Member Functions
IAAFMasterMobEx Interface Reference

The IAAFMasterMobEx interface extends IAAFMasterMob. More...

List of all members.

Public Member Functions

HRESULT | ExtendEssence ([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access)
Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.
HRESULT | ExtendMultiEssence ([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access)
Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.

Detailed Description

The IAAFMasterMobEx interface extends IAAFMasterMob.

It supports extended essence. Extended essence is represented by a Sequence of SourceClip objects. Each SourceClip refers to a SourceMob which describes one chunk of essence.

Individual chunks of embedded essence are currently limited to 2GB in size. A Sequence of SourceClips provides the means to overcome this limit. There is no limit to the number of SourceClip objects in the sequence or the sum total size of all essence in a file, other than those imposed by the underlying persistent object store. It is expected that this will be significantly larger than 2GB of essence data.

Essence can be extended at any time, for any reason. Typically, it will be extended because a CODEC returned an error indicating a 2GB limit was reached. To overcome this limit, simply extend the essence.

IAAFEssenceAccess::ReadSamples knows how to read embedded essence. This interface is created by IAAFMasterMob::OpenEssence

This interface returns the same errors as IAAFMasterMob::CreateEssence, and IAAFMasterMob::CreateMultiEssence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFMasterMobEx also implement the following interfaces:

  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 48529 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMasterMobEx::ExtendEssence | ( | [in] aafSlotID_t | masterSlotID,
 |  | [in] IAAFDataDef * | pMediaKind,
 |  | [in, ref] aafUID_constref | codecID,
 |  | [in] aafRational_t | editRate,
 |  | [in] aafRational_t | samplerate,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceAccess ** | access
 | ) |  |

Extends a single stream of essence that was originally created using IAAFMasterMob::CreateEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
masterSlotID | [in]
pMediaKind | [in] create essence of this type
codecID | [in, ref] using this codec
editRate | [in] with this edit rate
samplerate | [in] with this sample rate
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
HRESULT IAAFMasterMobEx::ExtendMultiEssence | ( | [in, ref] aafUID_constref | codecID,
 |  | [in] aafUInt16 | arrayElemCount,
 |  | [in, ref, size_is(arrayElemCount)] aafmMultiCreate_t * | mediaArray,
 |  | [in] aafCompressEnable_t | Enable,
 |  | [in] IAAFLocator * | destination,
 |  | [in, ref] aafUID_constref | fileFormat,
 |  | [out] IAAFEssenceMultiAccess ** | access
 | ) |  |

Extends a multi-channel interleaved stream of essence that was originally created using IAAFMasterMob::CreateMultiEssence.

Extended essence is represented by a Sequence of SourceClip objects. The first call to ExtendEssence will cause the TimelineMobSlot's SourceClip object to be replaced by a Sequence. The initial SourceClip becomes the first component of the new Sequence.

Parameters:
codecID | [in, ref] using this codec
arrayElemCount | [in] this many channels
mediaArray | [in,ref,size_is(arrayElemCount)] using these definitions
Enable | [in] optionally compressing it
destination | [in] Optionally create the file HERE.
fileFormat | [in, ref] with this format
access | [out] Return an essence access on the essence.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMasterMobEx Member List
This is the complete list of members for IAAFMasterMobEx, including all inherited members.
ExtendEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMobEx
ExtendMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMobEx
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMetaDefinition Interface Reference

Public Member Functions
IAAFMetaDefinition Interface Reference

This interface is defines an item to be referenced in the AAF file. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a meta definition object.
HRESULT | GetAUID ([retval, out] aafUID_t *pAuid)
Gets the AUID for this object.
HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Name of this definition.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Name of this definition.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | SetDescription ([in, string] aafCharacter_constptr pDescription)
Sets the Description of this definition.
HRESULT | GetDescription ([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize)
Gets the Description of this definition.
HRESULT | GetDescriptionBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetDescription().

Detailed Description

This interface is defines an item to be referenced in the AAF file.

It specifies the AUID unique identifier used to define types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFObject is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Definition at line 13651 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMetaDefinition::GetAUID ( [retval, out] aafUID_t * pAuid )

Gets the AUID for this object.

Parameters:
pAuid [retval,out] Pointer to an AUID reference
HRESULT IAAFMetaDefinition::GetDescription | ( | [out, string, size_is(bufSize)] aafCharacter * | pDescription,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Description of this definition.

Writes the Description property, with a trailing null character, into the pDescription buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Description property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetDescriptionBufLen() to determine the required buffer size.

If this method fails nothing will be written to pDescription.

Succeeds if:

  • The pDescription pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Description.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Description.
Parameters:
pDescription | [out, string, size_is(bufSize)] buffer into which Description is to be written
bufSize | [in] size of *pDescription buffer in bytes
HRESULT IAAFMetaDefinition::GetDescriptionBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetDescription().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFMetaDefinition::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Name of this definition.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFMetaDefinition::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFMetaDefinition::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a meta definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new Meta Definition
pDescription | [in, string] the Description of this meta definition
HRESULT IAAFMetaDefinition::SetDescription ( [in, string] aafCharacter_constptr pDescription )

Sets the Description of this definition.

Set the Description property to the value specified in pDescription. A copy is made of the data so the caller retains ownership of the *pDescription buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pDescription pointer is valid.

If this method fails the Description property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.
Parameters:
pDescription [in, string] buffer from which Description is to be read
HRESULT IAAFMetaDefinition::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Name of this definition.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMetaDefinition Member List
This is the complete list of members for IAAFMetaDefinition, including all inherited members.
GetAUID([retval, out] aafUID_t *pAuid) | IAAFMetaDefinition
GetDescription([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize) | IAAFMetaDefinition
GetDescriptionBufLen([out] aafUInt32 *pBufSize) | IAAFMetaDefinition
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFMetaDefinition
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFMetaDefinition
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFMetaDefinition
SetDescription([in, string] aafCharacter_constptr pDescription) | IAAFMetaDefinition
SetName([in, string] aafCharacter_constptr pName) | IAAFMetaDefinition
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMob Interface Reference

Public Member Functions
IAAFMob Interface Reference

IAAFMob is DEPRECATED, Please use IAAFMob2. More...

List of all members.

Public Member Functions

HRESULT | GetMobID ([out] aafMobID_t *pMobID)
This method returns the unique Mob ID associated with this mob.
HRESULT | SetMobID ([in, ref] aafMobID_constref mobID)
When a mob is initially created, the Reference Implementation internally creates a mobID for the new mob.
HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Mob Name string property.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Mob Name string property.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | CountSlots ([out] aafNumSlots_t *pNumSlots)
This method returns the number of slots contained by this mob.
HRESULT | AppendSlot ([in] IAAFMobSlot *pSlot)
Appends the given mob slot to the mob.
HRESULT | PrependSlot ([in] IAAFMobSlot *pSlot)
Prepends the given mob slot to the mob.
HRESULT | InsertSlotAt ([in] aafUInt32 index,[in] IAAFMobSlot *pSlot)
Inserts the given slot into this mob at the given index.
HRESULT | RemoveSlotAt ([in] aafUInt32 index)
Removes the slot at the given index.
HRESULT | GetSlotAt ([in] aafUInt32 index,[out, retval] IAAFMobSlot **ppSlot)
Returns the indexed slot in *ppSlot.
HRESULT | GetSlots ([out] IEnumAAFMobSlots **ppEnum)
Return an enumeration for all mob slots.
HRESULT | GetModTime ([out] aafTimeStamp_t *pLastModified)
This method will return the modification time for this mob.
HRESULT | SetModTime ([in, ref] aafTimeStamp_constref modTime)
This method sets the modification time on a mob.
HRESULT | GetCreateTime ([out] aafTimeStamp_t *pCreationTime)
This method will return the creation time for this mob.
HRESULT | SetCreateTime ([in, ref] aafTimeStamp_constref createTime)
This method sets the creation time on a mob.
HRESULT | AppendComment ([in, string] aafCharacter *pCategory,[in, string] aafCharacter_constptr pComment)
Creates a user-defined comment and appends it to the specified Mob.
HRESULT | CountComments ([out] aafUInt32 *pNumComments)
Return total number of comments attached to this mob.
HRESULT | GetComments ([out] IEnumAAFTaggedValues **ppEnum)
Return the enumeration for all mob comments.
HRESULT | RemoveComment ([in] IAAFTaggedValue *pComment)
Removes the given comment from this mob.
HRESULT | AppendNewTimelineSlot ([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFTimelineMobSlot **ppNewSlot)
This method creates a new timeline mob slot with the given property values and appends it to the input mob.
HRESULT | GetMobInfo ([out] aafTimeStamp_t *pLastModified,[out] aafTimeStamp_t *pCreationTime,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafInt32 bufSize)
This method will get all mob property information is a single call.
HRESULT | OffsetToMobTimecode ([in] IAAFSegment *pTcSeg,[in] aafPosition_t *pOffset,[out] aafTimecode_t *pResult)
This method will determine the timecode at the given offset into the given timecode segment, and will return it in *pResult.
HRESULT | LookupSlot ([in] aafSlotID_t slotId,[out] IAAFMobSlot **ppDestSlot)
The method will find the mob slot for the given slot id.
HRESULT | ChangeRef ([in, ref] aafMobID_constref oldMobID,[in, ref] aafMobID_constref newMobID)
Finds all Source Clips in the specified Mob that refer to the specified old Mob, and changes the references to point to the new Mob.
HRESULT | CloneExternal ([in] aafDepend_t resolveDependencies,[in] aafIncMedia_t includeMedia,[in] IAAFFile *pDestFile,[out] IAAFMob **ppDestMob)
Clones the specified Source Mob, and optionally all dependent Mobs, to an external file, keeping the same MobID.
HRESULT | Copy ([in, string] aafCharacter_constptr pDestMobName,[out] IAAFMob **ppDestMob)
This function copies the specified Mob into a destination Mob in the same AAF file.
HRESULT | AppendKLVData ([in] IAAFKLVData *pData)
Appends a pre-existing KLV Data object to the specified Mob.
HRESULT | CountKLVData ([out] aafUInt32 *pNumData)
Return total number of KLV data objects attached to this mob.
HRESULT | GetKLVData ([out] IEnumAAFKLVData **ppEnum)
Return the enumeration for all KLV data objects on this mob.
HRESULT | RemoveKLVData ([in] IAAFKLVData *pData)
Removes the given KLV data object from this mob.

Detailed Description

IAAFMob is DEPRECATED, Please use IAAFMob2.

The IAAFMob interface is implemented by objects that specify a Metadata Object, which can describe a composition, essence, or physical media.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMob is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFMob also implement the following interfaces:

  • IAAFMob2
  • IAAFObject

Definition at line 13937 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMob::AppendComment | ( | [in, string] aafCharacter * | pCategory,
 |  | [in, string] aafCharacter_constptr | pComment
 | ) |  |

Creates a user-defined comment and appends it to the specified Mob.

A Mob comment is implemented as a AAFTaggedValue object of type WCharString.

Succeeds if all of the following are true:

  • the pCategory pointer is valid.
  • the pComment pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pCategory or pComment args is NULL.
Parameters:
pCategory | [in,string] Comment heading
pComment | [in, string] Comment value
HRESULT IAAFMob::AppendKLVData ( [in] IAAFKLVData * pData )

Appends a pre-existing KLV Data object to the specified Mob.

Succeeds if all of the following are true:

  • the pKLV pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pData arg is NULL.
Parameters:
pData [in] KLV object
HRESULT IAAFMob::AppendNewTimelineSlot | ( | [in] aafRational_t | editRate,
 |  | [in] IAAFSegment * | pSegment,
 |  | [in] aafSlotID_t | slotID,
 |  | [in, string] aafCharacter_constptr | pSlotName,
 |  | [in] aafPosition_t | origin,
 |  | [out] IAAFTimelineMobSlot ** | ppNewSlot
 | ) |  |

This method creates a new timeline mob slot with the given property values and appends it to the input mob.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • the pSlotName pointer is valid.
  • the ppNewSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSegment, pSlotName, or ppNewSlot arguments is null.
Parameters:
editRate | [in] Edit rate property value
pSegment | [in] Segment to append as slot component
slotID | [in] new slot ID
pSlotName | [in, string] new slot name
origin | [in] The slot origin
ppNewSlot | [out] Newly created slot
HRESULT IAAFMob::AppendSlot ( [in] IAAFMobSlot * pSlot )

Appends the given mob slot to the mob.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.
Parameters:
pSlot [in] slot to append
HRESULT IAAFMob::ChangeRef | ( | [in, ref] aafMobID_constref | oldMobID,
 |  | [in, ref] aafMobID_constref | newMobID
 | ) |  |

Finds all Source Clips in the specified Mob that refer to the specified old Mob, and changes the references to point to the new Mob.

This function traverses through the entire structure of the input Mob looking for Source Clips, and changes the sourceID property on all Source Clips with oldMobID to newMobID.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
oldMobID | [in, ref] Old Mob ID reference in source clip
newMobID | [in, ref] New Mob ID reference in source clip
HRESULT IAAFMob::CloneExternal | ( | [in] aafDepend_t | resolveDependencies,
 |  | [in] aafIncMedia_t | includeMedia,
 |  | [in] IAAFFile * | pDestFile,
 |  | [out] IAAFMob ** | ppDestMob
 | ) |  |

Clones the specified Source Mob, and optionally all dependent Mobs, to an external file, keeping the same MobID.

A pointer to the newly created destination mob is returned in *ppDestMob.

This function clones the specified Source Mob in the source file into a destination Mob, with the same MobID, in the destination file. If resolveDependencies is kFollowDepend, the function also clones all Mobs referenced by the specified Source Mob. If includeMedia is kIncludeMedia, the function also copies the media data associated with the Source Mob, returns the destination Mob, and clones all private data.

If the media data is not in the file, the function does not attempt to find it in another file and clone it. Both AAF files must be open before you call this function and both must have the same AAF Version number.

The returned mob is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pDestFile pointer is valid.
  • the ppDestMob pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pDestFile or ppDestMob arguments is NULL.
Parameters:
resolveDependencies | [in] Whether to clone dependent mobs
includeMedia | [in] Whether to include media data
pDestFile | [in] Destination AAF File
ppDestMob | [out] Destination Mob
HRESULT IAAFMob::Copy | ( | [in, string] aafCharacter_constptr | pDestMobName,
 |  | [out] IAAFMob ** | ppDestMob
 | ) |  |

This function copies the specified Mob into a destination Mob in the same AAF file.

The new Mob is returned through the destMob parameter. The function gives the destination Mob a new MobID and the name specified in the destMobName parameter. The function also copies all private data.

The returned mob is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pDestMobName pointer is valid.
  • the ppDestMob pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pDestMobName or pDestMob arguments is NULL.
Parameters:
pDestMobName | [in, string] Optional Input. The name to be assigned to the new copy of the Mob. The destMobName argument is optional. Specify a NULL value if no destination Mob name is desired.
ppDestMob | [out] Destination Mob
HRESULT IAAFMob::CountComments ( [out] aafUInt32 * pNumComments )

Return total number of comments attached to this mob.

Succeeds if all of the following are true:

  • the pNumComments pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumComments arg is NULL.
Parameters:
pNumComments [out] Number of Mob Comments
HRESULT IAAFMob::CountKLVData ( [out] aafUInt32 * pNumData )

Return total number of KLV data objects attached to this mob.

Succeeds if all of the following are true:

  • the pNumData pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumData arg is NULL.
Parameters:
pNumData [out] Number of KLV data objects
HRESULT IAAFMob::CountSlots ( [out] aafNumSlots_t * pNumSlots )

This method returns the number of slots contained by this mob.

Succeeds if all of the following are true:

  • the pNumSlots pointer is valid.

If this method fails nothing will be written to *pNumSlots.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumSlots arg is NULL.
Parameters:
pNumSlots [out] Number of slots
HRESULT IAAFMob::GetComments ( [out] IEnumAAFTaggedValues ** ppEnum )

Return the enumeration for all mob comments.

The returned enumerator is AddRef()ed before it is returned. Mob comments are implemented as AAFTaggedValue of type WCharString. The enumerator is implemented as a EnumAAAFTaggedValues.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Mob Comments
HRESULT IAAFMob::GetCreateTime ( [out] aafTimeStamp_t * pCreationTime )

This method will return the creation time for this mob.

Succeeds if all of the following are true:

  • the pCreationTime pointer is valid.

If this method fails nothing will be written to *pCreationTime.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCreationTime arg is NULL.
Parameters:
pCreationTime [out] Creation Time
HRESULT IAAFMob::GetKLVData ( [out] IEnumAAFKLVData ** ppEnum )

Return the enumeration for all KLV data objects on this mob.

The returned enumerator is AddRef()ed before it is returned. The enumerator is implemented as a EnumAAFKLVData.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] KLV data objects
HRESULT IAAFMob::GetMobID ( [out] aafMobID_t * pMobID )

This method returns the unique Mob ID associated with this mob.

Succeeds if all of the following are true:

  • the pMobID pointer is valid.

If this method fails nothing will be written to *pMobID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMobID arg is NULL.
Parameters:
pMobID [out] The unique media object id
HRESULT IAAFMob::GetMobInfo | ( | [out] aafTimeStamp_t * | pLastModified,
 |  | [out] aafTimeStamp_t * | pCreationTime,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafInt32 | bufSize
 | ) |  |

This method will get all mob property information is a single call.

Caller may call GetNameBufLen() to determine the required pName buffer size.

Succeeds if all of the following are true:

  • the pLastModified pointer is valid.
  • the pCreationTime pointer is valid.
  • the pName pointer is valid.

If this method fails nothing will be written to *pLastModified, pCreationTime, or *pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pLastModified, pCreationTime, or pName arguments is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
pLastModified | [out] Modified Time
pCreationTime | [out] Creation Time
pName | [out, size_is(bufSize), string] Mob Name
bufSize | [in] size of the supplied buffer.
HRESULT IAAFMob::GetModTime ( [out] aafTimeStamp_t * pLastModified )

This method will return the modification time for this mob.

Succeeds if all of the following are true:

  • the pLastModified pointer is valid.

If this method fails nothing will be written to *pLastModified.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLastModified arg is NULL.
Parameters:
pLastModified [out] Modified Time
HRESULT IAAFMob::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Mob Name string property.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFMob::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFMob::GetSlotAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFMobSlot ** | ppSlot
 | ) |  |

Returns the indexed slot in *ppSlot.

Succeeds if all of the following are true:

  • ppSlot is a valid pointer.
  • index is less than the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppSlot is null.

AAFRESULT_BADINDEX

  • index is not less than the result obtained from CountSlots().
Parameters:
index | [in] index of slot to be obtained
ppSlot | [out, retval] the returned slot
HRESULT IAAFMob::GetSlots ( [out] IEnumAAFMobSlots ** ppEnum )

Return an enumeration for all mob slots.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Mob Slot Enumeration
HRESULT IAAFMob::InsertSlotAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFMobSlot * | pSlot
 | ) |  |

Inserts the given slot into this mob at the given index.

All existing slots at the given and higher index will be moved up one index to accommodate.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.
  • index is less than or equal to the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.

AAFRESULT_BADINDEX

  • index is greater than the result obtained from CountSlots().
Parameters:
index | [in] index where slot is to be inserted
pSlot | [in] slot to insert
HRESULT IAAFMob::LookupSlot | ( | [in] aafSlotID_t | slotId,
 |  | [out] IAAFMobSlot ** | ppDestSlot
 | ) |  |

The method will find the mob slot for the given slot id.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppDestSlot pointer is valid.
  • the given slot ID is found.

If this method fails nothing will be written to *ppDestSlot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDestSlot arg is NULL.
Parameters:
slotId | [in] The requested slot id
ppDestSlot | [out] The requested slot
HRESULT IAAFMob::OffsetToMobTimecode | ( | [in] IAAFSegment * | pTcSeg,
 |  | [in] aafPosition_t * | pOffset,
 |  | [out] aafTimecode_t * | pResult
 | ) |  |

This method will determine the timecode at the given offset into the given timecode segment, and will return it in *pResult.

If pTcSeg is NULL, will search for the slot containing a timecode segment and will use that instead.

Succeeds if all of the following are true:

  • the pTcSeg pointer is valid.
  • the pOffset pointer is valid.
  • the pResult pointer is valid.
  • Timecode track exists.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pOffset or pResult argument is NULL.

AAFRESULT_TIMECODE_NOT_FOUND

  • timecode track wasn't found.
Parameters:
pTcSeg | [in] Timecode Segment
pOffset | [in] Offset into segment in edit units for that segment's mob slot
pResult | [out] The resulting timecode
HRESULT IAAFMob::PrependSlot ( [in] IAAFMobSlot * pSlot )

Prepends the given mob slot to the mob.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.
Parameters:
pSlot [in] slot to prepend
HRESULT IAAFMob::RemoveComment ( [in] IAAFTaggedValue * pComment )

Removes the given comment from this mob.

Succeeds if all of the following are true:

  • the pComment pointer is valid.
  • the given comment is present in the mob.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComment is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given comment is not in this mob.
Parameters:
pComment [in] Comment to remove
HRESULT IAAFMob::RemoveKLVData ( [in] IAAFKLVData * pData )

Removes the given KLV data object from this mob.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the given KLV data object is present in the mob.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given KLV data object is not in this mob.
Parameters:
pData [in] KLV data object to remove
HRESULT IAAFMob::RemoveSlotAt ( [in] aafUInt32 index )

Removes the slot at the given index.

All existing slots at indices higher than the given index will be moved down one index to accommodate.

Succeeds if all of the following are true:

  • index is less than the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is not less than the result obtained from CountSlots().
Parameters:
index [in] index of slot to be removed
HRESULT IAAFMob::SetCreateTime ( [in, ref] aafTimeStamp_constref createTime )

This method sets the creation time on a mob.

The creation time is initially set to the time that the mob was created. Therefore, this method should be called explicitly to change the creation time.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
createTime [in, ref] New Creation Time
HRESULT IAAFMob::SetMobID ( [in, ref] aafMobID_constref mobID )

When a mob is initially created, the Reference Implementation internally creates a mobID for the new mob.

This method should be used to change the mob's identity to an explicit mobID.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
mobID [in, ref] New Mob ID
HRESULT IAAFMob::SetModTime ( [in, ref] aafTimeStamp_constref modTime )

This method sets the modification time on a mob.

The modification time is initially set to the time that the mob was created. The Reference Implementation does not maintain the modification time every time that a mob has been updated. Therefore, this method should be called explicitly to change the modification time.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
modTime [in, ref] New Modification Time
HRESULT IAAFMob::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Mob Name string property.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMob2 Interface Reference

Public Member Functions
IAAFMob2 Interface Reference

The IAAFMob2 interface is implemented by objects that specify a Metadata Object, which can describe a composition, essence, or physical media. More...

List of all members.

Public Member Functions

HRESULT | GetMobID ([out] aafMobID_t *pMobID)
This method returns the unique Mob ID associated with this mob.
HRESULT | SetMobID ([in, ref] aafMobID_constref mobID)
When a mob is initially created, the Reference Implementation internally creates a mobID for the new mob.
HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Mob Name string property.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Mob Name string property.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | CountSlots ([out] aafNumSlots_t *pNumSlots)
This method returns the number of slots contained by this mob.
HRESULT | AppendSlot ([in] IAAFMobSlot *pSlot)
Appends the given mob slot to the mob.
HRESULT | PrependSlot ([in] IAAFMobSlot *pSlot)
Prepends the given mob slot to the mob.
HRESULT | InsertSlotAt ([in] aafUInt32 index,[in] IAAFMobSlot *pSlot)
Inserts the given slot into this mob at the given index.
HRESULT | RemoveSlotAt ([in] aafUInt32 index)
Removes the slot at the given index.
HRESULT | GetSlotAt ([in] aafUInt32 index,[out, retval] IAAFMobSlot **ppSlot)
Returns the indexed slot in *ppSlot.
HRESULT | GetSlots ([out] IEnumAAFMobSlots **ppEnum)
Return an enumeration for all mob slots.
HRESULT | GetModTime ([out] aafTimeStamp_t *pLastModified)
This method will return the modification time for this mob.
HRESULT | SetModTime ([in, ref] aafTimeStamp_constref modTime)
This method sets the modification time on a mob.
HRESULT | GetCreateTime ([out] aafTimeStamp_t *pCreationTime)
This method will return the creation time for this mob.
HRESULT | SetCreateTime ([in, ref] aafTimeStamp_constref createTime)
This method sets the creation time on a mob.
HRESULT | AppendComment ([in, string] aafCharacter *pCategory,[in, string] aafCharacter_constptr pComment)
Creates a user-defined comment and appends it to the specified Mob.
HRESULT | CountComments ([out] aafUInt32 *pNumComments)
return total number of comments attached to this mob.
HRESULT | GetComments ([out] IEnumAAFTaggedValues **ppEnum)
Return the enumeration for all mob comments.
HRESULT | RemoveComment ([in] IAAFTaggedValue *pComment)
Removes the given comment from this mob.
HRESULT | AppendNewTimelineSlot ([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFTimelineMobSlot **ppNewSlot)
This method creates a new timeline mob slot with the given property values and appends it to the input mob.
HRESULT | GetMobInfo ([out] aafTimeStamp_t *pLastModified,[out] aafTimeStamp_t *pCreationTime,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafInt32 bufSize)
This method will get all mob property information is a single call.
HRESULT | OffsetToMobTimecode ([in] IAAFSegment *pTcSeg,[in] aafPosition_t *pOffset,[out] aafTimecode_t *pResult)
This method will determine the timecode at the given offset into the given timecode segment, and will return it in *pResult.
HRESULT | LookupSlot ([in] aafSlotID_t slotId,[out] IAAFMobSlot **ppDestSlot)
The method will find the mob slot for the given slot id.
HRESULT | ChangeRef ([in, ref] aafMobID_constref oldMobID,[in, ref] aafMobID_constref newMobID)
Finds all Source Clips in the specified Mob that refer to the specified old Mob, and changes the references to point to the new Mob.
HRESULT | CloneExternal ([in] aafDepend_t resolveDependencies,[in] aafIncMedia_t includeMedia,[in] IAAFFile *pDestFile,[out] IAAFMob **ppDestMob)
Clones the specified Source Mob, and optionally all dependent Mobs, to an external file, keeping the same MobID.
HRESULT | Copy ([in, string] aafCharacter_constptr pDestMobName,[out] IAAFMob **ppDestMob)
This function copies the specified Mob into a destination Mob in the same AAF file.
HRESULT | AppendKLVData ([in] IAAFKLVData *pData)
Appends a pre-existing KLV Data object to the specified Mob.
HRESULT | CountKLVData ([out] aafUInt32 *pNumData)
Return total number of KLV data objects attached to this mob.
HRESULT | GetKLVData ([out] IEnumAAFKLVData **ppEnum)
Return the enumeration for all KLV data objects on this mob.
HRESULT | RemoveKLVData ([in] IAAFKLVData *pData)
Removes the given KLV data object from this mob.
HRESULT | AppendAttribute ([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue)
Append an attribute name/value pair to the attribute list.
HRESULT | CountAttributes ([out] aafUInt32 *pNumAttributes)
Return the number of attributes contained in this mob.
HRESULT | GetAttributes ([out] IEnumAAFTaggedValues **ppEnum)
Return an attribute enumerator for this mob.
HRESULT | RemoveAttribute ([in] IAAFTaggedValue *pAttribute)
Remove a mob attribute (tagged value).
HRESULT | SetUsageCode ([in] aafUID_constref usageCode)
Set this mob's usage code.
HRESULT | GetUsageCode ([out] aafUID_t *pUsageCode)
Get this mob's usage code.
HRESULT | AppendNewStaticSlot ([in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[out] IAAFStaticMobSlot **ppNewSlot)
This method creates a new static mob slot with the given property values and appends it to the input mob.
HRESULT | AppendNewEventSlot ([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFEventMobSlot **ppNewSlot)
This method creates a new event mob slot with the given property values and appends it to the input mob.

Detailed Description

The IAAFMob2 interface is implemented by objects that specify a Metadata Object, which can describe a composition, essence, or physical media.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMob2 is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFMob2 also implement the following interfaces:

  • IAAFObject

Definition at line 48633 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMob2::AppendAttribute | ( | [in] aafCharacter_constptr | pName,
 |  | [in] aafCharacter_constptr | pValue
 | ) |  |

Append an attribute name/value pair to the attribute list.

Creates a new tagged value, initializes it with the specified attribute name/value pair, and appends it to the attribute list.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pName | [in] The attribute name.
pValue | [in] The attribute value.
HRESULT IAAFMob2::AppendComment | ( | [in, string] aafCharacter * | pCategory,
 |  | [in, string] aafCharacter_constptr | pComment
 | ) |  |

Creates a user-defined comment and appends it to the specified Mob.

A Mob comment is implemented as a AAFTaggedValue object of type WCharString.

Succeeds if all of the following are true:

  • the pCategory pointer is valid.
  • the pComment pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pCategory or pComment args is NULL.
Parameters:
pCategory | [in,string] Comment heading
pComment | [in, string] Comment value
HRESULT IAAFMob2::AppendKLVData ( [in] IAAFKLVData * pData )

Appends a pre-existing KLV Data object to the specified Mob.

Succeeds if all of the following are true:

  • the pKLV pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pData arg is NULL.
Parameters:
pData [in] KLV object
HRESULT IAAFMob2::AppendNewEventSlot | ( | [in] aafRational_t | editRate,
 |  | [in] IAAFSegment * | pSegment,
 |  | [in] aafSlotID_t | slotID,
 |  | [in, string] aafCharacter_constptr | pSlotName,
 |  | [in] aafPosition_t | origin,
 |  | [out] IAAFEventMobSlot ** | ppNewSlot
 | ) |  |

This method creates a new event mob slot with the given property values and appends it to the input mob.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • the pSlotName pointer is valid.
  • the ppNewSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSegment, pSlotName, or ppNewSlot arguments is null.
Parameters:
editRate | [in] Edit rate property value
pSegment | [in] Segment to append as slot component
slotID | [in] new slot ID
pSlotName | [in, string] new slot name
origin | [in] The slot origin
ppNewSlot | [out] Newly created slot
HRESULT IAAFMob2::AppendNewStaticSlot | ( | [in] IAAFSegment * | pSegment,
 |  | [in] aafSlotID_t | slotID,
 |  | [in, string] aafCharacter_constptr | pSlotName,
 |  | [out] IAAFStaticMobSlot ** | ppNewSlot
 | ) |  |

This method creates a new static mob slot with the given property values and appends it to the input mob.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • the pSlotName pointer is valid.
  • the ppNewSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSegment, pSlotName, or ppNewSlot arguments is null.
Parameters:
pSegment | [in] Segment to append as slot component
slotID | [in] new slot ID
pSlotName | [in, string] new slot name
ppNewSlot | [out] Newly created slot
HRESULT IAAFMob2::AppendNewTimelineSlot | ( | [in] aafRational_t | editRate,
 |  | [in] IAAFSegment * | pSegment,
 |  | [in] aafSlotID_t | slotID,
 |  | [in, string] aafCharacter_constptr | pSlotName,
 |  | [in] aafPosition_t | origin,
 |  | [out] IAAFTimelineMobSlot ** | ppNewSlot
 | ) |  |

This method creates a new timeline mob slot with the given property values and appends it to the input mob.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • the pSlotName pointer is valid.
  • the ppNewSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pSegment, pSlotName, or ppNewSlot arguments is null.
Parameters:
editRate | [in] Edit rate property value
pSegment | [in] Segment to append as slot component
slotID | [in] new slot ID
pSlotName | [in, string] new slot name
origin | [in] The slot origin
ppNewSlot | [out] Newly created slot
HRESULT IAAFMob2::AppendSlot ( [in] IAAFMobSlot * pSlot )

Appends the given mob slot to the mob.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.
Parameters:
pSlot [in] slot to append
HRESULT IAAFMob2::ChangeRef | ( | [in, ref] aafMobID_constref | oldMobID,
 |  | [in, ref] aafMobID_constref | newMobID
 | ) |  |

Finds all Source Clips in the specified Mob that refer to the specified old Mob, and changes the references to point to the new Mob.

This function traverses through the entire structure of the input Mob looking for Source Clips, and changes the sourceID property on all Source Clips with oldMobID to newMobID.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
oldMobID | [in, ref] Old Mob ID reference in source clip
newMobID | [in, ref] New Mob ID reference in source clip
HRESULT IAAFMob2::CloneExternal | ( | [in] aafDepend_t | resolveDependencies,
 |  | [in] aafIncMedia_t | includeMedia,
 |  | [in] IAAFFile * | pDestFile,
 |  | [out] IAAFMob ** | ppDestMob
 | ) |  |

Clones the specified Source Mob, and optionally all dependent Mobs, to an external file, keeping the same MobID.

A pointer to the newly created destination mob is returned in *ppDestMob.

This function clones the specified Source Mob in the source file into a destination Mob, with the same MobID, in the destination file. If resolveDependencies is kFollowDepend, the function also clones all Mobs referenced by the specified Source Mob. If includeMedia is kIncludeMedia, the function also copies the media data associated with the Source Mob, returns the destination Mob, and clones all private data.

If the media data is not in the file, the function does not attempt to find it in another file and clone it. Both AAF files must be open before you call this function and both must have the same AAF Version number.

The returned mob is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pDestFile pointer is valid.
  • the ppDestMob pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pDestFile or ppDestMob arguments is NULL.
Parameters:
resolveDependencies | [in] Whether to clone dependent mobs
includeMedia | [in] Whether to include media data
pDestFile | [in] Destination AAF File
ppDestMob | [out] Destination Mob
HRESULT IAAFMob2::Copy | ( | [in, string] aafCharacter_constptr | pDestMobName,
 |  | [out] IAAFMob ** | ppDestMob
 | ) |  |

This function copies the specified Mob into a destination Mob in the same AAF file.

The new Mob is returned through the destMob parameter. The function gives the destination Mob a new MobID and the name specified in the destMobName parameter. The function also copies all private data.

The returned mob is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the pDestMobName pointer is valid.
  • the ppDestMob pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pDestMobName or pDestMob arguments is NULL.
Parameters:
pDestMobName | [in, string] Optional Input. The name to be assigned to the new copy of the Mob. The destMobName argument is optional. Specify a NULL value if no destination Mob name is desired.
ppDestMob | [out] Destination Mob
HRESULT IAAFMob2::CountAttributes ( [out] aafUInt32 * pNumAttributes )

Return the number of attributes contained in this mob.

Succeeds if:

  • pNumAttributes is a valid pointer

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pNumAttributes is null.
Parameters:
pNumAttributes [out] Pointer to attribute count.
HRESULT IAAFMob2::CountComments ( [out] aafUInt32 * pNumComments )

return total number of comments attached to this mob.

Succeeds if all of the following are true:

  • the pNumComments pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumComments arg is NULL.
Parameters:
pNumComments [out] Number of Mob Comments
HRESULT IAAFMob2::CountKLVData ( [out] aafUInt32 * pNumData )

Return total number of KLV data objects attached to this mob.

Succeeds if all of the following are true:

  • the pNumData pointer is valid.

If this method fails nothing will be written to *pNumComments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumData arg is NULL.
Parameters:
pNumData [out] Number of KLV data objects
HRESULT IAAFMob2::CountSlots ( [out] aafNumSlots_t * pNumSlots )

This method returns the number of slots contained by this mob.

Succeeds if all of the following are true:

  • the pNumSlots pointer is valid.

If this method fails nothing will be written to *pNumSlots.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumSlots arg is NULL.
Parameters:
pNumSlots [out] Number of slots
HRESULT IAAFMob2::GetAttributes ( [out] IEnumAAFTaggedValues ** ppEnum )

Return an attribute enumerator for this mob.

Creates an enumerator for this mobs attributes. The new enumerator is AddRef()ed before it is returned.

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pEnum was null.
Parameters:
ppEnum [out] Pointer to the new enumerator object created by this method.
HRESULT IAAFMob2::GetComments ( [out] IEnumAAFTaggedValues ** ppEnum )

Return the enumeration for all mob comments.

The returned enumerator is AddRef()ed before it is returned. Mob comments are implemented as AAFTaggedValue of type WCharString. The enumerator is implemented as a EnumAAAFTaggedValues.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Mob Comments
HRESULT IAAFMob2::GetCreateTime ( [out] aafTimeStamp_t * pCreationTime )

This method will return the creation time for this mob.

Succeeds if all of the following are true:

  • the pCreationTime pointer is valid.

If this method fails nothing will be written to *pCreationTime.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCreationTime arg is NULL.
Parameters:
pCreationTime [out] Creation Time
HRESULT IAAFMob2::GetKLVData ( [out] IEnumAAFKLVData ** ppEnum )

Return the enumeration for all KLV data objects on this mob.

The returned enumerator is AddRef()ed before it is returned. The enumerator is implemented as a EnumAAFKLVData.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] KLV data objects
HRESULT IAAFMob2::GetMobID ( [out] aafMobID_t * pMobID )

This method returns the unique Mob ID associated with this mob.

Succeeds if all of the following are true:

  • the pMobID pointer is valid.

If this method fails nothing will be written to *pMobID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMobID arg is NULL.
Parameters:
pMobID [out] The unique media object id
HRESULT IAAFMob2::GetMobInfo | ( | [out] aafTimeStamp_t * | pLastModified,
 |  | [out] aafTimeStamp_t * | pCreationTime,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafInt32 | bufSize
 | ) |  |

This method will get all mob property information is a single call.

Caller may call GetNameBufLen() to determine the required pName buffer size.

Succeeds if all of the following are true:

  • the pLastModified pointer is valid.
  • the pCreationTime pointer is valid.
  • the pName pointer is valid.

If this method fails nothing will be written to *pLastModified, pCreationTime, or *pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any of pLastModified, pCreationTime, or pName arguments is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
pLastModified | [out] Modified Time
pCreationTime | [out] Creation Time
pName | [out, size_is(bufSize), string] Mob Name
bufSize | [in] size of the supplied buffer.
HRESULT IAAFMob2::GetModTime ( [out] aafTimeStamp_t * pLastModified )

This method will return the modification time for this mob.

Succeeds if all of the following are true:

  • the pLastModified pointer is valid.

If this method fails nothing will be written to *pLastModified.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLastModified arg is NULL.
Parameters:
pLastModified [out] Modified Time
HRESULT IAAFMob2::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Mob Name string property.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFMob2::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFMob2::GetSlotAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFMobSlot ** | ppSlot
 | ) |  |

Returns the indexed slot in *ppSlot.

Succeeds if all of the following are true:

  • ppSlot is a valid pointer.
  • index is less than the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppSlot is null.

AAFRESULT_BADINDEX

  • index is not less than the result obtained from CountSlots().
Parameters:
index | [in] index of slot to be obtained
ppSlot | [out, retval] the returned slot
HRESULT IAAFMob2::GetSlots ( [out] IEnumAAFMobSlots ** ppEnum )

Return an enumeration for all mob slots.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Mob Slot Enumeration
HRESULT IAAFMob2::GetUsageCode ( [out] aafUID_t * pUsageCode )

Get this mob's usage code.

Usage codes are documented in the AAF Edit Protocol, and related specifications.

Succeeds if:

  • pUsageCode is a valid pointer

Return codes:

AAFRESULT_PROP_NOT_PRESENT

  • no usage code is present on this mob

AAFRESULT_NULL_PARAM

  • pUsageCode is null

AAFRESULT_SUCCESS

  • succeeded (This is the only code indicating success.)
Parameters:
pUsageCode [out] Pointer to usage code.
HRESULT IAAFMob2::InsertSlotAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFMobSlot * | pSlot
 | ) |  |

Inserts the given slot into this mob at the given index.

All existing slots at the given and higher index will be moved up one index to accommodate.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.
  • index is less than or equal to the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.

AAFRESULT_BADINDEX

  • index is greater than the result obtained from CountSlots().
Parameters:
index | [in] index where slot is to be inserted
pSlot | [in] slot to insert
HRESULT IAAFMob2::LookupSlot | ( | [in] aafSlotID_t | slotId,
 |  | [out] IAAFMobSlot ** | ppDestSlot
 | ) |  |

The method will find the mob slot for the given slot id.

The returned mob slot is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppDestSlot pointer is valid.
  • the given slot ID is found.

If this method fails nothing will be written to *ppDestSlot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDestSlot arg is NULL.
Parameters:
slotId | [in] The requested slot id
ppDestSlot | [out] The requested slot
HRESULT IAAFMob2::OffsetToMobTimecode | ( | [in] IAAFSegment * | pTcSeg,
 |  | [in] aafPosition_t * | pOffset,
 |  | [out] aafTimecode_t * | pResult
 | ) |  |

This method will determine the timecode at the given offset into the given timecode segment, and will return it in *pResult.

If pTcSeg is NULL, will search for the slot containing a timecode segment and will use that instead.

Succeeds if all of the following are true:

  • the pTcSeg pointer is valid.
  • the pOffset pointer is valid.
  • the pResult pointer is valid.
  • Timecode track exists.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pOffset or pResult argument is NULL.

AAFRESULT_TIMECODE_NOT_FOUND

  • timecode track wasn't found.
Parameters:
pTcSeg | [in] Timecode Segment
pOffset | [in] Offset into segment in edit units for that segment's mob slot
pResult | [out] The resulting timecode
HRESULT IAAFMob2::PrependSlot ( [in] IAAFMobSlot * pSlot )

Prepends the given mob slot to the mob.

Succeeds if all of the following are true:

  • the pSlot pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSlot is null.
Parameters:
pSlot [in] slot to prepend
HRESULT IAAFMob2::RemoveAttribute ( [in] IAAFTaggedValue * pAttribute )

Remove a mob attribute (tagged value).

Succeeds if:

  • pName and pValue are valid pointers.

Return codes:

AAFRESULT_SUCCESS

AAFRESULT_NULL_PARAM

  • pName or pValue is null.
Parameters:
pAttribute [in] Pointer to the tagged value attribute.
HRESULT IAAFMob2::RemoveComment ( [in] IAAFTaggedValue * pComment )

Removes the given comment from this mob.

Succeeds if all of the following are true:

  • the pComment pointer is valid.
  • the given comment is present in the mob.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComment is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given comment is not in this mob.
Parameters:
pComment [in] Comment to remove
HRESULT IAAFMob2::RemoveKLVData ( [in] IAAFKLVData * pData )

Removes the given KLV data object from this mob.

Succeeds if all of the following are true:

  • the pData pointer is valid.
  • the given KLV data object is present in the mob.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pData is null.

AAFRESULT_OBJECT_NOT_FOUND

  • the given KLV data object is not in this mob.
Parameters:
pData [in] KLV data object to remove
HRESULT IAAFMob2::RemoveSlotAt ( [in] aafUInt32 index )

Removes the slot at the given index.

All existing slots at indices higher than the given index will be moved down one index to accommodate.

Succeeds if all of the following are true:

  • index is less than the result obtained by CountSlots().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is not less than the result obtained from CountSlots().
Parameters:
index [in] index of slot to be removed
HRESULT IAAFMob2::SetCreateTime ( [in, ref] aafTimeStamp_constref createTime )

This method sets the creation time on a mob.

The creation time is initially set to the time that the mob was created. Therefore, this method should be called explicitly to change the creation time.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
createTime [in, ref] New Creation Time
HRESULT IAAFMob2::SetMobID ( [in, ref] aafMobID_constref mobID )

When a mob is initially created, the Reference Implementation internally creates a mobID for the new mob.

This method should be used to change the mob's identity to an explicit mobID.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
mobID [in, ref] New Mob ID
HRESULT IAAFMob2::SetModTime ( [in, ref] aafTimeStamp_constref modTime )

This method sets the modification time on a mob.

The modification time is initially set to the time that the mob was created. The Reference Implementation does not maintain the modification time every time that a mob has been updated. Therefore, this method should be called explicitly to change the modification time.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
modTime [in, ref] New Modification Time
HRESULT IAAFMob2::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Mob Name string property.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
HRESULT IAAFMob2::SetUsageCode ( [in] aafUID_constref usageCode )

Set this mob's usage code.

Usage codes are documented in the AAF Edit Protocol, and related specifications.

Return codes:

AAFRESULT_SUCCESS

Parameters:
usageCode [in] The usage code value.
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMob2 Member List
This is the complete list of members for IAAFMob2, including all inherited members.
AppendAttribute([in] aafCharacter_constptr pName,[in] aafCharacter_constptr pValue) | IAAFMob2
AppendComment([in, string] aafCharacter *pCategory,[in, string] aafCharacter_constptr pComment) | IAAFMob2
AppendKLVData([in] IAAFKLVData *pData) | IAAFMob2
AppendNewEventSlot([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFEventMobSlot **ppNewSlot) | IAAFMob2
AppendNewStaticSlot([in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[out] IAAFStaticMobSlot **ppNewSlot) | IAAFMob2
AppendNewTimelineSlot([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFTimelineMobSlot **ppNewSlot) | IAAFMob2
AppendSlot([in] IAAFMobSlot *pSlot) | IAAFMob2
ChangeRef([in, ref] aafMobID_constref oldMobID,[in, ref] aafMobID_constref newMobID) | IAAFMob2
CloneExternal([in] aafDepend_t resolveDependencies,[in] aafIncMedia_t includeMedia,[in] IAAFFile *pDestFile,[out] IAAFMob **ppDestMob) | IAAFMob2
Copy([in, string] aafCharacter_constptr pDestMobName,[out] IAAFMob **ppDestMob) | IAAFMob2
CountAttributes([out] aafUInt32 *pNumAttributes) | IAAFMob2
CountComments([out] aafUInt32 *pNumComments) | IAAFMob2
CountKLVData([out] aafUInt32 *pNumData) | IAAFMob2
CountSlots([out] aafNumSlots_t *pNumSlots) | IAAFMob2
GetAttributes([out] IEnumAAFTaggedValues **ppEnum) | IAAFMob2
GetComments([out] IEnumAAFTaggedValues **ppEnum) | IAAFMob2
GetCreateTime([out] aafTimeStamp_t *pCreationTime) | IAAFMob2
GetKLVData([out] IEnumAAFKLVData **ppEnum) | IAAFMob2
GetMobID([out] aafMobID_t *pMobID) | IAAFMob2
GetMobInfo([out] aafTimeStamp_t *pLastModified,[out] aafTimeStamp_t *pCreationTime,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafInt32 bufSize) | IAAFMob2
GetModTime([out] aafTimeStamp_t *pLastModified) | IAAFMob2
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFMob2
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFMob2
GetSlotAt([in] aafUInt32 index,[out, retval] IAAFMobSlot **ppSlot) | IAAFMob2
GetSlots([out] IEnumAAFMobSlots **ppEnum) | IAAFMob2
GetUsageCode([out] aafUID_t *pUsageCode) | IAAFMob2
InsertSlotAt([in] aafUInt32 index,[in] IAAFMobSlot *pSlot) | IAAFMob2
LookupSlot([in] aafSlotID_t slotId,[out] IAAFMobSlot **ppDestSlot) | IAAFMob2
OffsetToMobTimecode([in] IAAFSegment *pTcSeg,[in] aafPosition_t *pOffset,[out] aafTimecode_t *pResult) | IAAFMob2
PrependSlot([in] IAAFMobSlot *pSlot) | IAAFMob2
RemoveAttribute([in] IAAFTaggedValue *pAttribute) | IAAFMob2
RemoveComment([in] IAAFTaggedValue *pComment) | IAAFMob2
RemoveKLVData([in] IAAFKLVData *pData) | IAAFMob2
RemoveSlotAt([in] aafUInt32 index) | IAAFMob2
SetCreateTime([in, ref] aafTimeStamp_constref createTime) | IAAFMob2
SetMobID([in, ref] aafMobID_constref mobID) | IAAFMob2
SetModTime([in, ref] aafTimeStamp_constref modTime) | IAAFMob2
SetName([in, string] aafCharacter_constptr pName) | IAAFMob2
SetUsageCode([in] aafUID_constref usageCode) | IAAFMob2
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMobSlot Interface Reference

Public Member Functions
IAAFMobSlot Interface Reference

The IAAFMobSlot interface is implemented by objects which represent a Segment of essence in a Mob. More...

List of all members.

Public Member Functions

HRESULT | GetSegment ([out, retval] IAAFSegment **ppResult)
This method will get the segment for this mob slot and place an interface for it into the **ppResult argument.
HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Mob Slot Name string property.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Mob Slot Name string property.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | GetPhysicalNum ([out, retval] aafUInt32 *pResult)
Returns information about the physical output channel associated with the Slot.
HRESULT | GetDataDef ([out, retval] IAAFDataDef **ppResult)
This method will return the Data Definition object associated with the segment in this Mob Slot.
HRESULT | GetSlotID ([out, retval] aafSlotID_t *pResult)
This method will return the slot id of this mob slot.
HRESULT | SetSegment ([in] IAAFSegment *pSegment)
This method will set the segment for this mob slot.
HRESULT | SetPhysicalNum ([in] aafUInt32 number)
This function sets the physical slot number of the specified slot.
HRESULT | SetSlotID ([in] aafSlotID_t value)
This method will set the slot id of this mob slot.

Detailed Description

The IAAFMobSlot interface is implemented by objects which represent a Segment of essence in a Mob.

IAAFMobSlot-implementing objects contan a Segment, which can be a timeline, static, or event Segment.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMobSlot is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Types required by this module:

aafBool aafRational_t AAFSegment aafPosition_t aafSlotID_t aafUInt32 AAFDataDef

Objects that implement IAAFMobSlot also implement the following interfaces:

  • IAAFObject

Definition at line 14979 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMobSlot::GetDataDef ( [out, retval] IAAFDataDef ** ppResult )

This method will return the Data Definition object associated with the segment in this Mob Slot.

Common DataDefinitions are kAAFDataDef_Picture, kAAFDataDef_Sound, kAAFDataDef_Timecode, and kAAFDataDef_Edgecode.

Succeeds if all of the following are true:

  • the ppResult pointer is valid.

If this method fails nothing will be written to *ppResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppResult arg is NULL.
Parameters:
ppResult [out,retval] Data Definition AUID
HRESULT IAAFMobSlot::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Mob Slot Name string property.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFMobSlot::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFMobSlot::GetPhysicalNum ( [out, retval] aafUInt32 * pResult )

Returns information about the physical output channel associated with the Slot.

This function returns the physical slot number of the specified slot. The physical slot number identifies the physical slot associated with the media. For File Source Mobs that describe stereo audio media, the left channel should have a PhysicalSlot of 1 and the right channel should have a Physical-Slot of 2.

The function returns an error if the object specified in the slot parameter is not a slot.

Succeeds if all of the following are true:

  • the pDatadef pointer is valid.
  • the object in the slot parameter is a slot.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDatadef arg is NULL.

AAFRESULT_SLOT_NOT_FOUND

  • object specified is not a slot.
Parameters:
pResult [out,retval] The physical slot number property value
HRESULT IAAFMobSlot::GetSegment ( [out, retval] IAAFSegment ** ppResult )

This method will get the segment for this mob slot and place an interface for it into the **ppResult argument.

If a segment exists, the result will be AddRef()ed. If not, the result will be NULL.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
ppResult [out,retval] Segment property value
HRESULT IAAFMobSlot::GetSlotID ( [out, retval] aafSlotID_t * pResult )

This method will return the slot id of this mob slot.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out,retval] Slot id of the Mob Slot
HRESULT IAAFMobSlot::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Mob Slot Name string property.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
HRESULT IAAFMobSlot::SetPhysicalNum ( [in] aafUInt32 number )

This function sets the physical slot number of the specified slot.

The physical slot number identifies the physical slot associated with the media. For File Source Mobs that describe stereo audio media, the left channel should have a PhysicalSlot of 1 and the right channel should have a Physical-Slot of 2.

The function returns an error if the Mob Slot passed in is not a slot.

Succeeds if all of the following are true:

  • the Mob Slot passed in is a slot.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.

AAFRESULT_SLOT_NOT_FOUND

  • object specified is not a slot.
Parameters:
number [in] The physical slot number property value
HRESULT IAAFMobSlot::SetSegment ( [in] IAAFSegment * pSegment )

This method will set the segment for this mob slot.

If a segment already exists for this mob slot, it will be discarded.

Always succeeds.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
pSegment [in] Segment property value
HRESULT IAAFMobSlot::SetSlotID ( [in] aafSlotID_t value )

This method will set the slot id of this mob slot.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
value [in] Slot id of the Mob Slot
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMobSlot Member List
This is the complete list of members for IAAFMobSlot, including all inherited members.
GetDataDef([out, retval] IAAFDataDef **ppResult) | IAAFMobSlot
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFMobSlot
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFMobSlot
GetPhysicalNum([out, retval] aafUInt32 *pResult) | IAAFMobSlot
GetSegment([out, retval] IAAFSegment **ppResult) | IAAFMobSlot
GetSlotID([out, retval] aafSlotID_t *pResult) | IAAFMobSlot
SetName([in, string] aafCharacter_constptr pName) | IAAFMobSlot
SetPhysicalNum([in] aafUInt32 number) | IAAFMobSlot
SetSegment([in] IAAFSegment *pSegment) | IAAFMobSlot
SetSlotID([in] aafSlotID_t value) | IAAFMobSlot
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMPEGVideoDescriptor Interface Reference

Public Member Functions
IAAFMPEGVideoDescriptor Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFMPEGVideoDescriptor-supporting object.
HRESULT | SetSingleSequence ([in] aafBoolean_t singleSequence)
Sets the SingleSequence property.
HRESULT | GetSingleSequence ([out] aafBoolean_t *pSingleSequence)
Gets the SingleSequence property.
HRESULT | SetConstantBPictureCount ([in] aafBoolean_t constantBPictureCount)
Sets the ConstantBPictureCount property.
HRESULT | GetConstantBPictureCount ([out] aafBoolean_t *pConstantBPictureCount)
Gets the ConstantBPictureCount property.
HRESULT | SetCodedContentScanning ([in] aafContentScanningType_t codedContentScanning)
Sets the CodedContentScanning property.
HRESULT | GetCodedContentScanning ([out] aafContentScanningType_t *pContentScanning)
Gets the CodedContentScanning property.
HRESULT | SetLowDelay ([in] aafBoolean_t lowDelay)
Sets the LowDelay property.
HRESULT | GetLowDelay ([out] aafBoolean_t *pLowDelay)
Gets the LowDelay property.
HRESULT | SetClosedGOP ([in] aafBoolean_t closedGOP)
Sets the ClosedGOP property.
HRESULT | GetClosedGOP ([out] aafBoolean_t *pClosedGOP)
Gets the ClosedGOP property.
HRESULT | SetIdenticalGOP ([in] aafBoolean_t identicalGOP)
Sets the IdenticalGOP property.
HRESULT | GetIdenticalGOP ([out] aafBoolean_t *pIdenticalGOP)
Gets the IdenticalGOP property.
HRESULT | SetMaxGOP ([in] aafUInt16 maxGOP)
Sets the MaxGOP property.
HRESULT | GetMaxGOP ([out] aafUInt16 *pMaxGOP)
Gets the MaxGOP property.
HRESULT | SetMaxBPictureCount ([in] aafUInt16 maxBPictureCount)
Sets the MaxBPictureCount property.
HRESULT | GetMaxBPictureCount ([out] aafUInt16 *pMaxBPictureCount)
Gets the MaxBPictureCount property.
HRESULT | SetBitRate ([in] aafUInt32 bitRate)
Sets the BitRate property.
HRESULT | GetBitRate ([out] aafUInt32 *pBitRate)
Gets the BitRate property.
HRESULT | SetProfileAndLevel ([in] aafUInt8 profileAndLevel)
Sets the ProfileAndLevel property.
HRESULT | GetProfileAndLevel ([out] aafUInt8 *pProfileAndLevel)
Gets the ProfileAndLevele property.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFMPEGVideoDescriptor also implement the following interfaces:

  • IAAFCDCIDescriptor
  • IAAFCDCIDescriptor2
  • IAAFDigitalImageDescriptor
  • IAAFDigitalImageDescriptor2
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 15329 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMPEGVideoDescriptor::GetBitRate ( [out] aafUInt32 * pBitRate )

Gets the BitRate property.

Succeeds if all of the following are true:

  • pBitRate is a valid pointer
  • the property is present.

If this method fails, pBitRate will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBitRate is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pBitRate [out] value of the BitRate property
HRESULT IAAFMPEGVideoDescriptor::GetClosedGOP ( [out] aafBoolean_t * pClosedGOP )

Gets the ClosedGOP property.

Succeeds if all of the following are true:

  • pClosedGOP is a valid pointer
  • the property is present.

If this method fails, pClosedGOP will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pClosedGOP is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pClosedGOP [out] value of the ClosedGOP property
HRESULT IAAFMPEGVideoDescriptor::GetCodedContentScanning ( [out] aafContentScanningType_t * pContentScanning )

Gets the CodedContentScanning property.

This property is optional.

Succeeds if all of the following are true:

  • pContentScanning is a valid pointer
  • the property is present.

If this method fails, pSContentScanning not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pContentScanning is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pContentScanning [out] Coded content scanning value.
HRESULT IAAFMPEGVideoDescriptor::GetConstantBPictureCount ( [out] aafBoolean_t * pConstantBPictureCount )

Gets the ConstantBPictureCount property.

Succeeds if all of the following are true:

  • pConstantBPictureCount is a valid pointer
  • the property is present.

If this method fails, pConstantBPictureCount will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSingleSequence is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pConstantBPictureCount [out] value of the ConstantBPictureCount property
HRESULT IAAFMPEGVideoDescriptor::GetIdenticalGOP ( [out] aafBoolean_t * pIdenticalGOP )

Gets the IdenticalGOP property.

Succeeds if all of the following are true:

  • pIdenticalGOP is a valid pointer
  • the property is present.

If this method fails, pIdenticalGOP will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIdenticalGOP is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pIdenticalGOP [out] value of the IdenticalGOP property
HRESULT IAAFMPEGVideoDescriptor::GetLowDelay ( [out] aafBoolean_t * pLowDelay )

Gets the LowDelay property.

Succeeds if all of the following are true:

  • pLowDelay is a valid pointer
  • the property is present.

If this method fails, pLowDelay will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLowDelay is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pLowDelay [out] value of the LowDelay property
HRESULT IAAFMPEGVideoDescriptor::GetMaxBPictureCount ( [out] aafUInt16 * pMaxBPictureCount )

Gets the MaxBPictureCount property.

Succeeds if all of the following are true:

  • pMaxBPictureCount is a valid pointer
  • the property is present.

If this method fails, pMaxBPictureCount will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMaxBPictureCount is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pMaxBPictureCount [out] valud of the MaxBPictureCount property
HRESULT IAAFMPEGVideoDescriptor::GetMaxGOP ( [out] aafUInt16 * pMaxGOP )

Gets the MaxGOP property.

Succeeds if all of the following are true:

  • pMaxGOP is a valid pointer
  • the property is present.

If this method fails, pMaxGOP will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMaxGOP is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pMaxGOP [out] value of the MaxGOP property
HRESULT IAAFMPEGVideoDescriptor::GetProfileAndLevel ( [out] aafUInt8 * pProfileAndLevel )

Gets the ProfileAndLevele property.

Succeeds if all of the following are true:

  • pProfileAndLevel is a valid pointer
  • the property is present.

If this method fails, pProfileAndLevel will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pProfileAndLevel is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pProfileAndLevel [out] value of the ProfileAndLevel property
HRESULT IAAFMPEGVideoDescriptor::GetSingleSequence ( [out] aafBoolean_t * pSingleSequence )

Gets the SingleSequence property.

Succeeds if all of the following are true:

  • pSingleSequence is a valid pointer
  • the property is present.

If this method fails, pSingleSequence will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSingleSequence is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pSingleSequence [out] The value of the SingleSequence property
HRESULT IAAFMPEGVideoDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFMPEGVideoDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFMPEGVideoDescriptor::SetBitRate ( [in] aafUInt32 bitRate )

Sets the BitRate property.

This is an optional property.

If this method fails, the BitRate property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
bitRate [in] value to assign to the BitRate property
HRESULT IAAFMPEGVideoDescriptor::SetClosedGOP ( [in] aafBoolean_t closedGOP )

Sets the ClosedGOP property.

This property is optional.

If this method fails, the ClosedGOP property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
closedGOP [in] value to assign to the ClosedGOP property
HRESULT IAAFMPEGVideoDescriptor::SetCodedContentScanning ( [in] aafContentScanningType_t codedContentScanning )

Sets the CodedContentScanning property.

This property is optional.

Succeeds if all of the following are true:

  • codedContentDirection is a valid value.

If this method fails, the CodedContentScanning property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_AAFRESULT_INVALID_ENUM_VALUE

  • codedContentDirection is not a valid value.
Parameters:
codedContentScanning [in] Coded Content Scanning value.
HRESULT IAAFMPEGVideoDescriptor::SetConstantBPictureCount ( [in] aafBoolean_t constantBPictureCount )

Sets the ConstantBPictureCount property.

This property is optional.

If this method fails, the ConstantBPictureCount property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
constantBPictureCount [in] value to assign to the ConstantBPictureCount property
HRESULT IAAFMPEGVideoDescriptor::SetIdenticalGOP ( [in] aafBoolean_t identicalGOP )

Sets the IdenticalGOP property.

This is an optional property.

If this method fails, the IdenticalGOP property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
identicalGOP [in] value to assign to the IdenticalGOP property
HRESULT IAAFMPEGVideoDescriptor::SetLowDelay ( [in] aafBoolean_t lowDelay )

Sets the LowDelay property.

This property is optional.

If this method fails, the LowDelay property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
lowDelay [in] value to assign to the LowDelay property
HRESULT IAAFMPEGVideoDescriptor::SetMaxBPictureCount ( [in] aafUInt16 maxBPictureCount )

Sets the MaxBPictureCount property.

This is an optional property.

If this method fails, the MaxBPictureCount property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
maxBPictureCount [in] value to assign to the MaxBPictureCount property
HRESULT IAAFMPEGVideoDescriptor::SetMaxGOP ( [in] aafUInt16 maxGOP )

Sets the MaxGOP property.

This is an optional property.

If this method fails, the MaxGOP property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
maxGOP [in] value to assign to the MaxGOP property
HRESULT IAAFMPEGVideoDescriptor::SetProfileAndLevel ( [in] aafUInt8 profileAndLevel )

Sets the ProfileAndLevel property.

This is an optional property.

If this method fails, the ProfileAndLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
profileAndLevel [in] value to assign to the ProfileAndLevel property
HRESULT IAAFMPEGVideoDescriptor::SetSingleSequence ( [in] aafBoolean_t singleSequence )

Sets the SingleSequence property.

This property is optional.

If this method fails, the SingleSequence property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.
Parameters:
singleSequence [in] value to assign to the SingleSequence property
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMPEGVideoDescriptor Member List
This is the complete list of members for IAAFMPEGVideoDescriptor, including all inherited members.
GetBitRate([out] aafUInt32 *pBitRate) | IAAFMPEGVideoDescriptor
GetClosedGOP([out] aafBoolean_t *pClosedGOP) | IAAFMPEGVideoDescriptor
GetCodedContentScanning([out] aafContentScanningType_t *pContentScanning) | IAAFMPEGVideoDescriptor
GetConstantBPictureCount([out] aafBoolean_t *pConstantBPictureCount) | IAAFMPEGVideoDescriptor
GetIdenticalGOP([out] aafBoolean_t *pIdenticalGOP) | IAAFMPEGVideoDescriptor
GetLowDelay([out] aafBoolean_t *pLowDelay) | IAAFMPEGVideoDescriptor
GetMaxBPictureCount([out] aafUInt16 *pMaxBPictureCount) | IAAFMPEGVideoDescriptor
GetMaxGOP([out] aafUInt16 *pMaxGOP) | IAAFMPEGVideoDescriptor
GetProfileAndLevel([out] aafUInt8 *pProfileAndLevel) | IAAFMPEGVideoDescriptor
GetSingleSequence([out] aafBoolean_t *pSingleSequence) | IAAFMPEGVideoDescriptor
Initialize() | IAAFMPEGVideoDescriptor
SetBitRate([in] aafUInt32 bitRate) | IAAFMPEGVideoDescriptor
SetClosedGOP([in] aafBoolean_t closedGOP) | IAAFMPEGVideoDescriptor
SetCodedContentScanning([in] aafContentScanningType_t codedContentScanning) | IAAFMPEGVideoDescriptor
SetConstantBPictureCount([in] aafBoolean_t constantBPictureCount) | IAAFMPEGVideoDescriptor
SetIdenticalGOP([in] aafBoolean_t identicalGOP) | IAAFMPEGVideoDescriptor
SetLowDelay([in] aafBoolean_t lowDelay) | IAAFMPEGVideoDescriptor
SetMaxBPictureCount([in] aafUInt16 maxBPictureCount) | IAAFMPEGVideoDescriptor
SetMaxGOP([in] aafUInt16 maxGOP) | IAAFMPEGVideoDescriptor
SetProfileAndLevel([in] aafUInt8 profileAndLevel) | IAAFMPEGVideoDescriptor
SetSingleSequence([in] aafBoolean_t singleSequence) | IAAFMPEGVideoDescriptor
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFMultipleDescriptor Interface Reference

Public Member Functions
IAAFMultipleDescriptor Interface Reference

The IAAFMultipleDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob containing multiple tracks of essence. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFMultipleDescriptor-supporting object.
HRESULT | CountFileDescriptors ([out] aafUInt32 *pResult)
Return the number of FileDescriptors attached to this essence descriptor.
HRESULT | AppendFileDescriptor ([in] IAAFFileDescriptor *pFileDescriptor)
Append another FileDescriptor to this essence descriptor.
HRESULT | PrependFileDescriptor ([in] IAAFFileDescriptor *pFileDescriptor)
Prepend another FileDescriptor to this essence descriptor.
HRESULT | InsertFileDescriptorAt ([in] aafUInt32 index,[in] IAAFFileDescriptor *pFileDescriptor)
Inserts the given FileDescriptor at the given index.
HRESULT | GetFileDescriptorAt ([in] aafUInt32 index,[out, retval] IAAFFileDescriptor **ppFileDescriptor)
Retrieves the FileDescriptor at the given index.
HRESULT | RemoveFileDescriptorAt ([in] aafUInt32 index)
Removes the FileDescriptor at the given index.
HRESULT | GetFileDescriptors ([out] IEnumAAFFileDescriptors **ppEnum)
Returns an enumerator of all the FileDescriptors in this MultipleDescriptor.

Detailed Description

The IAAFMultipleDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob containing multiple tracks of essence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface.

Objects that implement IAAFMultipleDescriptor also implement the following interfaces:

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 15887 of file AAF.idl.

Member Function Documentation

HRESULT IAAFMultipleDescriptor::AppendFileDescriptor ( [in] IAAFFileDescriptor * pFileDescriptor )

Append another FileDescriptor to this essence descriptor.

Use this function to add a FileDescriptor to the end of the interleave pattern.

Succeeds if all of the following are true:

  • the pFileDescriptor pointer is valid.
  • the pFileDescriptor pointer indicates an object which is not already owned by any object

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileDescriptor is null.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • the object pointed to by pFileDescriptor is already owned by this or another object.
Parameters:
pFileDescriptor [in] FileDescriptor to append
HRESULT IAAFMultipleDescriptor::CountFileDescriptors ( [out] aafUInt32 * pResult )

Return the number of FileDescriptors attached to this essence descriptor.

Succeeds if all of the following are true:

  • the pCount pointer is valid.

If this method fails nothing is written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount is null.
Parameters:
pResult [out] Returns the number of FileDescriptors
HRESULT IAAFMultipleDescriptor::GetFileDescriptorAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFFileDescriptor ** | ppFileDescriptor
 | ) |  |

Retrieves the FileDescriptor at the given index.

Succeeds if all of the following are true:

  • the pFileDescriptor pointer is valid.
  • index is less than the value returned by CountFileDescriptors().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileDescriptor is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountFileDescriptors().
Parameters:
index | [in] index of FileDescriptor to retrieve
ppFileDescriptor | [out, retval] returned FileDescriptor
HRESULT IAAFMultipleDescriptor::GetFileDescriptors ( [out] IEnumAAFFileDescriptors ** ppEnum )

Returns an enumerator of all the FileDescriptors in this MultipleDescriptor.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] An enumerator of the FileDescriptors in this MultipleDescriptor
HRESULT IAAFMultipleDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFMultipleDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFMultipleDescriptor::InsertFileDescriptorAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFFileDescriptor * | pFileDescriptor
 | ) |  |

Inserts the given FileDescriptor at the given index.

FileDescriptors already existing at the given and higher indices will be moved to the next higher index to accommodate.

Succeeds if all of the following are true:

  • the pFileDescriptor pointer is valid.
  • index is less than or equal to the value returned by CountFileDescriptors().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileDescriptor is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountFileDescriptors().
Parameters:
index | [in] index at which FileDescriptor is to be inserted
pFileDescriptor | [in] FileDescriptor to append
HRESULT IAAFMultipleDescriptor::PrependFileDescriptor ( [in] IAAFFileDescriptor * pFileDescriptor )

Prepend another FileDescriptor to this essence descriptor.

Use this function to add a FileDescriptor to to the beginning of the interleave pattern.

Succeeds if all of the following are true:

  • the pFileDescriptor pointer is valid.
  • the pFileDescriptor pointer indicates an object which is not already owned by any object

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileDescriptor is null.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • the object pointed to by pFileDescriptor is already owned by this or another object.
Parameters:
pFileDescriptor [in] FileDescriptor to append
HRESULT IAAFMultipleDescriptor::RemoveFileDescriptorAt ( [in] aafUInt32 index )

Removes the FileDescriptor at the given index.

FileDescriptors already existing at indices higher than the given index will be moved to the next lower index to accommodate.

Succeeds if all of the following are true:

  • index is less than the value returned by CountFileDescriptors().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountFileDescriptors().
Parameters:
index [in] index of FileDescriptor to remove
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMultipleDescriptor Member List
This is the complete list of members for IAAFMultipleDescriptor, including all inherited members.
AppendFileDescriptor([in] IAAFFileDescriptor *pFileDescriptor) | IAAFMultipleDescriptor
CountFileDescriptors([out] aafUInt32 *pResult) | IAAFMultipleDescriptor
GetFileDescriptorAt([in] aafUInt32 index,[out, retval] IAAFFileDescriptor **ppFileDescriptor) | IAAFMultipleDescriptor
GetFileDescriptors([out] IEnumAAFFileDescriptors **ppEnum) | IAAFMultipleDescriptor
Initialize() | IAAFMultipleDescriptor
InsertFileDescriptorAt([in] aafUInt32 index,[in] IAAFFileDescriptor *pFileDescriptor) | IAAFMultipleDescriptor
PrependFileDescriptor([in] IAAFFileDescriptor *pFileDescriptor) | IAAFMultipleDescriptor
RemoveFileDescriptorAt([in] aafUInt32 index) | IAAFMultipleDescriptor
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFNestedScope Interface Reference

Public Member Functions
IAAFNestedScope Interface Reference

This interface is used with an object which contains an ordered set of AAFSegments and produces the value specified by the last AAFSegement in the ordered seta reference to a segment. More...

List of all members.

Public Member Functions

HRESULT | AppendSegment ([in] IAAFSegment *pSegment)
Append another input segment to the list of source segments.
HRESULT | PrependSegment ([in] IAAFSegment *pSegment)
Prepend another input segment to the list of source segments.
HRESULT | InsertSegmentAt ([in] aafUInt32 index,[in] IAAFSegment *pSegment)
Insert an input segment to the list of source segments at the given index.
HRESULT | RemoveSegmentAt ([in] aafUInt32 index)
Removes the indexed segment.
HRESULT | CountSegments ([out, retval] aafUInt32 *pResult)
Returns the number of source segments currently contained.
HRESULT | GetSegmentAt ([in] aafUInt32 index,[out, retval] IAAFSegment **ppSegment)
Retrieves the indexed segment.
HRESULT | GetSegments ([out, retval] IEnumAAFSegments **ppEnum)
Return an enumerator for the ordered list of AAFSegments which make up the nested scope.

Detailed Description

This interface is used with an object which contains an ordered set of AAFSegments and produces the value specified by the last AAFSegement in the ordered seta reference to a segment.

AAFNestedScopes are used to encapsulate intermediate results which may be referenced from more than one place, in a manner much like common subexpressions in mathmatical expressions.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFNestedScope also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 16176 of file AAF.idl.

Member Function Documentation

HRESULT IAAFNestedScope::AppendSegment ( [in] IAAFSegment * pSegment )

Append another input segment to the list of source segments.

The last segment added will be used as the output of the nested scope, and usually contains operations whose inputs are scope references.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSegment is null.
Parameters:
pSegment [in] Pointer to segment to be added
HRESULT IAAFNestedScope::CountSegments ( [out, retval] aafUInt32 * pResult )

Returns the number of source segments currently contained.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails no value will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] number of segments contained
HRESULT IAAFNestedScope::GetSegmentAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFSegment ** | ppSegment
 | ) |  |

Retrieves the indexed segment.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.
  • index is less than the value returned by CountSegments().

If this method fails nothing will be written to *ppSegment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountSegments().
Parameters:
index | [in] index of segment to retrieve
ppSegment | [out, retval] retrieved segment
HRESULT IAAFNestedScope::GetSegments ( [out, retval] IEnumAAFSegments ** ppEnum )

Return an enumerator for the ordered list of AAFSegments which make up the nested scope.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out, retval] Slots - segment list enumeration
HRESULT IAAFNestedScope::InsertSegmentAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFSegment * | pSegment
 | ) |  |

Insert an input segment to the list of source segments at the given index.

Segments already existing at the given and higher indices will be moved up one index to accommodate.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • index is less than or equal to the value returned by CountSegments().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSegment is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountSegments().
Parameters:
index | [in] index where segment is to be inserted
pSegment | [in] Pointer to segment to be added
HRESULT IAAFNestedScope::PrependSegment ( [in] IAAFSegment * pSegment )

Prepend another input segment to the list of source segments.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSegment is null.
Parameters:
pSegment [in] Pointer to segment to be added
HRESULT IAAFNestedScope::RemoveSegmentAt ( [in] aafUInt32 index )

Removes the indexed segment.

Segments already existing at indices greater than the given index will be moved down by one index to accommodate.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • index is less than the value returned by CountSegments().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSegment is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountSegments().
Parameters:
index [in] index of segment to be removed
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFNestedScope Member List
This is the complete list of members for IAAFNestedScope, including all inherited members.
AppendSegment([in] IAAFSegment *pSegment) | IAAFNestedScope
CountSegments([out, retval] aafUInt32 *pResult) | IAAFNestedScope
GetSegmentAt([in] aafUInt32 index,[out, retval] IAAFSegment **ppSegment) | IAAFNestedScope
GetSegments([out, retval] IEnumAAFSegments **ppEnum) | IAAFNestedScope
InsertSegmentAt([in] aafUInt32 index,[in] IAAFSegment *pSegment) | IAAFNestedScope
PrependSegment([in] IAAFSegment *pSegment) | IAAFNestedScope
RemoveSegmentAt([in] aafUInt32 index) | IAAFNestedScope
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFNetworkLocator Interface Reference

Public Member Functions
IAAFNetworkLocator Interface Reference

The IAAFNetworkLocator interface is implemented by objects which provide information to help find a file containing essence data. More...

List of all members.

Public Member Functions

HRESULT Initialize ()
Initializes a newly allocated, empty IAAFNetworkLocator-supporting object.

Detailed Description

The IAAFNetworkLocator interface is implemented by objects which provide information to help find a file containing essence data.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Objects that implement IAAFNetworkLocator also implement the following interfaces:

IAAFLocator

  • IAAFObject

Definition at line 16431 of file AAF.idl.

Member Function Documentation

HRESULT IAAFNetworkLocator::Initialize ( )

Initializes a newly allocated, empty IAAFNetworkLocator-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFNetworkLocator Member List
This is the complete list of members for IAAFNetworkLocator, including all inherited members.
Initialize() IAAFNetworkLocator
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFObject Interface Reference

Public Member Functions
IAAFObject Interface Reference

This interface is implemented for all AAF persistent classes. More...

List of all members.

Public Member Functions

HRESULT | GetGeneration ([out] IAAFIdentification **ppGeneration)
Gets the generation of this object, which is represented by an AAFIdentification object.
HRESULT | GetGenerationAUID ([out] aafUID_t *pResult)
Shortcut to get the AUID representing the Identification representing this object's generation.
HRESULT | GetDefinition ([out] IAAFClassDef **ppClassDef)
Returns the class definition which describes this object instance.
HRESULT | GetProperties ([out, retval] IEnumAAFProperties **ppEnum)
Returns an enumerator across all properties actually contained in this object.
HRESULT | CountProperties ([out] aafUInt32 *pCount)
Returns the number of properties currently present in this object.
HRESULT | GetPropertyValue ([in] IAAFPropertyDef *pPropDef,[out] IAAFPropertyValue **ppPropVal)
Returns the requested Property Value.
HRESULT | SetPropertyValue ([in] IAAFPropertyDef *pPropDef,[in] IAAFPropertyValue *pPropVal)
Sets the value of the given property to the given value.
HRESULT | IsPropertyPresent ([in] IAAFPropertyDef *pPropDef,[out] aafBoolean_t *pResult)
Sets *pResultReturns true in if named property is legal and is present; sets it to false if it is legal and is absent.
HRESULT | RemoveOptionalProperty ([in] IAAFPropertyDef *pPropDef)
Removes the property if named property is legal and is optional and present.
HRESULT | CreateOptionalPropertyValue ([in] IAAFPropertyDef *pPropDef,[out] IAAFPropertyValue **ppPropVal)
Returns the requested Property Value.
HRESULT | GetDictionary ([out, retval] IAAFDictionary **ppDictionary)
Returns the dictionary for this object instance.
HRESULT | EnableGenerationTracking ()
Calling this method will cause generation tracking to be enabled for this object.
HRESULT | DisableGenerationTracking ()
Calling this method will cause generation tracking to be disabled for this object.
HRESULT | IsGenerationTracked ([out] aafBoolean_t *pResult)
This method will set *pResult to AAFTrue if generations are being tracked for this object.

Detailed Description

This interface is implemented for all AAF persistent classes.

In addition to methods which all clients can use, it provides methods for direct property access which should not be used unless the client programmer is aware of the liabilities.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFObject is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Definition at line 16501 of file AAF.idl.

Member Function Documentation

HRESULT IAAFObject::CountProperties ( [out] aafUInt32 * pCount )

Returns the number of properties currently present in this object.

This is the same number as will be accessed through GetProperties().

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] count of properties present in this object
HRESULT IAAFObject::CreateOptionalPropertyValue | ( | [in] IAAFPropertyDef * | pPropDef,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Returns the requested Property Value.

The desired property data is identified by the given optional property definition.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPropDef or ppPropVal arg is NULL.

AAFRESULT_ILLEGAL_PROPERTY

  • named property illegal for this object's class.

AAFRESULT_PROP_ALREADY_PRESENT

  • named property is optional, but already present in this class.
Parameters:
pPropDef | [in] property definition indentifying desired property
ppPropVal | [out] returned AAFPropertyValue
HRESULT IAAFObject::DisableGenerationTracking ( )

Calling this method will cause generation tracking to be disabled for this object.

Generation information will then not be available through the GetGeneration() and GetGenerationAUID() methods.

Calling the EnableGenerationTracking() method will enable generation tracking for this object.

Generation tracking is disabled by default.

This method always succeeds, even if generation tracking is already disbled.

This method will return the following result:

  • AAFRESULT_SUCCESS
HRESULT IAAFObject::EnableGenerationTracking ( )

Calling this method will cause generation tracking to be enabled for this object.

Generation information will then be available through the GetGeneration() and GetGenerationAUID() methods.

Calling the DisableGenerationTracking() method will disable generation tracking for this object.

Generation tracking is disabled by default.

This method always succeeds, even if generation tracking is already enabled.

This method will return the following result:

  • AAFRESULT_SUCCESS
HRESULT IAAFObject::GetDefinition ( [out] IAAFClassDef ** ppClassDef )

Returns the class definition which describes this object instance.

Succeeds if all of the following are true:

  • the given ppClassDef pointer is valid.

Note! Use care when dealing with the object class. Among the pitfalls to be avoided is that tests for equality will not reflect inheritance. This becomes important if an unknown non-builtin (that is, user defined) object class ID is obtained.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppClassDef arg is NULL.
Parameters:
ppClassDef [out] class definition of which this object is an instance.
HRESULT IAAFObject::GetDictionary ( [out, retval] IAAFDictionary ** ppDictionary )

Returns the dictionary for this object instance.

Succeeds if all of the following are true:

  • the given ppDictionary pointer is valid.

Note! Use care when dealing with the object class. Among the pitfalls to be avoided is that tests for equality will not reflect inheritance. This becomes important if an unknown non-builtin (that is, user defined) object class ID is obtained.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppClassDef arg is NULL.
Parameters:
ppDictionary [out, retval] A pointer to an Dictionary pointer
HRESULT IAAFObject::GetGeneration ( [out] IAAFIdentification ** ppGeneration )

Gets the generation of this object, which is represented by an AAFIdentification object.

This is used to detect when an object has been modified.

This method will succeed if generation tracking is enabled for this object. Call EnableGenerationTrackint() and DisableGenerationTrackint() to control generation tracking for this object. Call IsGenerationTracked() to determine if generation tracking is currently enabled for this object.

Succeeds if all of the following are true:

  • the given pGeneration pointer is valid.
  • generation tracking is enabled for this object.
  • this object is attached to a file.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppGeneration arg is NULL.

AAFRESULT_INVALID_PARAM

  • Generation tracking is not enabled for this object.

AAFRESULT_OBJECT_NOT_ATTACHED

  • This object is not attached to a file from which generation information can be obtained..
Parameters:
ppGeneration [out] AAFIdentification object corresponding to this object's Generation ID
HRESULT IAAFObject::GetGenerationAUID ( [out] aafUID_t * pResult )

Shortcut to get the AUID representing the Identification representing this object's generation.

(Can also be obtained by calling this->GetGeneration(&pIdent), and using its result to call pIdent->GetAuid()).

This method will succeed if generation tracking is enabled for this object. Call EnableGenerationTrackint() and DisableGenerationTrackint() to control generation tracking for this object. Call IsGenerationTracked() to determine if generation tracking is currently enabled for this object.

Succeeds if all of the following are true:

  • the given pResult pointer is valid.
  • generation tracking is enabled for this object.
  • this object is attached to a file.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.

AAFRESULT_INVALID_PARAM

  • Generation tracking is not enabled for this object.

AAFRESULT_OBJECT_NOT_ATTACHED

  • This object is not attached to a file from which generation information can be obtained..
Parameters:
pResult [out] AUID corresponding to this object's Generation ID
HRESULT IAAFObject::GetProperties ( [out, retval] IEnumAAFProperties ** ppEnum )

Returns an enumerator across all properties actually contained in this object.

Each property is represented by an IAAFProperty interface.

ppEnum is AddRef()ed before it is returned. Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out, retval] Property Enumeration
HRESULT IAAFObject::GetPropertyValue | ( | [in] IAAFPropertyDef * | pPropDef,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Returns the requested Property Value.

The desired property data is identified by the given property definition.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPropDef or ppPropVal arg is NULL.

AAFRESULT_ILLEGAL_PROPERTY

  • named property illegal for this object's class.

AAFRESULT_PROP_NOT_PRESENT

  • named property is optional, but not present in this class.
Parameters:
pPropDef | [in] property definition indentifying desired property
ppPropVal | [out] returned AAFPropertyValue
HRESULT IAAFObject::IsGenerationTracked ( [out] aafBoolean_t * pResult )

This method will set *pResult to AAFTrue if generations are being tracked for this object.

A result of AAFTrue indicates that generation information will be available through the GetGeneration() and GetGenerationAUID() methods.

Calling the EnableGenerationTracking() method will enable generation tracking for this object; calling the DisableGenerationTracking() method will disable generation tracking for this object.

Generation tracking is disabled by default.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] set to true if generations are tracked; false otherwise
HRESULT IAAFObject::IsPropertyPresent | ( | [in] IAAFPropertyDef * | pPropDef,
 |  | [out] aafBoolean_t * | pResult
 | ) |  |

Sets *pResultReturns true in if named property is legal and is present; sets it to false if it is legal and is absent.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.

AAFRESULT_ILLEGAL_PROPERTY

  • named property illegal for this object's class.
Parameters:
pPropDef | [in] property definition indentifying desired property
pResult | [out] true if present; false if not present
HRESULT IAAFObject::RemoveOptionalProperty ( [in] IAAFPropertyDef * pPropDef )

Removes the property if named property is legal and is optional and present.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.

AAFRESULT_ILLEGAL_PROPERTY

  • named property illegal for this object's class.
Parameters:
pPropDef [in] property definition indentifying desired property
HRESULT IAAFObject::SetPropertyValue | ( | [in] IAAFPropertyDef * | pPropDef,
 |  | [in] IAAFPropertyValue * | pPropVal
 | ) |  |

Sets the value of the given property to the given value.

If the selected property is optional but not yet present, will make the property present before setting its value.

Note! This is a low-level method which allows direct access to properties. If such access is done, any semantic checking (such as that which is performed in all other named property Get/Set methods) is not done here. Users must use this method at their own risk.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPropDef or ppPropVal arg is NULL.

AAFRESULT_ILLEGAL_PROPERTY

  • named property illegal for this object's class.

AAFRESULT_PROP_NOT_PRESENT

  • named property is optional, but not present in this class.
Parameters:
pPropDef | [in] property definition indentifying desired property
pPropVal | [in] value to set.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFObject Member List
This is the complete list of members for IAAFObject, including all inherited members.
CountProperties([out] aafUInt32 *pCount) | IAAFObject
CreateOptionalPropertyValue([in] IAAFPropertyDef *pPropDef,[out] IAAFPropertyValue **ppPropVal) | IAAFObject
DisableGenerationTracking() | IAAFObject
EnableGenerationTracking() | IAAFObject
GetDefinition([out] IAAFClassDef **ppClassDef) | IAAFObject
GetDictionary([out, retval] IAAFDictionary **ppDictionary) | IAAFObject
GetGeneration([out] IAAFIdentification **ppGeneration) | IAAFObject
GetGenerationAUID([out] aafUID_t *pResult) | IAAFObject
GetProperties([out, retval] IEnumAAFProperties **ppEnum) | IAAFObject
GetPropertyValue([in] IAAFPropertyDef *pPropDef,[out] IAAFPropertyValue **ppPropVal) | IAAFObject
IsGenerationTracked([out] aafBoolean_t *pResult) | IAAFObject
IsPropertyPresent([in] IAAFPropertyDef *pPropDef,[out] aafBoolean_t *pResult) | IAAFObject
RemoveOptionalProperty([in] IAAFPropertyDef *pPropDef) | IAAFObject
SetPropertyValue([in] IAAFPropertyDef *pPropDef,[in] IAAFPropertyValue *pPropVal) | IAAFObject
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFOperationDef Interface Reference

Public Member Functions
IAAFOperationDef Interface Reference

The IAAFOperationDef interface is implemented by objects that specify an operation definition. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | GetDataDef ([out] IAAFDataDef **ppDataDef)
Places the DataDefinition object attached to this IAAFOperationDef into the *ppDataDef argument.
HRESULT | SetDataDef ([in] IAAFDataDef *pDataDef)
Sets the IAAFDataDefinition of this IAAFOperationDef to be the given one.
HRESULT | IsTimeWarp ([out, retval] aafBoolean_t *bIsTimeWarp)
Returns the value of isTimeWarp.
HRESULT | SetIsTimeWarp ([in] aafBoolean_t IsTimeWarp)
Sets the IsTimeWarp boolean.
HRESULT | PrependDegradeToOperation ([in] IAAFOperationDef *pOperationDef)
Prepend another operation definition to the DegradeTo list of definitions.
HRESULT | AppendDegradeToOperation ([in] IAAFOperationDef *pOperationDef)
Append another operation definition to the DegradeTo list of definitions.
HRESULT | InsertDegradeToOperationAt ([in] aafUInt32 index,[in] IAAFOperationDef *pOperationDef)
Insert an operation definition into the DegradeTo list of definitions at the given index.
HRESULT | RemoveDegradeToOperationAt ([in] aafUInt32 index)
Removes the indexed operation definition from the DegradeTo list of definitions.
HRESULT | GetDegradeToOperations ([out, retval] IEnumAAFOperationDefs **ppEnum)
Return an enumerator for aaf operation definitions, ordered from the most desirable to the least desirable alternative.
HRESULT | CountDegradeToOperations ([out, retval] aafUInt32 *pResult)
Retrieves the number of Degrade To operations currently present and places that number in *pResult.
HRESULT | GetCategory ([out] aafUID_t *pValue)
This method returns an AUID indicating the category of the given operation.
HRESULT | SetCategory ([in, ref] aafUID_constref value)
This method sets an AUID indicating the category of the given operation.
HRESULT | GetNumberInputs ([out, retval] aafInt32 *pNumberInputs)
Gets the Number of input media segments.
HRESULT | SetNumberInputs ([in] aafInt32 NumberInputs)
Sets the Number of input media segments.
HRESULT | GetBypass ([out, retval] aafUInt32 *pBypass)
Gets the Bypass media segment index, which is a value from 0 to one less than that returned by GetNumberInputs().
HRESULT | SetBypass ([in] aafUInt32 bypass)
Sets the media segment index, which is a value from 0 to one less than that returned by GetNumberInputs().
HRESULT | AddParameterDef ([in] IAAFParameterDef *pParameterDef)
Add the Parameter Definition object to the unordered list of parameter definitions.
HRESULT | GetParameterDefs ([out, retval] IEnumAAFParameterDefs **ppEnum)
Return an enumerator for the unordered list of AAF Parameter definitions.
HRESULT | CountParameterDefs ([out] aafUInt32 *pResult)
This method returns the number of parameter defs.
HRESULT | LookupParameterDef ([in] aafUID_constref parameterDefId,[out] IAAFParameterDef **ppParameterDef)
This method looks up the parameter def corresponding to the given ID.

Detailed Description

The IAAFOperationDef interface is implemented by objects that specify an operation definition.

Operation definitions specify which parameters are possible on an operation, while an AAFOperationGroup specifies specific parameters and input segments for a particular operation invocation.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFOperationDef also implement the following interfaces:

IAAFDefObject

  • IAAFObject

Definition at line 17014 of file AAF.idl.

Member Function Documentation

HRESULT IAAFOperationDef::AddParameterDef ( [in] IAAFParameterDef * pParameterDef )

Add the Parameter Definition object to the unordered list of parameter definitions.

Succeeds if all of the following are true:

  • the pAAFParameterDef pointer is valid.
  • the given Parameter Definition does not exists in this Operation Definition already

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAAFParameterDef is null.

AAFRESULT_OBJECT_ALREADY_ATTACHED

  • pAAFParameterDef is already in this OperationDef
Parameters:
pParameterDef [in] Parameter definition Object
HRESULT IAAFOperationDef::AppendDegradeToOperation ( [in] IAAFOperationDef * pOperationDef )

Append another operation definition to the DegradeTo list of definitions.

Use this function to add an operation definition to be scanned last when searching for the a replacement (a less desirable alternate operation).

Succeeds if all of the following are true:

  • the pOperationDef pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperationDef is null.
Parameters:
pOperationDef [in] Degrade To operation Definition Object
HRESULT IAAFOperationDef::CountDegradeToOperations ( [out, retval] aafUInt32 * pResult )

Retrieves the number of Degrade To operations currently present and places that number in *pResult.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out, retval] resulting count of Degrade To operations
HRESULT IAAFOperationDef::CountParameterDefs ( [out] aafUInt32 * pResult )

This method returns the number of parameter defs.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] Number of parameter defs
HRESULT IAAFOperationDef::GetBypass ( [out, retval] aafUInt32 * pBypass )

Gets the Bypass media segment index, which is a value from 0 to one less than that returned by GetNumberInputs().

This value allows the client application to pick one of the inputs (foreground, background, etc.) to stand in for the effect if it is not available, and none of the degrade to effects are available.

Succeeds if all of the following are true:

  • the pBypass pointer is valid.

If this method fails nothing will be written to *pBypass.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pBypass arg is NULL.
Parameters:
pBypass [out,retval] Pointer to a Bypass media segment index
HRESULT IAAFOperationDef::GetCategory ( [out] aafUID_t * pValue )

This method returns an AUID indicating the category of the given operation.

Succeeds if all of the following are true:

  • the pValue pointer is valid.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.
Parameters:
pValue [out] The enumeration describing the current category
HRESULT IAAFOperationDef::GetDataDef ( [out] IAAFDataDef ** ppDataDef )

Places the DataDefinition object attached to this IAAFOperationDef into the *ppDataDef argument.

The data definition will match one of the AUIDs in the file AAFDataDefs.h, (which includes kAAFDataDef_Picture, and kAAFDataDef_Sound), and indicates what type of data the operation will be performed upon. For example, a video dissolve will have the data def kAAFDataDef_Picture. If a data definition is used which is not from AAFDataDefs.h, then the client is responsible for making sure that a data definition object with that ID exists in the dictionary. The SDK will take care of creating the standard data definitions.

Succeeds if all of the following are true:

  • the ppDataDefID pointer is valid.
  • A valid DataDefinition exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppDataDef is null.

AAFRESULT_INVALID_DATA_DEF

  • There is no IAAFDataDefinition. There has to be one of some kind for this to be a valid operation definition.
Parameters:
ppDataDef [out] Returned DataDefinition object
HRESULT IAAFOperationDef::GetDegradeToOperations ( [out, retval] IEnumAAFOperationDefs ** ppEnum )

Return an enumerator for aaf operation definitions, ordered from the most desirable to the least desirable alternative.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out, retval] Operation Definition Enumeration
HRESULT IAAFOperationDef::GetNumberInputs ( [out, retval] aafInt32 * pNumberInputs )

Gets the Number of input media segments.

Succeeds if all of the following are true:

  • the pNumberInputs pointer is valid.

If this method fails nothing will be written to *pNumberInputs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pNumberInputs arg is NULL.
Parameters:
pNumberInputs [out, retval] Pointer to Number of Inputs
HRESULT IAAFOperationDef::GetParameterDefs ( [out, retval] IEnumAAFParameterDefs ** ppEnum )

Return an enumerator for the unordered list of AAF Parameter definitions.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] Parameter definition enumeration
HRESULT IAAFOperationDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFOperationDef::InsertDegradeToOperationAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFOperationDef * | pOperationDef
 | ) |  |

Insert an operation definition into the DegradeTo list of definitions at the given index.

Operation definitions already existing at the given and higher indices will be moved up to the next higher index to accommodate.

Succeeds if all of the following are true:

  • the pOperationDef pointer is valid.
  • index is less than or equal to the value returned by CountDegradeToOperations().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperationDef is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountDegradeToOperations().
Parameters:
index | [in] index where operation def is to be inserted
pOperationDef | [in] Degrade To operation Definition Object
HRESULT IAAFOperationDef::IsTimeWarp ( [out, retval] aafBoolean_t * bIsTimeWarp )

Returns the value of isTimeWarp.

IsTimeWarp is true if the length of an IAAFOperationGroup is different from the lengths of the input segments. For example, a slow motion effect.

Succeeds if all of the following are true:

  • the bIsTimeWarp pointer is valid.

If this method fails nothing will be written to *bIsTimeWarp.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • bIsTimeWarp arg is NULL.
Parameters:
bIsTimeWarp [out, retval] pointer to the return value
HRESULT IAAFOperationDef::LookupParameterDef | ( | [in] aafUID_constref | parameterDefId,
 |  | [out] IAAFParameterDef ** | ppParameterDef
 | ) |  |

This method looks up the parameter def corresponding to the given ID.

Succeeds if all of the following are true:

  • the given ID corresponds to a known parameter def
  • the ppParameterDef pointer is valid.

If this method fails nothing will be written to *ppParameterDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pParameterDef arg is NULL.

AAFRESULT_OBJECT_NOT_FOUND

  • given ID does not correspond to a known parameter def.
Parameters:
parameterDefId | [in] ID of parameter def to look up
ppParameterDef | [out] resulting parameter def
HRESULT IAAFOperationDef::PrependDegradeToOperation ( [in] IAAFOperationDef * pOperationDef )

Prepend another operation definition to the DegradeTo list of definitions.

Use this function to add an operation definition to be scanned first when searching for the a replacement (a more desirable alternate operation).

Succeeds if all of the following are true:

  • the pOperationDef pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pOperationDef is null.
Parameters:
pOperationDef [in] Degrade To Operation Definition Object
HRESULT IAAFOperationDef::RemoveDegradeToOperationAt ( [in] aafUInt32 index )

Removes the indexed operation definition from the DegradeTo list of definitions.

Operation definitions already existing at indices higher than the given index will be moved down to the next lower index to accommodate.

Succeeds if all of the following are true:

  • index is less than the value returned by CountDegradeToOperations().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_BADINDEX

  • index is greater or equal to than the value returned by CountDegradeToOperations().
Parameters:
index [in] index where operation def is to be inserted
HRESULT IAAFOperationDef::SetBypass ( [in] aafUInt32 bypass )

Sets the media segment index, which is a value from 0 to one less than that returned by GetNumberInputs().

This value allows the client application to pick one of the inputs (foreground, background, etc.) to stand in for the effect if it is not available, and none of the degrade to effects are available.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
bypass [in] Bypass media segment index
HRESULT IAAFOperationDef::SetCategory ( [in, ref] aafUID_constref value )

This method sets an AUID indicating the category of the given operation.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
value [in, ref] The enumeration describing the current categor
HRESULT IAAFOperationDef::SetDataDef ( [in] IAAFDataDef * pDataDef )

Sets the IAAFDataDefinition of this IAAFOperationDef to be the given one.

The data definition will match one of the AUIDs in the file AAFDataDefs.h, (which includes kAAFDataDef_Picture, and kAAFDataDef_Sound), and indicates what type of data the operation will be performed upon. For example, a video dissolve will have the data def kAAFDataDef_Picture. If a data definition is used which is not from AAFDataDefs.h, then the client is responsible for making sure that a data definition object with that ID exists in the dictionary. The SDK will take care of creating the standard data definitions.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDataDef is null.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pDataDef [in] Essence Descriptor object
HRESULT IAAFOperationDef::SetIsTimeWarp ( [in] aafBoolean_t IsTimeWarp )

Sets the IsTimeWarp boolean.

IsTimeWarp is true if the length of an IAAFOperationGroup is different from the lengths of the input segments. For example, a slow motion effect.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
IsTimeWarp [in] is timewarp value
HRESULT IAAFOperationDef::SetNumberInputs ( [in] aafInt32 NumberInputs )

Sets the Number of input media segments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
NumberInputs [in] Number of Inputs
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFOperationDef Member List
This is the complete list of members for IAAFOperationDef, including all inherited members.
AddParameterDef([in] IAAFParameterDef *pParameterDef) | IAAFOperationDef
AppendDegradeToOperation([in] IAAFOperationDef *pOperationDef) | IAAFOperationDef
CountDegradeToOperations([out, retval] aafUInt32 *pResult) | IAAFOperationDef
CountParameterDefs([out] aafUInt32 *pResult) | IAAFOperationDef
GetBypass([out, retval] aafUInt32 *pBypass) | IAAFOperationDef
GetCategory([out] aafUID_t *pValue) | IAAFOperationDef
GetDataDef([out] IAAFDataDef **ppDataDef) | IAAFOperationDef
GetDegradeToOperations([out, retval] IEnumAAFOperationDefs **ppEnum) | IAAFOperationDef
GetNumberInputs([out, retval] aafInt32 *pNumberInputs) | IAAFOperationDef
GetParameterDefs([out, retval] IEnumAAFParameterDefs **ppEnum) | IAAFOperationDef
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFOperationDef
InsertDegradeToOperationAt([in] aafUInt32 index,[in] IAAFOperationDef *pOperationDef) | IAAFOperationDef
IsTimeWarp([out, retval] aafBoolean_t *bIsTimeWarp) | IAAFOperationDef
LookupParameterDef([in] aafUID_constref parameterDefId,[out] IAAFParameterDef **ppParameterDef) | IAAFOperationDef
PrependDegradeToOperation([in] IAAFOperationDef *pOperationDef) | IAAFOperationDef
RemoveDegradeToOperationAt([in] aafUInt32 index) | IAAFOperationDef
SetBypass([in] aafUInt32 bypass) | IAAFOperationDef
SetCategory([in, ref] aafUID_constref value) | IAAFOperationDef
SetDataDef([in] IAAFDataDef *pDataDef) | IAAFOperationDef
SetIsTimeWarp([in] aafBoolean_t IsTimeWarp) | IAAFOperationDef
SetNumberInputs([in] aafInt32 NumberInputs) | IAAFOperationDef
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFOperationGroup Interface Reference

Public Member Functions
IAAFOperationGroup Interface Reference

The IAAFOperationGroup interface is implemented by objects describe an operation (such as an effect) affecting the interpretation of zero or more input segments. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFDataDef *pDataDef,[in] aafLength_t length,[in] IAAFOperationDef *operationDef)
Initializes an operation group object with the given property values.
HRESULT | GetOperationDefinition ([out] IAAFOperationDef **ppOperationDef)
Returns the operation definition for this invocation.
HRESULT | SetOperationDefinition ([in] IAAFOperationDef *pOperationDef)
This function sets the operation definition for the given operation group.
HRESULT | GetRender ([out] IAAFSourceReference **ppSourceRef)
Returns the segment that represents the optional rendering on an operation group object.
HRESULT | IsATimeWarp ([out, retval] aafBoolean_t *pIsTimeWarp)
This boolean function returns whether or not an operation group is a timewarp effect.
HRESULT | GetBypassOverride ([out] aafUInt32 *pBypassOverride)
Returns the optional bypass override propertyvalue from the input operation def object.
HRESULT | CountSourceSegments ([out] aafUInt32 *pResult)
Returns the number of media sources to the operation group.
HRESULT | IsValidTranOperation ([out] aafBoolean_t *pValidTransition)
Verifies that the input operation group object can be used in a transition.
HRESULT | CountParameters ([out] aafUInt32 *pResult)
Returns the number of parameters in the operation group.
HRESULT | AddParameter ([in] IAAFParameter *pParameter)
Adds a new parameter object.
HRESULT | AppendInputSegment ([in] IAAFSegment *pSegment)
Appends another input segment to an operation group.
HRESULT | PrependInputSegment ([in] IAAFSegment *pSegment)
Prepends another input segment to an operation group.
HRESULT | InsertInputSegmentAt ([in] aafUInt32 index,[in] IAAFSegment *pSegment)
Inserts an input segment to an operation group at the given index.
HRESULT | SetRender ([in] IAAFSourceReference *ppSourceRef)
This function sets the final rendering for the given operation group to the input source clip.
HRESULT | SetBypassOverride ([in] aafUInt32 bypassOverride)
This function sets the optional bypass override property on the given operation group object.
HRESULT | GetParameters ([out] IEnumAAFParameters **ppEnum)
returns an enumerator across all parameters.
HRESULT | LookupParameter ([in] aafArgIDType_constref argID,[out] IAAFParameter **ppParameter)
Given an argID, returns the corresponding parameter slot and parameter slot value.
HRESULT | GetInputSegmentAt ([in] aafUInt32 index,[out] IAAFSegment **ppInputSegment)
Given an index, returns the corresponding input segment.
HRESULT | RemoveInputSegmentAt ([in] aafUInt32 index)
Removes the segment at the given index.

Detailed Description

The IAAFOperationGroup interface is implemented by objects describe an operation (such as an effect) affecting the interpretation of zero or more input segments.

OperationGroup objects may include any object implementing the IAAFSegment interface as source material, including another nested OperationGroup object.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMob is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFOperationGroup also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 17673 of file AAF.idl.

Member Function Documentation

HRESULT IAAFOperationGroup::AddParameter ( [in] IAAFParameter * pParameter )

Adds a new parameter object.

Succeeds if all of the following are true:

  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_PARAMETER

  • The given argID is already present.

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.
Parameters:
pParameter [in] Parameter to place in operation group slot
HRESULT IAAFOperationGroup::AppendInputSegment ( [in] IAAFSegment * pSegment )

Appends another input segment to an operation group.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_INDEX

  • The given index value is already present.

AAFRESULT_NULL_PARAM

  • pSegment arg is NULL.
Parameters:
pSegment [in] Segment to place in operation group
HRESULT IAAFOperationGroup::CountParameters ( [out] aafUInt32 * pResult )

Returns the number of parameters in the operation group.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] Number of parameter slots in the operation group
HRESULT IAAFOperationGroup::CountSourceSegments ( [out] aafUInt32 * pResult )

Returns the number of media sources to the operation group.

Succeeds if all of the following are true:

  • the pResult pointer is valid.

If this method fails nothing will be written to *pResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] Number of source media segments in the operation group
HRESULT IAAFOperationGroup::GetBypassOverride ( [out] aafUInt32 * pBypassOverride )

Returns the optional bypass override propertyvalue from the input operation def object.

Succeeds if all of the following are true:

  • the pBypassOverride pointer is valid.

If this method fails nothing will be written to *pBypassOverride.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • pBypassOverride arg is NULL.
Parameters:
pBypassOverride [out] Bypass override property value
HRESULT IAAFOperationGroup::GetInputSegmentAt | ( | [in] aafUInt32 | index,
 |  | [out] IAAFSegment ** | ppInputSegment
 | ) |  |

Given an index, returns the corresponding input segment.

Working and final renderings are handled by using an IAAFEssenceGroup as the segment.

Succeeds if all of the following are true:

  • the ppInputSegment pointer is valid.

If this method fails nothing will be written to *ppInputSegment.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_MISSING_INDEX

  • The given index value is not present.

AAFRESULT_NULL_PARAM

  • ppInputSegment arg is NULL.
Parameters:
index | [in] 0-based index into the effet inputs
ppInputSegment | [out] Input segment
HRESULT IAAFOperationGroup::GetOperationDefinition ( [out] IAAFOperationDef ** ppOperationDef )

Returns the operation definition for this invocation.

Succeeds if all of the following are true:

  • the ppOperationDef pointer is valid.

If this method fails nothing will be written to *ppOperationDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • ppOperationDef arg is NULL.
Parameters:
ppOperationDef [out] Operation definition object
HRESULT IAAFOperationGroup::GetParameters ( [out] IEnumAAFParameters ** ppEnum )

returns an enumerator across all parameters.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out] Parameter enumerator
HRESULT IAAFOperationGroup::GetRender ( [out] IAAFSourceReference ** ppSourceRef )

Returns the segment that represents the optional rendering on an operation group object.

Working and final renderings are handled by using an IAAFEssenceGroup as the segment.

Succeeds if all of the following are true:

  • the ppSourceRef pointer is valid.

If this method fails nothing will be written to *ppSourceRef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • ppSourceRef arg is NULL.
Parameters:
ppSourceRef [out] Final rendering segment
HRESULT IAAFOperationGroup::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafLength_t | length,
 |  | [in] IAAFOperationDef * | operationDef
 | ) |  |

Initializes an operation group object with the given property values.

This function takes an already created operation definition object as an argument. To add slots to the operation group, call AddNewSlot. To add renderings, call SetRender.

Parameters:
pDataDef | [in] Data Definition Object
length | [in] Length property value
operationDef | [in] Operation Definition object
HRESULT IAAFOperationGroup::InsertInputSegmentAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFSegment * | pSegment
 | ) |  |

Inserts an input segment to an operation group at the given index.

The existing segments at the given and higher indices are moved up by one to make room.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.
  • the index is not greater than the value returned by CountInputSegments().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_INDEX

  • The given index value is already present.

AAFRESULT_BAD_INDEX

  • index is greater than the value returned by CountInputSegments().

AAFRESULT_NULL_PARAM

  • pSegment arg is NULL.
Parameters:
index | [in] index to place this segment
pSegment | [in] Segment to place in operation group
HRESULT IAAFOperationGroup::IsATimeWarp ( [out, retval] aafBoolean_t * pIsTimeWarp )

This boolean function returns whether or not an operation group is a timewarp effect.

Succeeds if all of the following are true:

  • the pIsTimeWarp pointer is valid.

If this method fails nothing will be written to *pIsTimeWarp.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pIsTimeWarp arg is NULL.
Parameters:
pIsTimeWarp [out, retval] Returned boolean value
HRESULT IAAFOperationGroup::IsValidTranOperation ( [out] aafBoolean_t * pValidTransition )

Verifies that the input operation group object can be used in a transition.

Succeeds if all of the following are true:

  • the pValidTransition pointer is valid.

If this method fails nothing will be written to *pValidTransition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pValidTransition arg is NULL.
Parameters:
pValidTransition [out] TRUE if the operation group is valid in a transition
HRESULT IAAFOperationGroup::LookupParameter | ( | [in] aafArgIDType_constref | argID,
 |  | [out] IAAFParameter ** | ppParameter
 | ) |  |

Given an argID, returns the corresponding parameter slot and parameter slot value.

Succeeds if all of the following are true:

  • the ppParameter pointer is valid.

If this method fails nothing will be written to *ppParameter.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_MISSING_PARAMETER

  • The given argID is not present.

AAFRESULT_NULL_PARAM

  • ppParameter arg is NULL.
Parameters:
argID | [in] Arg ID
ppParameter | [out] Parameter object
HRESULT IAAFOperationGroup::PrependInputSegment ( [in] IAAFSegment * pSegment )

Prepends another input segment to an operation group.

Succeeds if all of the following are true:

  • the pSegment pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DUPLICATE_INDEX

  • The given index value is already present.

AAFRESULT_NULL_PARAM

  • pSegment arg is NULL.
Parameters:
pSegment [in] Segment to place in operation group
HRESULT IAAFOperationGroup::RemoveInputSegmentAt ( [in] aafUInt32 index )

Removes the segment at the given index.

Existing segments at higher indices are moved down by one to accommodate.

Succeeds if all of the following are true:

  • index is less than the result of CountInputSegments().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_MISSING_INDEX

  • The given index value is not present.
Parameters:
index [in] 0-based index into the effect inputs
HRESULT IAAFOperationGroup::SetBypassOverride ( [in] aafUInt32 bypassOverride )

This function sets the optional bypass override property on the given operation group object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
bypassOverride [in] Bypass override
HRESULT IAAFOperationGroup::SetOperationDefinition ( [in] IAAFOperationDef * pOperationDef )

This function sets the operation definition for the given operation group.

Succeeds if all of the following are true:

  • the pOperationDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOperationDef arg is NULL.
Parameters:
pOperationDef [in] Operation definition object
HRESULT IAAFOperationGroup::SetRender ( [in] IAAFSourceReference * ppSourceRef )

This function sets the final rendering for the given operation group to the input source clip.

(Multiple renderings may exist if the source clip refers to a master mob that contains a Essence group.)

Succeeds if all of the following are true:

  • the ppSourceRef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSourceRef arg is NULL.
Parameters:
ppSourceRef [in] A segment containing a representation of the rendering
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFOperationGroup Member List
This is the complete list of members for IAAFOperationGroup, including all inherited members.
AddParameter([in] IAAFParameter *pParameter) | IAAFOperationGroup
AppendInputSegment([in] IAAFSegment *pSegment) | IAAFOperationGroup
CountParameters([out] aafUInt32 *pResult) | IAAFOperationGroup
CountSourceSegments([out] aafUInt32 *pResult) | IAAFOperationGroup
GetBypassOverride([out] aafUInt32 *pBypassOverride) | IAAFOperationGroup
GetInputSegmentAt([in] aafUInt32 index,[out] IAAFSegment **ppInputSegment) | IAAFOperationGroup
GetOperationDefinition([out] IAAFOperationDef **ppOperationDef) | IAAFOperationGroup
GetParameters([out] IEnumAAFParameters **ppEnum) | IAAFOperationGroup
GetRender([out] IAAFSourceReference **ppSourceRef) | IAAFOperationGroup
Initialize([in] IAAFDataDef *pDataDef,[in] aafLength_t length,[in] IAAFOperationDef *operationDef) | IAAFOperationGroup
InsertInputSegmentAt([in] aafUInt32 index,[in] IAAFSegment *pSegment) | IAAFOperationGroup
IsATimeWarp([out, retval] aafBoolean_t *pIsTimeWarp) | IAAFOperationGroup
IsValidTranOperation([out] aafBoolean_t *pValidTransition) | IAAFOperationGroup
LookupParameter([in] aafArgIDType_constref argID,[out] IAAFParameter **ppParameter) | IAAFOperationGroup
PrependInputSegment([in] IAAFSegment *pSegment) | IAAFOperationGroup
RemoveInputSegmentAt([in] aafUInt32 index) | IAAFOperationGroup
SetBypassOverride([in] aafUInt32 bypassOverride) | IAAFOperationGroup
SetOperationDefinition([in] IAAFOperationDef *pOperationDef) | IAAFOperationGroup
SetRender([in] IAAFSourceReference *ppSourceRef) | IAAFOperationGroup
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFParameter Interface Reference

Public Member Functions
IAAFParameter Interface Reference

The IAAFParameter interface is implemented by objects that specify an Instantiation of an operation parameter. More...

List of all members.

Public Member Functions

HRESULT | GetParameterDefinition ([out, retval] IAAFParameterDef **ppParmDef)
Places the parameter definition of the operation parameter into the *ppParmDef argument.
HRESULT | GetTypeDefinition ([out, retval] IAAFTypeDef **ppTypeDef)
Places the IAAFTypeDefinition of the data value inside this parameter into the *ppTypeDef argument.

Detailed Description

The IAAFParameter interface is implemented by objects that specify an Instantiation of an operation parameter.

It is an abstract class, so you should use AAFConstantValue or AAFVaryingValue.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFParameter also implement the following interfaces:

IAAFObject

Definition at line 19290 of file AAF.idl.

Member Function Documentation

HRESULT IAAFParameter::GetParameterDefinition ( [out, retval] IAAFParameterDef ** ppParmDef )

Places the parameter definition of the operation parameter into the *ppParmDef argument.

The length of an operation parameter is in the same edit units and has the same value as the IAAFOperationGroup enclosing this parameter.

Succeeds if all of the following are true:

  • the ppParmDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppParmDef is null.
Parameters:
ppParmDef [out,retval] New parameter definition
HRESULT IAAFParameter::GetTypeDefinition ( [out, retval] IAAFTypeDef ** ppTypeDef )

Places the IAAFTypeDefinition of the data value inside this parameter into the *ppTypeDef argument.

The data value is the value of the parameter. It is often an integer or rational, and may change over time. An example of a value would be the "level" parameter of a video dissolve, which has control points with a value of zero (0 percent B material) at the start, to one (100 percent B material) at the end. The data value will actually be stored in either AAFConstantValue or one of the AAFControlPoints inside of an AAFVaryingValue.

The definition is stored in the base class because it should be constant for all control points inside of a varying value.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
ppTypeDef [out,retval] Type Definition of the data value inside of this object
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFParameter Member List
This is the complete list of members for IAAFParameter, including all inherited members.
GetParameterDefinition([out, retval] IAAFParameterDef **ppParmDef) | IAAFParameter
GetTypeDefinition([out, retval] IAAFTypeDef **ppTypeDef) | IAAFParameter
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFParameterDef Interface Reference

Public Member Functions
IAAFParameterDef Interface Reference

The IAAFParameterDef interface is implemented by objects that specify a definition of an operation group parameter. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription,[in] IAAFTypeDef *pType)
Init all fields of a definition object.
HRESULT | GetTypeDefinition ([retval, out] IAAFTypeDef **ppTypeDef)
Places the AAFTypeDef object attached to this IAAFParameterDef into the *ppTypeDef argument.
HRESULT | SetDisplayUnits ([in, string] aafCharacter_constptr pDisplayUnits)
Sets the Display Units string property.
HRESULT | GetDisplayUnits ([out, string, size_is(bufSize)] aafCharacter *pDisplayUnits,[in] aafUInt32 bufSize)
Gets the Display Units string property.
HRESULT | GetDisplayUnitsBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetDisplayUnits().

Detailed Description

The IAAFParameterDef interface is implemented by objects that specify a definition of an operation group parameter.

The parameterDef object is separate from the operation definition to allow some parameters, for example level, to be specified once for multiple operation definitions. Parmeter definitions define the possible values and display units of a single operation parameter.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFParameterDef also implement the following interfaces:

IAAFDefObject

  • IAAFObject

Definition at line 19396 of file AAF.idl.

Member Function Documentation

HRESULT IAAFParameterDef::GetDisplayUnits | ( | [out, string, size_is(bufSize)] aafCharacter * | pDisplayUnits,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Display Units string property.

Writes the DisplayUnits property, with a trailing null character, into the pDisplayUnits buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the DisplayUnits property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetDisplayUnitsBufLen() to determine the required buffer size.

If this method fails nothing will be written to pDisplayUnits.

Succeeds if:

  • The pDisplayUnits pointer is valid.
  • bufSize indicates that the buffer is large enough to hold DisplayUnits.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDisplayUnits arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold DisplayUnits.
Parameters:
pDisplayUnits | [out, string, size_is(bufSize)] buffer into which DisplayUnits is to be written
bufSize | [in] size of *pDisplayUnits buffer in bytes
HRESULT IAAFParameterDef::GetDisplayUnitsBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetDisplayUnits().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFParameterDef::GetTypeDefinition ( [retval, out] IAAFTypeDef ** ppTypeDef )

Places the AAFTypeDef object attached to this IAAFParameterDef into the *ppTypeDef argument.

If none exists yet, NULL is placed into the *ppTypeDef argument.

The returned AAFTypeDef object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppTypeDef pointer is valid.
  • A valid AAFTypeDef exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.

AAFRESULT_NO_ESSENCE_DESC

  • There is no AAFTypeDef. There has to be one of some kind for this to be a valid operation definition.
Parameters:
ppTypeDef [retval,out] Pointer to a type definition
HRESULT IAAFParameterDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription,
 |  | [in] IAAFTypeDef * | pType
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
pType | [in] The type definition for all parameters that use this definition
HRESULT IAAFParameterDef::SetDisplayUnits ( [in, string] aafCharacter_constptr pDisplayUnits )

Sets the Display Units string property.

Set the DisplayUnits property to the value specified in pDisplayUnits. A copy is made of the data so the caller retains ownership of the *pDisplayUnits buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pDisplayUnits pointer is valid.

If this method fails the DisplayUnits property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDisplayUnits arg is NULL.
Parameters:
pDisplayUnits [in, string] buffer from which DisplayUnits is to be read
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFParameterDef Member List
This is the complete list of members for IAAFParameterDef, including all inherited members.
GetDisplayUnits([out, string, size_is(bufSize)] aafCharacter *pDisplayUnits,[in] aafUInt32 bufSize) | IAAFParameterDef
GetDisplayUnitsBufLen([out] aafUInt32 *pBufSize) | IAAFParameterDef
GetTypeDefinition([retval, out] IAAFTypeDef **ppTypeDef) | IAAFParameterDef
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription,[in] IAAFTypeDef *pType) | IAAFParameterDef
SetDisplayUnits([in, string] aafCharacter_constptr pDisplayUnits) | IAAFParameterDef
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPCMDescriptor Interface Reference

Public Member Functions
IAAFPCMDescriptor Interface Reference

The IAAFPCMDescriptor interface is implemented by objects which describe audio essence. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, IAAFPCMDescriptor-supporting object.
HRESULT | SetBlockAlign ([in] aafUInt16 blockAlign)
Sets the number of bytes used to store one sample of all channels.
HRESULT | GetBlockAlign ([out] aafUInt16 *pBlockAlign)
Gets the number of bytes used to store one sample of all channels.
HRESULT | SetSequenceOffset ([in] aafUInt8 offset)
Sets the frame number of the beginning of the essence data within a five-frame sequence.
HRESULT | GetSequenceOffset ([out] aafUInt8 *pOffset)
Gets the frame number of the beginning of the essence data within a five-frame sequence.
HRESULT | SetAverageBPS ([in] aafUInt32 bps)
Sets the average bytes per second of the essence stream.
HRESULT | GetAverageBPS ([out] aafUInt32 *pBps)
Gets the average bytes per second of the essence stream.
HRESULT | SetChannelAssignment ([in, ref] aafUID_constref channelAssignment)
Sets the channel assignment scheme.
HRESULT | GetChannelAssignment ([out] aafUID_t *pChannelAssignment)
Gets the channel assignment scheme.
HRESULT | AreAllPeakEnvelopePropertiesPresent ([out] aafBoolean_t *pArePresent)
Places TRUE into *pArePresent if the following optional properties are set on the descriptor: PeakEnvelopeVersion PeakEnvelopeFormat PointsPerPeakValue PeakEnvelopeBlockSize PeakChannels PeakFrames PeakOfPeaksPosition PeakEnvelopeTimestamp PeakEnvelopeData.
HRESULT | SetPeakEnvelopeVersion ([in] aafUInt32 version)
Sets the version of the peak envelope data.
HRESULT | GetPeakEnvelopeVersion ([out] aafUInt32 *pVersion)
Gets the version of the peak envelope data.
HRESULT | SetPeakEnvelopeFormat ([in] aafUInt32 format)
Sets the format of the peak point.
HRESULT | GetPeakEnvelopeFormat ([out] aafUInt32 *pFormat)
Gets the format of the peak point.
HRESULT | SetPointsPerPeakValue ([in] aafUInt32 pointCount)
Sets the number of peak points per peak value.
HRESULT | GetPointsPerPeakValue ([out] aafUInt32 *pPointCount)
Gets the number of peak points per peak value.
HRESULT | SetPeakEnvelopeBlockSize ([in] aafUInt32 blockSize)
Sets the number of audio samples used to generate each peak frame.
HRESULT | GetPeakEnvelopeBlockSize ([out] aafUInt32 *pBlockSize)
Gets the number of audio samples used to generate each peak frame.
HRESULT | SetPeakChannelCount ([in] aafUInt32 channelCount)
Sets the number of peak channels.
HRESULT | GetPeakChannelCount ([out] aafUInt32 *pChannelCount)
Gets the number of peak channels.
HRESULT | SetPeakFrameCount ([in] aafUInt32 frameCount)
Sets the number of peak frames.
HRESULT | GetPeakFrameCount ([out] aafUInt32 *pFrameCount)
Gets the number of peak frames.
HRESULT | SetPeakOfPeaksPosition ([in] aafPosition_t position)
Sets the offset to the first audio sample whose absolute value is the maximum value of the entire audio file.
HRESULT | GetPeakOfPeaksPosition ([out] aafPosition_t *pPosition)
Gets the offset to the first audio sample whose absolute value is the maximum value of the entire audio file.
HRESULT | SetPeakEnvelopeTimestamp ([in] aafTimeStamp_constref timeStamp)
Sets the time stamp of the creation of the peak data.
HRESULT | GetPeakEnvelopeTimestamp ([out] aafTimeStamp_t *pTimeStamp)
Gets the time stamp of the creation of the peak data.
HRESULT | SetPeakEnvelopeDataPosition ([in] aafPosition_t position)
Sets the offset from the beginning of peak envelope data.
HRESULT | GetPeakEnvelopeDataPosition ([out] aafPosition_t *pPosition)
Gets the offset from the beginning of peak envelope data.
HRESULT | GetPeakEnvelopeDataSize ([out] aafLength_t *pSize)
Gets the size of peak envelope data.
HRESULT | WritePeakEnvelopeData ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesWritten)
Write the specified bytes to the peak envelope data stream.
HRESULT | ReadPeakEnvelopeData ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesRead)
Read the specified number of bytes from the peak envelope data stream into buffer.

Detailed Description

The IAAFPCMDescriptor interface is implemented by objects which describe audio essence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFPCMDescriptor also implement the following interfaces:

IAAFSoundDescriptor

  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 18274 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPCMDescriptor::AreAllPeakEnvelopePropertiesPresent ( [out] aafBoolean_t * pArePresent )

Places TRUE into *pArePresent if the following optional properties are set on the descriptor: PeakEnvelopeVersion PeakEnvelopeFormat PointsPerPeakValue PeakEnvelopeBlockSize PeakChannels PeakFrames PeakOfPeaksPosition PeakEnvelopeTimestamp PeakEnvelopeData.

Succeeds if all of the following are true:

  • the pArePresent pointer is valid.

If this method fails nothing will be written to *pIsPresent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pArePresent arg is NULL.
Parameters:
pArePresent [out] The flag indicating presence of the optional properties that form peak envelope.
HRESULT IAAFPCMDescriptor::GetAverageBPS ( [out] aafUInt32 * pBps )

Gets the average bytes per second of the essence stream.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pBps pointer is valid.

If this method fails nothing will be written to *pBps.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pBps arg is NULL.
Parameters:
pBps [out] Average bytes per second of the essence stream.
HRESULT IAAFPCMDescriptor::GetBlockAlign ( [out] aafUInt16 * pBlockAlign )

Gets the number of bytes used to store one sample of all channels.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pBlockAlign pointer is valid.

If this method fails nothing will be written to *pBlockAlign.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pBlockAlign arg is NULL.
Parameters:
pBlockAlign [out] The number of bytes used to store one sample of all channels.
HRESULT IAAFPCMDescriptor::GetChannelAssignment ( [out] aafUID_t * pChannelAssignment )

Gets the channel assignment scheme.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pChannelAssignment pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pChannelAssignment.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pChannelAssignment arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pChannelAssignment [out] The channel assignment in use.
HRESULT IAAFPCMDescriptor::GetPeakChannelCount ( [out] aafUInt32 * pChannelCount )

Gets the number of peak channels.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pChannelCount pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pChannelCount.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pChannelCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pChannelCount [out] The number of peak channels.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeBlockSize ( [out] aafUInt32 * pBlockSize )

Gets the number of audio samples used to generate each peak frame.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pBlockSize pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pBlockSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pBlockSize arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pBlockSize [out] The number of audio samples used to generate each peak frame.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeDataPosition ( [out] aafPosition_t * pPosition )

Gets the offset from the beginning of peak envelope data.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pPosition pointer is valid.
  • the object is persistent (attached to a file).

If this method fails nothing will be written to *pPosition.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pPosition arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the PeakEnvelopeData property is not present.

AAFRESULT_OBJECT_NOT_PERSISTENT

  • the object is not persistent.
Parameters:
pPosition [out] Offset from the beginning of peak envelope data.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeDataSize ( [out] aafLength_t * pSize )

Gets the size of peak envelope data.

PeakEnvelopeData is optional property.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pSize pointer is valid.
  • the PeakEnvelopeData property is present.
  • the object is persistent (attached to a file).

If this method fails nothing will be written to *pSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the PeakEnvelopeData property is not present.

AAFRESULT_OBJECT_NOT_PERSISTENT

  • the object is not persistent.
Parameters:
pSize [out] The size of peak envelope data.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeFormat ( [out] aafUInt32 * pFormat )

Gets the format of the peak point.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pFormat pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pFormat.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pFormat arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFormat [out] Format of the peak point.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeTimestamp ( [out] aafTimeStamp_t * pTimeStamp )

Gets the time stamp of the creation of the peak data.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pTimeStamp pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pTimeStamp.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pTimeStamp arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pTimeStamp [out] The time stamp of the creation of the peak data.
HRESULT IAAFPCMDescriptor::GetPeakEnvelopeVersion ( [out] aafUInt32 * pVersion )

Gets the version of the peak envelope data.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pVersion pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pVersion.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pVersion arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pVersion [out] Version of the peak envelope data.
HRESULT IAAFPCMDescriptor::GetPeakFrameCount ( [out] aafUInt32 * pFrameCount )

Gets the number of peak frames.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pFrameCount pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pFrameCount.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pFrameCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFrameCount [out] The number of peak frames.
HRESULT IAAFPCMDescriptor::GetPeakOfPeaksPosition ( [out] aafPosition_t * pPosition )

Gets the offset to the first audio sample whose absolute value is the maximum value of the entire audio file.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pPosition pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pPosition.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pPosition arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pPosition [out] The offset to peak of peaks.
HRESULT IAAFPCMDescriptor::GetPointsPerPeakValue ( [out] aafUInt32 * pPointCount )

Gets the number of peak points per peak value.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pPointCount pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pPointCount.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pPointCount arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pPointCount [out] The number of peak points per peak value.
HRESULT IAAFPCMDescriptor::GetSequenceOffset ( [out] aafUInt8 * pOffset )

Gets the frame number of the beginning of the essence data within a five-frame sequence.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pOffset pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pOffset.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pOffset arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pOffset [out] Zero-based ordinal frame number of the beginning of the essence data within a five-frame sequence.
HRESULT IAAFPCMDescriptor::Initialize ( )

Initializes a newly allocated, IAAFPCMDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFPCMDescriptor::ReadPeakEnvelopeData | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | pBytesRead
 | ) |  |

Read the specified number of bytes from the peak envelope data stream into buffer.

Succeeds if all of the following are true:

  • the object is initialized.
  • the number of bytes to read is non-zero.
  • the buffer pointer is valid.
  • the pBytesRead pointer is valid.
  • the PeakEnvelopeData property is present.
  • the object is persistent (attached to a file).
  • not yet reached the end of the data stream.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_END_OF_DATA

  • trying to read beyond the end of the data stream.

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_INVALID_PARAM

  • bytes arg is larger than zero.

AAFRESULT_NULL_PARAM

  • buffer arg is NULL.

AAFRESULT_NULL_PARAM

  • pBytesRead arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the PeakEnvelopeData property is not present.

AAFRESULT_OBJECT_NOT_PERSISTENT

  • the object is not persistent.
Parameters:
bytes | [in] Read this many bytes
buffer | [out, size_is(bytes)] Buffer to read the data to
pBytesRead | [out,ref] Number of bytes actually read.
HRESULT IAAFPCMDescriptor::SetAverageBPS ( [in] aafUInt32 bps )

Sets the average bytes per second of the essence stream.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the AverageBPS property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
bps [in] Average bytes per second of the essence stream.
HRESULT IAAFPCMDescriptor::SetBlockAlign ( [in] aafUInt16 blockAlign )

Sets the number of bytes used to store one sample of all channels.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the BlockAlign property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
blockAlign [in] The number of bytes used to store one sample of all channels.
HRESULT IAAFPCMDescriptor::SetChannelAssignment ( [in, ref] aafUID_constref channelAssignment )

Sets the channel assignment scheme.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the ChannelAssignment property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
channelAssignment [in, ref] The channel assignment to use.
HRESULT IAAFPCMDescriptor::SetPeakChannelCount ( [in] aafUInt32 channelCount )

Sets the number of peak channels.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the channel count will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
channelCount [in] The number of peak channels.
HRESULT IAAFPCMDescriptor::SetPeakEnvelopeBlockSize ( [in] aafUInt32 blockSize )

Sets the number of audio samples used to generate each peak frame.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the PeakEnvelopeBlockSize property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
blockSize [in] The number of audio samples used to generate each peak frame.
HRESULT IAAFPCMDescriptor::SetPeakEnvelopeDataPosition ( [in] aafPosition_t position )

Sets the offset from the beginning of peak envelope data.

Succeeds if all of the following are true:

  • the object is initialized.
  • the object is persistent (attached to a file).

If this method fails the position will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_OBJECT_NOT_PERSISTENT

  • the object is not persistent.
Parameters:
position [in] Offset from the beginning of peak envelope data.
HRESULT IAAFPCMDescriptor::SetPeakEnvelopeFormat ( [in] aafUInt32 format )

Sets the format of the peak point.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the format will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
format [in] Format of the peak point.
HRESULT IAAFPCMDescriptor::SetPeakEnvelopeTimestamp ( [in] aafTimeStamp_constref timeStamp )

Sets the time stamp of the creation of the peak data.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the time stamp will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
timeStamp [in] The time stamp of the creation of the peak data.
HRESULT IAAFPCMDescriptor::SetPeakEnvelopeVersion ( [in] aafUInt32 version )

Sets the version of the peak envelope data.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the version will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
version [in] Version of the peak envelope data.
HRESULT IAAFPCMDescriptor::SetPeakFrameCount ( [in] aafUInt32 frameCount )

Sets the number of peak frames.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the frame count will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
frameCount [in] The number of peak frames.
HRESULT IAAFPCMDescriptor::SetPeakOfPeaksPosition ( [in] aafPosition_t position )

Sets the offset to the first audio sample whose absolute value is the maximum value of the entire audio file.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the PeakOfPeaksPosition property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
position [in] The offset to peak of peaks
HRESULT IAAFPCMDescriptor::SetPointsPerPeakValue ( [in] aafUInt32 pointCount )

Sets the number of peak points per peak value.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the PointsPerPeakValue property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
pointCount [in] The number of peak points per peak value.
HRESULT IAAFPCMDescriptor::SetSequenceOffset ( [in] aafUInt8 offset )

Sets the frame number of the beginning of the essence data within a five-frame sequence.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the SequenceOffset property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
offset [in] Zero-based ordinal frame number of the beginning of the essence data within a five-frame sequence.
HRESULT IAAFPCMDescriptor::WritePeakEnvelopeData | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | pBytesWritten
 | ) |  |

Write the specified bytes to the peak envelope data stream.

Succeeds if all of the following are true:

  • the number of bytes to write is non-zero.
  • the buffer pointer is valid.
  • the pBytesWritten pointer is valid.
  • the object is initialized.
  • the object is persistent (attached to a file).

If this method fails the PeakEnvelopeData property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_INVALID_PARAM

  • bytes arg is larger than zero.

AAFRESULT_NULL_PARAM

  • buffer arg is NULL.

AAFRESULT_NULL_PARAM

  • pBytesWritten arg is NULL.

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_OBJECT_NOT_PERSISTENT

  • the object is not persistent.

AAFRESULT_CONTAINERWRITE

  • writing failed.
Parameters:
bytes | [in] Write this many bytes
buffer | [out, size_is(bytes)] Data to write
pBytesWritten | [out,ref] Number of bytes actually written.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPCMDescriptor Member List
This is the complete list of members for IAAFPCMDescriptor, including all inherited members.
AreAllPeakEnvelopePropertiesPresent([out] aafBoolean_t *pArePresent) | IAAFPCMDescriptor
GetAverageBPS([out] aafUInt32 *pBps) | IAAFPCMDescriptor
GetBlockAlign([out] aafUInt16 *pBlockAlign) | IAAFPCMDescriptor
GetChannelAssignment([out] aafUID_t *pChannelAssignment) | IAAFPCMDescriptor
GetPeakChannelCount([out] aafUInt32 *pChannelCount) | IAAFPCMDescriptor
GetPeakEnvelopeBlockSize([out] aafUInt32 *pBlockSize) | IAAFPCMDescriptor
GetPeakEnvelopeDataPosition([out] aafPosition_t *pPosition) | IAAFPCMDescriptor
GetPeakEnvelopeDataSize([out] aafLength_t *pSize) | IAAFPCMDescriptor
GetPeakEnvelopeFormat([out] aafUInt32 *pFormat) | IAAFPCMDescriptor
GetPeakEnvelopeTimestamp([out] aafTimeStamp_t *pTimeStamp) | IAAFPCMDescriptor
GetPeakEnvelopeVersion([out] aafUInt32 *pVersion) | IAAFPCMDescriptor
GetPeakFrameCount([out] aafUInt32 *pFrameCount) | IAAFPCMDescriptor
GetPeakOfPeaksPosition([out] aafPosition_t *pPosition) | IAAFPCMDescriptor
GetPointsPerPeakValue([out] aafUInt32 *pPointCount) | IAAFPCMDescriptor
GetSequenceOffset([out] aafUInt8 *pOffset) | IAAFPCMDescriptor
Initialize() | IAAFPCMDescriptor
ReadPeakEnvelopeData([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesRead) | IAAFPCMDescriptor
SetAverageBPS([in] aafUInt32 bps) | IAAFPCMDescriptor
SetBlockAlign([in] aafUInt16 blockAlign) | IAAFPCMDescriptor
SetChannelAssignment([in, ref] aafUID_constref channelAssignment) | IAAFPCMDescriptor
SetPeakChannelCount([in] aafUInt32 channelCount) | IAAFPCMDescriptor
SetPeakEnvelopeBlockSize([in] aafUInt32 blockSize) | IAAFPCMDescriptor
SetPeakEnvelopeDataPosition([in] aafPosition_t position) | IAAFPCMDescriptor
SetPeakEnvelopeFormat([in] aafUInt32 format) | IAAFPCMDescriptor
SetPeakEnvelopeTimestamp([in] aafTimeStamp_constref timeStamp) | IAAFPCMDescriptor
SetPeakEnvelopeVersion([in] aafUInt32 version) | IAAFPCMDescriptor
SetPeakFrameCount([in] aafUInt32 frameCount) | IAAFPCMDescriptor
SetPeakOfPeaksPosition([in] aafPosition_t position) | IAAFPCMDescriptor
SetPointsPerPeakValue([in] aafUInt32 pointCount) | IAAFPCMDescriptor
SetSequenceOffset([in] aafUInt8 offset) | IAAFPCMDescriptor
WritePeakEnvelopeData([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesWritten) | IAAFPCMDescriptor
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPhysicalDescriptor Interface Reference

IAAFPhysicalDescriptor Interface Reference

The AAFPhysicalDescriptor interface is implemented by objects which describe physical sources. More...

Detailed Description

The AAFPhysicalDescriptor interface is implemented by objects which describe physical sources.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFPhysicalDescriptor also implement the following interfaces:

IAAFEssenceDescriptor

  • IAAFObject

Definition at line 19594 of file AAF.idl.

Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPlainEssenceData Interface Reference

Public Member Functions
IAAFPlainEssenceData Interface Reference

This is a default inerface for a class used to provide access to file encoding-independent stream data. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | Write ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a essence stream.
HRESULT | Read ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a essence stream.
HRESULT | SetPosition ([in] aafPosition_t offset)
Seek to absolute position within the essence data.
HRESULT | GetPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the essence data.
HRESULT | GetSize ([out] aafLength_t *pSize)
Return the total size of the essence data.
HRESULT | WriteSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten)
Write pre-interleaved data to a sample index stream.
HRESULT | ReadSampleIndex ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead)
Read pre-interleaved data from a sample index stream.
HRESULT | SetSampleIndexPosition ([in] aafPosition_t offset)
Seek to absolute position within the sample index data.
HRESULT | GetSampleIndexPosition ([out] aafPosition_t *pOffset)
Get the absolute position within the sample index data.
HRESULT | GetSampleIndexSize ([out] aafLength_t *pSize)
Return the total size of the sample index data.
HRESULT | SetFileMob ([in] IAAFSourceMob *pFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMob ([in] IAAFSourceMob **ppFileMob)
Associates a weak reference to the given file mob with the essence data.
HRESULT | GetFileMobID ([out] aafMobID_t *pFileMobID)
Return the mob id used to find the file mob associated with this essence.

Detailed Description

This is a default inerface for a class used to provide access to file encoding-independent stream data.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFPlainEssenceData also implement the following interfaces:

  • IAAFKLVEssenceDataParameters

Definition at line 19627 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPlainEssenceData::GetFileMob ( [in] IAAFSourceMob ** ppFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the ppFileMob pointer is valid and a weak reference to the associated file mob can be resolved.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileMob is null.
Parameters:
ppFileMob [in] reference to a file mob
HRESULT IAAFPlainEssenceData::GetFileMobID ( [out] aafMobID_t * pFileMobID )

Return the mob id used to find the file mob associated with this essence.

The file mob must exist in the same file as this essence data.

Parameters:
pFileMobID [out] the file mob id associated with essence
HRESULT IAAFPlainEssenceData::GetPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the essence data.

Parameters:
pOffset [out] offset from beginning of essence
HRESULT IAAFPlainEssenceData::GetSampleIndexPosition ( [out] aafPosition_t * pOffset )

Get the absolute position within the sample index data.

Parameters:
pOffset [out] offset from beginning of sample index
HRESULT IAAFPlainEssenceData::GetSampleIndexSize ( [out] aafLength_t * pSize )

Return the total size of the sample index data.

Parameters:
pSize [out] size of sample index data
HRESULT IAAFPlainEssenceData::GetSize ( [out] aafLength_t * pSize )

Return the total size of the essence data.

Parameters:
pSize [out] size of essence data
HRESULT IAAFPlainEssenceData::Initialize ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFPlainEssenceData::Read | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a essence stream.

Parameters:
bytes | [in] read this many bytes
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFPlainEssenceData::ReadSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Read pre-interleaved data from a sample index stream.

Parameters:
bytes | [in] read this many bytes from the sample index stream
buffer | [out, size_is(bytes), length_is(*bytesRead)] here is the buffer
bytesRead | [out,ref]
HRESULT IAAFPlainEssenceData::SetFileMob ( [in] IAAFSourceMob * pFileMob )

Associates a weak reference to the given file mob with the essence data.

Succeeds if all of the following are true:

  • the pFileMob pointer is valid and points to a file mob (contains a file descriptor).

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFileMob is null.
Parameters:
pFileMob [in] reference to a file mob
HRESULT IAAFPlainEssenceData::SetPosition ( [in] aafPosition_t offset )

Seek to absolute position within the essence data.

Parameters:
offset [in] offset from beginning of essence
HRESULT IAAFPlainEssenceData::SetSampleIndexPosition ( [in] aafPosition_t offset )

Seek to absolute position within the sample index data.

Parameters:
offset [in] offset from beginning of sample index
HRESULT IAAFPlainEssenceData::Write | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a essence stream.

Parameters:
bytes | [in] write this many bytes
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
HRESULT IAAFPlainEssenceData::WriteSampleIndex | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | bytesWritten
 | ) |  |

Write pre-interleaved data to a sample index stream.

Parameters:
bytes | [in] write this many bytes to the sample index stream
buffer | [out, size_is(bytes)] here is the buffer
bytesWritten | [out,ref]
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPlainEssenceData Member List
This is the complete list of members for IAAFPlainEssenceData, including all inherited members.
GetFileMob([in] IAAFSourceMob **ppFileMob) | IAAFPlainEssenceData
GetFileMobID([out] aafMobID_t *pFileMobID) | IAAFPlainEssenceData
GetPosition([out] aafPosition_t *pOffset) | IAAFPlainEssenceData
GetSampleIndexPosition([out] aafPosition_t *pOffset) | IAAFPlainEssenceData
GetSampleIndexSize([out] aafLength_t *pSize) | IAAFPlainEssenceData
GetSize([out] aafLength_t *pSize) | IAAFPlainEssenceData
Initialize([in] IAAFSourceMob *pFileMob) | IAAFPlainEssenceData
Read([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFPlainEssenceData
ReadSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFPlainEssenceData
SetFileMob([in] IAAFSourceMob *pFileMob) | IAAFPlainEssenceData
SetPosition([in] aafPosition_t offset) | IAAFPlainEssenceData
SetSampleIndexPosition([in] aafPosition_t offset) | IAAFPlainEssenceData
Write([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFPlainEssenceData
WriteSampleIndex([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFPlainEssenceData
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPlainStreamData Interface Reference

Public Member Functions
IAAFPlainStreamData Interface Reference

This interface is used to define Stream types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize)
Returns number of bytes contained in the referenced property value.
HRESULT | SetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize)
Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:
HRESULT | GetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition)
Returns the byte position of the current element in the stream.
HRESULT | SetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition)
Make the current byte position to the one at newPosition in the stream property value.
HRESULT | Read ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead)
Sequential access.
HRESULT | Write ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Sequential access.
HRESULT | Append ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extending the stream.
HRESULT | HasStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder)
Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.
HRESULT | GetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder)
Access byte order of the stream.
HRESULT | SetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder)
Sets the byte order to be associated with this stream.
HRESULT | ClearStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue)
Clears the byte order to be associated with this stream.
HRESULT | ReadElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead)
Access in typed chunks of Elements.
HRESULT | WriteElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Access in typed chunks of Elements.
HRESULT | AppendElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extend in chunks of typed Elements")

Detailed Description

This interface is used to define Stream types used in AAF persistent objects.

Streams are conceptually similar to variably-sized arrays except that they are intended to be used for very large pieces of data (such as essence). Note: All reads/and writes advance the current position.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFPlainStreamData also implement the following interfaces:

  • IAAFKLVStreamParameters

Definition at line 19901 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPlainStreamData::Append | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extending the stream.

Copies the data in the given buffer into the stream at the end of the stream.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be appended to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write (must be equal to the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFPlainStreamData::AppendElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extend in chunks of typed Elements")

Access in typed chunks of Elements. Copies the data in the given buffer onto the end of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
HRESULT IAAFPlainStreamData::ClearStoredByteOrder ( [in] IAAFPropertyValue * pStreamPropertyValue )

Clears the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue [in] stream property value
HRESULT IAAFPlainStreamData::GetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pPosition
 | ) |  |

Returns the byte position of the current element in the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pPosition is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pPosition arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pPosition | [out] current byte position in the specified stream property value
HRESULT IAAFPlainStreamData::GetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pSize
 | ) |  |

Returns number of bytes contained in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pSize is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pSize arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pSize | [out] count of bytes in the specified stream property value
HRESULT IAAFPlainStreamData::GetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] eAAFByteOrder_t * | pByteOrder
 | ) |  |

Access byte order of the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pByteOrder | [out] Pointer to variable where byte order is to be copied
HRESULT IAAFPlainStreamData::HasStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafBoolean_t * | pHasByteOrder
 | ) |  |

Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pHasByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pHasByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pHasByteOrder | [out] kAAFTrue if this stream has a stored byte order
HRESULT IAAFPlainStreamData::Read | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Sequential access.

Copies the data at the position of the stream to the given buffer.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes exist in the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to read
dataSize | [in] number of bytes to read
pData | [out, size_is(dataSize), length_is(*bytesRead)] buffer into which one element from the stream should be written
bytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFPlainStreamData::ReadElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | pBytesRead
 | ) |  |

Access in typed chunks of Elements.

Copies the data at the current position of the stream to the given buffer. Requires that any structures declared within element typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pBytesRead or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for element typedef.

AAFRESULT_INVALID_PARAM

  • there are not dataSize bytes left in the stream.
Parameters:
pStreamPropertyValue | [in] stream property value to read
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to read (must be evenly divisible by the element type length)
pData | [out, size_is(dataSize), length_is(*pBytesRead)] buffer into which elements from the stream should be written
pBytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFPlainStreamData::SetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newPosition
 | ) |  |

Make the current byte position to the one at newPosition in the stream property value.

Succeeds if:

  • pStreamPropertyValue is a valid pointer.
  • the new position is valid

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.

AAFRESULT_INVALID_PARAM

  • newPosition is outside the bounds of the stream.
Parameters:
pStreamPropertyValue | [in] stream property value
newPosition | [in] the new position in the specified stream property value
HRESULT IAAFPlainStreamData::SetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newSize
 | ) |  |

Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
newSize | [in] new count of bytes in the specified stream property value
HRESULT IAAFPlainStreamData::SetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] eAAFByteOrder_t | byteOrder
 | ) |  |

Sets the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
byteOrder | [in] byte order is to be stored with the stream
HRESULT IAAFPlainStreamData::Write | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Sequential access.

Copies the data in the given buffer into the stream at the current position of the stream..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be written to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFPlainStreamData::WriteElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Access in typed chunks of Elements.

Copies the data in the given buffer into the stream at the current position of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPlainStreamData Member List
This is the complete list of members for IAAFPlainStreamData, including all inherited members.
Append([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFPlainStreamData
AppendElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFPlainStreamData
ClearStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue) | IAAFPlainStreamData
GetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition) | IAAFPlainStreamData
GetSize([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize) | IAAFPlainStreamData
GetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder) | IAAFPlainStreamData
HasStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder) | IAAFPlainStreamData
Read([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead) | IAAFPlainStreamData
ReadElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead) | IAAFPlainStreamData
SetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition) | IAAFPlainStreamData
SetSize([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize) | IAAFPlainStreamData
SetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder) | IAAFPlainStreamData
Write([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFPlainStreamData
WriteElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFPlainStreamData
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPluginDef Interface Reference

Public Member Functions
IAAFPluginDef Interface Reference

An object which describes a particular implementation of a plug-in interface. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] aafCharacter_constptr pName,[in] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | GetCategoryClass ([out] aafUID_t *pCategoryClass)
Obtains the Category Class, which is identifies the stored classID of the subclass of AAFPluggableDefinition which references this plugin descriptor.
HRESULT | SetCategoryClass ([in, ref] aafUID_constref categoryClass)
Sets the Category Class, which is identifies the stored classID of the subclass of AAFPluggableDefinition which references this plugin descriptor.
HRESULT | GetPluginVersion ([out] aafVersionType_t *pVersion)
Gets the Plugin Version property associated with this plugin descriptor and places it into *pVersion.
HRESULT | SetPluginVersion ([in] aafVersionType_t *pVersion)
Sets the plugin version property of this plugin descriptor.
HRESULT | SetPluginVersionString ([in, string] aafCharacter_constptr pPluginVersionString)
Sets the Plugin Version String property.
HRESULT | GetPluginVersionString ([out, string, size_is(bufSize)] aafCharacter *pPluginVersionString,[in] aafUInt32 bufSize)
Gets the Plugin Version String property.
HRESULT | GetPluginVersionStringBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetPluginVersionString().
HRESULT | SetPluginManufacturerName ([in, string] aafCharacter_constptr pPluginManufacturerName)
Sets the Plugin Manufacturer Name string property.
HRESULT | GetPluginManufacturerName ([out, string, size_is(bufSize)] aafCharacter *pPluginManufacturerName,[in] aafUInt32 bufSize)
Gets the Plugin Manufacturer Name string property.
HRESULT | GetPluginManufacturerNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetPluginManufacturerName().
HRESULT | GetManufacturerInfo ([out, retval] IAAFNetworkLocator **ppResult)
This method will get an AAFNetworkLocator pointing to ManufacturerInfo for this plugin and place an interface for the locator into the **ppResult argument.
HRESULT | SetManufacturerInfo ([in] IAAFNetworkLocator *pManufacturerInfo)
This method will set a locator pointing to the location of ManufacturerInfo for this plugin.
HRESULT | GetManufacturerID ([out] aafUID_t *pManufacturerID)
Obtains the manufacturer ID, which is identifies the manfacturer of this plugin.
HRESULT | SetManufacturerID ([in, ref] aafUID_constref manufacturerID)
Sets the manufacturer ID, which is identifies the manufacturer of this plugin.
HRESULT | GetHardwarePlatform ([out] aafHardwarePlatform_t *pHardwarePlatform)
Obtains the hardware platform ID, which identifies the hardware platform which is required to use this plugin.
HRESULT | SetHardwarePlatform ([in] aafHardwarePlatform_constref hardwarePlatform)
Sets the hardware platform ID, which identifies the hardware platform which is required to use this plugin.
HRESULT | GetPlatformVersionRange ([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion)
Gets the minimum and maximum platform Version properties associated with this plugin descriptor and places it into pMinVersion, and *pMaxVersion.
HRESULT | SetPlatformMinimumVersion ([in] aafVersionType_constref minVersion)
Sets the maximum platform Version property of this plugin descriptor.
HRESULT | SetPlatformMaximumVersion ([in] aafVersionType_constref maxVersion)
Sets the maximum platform Version properties associated with this plugin descriptor.
HRESULT | GetEngine ([out] aafEngine_t *pEngine)
Obtains the software engine ID, which identifies the software subsystem used for essence management and playback used by the plugin.
HRESULT | SetEngine ([in] aafEngine_constref engine)
Sets the software engine ID, which identifies the software subsystem used for essence management and playback used by the plugin.
HRESULT | GetEngineVersionRange ([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion)
Gets the minimum and maximum engine Version properties of the engine which is associated with this plugin and places it into pMinVersion, and *pMaxVersion.
HRESULT | SetEngineMinimumVersion ([in] aafVersionType_constref minVersion)
Sets the minimum engine Version property to the minimum useful version of the engine which is associated with this plugin.
HRESULT | SetEngineMaximumVersion ([in] aafVersionType_constref pMaxVersion)
Sets the minimum engine Version property to the maximum useful version of the engine which is associated with this plugin.
HRESULT | GetPluginAPI ([out] aafPluginAPI_t *pPluginAPI)
Obtains the manufacturer ID Class, which identifies the plugin interface supported by the plugin.
HRESULT | SetPluginAPI ([in] aafPluginAPI_constref pluginAPI)
Obtains the manufacturer ID, which identifies the plugin interface supported by the plugin.
HRESULT | GetPluginAPIVersionRange ([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion)
Gets the minimum and maximum plugin API Version properties of the plugin API which is associated with this plugin descriptor and places it into *pMinVersion, and *pMaxVersion.
HRESULT | SetPluginAPIMinimumVersion ([out] aafVersionType_constref minVersion)
Sets the minimum plugin API Version property to the minimum useful version of the plugin API which is associated with this plugin.
HRESULT | SetPluginAPIMaximumVersion ([in] aafVersionType_constref maxVersion)
Sets the maximum engine Version property to the maximum useful version of the plugin API which is associated with this plugin.
HRESULT | IsSoftwareOnly ([out] aafBoolean_t *pIsSoftwareOnly)
Tells whether the given plugin is capable of running in a software-only environment.
HRESULT | SetIsSoftwareOnly ([in] aafBoolean_t isSoftwareOnly)
Sets whether the given plugin is capable of running in a software-only environment, and returns AAFFalse if any hardware is required.
HRESULT | IsAccelerated ([out] aafBoolean_t *pIsAccelerated)
Tells whether the given plugin is capable of running with a hardware accelerator.
HRESULT | SetIsAccelerated ([in] aafBoolean_t isAccelerated)
Tells whether the given plugin is capable of running with a hardware accelerator.
HRESULT | SupportsAuthentication ([out] aafBoolean_t *pSupportsAuthentication)
Tells whether the given plugin is capable of supporting authentication.
HRESULT | SetSupportsAuthentication ([in] aafBoolean_t SupportsAuthentication)
Tells whether the given plugin is capable of supporting authentication.
HRESULT | CountLocators ([out] aafUInt32 *pResult)
Return the number of locators attached to this plugin descriptor.
HRESULT | AppendLocator ([in] IAAFLocator *pLocator)
Append another locator to this plugin descriptor.
HRESULT | PrependLocator ([in] IAAFLocator *pLocator)
Append another locator to this plugin descriptor.
HRESULT | InsertLocatorAt ([in] aafUInt32 index,[in] IAAFLocator *pLocator)
Insert another locator to this plugin descriptor at the given index.
HRESULT | GetLocatorAt ([in] aafUInt32 index,[out] IAAFLocator **ppLocator)
Gets the locator which exists in this plugin descriptor at the given index.
HRESULT | RemoveLocatorAt ([in] aafUInt32 index)
Removes the locator which exists in this plugin descriptor at the given index.
HRESULT | GetLocators ([out, retval] IEnumAAFPluginLocators **ppEnum)
Places an IEnumAAFPluginLocators enumerator for the plugin locators contained in the AAFPluginDescriptor into the *ppEnum argument.
HRESULT | SetDefinitionObjectID ([in] aafUID_t pDef)
Sets the definition object handled by this plugin.
HRESULT | GetDefinitionObjectID ([retval, out] aafUID_t *ppDef)
Gets the definition object handled by this plugin.

Detailed Description

An object which describes a particular implementation of a plug-in interface.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFPluginDef also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 20463 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPluginDef::AppendLocator ( [in] IAAFLocator * pLocator )

Append another locator to this plugin descriptor.

Use this function to add a locator to be scanned last when searching for the plugin (a secondary location for the plugin).

Succeeds if all of the following are true:

  • the pLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.
Parameters:
pLocator [in] Locator to append
HRESULT IAAFPluginDef::CountLocators ( [out] aafUInt32 * pResult )

Return the number of locators attached to this plugin descriptor.

The number of locators may be zero if the plugin is in the current file.

Succeeds if all of the following are true:

  • the pCount pointer is valid.

If this method fails nothing is written to *pCount.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCount is null.
Parameters:
pResult [out] Returns the number of locators
HRESULT IAAFPluginDef::GetCategoryClass ( [out] aafUID_t * pCategoryClass )

Obtains the Category Class, which is identifies the stored classID of the subclass of AAFPluggableDefinition which references this plugin descriptor.

This ID is written into the caller-allocated aafUID_t specified by the pCategoryClass argument.

Succeeds if all of the following are true:

  • the pCategoryClass pointer is valid.

If this method fails nothing will be written to *pCategoryClass.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pCategoryClass arg is NULL.
Parameters:
pCategoryClass [out] The CategoryClass
HRESULT IAAFPluginDef::GetDefinitionObjectID ( [retval, out] aafUID_t * ppDef )

Gets the definition object handled by this plugin.

Parameters:
ppDef [retval,out] AUID of an AAFDefinitionObject
HRESULT IAAFPluginDef::GetEngine ( [out] aafEngine_t * pEngine )

Obtains the software engine ID, which identifies the software subsystem used for essence management and playback used by the plugin.

This ID is written into the caller-allocated variable specified by the pHardwarePlatform argument. The type aafEngine_t is an extensible, enumerated type, and the value given must be either standard or in the type dictionary.

Succeeds if all of the following are true:

  • the pHardwarePlatform pointer is valid.

If this method fails nothing will be written to pHardwarePlatform.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEngine arg is NULL.
Parameters:
pEngine [out] The software engine
HRESULT IAAFPluginDef::GetEngineVersionRange | ( | [out] aafVersionType_t * | pMinVersion,
 |  | [out] aafVersionType_t * | pMaxVersion
 | ) |  |

Gets the minimum and maximum engine Version properties of the engine which is associated with this plugin and places it into pMinVersion, and *pMaxVersion.

These are the minimum and maximum versions of the engine for which this plugin will function.

Succeeds if all of the following are true:

  • both pMinVersion and pMaxVersion pointers are valid.

If this method fails, nothing will be written to *pMinVersion or pMaxVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pMinVersion or pMaxVersion arg is NULL.
Parameters:
pMinVersion | [out] The Minimum Engine Version
pMaxVersion | [out] The Maximum Engine Version
HRESULT IAAFPluginDef::GetHardwarePlatform ( [out] aafHardwarePlatform_t * pHardwarePlatform )

Obtains the hardware platform ID, which identifies the hardware platform which is required to use this plugin.

This ID is written into the caller-allocated variable specified by the pHardwarePlatform argument. The type aafHardwarePlatform_t is an extensible enumerated type, and the value given must be either standard or in the type dictionary.

Succeeds if all of the following are true:

  • the pHardwarePlatform pointer is valid.

If this method fails nothing will be written to pHardwarePlatform.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pHardwarePlatform arg is NULL.
Parameters:
pHardwarePlatform [out] The HardwarePlatform
HRESULT IAAFPluginDef::GetLocatorAt | ( | [in] aafUInt32 | index,
 |  | [out] IAAFLocator ** | ppLocator
 | ) |  |

Gets the locator which exists in this plugin descriptor at the given index.

Succeeds if all of the following are true:

  • index is less than the value returned by CountLocators().
  • the ppLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppLocator is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountLocators().
Parameters:
index | [in] index to insert locator
ppLocator | [out] returned Locator
HRESULT IAAFPluginDef::GetLocators ( [out, retval] IEnumAAFPluginLocators ** ppEnum )

Places an IEnumAAFPluginLocators enumerator for the plugin locators contained in the AAFPluginDescriptor into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

E_FAIL

  • Failed to create the enumerator.
Parameters:
ppEnum [out, retval] Plugin Locator Enumeration
HRESULT IAAFPluginDef::GetManufacturerID ( [out] aafUID_t * pManufacturerID )

Obtains the manufacturer ID, which is identifies the manfacturer of this plugin.

This ID is written into the caller-allocated aafUID_t specified by the pManufacturerID argument.

Succeeds if all of the following are true:

  • the pManufacturerID pointer is valid.

If this method fails nothing will be written to pManufacturerID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pManufacturerID arg is NULL.
Parameters:
pManufacturerID [out] The ManufacturerID
HRESULT IAAFPluginDef::GetManufacturerInfo ( [out, retval] IAAFNetworkLocator ** ppResult )

This method will get an AAFNetworkLocator pointing to ManufacturerInfo for this plugin and place an interface for the locator into the **ppResult argument.

If a ManufacturerInfo locator exists, the result will be AddRef()ed. If not, the result will be NULL.

Succeeds if all of the following are true:

  • the ppResult pointer is valid.

If this method fails nothing will be written to *ppResult.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppResult arg is NULL.
Parameters:
ppResult [out, retval] ManufacturerInfo property value
HRESULT IAAFPluginDef::GetPlatformVersionRange | ( | [out] aafVersionType_t * | pMinVersion,
 |  | [out] aafVersionType_t * | pMaxVersion
 | ) |  |

Gets the minimum and maximum platform Version properties associated with this plugin descriptor and places it into pMinVersion, and *pMaxVersion.

These are the minimum and maximum versions of the platform for which this plugin will function.

Succeeds if all of the following are true:

  • both pMinVersion and pMaxVersion pointers are valid.

If this method fails, nothing will be written to *pMinVersion or pMaxVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pMinVersion or pMaxVersion arg is NULL.
Parameters:
pMinVersion | [out] The Minimum Platform Version
pMaxVersion | [out] The Maximum Platform Version
HRESULT IAAFPluginDef::GetPluginAPI ( [out] aafPluginAPI_t * pPluginAPI )

Obtains the manufacturer ID Class, which identifies the plugin interface supported by the plugin.

This ID is written into the caller-allocated variable specified by the pPluginAPI argument. The type aafPluginAPI_t is an extensible enumerated type, and the value given must be either standard or in the type dictionary.

Succeeds if all of the following are true:

  • the pPluginAPI pointer is valid.

If this method fails nothing will be written to *pPluginAPI.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPluginAPI arg is NULL.
Parameters:
pPluginAPI [out] The PluginAPI
HRESULT IAAFPluginDef::GetPluginAPIVersionRange | ( | [out] aafVersionType_t * | pMinVersion,
 |  | [out] aafVersionType_t * | pMaxVersion
 | ) |  |

Gets the minimum and maximum plugin API Version properties of the plugin API which is associated with this plugin descriptor and places it into *pMinVersion, and *pMaxVersion.

These are the minimum and maximum versions of the PluginAPI for which this plugin will function.

Succeeds if all of the following are true:

  • both pMinVersion and pMaxVersion pointers are valid.

If this method fails, nothing will be written to *pMinVersion or pMaxVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pMinVersion or pMaxVersion arg is NULL.
Parameters:
pMinVersion | [out] The Minimum Plugin API Version
pMaxVersion | [out] The Maximum Plugin API Version
HRESULT IAAFPluginDef::GetPluginManufacturerName | ( | [out, string, size_is(bufSize)] aafCharacter * | pPluginManufacturerName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Plugin Manufacturer Name string property.

Writes the PluginManufacturerName property, with a trailing null character, into the pPluginManufacturerName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the PluginManufacturerName property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetPluginManufacturerNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pPluginManufacturerName.

Succeeds if:

  • The pPluginManufacturerName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold PluginManufacturerName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPluginManufacturerName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold PluginManufacturerName.
Parameters:
pPluginManufacturerName | [out, string, size_is(bufSize)] buffer into which PluginManufacturerName is to be written
bufSize | [in] size of *pPluginManufacturerName buffer in bytes
HRESULT IAAFPluginDef::GetPluginManufacturerNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetPluginManufacturerName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFPluginDef::GetPluginVersion ( [out] aafVersionType_t * pVersion )

Gets the Plugin Version property associated with this plugin descriptor and places it into *pVersion.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails, nothing will be written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVersion arg is NULL.
Parameters:
pVersion [out] The Plugin Version
HRESULT IAAFPluginDef::GetPluginVersionString | ( | [out, string, size_is(bufSize)] aafCharacter * | pPluginVersionString,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Plugin Version String property.

Writes the PluginVersionString property, with a trailing null character, into the pPluginVersionString buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the PluginVersionString property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetPluginVersionStringBufLen() to determine the required buffer size.

If this method fails nothing will be written to pPluginVersionString.

Succeeds if:

  • The pPluginVersionString pointer is valid.
  • bufSize indicates that the buffer is large enough to hold PluginVersionString.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPluginVersionString arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold PluginVersionString.
Parameters:
pPluginVersionString | [out, string, size_is(bufSize)] buffer into which PluginVersionString is to be written
bufSize | [in] size of *pPluginVersionString buffer in bytes
HRESULT IAAFPluginDef::GetPluginVersionStringBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetPluginVersionString().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFPluginDef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] aafCharacter_constptr | pName,
 |  | [in] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in] Name for new DefObject
pDescription | [in] Description for new DefObject
HRESULT IAAFPluginDef::InsertLocatorAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFLocator * | pLocator
 | ) |  |

Insert another locator to this plugin descriptor at the given index.

Locators already existing at the named and higher indices will be moved up to the next higher index to accommodate.

Succeeds if all of the following are true:

  • index is less than or equal to the value returned by CountLocators().
  • the pLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountLocators().
Parameters:
index | [in] index to insert locator
pLocator | [in] Locator to insert
HRESULT IAAFPluginDef::IsAccelerated ( [out] aafBoolean_t * pIsAccelerated )

Tells whether the given plugin is capable of running with a hardware accelerator.

If the result is AAFTrue, then this plugin may also support software decompression.

Succeeds if all of the following are true:

  • the pIsAccelerated pointer is valid.

If this method fails nothing will be written to *pIsAccelerated.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pIsAccelerated arg is NULL.
Parameters:
pIsAccelerated [out] The IsAccelerated
HRESULT IAAFPluginDef::IsSoftwareOnly ( [out] aafBoolean_t * pIsSoftwareOnly )

Tells whether the given plugin is capable of running in a software-only environment.

A value of AAFTrue indicates that no additional hardware is required. If the result is AAFTrue, then this plugin may also support hardware acceleration, as long as it also contains a software method of processing the data.

Succeeds if all of the following are true:

  • the pIsSoftwareOnly pointer is valid.

If this method fails nothing will be written to *pIsSoftwareOnly.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pIsSoftwareOnly arg is NULL.
Parameters:
pIsSoftwareOnly [out] The IsSoftwareOnly
HRESULT IAAFPluginDef::PrependLocator ( [in] IAAFLocator * pLocator )

Append another locator to this plugin descriptor.

Use this function to add a locator to be scanned first when searching for the plugin (a new primary location for the plugin).

Succeeds if all of the following are true:

  • the pLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocator is null.
Parameters:
pLocator [in] Locator to append
HRESULT IAAFPluginDef::RemoveLocatorAt ( [in] aafUInt32 index )

Removes the locator which exists in this plugin descriptor at the given index.

Locators already existing at indices higher than the named index will be moved down to the next higher index to accommodate.

Succeeds if all of the following are true:

  • index is less than the value returned by CountLocators().
  • the ppLocator pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppLocator is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountLocators().
Parameters:
index [in] index to insert locator
HRESULT IAAFPluginDef::SetCategoryClass ( [in, ref] aafUID_constref categoryClass )

Sets the Category Class, which is identifies the stored classID of the subclass of AAFPluggableDefinition which references this plugin descriptor.

If this method fails the Category Class property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
categoryClass [in, ref] The Category Class
HRESULT IAAFPluginDef::SetDefinitionObjectID ( [in] aafUID_t pDef )

Sets the definition object handled by this plugin.

Parameters:
pDef [in] AUID of an AAFDefinitionObject
HRESULT IAAFPluginDef::SetEngine ( [in] aafEngine_constref engine )

Sets the software engine ID, which identifies the software subsystem used for essence management and playback used by the plugin.

The type aafEngine_t is an extensible enumerated type, and the value given must be either standard or in the type dictionary.

If this method fails the engine property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
engine [in] The software engine
HRESULT IAAFPluginDef::SetEngineMaximumVersion ( [in] aafVersionType_constref pMaxVersion )

Sets the minimum engine Version property to the maximum useful version of the engine which is associated with this plugin.

This is the maximum version of the engine for which this plugin will function.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pMaxVersion [in] The Minimum Engine Version
HRESULT IAAFPluginDef::SetEngineMinimumVersion ( [in] aafVersionType_constref minVersion )

Sets the minimum engine Version property to the minimum useful version of the engine which is associated with this plugin.

This is the minimum version of the engine for which this plugin will function.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
minVersion [in] The Minimum Engine Version
HRESULT IAAFPluginDef::SetHardwarePlatform ( [in] aafHardwarePlatform_constref hardwarePlatform )

Sets the hardware platform ID, which identifies the hardware platform which is required to use this plugin.

The type aafHardwarePlatform_t is an extensible enumerated type, and the value given must be either standard or in the type dictionary.

If this method fails the HardwarePlatform property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
hardwarePlatform [in] The Category Class
HRESULT IAAFPluginDef::SetIsAccelerated ( [in] aafBoolean_t isAccelerated )

Tells whether the given plugin is capable of running with a hardware accelerator.

If the result is AAFTrue, then this plugin may also support software decompression.

If this method fails the IsAccelerated property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
isAccelerated [in] The isAccelerated flag
HRESULT IAAFPluginDef::SetIsSoftwareOnly ( [in] aafBoolean_t isSoftwareOnly )

Sets whether the given plugin is capable of running in a software-only environment, and returns AAFFalse if any hardware is required.

If isSoftwareOnly is AAFTrue, then this plugin may also support hardware acceleration, as long as it also contains a software method of processing the data. If this method fails the isSoftwareOnly property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
isSoftwareOnly [in] The isSoftwareOnly flag
HRESULT IAAFPluginDef::SetManufacturerID ( [in, ref] aafUID_constref manufacturerID )

Sets the manufacturer ID, which is identifies the manufacturer of this plugin.

If this method fails the ManufacturerID property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
manufacturerID [in, ref] The Category Class
HRESULT IAAFPluginDef::SetManufacturerInfo ( [in] IAAFNetworkLocator * pManufacturerInfo )

This method will set a locator pointing to the location of ManufacturerInfo for this plugin.

If a ManufacturerInfo already exists for this mob slot, it will be discarded.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
pManufacturerInfo [in] ManufacturerInfo property value
HRESULT IAAFPluginDef::SetPlatformMaximumVersion ( [in] aafVersionType_constref maxVersion )

Sets the maximum platform Version properties associated with this plugin descriptor.

This is the maximum version of the platform for which this plugin will function.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
maxVersion [in] The Maximum Platform Version
HRESULT IAAFPluginDef::SetPlatformMinimumVersion ( [in] aafVersionType_constref minVersion )

Sets the maximum platform Version property of this plugin descriptor.

This is the minimum version of the platform for which this plugin will function.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
minVersion [in] The Minimum Platform Version
HRESULT IAAFPluginDef::SetPluginAPI ( [in] aafPluginAPI_constref pluginAPI )

Obtains the manufacturer ID, which identifies the plugin interface supported by the plugin.

The type aafPluginAPI_t is an extensible enumerated type, and the value given must be either standard or in the type dictionary.

If this method fails the PluginAPI property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
pluginAPI [in] The Category Class
HRESULT IAAFPluginDef::SetPluginAPIMaximumVersion ( [in] aafVersionType_constref maxVersion )

Sets the maximum engine Version property to the maximum useful version of the plugin API which is associated with this plugin.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
maxVersion [in] The Maximum Plugin API Version
HRESULT IAAFPluginDef::SetPluginAPIMinimumVersion ( [out] aafVersionType_constref minVersion )

Sets the minimum plugin API Version property to the minimum useful version of the plugin API which is associated with this plugin.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
minVersion [out] The Minimum Plugin API Version
HRESULT IAAFPluginDef::SetPluginManufacturerName ( [in, string] aafCharacter_constptr pPluginManufacturerName )

Sets the Plugin Manufacturer Name string property.

Set the PluginManufacturerName property to the value specified in pPluginManufacturerName. A copy is made of the data so the caller retains ownership of the *pPluginManufacturerName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pPluginManufacturerName pointer is valid.

If this method fails the PluginManufacturerName property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPluginManufacturerName arg is NULL.
Parameters:
pPluginManufacturerName [in, string] buffer from which PluginManufacturerName is to be read
HRESULT IAAFPluginDef::SetPluginVersion ( [in] aafVersionType_t * pVersion )

Sets the plugin version property of this plugin descriptor.

Succeeds if all of the following are true:

  • pVersion pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVersion arg is NULL.
Parameters:
pVersion [in] The plugin Version
HRESULT IAAFPluginDef::SetPluginVersionString ( [in, string] aafCharacter_constptr pPluginVersionString )

Sets the Plugin Version String property.

Set the PluginVersionString property to the value specified in pPluginVersionString. A copy is made of the data so the caller retains ownership of the *pPluginVersionString buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pPluginVersionString pointer is valid.

If this method fails the PluginVersionString property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPluginVersionString arg is NULL.
Parameters:
pPluginVersionString [in, string] buffer from which PluginVersionString is to be read
HRESULT IAAFPluginDef::SetSupportsAuthentication ( [in] aafBoolean_t SupportsAuthentication )

Tells whether the given plugin is capable of supporting authentication.

The methods for authenticating a plugin are still <tbd>.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
SupportsAuthentication [in] The SupportsAuthentication flag
HRESULT IAAFPluginDef::SupportsAuthentication ( [out] aafBoolean_t * pSupportsAuthentication )

Tells whether the given plugin is capable of supporting authentication.

The methods for authenticating a plugin are still <tbd>.

Succeeds if all of the following are true:

  • the pSupportsAuthentication pointer is valid.

If this method fails nothing will be written to pSupportsAuthentication.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSupportsAuthentication arg is NULL.
Parameters:
pSupportsAuthentication [out] The SupportsAuthentication
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPluginDef Member List
This is the complete list of members for IAAFPluginDef, including all inherited members.
AppendLocator([in] IAAFLocator *pLocator) | IAAFPluginDef
CountLocators([out] aafUInt32 *pResult) | IAAFPluginDef
GetCategoryClass([out] aafUID_t *pCategoryClass) | IAAFPluginDef
GetDefinitionObjectID([retval, out] aafUID_t *ppDef) | IAAFPluginDef
GetEngine([out] aafEngine_t *pEngine) | IAAFPluginDef
GetEngineVersionRange([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion) | IAAFPluginDef
GetHardwarePlatform([out] aafHardwarePlatform_t *pHardwarePlatform) | IAAFPluginDef
GetLocatorAt([in] aafUInt32 index,[out] IAAFLocator **ppLocator) | IAAFPluginDef
GetLocators([out, retval] IEnumAAFPluginLocators **ppEnum) | IAAFPluginDef
GetManufacturerID([out] aafUID_t *pManufacturerID) | IAAFPluginDef
GetManufacturerInfo([out, retval] IAAFNetworkLocator **ppResult) | IAAFPluginDef
GetPlatformVersionRange([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion) | IAAFPluginDef
GetPluginAPI([out] aafPluginAPI_t *pPluginAPI) | IAAFPluginDef
GetPluginAPIVersionRange([out] aafVersionType_t *pMinVersion,[out] aafVersionType_t *pMaxVersion) | IAAFPluginDef
GetPluginManufacturerName([out, string, size_is(bufSize)] aafCharacter *pPluginManufacturerName,[in] aafUInt32 bufSize) | IAAFPluginDef
GetPluginManufacturerNameBufLen([out] aafUInt32 *pBufSize) | IAAFPluginDef
GetPluginVersion([out] aafVersionType_t *pVersion) | IAAFPluginDef
GetPluginVersionString([out, string, size_is(bufSize)] aafCharacter *pPluginVersionString,[in] aafUInt32 bufSize) | IAAFPluginDef
GetPluginVersionStringBufLen([out] aafUInt32 *pBufSize) | IAAFPluginDef
Initialize([in, ref] aafUID_constref id,[in] aafCharacter_constptr pName,[in] aafCharacter_constptr pDescription) | IAAFPluginDef
InsertLocatorAt([in] aafUInt32 index,[in] IAAFLocator *pLocator) | IAAFPluginDef
IsAccelerated([out] aafBoolean_t *pIsAccelerated) | IAAFPluginDef
IsSoftwareOnly([out] aafBoolean_t *pIsSoftwareOnly) | IAAFPluginDef
PrependLocator([in] IAAFLocator *pLocator) | IAAFPluginDef
RemoveLocatorAt([in] aafUInt32 index) | IAAFPluginDef
SetCategoryClass([in, ref] aafUID_constref categoryClass) | IAAFPluginDef
SetDefinitionObjectID([in] aafUID_t pDef) | IAAFPluginDef
SetEngine([in] aafEngine_constref engine) | IAAFPluginDef
SetEngineMaximumVersion([in] aafVersionType_constref pMaxVersion) | IAAFPluginDef
SetEngineMinimumVersion([in] aafVersionType_constref minVersion) | IAAFPluginDef
SetHardwarePlatform([in] aafHardwarePlatform_constref hardwarePlatform) | IAAFPluginDef
SetIsAccelerated([in] aafBoolean_t isAccelerated) | IAAFPluginDef
SetIsSoftwareOnly([in] aafBoolean_t isSoftwareOnly) | IAAFPluginDef
SetManufacturerID([in, ref] aafUID_constref manufacturerID) | IAAFPluginDef
SetManufacturerInfo([in] IAAFNetworkLocator *pManufacturerInfo) | IAAFPluginDef
SetPlatformMaximumVersion([in] aafVersionType_constref maxVersion) | IAAFPluginDef
SetPlatformMinimumVersion([in] aafVersionType_constref minVersion) | IAAFPluginDef
SetPluginAPI([in] aafPluginAPI_constref pluginAPI) | IAAFPluginDef
SetPluginAPIMaximumVersion([in] aafVersionType_constref maxVersion) | IAAFPluginDef
SetPluginAPIMinimumVersion([out] aafVersionType_constref minVersion) | IAAFPluginDef
SetPluginManufacturerName([in, string] aafCharacter_constptr pPluginManufacturerName) | IAAFPluginDef
SetPluginVersion([in] aafVersionType_t *pVersion) | IAAFPluginDef
SetPluginVersionString([in, string] aafCharacter_constptr pPluginVersionString) | IAAFPluginDef
SetSupportsAuthentication([in] aafBoolean_t SupportsAuthentication) | IAAFPluginDef
SupportsAuthentication([out] aafBoolean_t *pSupportsAuthentication) | IAAFPluginDef
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPluginManager Interface Reference

Public Member Functions
IAAFPluginManager Interface Reference

This interface is used with an object representing an AAF class definition. More...

List of all members.

Public Member Functions

HRESULT | RegisterSharedPlugins ()
Attempts to load and register all of the AAF plugin files found in shared installation directory.
HRESULT | RegisterPluginDirectory ([in] aafCharacter_constptr directoryName)
Attempts to load and register all of the AAF plugin files found in the given directory.
HRESULT | RegisterPluginFile ([in] aafCharacter_constptr fileName)
Attempts to load and register all of the AAF plugins found in the given file.
HRESULT | EnumLoadedPlugins ([in, ref] aafUID_constref categoryID,[out, retval] IEnumAAFLoadedPlugins **ppEnum)
Returns an enumerator which enumerates over all of the loaded plugin choices through the *ppEnum argument.
HRESULT | CreatePluginDefinition ([in, ref] aafUID_constref pluginDefID,[in] IAAFDictionary *pDictionary,[out] IAAFDefObject **ppPluginDef)
Given a plugin definition ID, find a plugin and manufactures a plugin descriptor of the correct class for this plugin, filling in the values, and returning the definition through the pPluginDesc argument.
HRESULT | CreateInstance ([in] REFCLSID rclsid,[in] IUnknown *pUnkOuter,[in] REFIID riid,[out, iid_is(riid)] void **ppPlugin)
Create an object contained within one of the loaded plugin files.

Detailed Description

This interface is used with an object representing an AAF class definition.

The operations on a class definition include managing the position of the class within the class heirarchy, and accessing property definitions associated with the class.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 21839 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPluginManager::CreateInstance | ( | [in] REFCLSID | rclsid,
 |  | [in] IUnknown * | pUnkOuter,
 |  | [in] REFIID | riid,
 |  | [out, iid_is(riid)] void ** | ppPlugin
 | ) |  |

Create an object contained within one of the loaded plugin files.

Succeeds if all of the following are true:

  • the rclsid was found by the plugin manager
  • the interface corresponding to riid is supported by the plugin
  • if pUnkOuter is not NULL and given plugin supports aggregation and riid must be a reference to IID_IUnknown.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

E_INVALIDARG

  • if ppPlugin is null.
  • pUnkOuter is not NULL and riid is not IID_IUnknown.

AAFRESULT_EXTENSION_NOT_FOUND

  • The given rclsid could not be found by the Plugin Manager.

E_NOINTERFACE

  • if initial interface given by riid is not supported by the plugin.
Parameters:
rclsid | [in] The class id of the plugin object do you want to create
pUnkOuter | [in] The controlling unknown of the new instance
riid | [in] The IID of the initialial interface for the new plugin instance
ppPlugin | [out,iid_is(riid)] The IID of the initialial interface for the new plugin instance
HRESULT IAAFPluginManager::CreatePluginDefinition | ( | [in, ref] aafUID_constref | pluginDefID,
 |  | [in] IAAFDictionary * | pDictionary,
 |  | [out] IAAFDefObject ** | ppPluginDef
 | ) |  |

Given a plugin definition ID, find a plugin and manufactures a plugin descriptor of the correct class for this plugin, filling in the values, and returning the definition through the pPluginDesc argument.

The returned definition is AddRef()ed before it is returned. You must call QueryInterface on the result in order to find the correct interface, and are responsible for adding the definition to the correct place in the dictionary, as well as preventing duplicates. The resulting definiton has the plugin descriptor already attached.

Succeeds if all of the following are true:

  • the pPluginDesc pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • if pPluginDesc is null.
Parameters:
pluginDefID | [in, ref] Which plugin definition do you want to create
pDictionary | [in] The dictionary of the file where the descriptor is to be created
ppPluginDef | [out] The interface of the returned definition
HRESULT IAAFPluginManager::EnumLoadedPlugins | ( | [in, ref] aafUID_constref | categoryID,
 |  | [out, retval] IEnumAAFLoadedPlugins ** | ppEnum
 | ) |  |

Returns an enumerator which enumerates over all of the loaded plugin choices through the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • if ppEnum is null.
Parameters:
categoryID | [in, ref] Which category ID do we want to enumerate
ppEnum | [out,retval] Loaded Plugin Enumeration
HRESULT IAAFPluginManager::RegisterPluginDirectory ( [in] aafCharacter_constptr directoryName )

Attempts to load and register all of the AAF plugin files found in the given directory.

Parameters:
directoryName [in] Pointer to the name of directory to look for plugins.
HRESULT IAAFPluginManager::RegisterPluginFile ( [in] aafCharacter_constptr fileName )

Attempts to load and register all of the AAF plugins found in the given file.

Parameters:
fileName [in] Pointer to the name of plugin file to register.
HRESULT IAAFPluginManager::RegisterSharedPlugins ( )

Attempts to load and register all of the AAF plugin files found in shared installation directory.

Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPluginManager Member List
This is the complete list of members for IAAFPluginManager, including all inherited members.
CreateInstance([in] REFCLSID rclsid,[in] IUnknown *pUnkOuter,[in] REFIID riid,[out, iid_is(riid)] void **ppPlugin) | IAAFPluginManager
CreatePluginDefinition([in, ref] aafUID_constref pluginDefID,[in] IAAFDictionary *pDictionary,[out] IAAFDefObject **ppPluginDef) | IAAFPluginManager
EnumLoadedPlugins([in, ref] aafUID_constref categoryID,[out, retval] IEnumAAFLoadedPlugins **ppEnum) | IAAFPluginManager
RegisterPluginDirectory([in] aafCharacter_constptr directoryName) | IAAFPluginManager
RegisterPluginFile([in] aafCharacter_constptr fileName) | IAAFPluginManager
RegisterSharedPlugins() | IAAFPluginManager
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFProgress Interface Reference

Public Member Functions
IAAFProgress Interface Reference

This interface is used by the toolkit. More...

List of all members.

Public Member Functions

HRESULT ProgressCallback ()
Called frequently during OM load/save operations.

Detailed Description

This interface is used by the toolkit.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 49868 of file AAF.idl.

Member Function Documentation

HRESULT IAAFProgress::ProgressCallback ( )

Called frequently during OM load/save operations.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFProgress Member List
This is the complete list of members for IAAFProgress, including all inherited members.
ProgressCallback() IAAFProgress
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFProperty Interface Reference

Public Member Functions
IAAFProperty Interface Reference

This interface is used to access instances of properties contained in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetDefinition ([out] IAAFPropertyDef **ppPropDef)
Returns the definition of this property.
HRESULT | GetValue ([out] IAAFPropertyValue **ppValue)
Returns the Property Value object associated with this property.

Detailed Description

This interface is used to access instances of properties contained in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 22015 of file AAF.idl.

Member Function Documentation

HRESULT IAAFProperty::GetDefinition ( [out] IAAFPropertyDef ** ppPropDef )

Returns the definition of this property.

Succeeds if:

  • This object has already been Initialize()d.
  • The ppPropDef pointer is valid.
  • The associated property definition can be found in the dictionary.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppPropDef arg is NULL.

AAFRESULT_BAD_PROP

  • The definition for this property could not be found in the dictionary.
Parameters:
ppPropDef [out] This property's definition
HRESULT IAAFProperty::GetValue ( [out] IAAFPropertyValue ** ppValue )

Returns the Property Value object associated with this property.

Succeeds if:

  • This object has already been Initialize()d.
  • The ppPval pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppValue arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • The given property is optional and not present.
Parameters:
ppValue [out] The Property Value object associated with this property.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFProperty Member List
This is the complete list of members for IAAFProperty, including all inherited members.
GetDefinition([out] IAAFPropertyDef **ppPropDef) | IAAFProperty
GetValue([out] IAAFPropertyValue **ppValue) | IAAFProperty
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPropertyDef Interface Reference

Public Member Functions
IAAFPropertyDef Interface Reference

This interface is used to access the definitions of types for properties contained in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetTypeDef ([out] IAAFTypeDef **ppTypeDef)
Returns a reference to this property's type definition.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the human-legible name.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | GetIsOptional ([out, retval] aafBoolean_t *pIsOptional)
Sets *pIsOptional to AAFTrue for properties that are optional.
HRESULT | GetIsUniqueIdentifier ([out, retval] aafBoolean_t *pIsUniqueIdentifier)
Sets *pIsUniqueIdentifier to AAFTrue for properties that are optional.
HRESULT | SetDescription ([in, string] aafCharacter_constptr pDescription)
Sets the description of the property definition.
HRESULT | GetDescription ([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize)
Gets the description of the property definition.
HRESULT | GetDescriptionBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetDescription().

Detailed Description

This interface is used to access the definitions of types for properties contained in AAF persistent objects.

A property definition is used to indicate a particular property within a class. It defines the name and type of a property to be contained in objects. Clients cannot create these directly; they must be created through IAAFClassDef::RegisterNewPropertyDef().

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFPropertyDef also implement the following interfaces:

IAAFMetaDefinition

Definition at line 22123 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPropertyDef::GetDescription | ( | [out, string, size_is(bufSize)] aafCharacter * | pDescription,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the description of the property definition.

Writes the Description property, with a trailing null character, into the pDescription buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Description property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetDescriptionBufLen() to determine the required buffer size.

If this method fails nothing will be written to pDescription.

Succeeds if:

  • The pDescription pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Description.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Description.
Parameters:
pDescription | [out, string, size_is(bufSize)] buffer into which Description is to be written
bufSize | [in] size of *pDescription buffer in bytes
HRESULT IAAFPropertyDef::GetDescriptionBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetDescription().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFPropertyDef::GetIsOptional ( [out, retval] aafBoolean_t * pIsOptional )

Sets *pIsOptional to AAFTrue for properties that are optional.

Sets it to AAFFalse for properties that are mandatory.

Succeeds if:

  • The pIsOptional pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • The pIsOptional pointer is NULL.
Parameters:
pIsOptional [out, retval] pointer to the result
HRESULT IAAFPropertyDef::GetIsUniqueIdentifier ( [out, retval] aafBoolean_t * pIsUniqueIdentifier )

Sets *pIsUniqueIdentifier to AAFTrue for properties that are optional.

Sets it to AAFFalse for properties that are mandatory.

Succeeds if:

  • The pIsUniqueIdentifier pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • The pIsUniqueIdentifier pointer is NULL.
Parameters:
pIsUniqueIdentifier [out, retval] pointer to the result
HRESULT IAAFPropertyDef::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the human-legible name.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFPropertyDef::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFPropertyDef::GetTypeDef ( [out] IAAFTypeDef ** ppTypeDef )

Returns a reference to this property's type definition.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
ppTypeDef [out] definition of type contained by this property
HRESULT IAAFPropertyDef::SetDescription ( [in, string] aafCharacter_constptr pDescription )

Sets the description of the property definition.

Set the Description property to the value specified in pDescription. A copy is made of the data so the caller retains ownership of the *pDescription buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pDescription pointer is valid.

If this method fails the Description property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDescription arg is NULL.
Parameters:
pDescription [in, string] buffer from which Description is to be read
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPropertyDef Member List
This is the complete list of members for IAAFPropertyDef, including all inherited members.
GetDescription([out, string, size_is(bufSize)] aafCharacter *pDescription,[in] aafUInt32 bufSize) | IAAFPropertyDef
GetDescriptionBufLen([out] aafUInt32 *pBufSize) | IAAFPropertyDef
GetIsOptional([out, retval] aafBoolean_t *pIsOptional) | IAAFPropertyDef
GetIsUniqueIdentifier([out, retval] aafBoolean_t *pIsUniqueIdentifier) | IAAFPropertyDef
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFPropertyDef
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFPropertyDef
GetTypeDef([out] IAAFTypeDef **ppTypeDef) | IAAFPropertyDef
SetDescription([in, string] aafCharacter_constptr pDescription) | IAAFPropertyDef
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPropertyValue Interface Reference

Public Member Functions
IAAFPropertyValue Interface Reference

This interface is used to access the values of properties contained in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetType ([out] IAAFTypeDef **ppTypeDef)
Returns the type definition associated with this property value.
HRESULT | IsDefinedType ([out] aafBoolean_t *pIsDefined)
Returns false if this property value's type is not (necessarily) the one which was defined for it.

Detailed Description

This interface is used to access the values of properties contained in AAF persistent objects.

Values may be simple (e.g. integer), structured (e.g. aafTimecode_t), other AAF persistent objects, media, or arrays of other types.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 22406 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPropertyValue::GetType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type definition associated with this property value.

If this Property Value is not of a recognized type (such as from a damaged or incorrectly construct file) this method will return a raw access type which can be used to access the property data in a raw manner.

Succeeds if:

  • The ppTypeDef pointer is valid.
  • The associated type definition can be found in the dictionary.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] The type definition associated with this property value
HRESULT IAAFPropertyValue::IsDefinedType ( [out] aafBoolean_t * pIsDefined )

Returns false if this property value's type is not (necessarily) the one which was defined for it.

That may be the case if this property value was read from a damaged file where type information was not available; in that case GetType() will return the raw access type for this value.

If this property value's type is the one which was defined for it, this method will return true and GetType() will return that defined type for this value.

Succeeds if:

  • The pIsDefined pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsDefined arg is NULL.
Parameters:
pIsDefined [out] result
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPropertyValue Member List
This is the complete list of members for IAAFPropertyValue, including all inherited members.
GetType([out] IAAFTypeDef **ppTypeDef) | IAAFPropertyValue
IsDefinedType([out] aafBoolean_t *pIsDefined) | IAAFPropertyValue
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFPulldown Interface Reference

Public Member Functions
IAAFPulldown Interface Reference

This interface is used with an object which converts between film frame rates and videotape frame rates by describing the mapping between them. More...

List of all members.

Public Member Functions

HRESULT | GetInputSegment ([out] IAAFSegment **ppInputSegment)
Places the input Segment object in this pulldown into the ppInputSegment argument.
HRESULT | SetInputSegment ([in] IAAFSegment *pInputSegment)
Sets the input segment .
HRESULT | GetPulldownKind ([out] aafPulldownKind_t *pPulldownKind)
Returns the pulldownKind property of this pulldown through the pPulldownKind argument.
HRESULT | SetPulldownKind ([in] aafPulldownKind_t pulldownKind)
Sets the pulldown kind field of this pulldown object.
HRESULT | GetPulldownDirection ([out] aafPulldownDir_t *pPulldownDirection)
Returns the pulldownDirection field of this pulldown through the pPulldownDirection argument.
HRESULT | SetPulldownDirection ([in] aafPulldownDir_t pulldownDirection)
Sets the pulldown direction field of this pulldown object.
HRESULT | GetPhaseFrame ([out] aafPhaseFrame_t *pPhaseFrame)
Returns the phaseFrame field of this pulldown through the pPhaseFrame argument.
HRESULT | SetPhaseFrame ([in] aafPhaseFrame_t phaseFrame)
Sets the phase frame field of this pulldown object.

Detailed Description

This interface is used with an object which converts between film frame rates and videotape frame rates by describing the mapping between them.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFPulldown also implement the following interfaces:

IAAFSegment

  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 22506 of file AAF.idl.

Member Function Documentation

HRESULT IAAFPulldown::GetInputSegment ( [out] IAAFSegment ** ppInputSegment )

Places the input Segment object in this pulldown into the ppInputSegment argument.

If none exists yet, NULL is placed into the *ppInputSegment argument.

The returned segment object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppInputSegment pointer is valid.
  • A valid segment exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppInputSegment is null.
Parameters:
ppInputSegment [out] Returns the input Segment object
HRESULT IAAFPulldown::GetPhaseFrame ( [out] aafPhaseFrame_t * pPhaseFrame )

Returns the phaseFrame field of this pulldown through the pPhaseFrame argument.

The phase frame field specifies the phase within the repeating pattern used to map between the two edit rates. A value of zero specifies that the pulldown object starts at the begining of the pattern.

Succeeds if all of the following are true:

  • the pPhaseFrame pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPhaseFrame is null.
Parameters:
pPhaseFrame [out] Returns the input Segment object
HRESULT IAAFPulldown::GetPulldownDirection ( [out] aafPulldownDir_t * pPulldownDirection )

Returns the pulldownDirection field of this pulldown through the pPulldownDirection argument.

The valid pulldown directions are: kVideoToFilmSpeed -- The input segment is at videoSpeed, and the pulldown object is on a mob slot at film edit rate. kFilmToVideoSpeed -- The input segment is at film edit rate.

The value kVideoToFilmSpeed is used when connecting 24fps file mobs to tape mobs.

The value kFilmToVideoSpeed is used when connecting tape mobs to film mobs.

Succeeds if all of the following are true:

  • the pPulldownDirection pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPulldownDirection is null.
Parameters:
pPulldownDirection [out] Returns the input Segment object
HRESULT IAAFPulldown::GetPulldownKind ( [out] aafPulldownKind_t * pPulldownKind )

Returns the pulldownKind property of this pulldown through the pPulldownKind argument.

The pulldown kinds include kThreeTwoPD, kPalPD, kOneToOneNTSC, kOneToOnePAL, and kVideoTapNTSC.

Succeeds if all of the following are true:

  • the pPulldownKind pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPulldownKind is null.
Parameters:
pPulldownKind [out] Returns the pulldownKind property
HRESULT IAAFPulldown::SetInputSegment ( [in] IAAFSegment * pInputSegment )

Sets the input segment .

Succeeds if all of the following are true:

  • the pInputSegment pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInputSegment is null.
Parameters:
pInputSegment [in] A Segment object
HRESULT IAAFPulldown::SetPhaseFrame ( [in] aafPhaseFrame_t phaseFrame )

Sets the phase frame field of this pulldown object.

The phase frame field specifies the phase within the repeating pattern used to map between the two edit rates. A value of zero specifies that the pulldown object starts at the begining of the pattern.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInputSegment is null.
Parameters:
phaseFrame [in] A Segment object
HRESULT IAAFPulldown::SetPulldownDirection ( [in] aafPulldownDir_t pulldownDirection )

Sets the pulldown direction field of this pulldown object.

The valid pulldown directions are: kVideoToFilmSpeed -- The input segment is at videoSpeed, and the pulldown object is on a mob slot at film edit rate. kFilmToVideoSpeed -- The input segment is at film edit rate.

The value kVideoToFilmSpeed is used when connecting 24fps file mobs to tape mobs.

The value kFilmToVideoSpeed is used when connecting tape mobs to film mobs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInputSegment is null.
Parameters:
pulldownDirection [in] A Segment object
HRESULT IAAFPulldown::SetPulldownKind ( [in] aafPulldownKind_t pulldownKind )

Sets the pulldown kind field of this pulldown object.

The pulldown kinds include kThreeTwoPD, kPalPD, kOneToOneNTSC, kOneToOnePAL, and kVideoTapNTSC.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInputSegment is null.
Parameters:
pulldownKind [in] A Segment object
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFPulldown Member List
This is the complete list of members for IAAFPulldown, including all inherited members.
GetInputSegment([out] IAAFSegment **ppInputSegment) | IAAFPulldown
GetPhaseFrame([out] aafPhaseFrame_t *pPhaseFrame) | IAAFPulldown
GetPulldownDirection([out] aafPulldownDir_t *pPulldownDirection) | IAAFPulldown
GetPulldownKind([out] aafPulldownKind_t *pPulldownKind) | IAAFPulldown
SetInputSegment([in] IAAFSegment *pInputSegment) | IAAFPulldown
SetPhaseFrame([in] aafPhaseFrame_t phaseFrame) | IAAFPulldown
SetPulldownDirection([in] aafPulldownDir_t pulldownDirection) | IAAFPulldown
SetPulldownKind([in] aafPulldownKind_t pulldownKind) | IAAFPulldown
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRandomFile Interface Reference

Public Member Functions
IAAFRandomFile Interface Reference

Specialized file interface for use with files which exist on storage media which has random access capability. More...

List of all members.

Public Member Functions

HRESULT | GetFileBits ([out] IAAFGetFileBits **ppGetFileBits)
Since the purpose of this method is to obtain file data after a file has been created, it will only succeed if this file has already been Open()ed and then Close()d, or if it was never opened with write access.
HRESULT | Revert ()
Reverts this file to the previously-saved state.
HRESULT | SaveAsFile ([in] IAAFFile *pDestFile)
Associates this file with the storage specified in pDestFile.
HRESULT | SetFileBits ([out] IAAFSetFileBits **ppSetFileBits)
Since the purpose of this method is to specify file data with which a file is to be created, it will only succeed if this file has not yet been Open()ed.

Detailed Description

Specialized file interface for use with files which exist on storage media which has random access capability.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFRandomFile also implement the following interfaces:

  • IAAFFile

Definition at line 23161 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRandomFile::GetFileBits ( [out] IAAFGetFileBits ** ppGetFileBits )

Since the purpose of this method is to obtain file data after a file has been created, it will only succeed if this file has already been Open()ed and then Close()d, or if it was never opened with write access.

Succeeds if:

  • The ppGetFileBits argument is valid
  • This file has been opened for write or modify, and has been subsequently closed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppGetFileBits arg is NULL.

AAFRESULT_BADOPEN

  • This file has never been opened

AAFRESULT_NOT_WRITEABLE

  • This file has never been opened for write or modify

AAFRESULT_BADCLOSE

  • This file has not been closed after being opened.
Parameters:
ppGetFileBits [out] The interface to the GetFileBits object
HRESULT IAAFRandomFile::Revert ( )

Reverts this file to the previously-saved state.

NOTE! Stub only. Implementation not yet added.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IAAFRandomFile::SaveAsFile ( [in] IAAFFile * pDestFile )

Associates this file with the storage specified in pDestFile.

Any objects contained in pDestFile will be lost.

Behaves in a manner similar to SaveCopyAs(), except that SaveAs() will change this object to be associated with the new file.

Special case: if f->SaveAs(f) is called, passing this as the save-to argument, the operation will save everything including things which have not changed.

NOTE! Stub only. Implementation not yet added.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
pDestFile [in] The destination file into which the contents of this file are to be written.
HRESULT IAAFRandomFile::SetFileBits ( [out] IAAFSetFileBits ** ppSetFileBits )

Since the purpose of this method is to specify file data with which a file is to be created, it will only succeed if this file has not yet been Open()ed.

Succeeds if:

  • The ppSetFileBits argument is valid
  • This file has not yet been opened.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppSetFileBits arg is NULL.

AAFRESULT_BADOPEN

  • This file has has already been opened

AAFRESULT_NOT_READABLE

  • This read or modify has not been specified for this file
Parameters:
ppSetFileBits [out] The interface to the SetFileBits object
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRandomFile Member List
This is the complete list of members for IAAFRandomFile, including all inherited members.
GetFileBits([out] IAAFGetFileBits **ppGetFileBits) | IAAFRandomFile
Revert() | IAAFRandomFile
SaveAsFile([in] IAAFFile *pDestFile) | IAAFRandomFile
SetFileBits([out] IAAFSetFileBits **ppSetFileBits) | IAAFRandomFile
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRandomRawStorage Interface Reference

Public Member Functions
IAAFRandomRawStorage Interface Reference

This interface is used by the toolkit to access storage in which AAF files are to be read and written. More...

List of all members.

Public Member Functions

HRESULT | ReadAt ([in] aafUInt64 position,[out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumRead)
Attempts to read bufsize bytes from this storage.
HRESULT | WriteAt ([in] aafUInt64 position,[in, size_is(bufSize)] aafMemConstPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumWritten)
Writes bufsize bytes into this storage.
HRESULT | GetSize ([out] aafUInt64 *pSize)
Returns the highest byte position in this storage which has been written so far.
HRESULT | IsExtendable ([out] aafBoolean_t *pResult)
Sets *pResult to true if the memory allocated to this storage can be dynamically extened; sets it to false otherwise.
HRESULT | GetExtent ([out] aafUInt64 *pExtent)
Returns the number of bytes currently allocated storage.
HRESULT | SetExtent ([in] aafUInt64 extent)
Requests the given capacity for this storage.

Detailed Description

This interface is used by the toolkit to access storage in which AAF files are to be read and written.

It is typically implemented by clients of IAAFFileXXX. Note that some implementations are provided as a convenience to IAAFFileXXX clients.

Assumes that the storage has at least random access capability.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFRandomRawStorage also implement the following interfaces:

IAAFRawStorage

Definition at line 23319 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRandomRawStorage::GetExtent ( [out] aafUInt64 * pExtent )

Returns the number of bytes currently allocated storage.

Succeeds if:

  • The pSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pExtent arg is NULL.
Parameters:
pExtent [out] Number of bytes currently allocated for this storage
HRESULT IAAFRandomRawStorage::GetSize ( [out] aafUInt64 * pSize )

Returns the highest byte position in this storage which has been written so far.

Succeeds if:

  • The pSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] Number of bytes currently in this storage
HRESULT IAAFRandomRawStorage::IsExtendable ( [out] aafBoolean_t * pResult )

Sets *pResult to true if the memory allocated to this storage can be dynamically extened; sets it to false otherwise.

Succeeds if:

  • The pResult pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] set to true if extendable
HRESULT IAAFRandomRawStorage::ReadAt | ( | [in] aafUInt64 | position,
 |  | [out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [out] aafUInt32 * | pNumRead
 | ) |  |

Attempts to read bufsize bytes from this storage.

Places the data into buf, and puts the actual number of bytes read into pNumRead. If the end of the storage is encountered before bufSize bytes can be read, the value written into *pNumRead may be smaller than bufSize.

This call will advance the current position by *pNumRead bytes.

Succeeds if:

  • The pNumRead pointer is valid.
  • This storage is open for read or read/write.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • buf or pNumRead arg is NULL.

AAFRESULT_NOT_READABLE

  • This storage is not open for read or read/write.
Parameters:
position | [in] position in this storage from which data is read
buf | [out, size_is(bufSize), length_is(*pNumRead)] Buffer into which data is read
bufSize | [in] Size of buf in bytes
pNumRead | [out] Number of bytes read
HRESULT IAAFRandomRawStorage::SetExtent ( [in] aafUInt64 extent )

Requests the given capacity for this storage.

If successful, subsequent calls to WriteAt() and IAAFRawStorage::Write() within that capacity are guaranteed to succeed.

Succeeds if:

  • It is permissible to set the extent of this storage.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_OFFSET_SIZE

  • This storage has insufficient capacity to perform the write.
Parameters:
extent [in] Number of bytes capacity requested for this storage
HRESULT IAAFRandomRawStorage::WriteAt | ( | [in] aafUInt64 | position,
 |  | [in, size_is(bufSize)] aafMemConstPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [out] aafUInt32 * | pNumWritten
 | ) |  |

Writes bufsize bytes into this storage.

Obtains the data from buf.

This call may fail if the capacity of this storage cannot be extended sufficiently to complete the request. The client can call SetSize() to attempt to reserve capacity for the storage; if the SetSize() call succeeds, subsequent Write() calls within requested that capacty are guaranteed to succeed.

This call will advance the current position by bufSize bytes.

Succeeds if:

  • The pNumWritten pointer is valid.
  • This storage is open for write or read/write.
  • Sufficient capacity exists in this storage to perform the write.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumWritten arg is NULL.

AAFRESULT_NOT_WRITEABLE

  • This storage is not open for write or read/write.

AAFRESULT_OFFSET_SIZE

  • It is not possible to extend the allocated size of this storage.
Parameters:
position | [in] position in this storage into which data is written
buf | [in, size_is(bufSize)] Buffer from which data is written
bufSize | [in] Number of bytes
pNumWritten | [out] Number of bytes written
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRandomRawStorage Member List
This is the complete list of members for IAAFRandomRawStorage, including all inherited members.
GetExtent([out] aafUInt64 *pExtent) | IAAFRandomRawStorage
GetSize([out] aafUInt64 *pSize) | IAAFRandomRawStorage
IsExtendable([out] aafBoolean_t *pResult) | IAAFRandomRawStorage
ReadAt([in] aafUInt64 position,[out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumRead) | IAAFRandomRawStorage
SetExtent([in] aafUInt64 extent) | IAAFRandomRawStorage
WriteAt([in] aafUInt64 position,[in, size_is(bufSize)] aafMemConstPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumWritten) | IAAFRandomRawStorage
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRawStorage Interface Reference

Public Member Functions
IAAFRawStorage Interface Reference

This interface is used by the toolkit to access storage in which AAF files are to be read and written. More...

List of all members.

Public Member Functions

HRESULT | IsReadable ([out] aafBoolean_t *pResult)
Sets *pResult to true if this storage is readable; sets it to false otherwise.
HRESULT | Read ([out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumRead)
Attempts to read bufsize bytes from this stream.
HRESULT | IsWriteable ([out] aafBoolean_t *pResult)
Sets *pResult to true if this storage is writeable; sets it to false otherwise.
HRESULT | Write ([in, size_is(bufSize)] aafMemConstPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumWritten)
Writes bufsize bytes into this stream.
HRESULT | Synchronize ()
Synchronizes any cached data with the underlying storage.

Detailed Description

This interface is used by the toolkit to access storage in which AAF files are to be read and written.

It is typically implemented by clients of IAAFFileXXX. Note that some implementations are provided as a convenience to IAAFFileXXX clients.

When writing to a stream, clients should be aware that the stream's capacity may be limited. To insure that writes will not fail due to insufficient stream capacity, clients can call SetSize() to pre-allocate capacity in the stream. Writes done within the size specified to the most recent successful SetSize() call are guaranteed to succeed.

Assumes that the storage has at least sequential access capability.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 23555 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRawStorage::IsReadable ( [out] aafBoolean_t * pResult )

Sets *pResult to true if this storage is readable; sets it to false otherwise.

Succeeds if:

  • The pResult pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] set to true if readable
HRESULT IAAFRawStorage::IsWriteable ( [out] aafBoolean_t * pResult )

Sets *pResult to true if this storage is writeable; sets it to false otherwise.

Succeeds if:

  • The pResult pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pResult arg is NULL.
Parameters:
pResult [out] set to true if writeable
HRESULT IAAFRawStorage::Read | ( | [out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [out] aafUInt32 * | pNumRead
 | ) |  |

Attempts to read bufsize bytes from this stream.

Places the data into buf, and puts the actual number of bytes read into pNumRead. If the end of the stream is encountered before bufSize bytes can be read, the value written into *pNumRead may be smaller than bufSize.

This call will advance the current position by *pNumRead bytes.

Succeeds if:

  • The pNumBytes pointer is valid.
  • This stream is open for read or read/write.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • buf or pNumRead arg is NULL.

AAFRESULT_NOT_READABLE

  • This stream is not open for read or read/write.
Parameters:
buf | [out, size_is(bufSize), length_is(*pNumRead)] Buffer into which data is read
bufSize | [in] Size of buf in bytes
pNumRead | [out] Number of bytes read
HRESULT IAAFRawStorage::Synchronize ( )

Synchronizes any cached data with the underlying storage.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IAAFRawStorage::Write | ( | [in, size_is(bufSize)] aafMemConstPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [out] aafUInt32 * | pNumWritten
 | ) |  |

Writes bufsize bytes into this stream.

Obtains the data from buf.

This call may fail if the stream has insufficient capacity to complete the request. If this storage supports the IAAFRandomRawStorage interface, the client can call IAAFRandomRawStorage::SetSize() to attempt to reserve capacity in the stream; if the SetSize() call succeeds, subsequent Write() calls within that capacity are guaranteed to succeed.

This call will advance the current position by bufSize bytes.

Succeeds if:

  • This stream is open for write or read/write.
  • Sufficient capacity exists in this stream to perform the write.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_WRITEABLE

  • This stream is not open for write or read/write.

AAFRESULT_SMALLBUF

  • This stream has insufficient capacity to perform the write.
Parameters:
buf | [in, size_is(bufSize)] Buffer from which data is written
bufSize | [in] Number of bytes to write
pNumWritten | [out] Number of bytes written
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRawStorage Member List
This is the complete list of members for IAAFRawStorage, including all inherited members.
IsReadable([out] aafBoolean_t *pResult) | IAAFRawStorage
IsWriteable([out] aafBoolean_t *pResult) | IAAFRawStorage
Read([out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumRead) | IAAFRawStorage
Synchronize() | IAAFRawStorage
Write([in, size_is(bufSize)] aafMemConstPtr_t buf,[in] aafUInt32 bufSize,[out] aafUInt32 *pNumWritten) | IAAFRawStorage
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRecordingDescriptor Interface Reference

Public Member Functions
IAAFRecordingDescriptor Interface Reference

The IAAFRecordingDescriptor interface is implemented by objects that describe a file source which has no physical source. More...

List of all members.

Public Member Functions

HRESULT Initialize ()
Initializes a newly allocated, empty IAAFRecordingDescriptor object.

Detailed Description

The IAAFRecordingDescriptor interface is implemented by objects that describe a file source which has no physical source.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFRecordingDescriptor also implement the following interfaces:

  • IAAFPhysicalDescriptor
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 23927 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRecordingDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFRecordingDescriptor object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRecordingDescriptor Member List
This is the complete list of members for IAAFRecordingDescriptor, including all inherited members.
Initialize() IAAFRecordingDescriptor
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRGBADescriptor Interface Reference

Public Member Functions
IAAFRGBADescriptor Interface Reference

IAAFRGBADescriptor is DEPRECATED. More...

List of all members.

Public Member Functions

HRESULT | SetPixelLayout ([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PixelLayoutArray)
Sets the layout and structure of the components in a single pixel.
HRESULT | CountPixelLayoutElements ([out] aafUInt32 *pResult)
This function returns the number of components in a pixel.
HRESULT | GetPixelLayout ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PixelLayoutArray)
Gets the layout and structure of the components in a single pixel.
HRESULT | SetPalette ([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafUInt8 *pPalette)
Sets the palette property.
HRESULT | GetPalette ([in] aafUInt32 numberRecords,[out, size_is(numberRecords)] aafUInt8 *pPalette)
Sets the palette property.
HRESULT | GetPaletteSize ([out] aafUInt32 *pNumberBytes)
Get the number of bytes in the VideoLineMap property array.
HRESULT | CountPaletteLayoutElements ([out] aafUInt32 *pResult)
This function returns the number of components in a pixel.
HRESULT | SetPaletteLayout ([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PaletteLayoutArray)
Sets the layout and structure of the components in a single pixel.
HRESULT | GetPaletteLayout ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PaletteLayoutArray)
The layout array is an Array of 8 aafRGBAComponent_t.

Detailed Description

IAAFRGBADescriptor is DEPRECATED.

Please use IAAFRGBADescriptor2.

The IAAFRGBADescriptor interface is implemented by objects which describe video content data formatted using RGBA formatting.

In addition to the parameters inherited from AAFDigitalImageDescriptor, this interface adds Pixel layout (order of R, B, G, alpha) PixelStructure (sizes of the various components), Palette, Palette Layout, and Palette Structure.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFDigitalImageDescriptor is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFRGBADescriptor also implement the following interfaces:

  • IAAFRGBADescriptor2
  • IAAFDigitalImageDescriptor
  • IAAFDigitalImageDescriptor2
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 22825 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRGBADescriptor::CountPaletteLayoutElements ( [out] aafUInt32 * pResult )

This function returns the number of components in a pixel.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of components
HRESULT IAAFRGBADescriptor::CountPixelLayoutElements ( [out] aafUInt32 * pResult )

This function returns the number of components in a pixel.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of components
HRESULT IAAFRGBADescriptor::GetPalette | ( | [in] aafUInt32 | numberRecords,
 |  | [out, size_is(numberRecords)] aafUInt8 * | pPalette
 | ) |  |

Sets the palette property.

The palette must be in the form specified by the palette layout and palette structure parameters. The values are written to the array specified by pPalette, which is of size numberElements. The required size may be found by calling GetPaletteSize().

Succeeds if all of the following are true:

  • pPalette is a valid pointer.
  • numberElements indicates the array is large enough to hold the data.

If this method fails, pPalette will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberRecords | [in] The number of bytes in the array
pPalette | [out, size_is(numberRecords)] Array to hold the palette information
HRESULT IAAFRGBADescriptor::GetPaletteLayout | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafRGBAComponent_t * | PaletteLayoutArray
 | ) |  |

The layout array is an Array of 8 aafRGBAComponent_t.

The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you Get more entries than were set, the extra entries will be padded with kAAFCompNone and a size of zero.

If this method fails, PaletteLayoutArray will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements or PaletteLayoutArray is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in each array
PaletteLayoutArray | [out, size_is(numberElements)] Array to hold 8 aafRGBAComponent_t indicating component order and size.
HRESULT IAAFRGBADescriptor::GetPaletteSize ( [out] aafUInt32 * pNumberBytes )

Get the number of bytes in the VideoLineMap property array.

Succeeds if all of the following are true:

  • pNumberBytes is a valid pointer

If this method fails, *pNumberBytes will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberBytes is NULL.
Parameters:
pNumberBytes [out] The number of bytes in the array
HRESULT IAAFRGBADescriptor::GetPixelLayout | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafRGBAComponent_t * | PixelLayoutArray
 | ) |  |

Gets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you Get more entries than were set, the extra entries will be padded with kAAFCompNone and a size of zero.

If this method fails, PixelLayoutArray will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements or PixelLayoutArray or PixelStructureArray is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in the array
PixelLayoutArray | [out, size_is(numberElements)] Array to hold up to 8 aafRGBAComponent_t indicating component order and size.
HRESULT IAAFRGBADescriptor::SetPalette | ( | [in] aafUInt32 | numberElements,
 |  | [in, size_is(numberElements)] aafUInt8 * | pPalette
 | ) |  |

Sets the palette property.

The palette must be in the form specified by the palette layout and palette structure parameters.

Succeeds if all of the following are true:

  • pPalette is a valid pointer

If this method fails, the palette property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPalette is NULL.
Parameters:
numberElements | [in] The number of bytes in the array
pPalette | [in, size_is(numberElements)] Array to hold the palette information
HRESULT IAAFRGBADescriptor::SetPaletteLayout | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafRGBAComponent_t * | PaletteLayoutArray
 | ) |  |

Sets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you set less than 8 entries, the remaining entries will be padded with kAAFCompNone and a size of zero. If this method fails the PaletteLayout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
numberElements | [in] The number of elements in the array
PaletteLayoutArray | [in] Array of up to 8 bytes indicating component size, matching layout, and terminated by a zero byte.
HRESULT IAAFRGBADescriptor::SetPixelLayout | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafRGBAComponent_t * | PixelLayoutArray
 | ) |  |

Sets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you set less than 8 entries, the remaining entries will be padded with kAAFCompNone and a size of zero. If this method fails the PixelLayout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
numberElements | [in] The number of elements in each array
PixelLayoutArray | [in] Array of up to 8 aafRGBAComponent_t indicating component order and size.
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRGBADescriptor2 Interface Reference

Public Member Functions
IAAFRGBADescriptor2 Interface Reference

The IAAFRGBADescriptor2 interface is implemented by objects which describe video content data formatted using RGBA formatting. More...

List of all members.

Public Member Functions

HRESULT | SetPixelLayout ([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PixelLayoutArray)
Sets the layout and structure of the components in a single pixel.
HRESULT | CountPixelLayoutElements ([out] aafUInt32 *pResult)
This function returns the number of components in a pixel.
HRESULT | GetPixelLayout ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PixelLayoutArray)
Gets the layout and structure of the components in a single pixel.
HRESULT | SetPalette ([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafUInt8 *pPalette)
Sets the palette property.
HRESULT | GetPalette ([in] aafUInt32 numberRecords,[out, size_is(numberRecords)] aafUInt8 *pPalette)
Sets the palette property.
HRESULT | GetPaletteSize ([out] aafUInt32 *pNumberBytes)
Get the number of bytes in the VideoLineMap property array.
HRESULT | CountPaletteLayoutElements ([out] aafUInt32 *pResult)
This function returns the number of components in a pixel.
HRESULT | SetPaletteLayout ([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PaletteLayoutArray)
Sets the layout and structure of the components in a single pixel.
HRESULT | GetPaletteLayout ([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PaletteLayoutArray)
/// The layout array is an Array of 8 aafRGBAComponent_t.
HRESULT | SetComponentMaxRef ([in] aafUInt32 componentMaxRef)
Sets the ComponentMaxRef property.
HRESULT | GetComponentMaxRef ([out] aafUInt32 *pComponentMaxRef)
Gets the ComponentMaxRef property.
HRESULT | SetComponentMinRef ([in] aafUInt32 componentMinRef)
Sets the ComponentMinRef property.
HRESULT | GetComponentMinRef ([out] aafUInt32 *pComponentMinRef)
Gets the ComponentMinRef property.
HRESULT | SetAlphaMaxRef ([in] aafUInt32 alphaMaxRef)
Sets the AlphaMaxRef property.
HRESULT | GetAlphaMaxRef ([out] aafUInt32 *pAlphaMaxRef)
Gets the AlphaMaxRef property.
HRESULT | SetAlphaMinRef ([in] aafUInt32 alphaMinRef)
Sets the AlphaMinRef property.
HRESULT | GetAlphaMinRef ([out] aafUInt32 *pAlphaMinRef)
Gets the AlphaMinRef property.
HRESULT | SetScanningDirection ([in] aafScanningDirection_t scanningDirection)
Sets the ScanningDirection property.
HRESULT | GetScanningDirection ([out] aafScanningDirection_t *pScanningDirection)
Gets the ScanningDirection property.

Detailed Description

The IAAFRGBADescriptor2 interface is implemented by objects which describe video content data formatted using RGBA formatting.

In addition to the parameters inherited from AAFDigitalImageDescriptor, this interface adds Pixel layout (order of R, B, G, alpha) PixelStructure (sizes of the various components), Palette, Palette Layout, and Palette Structure.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFDigitalImageDescriptor is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFRGBADescriptor2 also implement the following interfaces:

  • IAAFDigitalImageDescriptor
  • IAAFDigitalImageDescriptor2
  • IAAFFileDescriptor
  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 49937 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRGBADescriptor2::CountPaletteLayoutElements ( [out] aafUInt32 * pResult )

This function returns the number of components in a pixel.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of components
HRESULT IAAFRGBADescriptor2::CountPixelLayoutElements ( [out] aafUInt32 * pResult )

This function returns the number of components in a pixel.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of components
HRESULT IAAFRGBADescriptor2::GetAlphaMaxRef ( [out] aafUInt32 * pAlphaMaxRef )

Gets the AlphaMaxRef property.

Succeeds if all of the following are true:

  • pAlphaMaxRef is a valid pointer
  • the property is present.

If this method fails, pAlphaMaxRef will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAlphaMaxRef is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pAlphaMaxRef [out] Optional.
HRESULT IAAFRGBADescriptor2::GetAlphaMinRef ( [out] aafUInt32 * pAlphaMinRef )

Gets the AlphaMinRef property.

Succeeds if all of the following are true:

  • pAlphaMinRef is a valid pointer
  • the property is present.

If this method fails, pAlphaMinRef will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pAlphaMinRef is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pAlphaMinRef [out] Optional.
HRESULT IAAFRGBADescriptor2::GetComponentMaxRef ( [out] aafUInt32 * pComponentMaxRef )

Gets the ComponentMaxRef property.

Succeeds if all of the following are true:

  • pComponentMaxRef is a valid pointer
  • the property is present.

If this method fails, pComponentMaxRef will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComponentMaxRef is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pComponentMaxRef [out] Optional.
HRESULT IAAFRGBADescriptor2::GetComponentMinRef ( [out] aafUInt32 * pComponentMinRef )

Gets the ComponentMinRef property.

Succeeds if all of the following are true:

  • pComponentMinRef is a valid pointer
  • the property is present.

If this method fails, pComponentMinRef will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pComponentMinRef is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pComponentMinRef [out] Optional.
HRESULT IAAFRGBADescriptor2::GetPalette | ( | [in] aafUInt32 | numberRecords,
 |  | [out, size_is(numberRecords)] aafUInt8 * | pPalette
 | ) |  |

Sets the palette property.

The palette must be in the form specified by the palette layout and palette structure parameters. The values are written to the array specified by pPalette, which is of size numberElements. The required size may be found by calling GetPaletteSize().

Succeeds if all of the following are true:

  • pPalette is a valid pointer.
  • numberElements indicates the array is large enough to hold the data.

If this method fails, pPalette will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberRecords | [in] The number of bytes in the array
pPalette | [out, size_is(numberRecords)] Array to hold the palette information
HRESULT IAAFRGBADescriptor2::GetPaletteLayout | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafRGBAComponent_t * | PaletteLayoutArray
 | ) |  |

/// The layout array is an Array of 8 aafRGBAComponent_t.

The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you Get more entries than were set, the extra entries will be padded with kAAFCompNone and a size of zero.

If this method fails, PaletteLayoutArray will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements or PaletteLayoutArray is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in each array
PaletteLayoutArray | [out, size_is(numberElements)] Array to hold 8 aafRGBAComponent_t indicating component order and size.
HRESULT IAAFRGBADescriptor2::GetPaletteSize ( [out] aafUInt32 * pNumberBytes )

Get the number of bytes in the VideoLineMap property array.

Succeeds if all of the following are true:

  • pNumberBytes is a valid pointer

If this method fails, *pNumberBytes will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberBytes is NULL.
Parameters:
pNumberBytes [out] The number of bytes in the array
HRESULT IAAFRGBADescriptor2::GetPixelLayout | ( | [in] aafUInt32 | numberElements,
 |  | [out, size_is(numberElements)] aafRGBAComponent_t * | PixelLayoutArray
 | ) |  |

Gets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you Get more entries than were set, the extra entries will be padded with kAAFCompNone and a size of zero.

If this method fails, PixelLayoutArray will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pNumberElements or PixelLayoutArray or PixelStructureArray is NULL.

AAFRESULT_SMALLBUF

  • numberElements indicates that the array is too small to hold the data.
Parameters:
numberElements | [in] The number of elements in the array
PixelLayoutArray | [out, size_is(numberElements)] Array to hold up to 8 aafRGBAComponent_t indicating component order and size.
HRESULT IAAFRGBADescriptor2::GetScanningDirection ( [out] aafScanningDirection_t * pScanningDirection )

Gets the ScanningDirection property.

This property is optional.

Succeeds if all of the following are true:

  • pScanningDirection is a valid pointer
  • the property is present.

If this method fails, pScanningDirection not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pScanningDirection is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pScanningDirection [out] Scanning direction value.
HRESULT IAAFRGBADescriptor2::SetAlphaMaxRef ( [in] aafUInt32 alphaMaxRef )

Sets the AlphaMaxRef property.

Succeeds if all of the following are true:

If this method fails, the AlphaMaxRef property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
alphaMaxRef [in] Optional.
HRESULT IAAFRGBADescriptor2::SetAlphaMinRef ( [in] aafUInt32 alphaMinRef )

Sets the AlphaMinRef property.

Succeeds if all of the following are true:

If this method fails, the AlphaMinRef property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
alphaMinRef [in] Optional.
HRESULT IAAFRGBADescriptor2::SetComponentMaxRef ( [in] aafUInt32 componentMaxRef )

Sets the ComponentMaxRef property.

Succeeds if all of the following are true:

If this method fails, the ComponentMaxRef property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
componentMaxRef [in] Optional.
HRESULT IAAFRGBADescriptor2::SetComponentMinRef ( [in] aafUInt32 componentMinRef )

Sets the ComponentMinRef property.

Succeeds if all of the following are true:

If this method fails, the ComponentMinRef property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
componentMinRef [in] Optional.
HRESULT IAAFRGBADescriptor2::SetPalette | ( | [in] aafUInt32 | numberElements,
 |  | [in, size_is(numberElements)] aafUInt8 * | pPalette
 | ) |  |

Sets the palette property.

The palette must be in the form specified by the palette layout and palette structure parameters.

Succeeds if all of the following are true:

  • pPalette is a valid pointer

If this method fails, the palette property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pPalette is NULL.
Parameters:
numberElements | [in] The number of bytes in the array
pPalette | [in, size_is(numberElements)] Array to hold the palette information
HRESULT IAAFRGBADescriptor2::SetPaletteLayout | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafRGBAComponent_t * | PaletteLayoutArray
 | ) |  |

Sets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you set less than 8 entries, the remaining entries will be padded with kAAFCompNone and a size of zero. If this method fails the PaletteLayout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
numberElements | [in] The number of elements in the array
PaletteLayoutArray | [in] Array of up to 8 bytes indicating component size, matching layout, and terminated by a zero byte.
HRESULT IAAFRGBADescriptor2::SetPixelLayout | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafRGBAComponent_t * | PixelLayoutArray
 | ) |  |

Sets the layout and structure of the components in a single pixel.

The layout array is an Array of 8 aafRGBAComponent_t. The 'Code' field of the struct is from the set:

  • kAAFCompNone

kAAFCompAlpha

  • kAAFCompBlue
  • kAAFCompFill
  • kAAFCompGreen
  • kAAFCompPalette
  • kAAFCompRed

The 'Size' field of the struct is the component size in bits.

If you set less than 8 entries, the remaining entries will be padded with kAAFCompNone and a size of zero. If this method fails the PixelLayout property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
numberElements | [in] The number of elements in each array
PixelLayoutArray | [in] Array of up to 8 aafRGBAComponent_t indicating component order and size.
HRESULT IAAFRGBADescriptor2::SetScanningDirection ( [in] aafScanningDirection_t scanningDirection )

Sets the ScanningDirection property.

This property is optional.

Succeeds if all of the following are true:

  • scanningDirection is a value value.

If this method fails, the ScanningDirection property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_AAFRESULT_INVALID_ENUM_VALUE

  • scanningDirection is not a valid value.
Parameters:
scanningDirection [in] Scanning direction value.
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRGBADescriptor2 Member List
This is the complete list of members for IAAFRGBADescriptor2, including all inherited members.
CountPaletteLayoutElements([out] aafUInt32 *pResult) | IAAFRGBADescriptor2
CountPixelLayoutElements([out] aafUInt32 *pResult) | IAAFRGBADescriptor2
GetAlphaMaxRef([out] aafUInt32 *pAlphaMaxRef) | IAAFRGBADescriptor2
GetAlphaMinRef([out] aafUInt32 *pAlphaMinRef) | IAAFRGBADescriptor2
GetComponentMaxRef([out] aafUInt32 *pComponentMaxRef) | IAAFRGBADescriptor2
GetComponentMinRef([out] aafUInt32 *pComponentMinRef) | IAAFRGBADescriptor2
GetPalette([in] aafUInt32 numberRecords,[out, size_is(numberRecords)] aafUInt8 *pPalette) | IAAFRGBADescriptor2
GetPaletteLayout([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PaletteLayoutArray) | IAAFRGBADescriptor2
GetPaletteSize([out] aafUInt32 *pNumberBytes) | IAAFRGBADescriptor2
GetPixelLayout([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PixelLayoutArray) | IAAFRGBADescriptor2
GetScanningDirection([out] aafScanningDirection_t *pScanningDirection) | IAAFRGBADescriptor2
SetAlphaMaxRef([in] aafUInt32 alphaMaxRef) | IAAFRGBADescriptor2
SetAlphaMinRef([in] aafUInt32 alphaMinRef) | IAAFRGBADescriptor2
SetComponentMaxRef([in] aafUInt32 componentMaxRef) | IAAFRGBADescriptor2
SetComponentMinRef([in] aafUInt32 componentMinRef) | IAAFRGBADescriptor2
SetPalette([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafUInt8 *pPalette) | IAAFRGBADescriptor2
SetPaletteLayout([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PaletteLayoutArray) | IAAFRGBADescriptor2
SetPixelLayout([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PixelLayoutArray) | IAAFRGBADescriptor2
SetScanningDirection([in] aafScanningDirection_t scanningDirection) | IAAFRGBADescriptor2
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFRIFFChunk Interface Reference

Public Member Functions
IAAFRIFFChunk Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafUInt32 chunkID)
Initializes a newly allocated, empty IAAFRIFFChunk-supporting object.
HRESULT | SetChunkID ([in] aafUInt32 chunkID)
Sets the ChunkID property.
HRESULT | GetChunkID ([out] aafUInt32 *pChunkID)
Gets the ChunkID property.
HRESULT | Read ([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*pBytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesRead)
Reads data from this RIFFChunk at the current position.
HRESULT | Write ([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesWritten)
Write data to this RIFFChunk at the current position.
HRESULT | SetPosition ([in] aafPosition_t offset)
Seeks to absolute position within the RIFFChunk data.
HRESULT | GetPosition ([out] aafPosition_t *pOffset)
Gets the current position within the RIFFChunk data.
HRESULT | GetLength ([out] aafLength_t *pLength)
Returns the total size of the RIFFChunk data, in bytes.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • Insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

Objects that implement IAAFRIFFChunk also implement the following interfaces:

  • IAAFObject

Definition at line 23739 of file AAF.idl.

Member Function Documentation

HRESULT IAAFRIFFChunk::GetChunkID ( [out] aafUInt32 * pChunkID )

Gets the ChunkID property.

Succeeds if all of the following are true:

  • pChunkID is a valid pointer

If this method fails, pChunkID will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pChunkID is NULL.
Parameters:
pChunkID [out] Retrieved ChunkID
HRESULT IAAFRIFFChunk::GetLength ( [out] aafLength_t * pLength )

Returns the total size of the RIFFChunk data, in bytes.

Parameters:
pLength [out] length of the RIFFChunk data
HRESULT IAAFRIFFChunk::GetPosition ( [out] aafPosition_t * pOffset )

Gets the current position within the RIFFChunk data.

This is the position at which the next Read or Write call will operate.

Parameters:
pOffset [out] current offset from beginning of the RIFFChunk data
HRESULT IAAFRIFFChunk::Initialize ( [in] aafUInt32 chunkID )

Initializes a newly allocated, empty IAAFRIFFChunk-supporting object.

The data content is initially empty.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Parameters:
chunkID [in] ChunkID value
HRESULT IAAFRIFFChunk::Read | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes), length_is(*pBytesRead)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | pBytesRead
 | ) |  |

Reads data from this RIFFChunk at the current position.

Advances the position by the number of bytes read.

Parameters:
bytes | [in] read this many bytes
buffer | [out, size_is(bytes), length_is(*pBytesRead)] buffer to receive chunk data
pBytesRead | [out,ref]
HRESULT IAAFRIFFChunk::SetChunkID ( [in] aafUInt32 chunkID )

Sets the ChunkID property.

Succeeds if all of the following are true:

  • This object has already been had Initialize() called on it.

If this method fails, the ChunkID property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
chunkID [in] ChunkID to set
HRESULT IAAFRIFFChunk::SetPosition ( [in] aafPosition_t offset )

Seeks to absolute position within the RIFFChunk data.

The next Read or Write call will operate from the given position.

Parameters:
offset [in] offset from beginning of the RIFFChunk data
HRESULT IAAFRIFFChunk::Write | ( | [in] aafUInt32 | bytes,
 |  | [out, size_is(bytes)] aafDataBuffer_t | buffer,
 |  | [out, ref] aafUInt32 * | pBytesWritten
 | ) |  |

Write data to this RIFFChunk at the current position.

Advances the position by the number of bytes written. Any data beyond the new position is lost; that is, the buffer is truncated.

Parameters:
bytes | [in] write this many bytes
buffer | [out, size_is(bytes)] chunk data to write
pBytesWritten | [out,ref] actual number of bytes written
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRIFFChunk Member List
This is the complete list of members for IAAFRIFFChunk, including all inherited members.
GetChunkID([out] aafUInt32 *pChunkID) | IAAFRIFFChunk
GetLength([out] aafLength_t *pLength) | IAAFRIFFChunk
GetPosition([out] aafPosition_t *pOffset) | IAAFRIFFChunk
Initialize([in] aafUInt32 chunkID) | IAAFRIFFChunk
Read([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*pBytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesRead) | IAAFRIFFChunk
SetChunkID([in] aafUInt32 chunkID) | IAAFRIFFChunk
SetPosition([in] aafPosition_t offset) | IAAFRIFFChunk
Write([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *pBytesWritten) | IAAFRIFFChunk
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFScopeReference Interface Reference

Public Member Functions
IAAFScopeReference Interface Reference

This interface is used with an object representing a reference to a segment on another slot of this scope (AAFNestedScope or AAFMob) or an enclosing scope. More...

List of all members.

Public Member Functions

HRESULT | Create ([in] aafUInt32 RelativeScope,[in] aafUInt32 RelativeSlot)
Constructs a Scope Reference object.
HRESULT | Initialize ([in] IAAFDataDef *pDataDef,[in] aafUInt32 RelativeScope,[in] aafUInt32 RelativeSlot)
Constructs a Scope Reference object.
HRESULT | GetRelativeScope ([retval][out] aafUInt32 *pnRelativeScope)
Gets the number of nested scopes to pass to find the Nested Scope slot.
HRESULT | GetRelativeSlot ([retval][out] aafUInt32 *pnRelativeSlot)
Gets the number of slots that preced the slot containing the Scope Reference.

Detailed Description

This interface is used with an object representing a reference to a segment on another slot of this scope (AAFNestedScope or AAFMob) or an enclosing scope.

Scope references are specified in terms of a relative slot offset, and the number of scopes to skip outward. For example a slot offset of 1 and a scope of 0 means to look 1 track back in the current scope. A slot offset of 1 and a scope of 1 means to look one slot lower in the enslosing scope.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFScopeReference also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 23991 of file AAF.idl.

Member Function Documentation

HRESULT IAAFScopeReference::Create | ( | [in] aafUInt32 | RelativeScope,
 |  | [in] aafUInt32 | RelativeSlot
 | ) |  |

Constructs a Scope Reference object.

If this method fails the length property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
RelativeScope | [in] Number of nested scopes to pass to find the Nested Scope slot
RelativeSlot | [in] Number of slots to look backwards from the slot containing the Scope Reference
HRESULT IAAFScopeReference::GetRelativeScope ( [out] aafUInt32 * pnRelativeScope )

Gets the number of nested scopes to pass to find the Nested Scope slot.

Succeeds if all of the following are true:

  • the pnRelativeScope pointer is valid.

If this method fails nothing will be written to *pnRelativeScope.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pnRelativeScope arg is NULL.
Parameters:
pnRelativeScope [retval][out] Pointer to a Relative Scope
HRESULT IAAFScopeReference::GetRelativeSlot ( [out] aafUInt32 * pnRelativeSlot )

Gets the number of slots that preced the slot containing the Scope Reference.

Succeeds if all of the following are true:

  • the pnRelativeScope pointer is valid.

If this method fails nothing will be written to *pnRelativeSlot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pnRelativeSlot arg is NULL.
Parameters:
pnRelativeSlot [retval][out] Pointer to a Relative Slot
HRESULT IAAFScopeReference::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafUInt32 | RelativeScope,
 |  | [in] aafUInt32 | RelativeSlot
 | ) |  |

Constructs a Scope Reference object.

If this method fails the length property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
pDataDef | [in] Data definition for referenced slot
RelativeScope | [in] Number of nested scopes to pass to find the Nested Scope slot
RelativeSlot | [in] Number of slots to look backwards from the slot containing the Scope Reference
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFScopeReference Member List
This is the complete list of members for IAAFScopeReference, including all inherited members.
Create([in] aafUInt32 RelativeScope,[in] aafUInt32 RelativeSlot) | IAAFScopeReference
GetRelativeScope([retval][out] aafUInt32 *pnRelativeScope) | IAAFScopeReference
GetRelativeSlot([retval][out] aafUInt32 *pnRelativeSlot) | IAAFScopeReference
Initialize([in] IAAFDataDef *pDataDef,[in] aafUInt32 RelativeScope,[in] aafUInt32 RelativeSlot) | IAAFScopeReference
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSearchSource Interface Reference

Public Member Functions
IAAFSearchSource Interface Reference

The IAAFSearchSource interface is used to return source information for some mob slots. More...

List of all members.

Public Member Functions

HRESULT SearchSource ([in] aafSlotID_t slotID,[in] aafPosition_t offset,[in] aafMobKind_t mobKind,[in] aafMediaCriteria_t *pMediaCrit,[in] aafOperationChoice_t *pOperationChoice,[out] IAAFFindSourceInfo **ppSourceInfo)
This function returns the source information for a slot in a Master Mob or Source Mob.

Detailed Description

The IAAFSearchSource interface is used to return source information for some mob slots.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFSearchSource is not a primary interface for a concrete class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Definition at line 50529 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSearchSource::SearchSource | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafPosition_t | offset,
 |  | [in] aafMobKind_t | mobKind,
 |  | [in] aafMediaCriteria_t * | pMediaCrit,
 |  | [in] aafOperationChoice_t * | pOperationChoice,
 |  | [out] IAAFFindSourceInfo ** | ppSourceInfo
 | ) |  |

This function returns the source information for a slot in a Master Mob or Source Mob.

It follows the Source Clip references in the specified slot until it encounters the kind of Mob specified in the mobKind parameter. This function cannot be used on a Composition Mob and is not intended to be called iteratively; use the MobOpenSearch, MobGetNextSource, MobGetThisSource, and MobCloseSearch functions for those purposes.

The returned component and find source info are AddRef()ed before they are returned.

Succeeds if all of the following are true:

  • ppSourceInfo is non-NULL
  • a Mob of the requested kind is found

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppCpnt is null.

OM_ERR_INVALID_MOBTYPE

  • The enumerator is out of range (bad cast, or writing toolkit newer than reader)

OM_ERR_TRAVERSAL_NOT_POSS

  • Can not find a mob of the given kind.
Parameters:
slotID | [in] Slot ID
offset | [in] Offset
mobKind | [in] Mob Kind
pMediaCrit | [in] Media Criteria
pOperationChoice | [in] Operation Choice
ppSourceInfo | [out] Source Information
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSearchSource Member List
This is the complete list of members for IAAFSearchSource, including all inherited members.
SearchSource([in] aafSlotID_t slotID,[in] aafPosition_t offset,[in] aafMobKind_t mobKind,[in] aafMediaCriteria_t *pMediaCrit,[in] aafOperationChoice_t *pOperationChoice,[out] IAAFFindSourceInfo **ppSourceInfo) IAAFSearchSource
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSegment Interface Reference

Public Member Functions
IAAFSegment Interface Reference

The IAAFSegment interface is implemented by objects which represent a component that is independent of any other components which may surround it in a sequence. More...

List of all members.

Public Member Functions

HRESULT | SegmentOffsetToTC ([in] aafPosition_t *pOffset,[out] aafTimecode_t *pTimecode)
Converts the given Segment offset to timecode.
HRESULT | SegmentTCToOffset ([in] aafTimecode_t *pTimecode,[in] aafRational_t *pEditRate,[out] aafFrameOffset_t *pOffset)
Converts the given Timecode to an Offset.

Detailed Description

The IAAFSegment interface is implemented by objects which represent a component that is independent of any other components which may surround it in a sequence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFSegment is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFSegment also implement the following interfaces:

IAAFComponent

  • IAAFComponent2
  • IAAFObject

Definition at line 24141 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSegment::SegmentOffsetToTC | ( | [in] aafPosition_t * | pOffset,
 |  | [out] aafTimecode_t * | pTimecode
 | ) |  |

Converts the given Segment offset to timecode.

Succeeds if all of the following are true:

  • the pOffset pointer is valid.
  • the pTimeCode pointer is valid.

If this method fails the value of pTimecode is left unchanged.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any arg is NULL.

AAFRESULT_TIMECODE_NOT_FOUND

  • the given offset is not available in this segment.
Parameters:
pOffset | [in] Pointer to a Segment Offset to be convert to Timecode
pTimecode | [out] The converted timecode to be returned
HRESULT IAAFSegment::SegmentTCToOffset | ( | [in] aafTimecode_t * | pTimecode,
 |  | [in] aafRational_t * | pEditRate,
 |  | [out] aafFrameOffset_t * | pOffset
 | ) |  |

Converts the given Timecode to an Offset.

Succeeds if all of the following are true:

  • the pTimeCode pointer is valid.
  • the pEditRate pointer is valid
  • the pFrameOffset pointer is valid.

If this method fails the value of pOffset is left unchanged.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • any arg is NULL.

AAFRESULT_TIMECODE_NOT_FOUND

  • the given timecode is not available in this segment.
Parameters:
pTimecode | [in] Pointer to a timecode to be converted to Offset
pEditRate | [in] The edit rate for the given timecode
pOffset | [out] Frame Offset to be returned if found
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSegment Member List
This is the complete list of members for IAAFSegment, including all inherited members.
SegmentOffsetToTC([in] aafPosition_t *pOffset,[out] aafTimecode_t *pTimecode) | IAAFSegment
SegmentTCToOffset([in] aafTimecode_t *pTimecode,[in] aafRational_t *pEditRate,[out] aafFrameOffset_t *pOffset) | IAAFSegment
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSelector Interface Reference

Public Member Functions
IAAFSelector Interface Reference

The IAAFSelector interface is implemented by objects that specify a single segment while preserving references to unused alternatives. More...

List of all members.

Public Member Functions

HRESULT | GetSelectedSegment ([out] IAAFSegment **ppSelSegment)
Places the Selected Segment object in this Selector into the ppSelSegment argument.
HRESULT | SetSelectedSegment ([in] IAAFSegment *pSelSegment)
Sets the Selected segment.
HRESULT | AppendAlternateSegment ([in] IAAFSegment *pSegment)
This function appends the input segment to the alternate segment list, the alternate list of segments represents unused alternative segments.
HRESULT | GetNumAlternateSegments ([out] aafInt32 *pNumSegments)
This function returns the number of segments in the set.
HRESULT | EnumAlternateSegments ([out, retval] IEnumAAFSegments **ppEnum)
Places an IEnumAAFSegments enumerator for the alterante segments contained in the selector into the *ppEnum argument.
HRESULT | RemoveAlternateSegment ([in] IAAFSegment *pSegment)
Removes the given Segment from the selector.

Detailed Description

The IAAFSelector interface is implemented by objects that specify a single segment while preserving references to unused alternatives.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface.

Objects that implement IAAFSelector also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 24248 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSelector::AppendAlternateSegment ( [in] IAAFSegment * pSegment )

This function appends the input segment to the alternate segment list, the alternate list of segments represents unused alternative segments.

This method will AddRef() the segment if it succeeds.

If the segment is successfully appended to the set of alternates, the reference count of the segment is incremented.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pSegment pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pSegment is null.
Parameters:
pSegment [in] Segment to append to the Alternate list of segments
HRESULT IAAFSelector::EnumAlternateSegments ( [out, retval] IEnumAAFSegments ** ppEnum )

Places an IEnumAAFSegments enumerator for the alterante segments contained in the selector into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

E_FAIL

  • Failed to create the enumerator.
Parameters:
ppEnum [out, retval] Segment Enumeration
HRESULT IAAFSelector::GetNumAlternateSegments ( [out] aafInt32 * pNumSegments )

This function returns the number of segments in the set.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pNumSegments pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pNumSegments is null.
Parameters:
pNumSegments [out] Number of Alternate Segments
HRESULT IAAFSelector::GetSelectedSegment ( [out] IAAFSegment ** ppSelSegment )

Places the Selected Segment object in this Selector into the ppSelSegment argument.

If none exists yet, NULL is placed into the *ppSelSegment argument.

The returned essence descriptor object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppSelSegment pointer is valid.
  • A valid segment exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppSelSegment is null.
Parameters:
ppSelSegment [out] Returned the selected Segment object
HRESULT IAAFSelector::RemoveAlternateSegment ( [in] IAAFSegment * pSegment )

Removes the given Segment from the selector.

Succeeds if all of the following are true:

  • the v pointer is valid.
  • the given segment is currently in the collection.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pEssenceData is null.

AAFRESULT_SEGMENT_NOT_FOUND

  • the given segment is not already contained.
Parameters:
pSegment [in] Segment to remove
HRESULT IAAFSelector::SetSelectedSegment ( [in] IAAFSegment * pSelSegment )

Sets the Selected segment.

Succeeds if all of the following are true:

  • the pSelSegment pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSelSegment is null.
Parameters:
pSelSegment [in] A Segment object
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSelector Member List
This is the complete list of members for IAAFSelector, including all inherited members.
AppendAlternateSegment([in] IAAFSegment *pSegment) | IAAFSelector
EnumAlternateSegments([out, retval] IEnumAAFSegments **ppEnum) | IAAFSelector
GetNumAlternateSegments([out] aafInt32 *pNumSegments) | IAAFSelector
GetSelectedSegment([out] IAAFSegment **ppSelSegment) | IAAFSelector
RemoveAlternateSegment([in] IAAFSegment *pSegment) | IAAFSelector
SetSelectedSegment([in] IAAFSegment *pSelSegment) | IAAFSelector
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSequence Interface Reference

Public Member Functions
IAAFSequence Interface Reference

This interface provides access to the list of Segment and Transition objects maintained by a Sequence object. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFDataDef *pDataDef)
This function sets the properties on a newly created sequence object with the given property values.
HRESULT | AppendComponent ([in] IAAFComponent *pComponent)
This function appends the input component to the given sequence, enforcing bottom up creation of mobs.
HRESULT | PrependComponent ([in] IAAFComponent *pComponent)
This function prepends the input component to the given sequence, enforcing bottom up creation of mobs.
HRESULT | InsertComponentAt ([in] aafUInt32 index,[in] IAAFComponent *pComponent)
This function inserts the input component into the given sequence at the given index, enforcing bottom up creation of mobs.
HRESULT | GetComponentAt ([in] aafUInt32 index,[out, retval] IAAFComponent **ppComponent)
This function retrieves the input component at the given index in the given sequence.
HRESULT | RemoveComponentAt ([in] aafUInt32 index)
This function removes the input component at the given index in the given sequence.
HRESULT | CountComponents ([out] aafUInt32 *pResult)
This function returns the number of components in the sequence.
HRESULT | GetComponents ([out, retval] IEnumAAFComponents **ppEnum)
Places an IEnumAAFComponents enumerator for the components contained in the sequence into the *ppEnum argument.

Detailed Description

This interface provides access to the list of Segment and Transition objects maintained by a Sequence object.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFSequence also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 24481 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSequence::AppendComponent ( [in] IAAFComponent * pComponent )

This function appends the input component to the given sequence, enforcing bottom up creation of mobs.

The length of the sequence is incremented by the size of the component, unless the component is a transition. If the component is a transition, it verifies that it is not the first object in a transition, and that it is not neighboring another transition. It also verifies that there is enough source material on either side of the transition. The function also verifies that the datadefs are compatible.

This method will AddRef() the component if it succeeds.

If the component is successfully appended to the sequence, the reference count of the component is incremented.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pComponent pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pComponent is null.

AAFRESULT_INVALID_DATADEF

  • The data kind of the component is not compatible with the data def of the sequence.

AAFRESULT_LEADING_TRAN

  • Attempted to append a transition as the first component of a sequence. A sequence can not start with a transition.

AAFRESULT_ADJACENT_TRAN

  • Attempted to append a transition next to a transition. A sequence can not contain back to back transitions.

AAFRESULT_INSUFF_TRAN_MATERIAL

  • There is not enough source material to add this component.
Parameters:
pComponent [in] Component to append to the sequence
HRESULT IAAFSequence::CountComponents ( [out] aafUInt32 * pResult )

This function returns the number of components in the sequence.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of components
HRESULT IAAFSequence::GetComponentAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFComponent ** | ppComponent
 | ) |  |

This function retrieves the input component at the given index in the given sequence.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppComponent pointer is valid.
  • index is less than the value returned by CountComponents().

If this method fails nothing will be written to *ppComponent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pComponent is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountComponents().
Parameters:
index | [in] index of component to retrieve
ppComponent | [out, retval] Retrieved component
HRESULT IAAFSequence::GetComponents ( [out, retval] IEnumAAFComponents ** ppEnum )

Places an IEnumAAFComponents enumerator for the components contained in the sequence into the *ppEnum argument.

The returned enumerator is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

E_FAIL

  • Failed to create the enumerator.
Parameters:
ppEnum [out, retval] Component Enumeration
HRESULT IAAFSequence::Initialize ( [in] IAAFDataDef * pDataDef )

This function sets the properties on a newly created sequence object with the given property values.

The length of the sequence is initially set to 0. When components are appended to the sequence with the AppendComponent() call, the length of the appended component is added to the length of the sequence. The given DataDef specifies the kind of data which all components to be contained in this sequence must share.

Succeeds if all of the following are true:

  • this object has not yet been initialized.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDataDef is null.

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Parameters:
pDataDef [in] DataDef of this object
HRESULT IAAFSequence::InsertComponentAt | ( | [in] aafUInt32 | index,
 |  | [in] IAAFComponent * | pComponent
 | ) |  |

This function inserts the input component into the given sequence at the given index, enforcing bottom up creation of mobs.

The length of the sequence is incremented by the size of the component, unless the component is a transition. If the component is a transition, it verifies that it is not the first object in a transition, and that it is not neighboring another transition. It also verifies that there is enough source material on either side of the transition. The function also verifies that the datadefs are compatible.

This method will AddRef() the component if it succeeds.

If the component is successfully appended to the sequence, the reference count of the component is incremented.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pComponent pointer is valid.
  • index is less than or equal to the value returned by CountComponents().

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pComponent is null.

AAFRESULT_BADINDEX

  • index is greater than the value returned by CountComponents().

AAFRESULT_INVALID_DATADEF

  • The data kind of the component is not compatible with the data def of the sequence.

AAFRESULT_LEADING_TRAN

  • Attempted to append a transition as the first component of a sequence. A sequence can not start with a transition.

AAFRESULT_ADJACENT_TRAN

  • Attempted to append a transition next to a transition. A sequence can not contain back to back transitions.

AAFRESULT_INSUFF_TRAN_MATERIAL

  • There is not enough source material to add this component.
Parameters:
index | [in] index to insert component
pComponent | [in] Component to insert into the sequence
HRESULT IAAFSequence::PrependComponent ( [in] IAAFComponent * pComponent )

This function prepends the input component to the given sequence, enforcing bottom up creation of mobs.

The length of the sequence is incremented by the size of the component, unless the component is a transition. If the component is a transition, it verifies that it is not the first object in a transition, and that it is not neighboring another transition. It also verifies that there is enough source material on either side of the transition. The function also verifies that the datadefs are compatible.

This method will AddRef() the component if it succeeds.

If the component is successfully appended to the sequence, the reference count of the component is incremented.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pComponent pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pComponent is null.

AAFRESULT_INVALID_DATADEF

  • The data kind of the component is not compatible with the data def of the sequence.

AAFRESULT_LEADING_TRAN

  • Attempted to append a transition as the first component of a sequence. A sequence can not start with a transition.

AAFRESULT_ADJACENT_TRAN

  • Attempted to append a transition next to a transition. A sequence can not contain back to back transitions.

AAFRESULT_INSUFF_TRAN_MATERIAL

  • There is not enough source material to add this component.
Parameters:
pComponent [in] Component to prepend to the sequence
HRESULT IAAFSequence::RemoveComponentAt ( [in] aafUInt32 index )

This function removes the input component at the given index in the given sequence.

Components already existing at indices higher than the given index will be moved to the next lower index to accommodate.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • index is less than the value returned by CountComponents().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountComponents().
Parameters:
index [in] index of component to remove
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSequence Member List
This is the complete list of members for IAAFSequence, including all inherited members.
AppendComponent([in] IAAFComponent *pComponent) | IAAFSequence
CountComponents([out] aafUInt32 *pResult) | IAAFSequence
GetComponentAt([in] aafUInt32 index,[out, retval] IAAFComponent **ppComponent) | IAAFSequence
GetComponents([out, retval] IEnumAAFComponents **ppEnum) | IAAFSequence
Initialize([in] IAAFDataDef *pDataDef) | IAAFSequence
InsertComponentAt([in] aafUInt32 index,[in] IAAFComponent *pComponent) | IAAFSequence
PrependComponent([in] IAAFComponent *pComponent) | IAAFSequence
RemoveComponentAt([in] aafUInt32 index) | IAAFSequence
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSetFileBits Interface Reference

Public Member Functions
IAAFSetFileBits Interface Reference

This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to supply the raw bits of a file before open. More...

List of all members.

Public Member Functions

HRESULT | WriteAt ([in, size_is(bufSize)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[in] aafUInt64 position)
Writes bufsize bytes into this file at the given byte offset.
HRESULT | SetSize ([in] aafUInt64 size)
Attempts to reserve size bytes of storage.

Detailed Description

This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to supply the raw bits of a file before open.

Note that this and the IAAFGetFileBits interfaces are different than the IAAFRawStorage interfaces in that those are implemented by clients to provide access to the desired media; these are provided by the toolkit to provide read OR write (but not both simultaneously) access to the raw bits.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 24888 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSetFileBits::SetSize ( [in] aafUInt64 size )

Attempts to reserve size bytes of storage.

Succeeds if:

  • The requested space is available.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_DATA_SIZE

  • size bytes are not available.
Parameters:
size [in] The requested file size
HRESULT IAAFSetFileBits::WriteAt | ( | [in, size_is(bufSize)] aafMemPtr_t | buf,
 |  | [in] aafUInt32 | bufSize,
 |  | [in] aafUInt64 | position
 | ) |  |

Writes bufsize bytes into this file at the given byte offset.

Obtains the data from buf. A value of zero for position indicates the beginning of the stream.

Succeeds if sufficient space is available in the file to write the given number of bytes at the given position. It's possible to guarantee that this method will succeed if SetSize() is first called to reserve the required space. If SetSize() is not first called to reserve the space, this method will attempt to request it, but this attempt may fail.

Succeeds if:

  • The buf argument is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • buf arg is NULL.

AAFRESULT_DATA_SIZE

  • The requested space is not available.
Parameters:
buf | [in, size_is(bufSize)] Buffer from which data is written
bufSize | [in] Number of bytes
position | [in] The position in bytes at which to read
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSetFileBits Member List
This is the complete list of members for IAAFSetFileBits, including all inherited members.
SetSize([in] aafUInt64 size) | IAAFSetFileBits
WriteAt([in, size_is(bufSize)] aafMemPtr_t buf,[in] aafUInt32 bufSize,[in] aafUInt64 position) | IAAFSetFileBits
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSoundDescriptor Interface Reference

Public Member Functions
IAAFSoundDescriptor Interface Reference

The IAAFSoundDescriptor interface is implemented by objects which describe the basic parameters of Sound used by all compression or coding schemes. More...

List of all members.

Public Member Functions

HRESULT | SetCompression ([in] aafUID_constref compression)
Sets the kind of compression and format of compression information of the sound essence data.
HRESULT | GetCompression ([out] aafUID_t *pCompression)
Gets the kind of compression and format of compression information of the sound essence data.
HRESULT | SetChannelCount ([in] aafUInt32 channelCount)
Sets the number of channels of sound represented by this descriptor.
HRESULT | GetChannelCount ([out] aafUInt32 *pChannelCount)
Gets the number of channels of sound represented by this descriptor.
HRESULT | SetAudioSamplingRate ([in] aafRational_t rate)
Sets the sample rate of audio represented by this descriptor.
HRESULT | GetAudioSamplingRate ([out] aafRational_t *pRate)
Gets the sample rate of audio represented by this descriptor.
HRESULT | SetIsLocked ([in] aafBoolean_t locked)
Sets the Locked flag which indicates whether the number of samples per frame is locked or unlocked.
HRESULT | IsLocked ([out] aafBoolean_t *pLocked)
Gets the Locked flag which indicates whether the number of samples per frame is locked or unlocked.
HRESULT | SetElectroSpatialFormulation ([in] aafElectroSpatialFormulation_t formulation)
Sets the electro-spatial form of the signal.
HRESULT | GetElectroSpatialFormulation ([out] aafElectroSpatialFormulation_t *pFormulation)
Gets the electro-spatial form of the signal.
HRESULT | SetAudioRefLevel ([in] aafInt8 level)
Sets the audio reference level.
HRESULT | GetAudioRefLevel ([out] aafInt8 *pLevel)
Gets the audio reference level.
HRESULT | SetDialNorm ([in] aafInt8 dialNorm)
Sets the dial norm.
HRESULT | GetDialNorm ([out] aafInt8 *pDialNorm)
Gets the dial norm.
HRESULT | SetQuantizationBits ([in] aafUInt32 bitsCount)
Sets the number of quantization bits.
HRESULT | GetQuantizationBits ([out] aafUInt32 *pBitsCount)
Gets the number of quantization bits.

Detailed Description

The IAAFSoundDescriptor interface is implemented by objects which describe the basic parameters of Sound used by all compression or coding schemes.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFSoundDescriptor also implement the following interfaces:

IAAFFileDescriptor

  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 24991 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSoundDescriptor::GetAudioRefLevel ( [out] aafInt8 * pLevel )

Gets the audio reference level.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pLevel pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pLevel.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLevel arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pLevel [out] Audio reference level.
HRESULT IAAFSoundDescriptor::GetAudioSamplingRate ( [out] aafRational_t * pRate )

Gets the sample rate of audio represented by this descriptor.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pRate pointer is valid.

If this method fails nothing will be written to *pRate.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRate arg is NULL.
Parameters:
pRate [out] Sample rate of audio essence.
HRESULT IAAFSoundDescriptor::GetChannelCount ( [out] aafUInt32 * pChannelCount )

Gets the number of channels of sound represented by this descriptor.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pChannelCount pointer is valid.

If this method fails nothing will be written to *pChannelCount.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pChannelCount arg is NULL.
Parameters:
pChannelCount [out] The number of channels of sound represented by this descriptor.
HRESULT IAAFSoundDescriptor::GetCompression ( [out] aafUID_t * pCompression )

Gets the kind of compression and format of compression information of the sound essence data.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pCompression pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pCompression.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pCompression arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pCompression [out] Compression of the sound essence data.
HRESULT IAAFSoundDescriptor::GetDialNorm ( [out] aafInt8 * pDialNorm )

Gets the dial norm.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pDialNorm pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pDialNorm.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pDialNorm arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pDialNorm [out] Dial norm.
HRESULT IAAFSoundDescriptor::GetElectroSpatialFormulation ( [out] aafElectroSpatialFormulation_t * pFormulation )

Gets the electro-spatial form of the signal.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pFormulation pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pFormulation.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFormulation arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pFormulation [out] Electro-spatial form of the signal.
HRESULT IAAFSoundDescriptor::GetQuantizationBits ( [out] aafUInt32 * pBitsCount )

Gets the number of quantization bits.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pBitsCount pointer is valid.

If this method fails nothing will be written to *pBitsCount.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBitsCount arg is NULL.
Parameters:
pBitsCount [out] Number of quantization bits.
HRESULT IAAFSoundDescriptor::IsLocked ( [out] aafBoolean_t * pLocked )

Gets the Locked flag which indicates whether the number of samples per frame is locked or unlocked.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the pLocked pointer is valid.
  • the property is present.

If this method fails nothing will be written to *pLocked.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLocked arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
pLocked [out] Is number of samples per frame locked to video?
HRESULT IAAFSoundDescriptor::SetAudioRefLevel ( [in] aafInt8 level )

Sets the audio reference level.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the AudioRefLevel property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
level [in] Audio reference level.
HRESULT IAAFSoundDescriptor::SetAudioSamplingRate ( [in] aafRational_t rate )

Sets the sample rate of audio represented by this descriptor.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the AudioSamplingRate property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
rate [in] Sample rate of audio essence.
HRESULT IAAFSoundDescriptor::SetChannelCount ( [in] aafUInt32 channelCount )

Sets the number of channels of sound represented by this descriptor.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the Channels property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
channelCount [in] The number of channels of sound represented by this descriptor.
HRESULT IAAFSoundDescriptor::SetCompression ( [in] aafUID_constref compression )

Sets the kind of compression and format of compression information of the sound essence data.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the Compression property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
compression [in] Identifies kind of compression and format of compression information.
HRESULT IAAFSoundDescriptor::SetDialNorm ( [in] aafInt8 dialNorm )

Sets the dial norm.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the DialNorm property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
dialNorm [in] Dial norm.
HRESULT IAAFSoundDescriptor::SetElectroSpatialFormulation ( [in] aafElectroSpatialFormulation_t formulation )

Sets the electro-spatial form of the signal.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the ElectroSpatial property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
formulation [in] Electro-spatial form of the signal.
HRESULT IAAFSoundDescriptor::SetIsLocked ( [in] aafBoolean_t locked )

Sets the Locked flag which indicates whether the number of samples per frame is locked or unlocked.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the Locked property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
locked [in] Is number of samples per frame locked to video?
HRESULT IAAFSoundDescriptor::SetQuantizationBits ( [in] aafUInt32 bitsCount )

Sets the number of quantization bits.

This property is required.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the QuantizationBits property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
bitsCount [in] Number of quantization bits.
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSoundDescriptor Member List
This is the complete list of members for IAAFSoundDescriptor, including all inherited members.
GetAudioRefLevel([out] aafInt8 *pLevel) | IAAFSoundDescriptor
GetAudioSamplingRate([out] aafRational_t *pRate) | IAAFSoundDescriptor
GetChannelCount([out] aafUInt32 *pChannelCount) | IAAFSoundDescriptor
GetCompression([out] aafUID_t *pCompression) | IAAFSoundDescriptor
GetDialNorm([out] aafInt8 *pDialNorm) | IAAFSoundDescriptor
GetElectroSpatialFormulation([out] aafElectroSpatialFormulation_t *pFormulation) | IAAFSoundDescriptor
GetQuantizationBits([out] aafUInt32 *pBitsCount) | IAAFSoundDescriptor
IsLocked([out] aafBoolean_t *pLocked) | IAAFSoundDescriptor
SetAudioRefLevel([in] aafInt8 level) | IAAFSoundDescriptor
SetAudioSamplingRate([in] aafRational_t rate) | IAAFSoundDescriptor
SetChannelCount([in] aafUInt32 channelCount) | IAAFSoundDescriptor
SetCompression([in] aafUID_constref compression) | IAAFSoundDescriptor
SetDialNorm([in] aafInt8 dialNorm) | IAAFSoundDescriptor
SetElectroSpatialFormulation([in] aafElectroSpatialFormulation_t formulation) | IAAFSoundDescriptor
SetIsLocked([in] aafBoolean_t locked) | IAAFSoundDescriptor
SetQuantizationBits([in] aafUInt32 bitsCount) | IAAFSoundDescriptor
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSourceClip Interface Reference

Public Member Functions
IAAFSourceClip Interface Reference

The IAAFSourceClip interface is implemented by objects that reference the content data and identify the source of the content data. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFDataDef *pDataDef,[in] aafLength_constref length,[in] aafSourceRef_t sourceRef)
This method initializes a source clip object with the given properties.
HRESULT | GetFade ([out] aafLength_t *pFadeInLen,[out] aafFadeType_t *pFadeInType,[out] aafBoolean_t *pFadeInPresent,[out] aafLength_t *pFadeOutLen,[out] aafFadeType_t *pFadeOutType,[out] aafBoolean_t *pFadeOutPresent)
This function returns the optional fade information from a source clip.
HRESULT | ResolveRef ([out] IAAFMob **ppMob)
Given a source clip object, this function returns a pointer to the mob that it references.
HRESULT | GetSourceReference ([out] aafSourceRef_t *pSourceRef)
This function returns the source reference of this source clip.
HRESULT | SetFade ([in] aafInt32 fadeInLen,[in] aafFadeType_t fadeInType,[in] aafInt32 fadeOutLen,[in] aafFadeType_t fadeOutType)
This function sets the optional fade properties on this source clip object.
HRESULT | SetSourceReference ([in] aafSourceRef_t sourceRef)
This function sets the source reference of this source clip.

Detailed Description

The IAAFSourceClip interface is implemented by objects that reference the content data and identify the source of the content data.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFSourceClip also implement the following interfaces:

  • IAAFSourceReference
  • IAAFSourceReference2
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 25457 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSourceClip::GetFade | ( | [out] aafLength_t * | pFadeInLen,
 |  | [out] aafFadeType_t * | pFadeInType,
 |  | [out] aafBoolean_t * | pFadeInPresent,
 |  | [out] aafLength_t * | pFadeOutLen,
 |  | [out] aafFadeType_t * | pFadeOutType,
 |  | [out] aafBoolean_t * | pFadeOutPresent
 | ) |  |

This function returns the optional fade information from a source clip.

This function only applies to audio source clips. Length units are specified by the containing mob slot's edit rate.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.
  • the all argument pointers are valid.

If this method fails nothing will be written to any of the locations specified by the arguments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • any argument is NULL.
Parameters:
pFadeInLen | [out] Fade In Length
pFadeInType | [out] Fade In Type
pFadeInPresent | [out] Fade In Type
pFadeOutLen | [out] Fade Out Length
pFadeOutType | [out] Fade Out Type
pFadeOutPresent | [out] Fade In Type
HRESULT IAAFSourceClip::GetSourceReference ( [out] aafSourceRef_t * pSourceRef )

This function returns the source reference of this source clip.

Note: the 3 properties of a source Clip that make up the "source reference" are sourceID, sourceTrackID, and startTime.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.
  • the pSourceRef pointer is valid.

If this method fails nothing will be written to *pSourceRef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRef arg is NULL.
Parameters:
pSourceRef [out] Source Reference
HRESULT IAAFSourceClip::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafLength_constref | length,
 |  | [in] aafSourceRef_t | sourceRef
 | ) |  |

This method initializes a source clip object with the given properties.

Only required properties are set. Optional properties are added with separate functions.

Succeds if:

  • This object has not already been Initialize()d.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pDataDef argument is NULL.
Parameters:
pDataDef | [in] Data Definition object
length | [in] Length property value
sourceRef | [in] Source Reference
HRESULT IAAFSourceClip::ResolveRef ( [out] IAAFMob ** ppMob )

Given a source clip object, this function returns a pointer to the mob that it references.

The returned mob is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.
  • the ppMob pointer is valid.

If this method fails nothing will be written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppMob arg is NULL.

AAFRESULT_MOB_NOT_FOUND

  • this mob does not exist.
Parameters:
ppMob [out] Referenced mob
HRESULT IAAFSourceClip::SetFade | ( | [in] aafInt32 | fadeInLen,
 |  | [in] aafFadeType_t | fadeInType,
 |  | [in] aafInt32 | fadeOutLen,
 |  | [in] aafFadeType_t | fadeOutType
 | ) |  |

This function sets the optional fade properties on this source clip object.

The fade properties only apply to a source clip of data definition (or convertible to a data definition) of type Sound. All arguments should be specified. Length units are specified by the containing mob slot's edit rate.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
fadeInLen | [in] Fade In Length
fadeInType | [in] Fade In Type
fadeOutLen | [in] Fade Out Length
fadeOutType | [in] Fade Out Type
HRESULT IAAFSourceClip::SetSourceReference ( [in] aafSourceRef_t sourceRef )

This function sets the source reference of this source clip.

Note: the 3 properties of a source Clip that make up the "source reference" are sourceID, sourceTrackID, and startTime.

Succeeds if all of the following are true:

  • This object has already been Initialize()d.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
sourceRef [in] Source Reference
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSourceClip Member List
This is the complete list of members for IAAFSourceClip, including all inherited members.
GetFade([out] aafLength_t *pFadeInLen,[out] aafFadeType_t *pFadeInType,[out] aafBoolean_t *pFadeInPresent,[out] aafLength_t *pFadeOutLen,[out] aafFadeType_t *pFadeOutType,[out] aafBoolean_t *pFadeOutPresent) | IAAFSourceClip
GetSourceReference([out] aafSourceRef_t *pSourceRef) | IAAFSourceClip
Initialize([in] IAAFDataDef *pDataDef,[in] aafLength_constref length,[in] aafSourceRef_t sourceRef) | IAAFSourceClip
ResolveRef([out] IAAFMob **ppMob) | IAAFSourceClip
SetFade([in] aafInt32 fadeInLen,[in] aafFadeType_t fadeInType,[in] aafInt32 fadeOutLen,[in] aafFadeType_t fadeOutType) | IAAFSourceClip
SetSourceReference([in] aafSourceRef_t sourceRef) | IAAFSourceClip
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSourceMob Interface Reference

Public Member Functions
IAAFSourceMob Interface Reference

This interface is used with an object representing a SourceMob containing some form of AAFEssenceDescriptor, either an AAFTapeDescriptor, AAFFileDescriptor AAFFilmDescriptor, or some extended descriptor not in the v1 specification. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFSourceMob-supporting object.
HRESULT | GetEssenceDescriptor ([out] IAAFEssenceDescriptor **ppEssence)
Places the Essence Descriptor object attached to this Mob into the ppEssence argument.
HRESULT | SetEssenceDescriptor ([in] IAAFEssenceDescriptor *pEssence)
Sets the Essence Descriptor of this Mob to be the given one.
HRESULT | AddNilReference ([in] aafSlotID_t slotID,[in] aafLength_t length,[in] IAAFDataDef *pDataDef,[in] aafRational_t editRate)
This function adds a slot containing a NIL [sourceID 0.0....
HRESULT | AppendTimecodeSlot ([in] aafRational_t editrate,[in] aafInt32 slotID,[in] aafTimecode_t startTC,[in] aafFrameLength_t length32)
This function adds a Timecode slot to a specified tape Mob or film Mob, with a specified starting timecode, length, and edit rate.
HRESULT | AppendEdgecodeSlot ([in] aafRational_t editrate,[in] aafInt32 slotID,[in] aafFrameOffset_t startEC,[in] aafFrameLength_t length32,[in] aafFilmType_t filmKind,[in] aafEdgeType_t codeFormat,[in] aafEdgecodeHeader_t header)
Adds an Edgecode slot to a specified film Mob, with a specified starting edgecode, length, and edit rate.
HRESULT | SpecifyValidCodeRange ([in] IAAFDataDef *pEssenceKind,[in] aafSlotID_t slotID,[in] aafRational_t editrate,[in] aafFrameOffset_t startOffset,[in] aafFrameLength_t length32)
Adds slot containing Source Clips to a Source Mob to indicate that the Timecode or Edgecode is valid for that channel.
HRESULT | AppendPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.
HRESULT | NewPhysSourceRef ([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength)
Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.
HRESULT | AddPulldownRef ([in] aafAppendOption_t addType,[in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength,[in] aafPulldownKind_t pulldownKind,[in] aafPhaseFrame_t phaseFrame,[in] aafPulldownDir_t direction)
Connects the specified Source Mob with the physical Source Mob that describes the previous generation of essence, with an additional AAFPulldown as part of the reference to indicate a non 1-1 relationship Between the two.

Detailed Description

This interface is used with an object representing a SourceMob containing some form of AAFEssenceDescriptor, either an AAFTapeDescriptor, AAFFileDescriptor AAFFilmDescriptor, or some extended descriptor not in the v1 specification.

Some methods exist here which exist only for one kind of AAFEssenceDescriptor.

  • AppendTimecodeClip -- Works only on tape AAFSourceMobs
  • ValidateTimecodeRange -- Works only on tape AAFSourceMobs
  • AppendEdgecodeClip -- Works only on film AAFSourceMobs

These will return an error if the wrong descriptor is present.

If an AAFSourceMob points to another AAFSourceMob at the same rate [or non-picture], then AppendPhysMobRef is used to create the relationship.

If an AAFSourceMob points to picture on another AAFSourceMob at a different sample rate, then AddPulldownRef is used to create the relationship, and the AAFPulldown which describes how to map between the two rates.

In an AAFSourceMob is the end of the derivation chain for a particular track, then AddNilReference should be called for that slot, to say that that slot does exist on the SourceMob. For example, a video file mob with no derivation would have a single slot or type video, with a NIL reference to show that video exist, and was not derived from anything else on record.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFSourceMob also implement the following interfaces:

  • IAAFSearchSource
  • IAAFMob
  • IAAFMob2
  • IAAFObject

Definition at line 25727 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSourceMob::AddNilReference | ( | [in] aafSlotID_t | slotID,
 |  | [in] aafLength_t | length,
 |  | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafRational_t | editRate
 | ) |  |

This function adds a slot containing a NIL [sourceID 0.0....

] Source Clip. This special SourceID indicates that the mob chain ends here, which indicates that no record exists of what the essence was derived from. Some AAFSourceClip is still required on the track to indicate that the track exists, and may be referenced from other Mobs.

Examples of Source Mobs that are not derived from a previous source of essence are: Tape Source Mobs that were not created from film; File Source Mobs whose digital essence data was originally generated by computer and was not digitized from videotape.

Succeeds if all of the following are true:

  • The pDataDef parameter is valid.
  • editRate is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pDataDef parameter is NULL.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BADRATE

  • the editRate is not valid.
Parameters:
slotID | [in] SlotID to be assigned to the new slot
length | [in] Duration of the Source Clip to be added to the new slot
pDataDef | [in] Data definition of the new slot
editRate | [in] Edit rate of the new slot
HRESULT IAAFSourceMob::AddPulldownRef | ( | [in] aafAppendOption_t | addType,
 |  | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength,
 |  | [in] aafPulldownKind_t | pulldownKind,
 |  | [in] aafPhaseFrame_t | phaseFrame,
 |  | [in] aafPulldownDir_t | direction
 | ) |  |

Connects the specified Source Mob with the physical Source Mob that describes the previous generation of essence, with an additional AAFPulldown as part of the reference to indicate a non 1-1 relationship Between the two.

Functionally, this is a helper function to create a slot with an AAFPulldown object which references an AAFSourceClip, which references a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t and the AAFPulldown object have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFTapeDescriptor is often an AAFFilmDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid.
  • a valid pulldown direction was specified.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.

AAFRESULT_PULLDOWN_DIRECTION

  • an invalid pulldown direction was specified.
Parameters:
addType | [in] Tells whether to overwrite an existing slot segment, or create a sequence and append
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip in the Source Mob
pulldownKind [in] Method of conversion. Possible values are:
  • kAAFTwoThreePD -- Normal NTSC-20fps pulldown
  • kAAFPALPD
  • kAAFOneToOneNTSC -- NTSC recorded as 1 frame == 1 film frame.
  • kAAFOneToOnePAL -- PAL recorded as 1 frame == 1 film frame.
phaseFrame | [in] phase of first frame
direction | [in] Direction of the pulldown conversion. Possible values are:
  • kAAFTapeToFilmSpeed -- Used to link a file descriptor with a tape descriptor.
  • kAAFFilmToTapeSpeed -- Used to link a tape descriptor with a film descriptor.
HRESULT IAAFSourceMob::AppendEdgecodeSlot | ( | [in] aafRational_t | editrate,
 |  | [in] aafInt32 | slotID,
 |  | [in] aafFrameOffset_t | startEC,
 |  | [in] aafFrameLength_t | length32,
 |  | [in] aafFilmType_t | filmKind,
 |  | [in] aafEdgeType_t | codeFormat,
 |  | [in] aafEdgecodeHeader_t | header
 | ) |  |

Adds an Edgecode slot to a specified film Mob, with a specified starting edgecode, length, and edit rate.

You must add a essence slot with SpecifyValidCodeRange to make the edgecode slot valid.

Succeeds if all of the following are true:

  • The specified slot ID is not yet used.
  • This source mob references an AAFFilmDescriptor as an essence descriptor.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_SLOT_EXISTS

  • The specified slotID already exists.

AAFRESULT_FILMDESC_ONLY

  • Valid only for AAFSourceMob referencing an AAFFilmDescriptor as EssenceDescriptor.
Parameters:
editrate | [in] Edit rate of the Edgecode slot
slotID | [in] SlotID to assign to the new Edgecode slot
startEC | [in] Starting Edgecode
length32 | [in] Length of the Edgecode component in the slot
filmKind [in] The film kind. Can be one of:
  • kFtNull
  • kFt35MM
  • kFt16MM
  • kFt8MM
  • kFt65MM
codeFormat [in] The code format. Can be one of:
  • kEtNull
  • kEtKeycode
  • kEtEdgenum4
  • kEtEdgenum5
header | [in] The Edgecode's 8-byte header
HRESULT IAAFSourceMob::AppendPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, appending it to existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.
Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFSourceMob::AppendTimecodeSlot | ( | [in] aafRational_t | editrate,
 |  | [in] aafInt32 | slotID,
 |  | [in] aafTimecode_t | startTC,
 |  | [in] aafFrameLength_t | length32
 | ) |  |

This function adds a Timecode slot to a specified tape Mob or film Mob, with a specified starting timecode, length, and edit rate.

Your must also call SpecifyValidCodeRange to add the Filler to the other essence slots to indicate that the Timecode is valid for that channel.

Note: The startTC parameter is expressed in frames since midnight.

The length32 parameter can be the value FULL_RANGE, in which case the length is 24 hours.

Succeeds if all of the following are true:

  • The specified slot ID is not yet used.
  • This source mob references an AAFTapeDescriptor as an essence descriptor.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_SLOT_EXISTS

  • The specified slotID already exists.

AAFRESULT_TAPEDESC_ONLY

  • Valid only for AAFSourceMob referencing an AAFTapeDescriptor as EssenceDescriptor.
Parameters:
editrate | [in] Edit rate of Timecode slot
slotID | [in] SlotID of Timecode slot
startTC | [in] Starting time code
length32 | [in] Duration of Timecode.
HRESULT IAAFSourceMob::GetEssenceDescriptor ( [out] IAAFEssenceDescriptor ** ppEssence )

Places the Essence Descriptor object attached to this Mob into the ppEssence argument.

If none exists yet, NULL is placed into the ppEssence argument.

The returned essence descriptor object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppEssence pointer is valid.
  • A valid essence descriptor exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppEssence is null.

AAFRESULT_NO_ESSENCE_DESC

  • There is no essence descriptor. There has to be one of some kind for this to be a valid Mob.
Parameters:
ppEssence [out] Returned Essence Descriptor object
HRESULT IAAFSourceMob::Initialize ( )

Initializes a newly allocated, empty IAAFSourceMob-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFSourceMob::NewPhysSourceRef | ( | [in] aafRational_t | editrate,
 |  | [in] aafSlotID_t | aMobSlot,
 |  | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSourceRef_t | ref,
 |  | [in] aafLength_t | srcRefLength
 | ) |  |

Connects this Source Mob with the physical Source Mob that describes the previous generation of essence, replacing any existing Mob data.

If a physical Source Mob, such as a File Source Mob or tape Source Mob, references another physical Source Mob as its ancestor, with no pulldown, then this function makes the connection between the two.

Functionally, this is a helper function to create a slot with an AAFSourceClip referencing a particular piece of media. This function takes many parameters because the components of an aafSourceRef_t have been broken out as separate parameters.

The ancestor of an AAFSourceMob with an AAFFileDescriptor is often an AAFTapeDescriptor or NIL.

Succeeds if all of the following are true:

  • the pSourceRefObj pointer is valid.
  • the pEssenceKind pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSourceRefObj or pEssenceKind is null.
Parameters:
editrate | [in] Edit rate of slot to contain reference
aMobSlot | [in] SlotID of slot to contain reference
pEssenceKind [in] Data kind of slot to contain reference. Requires a data kind valid for a essence stream. Valid data kinds are:
  • Picture
  • Sound
ref | [in] Reference to a Physical Source Mob
srcRefLength | [in] Length of the Source Clip
HRESULT IAAFSourceMob::SetEssenceDescriptor ( [in] IAAFEssenceDescriptor * pEssence )

Sets the Essence Descriptor of this Mob to be the given one.

Succeeds if all of the following are true:

  • the pEssence pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEssence is null.
Parameters:
pEssence [in] Essence Descriptor object
HRESULT IAAFSourceMob::SpecifyValidCodeRange | ( | [in] IAAFDataDef * | pEssenceKind,
 |  | [in] aafSlotID_t | slotID,
 |  | [in] aafRational_t | editrate,
 |  | [in] aafFrameOffset_t | startOffset,
 |  | [in] aafFrameLength_t | length32
 | ) |  |

Adds slot containing Source Clips to a Source Mob to indicate that the Timecode or Edgecode is valid for that channel.

Note: The pEssenceKind parameter requires a data kind valid for a essence stream. Valid data kinds are:

  • Picture
  • Sound

Succeeds if all of the following are true:

  • the pEssenceKind pointer is valid.
  • The specified slot ID is not yet used.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEssenceKind is null.

AAFRESULT_SLOT_EXISTS

  • The specified slotID already exists.
Parameters:
pEssenceKind | [in] Data kind for the slot to be added
slotID | [in] SlotID for the slot to be added
editrate | [in] Edit rate for the slot to be added
startOffset | [in] Start offset for the slot to be added
length32 | [in] Duration of the Source Clip in the slot
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSourceMob Member List
This is the complete list of members for IAAFSourceMob, including all inherited members.
AddNilReference([in] aafSlotID_t slotID,[in] aafLength_t length,[in] IAAFDataDef *pDataDef,[in] aafRational_t editRate) | IAAFSourceMob
AddPulldownRef([in] aafAppendOption_t addType,[in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength,[in] aafPulldownKind_t pulldownKind,[in] aafPhaseFrame_t phaseFrame,[in] aafPulldownDir_t direction) | IAAFSourceMob
AppendEdgecodeSlot([in] aafRational_t editrate,[in] aafInt32 slotID,[in] aafFrameOffset_t startEC,[in] aafFrameLength_t length32,[in] aafFilmType_t filmKind,[in] aafEdgeType_t codeFormat,[in] aafEdgecodeHeader_t header) | IAAFSourceMob
AppendPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFSourceMob
AppendTimecodeSlot([in] aafRational_t editrate,[in] aafInt32 slotID,[in] aafTimecode_t startTC,[in] aafFrameLength_t length32) | IAAFSourceMob
GetEssenceDescriptor([out] IAAFEssenceDescriptor **ppEssence) | IAAFSourceMob
Initialize() | IAAFSourceMob
NewPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFSourceMob
SetEssenceDescriptor([in] IAAFEssenceDescriptor *pEssence) | IAAFSourceMob
SpecifyValidCodeRange([in] IAAFDataDef *pEssenceKind,[in] aafSlotID_t slotID,[in] aafRational_t editrate,[in] aafFrameOffset_t startOffset,[in] aafFrameLength_t length32) | IAAFSourceMob
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSourceReference Interface Reference

Public Member Functions
IAAFSourceReference Interface Reference

The IAAFSourceReference interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob. More...

List of all members.

Public Member Functions

HRESULT | GetSourceID ([retval][out] aafMobID_t *pSourceID)
Gets the SourceID and places it into the pSourceID argument.
HRESULT | SetSourceID ([in] aafMobID_constref sourceID)
Sets the SourceID using the sourceID argument.
HRESULT | GetSourceMobSlotID ([retval][out] aafSlotID_t *pMobSlotID)
Gets the Mob Slot ID and places it into the pMobSlotID argument.
HRESULT | SetSourceMobSlotID ([in] aafSlotID_t mobSlotID)
Sets the mob slot ID using the mobSlotID argument.

Detailed Description

The IAAFSourceReference interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFSourceReference is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFSourceReference also implement the following interfaces:

IAAFSourceReference2

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 26251 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSourceReference::GetSourceID ( [out] aafMobID_t * pSourceID )

Gets the SourceID and places it into the pSourceID argument.

Succeeds if all of the following are true:

  • the pSourceID pointer is valid.

If this method fails nothing will be written to *pSourceID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSourceID arg is NULL.
Parameters:
pSourceID [retval][out] Place to put source ID
HRESULT IAAFSourceReference::GetSourceMobSlotID ( [out] aafSlotID_t * pMobSlotID )

Gets the Mob Slot ID and places it into the pMobSlotID argument.

Succeeds if all of the following are true:

  • the pMobSlotID pointer is valid.

If this method fails nothing will be written to *pMobSlotID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMobSlotID arg is NULL.
Parameters:
pMobSlotID [retval][out] Place to put source mob slot ID
HRESULT IAAFSourceReference::SetSourceID ( [in] aafMobID_constref sourceID )

Sets the SourceID using the sourceID argument.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
sourceID [in] Source ID to set
HRESULT IAAFSourceReference::SetSourceMobSlotID ( [in] aafSlotID_t mobSlotID )

Sets the mob slot ID using the mobSlotID argument.

Succeeds if all of the following are true:

  • (preconditions here)

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

(other error codes here.)

Parameters:
mobSlotID [in] Source Mob ID to set
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFSourceReference2 Interface Reference

Public Member Functions
IAAFSourceReference2 Interface Reference

The IAAFSourceReference2 interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob. More...

List of all members.

Public Member Functions

HRESULT | GetSourceID ([retval][out] aafMobID_t *pSourceID)
Gets the SourceID and places it into the pSourceID argument.
HRESULT | SetSourceID ([in] aafMobID_constref sourceID)
Sets the SourceID using the sourceID argument.
HRESULT | GetSourceMobSlotID ([retval][out] aafSlotID_t *pMobSlotID)
Gets the Mob Slot ID and places it into the pMobSlotID argument.
HRESULT | SetSourceMobSlotID ([in] aafSlotID_t mobSlotID)
Sets the mob slot ID using the mobSlotID argument.
HRESULT | SetChannelIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pChannelIDs)
Specify the channels in a slot that are referenced.
HRESULT | GetChannelIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pChannelIDs)
Get the channels in a slot that are referenced.
HRESULT | GetChannelIDsSize ([out] aafUInt32 *pSize)
Returns the size in bytes of the buffer required to hold the array returned by GetChannelIDs().
HRESULT | SetMonoSourceSlotIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pMonoSourceSlotIDs)
For reference from a multi-channel MobSlot to multiple mono MobSlots.
HRESULT | GetMonoSourceSlotIDs ([in] aafUInt32 numberElements,[in] aafUInt32 *pMonoSourceSlotIDs)
Get the mono slot IDs that are referenced by this object.
HRESULT | GetMonoSourceSlotIDsSize ([out] aafUInt32 *pSize)
Returns the size in bytes of the buffer required to hold the array returned by GetMonoSourceSlotIDs().

Detailed Description

The IAAFSourceReference2 interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFSourceReference2 is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFSourceReference2 also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 50625 of file AAF.idl.

Member Function Documentation

HRESULT IAAFSourceReference2::GetChannelIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pChannelIDs
 | ) |  |

Get the channels in a slot that are referenced.

Refer to SetChannelIDs for channel IDs description.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pChannelIDs is null

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present

AAFRESULT_SMALLBUF

  • pChannelIDs is too small
Parameters:
numberElements | [in] Number of elements in the pChannelIDs array
pChannelIDs | [in] Array of channel IDs
HRESULT IAAFSourceReference2::GetChannelIDsSize ( [out] aafUInt32 * pSize )

Returns the size in bytes of the buffer required to hold the array returned by GetChannelIDs().

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pSize is null
Parameters:
pSize [out] required buffer size to hold the ChannelIDs array
HRESULT IAAFSourceReference2::GetMonoSourceSlotIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pMonoSourceSlotIDs
 | ) |  |

Get the mono slot IDs that are referenced by this object.

Refer to SetMonoSourceSlotIDs for a description of pMonoSourceSlotIDs.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pMonoSourceSlotIDs is null

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present

AAFRESULT_SMALLBUF

  • pMonoSourceSlotIDs is too small
Parameters:
numberElements | [in] Number of elements in the pMonoSourceSlotIDs array
pMonoSourceSlotIDs | [in] Array of channel IDs
HRESULT IAAFSourceReference2::GetMonoSourceSlotIDsSize ( [out] aafUInt32 * pSize )

Returns the size in bytes of the buffer required to hold the array returned by GetMonoSourceSlotIDs().

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pSize is null
Parameters:
pSize [out] required buffer size to hold the MonoSourceSlotIDs array
HRESULT IAAFSourceReference2::GetSourceID ( [out] aafMobID_t * pSourceID )

Gets the SourceID and places it into the pSourceID argument.

Succeeds if all of the following are true:

  • the pSourceID pointer is valid.

If this method fails nothing will be written to *pSourceID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pSourceID arg is NULL.
Parameters:
pSourceID [retval][out] Place to put source ID
HRESULT IAAFSourceReference2::GetSourceMobSlotID ( [out] aafSlotID_t * pMobSlotID )

Gets the Mob Slot ID and places it into the pMobSlotID argument.

Succeeds if all of the following are true:

  • the pMobSlotID pointer is valid.

If this method fails nothing will be written to *pMobSlotID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pMobSlotID arg is NULL.
Parameters:
pMobSlotID [retval][out] Place to put source mob slot ID
HRESULT IAAFSourceReference2::SetChannelIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pChannelIDs
 | ) |  |

Specify the channels in a slot that are referenced.

The first channel has and ID of 1, the N'th channel has an ID of N. The number of channel IDs shall equal the number of channels being described the bht MobSlot containing the SourceReference, e.g. 1 element for a mono audio slot, 6 elements for a 5.1 multi-channel audio slot.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pChannelIDs is null
Parameters:
numberElements | [in] Number of elements in the pChannelIDs array
pChannelIDs | [in] Array of channel IDs
HRESULT IAAFSourceReference2::SetMonoSourceSlotIDs | ( | [in] aafUInt32 | numberElements,
 |  | [in] aafUInt32 * | pMonoSourceSlotIDs
 | ) |  |

For reference from a multi-channel MobSlot to multiple mono MobSlots.

pMonoSourceSlotIDs identifies the mono slots referenced by this SourceReference object.

Return codes:

AAFRESULT_SUCCESS

  • succeeded

AAFRESULT_NULL_PARAM

  • pMonoSourceSlotIDs is null
Parameters:
numberElements | [in] Number of elements in the pMonoSourceSlotIDs array
pMonoSourceSlotIDs | [in] Array of slot IDs
HRESULT IAAFSourceReference2::SetSourceID ( [in] aafMobID_constref sourceID )

Sets the SourceID using the sourceID argument.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
sourceID [in] Source ID to set
HRESULT IAAFSourceReference2::SetSourceMobSlotID ( [in] aafSlotID_t mobSlotID )

Sets the mob slot ID using the mobSlotID argument.

Succeeds if all of the following are true:

  • (preconditions here)

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

(other error codes here.)

Parameters:
mobSlotID [in] Source Mob ID to set
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSourceReference2 Member List
This is the complete list of members for IAAFSourceReference2, including all inherited members.
GetChannelIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pChannelIDs) | IAAFSourceReference2
GetChannelIDsSize([out] aafUInt32 *pSize) | IAAFSourceReference2
GetMonoSourceSlotIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pMonoSourceSlotIDs) | IAAFSourceReference2
GetMonoSourceSlotIDsSize([out] aafUInt32 *pSize) | IAAFSourceReference2
GetSourceID([retval][out] aafMobID_t *pSourceID) | IAAFSourceReference2
GetSourceMobSlotID([retval][out] aafSlotID_t *pMobSlotID) | IAAFSourceReference2
SetChannelIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pChannelIDs) | IAAFSourceReference2
SetMonoSourceSlotIDs([in] aafUInt32 numberElements,[in] aafUInt32 *pMonoSourceSlotIDs) | IAAFSourceReference2
SetSourceID([in] aafMobID_constref sourceID) | IAAFSourceReference2
SetSourceMobSlotID([in] aafSlotID_t mobSlotID) | IAAFSourceReference2
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFStaticMobSlot Interface Reference

IAAFStaticMobSlot Interface Reference

StaticMobSlot describes essence data that has no relationship to time, such as a static image; consequently, a StaticMobSlot does not define an edit rate. More...

Detailed Description

StaticMobSlot describes essence data that has no relationship to time, such as a static image; consequently, a StaticMobSlot does not define an edit rate.

Objects that implement IAAFStaticMobSlot also implement the following interfaces:

  • IAAFMobSlot
  • IAAFObject

Definition at line 26385 of file AAF.idl.

Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFStreamAccess Interface Reference

Public Member Functions
IAAFStreamAccess Interface Reference

This interface is used by the toolkit. More...

List of all members.

Public Member Functions

HRESULT WriteStream ([in] IAAFPropertyValue *propertyValue,[in] aafMemPtr_t pUserData)
This method is called back by the AAF toolkit when a previously defined stream property is actually being written, so that you may write the data.

Detailed Description

This interface is used by the toolkit.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 50906 of file AAF.idl.

Member Function Documentation

HRESULT IAAFStreamAccess::WriteStream | ( | [in] IAAFPropertyValue * | propertyValue,
 |  | [in] aafMemPtr_t | pUserData
 | ) |  |

This method is called back by the AAF toolkit when a previously defined stream property is actually being written, so that you may write the data.

IAAFTypeDef *pTypeDef; IAAFTypeDefStream *pTypeDefStream;

propertyValue->GetType(&pTypeDef)); pTypeDef->QueryInterface(IID_IAAFTypeDefStream,(void **)&pTypeDefStream)); pTypeDefStream->Write(pStreamPropertyValue, ...);

Parameters:
propertyValue | [in] One which will this data be written
pUserData | [in] A client-supplied pointer used to extract the data
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFStreamAccess Member List
This is the complete list of members for IAAFStreamAccess, including all inherited members.
WriteStream([in] IAAFPropertyValue *propertyValue,[in] aafMemPtr_t pUserData) IAAFStreamAccess
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTaggedValue Interface Reference

Public Member Functions
IAAFTaggedValue Interface Reference

The IAAFTaggedValue interface is implemented by objects that specify an User defined tag and value. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
Initializes a new tagged value object to be identified with the given the given type, and with the given human-legible name.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Name string property.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().
HRESULT | GetTypeDefinition ([out] IAAFTypeDef **ppTypeDef)
Returns the type definition for this invocation.
HRESULT | GetValue ([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead)
Writes the value into the pValue buffer.
HRESULT | GetValueBufLen ([out] aafUInt32 *pLen)
Returns the length of buffer required for the GetValue() method.
HRESULT | SetValue ([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
The data value is set from a buffer of size valueSize and type.

Detailed Description

The IAAFTaggedValue interface is implemented by objects that specify an User defined tag and value.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTaggedValue also implement the following interfaces:

  • IAAFObject

Definition at line 26804 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTaggedValue::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Name string property.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFTaggedValue::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFTaggedValue::GetTypeDefinition ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type definition for this invocation.

Succeeds if all of the following are true:

  • the ppTypeDef pointer is valid.

If this method fails nothing will be written to *ppTypeDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_PROP_NOT_PRESENT

  • This property does not exist in the file.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] Type definition object
HRESULT IAAFTaggedValue::GetValue | ( | [in] aafUInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Writes the value into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [out, size_is(valueSize), length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFTaggedValue::GetValueBufLen ( [out] aafUInt32 * pLen )

Returns the length of buffer required for the GetValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Pointer to an variable used to return the length
HRESULT IAAFTaggedValue::Initialize | ( | [in, string] aafCharacter_constptr | pName,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

Initializes a new tagged value object to be identified with the given the given type, and with the given human-legible name.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pName is a valid pointer.
  • pTypeDef is a valid pointer and registered
  • pValue is a valid pointer

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pName or pTypeDef or pValue arg is NULL.
Parameters:
pName | [in, string] User defined name (tag) of this tagged value object
pTypeDef | [in] Type Definition of the following value data
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
HRESULT IAAFTaggedValue::SetValue | ( | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

The data value is set from a buffer of size valueSize and type.

Succeeds if all of the following are true:

  • pTypeDef is valid and registered with the object's dictionary.
  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef is null.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTaggedValue Member List
This is the complete list of members for IAAFTaggedValue, including all inherited members.
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTaggedValue
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFTaggedValue
GetTypeDefinition([out] IAAFTypeDef **ppTypeDef) | IAAFTaggedValue
GetValue([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead) | IAAFTaggedValue
GetValueBufLen([out] aafUInt32 *pLen) | IAAFTaggedValue
Initialize([in, string] aafCharacter_constptr pName,[in] IAAFTypeDef *pTypeDef,[in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFTaggedValue
SetValue([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFTaggedValue
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTaggedValueDefinition Interface Reference

Public Member Functions
IAAFTaggedValueDefinition Interface Reference

This interface is used to describe the data type of a value stored in an AAFTaggedValue object. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription)
Init all fields of a definition object.
HRESULT | AddParentProperty ([in] IAAFPropertyDef *pParentProperty)
Add a property definition to the tagged value definition.
HRESULT | GetParentProperties ([out] IEnumAAFPropertyDefs **ppEnum)
Writes an enumerator for the property definitions into *ppEnum.
HRESULT | CountParentProperties ([out] aafUInt32 *pNumProperties)
Writes the total number of property definitions into *pNumProperties if, and only if, the method succeeds.
HRESULT | RemoveParentProperty ([in] IAAFPropertyDef *pParentProperty)
Removes the given property definition.

Detailed Description

This interface is used to describe the data type of a value stored in an AAFTaggedValue object.

Objects that implement IAAFTaggedValueDefinition also implement the following interfaces:

  • IAAFDefObject
  • IAAFObject

Definition at line 27074 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTaggedValueDefinition::AddParentProperty ( [in] IAAFPropertyDef * pParentProperty )

Add a property definition to the tagged value definition.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pParentProperty is null.
Parameters:
pParentProperty [in] Property definition to add.
HRESULT IAAFTaggedValueDefinition::CountParentProperties ( [out] aafUInt32 * pNumProperties )

Writes the total number of property definitions into *pNumProperties if, and only if, the method succeeds.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
pNumProperties [out] Number of property definitions.
HRESULT IAAFTaggedValueDefinition::GetParentProperties ( [out] IEnumAAFPropertyDefs ** ppEnum )

Writes an enumerator for the property definitions into *ppEnum.

A reference is added to the new enumerator before it is returned.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out] Property definition enumerator.
HRESULT IAAFTaggedValueDefinition::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, string] aafCharacter_constptr | pName,
 |  | [in, string] aafCharacter_constptr | pDescription
 | ) |  |

Init all fields of a definition object.

Parameters:
id | [in, ref] AUID for new DefObject
pName | [in, string] Name for new DefObject
pDescription | [in, string] Description for new DefObject
HRESULT IAAFTaggedValueDefinition::RemoveParentProperty ( [in] IAAFPropertyDef * pParentProperty )

Removes the given property definition.

Return codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • ppEnum is null.

AAFRESULT_NO_MORE_OBJECTS

  • The property definition is not in this tagged value definition.
Parameters:
pParentProperty [in] Property to remove.
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTaggedValueDefinition Member List
This is the complete list of members for IAAFTaggedValueDefinition, including all inherited members.
AddParentProperty([in] IAAFPropertyDef *pParentProperty) | IAAFTaggedValueDefinition
CountParentProperties([out] aafUInt32 *pNumProperties) | IAAFTaggedValueDefinition
GetParentProperties([out] IEnumAAFPropertyDefs **ppEnum) | IAAFTaggedValueDefinition
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFTaggedValueDefinition
RemoveParentProperty([in] IAAFPropertyDef *pParentProperty) | IAAFTaggedValueDefinition
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTapeDescriptor Interface Reference

Public Member Functions
IAAFTapeDescriptor Interface Reference

The IAAFTapeDescriptor interface is implemented by objects which describe audio tape or videotape media. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFTapeDescriptor-supporting object.
HRESULT | SetTapeManufacturer ([in, string] aafCharacter_constptr pTapeManufacturer)
Sets the Tape Manufacturer string property.
HRESULT | GetTapeManufacturer ([out, string, size_is(bufSize)] aafCharacter *pTapeManufacturer,[in] aafUInt32 bufSize)
Gets the Tape Manufacturer string property.
HRESULT | GetTapeManufacturerBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetTapeManufacturer().
HRESULT | SetTapeModel ([in, string] aafCharacter_constptr pTapeModel)
Sets the Tape Model string property.
HRESULT | GetTapeModel ([out, string, size_is(bufSize)] aafCharacter *pTapeModel,[in] aafUInt32 bufSize)
Gets the Tape Model string property.
HRESULT | GetTapeModelBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetTapeModel().
HRESULT | SetTapeFormFactor ([in] aafTapeCaseType_t formFactor)
Sets the form factor [case size] of the tape.
HRESULT | GetTapeFormFactor ([out] aafTapeCaseType_t *formFactor)
Gets the form factor [case size] of the tape.
HRESULT | SetSignalType ([in] aafVideoSignalType_t videoSignal)
Sets the signal standard recorded on the tape.
HRESULT | GetSignalType ([out] aafVideoSignalType_t *pVideoSignal)
Gets the signal standard recorded on the tape.
HRESULT | SetTapeFormat ([in] aafTapeFormatType_t tapeFormat)
Sets the recording method of the tape.
HRESULT | GetTapeFormat ([out] aafTapeFormatType_t *pTapeFormat)
Gets the recording method of the tape.
HRESULT | SetTapeLength ([in] aafUInt32 tapeLength)
Sets the length of the tape in minutes.
HRESULT | GetTapeLength ([out] aafUInt32 *pTapeLength)
Gets the length of the tape in minutes.

Detailed Description

The IAAFTapeDescriptor interface is implemented by objects which describe audio tape or videotape media.

A TapeDescriptor object shall be the EssenceDescription of a physical Source Mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFTapeDescriptor also implement the following interfaces:

IAAFEssenceDescriptor

  • IAAFObject

Definition at line 27209 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTapeDescriptor::GetSignalType ( [out] aafVideoSignalType_t * pVideoSignal )

Gets the signal standard recorded on the tape.

This method succeeds if all of the following are true:

  • the pVideoSignal pointer is valid.

If this method fails nothing will be written to *pVideoSignal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pVideoSignal arg is NULL.
Parameters:
pVideoSignal [out] ex: kNTSCSignal
HRESULT IAAFTapeDescriptor::GetTapeFormat ( [out] aafTapeFormatType_t * pTapeFormat )

Gets the recording method of the tape.

Succeeds if all of the following are true:

  • the pTapeFormat pointer is valid.

This method succeeds if all of the following are true:

  • the pTapeFormat pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTapeFormat arg is NULL.
Parameters:
pTapeFormat [out] ex: kBetacamFormat, kBetacamSPFormat
HRESULT IAAFTapeDescriptor::GetTapeFormFactor ( [out] aafTapeCaseType_t * formFactor )

Gets the form factor [case size] of the tape.

This method succeeds if all of the following are true:

  • the pFormFactor pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pFormFactor arg is NULL.
Parameters:
formFactor [out] ex: kVHSVideoTape, kDATCartridge
HRESULT IAAFTapeDescriptor::GetTapeLength ( [out] aafUInt32 * pTapeLength )

Gets the length of the tape in minutes.

This method succeeds if all of the following are true:

  • the pTapeLength pointer is valid.

If this method fails nothing will be written to *pTapeLength.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTapeLength arg is NULL.
Parameters:
pTapeLength [out] The length of the tape in minutes.
HRESULT IAAFTapeDescriptor::GetTapeManufacturer | ( | [out, string, size_is(bufSize)] aafCharacter * | pTapeManufacturer,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Tape Manufacturer string property.

Writes the TapeManufacturer property, with a trailing null character, into the pTapeManufacturer buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the TapeManufacturer property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetTapeManufacturerBufLen() to determine the required buffer size.

If this method fails nothing will be written to pTapeManufacturer.

Succeeds if:

  • The pTapeManufacturer pointer is valid.
  • bufSize indicates that the buffer is large enough to hold TapeManufacturer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTapeManufacturer arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold TapeManufacturer.
Parameters:
pTapeManufacturer | [out, string, size_is(bufSize)] buffer into which TapeManufacturer is to be written
bufSize | [in] size of *pTapeManufacturer buffer in bytes
HRESULT IAAFTapeDescriptor::GetTapeManufacturerBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetTapeManufacturer().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFTapeDescriptor::GetTapeModel | ( | [out, string, size_is(bufSize)] aafCharacter * | pTapeModel,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Tape Model string property.

Writes the TapeModel property, with a trailing null character, into the pTapeModel buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the TapeModel property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetTapeModelBufLen() to determine the required buffer size.

If this method fails nothing will be written to pTapeModel.

Succeeds if:

  • The pTapeModel pointer is valid.
  • bufSize indicates that the buffer is large enough to hold TapeModel.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTapeModel arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold TapeModel.
Parameters:
pTapeModel | [out, string, size_is(bufSize)] buffer into which TapeModel is to be written
bufSize | [in] size of *pTapeModel buffer in bytes
HRESULT IAAFTapeDescriptor::GetTapeModelBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetTapeModel().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFTapeDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFTapeDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFTapeDescriptor::SetSignalType ( [in] aafVideoSignalType_t videoSignal )

Sets the signal standard recorded on the tape.

This method succeeds if all of the following are true: videoSignal represents a valid video signal type.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • videoSignal is invalid.
Parameters:
videoSignal [in] ex: kNTSCSignal
HRESULT IAAFTapeDescriptor::SetTapeFormat ( [in] aafTapeFormatType_t tapeFormat )

Sets the recording method of the tape.

This method succeeds if all of the following are true:

  • tapeFormat represents a valid tape format type.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • tapeFormat is invalid.
Parameters:
tapeFormat [in] ex: kBetacamFormat, kBetacamSPFormat
HRESULT IAAFTapeDescriptor::SetTapeFormFactor ( [in] aafTapeCaseType_t formFactor )

Sets the form factor [case size] of the tape.

This method succeeds if all of the following are true:

  • formFactor represents a valid format.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_TYPE

  • formFactor is invalid.
Parameters:
formFactor [in] ex: kVHSVideoTape, kDATCartridge
HRESULT IAAFTapeDescriptor::SetTapeLength ( [in] aafUInt32 tapeLength )

Sets the length of the tape in minutes.

This method succeeds if all of the following are true:

  • tapeLength is a positive number.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_BAD_LENGTH

  • tapeLength is negative.
Parameters:
tapeLength [in] The length of the tape in minutes.
HRESULT IAAFTapeDescriptor::SetTapeManufacturer ( [in, string] aafCharacter_constptr pTapeManufacturer )

Sets the Tape Manufacturer string property.

Set the TapeManufacturer property to the value specified in pTapeManufacturer. A copy is made of the data so the caller retains ownership of the *pTapeManufacturer buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pTapeManufacturer pointer is valid.

If this method fails the TapeManufacturer property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTapeManufacturer arg is NULL.
Parameters:
pTapeManufacturer [in, string] buffer from which TapeManufacturer is to be read
HRESULT IAAFTapeDescriptor::SetTapeModel ( [in, string] aafCharacter_constptr pTapeModel )

Sets the Tape Model string property.

Set the TapeModel property to the value specified in pTapeModel. A copy is made of the data so the caller retains ownership of the *pTapeModel buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pTapeModel pointer is valid.

If this method fails the TapeModel property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTapeModel arg is NULL.
Parameters:
pTapeModel [in, string] buffer from which TapeModel is to be read
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTapeDescriptor Member List
This is the complete list of members for IAAFTapeDescriptor, including all inherited members.
GetSignalType([out] aafVideoSignalType_t *pVideoSignal) | IAAFTapeDescriptor
GetTapeFormat([out] aafTapeFormatType_t *pTapeFormat) | IAAFTapeDescriptor
GetTapeFormFactor([out] aafTapeCaseType_t *formFactor) | IAAFTapeDescriptor
GetTapeLength([out] aafUInt32 *pTapeLength) | IAAFTapeDescriptor
GetTapeManufacturer([out, string, size_is(bufSize)] aafCharacter *pTapeManufacturer,[in] aafUInt32 bufSize) | IAAFTapeDescriptor
GetTapeManufacturerBufLen([out] aafUInt32 *pBufSize) | IAAFTapeDescriptor
GetTapeModel([out, string, size_is(bufSize)] aafCharacter *pTapeModel,[in] aafUInt32 bufSize) | IAAFTapeDescriptor
GetTapeModelBufLen([out] aafUInt32 *pBufSize) | IAAFTapeDescriptor
Initialize() | IAAFTapeDescriptor
SetSignalType([in] aafVideoSignalType_t videoSignal) | IAAFTapeDescriptor
SetTapeFormat([in] aafTapeFormatType_t tapeFormat) | IAAFTapeDescriptor
SetTapeFormFactor([in] aafTapeCaseType_t formFactor) | IAAFTapeDescriptor
SetTapeLength([in] aafUInt32 tapeLength) | IAAFTapeDescriptor
SetTapeManufacturer([in, string] aafCharacter_constptr pTapeManufacturer) | IAAFTapeDescriptor
SetTapeModel([in, string] aafCharacter_constptr pTapeModel) | IAAFTapeDescriptor
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTextLocator Interface Reference

Public Member Functions
IAAFTextLocator Interface Reference

The IAAFTextLocator interface is implemented by objects which provide information to help find a file containing essence data in a descriptive way for files that are held off-line. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFNetworkLocator-supporting object.
HRESULT | SetName ([in, string] aafCharacter_constptr pName)
Sets the Name string property.
HRESULT | GetName ([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize)
Gets the Name string property.
HRESULT | GetNameBufLen ([out] aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for GetName().

Detailed Description

The IAAFTextLocator interface is implemented by objects which provide information to help find a file containing essence data in a descriptive way for files that are held off-line.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface.

Objects that implement IAAFTextLocator also implement the following interfaces:

  • IAAFLocator
  • IAAFObject

Definition at line 27715 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTextLocator::GetName | ( | [out, string, size_is(bufSize)] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the Name string property.

Writes the Name property, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize. If the Name property has not yet been set, a zero-length string will be written (that is, only the trailing null character).

Caller may call GetNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pName.

Succeeds if:

  • The pName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold Name.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALL_BUF

  • bufSize indicates that the allocated buffer is not large enough to hold Name.
Parameters:
pName | [out, string, size_is(bufSize)] buffer into which Name is to be written
bufSize | [in] size of *pName buffer in bytes
HRESULT IAAFTextLocator::GetNameBufLen ( [out] aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for GetName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
HRESULT IAAFTextLocator::Initialize ( )

Initializes a newly allocated, empty IAAFNetworkLocator-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFTextLocator::SetName ( [in, string] aafCharacter_constptr pName )

Sets the Name string property.

Set the Name property to the value specified in pName. A copy is made of the data so the caller retains ownership of the *pName buffer and is responsible for de-allocating it. There is no pre-set limit to the length of the name, other than available system memory or disk space.

Succeeds if all of the following are true:

  • the pName pointer is valid.

If this method fails the Name property will not be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.
Parameters:
pName [in, string] buffer from which Name is to be read
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTextLocator Member List
This is the complete list of members for IAAFTextLocator, including all inherited members.
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTextLocator
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFTextLocator
Initialize() | IAAFTextLocator
SetName([in, string] aafCharacter_constptr pName) | IAAFTextLocator
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTIFFDescriptor Interface Reference

Public Member Functions
IAAFTIFFDescriptor Interface Reference

The IAAFTIFFDescriptor interface is implemented by objects which describe TIFF format media. More...

List of all members.

Public Member Functions

HRESULT | SetIsUniform ([in] aafBoolean_t IsUniform)
Set to TRUE if essence data has the same number of rows per strip throughout.
HRESULT | GetIsUniform ([out] aafBoolean_t *pIsUniform)
Places TRUE into *pIsUniform if the data has the same number of rows per strip throughout.
HRESULT | SetIsContiguous ([in] aafBoolean_t IsContiguous)
Set to TRUE if essence data is stored in contiguous bytes.
HRESULT | GetIsContiguous ([out] aafBoolean_t *pIsContiguous)
Places TRUE into *pIsContiguous if essence data is stored in contiguous bytes.
HRESULT | SetLeadingLines ([in] aafInt32 LeadingLines)
Sets the number of leading lines in the TIFF image file.
HRESULT | GetLeadingLines ([out] aafInt32 *pLeadingLines)
Gets the leading lines of the TIFF image.
HRESULT | SetTrailingLines ([in] aafInt32 TrailingLines)
Sets the number of trailing lines in the TIFF image file.
HRESULT | GetTrailingLines ([out] aafInt32 *pTrailingLines)
Gets the trailing lines of the TIFF image.
HRESULT | SetJPEGTableID ([in] aafJPEGTableID_t JPEGTableID)
Sets the JPEG table code for the TIFF image file.
HRESULT | GetJPEGTableID ([out] aafJPEGTableID_t *pJPEGTableID)
Gets the JPEG table code of the TIFF image.
HRESULT | GetSummary ([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary)
Gets a copy of the TIFF IFD file information without the media.
HRESULT | GetSummaryBufferSize ([out] aafUInt32 *pSize)
Returns the size of the buffer required for the GetSummary() method.
HRESULT | SetSummary ([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary)
Sets the TIFF IFD file information.

Detailed Description

The IAAFTIFFDescriptor interface is implemented by objects which describe TIFF format media.

A TIFFDescriptor object shall be the EssenceDescription of a physical Source Mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFTIFFDescriptor also implement the following interfaces:

IAAFFileDescriptor

  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 26427 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTIFFDescriptor::GetIsContiguous ( [out] aafBoolean_t * pIsContiguous )

Places TRUE into *pIsContiguous if essence data is stored in contiguous bytes.

Succeeds if all of the following are true:

  • the pIsContiguous pointer is valid.

If this method fails nothing will be written to *pIsContiguous.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsContiguous arg is NULL.
Parameters:
pIsContiguous [out] is this data stored in contiguous bytes
HRESULT IAAFTIFFDescriptor::GetIsUniform ( [out] aafBoolean_t * pIsUniform )

Places TRUE into *pIsUniform if the data has the same number of rows per strip throughout.

Succeeds if all of the following are true:

  • the pIsUniform pointer is valid.

If this method fails nothing will be written to *pIsUniform.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pIsUniform arg is NULL.
Parameters:
pIsUniform [out] Gets the IsUniform flag value
HRESULT IAAFTIFFDescriptor::GetJPEGTableID ( [out] aafJPEGTableID_t * pJPEGTableID )

Gets the JPEG table code of the TIFF image.

This method succeeds if all of the following are true:

  • the pJPEGTableID pointer is valid.

If this method fails nothing will be written to *pJPEGTableID.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pJPEGTableID arg is NULL.
Parameters:
pJPEGTableID [out] Address to store the nJPEG table code
HRESULT IAAFTIFFDescriptor::GetLeadingLines ( [out] aafInt32 * pLeadingLines )

Gets the leading lines of the TIFF image.

This method succeeds if all of the following are true:

  • the pLeadingLines pointer is valid.

If this method fails nothing will be written to *pLeadingLines.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pLeadingLines arg is NULL.
Parameters:
pLeadingLines [out] Address to store the number of leading lines
HRESULT IAAFTIFFDescriptor::GetSummary | ( | [in] aafUInt32 | size,
 |  | [out, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Gets a copy of the TIFF IFD file information without the media.

Succeeds if all of the following are true:

  • pSummary is a valid pointer.
  • The size of the buffer is large enough to hold the TIFF IFD file information.

If this method fails pSummary will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.

AAFRESULT_SMALLBUF

  • The buffer is too small to hold the WAVE file information.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [out, size_is(size)] Preallocated buffer to hold the TIFF IFD file information
HRESULT IAAFTIFFDescriptor::GetSummaryBufferSize ( [out] aafUInt32 * pSize )

Returns the size of the buffer required for the GetSummary() method.

The value is placed into the location specified by pSize.

Succeeds if all of the following are true:

  • the pSize pointer is valid.

If this method fails nothing will be written to *pSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] required buffer size
HRESULT IAAFTIFFDescriptor::GetTrailingLines ( [out] aafInt32 * pTrailingLines )

Gets the trailing lines of the TIFF image.

This method succeeds if all of the following are true:

  • the pTrailingLines pointer is valid.

If this method fails nothing will be written to *pTrailingLines.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTrailingLines arg is NULL.
Parameters:
pTrailingLines [out] Address to store the number of trailing lines.
HRESULT IAAFTIFFDescriptor::SetIsContiguous ( [in] aafBoolean_t IsContiguous )

Set to TRUE if essence data is stored in contiguous bytes.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
IsContiguous [in] is data stores in contiguous bytes
HRESULT IAAFTIFFDescriptor::SetIsUniform ( [in] aafBoolean_t IsUniform )

Set to TRUE if essence data has the same number of rows per strip throughout.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
IsUniform [in] Sets the IsUniform flag value
HRESULT IAAFTIFFDescriptor::SetJPEGTableID ( [in] aafJPEGTableID_t JPEGTableID )

Sets the JPEG table code for the TIFF image file.

This method always succeeds .

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
Parameters:
JPEGTableID [in] Registered JPEG table code or JT_NULL.
HRESULT IAAFTIFFDescriptor::SetLeadingLines ( [in] aafInt32 LeadingLines )

Sets the number of leading lines in the TIFF image file.

This method succeeds if all of the following are true:

  • LeadingLines is equal or greater than 0(zero).

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
LeadingLines [in] Number of leading lines to be thrown away Optional
HRESULT IAAFTIFFDescriptor::SetSummary | ( | [in] aafUInt32 | size,
 |  | [in, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Sets the TIFF IFD file information.

Succeeds if all of the following are true:

  • pSummary is a valid pointer

If this method fails the summary property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [in, size_is(size)] buffer containing value
HRESULT IAAFTIFFDescriptor::SetTrailingLines ( [in] aafInt32 TrailingLines )

Sets the number of trailing lines in the TIFF image file.

This method succeeds if all of the following are true:

  • TrailingLines is equal or greater than 0(zero).

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
TrailingLines [in] Number of trailing lines to be thrown away Optional.
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTIFFDescriptor Member List
This is the complete list of members for IAAFTIFFDescriptor, including all inherited members.
GetIsContiguous([out] aafBoolean_t *pIsContiguous) | IAAFTIFFDescriptor
GetIsUniform([out] aafBoolean_t *pIsUniform) | IAAFTIFFDescriptor
GetJPEGTableID([out] aafJPEGTableID_t *pJPEGTableID) | IAAFTIFFDescriptor
GetLeadingLines([out] aafInt32 *pLeadingLines) | IAAFTIFFDescriptor
GetSummary([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary) | IAAFTIFFDescriptor
GetSummaryBufferSize([out] aafUInt32 *pSize) | IAAFTIFFDescriptor
GetTrailingLines([out] aafInt32 *pTrailingLines) | IAAFTIFFDescriptor
SetIsContiguous([in] aafBoolean_t IsContiguous) | IAAFTIFFDescriptor
SetIsUniform([in] aafBoolean_t IsUniform) | IAAFTIFFDescriptor
SetJPEGTableID([in] aafJPEGTableID_t JPEGTableID) | IAAFTIFFDescriptor
SetLeadingLines([in] aafInt32 LeadingLines) | IAAFTIFFDescriptor
SetSummary([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary) | IAAFTIFFDescriptor
SetTrailingLines([in] aafInt32 TrailingLines) | IAAFTIFFDescriptor
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTimecode Interface Reference

Public Member Functions
IAAFTimecode Interface Reference

The IAAFTimecode interface is implemented by objects which store videotape or audio tape timecode information. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafLength_t length,[in] aafTimecode_t *pTimecode)
Initializes this object with the given length and timecode values.
HRESULT | GetTimecode ([out] aafTimecode_t *pTimecode)
Get the timecode fields.
HRESULT | SetTimecode ([in] aafTimecode_t *timecode)
Set the timecode fields.

Detailed Description

The IAAFTimecode interface is implemented by objects which store videotape or audio tape timecode information.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFTimecode also implement the following interfaces:

IAAFSegment

  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 27882 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTimecode::GetTimecode ( [out] aafTimecode_t * pTimecode )

Get the timecode fields.

Succeeds if all of the following are true:

  • the pTimecode pointer is valid.

If this method fails nothing will be written to *pTimecode.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pTimecode arg is NULL.
Parameters:
pTimecode [out] Timecode (startFrame, drop, fps)
HRESULT IAAFTimecode::Initialize | ( | [in] aafLength_t | length,
 |  | [in] aafTimecode_t * | pTimecode
 | ) |  |

Initializes this object with the given length and timecode values.

Length is specified in units of the edit rate of the containing timeline mob slot.

Succeeds if all of the following are true:

  • this object has not yet been initialized.
  • the pTimecode pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pTimecode argument is NULL.
Parameters:
length | [in] Length Property Value
pTimecode | [in] Timecode Value (startFrame, drop, fps)
HRESULT IAAFTimecode::SetTimecode ( [in] aafTimecode_t * timecode )

Set the timecode fields.

Succeeds if all of the following are true:

  • the pTimecode pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pTimecode arg is NULL.
Parameters:
timecode [in] Timecode (startFrame, drop, fps)
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTimecode Member List
This is the complete list of members for IAAFTimecode, including all inherited members.
GetTimecode([out] aafTimecode_t *pTimecode) | IAAFTimecode
Initialize([in] aafLength_t length,[in] aafTimecode_t *pTimecode) | IAAFTimecode
SetTimecode([in] aafTimecode_t *timecode) | IAAFTimecode
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTimecodeStream Interface Reference

Public Member Functions
IAAFTimecodeStream Interface Reference

Objects which support IAAFTimecodeStream specify a stream of timecode data. More...

List of all members.

Public Member Functions

HRESULT | GetPositionTimecode ([in] aafPosition_t position,[out] aafTimecode_t *timecode)
Get the timecode fields at the given position.
HRESULT | SetPositionTimecode ([in] aafPosition_t position,[in] aafTimecode_t timecode)
Set the timecode fields for a given frame.
HRESULT | GetUserDataLength ([out] aafInt32 *length)
Gets the length of the user data for one frame.
HRESULT | GetUserDataAtPosition ([in] aafPosition_t position,[in] aafInt32 buflen,[out] aafDataBuffer_t buffer)
Gets the user data [userbits] for a particular frame.
HRESULT | SetUserDataAtPosition ([in] aafPosition_t position,[in] aafInt32 buflen,[in] aafDataBuffer_t buffer)
Gets the user data [userbits] for a particular frame.
HRESULT | SetSampleRate ([in] aafRational_t sampleRate)
Sets the sample rate of the timecode data.
HRESULT | GetSampleRate ([out] aafRational_t *pSampleRate)
Gets the sample rate of the timecode data.
HRESULT | SetSourceType ([in] aafTimecodeSourceType_t sourceType)
Sets the type (LTC or VITC) of the timecode data.
HRESULT | GetSourceType ([out] aafTimecodeSourceType_t *pSourceType)
Gets the type (LTC or VITC) of the timecode data.
HRESULT | GetSampleSize ([out] aafUInt32 *pSampleSize)
Gets the size (in samples) of one sample of the timecode data.
HRESULT | GetSource ([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead)
Writes the entire timecode data value into the pValue buffer.
HRESULT | GetSourceBufLen ([out] aafUInt32 *pLen)
Returns the length of buffer required for the GetValue() method.
HRESULT | SetSource ([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue)
The data value is set from a buffer of size valueSize.

Detailed Description

Objects which support IAAFTimecodeStream specify a stream of timecode data.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFSearchSource is not a primary interface for a concrete class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFTimecodeStream also implement the following interfaces:

  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 28021 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTimecodeStream::GetPositionTimecode | ( | [in] aafPosition_t | position,
 |  | [out] aafTimecode_t * | timecode
 | ) |  |

Get the timecode fields at the given position.

Parameters:
position | [in] Zero based offset to set the timecode at
timecode | [out] Timecode [startFrame drop fps]
HRESULT IAAFTimecodeStream::GetSampleRate ( [out] aafRational_t * pSampleRate )

Gets the sample rate of the timecode data.

Parameters:
pSampleRate [out] The sample rate of the timecode data
HRESULT IAAFTimecodeStream::GetSampleSize ( [out] aafUInt32 * pSampleSize )

Gets the size (in samples) of one sample of the timecode data.

Parameters:
pSampleSize [out] The size (in bytes) of one sample of the timecode data
HRESULT IAAFTimecodeStream::GetSource | ( | [in] aafUInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Writes the entire timecode data value into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [out, size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFTimecodeStream::GetSourceBufLen ( [out] aafUInt32 * pLen )

Returns the length of buffer required for the GetValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Pointer to an variable used to return the length
HRESULT IAAFTimecodeStream::GetSourceType ( [out] aafTimecodeSourceType_t * pSourceType )

Gets the type (LTC or VITC) of the timecode data.

Parameters:
pSourceType [out] The type (LTC or VITC) of the timecode data
HRESULT IAAFTimecodeStream::GetUserDataAtPosition | ( | [in] aafPosition_t | position,
 |  | [in] aafInt32 | buflen,
 |  | [out] aafDataBuffer_t | buffer
 | ) |  |

Gets the user data [userbits] for a particular frame.

Parameters:
position | [in] Zero-based offset
buflen | [in] Length of the buffer
buffer | [out] Passed in and filled with user data
HRESULT IAAFTimecodeStream::GetUserDataLength ( [out] aafInt32 * length )

Gets the length of the user data for one frame.

Parameters:
length [out] Fixed length of the user data [userbits] in bytes
HRESULT IAAFTimecodeStream::SetPositionTimecode | ( | [in] aafPosition_t | position,
 |  | [in] aafTimecode_t | timecode
 | ) |  |

Set the timecode fields for a given frame.

The frame index must be within the length of the object.

Parameters:
position | [in] Zero-based offset to set the timecode at
timecode | [in] Timecode [startFrame drop fps]
HRESULT IAAFTimecodeStream::SetSampleRate ( [in] aafRational_t sampleRate )

Sets the sample rate of the timecode data.

Parameters:
sampleRate [in] The sample rate of the timecode data
HRESULT IAAFTimecodeStream::SetSource | ( | [in] aafUInt32 | valueSize,
 |  | [in, size_is(valueSize)] aafDataBuffer_t | pValue
 | ) |  |

The data value is set from a buffer of size valueSize.

Succeeds if all of the following are true:

  • the pValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pValue is null.
Parameters:
valueSize | [in] Size of preallocated buffer
pValue | [in, size_is(valueSize)] buffer containing value
HRESULT IAAFTimecodeStream::SetSourceType ( [in] aafTimecodeSourceType_t sourceType )

Sets the type (LTC or VITC) of the timecode data.

Parameters:
sourceType [in] The type (LTC or VITC) of the timecode data
HRESULT IAAFTimecodeStream::SetUserDataAtPosition | ( | [in] aafPosition_t | position,
 |  | [in] aafInt32 | buflen,
 |  | [in] aafDataBuffer_t | buffer
 | ) |  |

Gets the user data [userbits] for a particular frame.

Parameters:
position | [in] Zero-based offset to set the userbits at
buflen | [in] Length of the buffer
buffer | [in] user data for the given frame
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTimecodeStream12M Interface Reference

IAAFTimecodeStream12M Interface Reference

Objects that implement IAAFTimecodeStream12M also implement the following interfaces: More...

Detailed Description

Objects that implement IAAFTimecodeStream12M also implement the following interfaces:

  • IAAFTimecodeStream
  • IAAFSegment
  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 28283 of file AAF.idl.

Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTimelineMobSlot Interface Reference

Public Member Functions
IAAFTimelineMobSlot Interface Reference

This interface is DEPRECATED, please use IAAFTimelineMobSlot2. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFTimelineMobSlot-supporting object.
HRESULT | GetEditRate ([out, retval] aafRational_t *pEditRate)
This method will get the edit rate for this mob slot.
HRESULT | SetEditRate ([in] aafRational_constref editRate)
This method will get set edit rate for this mob slot.
HRESULT | GetOrigin ([out, retval] aafPosition_t *pOrigin)
This method will return the origin of this mob slot.
HRESULT | SetOrigin ([in] aafPosition_t origin)
This method will set the origin of this mob slot.

Detailed Description

This interface is DEPRECATED, please use IAAFTimelineMobSlot2.

The IAAFTimelineMobSlot interface is implemented by objects which contain time-varying timeline essence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Types required by this module:

aafBool aafRational_t aafPosition_t aafTrackID_t Objects that implement IAAFTimelineMobSlot also implement the following interfaces:

  • IAAFTimelineMobSlot2
  • IAAFMobSlot
  • IAAFObject

Definition at line 28333 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTimelineMobSlot::GetEditRate ( [out, retval] aafRational_t * pEditRate )

This method will get the edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [out,retval] Edit rate property value
HRESULT IAAFTimelineMobSlot::GetOrigin ( [out, retval] aafPosition_t * pOrigin )

This method will return the origin of this mob slot.

Succeeds if all of the following are true:

  • the pOrigin pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOrigin arg is NULL.
Parameters:
pOrigin [out,retval] Origin property value
HRESULT IAAFTimelineMobSlot::Initialize ( )

Initializes a newly allocated, empty IAAFTimelineMobSlot-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFTimelineMobSlot::SetEditRate ( [in] aafRational_constref editRate )

This method will get set edit rate for this mob slot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
editRate [in] Edit rate property value
HRESULT IAAFTimelineMobSlot::SetOrigin ( [in] aafPosition_t origin )

This method will set the origin of this mob slot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.).

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
origin [in] Origin property value
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTimelineMobSlot2 Interface Reference

Public Member Functions
IAAFTimelineMobSlot2 Interface Reference

The IAAFTimelineMobSlot interface is implemented by objects which contain time-varying timeline essence. More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFTimelineMobSlot2-supporting object.
HRESULT | GetEditRate ([out, retval] aafRational_t *pEditRate)
This method will get the edit rate for this mob slot.
HRESULT | SetEditRate ([in] aafRational_constref editRate)
This method will get set edit rate for this mob slot.
HRESULT | GetOrigin ([out, retval] aafPosition_t *pOrigin)
This method will return the origin of this mob slot.
HRESULT | SetOrigin ([in] aafPosition_t origin)
This method will set the origin of this mob slot.
HRESULT | GetMarkIn ([out, retval] aafPosition_t *result)
Gets the MarkIn property of this TimelineMobSlot.
HRESULT | SetMarkIn ([in] aafPosition_t value)
Sets the MarkIn property of this TimelineMobSlot.
HRESULT | GetMarkOut ([out, retval] aafPosition_t *result)
Gets the MarkOut property of this TimelineMobSlot.
HRESULT | SetMarkOut ([in] aafPosition_t value)
Sets the MarkOut property of this TimelineMobSlot.
HRESULT | GetUserPos ([out, retval] aafPosition_t *result)
Gets the UserPos property of this TimelineMobSlot.
HRESULT | SetUserPos ([in] aafPosition_t value)
Sets the UserPos property of this TimelineMobSlot.

Detailed Description

The IAAFTimelineMobSlot interface is implemented by objects which contain time-varying timeline essence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Types required by this module:

aafBool aafRational_t aafPosition_t aafTrackID_t Objects that implement IAAFTimelineMobSlot2 also implement the following interfaces:

  • IAAFMobSlot
  • IAAFObject

Definition at line 50972 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTimelineMobSlot2::GetEditRate ( [out, retval] aafRational_t * pEditRate )

This method will get the edit rate for this mob slot.

Succeeds if all of the following are true:

  • the pEditRate pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pEditRate arg is NULL.
Parameters:
pEditRate [out,retval] Edit rate property value
HRESULT IAAFTimelineMobSlot2::GetMarkIn ( [out, retval] aafPosition_t * result )

Gets the MarkIn property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the result pointer is valid.
  • the property is present.

If this method fails nothing will be written to *result.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pMarkIn arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
result [out,retval] MarkIn property value
HRESULT IAAFTimelineMobSlot2::GetMarkOut ( [out, retval] aafPosition_t * result )

Gets the MarkOut property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the result pointer is valid.
  • the property is present.

If this method fails nothing will be written to *result.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • pMarkIn arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
result [out,retval] MarkOut property value
HRESULT IAAFTimelineMobSlot2::GetOrigin ( [out, retval] aafPosition_t * pOrigin )

This method will return the origin of this mob slot.

Succeeds if all of the following are true:

  • the pOrigin pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOrigin arg is NULL.
Parameters:
pOrigin [out,retval] Origin property value
HRESULT IAAFTimelineMobSlot2::GetUserPos ( [out, retval] aafPosition_t * result )

Gets the UserPos property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.
  • the result pointer is valid.
  • the property is present.

If this method fails nothing will be written to *result.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.

AAFRESULT_NULL_PARAM

  • result arg is NULL.

AAFRESULT_PROP_NOT_PRESENT

  • the property is not present.
Parameters:
result [out,retval] UserPos property value
HRESULT IAAFTimelineMobSlot2::Initialize ( )

Initializes a newly allocated, empty IAAFTimelineMobSlot2-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFTimelineMobSlot2::SetEditRate ( [in] aafRational_constref editRate )

This method will get set edit rate for this mob slot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
editRate [in] Edit rate property value
HRESULT IAAFTimelineMobSlot2::SetMarkIn ( [in] aafPosition_t value )

Sets the MarkIn property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the MarkIn property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
value [in] MarkIn property value
HRESULT IAAFTimelineMobSlot2::SetMarkOut ( [in] aafPosition_t value )

Sets the MarkOut property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the MarkOut property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
value [in] MarkOut property value
HRESULT IAAFTimelineMobSlot2::SetOrigin ( [in] aafPosition_t origin )

This method will set the origin of this mob slot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.).

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
origin [in] Origin property value
HRESULT IAAFTimelineMobSlot2::SetUserPos ( [in] aafPosition_t value )

Sets the UserPos property of this TimelineMobSlot.

This property is optional.

Succeeds if all of the following are true:

  • the object is initialized.

If this method fails the UserPos property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • the object is not initialized.
Parameters:
value [in] UserPos property value
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTimelineMobSlot2 Member List
This is the complete list of members for IAAFTimelineMobSlot2, including all inherited members.
GetEditRate([out, retval] aafRational_t *pEditRate) | IAAFTimelineMobSlot2
GetMarkIn([out, retval] aafPosition_t *result) | IAAFTimelineMobSlot2
GetMarkOut([out, retval] aafPosition_t *result) | IAAFTimelineMobSlot2
GetOrigin([out, retval] aafPosition_t *pOrigin) | IAAFTimelineMobSlot2
GetUserPos([out, retval] aafPosition_t *result) | IAAFTimelineMobSlot2
Initialize() | IAAFTimelineMobSlot2
SetEditRate([in] aafRational_constref editRate) | IAAFTimelineMobSlot2
SetMarkIn([in] aafPosition_t value) | IAAFTimelineMobSlot2
SetMarkOut([in] aafPosition_t value) | IAAFTimelineMobSlot2
SetOrigin([in] aafPosition_t origin) | IAAFTimelineMobSlot2
SetUserPos([in] aafPosition_t value) | IAAFTimelineMobSlot2
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTransition Interface Reference

Public Member Functions
IAAFTransition Interface Reference

The IAAFTransition interface is implemented by objects describe a change or transition from one piece of essence to another. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFDataDef *pDataDef,[in] aafLength_t length,[in] aafPosition_t cutPoint,[in] IAAFOperationGroup *op)
Constructor which allows specification of starting values.
HRESULT | GetCutPoint ([out] aafPosition_t *cutPoint)
Gets the point at which a cut would be inserted if the transition were removed.
HRESULT | GetOperationGroup ([out] IAAFOperationGroup **groupObj)
Gets the OperationGroup associated with the transition.
HRESULT | SetCutPoint ([in] aafPosition_t cutPoint)
Sets the point at which a cut would be inserted if the transition were removed.
HRESULT | SetOperationGroup ([in] IAAFOperationGroup *opgroup)
Sets the operation group associated with the transition.

Detailed Description

The IAAFTransition interface is implemented by objects describe a change or transition from one piece of essence to another.

Transitions must exist in the context of a sequence, and must be surrounded on both sides by segments (an object which has an IAAFSegment interface).

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFMob is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface.

Objects that implement IAAFTransition also implement the following interfaces:

  • IAAFComponent
  • IAAFComponent2
  • IAAFObject

Definition at line 28507 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTransition::GetCutPoint ( [out] aafPosition_t * cutPoint )

Gets the point at which a cut would be inserted if the transition were removed.

Parameters:
cutPoint [out] Cut Point
HRESULT IAAFTransition::GetOperationGroup ( [out] IAAFOperationGroup ** groupObj )

Gets the OperationGroup associated with the transition.

Parameters:
groupObj [out] OperationGroup used by transition
HRESULT IAAFTransition::Initialize | ( | [in] IAAFDataDef * | pDataDef,
 |  | [in] aafLength_t | length,
 |  | [in] aafPosition_t | cutPoint,
 |  | [in] IAAFOperationGroup * | op
 | ) |  |

Constructor which allows specification of starting values.

Parameters:
pDataDef | [in] Data Definition Object
length | [in] Length property value
cutPoint | [in] The point at which a cut would be inserted if the transition were removed
op | [in] A reference to an operation group object
HRESULT IAAFTransition::SetCutPoint ( [in] aafPosition_t cutPoint )

Sets the point at which a cut would be inserted if the transition were removed.

Parameters:
cutPoint [in] Cut Point
HRESULT IAAFTransition::SetOperationGroup ( [in] IAAFOperationGroup * opgroup )

Sets the operation group associated with the transition.

Parameters:
opgroup [in] Operation group used by transition
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTransition Member List
This is the complete list of members for IAAFTransition, including all inherited members.
GetCutPoint([out] aafPosition_t *cutPoint) | IAAFTransition
GetOperationGroup([out] IAAFOperationGroup **groupObj) | IAAFTransition
Initialize([in] IAAFDataDef *pDataDef,[in] aafLength_t length,[in] aafPosition_t cutPoint,[in] IAAFOperationGroup *op) | IAAFTransition
SetCutPoint([in] aafPosition_t cutPoint) | IAAFTransition
SetOperationGroup([in] IAAFOperationGroup *opgroup) | IAAFTransition
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDef Interface Reference

Public Member Functions
IAAFTypeDef Interface Reference

This interface is used to define types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetTypeCategory ([out] eAAFTypeCategory_t *pTid)
Returns the type category to which this type definition belongs.
HRESULT | RawAccessType ([out] IAAFTypeDef **ppRawTypeDef)
This method returns the type def through which values of this type may be accessed if the client wishes to access the value as as raw data.

Detailed Description

This interface is used to define types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it through this object's primary interface. Note that IAAFObject is a primary interface for an abstract class, so it is not appropriate for the Initialize() method to exist in this interface. The Initialize() method is available through the concrete object's primary interface. Objects that implement IAAFTypeDef also implement the following interfaces:

IAAFMetaDefinition

Definition at line 28616 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDef::GetTypeCategory ( [out] eAAFTypeCategory_t * pTid )

Returns the type category to which this type definition belongs.

Succeeds if:

  • The pTid argument is valid

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pTid arg is NULL.
Parameters:
pTid [out] Returned type category
HRESULT IAAFTypeDef::RawAccessType ( [out] IAAFTypeDef ** ppRawTypeDef )

This method returns the type def through which values of this type may be accessed if the client wishes to access the value as as raw data.

NOTE! Stub only. Implementation not yet added.

Succeeds if:

  • The ppRawTYPEDEF argument is valid

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppRawTypeDef arg is NULL.
Parameters:
ppRawTypeDef [out] the raw access type definition
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDef Member List
This is the complete list of members for IAAFTypeDef, including all inherited members.
GetTypeCategory([out] eAAFTypeCategory_t *pTid) | IAAFTypeDef
RawAccessType([out] IAAFTypeDef **ppRawTypeDef) | IAAFTypeDef
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefCharacter Interface Reference

Public Member Functions
IAAFTypeDefCharacter Interface Reference

This interface is used to define Integer types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | CreateValueFromCharacter ([in] aafCharacter character,[out] IAAFPropertyValue **ppCharacterValue)
Gets a property value corresponding to the character data.
HRESULT | GetCharacter ([in] IAAFPropertyValue *pCharacterValue,[out] aafCharacter *pCharacter)
Gets a character from the property value.
HRESULT | SetCharacter ([in] IAAFPropertyValue *pCharacterValue,[in] aafCharacter character)
Sets a character into the given property value.

Detailed Description

This interface is used to define Integer types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefCharacter also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 28703 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefCharacter::CreateValueFromCharacter | ( | [in] aafCharacter | character,
 |  | [out] IAAFPropertyValue ** | ppCharacterValue
 | ) |  |

Gets a property value corresponding to the character data.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pCharacterValue pointer is valid.
  • The ppActualPropertyValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppCharacterValue is not a valid pointer.
Parameters:
character | [in] character data to write the the new value
ppCharacterValue | [out] character property value with the given character
HRESULT IAAFTypeDefCharacter::GetCharacter | ( | [in] IAAFPropertyValue * | pCharacterValue,
 |  | [out] aafCharacter * | pCharacter
 | ) |  |

Gets a character from the property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pCharacterValue pointer is valid.
  • The ppActualPropertyValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • pCharacterValue is not a valid character property value.
Parameters:
pCharacterValue | [in] character property value to read
pCharacter | [out] character that is read
HRESULT IAAFTypeDefCharacter::SetCharacter | ( | [in] IAAFPropertyValue * | pCharacterValue,
 |  | [in] aafCharacter | character
 | ) |  |

Sets a character into the given property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pCharacterValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ILLEGAL_VALUE

  • pCharacterValue is not a valid character property value.
Parameters:
pCharacterValue | [in] character property value to modify
character | [in] character that is written
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefCharacter Member List
This is the complete list of members for IAAFTypeDefCharacter, including all inherited members.
CreateValueFromCharacter([in] aafCharacter character,[out] IAAFPropertyValue **ppCharacterValue) | IAAFTypeDefCharacter
GetCharacter([in] IAAFPropertyValue *pCharacterValue,[out] aafCharacter *pCharacter) | IAAFTypeDefCharacter
SetCharacter([in] IAAFPropertyValue *pCharacterValue,[in] aafCharacter character) | IAAFTypeDefCharacter
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefEnum Interface Reference

Public Member Functions
IAAFTypeDefEnum Interface Reference

This interface is used to define enumerated types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] IAAFTypeDef *pType,[in, size_is(numElems)] aafInt64 *pElementValues,[in, size_is(numElems)] aafString_t *pElementNames,[in] aafUInt32 numElems,[in] aafCharacter_constptr pTypeName)
Initializes this type def to be identified by the given guid, to be implemented as the given data type, and to contain the given elements (names and values).
HRESULT | CreateValueFromName ([in] aafCharacter_constptr Name,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains an Enum type.
HRESULT | GetElementType ([out] IAAFTypeDef **ppTypeDef)
Returns the type definition of the values which are found in this enumeration.
HRESULT | GetElementValue ([in] aafUInt32 index,[out] aafInt64 *pOutValue)
Gets the indexed element in this enumerated type.
HRESULT | GetElementName ([in] aafUInt32 index,[out, size_is(bufSize)] aafCharacter *pOutValue,[in] aafUInt32 bufSize)
Gets the indexed element in this enumerated type.
HRESULT | GetElementNameBufLen ([in] aafUInt32 index,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetElementName() method, in bytes.
HRESULT | CountElements ([out] aafUInt32 *pCount)
Returns number of enumeration elements contained.
HRESULT | GetNameFromValue ([in] IAAFPropertyValue *pValue,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize)
Writes the human-legible tag associated with the given value in this enumerated type.
HRESULT | GetNameBufLenFromValue ([in] IAAFPropertyValue *pValue,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetNameFromValue() method, in bytes.
HRESULT | GetNameFromInteger ([in] aafInt64 value,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize)
Writes the human-legible tag associated with the given value in this enumerated type.
HRESULT | GetNameBufLenFromInteger ([in] aafInt64 value,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetNameFromInteger() method, in bytes.
HRESULT | GetIntegerValue ([in] IAAFPropertyValue *pPropValIn,[out] aafInt64 *pValueOut)
Gets the value from the given property value and writes it as an integer into *pValueOut.
HRESULT | SetIntegerValue ([in] IAAFPropertyValue *pPropValToSet,[in] aafInt64 valueIn)
Sets the given property to the value given in pValueIn.
HRESULT | RegisterSize ([in] aafUInt32 enumSize)
Allows client to register to the reference implementation a runtime C enum to represent objects of this TypeDef.

Detailed Description

This interface is used to define enumerated types used in AAF persistent objects.

Enumerated types are assumed to be based on integers of no larger than 64 bits.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefEnum also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 28826 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefEnum::CountElements ( [out] aafUInt32 * pCount )

Returns number of enumeration elements contained.

Succeeds if:

  • Initialize() has already been called on this object.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] count of elements within this enumeration
HRESULT IAAFTypeDefEnum::CreateValueFromName | ( | [in] aafCharacter_constptr | Name,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains an Enum type.

A lookup on the Name is done to find a match in the list of legal enumerations for this type. If the Name specified is not found to exist then an INVALID_PARAM error code is returned. If it succeeds then a newly-created property value in ppPropVal is returned.

Succeeds if all of the following are true:

  • the Name pointer is valid.
  • the ppPropVal pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppPropVal arg is NULL.

AAFRESULT_INVALID_PARAM

  • the Name specified is not in the list of legal Enumerations.
Parameters:
Name | [in] the Name of a valid Enum symbol
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefEnum::GetElementName | ( | [in] aafUInt32 | index,
 |  | [out, size_is(bufSize)] aafCharacter * | pOutValue,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the indexed element in this enumerated type.

The Name is written into the client-allocated *pOutValue. The bufSize argument should be large enough to hold the pOutValue. Index must be less than the value returned by CountElements().

Caller may call GetElementNameBufLen() to determine the required buffer size.

Succeeds if:

  • pOutValue is a valid pointer.
  • index is less than CountElements().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOutValue arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
index | [in] index of element to retrieve
pOutValue | [out, size_is(bufSize)] requested value
bufSize | [in] The size of the pOutValue buffer in bytes
HRESULT IAAFTypeDefEnum::GetElementNameBufLen | ( | [in] aafUInt32 | index,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetElementName() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if the following is true:

  • the pLen pointer is valid.
  • index is less than CountElements().

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().
Parameters:
index | [in] index of element to retrieve
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefEnum::GetElementType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type definition of the values which are found in this enumeration.

Succeeds if:

  • Initialize() has already been called on this object.
  • The ppTypeDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] type definition of values of this enumeration
HRESULT IAAFTypeDefEnum::GetElementValue | ( | [in] aafUInt32 | index,
 |  | [out] aafInt64 * | pOutValue
 | ) |  |

Gets the indexed element in this enumerated type.

The value is written into the client-allocated *pOutValue. Index must be less than the value returned by CountElements().

Succeeds if:

  • pOutValue is a valid pointer.
  • index is less than CountElements().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOutValue arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().
Parameters:
index | [in] index of element to retrieve
pOutValue | [out] requested value
HRESULT IAAFTypeDefEnum::GetIntegerValue | ( | [in] IAAFPropertyValue * | pPropValIn,
 |  | [out] aafInt64 * | pValueOut
 | ) |  |

Gets the value from the given property value and writes it as an integer into *pValueOut.

Succeeds if:

  • The pPropValIn pointer is valid.
  • The pValueOut pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pPropValIn or ppPropValOut arg is NULL.
Parameters:
pPropValIn | [in] property value to read
pValueOut | [out] value of the enum represented by the given input property value
HRESULT IAAFTypeDefEnum::GetNameBufLenFromInteger | ( | [in] aafInt64 | value,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetNameFromInteger() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.
  • the value is associated with an element of this enumerated type.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • the given value is not associated with an element of this type.
Parameters:
value | [in] value of element to get
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefEnum::GetNameBufLenFromValue | ( | [in] IAAFPropertyValue * | pValue,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetNameFromValue() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • the pLen pointer is valid.
  • the value is associated with an element of this enumerated type.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pValue or pLen arg is NULL.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
pValue | [in] value of element to get
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefEnum::GetNameFromInteger | ( | [in] aafInt64 | value,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Writes the human-legible tag associated with the given value in this enumerated type.

The name is written, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call GetNameBufLenFromInteger() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pName pointer is valid.
  • bufSize indicates the buffer is large enough to hold the name.
  • the integer value is associated with an element of this enumerated type.

If this method fails nothing will be written to pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.

AAFRESULT_ILLEGAL_VALUE

  • the given value is not associated with an element of this type.
Parameters:
value | [in] value of element to get
pName | [out, size_is(bufSize), string] buffer into which the element name is written
bufSize | [in] The size of the pName buffer, in bytes
HRESULT IAAFTypeDefEnum::GetNameFromValue | ( | [in] IAAFPropertyValue * | pValue,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Writes the human-legible tag associated with the given value in this enumerated type.

The name is written, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call GetNameBufLenFromValue() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • the pName pointer is valid.
  • bufSize indicates the buffer is large enough to hold the name.
  • the integer value is associated with an element of this enumerated type.

If this method fails nothing will be written to pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pValue or pName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
pValue | [in] value of element to get
pName | [out, size_is(bufSize), string] buffer into which the element name is written
bufSize | [in] The size of the pName buffer, in bytes
HRESULT IAAFTypeDefEnum::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pType,
 |  | [in, size_is(numElems)] aafInt64 * | pElementValues,
 |  | [in, size_is(numElems)] aafString_t * | pElementNames,
 |  | [in] aafUInt32 | numElems,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be identified by the given guid, to be implemented as the given data type, and to contain the given elements (names and values).

The given data type must be an integral type. It is considered an error if multiple elements have the same name or the same value. The values and names are given in parallel arrays, each of which has numElements elements.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pType is a valid pointer.
  • pElementValues is a valid pointer.
  • pElementNames is a valid pointer.
  • pTypeName is a valid pointer.
  • base type is integral type.
  • no duplicate names or values are found.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • any pointer argument arg is NULL.

AAFRESULT_DUPLICATE

  • duplicate name or value is found.

AAFRESULT_BAD_TYPE

  • base type is not integral type.
Parameters:
id | [in, ref] auid to be used to identify this type
pType | [in] Type of values in this enumeration. Has to be of type Int
pElementValues | [in, size_is(numElems)] array of element values to be represented in this enumerated type
pElementNames | [in, size_is(numElems)] array of element names to be represented in this enumerated type
numElems | [in] number of members in pElementValues and pElementNames arrays
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefEnum::RegisterSize ( [in] aafUInt32 enumSize )

Allows client to register to the reference implementation a runtime C enum to represent objects of this TypeDef.

The size of the enum to be represented should be passed as the enumSize argument. This allows the reference implementation to write property values into compile-time-defined C enums intelligible by the local machine and compiler.

Succeeds if:

  • Initialize() has already been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.
Parameters:
enumSize [in] size of this enum
HRESULT IAAFTypeDefEnum::SetIntegerValue | ( | [in] IAAFPropertyValue * | pPropValToSet,
 |  | [in] aafInt64 | valueIn
 | ) |  |

Sets the given property to the value given in pValueIn.

Succeeds if:

  • The pPropValToSet pointer is valid.
  • valueIn is a correct value for this enumerated type.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPropValToSet arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • valueIn is not a correct value for this enumerated type.
  • pPropValIn's type doesn't match GetElementType()
Parameters:
pPropValToSet | [in] property value to set
valueIn | [in] new value of the enum represented by the given property value
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefEnum Member List
This is the complete list of members for IAAFTypeDefEnum, including all inherited members.
CountElements([out] aafUInt32 *pCount) | IAAFTypeDefEnum
CreateValueFromName([in] aafCharacter_constptr Name,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefEnum
GetElementName([in] aafUInt32 index,[out, size_is(bufSize)] aafCharacter *pOutValue,[in] aafUInt32 bufSize) | IAAFTypeDefEnum
GetElementNameBufLen([in] aafUInt32 index,[out] aafUInt32 *pLen) | IAAFTypeDefEnum
GetElementType([out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefEnum
GetElementValue([in] aafUInt32 index,[out] aafInt64 *pOutValue) | IAAFTypeDefEnum
GetIntegerValue([in] IAAFPropertyValue *pPropValIn,[out] aafInt64 *pValueOut) | IAAFTypeDefEnum
GetNameBufLenFromInteger([in] aafInt64 value,[out] aafUInt32 *pLen) | IAAFTypeDefEnum
GetNameBufLenFromValue([in] IAAFPropertyValue *pValue,[out] aafUInt32 *pLen) | IAAFTypeDefEnum
GetNameFromInteger([in] aafInt64 value,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTypeDefEnum
GetNameFromValue([in] IAAFPropertyValue *pValue,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTypeDefEnum
Initialize([in, ref] aafUID_constref id,[in] IAAFTypeDef *pType,[in, size_is(numElems)] aafInt64 *pElementValues,[in, size_is(numElems)] aafString_t *pElementNames,[in] aafUInt32 numElems,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefEnum
RegisterSize([in] aafUInt32 enumSize) | IAAFTypeDefEnum
SetIntegerValue([in] IAAFPropertyValue *pPropValToSet,[in] aafInt64 valueIn) | IAAFTypeDefEnum
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefExtEnum Interface Reference

Public Member Functions
IAAFTypeDefExtEnum Interface Reference

This interface is used to define field-extendible enumerated types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] aafCharacter_constptr pTypeName)
Initializes this type def to be identified by the given guid.
HRESULT | CreateValueFromName ([in] aafCharacter_constptr Name,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains an Enum type.
HRESULT | CountElements ([out] aafUInt32 *pCount)
Returns number of enumeration elements contained.
HRESULT | GetElementValue ([in] aafUInt32 index,[out] aafUID_t *pOutValue)
Gets the indexed element in this enumerated type.
HRESULT | GetElementName ([in] aafUInt32 index,[out, size_is(bufSize)] aafCharacter *pOutValue,[in] aafUInt32 bufSize)
Gets the indexed element in this enumerated type.
HRESULT | GetElementNameBufLen ([in] aafUInt32 index,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetElementName() method, in bytes.
HRESULT | GetNameFromValue ([in] IAAFPropertyValue *pValue,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize)
Writes the human-legible tag associated with the given value in this enumerated type.
HRESULT | GetNameBufLenFromValue ([in] IAAFPropertyValue *pValue,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetNameFromValue() method, in bytes.
HRESULT | GetNameFromAUID ([in, ref] aafUID_constref value,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize)
Writes the human-legible tag associated with the given value in this enumerated type.
HRESULT | GetNameBufLenFromAUID ([in, ref] aafUID_constref value,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetNameFromInteger() method, in bytes.
HRESULT | GetAUIDValue ([in] IAAFPropertyValue *pPropValIn,[out] aafUID_t *pValueOut)
Gets the value from the given property value and writes it as an AUID into *pValueOut.
HRESULT | SetAUIDValue ([in] IAAFPropertyValue *pPropValToSet,[in, ref] aafUID_constref valueIn)
Sets the given property to the value given in valueIn.
HRESULT | AppendElement ([in, ref] aafUID_constref value,[in] aafCharacter_constptr pName)
Appends a new element to this extendible enumeration.

Detailed Description

This interface is used to define field-extendible enumerated types used in AAF persistent objects.

Enumerated types are assumed to be based on AUIDs.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefExtEnum also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 29415 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefExtEnum::AppendElement | ( | [in, ref] aafUID_constref | value,
 |  | [in] aafCharacter_constptr | pName
 | ) |  |

Appends a new element to this extendible enumeration.

The element will have the given name and value. It is not legal to have elements with duplicate names or values.

Succeeds if:

  • the pName pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_DUPLICATE

  • duplicate name or value is found.
Parameters:
value | [in, ref] value of appended element
pName | [in] name of appended element
HRESULT IAAFTypeDefExtEnum::CountElements ( [out] aafUInt32 * pCount )

Returns number of enumeration elements contained.

Succeeds if:

  • Initialize() has already been called on this object.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] count of elements within this enumeration
HRESULT IAAFTypeDefExtEnum::CreateValueFromName | ( | [in] aafCharacter_constptr | Name,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains an Enum type.

A lookup on the Name is done to find a match in the list of legal enumerations for this type. If the Name specified is not found to exist then an INVALID_PARAM error code is returned. If it succeeds then a newly-created property value in ppPropVal is returned.

Succeeds if all of the following are true:

  • the Name pointer is valid.
  • the ppPropVal pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppPropVal arg is NULL.

AAFRESULT_INVALID_PARAM

  • the Name specified is not in the list of legal Enumerations.
Parameters:
Name | [in] the Name of a valid Enum symbol
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefExtEnum::GetAUIDValue | ( | [in] IAAFPropertyValue * | pPropValIn,
 |  | [out] aafUID_t * | pValueOut
 | ) |  |

Gets the value from the given property value and writes it as an AUID into *pValueOut.

Succeeds if:

  • The pPropValIn pointer is valid.
  • The pValueOut pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pPropValIn or ppPropValOut arg is NULL.
Parameters:
pPropValIn | [in] property value to read
pValueOut | [out] value of the enum represented by the given input property value
HRESULT IAAFTypeDefExtEnum::GetElementName | ( | [in] aafUInt32 | index,
 |  | [out, size_is(bufSize)] aafCharacter * | pOutValue,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Gets the indexed element in this enumerated type.

The Name is written into the client-allocated *pOutValue. The bufSize argument should be large enough to hold the pOutValue. Index must be less than the value returned by CountElements().

Caller may call GetElementNameBufLen() to determine the required buffer size.

Succeeds if:

  • pOutValue is a valid pointer.
  • index is less than CountElements().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOutValue arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.
Parameters:
index | [in] index of element to retrieve
pOutValue | [out, size_is(bufSize)] requested value
bufSize | [in] The size of the pOutValue buffer in bytes
HRESULT IAAFTypeDefExtEnum::GetElementNameBufLen | ( | [in] aafUInt32 | index,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetElementName() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if the following is true:

  • the pLen pointer is valid.
  • index is less than CountElements().

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().
Parameters:
index | [in] index of element to retrieve
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefExtEnum::GetElementValue | ( | [in] aafUInt32 | index,
 |  | [out] aafUID_t * | pOutValue
 | ) |  |

Gets the indexed element in this enumerated type.

The value is written into the client-allocated *pOutValue. Index must be less than the value returned by CountElements().

Succeeds if:

  • pOutValue is a valid pointer.
  • index is less than CountElements().

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOutValue arg is NULL.

AAFRESULT_BADINDEX

  • index is not less than CountElements().
Parameters:
index | [in] index of element to retrieve
pOutValue | [out] requested value
HRESULT IAAFTypeDefExtEnum::GetNameBufLenFromAUID | ( | [in, ref] aafUID_constref | value,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetNameFromInteger() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.
  • the value is associated with an element of this enumerated type.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
value | [in, ref] value of element to get
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefExtEnum::GetNameBufLenFromValue | ( | [in] IAAFPropertyValue * | pValue,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetNameFromValue() method, in bytes.

The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • the pLen pointer is valid.
  • the value is associated with an element of this enumerated type.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pValue or pLen arg is NULL.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
pValue | [in] value of element to get
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefExtEnum::GetNameFromAUID | ( | [in, ref] aafUID_constref | value,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Writes the human-legible tag associated with the given value in this enumerated type.

The name is written, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call GetNameBufLenFromAUID() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pName pointer is valid.
  • bufSize indicates the buffer is large enough to hold the name.
  • the integer value is associated with an element of this enumerated type.

If this method fails nothing will be written to pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
value | [in, ref] value of element to get
pName | [out, size_is(bufSize), string] buffer into which the element name is written
bufSize | [in] The size of the pName buffer, in bytes
HRESULT IAAFTypeDefExtEnum::GetNameFromValue | ( | [in] IAAFPropertyValue * | pValue,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Writes the human-legible tag associated with the given value in this enumerated type.

The name is written, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call GetNameBufLenFromValue() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • the pName pointer is valid.
  • bufSize indicates the buffer is large enough to hold the name.
  • the integer value is associated with an element of this enumerated type.

If this method fails nothing will be written to pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pValue or pName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.

AAFRESULT_BAD_PARAM

  • the given value is not associated with an element of this type.
Parameters:
pValue | [in] value of element to get
pName | [out, size_is(bufSize), string] buffer into which the element name is written
bufSize | [in] The size of the pName buffer, in bytes
HRESULT IAAFTypeDefExtEnum::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be identified by the given guid.

No element values are initially specified; they must be supplied later using the AppendElement method.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pTypeName is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTypeName arg is NULL.

AAFRESULT_DUPLICATE

  • duplicate name or value is found.
Parameters:
id | [in, ref] auid to be used to identify this type
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefExtEnum::SetAUIDValue | ( | [in] IAAFPropertyValue * | pPropValToSet,
 |  | [in, ref] aafUID_constref | valueIn
 | ) |  |

Sets the given property to the value given in valueIn.

Succeeds if:

  • The pPropValToSet pointer is valid.
  • valueIn is a correct value for this enumerated type.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPropValToSet arg is NULL.

AAFRESULT_BAD_PARAM

  • valueIn is not a correct value for this enumerated type.
  • pPropValIn's type doesn't match GetElementType()
Parameters:
pPropValToSet | [in] property value to set
valueIn | [in, ref] new value of the enum represented by the given property value
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefExtEnum Member List
This is the complete list of members for IAAFTypeDefExtEnum, including all inherited members.
AppendElement([in, ref] aafUID_constref value,[in] aafCharacter_constptr pName) | IAAFTypeDefExtEnum
CountElements([out] aafUInt32 *pCount) | IAAFTypeDefExtEnum
CreateValueFromName([in] aafCharacter_constptr Name,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefExtEnum
GetAUIDValue([in] IAAFPropertyValue *pPropValIn,[out] aafUID_t *pValueOut) | IAAFTypeDefExtEnum
GetElementName([in] aafUInt32 index,[out, size_is(bufSize)] aafCharacter *pOutValue,[in] aafUInt32 bufSize) | IAAFTypeDefExtEnum
GetElementNameBufLen([in] aafUInt32 index,[out] aafUInt32 *pLen) | IAAFTypeDefExtEnum
GetElementValue([in] aafUInt32 index,[out] aafUID_t *pOutValue) | IAAFTypeDefExtEnum
GetNameBufLenFromAUID([in, ref] aafUID_constref value,[out] aafUInt32 *pLen) | IAAFTypeDefExtEnum
GetNameBufLenFromValue([in] IAAFPropertyValue *pValue,[out] aafUInt32 *pLen) | IAAFTypeDefExtEnum
GetNameFromAUID([in, ref] aafUID_constref value,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTypeDefExtEnum
GetNameFromValue([in] IAAFPropertyValue *pValue,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTypeDefExtEnum
Initialize([in, ref] aafUID_constref id,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefExtEnum
SetAUIDValue([in] IAAFPropertyValue *pPropValToSet,[in, ref] aafUID_constref valueIn) | IAAFTypeDefExtEnum
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefFixedArray Interface Reference

Public Member Functions
IAAFTypeDefFixedArray Interface Reference

This interface is used to define fixed-sized Array types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafUInt32 nElements,[in] aafCharacter_constptr pTypeName)
Initializes this type def to contain elements of the given type, and have the given fixed size.
HRESULT | GetType ([out] IAAFTypeDef **ppTypeDef)
Returns the type of elements in this array.
HRESULT | GetCount ([out] aafUInt32 *pCount)
Returns number of elements in this array.
HRESULT | CreateValueFromValues ([in, size_is(numElements)] IAAFPropertyValue **ppElementValues,[in] aafUInt32 numElements,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a fixed array type.
HRESULT | CreateValueFromCArray ([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a fixed array type.
HRESULT | GetElementValue ([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal)
Gets a single property value corresponding to the indexed array element.
HRESULT | GetCArray ([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the array data contained in the given property value, interpreted as a fixed array of this type, into the C array pointed to by pData.
HRESULT | SetElementValue ([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal)
Sets the value of the single, indicated element of the fixed array contained in pPropVal, to the value contained in pMemberPropVal.
HRESULT | SetCArray ([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the array data contained in the C array pointed to by pData into the given property value, interpreting the data as a fixed array of this type.
HRESULT | GetElements ([in] IAAFPropertyValue *PSetPropVal,[out] IEnumAAFPropertyValues **ppEnum)
Returns an enumerator across elements in this set.

Detailed Description

This interface is used to define fixed-sized Array types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefFixedArray also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 29952 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefFixedArray::CreateValueFromCArray | ( | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a fixed array type.

The array elements in the property value are initialized from data in a C array which is pointed to by pInitData. Requires that any structures declared within this array typedef have had their offsets registered with that type. Returns the newly-created property value in ppPropVal.

Succeeds if all of the following are true:

  • the pInitData pointer is valid.
  • the ppPropVal pointer is valid.
  • initDataSize indicates pInitData is the correct size.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInitData or ppPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • initDataSize indicates pInitData is of the wrong size.

AAFRESULT_NOT_REGISTERED

  • any contained struct offsets have not yet been registered for that typedef.
Parameters:
pInitData | [in, size_is(initDataSize)] pointer to compile-time C array containing data to use
initDataSize | [in] size of data in pInitData, in bytes
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefFixedArray::CreateValueFromValues | ( | [in, size_is(numElements)] IAAFPropertyValue ** | ppElementValues,
 |  | [in] aafUInt32 | numElements,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a fixed array type.

The array elements in the property value are initialized to contain the given values, passed in the pElementValues array. numElements, which indicates the size of the pElementValues array, must match the value returned by GetCount(). Returns the newly-created property value in ppPropVal.

Succeeds if all of the following are true:

  • the pElementValues pointer is valid.
  • the ppPropVal pointer is valid.
  • numElements matches the number of elements in this array

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pElementValues or ppPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • numElements does not match GetCount().
Parameters:
ppElementValues | [in, size_is(numElements)] array of property values for elements of array value which is to be created.
numElements | [in] size of pElementValues array.
ppPropVal | [out] newly-created property value
HRESULT IAAFTypeDefFixedArray::GetCArray | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the array data contained in the given property value, interpreted as a fixed array of this type, into the C array pointed to by pData.

Requires that any structures declared within this array typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_BAD_PARAM

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pPropVal | [in] property value to read
pData | [out, size_is(dataSize)] buffer into which C array data should be written
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefFixedArray::GetCount ( [out] aafUInt32 * pCount )

Returns number of elements in this array.

Succeeds if:

  • Initialize() has already been called on this object.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] count of elements in this array
HRESULT IAAFTypeDefFixedArray::GetElements | ( | [in] IAAFPropertyValue * | PSetPropVal,
 |  | [out] IEnumAAFPropertyValues ** | ppEnum
 | ) |  |

Returns an enumerator across elements in this set.

Succeeds if:

  • Initialize() has already been called on this object.
  • The PSetPropVal pointer is valid.
  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either PSetPropVal or ppEnum arg is NULL.
Parameters:
PSetPropVal | [in] property value to read
ppEnum | [out] enumerator across property values
HRESULT IAAFTypeDefFixedArray::GetElementValue | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFPropertyValue ** | ppOutPropVal
 | ) |  |

Gets a single property value corresponding to the indexed array element.

Places a property value representing the array element identified by the index into ppOutPropval. Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • The given index is out of range for this array type def.
Parameters:
pInPropVal | [in] property value to read
index | [in] zero-based index into elements in this array type
ppOutPropVal | [out] value that is read
HRESULT IAAFTypeDefFixedArray::GetType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type of elements in this array.

Succeeds if:

  • Initialize() has already been called on this object.
  • ppTypeDef is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] type of elements in this array
HRESULT IAAFTypeDefFixedArray::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in] aafUInt32 | nElements,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to contain elements of the given type, and have the given fixed size.

Note that it is only possible to use certain types as the element type. Those permissible types include:

  • AAFTypeDefInt
  • AAFTypeDefRecord
  • AAFTypeDefEnum
  • AAFTypeDefExtEnum
  • AAFTypeDefFixedArray

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pTypeDef is a valid pointer.
  • pTypeName is a valid pointer.
  • element type is permissible for use in a FixedArray.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pTypeDef or pTypeName arg is NULL.

AAFRESULT_BAD_TYPE

  • an illegal element type was given.
Parameters:
id | [in, ref] auid to be used to identify this type
pTypeDef | [in] type of each element to be contained in this array
nElements | [in] number of elements to be in this array
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefFixedArray::SetCArray | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the array data contained in the C array pointed to by pData into the given property value, interpreting the data as a fixed array of this type.

Requires that any structures declared within this typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData contains the correct amount of data.
  • any contained compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_BAD_PARAM

  • dataSize indicates pData is not the correct size.

AAFRESULT_NOT_REGISTERED

  • offsets of any contained struct have not yet been registered.
Parameters:
pPropVal | [in] property value to write
pData | [in, size_is(dataSize)] buffer from which C array data should be read
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefFixedArray::SetElementValue | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] aafUInt32 | index,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Sets the value of the single, indicated element of the fixed array contained in pPropVal, to the value contained in pMemberPropVal.

Index is zero-based, and must be less than the value returned by GetCount(). Property value must be of the same type as returned by GetType().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • The given index is out of range for this array type def.
Parameters:
pPropVal | [in] property value to write
index | [in] zero-based index into members in this array type
pMemberPropVal | [in] value to be placed into this array
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefFixedArray Member List
This is the complete list of members for IAAFTypeDefFixedArray, including all inherited members.
CreateValueFromCArray([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefFixedArray
CreateValueFromValues([in, size_is(numElements)] IAAFPropertyValue **ppElementValues,[in] aafUInt32 numElements,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefFixedArray
GetCArray([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefFixedArray
GetCount([out] aafUInt32 *pCount) | IAAFTypeDefFixedArray
GetElements([in] IAAFPropertyValue *PSetPropVal,[out] IEnumAAFPropertyValues **ppEnum) | IAAFTypeDefFixedArray
GetElementValue([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal) | IAAFTypeDefFixedArray
GetType([out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefFixedArray
Initialize([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafUInt32 nElements,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefFixedArray
SetCArray([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefFixedArray
SetElementValue([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefFixedArray
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefIndirect Interface Reference

Public Member Functions
IAAFTypeDefIndirect Interface Reference

This interface is used to define Integer types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | CreateValueFromActualValue ([in] IAAFPropertyValue *pActualValue,[out] IAAFPropertyValue **ppIndirectPropertyValue)
Creates an indirect property value which contains the actual type.
HRESULT | CreateValueFromActualData ([in] IAAFTypeDef *pActualType,[in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppIndirectPropertyValue)
Creates an indirect property value which contains data of the actual type.
HRESULT | GetActualValue ([in] IAAFPropertyValue *pIndirectPropertyValue,[out] IAAFPropertyValue **ppActualPropertyValue)
Gets a property value corresponding to the actual data.
HRESULT | GetActualSize ([in] IAAFPropertyValue *pIndirectPropertyValue,[out] aafUInt32 *pActualSize)
)
HRESULT | GetActualType ([in] IAAFPropertyValue *pIndirectPropertyValue,[out] IAAFTypeDef **pActualType)
Return the type definition of the actual data within the indirect property value.
HRESULT | GetActualData ([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the actual data contained in the given indirect property value, interpreted as the actual type for this indirect property value, into the buffer pointed to by pData.

Detailed Description

This interface is used to define Integer types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefIndirect also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 30401 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefIndirect::CreateValueFromActualData | ( | [in] IAAFTypeDef * | pActualType,
 |  | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppIndirectPropertyValue
 | ) |  |

Creates an indirect property value which contains data of the actual type.

Returns the newly-created property value in ppIndirectPropertyValue.

Succeeds if all of the following are true:

  • the pActualType pointer is valid and registered
  • the pInitData pointer is valid.
  • the ppIndirectPropertyValue pointer is valid.
  • initDataSize indicates pInitData is the correct size for the actual type.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppIndirectPropertyValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pActualType or InitData or ppIndirectPropertyValue arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • initDataSize indicates pInitData is of the wrong size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pActualType | [in] the actual type of the data
pInitData | [in, size_is(initDataSize)] pointer to buffer containing data to use
initDataSize | [in] size of data in pInitData
ppIndirectPropertyValue | [out] newly created property value
HRESULT IAAFTypeDefIndirect::CreateValueFromActualValue | ( | [in] IAAFPropertyValue * | pActualValue,
 |  | [out] IAAFPropertyValue ** | ppIndirectPropertyValue
 | ) |  |

Creates an indirect property value which contains the actual type.

Returns the newly-created property value in ppIndirectPropertyValue.

Succeeds if all of the following are true:

  • the pActualValue pointer is valid.
  • the ppIndirectPropertyValue pointer is valid.

If this method fails nothing will be written to *ppIndirectPropertyValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pActualValue or ppIndirectPropertyValue arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • initDataSize indicates pInitData is of the wrong size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pActualValue | [in] pointer to actual value
ppIndirectPropertyValue | [out] newly created property value
HRESULT IAAFTypeDefIndirect::GetActualData | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the actual data contained in the given indirect property value, interpreted as the actual type for this indirect property value, into the buffer pointed to by pData.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • dataSize indicates pData is too small.

AAFRESULT_TYPE_NOT_FOUND

  • the actual type cannot be found in the dictionary.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the actual typedef.
Parameters:
pPropVal | [in] indirect property value to read
pData | [out, size_is(dataSize)] buffer into which actual data should be written
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefIndirect::GetActualSize | ( | [in] IAAFPropertyValue * | pIndirectPropertyValue,
 |  | [out] aafUInt32 * | pActualSize
 | ) |  |

)

Return the size of the actual data withing the indirect property value.

Succeeds if all of the following are true:

  • the pIndirectPropertyValue pointer is valid.
  • the pActualSize pointer is valid.

If this method fails nothing will be written to *pActualSize.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pIndirectPropertyValue or pActualSize arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • the type of pIndirectPropertyValue was not indirect.

AAFRESULT_TYPE_NOT_FOUND

  • the actual type cannot be found in the dictionary.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the actual typedef.
Parameters:
pIndirectPropertyValue | [in] indirect property value to read
pActualSize | [out] actual data size
HRESULT IAAFTypeDefIndirect::GetActualType | ( | [in] IAAFPropertyValue * | pIndirectPropertyValue,
 |  | [out] IAAFTypeDef ** | pActualType
 | ) |  |

Return the type definition of the actual data within the indirect property value.

Succeeds if all of the following are true:

  • the pIndirectPropertyValue pointer is valid.
  • the pActualType pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pIndirectPropertyValue or pActualType arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • the type of pIndirectPropertyValue was not indirect.

AAFRESULT_TYPE_NOT_FOUND

  • the actual type cannot be found in the dictionary.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the actual typedef.
Parameters:
pIndirectPropertyValue | [in] indirect property value to read
pActualType | [out] the type definition of the actual data
HRESULT IAAFTypeDefIndirect::GetActualValue | ( | [in] IAAFPropertyValue * | pIndirectPropertyValue,
 |  | [out] IAAFPropertyValue ** | ppActualPropertyValue
 | ) |  |

Gets a property value corresponding to the actual data.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pIndirectPropertyValue pointer is valid.
  • The ppActualPropertyValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pIndirectPropertyValue or ppActualPropertyValue arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • initDataSize indicates pInitData is of the wrong size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pIndirectPropertyValue | [in] indirect property value to read
ppActualPropertyValue | [out] value that is read
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefIndirect Member List
This is the complete list of members for IAAFTypeDefIndirect, including all inherited members.
CreateValueFromActualData([in] IAAFTypeDef *pActualType,[in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppIndirectPropertyValue) | IAAFTypeDefIndirect
CreateValueFromActualValue([in] IAAFPropertyValue *pActualValue,[out] IAAFPropertyValue **ppIndirectPropertyValue) | IAAFTypeDefIndirect
GetActualData([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefIndirect
GetActualSize([in] IAAFPropertyValue *pIndirectPropertyValue,[out] aafUInt32 *pActualSize) | IAAFTypeDefIndirect
GetActualType([in] IAAFPropertyValue *pIndirectPropertyValue,[out] IAAFTypeDef **pActualType) | IAAFTypeDefIndirect
GetActualValue([in] IAAFPropertyValue *pIndirectPropertyValue,[out] IAAFPropertyValue **ppActualPropertyValue) | IAAFTypeDefIndirect
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefInt Interface Reference

Public Member Functions
IAAFTypeDefInt Interface Reference

This interface is used to define Integer types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] aafUInt8 intSize,[in] aafBoolean_t isSigned,[in, string] aafCharacter_constptr pTypeName)
Initializes this type def to be identified by the given guid, to have the given size in bytes, and to be signed or unsigned.
HRESULT | CreateValue ([in, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains an integer.
HRESULT | GetInteger ([in] IAAFPropertyValue *pPropVal,[out, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize)
Returns the integer value of this property.
HRESULT | SetInteger ([in] IAAFPropertyValue *pPropVal,[in, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize)
Sets this property value to the given integer value.
HRESULT | GetSize ([out] aafUInt32 *pSize)
Returns the size of the integral value defined by this type definition.
HRESULT | IsSigned ([out] aafBoolean_t *pSigned)
Puts true in *pSigned if property values defined with this type def are signed; puts false there for unsigned property values.

Detailed Description

This interface is used to define Integer types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefInt also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 30695 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefInt::CreateValue | ( | [in, size_is(valSize)] aafMemPtr_t | pVal,
 |  | [in] aafUInt32 | valSize,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains an integer.

Initializes it to contain the given integer value. The initialization value is passed through pVal; the size of the initialzation value is given in valSize.

valSize may be smaller than GetSize() for this typedef; if so, the value is lsb-justified and sign-extended (for signed) or zero-filled (for unsigned).

The implementation of this method may only allow certain values for valSize. It *will* allow at least 1, 2, 4, and 8-byte integers; some implementations may allow more than that.

Succeeds if:

  • The pVal pointer is valid.
  • The ppPropVal pointer is valid.
  • valSize is no larger than GetSize() for this typedef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pVal or ppPropVal arg is NULL.

AAFRESULT_BAD_SIZE

  • valSize is larger than GetSize() for this typedef, or valSize is not a supported value.
Parameters:
pVal | [in, size_is(valSize)] pointer to integer initialization value
valSize | [in] size of integer, in bytes, in pVal
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefInt::GetInteger | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out, size_is(valSize)] aafMemPtr_t | pVal,
 |  | [in] aafUInt32 | valSize
 | ) |  |

Returns the integer value of this property.

The value to set is passed through pVal. The size of the pVal buffer is given in valSize. valSize may be larger than GetSize(); if so, the value is lsb-justified and sign-extended (for signed) or zero-filled (for unsigned).

valSize may be smaller than GetSize() for this typedef; if so, the value is lsb-justified and sign-extended (for signed) or zero-filled (for unsigned).

The implementation of this method may only allow certain values for valSize. It *will* allow at least 1, 2, 4, and 8-byte integers; some implementations may allow more than that.

Succeeds if:

  • The pPropVal pointer is valid.
  • The pVal pointer is valid.
  • valSize indicates that pVal is large enough to hold the value.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pVal arg is NULL.

AAFRESULT_BAD_SIZE

  • valSize is smaller than GetSize() for this typedef, or valSize is not a supported value.

AAFRESULT_BAD_TYPE

  • The type associated with pPropVal cannot be read as an integral type, or the int size of pPropVal is larger than the int size of this type.
Parameters:
pPropVal | [in] property value from which value is to be read
pVal | [out, size_is(valSize)] buffer into which value is written
valSize | [in] size of pVal buffer in bytes
HRESULT IAAFTypeDefInt::GetSize ( [out] aafUInt32 * pSize )

Returns the size of the integral value defined by this type definition.

Succeeds if:

  • The pSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] the returned size of this integral value, in bytes
HRESULT IAAFTypeDefInt::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] aafUInt8 | intSize,
 |  | [in] aafBoolean_t | isSigned,
 |  | [in, string] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be identified by the given guid, to have the given size in bytes, and to be signed or unsigned.

The implementation of this method may only allow certain values for intSize. It *will* allow at least 1, 2, 4, and 8-byte integers; some implementations may allow more than that.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • intSize is a valid value.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_BAD_SIZE

  • intSize is not a valid value.
Parameters:
id | [in, ref] auid to be used to identify this type
intSize | [in] the size of this integer type in bytes
isSigned | [in] true if this integer type is signed; false for unsigned
pTypeName | [in, string] friendly name of this type definition
HRESULT IAAFTypeDefInt::IsSigned ( [out] aafBoolean_t * pSigned )

Puts true in *pSigned if property values defined with this type def are signed; puts false there for unsigned property values.

Succeeds if:

  • The pSigned pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pSigned arg is NULL.
Parameters:
pSigned [out] set to true if this integer type is signed; set to false for unsigned
HRESULT IAAFTypeDefInt::SetInteger | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in, size_is(valSize)] aafMemPtr_t | pVal,
 |  | [in] aafUInt32 | valSize
 | ) |  |

Sets this property value to the given integer value.

The value to set is passed in pVal, and the size of the value in pVal is given in valSize. valSize may be smaller than GetSize(); if so, the value is lsb-justified and sign-extended (for signed) or zero-filled (for unsigned).

Succeeds if:

  • The pPropVal pointer is valid.
  • The pVal pointer is valid.
  • valSize indicates that pVal is large enough to hold the value.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pVal arg is NULL.

AAFRESULT_BAD_SIZE

  • valSize is larger than GetSize() for this typedef.
Parameters:
pPropVal | [in] property value from which value is to be read
pVal | [in, size_is(valSize)] buffer from which value is read
valSize | [in] size of pVal buffer in bytes
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefInt Member List
This is the complete list of members for IAAFTypeDefInt, including all inherited members.
CreateValue([in, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefInt
GetInteger([in] IAAFPropertyValue *pPropVal,[out, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize) | IAAFTypeDefInt
GetSize([out] aafUInt32 *pSize) | IAAFTypeDefInt
Initialize([in, ref] aafUID_constref id,[in] aafUInt8 intSize,[in] aafBoolean_t isSigned,[in, string] aafCharacter_constptr pTypeName) | IAAFTypeDefInt
IsSigned([out] aafBoolean_t *pSigned) | IAAFTypeDefInt
SetInteger([in] IAAFPropertyValue *pPropVal,[in, size_is(valSize)] aafMemPtr_t pVal,[in] aafUInt32 valSize) | IAAFTypeDefInt
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefObjectRef Interface Reference

Public Member Functions
IAAFTypeDefObjectRef Interface Reference

This interface is used to define Object references (either strong or weak) used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetObjectType ([out] IAAFClassDef **ppObjType)
Returns the class def representing objects to which this type def can refer.
HRESULT | CreateValue ([in] IUnknown *pObj,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains an object reference.
HRESULT | GetObject ([in] IAAFPropertyValue *pPropVal,[in] REFIID iid,[out, iid_is(iid)] IUnknown **ppObject)
Returns the object contained in the named property value.
HRESULT | SetObject ([in] IAAFPropertyValue *pPropVal,[in] IUnknown *pObject)
Sets the named property value to refer to the named object.

Detailed Description

This interface is used to define Object references (either strong or weak) used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefObjectRef also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 30976 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefObjectRef::CreateValue | ( | [in] IUnknown * | pObj,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains an object reference.

Initializes it to refer to the given object, and returns the newly-created property value in ppPropVal.

Succeeds if:

  • The pObj pointer is valid.
  • The ppPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pObj or ppPropVal arg is NULL.
Parameters:
pObj | [in] object with which to initialize this object reference
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefObjectRef::GetObject | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] REFIID | iid,
 |  | [out, iid_is(iid)] IUnknown ** | ppObject
 | ) |  |

Returns the object contained in the named property value.

Requires that pPropVal be a strong object reference or a weak object reference.

Succeeds if:

  • The pPropVal pointer is valid.
  • The ppObject pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or ppObject arg is NULL.
Parameters:
pPropVal | [in] property value from which value is to be read
iid | [in] interface id of the required output
ppObject | [out, iid_is(iid)] pointer to object value
HRESULT IAAFTypeDefObjectRef::GetObjectType ( [out] IAAFClassDef ** ppObjType )

Returns the class def representing objects to which this type def can refer.

The returned type def is the class definition of the least-derived type which is permissible to be represented.

Succeeds if:

  • this object has been Initialize()d.
  • The ppObjType pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppObjType arg is NULL.
Parameters:
ppObjType [out] class def of objects permitted to be referenced
HRESULT IAAFTypeDefObjectRef::SetObject | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] IUnknown * | pObject
 | ) |  |

Sets the named property value to refer to the named object.

Requires that pPropVal be a strong object reference or a weak object reference.

Succeeds if:

  • The pPropVal pointer is valid.
  • The ppObject pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or ppObject arg is NULL.
Parameters:
pPropVal | [in] property value from which value is to be read
pObject | [in] pointer to object value
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefObjectRef Member List
This is the complete list of members for IAAFTypeDefObjectRef, including all inherited members.
CreateValue([in] IUnknown *pObj,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefObjectRef
GetObject([in] IAAFPropertyValue *pPropVal,[in] REFIID iid,[out, iid_is(iid)] IUnknown **ppObject) | IAAFTypeDefObjectRef
GetObjectType([out] IAAFClassDef **ppObjType) | IAAFTypeDefObjectRef
SetObject([in] IAAFPropertyValue *pPropVal,[in] IUnknown *pObject) | IAAFTypeDefObjectRef
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefOpaque Interface Reference

Public Member Functions
IAAFTypeDefOpaque Interface Reference

This interface is used to define Integer types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetActualTypeID ([in] IAAFPropertyValue *pOpaquePropertyValue,[out] aafUID_t *pActualTypeID)
Return the type id of the actual data within the opaque property value.
HRESULT | GetHandle ([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 handleSize,[out, size_is(handleSize), length_is(*bytesRead)] aafDataBuffer_t pHandle,[out] aafUInt32 *bytesRead)
Used to read and save an unknown property without having to know its contents.
HRESULT | GetHandleBufLen ([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetHandle() method.
HRESULT | SetHandle ([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 handleSize,[in, size_is(handleSize)] aafDataBuffer_t pHandle)
This call takes a block of unknown data created by a previous call to GetHandle() and saved in you application, and sets an opaque property value.
HRESULT | CreateValueFromHandle ([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppOpaquePropertyValue)
This call takes a block of unknown data created by GetHandle() and saved in you application, and creates an opaque property value.

Detailed Description

This interface is used to define Integer types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefOpaque also implement the following interfaces:

  • IAAFTypeDefIndirect
  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 31142 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefOpaque::CreateValueFromHandle | ( | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppOpaquePropertyValue
 | ) |  |

This call takes a block of unknown data created by GetHandle() and saved in you application, and creates an opaque property value.

Returns the newly-created property value in ppOpaquePropertyValue.

Succeeds if all of the following are true:

  • the pInitData pointer is valid.
  • the ppOpaquePropertyValue pointer is valid.
  • initDataSize indicates pInitData is the correct size for the actual type.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppOpaquePropertyValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInitData or ppOpaquePropertyValue arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • initDataSize indicates pInitData is of the wrong size.
Parameters:
pInitData | [in, size_is(initDataSize)] pointer to buffer containing handle to use
initDataSize | [in] size of handle in pInitData
ppOpaquePropertyValue | [out] newly created property value
HRESULT IAAFTypeDefOpaque::GetActualTypeID | ( | [in] IAAFPropertyValue * | pOpaquePropertyValue,
 |  | [out] aafUID_t * | pActualTypeID
 | ) |  |

Return the type id of the actual data within the opaque property value.

Succeeds if all of the following are true:

  • the pOpaquePropertyValue pointer is valid.
  • the pActualType pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pOpaquePropertyValue or pActualTypeID arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • the type of pOpaquePropertyValue was not opaque.
Parameters:
pOpaquePropertyValue | [in] indirect property value to read
pActualTypeID | [out] the type id of the actual data
HRESULT IAAFTypeDefOpaque::GetHandle | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] aafUInt32 | handleSize,
 |  | [out, size_is(handleSize), length_is(*bytesRead)] aafDataBuffer_t | pHandle,
 |  | [out] aafUInt32 * | bytesRead
 | ) |  |

Used to read and save an unknown property without having to know its contents.

This call fills in a handle to a block of data which can be saved in you application, and later written to another file using SetHandle(). Writes the data into the pHandle buffer. The buffer is allocated by the caller, and the size of the buffer is given by handleSize.

Caller may call GetHandleBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pHandle pointer is valid.
  • handleSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pHandle.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pHandle arg is NULL.

AAFRESULT_SMALLBUF

  • handleSize indicates the buffer is too small to hold the handle.
Parameters:
pPropVal | [in] value to get data from.
handleSize | [in] Size of preallocated buffer
pHandle | [out, size_is(handleSize),length_is(*bytesRead)] Preallocated buffer to hold handle
bytesRead | [out] Number of actual bytes read
HRESULT IAAFTypeDefOpaque::GetHandleBufLen | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetHandle() method.

The handle is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pPropVal | [in] value to set.
pLen | [out] Pointer to an variable used to return the length
HRESULT IAAFTypeDefOpaque::SetHandle | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] aafUInt32 | handleSize,
 |  | [in, size_is(handleSize)] aafDataBuffer_t | pHandle
 | ) |  |

This call takes a block of unknown data created by a previous call to GetHandle() and saved in you application, and sets an opaque property value.

Succeeds if all of the following are true:

  • the pHandle pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pHandle is null.
Parameters:
pPropVal | [in] value to write data to.
handleSize | [in] Size of preallocated buffer
pHandle | [in, size_is(handleSize)] buffer containing handle
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefOpaque Member List
This is the complete list of members for IAAFTypeDefOpaque, including all inherited members.
CreateValueFromHandle([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppOpaquePropertyValue) | IAAFTypeDefOpaque
GetActualTypeID([in] IAAFPropertyValue *pOpaquePropertyValue,[out] aafUID_t *pActualTypeID) | IAAFTypeDefOpaque
GetHandle([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 handleSize,[out, size_is(handleSize), length_is(*bytesRead)] aafDataBuffer_t pHandle,[out] aafUInt32 *bytesRead) | IAAFTypeDefOpaque
GetHandleBufLen([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pLen) | IAAFTypeDefOpaque
SetHandle([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 handleSize,[in, size_is(handleSize)] aafDataBuffer_t pHandle) | IAAFTypeDefOpaque
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefRecord Interface Reference

Public Member Functions
IAAFTypeDefRecord Interface Reference

This interface is used to define C-like structured types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in, size_is(numMembers)] IAAFTypeDef **ppMemberTypes,[in, size_is(numMembers)] aafString_t *pMemberNames,[in] aafUInt32 numMembers,[in] aafCharacter_constptr pTypeName)
Initializes this type def to be identified by the given guid, and to contain the given members (types and names).
HRESULT | GetMemberType ([in] aafUInt32 index,[out] IAAFTypeDef **ppTypeDef)
Returns the type definition of the indexed member in this record type.
HRESULT | GetMemberName ([in] aafUInt32 index,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize)
Writes the human-legible tag associated with the indexed member in this record type.
HRESULT | GetMemberNameBufLen ([in] aafUInt32 index,[out] aafUInt32 *pLen)
Returns the length of buffer required for the GetMemberName() method.
HRESULT | CreateValueFromValues ([in, size_is(numMembers)] IAAFPropertyValue **pMemberValues,[in] aafUInt32 numMembers,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a record type.
HRESULT | CreateValueFromStruct ([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a record type.
HRESULT | GetValue ([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal)
Gets a single property value corresponding to the indicated record member.
HRESULT | GetStruct ([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the member data contained in the given property value, interpreted as a record of this type, into the struct pointed to by pData.
HRESULT | SetValue ([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal)
Sets the value of the single, indicated record member of the record contained in pPropVal, to the value contained in pMemberPropVal.
HRESULT | SetStruct ([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the member data contained in the struct pointed to by pData into the given property value, interpreting the data as a record of this type.
HRESULT | GetCount ([out] aafUInt32 *pCount)
Returns number of members in this record type.
HRESULT | RegisterMembers ([in] aafUInt32 *pOffsets,[in] aafUInt32 numMembers,[in] aafUInt32 structSize)
Allows client to register to the reference implementation a runtime C struct to represent objects of this TypeDef.

Detailed Description

This interface is used to define C-like structured types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefRecord also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 31364 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefRecord::CreateValueFromStruct | ( | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a record type.

The record members in the property value are initialized from data in a struct which is pointed to by pInitData. Requires that the structure pointed to by pInitData has had its offsets registered with this type. Returns the newly-created property value in ppPropVal.

Succeeds if all of the following are true:

  • the pInitData pointer is valid.
  • the ppPropVal pointer is valid.
  • initDataSize indicates pInitData is the correct size.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInitData or ppPropVal arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • initDataSize indicates pInitData is of the wrong size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pInitData | [in, size_is(initDataSize)] pointer to compile-time struct containing data to use
initDataSize | [in] size of data in pInitData
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefRecord::CreateValueFromValues | ( | [in, size_is(numMembers)] IAAFPropertyValue ** | pMemberValues,
 |  | [in] aafUInt32 | numMembers,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a record type.

The record members in the property value are initialized to contain the given values, passed in the pMemberValues array. numMembers, which indicates the size of the pMemberValues array, must match the value returned by GetCount(). Returns the newly-created property value in ppPropVal.

Succeeds if all of the following are true:

  • the pMemberValues pointer is valid.
  • the ppPropVal pointer is valid.
  • numMembers matches the number of members in this record.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pMemberValues or ppPropVal arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • numMembers does not match GetCount().
Parameters:
pMemberValues | [in, size_is(numMembers)] array of property values for members of record value which is to be created.
numMembers | [in] size of pMemberValues array.
ppPropVal | [out] newly-created property value
HRESULT IAAFTypeDefRecord::GetCount ( [out] aafUInt32 * pCount )

Returns number of members in this record type.

Succeeds if:

  • Initialize() has already been called on this object.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pCount arg is NULL.
Parameters:
pCount [out] count of members in this record type
HRESULT IAAFTypeDefRecord::GetMemberName | ( | [in] aafUInt32 | index,
 |  | [out, size_is(bufSize), string] aafCharacter * | pName,
 |  | [in] aafUInt32 | bufSize
 | ) |  |

Writes the human-legible tag associated with the indexed member in this record type.

Index is zero-based, and must be less than the value returned by GetCount(). The name is written, with a trailing null character, into the pName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call GetMemberNameBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pName pointer is valid.
  • bufSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to pName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates the buffer is too small to hold the string.

AAFRESULT_ILLEGAL_VALUE

  • the given integer value is not associated with a member of this type.
Parameters:
index | [in] zero-based index into members in this record type
pName | [out, size_is(bufSize), string] buffer into which the member name is written
bufSize | [in] The size of the pName buffer, in bytes
HRESULT IAAFTypeDefRecord::GetMemberNameBufLen | ( | [in] aafUInt32 | index,
 |  | [out] aafUInt32 * | pLen
 | ) |  |

Returns the length of buffer required for the GetMemberName() method.

Index is zero-based, and must be less than the value returned by GetCount(). The value is placed into the location specified by pLen. The value will include space required for the trailing null character.

Succeeds if all of the following are true:

  • the pLen pointer is valid.
  • the integer value is associated with a member of this enumerated type.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • the given integer value is not associated with a member of this type.
Parameters:
index | [in] zero-based index into members in this record type
pLen | [out] required buffer length, in bytes
HRESULT IAAFTypeDefRecord::GetMemberType | ( | [in] aafUInt32 | index,
 |  | [out] IAAFTypeDef ** | ppTypeDef
 | ) |  |

Returns the type definition of the indexed member in this record type.

Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this record type def.
  • The ppTypeDef pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • The given index is out of range for this record type def.
Parameters:
index | [in] zero-based index into members in this record type
ppTypeDef | [out] type definition of indexed member
HRESULT IAAFTypeDefRecord::GetStruct | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the member data contained in the given property value, interpreted as a record of this type, into the struct pointed to by pData.

Requires that the struct pointed to by pData has had its offsets registered with this type.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pPropVal | [in] property value to read
pData | [out, size_is(dataSize)] buffer into which struct data should be written
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefRecord::GetValue | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFPropertyValue ** | ppOutPropVal
 | ) |  |

Gets a single property value corresponding to the indicated record member.

Places a property value representing the record member identified by the index into ppOutPropval. Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this record type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • The given index is out of range for this record type def.
Parameters:
pInPropVal | [in] property value to read
index | [in] zero-based index into members in this record type
ppOutPropVal | [out] value that is read
HRESULT IAAFTypeDefRecord::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in, size_is(numMembers)] IAAFTypeDef ** | ppMemberTypes,
 |  | [in, size_is(numMembers)] aafString_t * | pMemberNames,
 |  | [in] aafUInt32 | numMembers,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be identified by the given guid, and to contain the given members (types and names).

It is considered an error if multiple members have the same name. Note that it is only possible to use certain types as member types. Those permissible types include:

  • AAFTypeDefInt
  • AAFTypeDefRecord
  • AAFTypeDefEnum
  • AAFTypeDefExtEnum
  • AAFTypeDefFixedArray

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pMemberTypes is a valid pointer.
  • pMemberNames is a valid pointer.
  • pTypeName is a valid pointer.
  • all specified member types are permissible for use in a Record.
  • all member names are unique.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pMemberTypes, pMemberNames, or pTypeName arg is NULL.

AAFRESULT_BAD_TYPE

  • an illegal member type was given.

AAFRESULT_DUPLICATE

  • a duplicate member name was given.
Parameters:
id | [in, ref] auid to be used to identify this type
ppMemberTypes | [in, size_is(numMembers)] array of member types to be represented in this record type
pMemberNames | [in, size_is(numMembers)] array of member names to be represented in this enumerated type
numMembers | [in] number of members in pMemberInfo array
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefRecord::RegisterMembers | ( | [in] aafUInt32 * | pOffsets,
 |  | [in] aafUInt32 | numMembers,
 |  | [in] aafUInt32 | structSize
 | ) |  |

Allows client to register to the reference implementation a runtime C struct to represent objects of this TypeDef.

Offsets for each member in the struct are passed in as an array of integers; size indicates the number of members in the array. The offset is given in bytes from the start address of the struct. This allows the reference implementation to write property values into compile-time-defined C structs intelligible by the local machine and compiler.

Succeeds if:

  • Initialize() has already been called on this object.
  • pOffsets is a valid pointer.
  • numMembers matches the number of members defined for this record type.
  • all types of the fields in this record already have their offsets registered.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pOffsets arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • numMembers does not match number of members in this record type.

AAFRESULT_NOT_REGISTERED

  • The type of any field in this record has not yet had its offsets registered.

AAFRESULT_DEFAULT_ALREADY_USED

  • The default registration for this type has already been used to persist or unpersist a property containing this type.
Parameters:
pOffsets | [in] array containing offset for each record member
numMembers | [in] number of members in pOffsets
structSize | [in] size of this struct
HRESULT IAAFTypeDefRecord::SetStruct | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the member data contained in the struct pointed to by pData into the given property value, interpreting the data as a record of this type.

Requires that the struct pointed to by pData has had its offsets registered with this type.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData contains the correct amount of data.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • dataSize indicates pData is not the correct size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pPropVal | [in] property value to write
pData | [in, size_is(dataSize)] buffer from which struct data should be read
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefRecord::SetValue | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] aafUInt32 | index,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Sets the value of the single, indicated record member of the record contained in pPropVal, to the value contained in pMemberPropVal.

Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this record type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_ILLEGAL_VALUE

  • The given index is out of range for this record type def.
Parameters:
pPropVal | [in] property value to write
index | [in] zero-based index into members in this record type
pMemberPropVal | [in] value to be placed into this record
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefRecord Member List
This is the complete list of members for IAAFTypeDefRecord, including all inherited members.
CreateValueFromStruct([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefRecord
CreateValueFromValues([in, size_is(numMembers)] IAAFPropertyValue **pMemberValues,[in] aafUInt32 numMembers,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefRecord
GetCount([out] aafUInt32 *pCount) | IAAFTypeDefRecord
GetMemberName([in] aafUInt32 index,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFTypeDefRecord
GetMemberNameBufLen([in] aafUInt32 index,[out] aafUInt32 *pLen) | IAAFTypeDefRecord
GetMemberType([in] aafUInt32 index,[out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefRecord
GetStruct([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefRecord
GetValue([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal) | IAAFTypeDefRecord
Initialize([in, ref] aafUID_constref id,[in, size_is(numMembers)] IAAFTypeDef **ppMemberTypes,[in, size_is(numMembers)] aafString_t *pMemberNames,[in] aafUInt32 numMembers,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefRecord
RegisterMembers([in] aafUInt32 *pOffsets,[in] aafUInt32 numMembers,[in] aafUInt32 structSize) | IAAFTypeDefRecord
SetStruct([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefRecord
SetValue([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefRecord
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefRename Interface Reference

Public Member Functions
IAAFTypeDefRename Interface Reference

This interface is used to define Renamed types (analogous to C typedefs) used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] IAAFTypeDef *pBaseType,[in, string] aafCharacter_constptr pTypeName)
Initializes this type def to be an alias for the given type (similar to a C typedef).
HRESULT | GetBaseType ([out] IAAFTypeDef **ppBaseType)
Returns the type definition to which this type def is an alias.
HRESULT | GetBaseValue ([in] IAAFPropertyValue *pInPropVal,[out] IAAFPropertyValue **ppOutPropVal)
Gets the property value of the base type from the given property value of the typedef type and places a pointer to the base type's property value into *ppOutPropVal.
HRESULT | CreateValue ([in] IAAFPropertyValue *pInPropVal,[out] IAAFPropertyValue **ppOutPropVal)
Gets the property value of the typedef type from the given property value of the base type and places a pointer to the base type's property value into *ppOutPropVal.

Detailed Description

This interface is used to define Renamed types (analogous to C typedefs) used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefRename also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 31938 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefRename::CreateValue | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [out] IAAFPropertyValue ** | ppOutPropVal
 | ) |  |

Gets the property value of the typedef type from the given property value of the base type and places a pointer to the base type's property value into *ppOutPropVal.

Succeeds if:

  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInPropVal or ppOutPropVal is NULL.
Parameters:
pInPropVal | [in] property value from which value is to be read
ppOutPropVal | [out] pointer to property value represented by rename type
HRESULT IAAFTypeDefRename::GetBaseType ( [out] IAAFTypeDef ** ppBaseType )

Returns the type definition to which this type def is an alias.

Succeeds if:

  • this object has been Initialize()d.
  • The ppBaseType pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppBaseType pointer is NULL.
Parameters:
ppBaseType [out] type definition for which this is an alias
HRESULT IAAFTypeDefRename::GetBaseValue | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [out] IAAFPropertyValue ** | ppOutPropVal
 | ) |  |

Gets the property value of the base type from the given property value of the typedef type and places a pointer to the base type's property value into *ppOutPropVal.

Succeeds if:

  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInPropVal or ppOutPropVal is NULL.
Parameters:
pInPropVal | [in] property value from which value is to be read
ppOutPropVal | [out] pointer to property value represented by base type
HRESULT IAAFTypeDefRename::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pBaseType,
 |  | [in, string] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be an alias for the given type (similar to a C typedef).

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pBaseType is a valid pointer.
  • pTypeName is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBaseType or pTypeName is null.

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
Parameters:
id | [in, ref] auid to be used to identify this type
pBaseType | [in] type to which this is an alias
pTypeName | [in, string] friendly name of this type definition
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefRename Member List
This is the complete list of members for IAAFTypeDefRename, including all inherited members.
CreateValue([in] IAAFPropertyValue *pInPropVal,[out] IAAFPropertyValue **ppOutPropVal) | IAAFTypeDefRename
GetBaseType([out] IAAFTypeDef **ppBaseType) | IAAFTypeDefRename
GetBaseValue([in] IAAFPropertyValue *pInPropVal,[out] IAAFPropertyValue **ppOutPropVal) | IAAFTypeDefRename
Initialize([in, ref] aafUID_constref id,[in] IAAFTypeDef *pBaseType,[in, string] aafCharacter_constptr pTypeName) | IAAFTypeDefRename
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefSet Interface Reference

Public Member Functions
IAAFTypeDefSet Interface Reference

This interface is used to define variably-sized set types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in, string] aafCharacter_constptr pTypeName)
Initializes this type def to contain elements of the given type.
HRESULT | GetElementType ([out] IAAFTypeDef **ppTypeDef)
Returns the type of elements in this set.
HRESULT | AddElement ([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue)
Adds an element to the set, setting it to the value given in pElementPropertyValue.
HRESULT | RemoveElement ([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue)
Removes an element from the set.
HRESULT | ContainsElement ([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue,[out] aafBoolean_t *pContainsElement)
Tests if an element is in the set.
HRESULT | GetCount ([in] IAAFPropertyValue *pSetPropertyValue,[out] aafUInt32 *pCount)
Returns number of elements in the referenced property value.
HRESULT | CreateKey ([in, size_is(length)] aafDataBuffer_t pKeyPtr,[in] aafUInt32 length,[out] IAAFPropertyValue **ppKey)
Returns number of elements in the referenced property value.
HRESULT | LookupElement ([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pKey,[out] IAAFPropertyValue **ppElementPropertyValue)
Looks up the given key (created by CreateKey()) and returns the propertyValue of the entry, or an error if the entry is not present.
HRESULT | ContainsKey ([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pKey,[out] aafBoolean_t *pContainsKey)
Looks up the given key (created by CreateKey()) and returns AAFTrue if the entry is present, or AAFFalse if the entry is not present.
HRESULT | GetElements ([in] IAAFPropertyValue *pSetPropertyValue,[out] IEnumAAFPropertyValues **ppEnum)
Returns an enumerator across elements in this set.

Detailed Description

This interface is used to define variably-sized set types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefSet also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 32104 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefSet::AddElement | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [in] IAAFPropertyValue * | pElementPropertyValue
 | ) |  |

Adds an element to the set, setting it to the value given in pElementPropertyValue.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue pointer is valid.
  • pElementPropertyValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pSetPropertyValue or pElementPropertyValue arg is NULL.
Parameters:
pSetPropertyValue | [in] property value corresponding to set to which element is added
pElementPropertyValue | [in] value to be added to this set
HRESULT IAAFTypeDefSet::ContainsElement | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [in] IAAFPropertyValue * | pElementPropertyValue,
 |  | [out] aafBoolean_t * | pContainsElement
 | ) |  |

Tests if an element is in the set.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue pointer is valid.
  • pElementPropertyValue pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pSetPropertyValue or pElementPropertyValue arg is NULL.
Parameters:
pSetPropertyValue | [in] property value corresponding to set to which element is added
pElementPropertyValue | [in] value whose presence is being tested in this set
pContainsElement | [out] value to be added to this set
HRESULT IAAFTypeDefSet::ContainsKey | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [in] IAAFPropertyValue * | pKey,
 |  | [out] aafBoolean_t * | pContainsKey
 | ) |  |

Looks up the given key (created by CreateKey()) and returns AAFTrue if the entry is present, or AAFFalse if the entry is not present.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue is a valid pointer.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pSetPropertyValue or pContainsKey arg is NULL.
Parameters:
pSetPropertyValue | [in] property value of set
pKey | [in] A key returned from CreateKey()
pContainsKey | [out] Value returned is AAFTrue if an entry with the correct key is present
HRESULT IAAFTypeDefSet::CreateKey | ( | [in, size_is(length)] aafDataBuffer_t | pKeyPtr,
 |  | [in] aafUInt32 | length,
 |  | [out] IAAFPropertyValue ** | ppKey
 | ) |  |

Returns number of elements in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue is a valid pointer.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pSetPropertyValue or pCount arg is NULL.
Parameters:
pKeyPtr | [in,size_is(length)] Pointer to the key value bytes
length | [in] The size of the key in bytes
ppKey | [out] An interface which may be passed to LookupElement() or ContainsKey()
HRESULT IAAFTypeDefSet::GetCount | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [out] aafUInt32 * | pCount
 | ) |  |

Returns number of elements in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue is a valid pointer.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pSetPropertyValue or pCount arg is NULL.
Parameters:
pSetPropertyValue | [in] property value of array
pCount | [out] count of elements in the specified set property value
HRESULT IAAFTypeDefSet::GetElements | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [out] IEnumAAFPropertyValues ** | ppEnum
 | ) |  |

Returns an enumerator across elements in this set.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pSetPropertyValue pointer is valid.
  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pSetPropertyValue or ppEnum arg is NULL.
Parameters:
pSetPropertyValue | [in] property value to read
ppEnum | [out] enumerator across property values
HRESULT IAAFTypeDefSet::GetElementType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type of elements in this set.

Succeeds if:

  • Initialize() has already been called on this object.
  • ppTypeDef is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] type of elements in this array
HRESULT IAAFTypeDefSet::Initialize | ( | [in] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in, string] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to contain elements of the given type.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pTypeName is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pTypeName arg is NULL.
Parameters:
id | [in] auid to be used to identify this type
pTypeDef | [in] type of each element to be contained in this set
pTypeName | [in,string] friendly name of this type definition
HRESULT IAAFTypeDefSet::LookupElement | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [in] IAAFPropertyValue * | pKey,
 |  | [out] IAAFPropertyValue ** | ppElementPropertyValue
 | ) |  |

Looks up the given key (created by CreateKey()) and returns the propertyValue of the entry, or an error if the entry is not present.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue is a valid pointer.
  • pCount is a valid pointer.
  • An entry with the correct key is present in the set.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pSetPropertyValue or pSetPropertyValue or ppElementPropertyValue arg is NULL.
Parameters:
pSetPropertyValue | [in] property value of set
pKey | [in] A key returned from CreateKey()
ppElementPropertyValue | [out] The returned property value
HRESULT IAAFTypeDefSet::RemoveElement | ( | [in] IAAFPropertyValue * | pSetPropertyValue,
 |  | [in] IAAFPropertyValue * | pElementPropertyValue
 | ) |  |

Removes an element from the set.

Succeeds if:

  • Initialize() has already been called on this object.
  • pSetPropertyValue pointer is valid.
  • pElementPropertyValue pointer is valid.
  • The given element was in the set.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pSetPropertyValue or pElementPropertyValue arg is NULL.
Parameters:
pSetPropertyValue | [in] property value corresponding to set from which element is removed
pElementPropertyValue | [in] value to be removed from this set
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefSet Member List
This is the complete list of members for IAAFTypeDefSet, including all inherited members.
AddElement([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue) | IAAFTypeDefSet
ContainsElement([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue,[out] aafBoolean_t *pContainsElement) | IAAFTypeDefSet
ContainsKey([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pKey,[out] aafBoolean_t *pContainsKey) | IAAFTypeDefSet
CreateKey([in, size_is(length)] aafDataBuffer_t pKeyPtr,[in] aafUInt32 length,[out] IAAFPropertyValue **ppKey) | IAAFTypeDefSet
GetCount([in] IAAFPropertyValue *pSetPropertyValue,[out] aafUInt32 *pCount) | IAAFTypeDefSet
GetElements([in] IAAFPropertyValue *pSetPropertyValue,[out] IEnumAAFPropertyValues **ppEnum) | IAAFTypeDefSet
GetElementType([out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefSet
Initialize([in] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in, string] aafCharacter_constptr pTypeName) | IAAFTypeDefSet
LookupElement([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pKey,[out] IAAFPropertyValue **ppElementPropertyValue) | IAAFTypeDefSet
RemoveElement([in] IAAFPropertyValue *pSetPropertyValue,[in] IAAFPropertyValue *pElementPropertyValue) | IAAFTypeDefSet
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefStream Interface Reference

Public Member Functions
IAAFTypeDefStream Interface Reference

AAFTypeDefStream is DEPRECATED, please use AAFTypeDefStream3. More...

List of all members.

Public Member Functions

HRESULT | GetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize)
Returns number of bytes contained in the referenced property value.
HRESULT | SetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize)
Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:
HRESULT | GetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition)
Returns the byte position of the current element in the stream.
HRESULT | SetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition)
Make the current byte position to the one at newPosition in the stream property value.
HRESULT | Read ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead)
Sequential access.
HRESULT | Write ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Sequential access.
HRESULT | Append ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extending the stream.
HRESULT | HasStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder)
Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.
HRESULT | GetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder)
Access byte order of the stream.
HRESULT | SetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder)
Sets the byte order to be associated with this stream.
HRESULT | ClearStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue)
Clears the byte order to be associated with this stream.
HRESULT | ReadElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead)
Access in typed chunks of Elements.
HRESULT | WriteElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Access in typed chunks of Elements.
HRESULT | AppendElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extend in chunks of typed Elements")

Detailed Description

AAFTypeDefStream is DEPRECATED, please use AAFTypeDefStream3.

This interface is used to define Stream types used in AAF persistent objects. Streams are conceptually similar to variably-sized arrays except that they are intended to be used for very large pieces of data (such as essence). Note: All reads/and writes advance the current position.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefStream also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 32472 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefStream::Append | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extending the stream.

Copies the data in the given buffer into the stream at the end of the stream.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be appended to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write (must be equal to the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFTypeDefStream::AppendElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extend in chunks of typed Elements")

Access in typed chunks of Elements. Copies the data in the given buffer onto the end of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
HRESULT IAAFTypeDefStream::ClearStoredByteOrder ( [in] IAAFPropertyValue * pStreamPropertyValue )

Clears the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue [in] stream property value
HRESULT IAAFTypeDefStream::GetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pPosition
 | ) |  |

Returns the byte position of the current element in the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pPosition is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pPosition arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pPosition | [out] current byte position in the specified stream property value
HRESULT IAAFTypeDefStream::GetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pSize
 | ) |  |

Returns number of bytes contained in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pSize is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pSize arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pSize | [out] count of bytes in the specified stream property value
HRESULT IAAFTypeDefStream::GetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] eAAFByteOrder_t * | pByteOrder
 | ) |  |

Access byte order of the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pByteOrder | [out] Pointer to variable where byte order is to be copied
HRESULT IAAFTypeDefStream::HasStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafBoolean_t * | pHasByteOrder
 | ) |  |

Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pHasByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pHasByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pHasByteOrder | [out] kAAFTrue if this stream has a stored byte order
HRESULT IAAFTypeDefStream::Read | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Sequential access.

Copies the data at the position of the stream to the given buffer.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes exist in the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to read
dataSize | [in] number of bytes to read
pData | [out, size_is(dataSize), length_is(*bytesRead)] buffer into which one element from the stream should be written
bytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFTypeDefStream::ReadElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | pBytesRead
 | ) |  |

Access in typed chunks of Elements.

Copies the data at the current position of the stream to the given buffer. Requires that any structures declared within element typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pBytesRead or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for element typedef.

AAFRESULT_INVALID_PARAM

  • there are not dataSize bytes left in the stream.
Parameters:
pStreamPropertyValue | [in] stream property value to read
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to read (must be evenly divisible by the element type length)
pData | [out, size_is(dataSize), length_is(*pBytesRead)] buffer into which elements from the stream should be written
pBytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFTypeDefStream::SetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newPosition
 | ) |  |

Make the current byte position to the one at newPosition in the stream property value.

Succeeds if:

  • pStreamPropertyValue is a valid pointer.
  • the new position is valid

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.

AAFRESULT_INVALID_PARAM

  • newPosition is outside the bounds of the stream.
Parameters:
pStreamPropertyValue | [in] stream property value
newPosition | [in] the new position in the specified stream property value
HRESULT IAAFTypeDefStream::SetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newSize
 | ) |  |

Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
newSize | [in] new count of bytes in the specified stream property value
HRESULT IAAFTypeDefStream::SetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] eAAFByteOrder_t | byteOrder
 | ) |  |

Sets the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
byteOrder | [in] byte order is to be stored with the stream
HRESULT IAAFTypeDefStream::Write | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Sequential access.

Copies the data in the given buffer into the stream at the current position of the stream..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be written to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFTypeDefStream::WriteElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Access in typed chunks of Elements.

Copies the data in the given buffer into the stream at the current position of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefStream3 Interface Reference

Public Member Functions
IAAFTypeDefStream3 Interface Reference

This interface is used to define Stream types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | GetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize)
Returns number of bytes contained in the referenced property value.
HRESULT | SetSize ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize)
Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:
HRESULT | GetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition)
Returns the byte position of the current element in the stream.
HRESULT | SetPosition ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition)
Make the current byte position to the one at newPosition in the stream property value.
HRESULT | Read ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead)
Sequential access.
HRESULT | Write ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Sequential access.
HRESULT | Append ([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extending the stream.
HRESULT | HasStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder)
Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.
HRESULT | GetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder)
Access byte order of the stream.
HRESULT | SetStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder)
Sets the byte order to be associated with this stream.
HRESULT | ClearStoredByteOrder ([in] IAAFPropertyValue *pStreamPropertyValue)
Clears the byte order to be associated with this stream.
HRESULT | ReadElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead)
Access in typed chunks of Elements.
HRESULT | WriteElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Access in typed chunks of Elements.
HRESULT | AppendElements ([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData)
Extend in chunks of typed Elements")
HRESULT | SetCallback ([in] IAAFPropertyValue *pPropertyValue,[in] IAAFStreamAccess *pCallbackIF,[in] aafMemPtr_t pUserData)
Sets a callback interface to be called when a stream is written to or read from the file.
HRESULT | GetPlainStreamData ([in] aafUInt32 reserved,[out, retval] IAAFPlainStreamData **pPlainStreamData)
Creates an object which implements the IAAFPlainStreamData.

Detailed Description

This interface is used to define Stream types used in AAF persistent objects.

Streams are conceptually similar to variably-sized arrays except that they are intended to be used for very large pieces of data (such as essence). Note: All reads/and writes advance the current position.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefStream3 also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 51380 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefStream3::Append | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extending the stream.

Copies the data in the given buffer into the stream at the end of the stream.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be appended to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write (must be equal to the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFTypeDefStream3::AppendElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Extend in chunks of typed Elements")

Access in typed chunks of Elements. Copies the data in the given buffer onto the end of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
HRESULT IAAFTypeDefStream3::ClearStoredByteOrder ( [in] IAAFPropertyValue * pStreamPropertyValue )

Clears the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue [in] stream property value
HRESULT IAAFTypeDefStream3::GetPlainStreamData | ( | [in] aafUInt32 | reserved,
 |  | [out, retval] IAAFPlainStreamData ** | pPlainStreamData
 | ) |  |

Creates an object which implements the IAAFPlainStreamData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pPlainStreamData arg is NULL.

AAFRESULT_INVALID_PARAM

  • reserved is not 0.
Parameters:
reserved | [in] Reserved for future use
pPlainStreamData | [out,retval] file encoding-independent stream data
HRESULT IAAFTypeDefStream3::GetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pPosition
 | ) |  |

Returns the byte position of the current element in the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pPosition is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pPosition arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pPosition | [out] current byte position in the specified stream property value
HRESULT IAAFTypeDefStream3::GetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafInt64 * | pSize
 | ) |  |

Returns number of bytes contained in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pSize is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pSize arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pSize | [out] count of bytes in the specified stream property value
HRESULT IAAFTypeDefStream3::GetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] eAAFByteOrder_t * | pByteOrder
 | ) |  |

Access byte order of the stream.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pByteOrder | [out] Pointer to variable where byte order is to be copied
HRESULT IAAFTypeDefStream3::HasStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [out] aafBoolean_t * | pHasByteOrder
 | ) |  |

Returns kAAFTrue if the stream has a stored byte order or kAAFFalse otherwise.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • pHasByteOrder is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pHasByteOrder arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
pHasByteOrder | [out] kAAFTrue if this stream has a stored byte order
HRESULT IAAFTypeDefStream3::Read | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | bytesRead
 | ) |  |

Sequential access.

Copies the data at the position of the stream to the given buffer.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes exist in the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to read
dataSize | [in] number of bytes to read
pData | [out, size_is(dataSize), length_is(*bytesRead)] buffer into which one element from the stream should be written
bytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFTypeDefStream3::ReadElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t | pData,
 |  | [out, ref] aafUInt32 * | pBytesRead
 | ) |  |

Access in typed chunks of Elements.

Copies the data at the current position of the stream to the given buffer. Requires that any structures declared within element typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pBytesRead or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for element typedef.

AAFRESULT_INVALID_PARAM

  • there are not dataSize bytes left in the stream.
Parameters:
pStreamPropertyValue | [in] stream property value to read
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to read (must be evenly divisible by the element type length)
pData | [out, size_is(dataSize), length_is(*pBytesRead)] buffer into which elements from the stream should be written
pBytesRead | [out,ref] number of bytes actually read (will be either dataSize or 0 if there is in error)
HRESULT IAAFTypeDefStream3::SetCallback | ( | [in] IAAFPropertyValue * | pPropertyValue,
 |  | [in] IAAFStreamAccess * | pCallbackIF,
 |  | [in] aafMemPtr_t | pUserData
 | ) |  |

Sets a callback interface to be called when a stream is written to or read from the file.

This allows the stream property to be built bottom up.

Succeeds if:

  • Initialize() has already been called on this object.
  • pPropertyValue pointer is valid.
  • pCallbackIF pointer is valid.
  • pUserData pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pPropertyValue or pCallbackIF or pUserData arg is NULL.
Parameters:
pPropertyValue | [in] Issue the callback for this property
pCallbackIF | [in] Interface of the callback object
pUserData | [in] Client-specific data passed through to the callback
HRESULT IAAFTypeDefStream3::SetPosition | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newPosition
 | ) |  |

Make the current byte position to the one at newPosition in the stream property value.

Succeeds if:

  • pStreamPropertyValue is a valid pointer.
  • the new position is valid

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.

AAFRESULT_INVALID_PARAM

  • newPosition is outside the bounds of the stream.
Parameters:
pStreamPropertyValue | [in] stream property value
newPosition | [in] the new position in the specified stream property value
HRESULT IAAFTypeDefStream3::SetSize | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafInt64 | newSize
 | ) |  |

Set the number of bytes contained in the give stream property value to newElementCount Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
newSize | [in] new count of bytes in the specified stream property value
HRESULT IAAFTypeDefStream3::SetStoredByteOrder | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] eAAFByteOrder_t | byteOrder
 | ) |  |

Sets the byte order to be associated with this stream.

Note: the stream must be empty.

Succeeds if:

  • Initialize() has already been called on this object.
  • pStreamPropertyValue is a valid pointer.
  • stream is empty.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • If pStreamPropertyValue arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value
byteOrder | [in] byte order is to be stored with the stream
HRESULT IAAFTypeDefStream3::Write | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Sequential access.

Copies the data in the given buffer into the stream at the current position of the stream..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pData pointer is valid.
  • the indicated bytes could be written to the stream.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pStreamPropertyValue or pData arg is NULL.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
dataSize | [in] number of bytes to write
pData | [in, ref, size_is(dataSize)] buffer into which should contain one element to be written to the stream
HRESULT IAAFTypeDefStream3::WriteElements | ( | [in] IAAFPropertyValue * | pStreamPropertyValue,
 |  | [in] IAAFTypeDef * | pElementType,
 |  | [in] aafUInt32 | dataSize,
 |  | [in, ref, size_is(dataSize)] aafMemPtr_t | pData
 | ) |  |

Access in typed chunks of Elements.

Copies the data in the given buffer into the stream at the current position of the stream. Requires that any structures declared within element typedef have had their offsets registered with that type..

Succeeds if all of the following are true:

  • the pStreamPropertyValue pointer is valid.
  • the pElementType pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.
  • the indicated elements exist in this stream type def.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pStreamPropertyValue or pElementType or pData arg is NULL.

AAFRESULT_INVALID_PARAM

  • dataSize indicates pData is an even multiple of the given element type size.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for the element typedef.
Parameters:
pStreamPropertyValue | [in] stream property value to modify
pElementType | [in] the type definition of the elements to read
dataSize | [in] number of bytes to write (must be evenly divisible by the element type length)
pData | [in, ref, size_is(dataSize)] buffer into which elements from the stream should be written
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefStream3 Member List
This is the complete list of members for IAAFTypeDefStream3, including all inherited members.
Append([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream3
AppendElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream3
ClearStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue) | IAAFTypeDefStream3
GetPlainStreamData([in] aafUInt32 reserved,[out, retval] IAAFPlainStreamData **pPlainStreamData) | IAAFTypeDefStream3
GetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition) | IAAFTypeDefStream3
GetSize([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize) | IAAFTypeDefStream3
GetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder) | IAAFTypeDefStream3
HasStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder) | IAAFTypeDefStream3
Read([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead) | IAAFTypeDefStream3
ReadElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead) | IAAFTypeDefStream3
SetCallback([in] IAAFPropertyValue *pPropertyValue,[in] IAAFStreamAccess *pCallbackIF,[in] aafMemPtr_t pUserData) | IAAFTypeDefStream3
SetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition) | IAAFTypeDefStream3
SetSize([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize) | IAAFTypeDefStream3
SetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder) | IAAFTypeDefStream3
Write([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream3
WriteElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream3
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefStreamEx Interface Reference

Public Member Functions
IAAFTypeDefStreamEx Interface Reference

This interface is an extension to the previously definined TypeDefStream interface. More...

List of all members.

Public Member Functions

HRESULT SetCallback ([in] IAAFPropertyValue *pPropertyValue,[in] IAAFStreamAccess *pCallbackIF,[in] aafMemPtr_t pUserData)
Sets a callback interface to be called when a stream is written to or read from the file.

Detailed Description

This interface is an extension to the previously definined TypeDefStream interface.

Hence the suffix "Ex" to the name. Additional methods are now included.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefStreamEx also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 51307 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefStreamEx::SetCallback | ( | [in] IAAFPropertyValue * | pPropertyValue,
 |  | [in] IAAFStreamAccess * | pCallbackIF,
 |  | [in] aafMemPtr_t | pUserData
 | ) |  |

Sets a callback interface to be called when a stream is written to or read from the file.

This allows the stream property to be built bottom up.

Succeeds if:

  • Initialize() has already been called on this object.
  • pPropertyValue pointer is valid.
  • pCallbackIF pointer is valid.
  • pUserData pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pPropertyValue or pCallbackIF or pUserData arg is NULL.
Parameters:
pPropertyValue | [in] Issue the callback for this property
pCallbackIF | [in] Interface of the callback object
pUserData | [in] Client-specific data passed through to the callback
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefStreamEx Member List
This is the complete list of members for IAAFTypeDefStreamEx, including all inherited members.
SetCallback([in] IAAFPropertyValue *pPropertyValue,[in] IAAFStreamAccess *pCallbackIF,[in] aafMemPtr_t pUserData) IAAFTypeDefStreamEx
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefString Interface Reference

Public Member Functions
IAAFTypeDefString Interface Reference

This interface is used to define variably-sized Array types whose length is determined by a special terminator element value. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafCharacter_constptr pTypeName)
Initializes this type def to contain elements of the given type.
HRESULT | GetType ([out] IAAFTypeDef **ppTypeDef)
Returns the type of elements in this string.
HRESULT | GetCount ([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pCount)
Returns number of elements contained in the referenced property value.
HRESULT | CreateValueFromCString ([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a string type.
HRESULT | SetCString ([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the string data contained in the C array pointed to by pData into the given property value, interpreting the data as a string of this type.
HRESULT | AppendElements ([in] IAAFPropertyValue *pInPropVal,[in] aafMemPtr_t pElements)
Appends elements to the end of the array, setting them to the values given in the pElements array.
HRESULT | GetElements ([in] IAAFPropertyValue *pInPropVal,[out] aafMemPtr_t pBuffer,[in] aafUInt32 bufferSize)
Gets the value of this property as a string and places it into pBuffer.

Detailed Description

This interface is used to define variably-sized Array types whose length is determined by a special terminator element value.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefString also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 33031 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefString::AppendElements | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafMemPtr_t | pElements
 | ) |  |

Appends elements to the end of the array, setting them to the values given in the pElements array.

Succeeds if:

  • Initialize() has already been called on this object.
  • pInPropVal pointer is valid.
  • pElements pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pInPropVal or pElements arg is NULL.
Parameters:
pInPropVal | [in] property value corresponding to string to which elements are to be appended
pElements | [in] Null-terminated array of elements to be appended
HRESULT IAAFTypeDefString::CreateValueFromCString | ( | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a string type.

The string in the property value are initialized from data in a C string which is pointed to by pInitData. Returns the newly-created property value in ppPropVal. The size of the newly-created string property value will be determined by the size of the initialization C array, as communicated by initDataSize.

Succeeds if all of the following are true:

  • the pInitData pointer is valid.
  • the ppPropVal pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInitData or ppPropVal arg is NULL.
Parameters:
pInitData | [in, size_is(initDataSize)] pointer to compile-time C string containing data to use
initDataSize | [in] size of data in pInitData, in bytes
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefString::GetCount | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out] aafUInt32 * | pCount
 | ) |  |

Returns number of elements contained in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pPropVal is a valid pointer.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pPropVal or pCount arg is NULL.
Parameters:
pPropVal | [in] property value of array
pCount | [out] count of elements in the specified string property value
HRESULT IAAFTypeDefString::GetElements | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [out] aafMemPtr_t | pBuffer,
 |  | [in] aafUInt32 | bufferSize
 | ) |  |

Gets the value of this property as a string and places it into pBuffer.

bufferSize indicates the size of the buffer, in bytes.

Succeeds if:

  • Initialize() has already been called on this object.
  • The pInPropVal pointer is valid.
  • bufferSize indicates that pBuffer is large enough to hold the data.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInPropVal arg is NULL.

AAFRESULT_SMALLBUF

  • bufferSize indicates that pBuffer is too small to hold the data.
Parameters:
pInPropVal | [in] property value to read
pBuffer | [out] array of values that are read
bufferSize | [in] size of pBuffer, in bytes
HRESULT IAAFTypeDefString::GetType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type of elements in this string.

Succeeds if:

  • Initialize() has already been called on this object.
  • ppTypeDef is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] type of elements in this array
HRESULT IAAFTypeDefString::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to contain elements of the given type.

Note that it is only possible to use certain types as the element type. Those permissible types include:

  • AAFTypeDefInt

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pTypeDef is a valid pointer.
  • pTypeName is a valid pointer.
  • element type is permissible for use in a String.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pTypeDef or pTypeName arg is NULL.
Parameters:
id | [in, ref] auid to be used to identify this type
pTypeDef | [in] type of each element to be contained in this array
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefString::SetCString | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the string data contained in the C array pointed to by pData into the given property value, interpreting the data as a string of this type.

If dataSize indicates an array size different from the size currently in the indicated array property value, that array property value will be resized.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.
Parameters:
pPropVal | [in] property value to write
pData | [in, size_is(dataSize)] buffer from which C string data should be read
dataSize | [in] size of pData buffer in bytes
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefString Member List
This is the complete list of members for IAAFTypeDefString, including all inherited members.
AppendElements([in] IAAFPropertyValue *pInPropVal,[in] aafMemPtr_t pElements) | IAAFTypeDefString
CreateValueFromCString([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefString
GetCount([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pCount) | IAAFTypeDefString
GetElements([in] IAAFPropertyValue *pInPropVal,[out] aafMemPtr_t pBuffer,[in] aafUInt32 bufferSize) | IAAFTypeDefString
GetType([out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefString
Initialize([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefString
SetCString([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefString
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefStrongObjRef Interface Reference

Public Member Functions
IAAFTypeDefStrongObjRef Interface Reference

This interface is used to implement Strong Object references. More...

List of all members.

Public Member Functions

HRESULT Initialize ([in, ref] aafUID_constref id,[in] IAAFClassDef *pObjType,[in, string] aafCharacter_constptr pTypeName)
Initializes this type def to be a reference to objects of the given type, and assigns this object the given AUID.

Detailed Description

This interface is used to implement Strong Object references.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefStrongObjRef also implement the following interfaces:

  • IAAFTypeDefObjectRef
  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 33322 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefStrongObjRef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFClassDef * | pObjType,
 |  | [in, string] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to be a reference to objects of the given type, and assigns this object the given AUID.

pObjType points to the class definition of the least-derived class which is possible to be contained in property values of this type.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pObjType is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pObjType or pTypeName arg is NULL.
Parameters:
id | [in, ref] auid to be used to identify this type
pObjType | [in] class def of objects permitted to be referenced
pTypeName | [in, string] friendly name of this type definition
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefStrongObjRef Member List
This is the complete list of members for IAAFTypeDefStrongObjRef, including all inherited members.
Initialize([in, ref] aafUID_constref id,[in] IAAFClassDef *pObjType,[in, string] aafCharacter_constptr pTypeName) IAAFTypeDefStrongObjRef
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefVariableArray Interface Reference

Public Member Functions
IAAFTypeDefVariableArray Interface Reference

This interface is used to define variably-sized Array types used in AAF persistent objects. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafCharacter_constptr pTypeName)
Initializes this type def to contain elements of the given type.
HRESULT | GetType ([out] IAAFTypeDef **ppTypeDef)
Returns the type of elements in this array.
HRESULT | GetCount ([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pCount)
Returns number of array elements in the referenced property value.
HRESULT | AppendElement ([in] IAAFPropertyValue *pInPropVal,[in] IAAFPropertyValue *pMemberPropVal)
Appends an element to the end of the array, setting it to the value given in pMemberPropVal.
HRESULT | CreateEmptyValue ([out] IAAFPropertyValue **ppPropVal)
Creates an empty property value which contains a variable array type that initially is empty (that is, contains no elements yet).
HRESULT | CreateValueFromValues ([in, size_is(numElements)] IAAFPropertyValue **pElementValues,[in] aafUInt32 numElements,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a variable array type.
HRESULT | CreateValueFromCArray ([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal)
Creates a property value which contains a fixed array type.
HRESULT | GetElementValue ([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal)
Gets a single property value corresponding to the indexed array element.
HRESULT | GetCArray ([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the array data contained in the given property value, interpreted as a fixed array of this type, into the C array pointed to by pData.
HRESULT | SetElementValue ([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal)
Sets the value of the single, indicated element of the fixed array contained in pPropVal, to the value contained in pMemberPropVal.
HRESULT | SetCArray ([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize)
Copies all the array data contained in the C array pointed to by pData into the given property value, interpreting the data as a fixed array of this type.
HRESULT | GetElements ([in] IAAFPropertyValue *PSetPropVal,[out] IEnumAAFPropertyValues **ppEnum)
Returns an enumerator across elements in this set.

Detailed Description

This interface is used to define variably-sized Array types used in AAF persistent objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefVariableArray also implement the following interfaces:

  • IAAFTypeDefVariableArrayEx
  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 33397 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefVariableArray::AppendElement | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Appends an element to the end of the array, setting it to the value given in pMemberPropVal.

Succeeds if:

  • Initialize() has already been called on this object.
  • pInPropVal pointer is valid.
  • pMemberPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pInPropVal or pMemberPropVal arg is NULL.
Parameters:
pInPropVal | [in] property value corresponding to array to which element is appended
pMemberPropVal | [in] value to be appended to this array
HRESULT IAAFTypeDefVariableArray::CreateEmptyValue ( [out] IAAFPropertyValue ** ppPropVal )

Creates an empty property value which contains a variable array type that initially is empty (that is, contains no elements yet).

Succeeds if all of the following are true:

  • the ppPropVal pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppPropVal arg is NULL.
Parameters:
ppPropVal [out] newly-created empty property value
HRESULT IAAFTypeDefVariableArray::CreateValueFromCArray | ( | [in, size_is(initDataSize)] aafMemPtr_t | pInitData,
 |  | [in] aafUInt32 | initDataSize,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a fixed array type.

The array elements in the property value are initialized from data in a C array which is pointed to by pInitData. Requires that any structures declared within this array typedef have had their offsets registered with that type. Returns the newly-created property value in ppPropVal. The size of the newly-created array property value will be determined by the number of elements in the initialization C array, as communicated by initDataSize.

Succeeds if all of the following are true:

  • the pInitData pointer is valid.
  • the ppPropVal pointer is valid.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInitData or ppPropVal arg is NULL.

AAFRESULT_NOT_REGISTERED

  • any contained struct offsets have not yet been registered for that typedef.
Parameters:
pInitData | [in, size_is(initDataSize)] pointer to compile-time C array containing data to use
initDataSize | [in] size of data in pInitData, in bytes
ppPropVal | [out] newly created property value
HRESULT IAAFTypeDefVariableArray::CreateValueFromValues | ( | [in, size_is(numElements)] IAAFPropertyValue ** | pElementValues,
 |  | [in] aafUInt32 | numElements,
 |  | [out] IAAFPropertyValue ** | ppPropVal
 | ) |  |

Creates a property value which contains a variable array type.

The array elements in the property value are initialized to contain the given values, passed in the pElementValues array. numElements, which indicates the size of the pElementValues array, determines the size of the array in the new array property value.

Succeeds if all of the following are true:

  • the pElementValues pointer is valid.
  • the ppPropVal pointer is valid.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pElementValues or ppPropVal arg is NULL.
Parameters:
pElementValues | [in, size_is(numElements)] array of property values for elements of array value which is to be created.
numElements | [in] size of pElementValues array.
ppPropVal | [out] newly-created property value
HRESULT IAAFTypeDefVariableArray::GetCArray | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the array data contained in the given property value, interpreted as a fixed array of this type, into the C array pointed to by pData.

Requires that any structures declared within this array typedef have had their offsets registered with that type.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • dataSize indicates pData is large enough to hold the data.
  • compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_BAD_PARAM

  • dataSize indicates pData is too small.

AAFRESULT_NOT_REGISTERED

  • struct offsets have not yet been registered for this typedef.
Parameters:
pPropVal | [in] property value to read
pData | [out, size_is(dataSize)] buffer into which C array data should be written
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefVariableArray::GetCount | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [out] aafUInt32 * | pCount
 | ) |  |

Returns number of array elements in the referenced property value.

Succeeds if:

  • Initialize() has already been called on this object.
  • pPropVal is a valid pointer.
  • pCount is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pPropVal or pCount arg is NULL.
Parameters:
pPropVal | [in] property value of array
pCount | [out] count of elements in the specified array property value
HRESULT IAAFTypeDefVariableArray::GetElements | ( | [in] IAAFPropertyValue * | PSetPropVal,
 |  | [out] IEnumAAFPropertyValues ** | ppEnum
 | ) |  |

Returns an enumerator across elements in this set.

Succeeds if:

  • Initialize() has already been called on this object.
  • The PSetPropVal pointer is valid.
  • The ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either PSetPropVal or ppEnum arg is NULL.
Parameters:
PSetPropVal | [in] property value to read
ppEnum | [out] enumerator across property values
HRESULT IAAFTypeDefVariableArray::GetElementValue | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafUInt32 | index,
 |  | [out] IAAFPropertyValue ** | ppOutPropVal
 | ) |  |

Gets a single property value corresponding to the indexed array element.

Places a property value representing the array element identified by the index into ppOutPropval. Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • Either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • The given index is out of range for this array type def.
Parameters:
pInPropVal | [in] property value to read
index | [in] zero-based index into elements in this array type
ppOutPropVal | [out] value that is read
HRESULT IAAFTypeDefVariableArray::GetType ( [out] IAAFTypeDef ** ppTypeDef )

Returns the type of elements in this array.

Succeeds if:

  • Initialize() has already been called on this object.
  • ppTypeDef is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppTypeDef arg is NULL.
Parameters:
ppTypeDef [out] type of elements in this array
HRESULT IAAFTypeDefVariableArray::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFTypeDef * | pTypeDef,
 |  | [in] aafCharacter_constptr | pTypeName
 | ) |  |

Initializes this type def to contain elements of the given type.

Note that it is only possible to use certain types as the element type. Those permissible types include:

  • AAFTypeDefInt
  • AAFTypeDefRecord
  • AAFTypeDefEnum
  • AAFTypeDefExtEnum
  • AAFTypeDefFixedArray
  • AAFTypeDefObjectRef

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pID is a valid pointer.
  • pTypeDef is a valid pointer.
  • pTypeName is a valid pointer.
  • element type is permissible for use in a VariableArray.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pTypeDef or pTypeName arg is NULL.

AAFRESULT_BAD_TYPE

  • an illegal element type was given.
Parameters:
id | [in, ref] auid to be used to identify this type
pTypeDef | [in] type of each element to be contained in this array
pTypeName | [in] friendly name of this type definition
HRESULT IAAFTypeDefVariableArray::SetCArray | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in, size_is(dataSize)] aafMemPtr_t | pData,
 |  | [in] aafUInt32 | dataSize
 | ) |  |

Copies all the array data contained in the C array pointed to by pData into the given property value, interpreting the data as a fixed array of this type.

Requires that any structures declared within this typedef have had their offsets registered with that type. If dataSize indicates an array size different from the size currently in the indicated array property value, that array property value will be resized.

Succeeds if all of the following are true:

  • the pPropVal pointer is valid.
  • the pData pointer is valid.
  • any contained compile-time struct has had its member offests registered.

If this method fails nothing will be written to *ppPropVal.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pPropVal or pData arg is NULL.

AAFRESULT_NOT_REGISTERED

  • offsets of any contained struct have not yet been registered.
Parameters:
pPropVal | [in] property value to write
pData | [in, size_is(dataSize)] buffer from which C array data should be read
dataSize | [in] size of pData buffer in bytes
HRESULT IAAFTypeDefVariableArray::SetElementValue | ( | [in] IAAFPropertyValue * | pPropVal,
 |  | [in] aafUInt32 | index,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Sets the value of the single, indicated element of the fixed array contained in pPropVal, to the value contained in pMemberPropVal.

Index is zero-based, and must be less than the value returned by GetCount(). Property value must be of the same type as returned by GetType().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_BAD_PARAM

  • The given index is out of range for this array type def.
Parameters:
pPropVal | [in] property value to write
index | [in] zero-based index into members in this array type
pMemberPropVal | [in] value to be placed into this array
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefVariableArray Member List
This is the complete list of members for IAAFTypeDefVariableArray, including all inherited members.
AppendElement([in] IAAFPropertyValue *pInPropVal,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefVariableArray
CreateEmptyValue([out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefVariableArray
CreateValueFromCArray([in, size_is(initDataSize)] aafMemPtr_t pInitData,[in] aafUInt32 initDataSize,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefVariableArray
CreateValueFromValues([in, size_is(numElements)] IAAFPropertyValue **pElementValues,[in] aafUInt32 numElements,[out] IAAFPropertyValue **ppPropVal) | IAAFTypeDefVariableArray
GetCArray([in] IAAFPropertyValue *pPropVal,[out, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefVariableArray
GetCount([in] IAAFPropertyValue *pPropVal,[out] aafUInt32 *pCount) | IAAFTypeDefVariableArray
GetElements([in] IAAFPropertyValue *PSetPropVal,[out] IEnumAAFPropertyValues **ppEnum) | IAAFTypeDefVariableArray
GetElementValue([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[out] IAAFPropertyValue **ppOutPropVal) | IAAFTypeDefVariableArray
GetType([out] IAAFTypeDef **ppTypeDef) | IAAFTypeDefVariableArray
Initialize([in, ref] aafUID_constref id,[in] IAAFTypeDef *pTypeDef,[in] aafCharacter_constptr pTypeName) | IAAFTypeDefVariableArray
SetCArray([in] IAAFPropertyValue *pPropVal,[in, size_is(dataSize)] aafMemPtr_t pData,[in] aafUInt32 dataSize) | IAAFTypeDefVariableArray
SetElementValue([in] IAAFPropertyValue *pPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefVariableArray
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefVariableArrayEx Interface Reference

Public Member Functions
IAAFTypeDefVariableArrayEx Interface Reference

This interface is an extension to the previously definined TypeDefVariableArray interface. More...

List of all members.

Public Member Functions

HRESULT | PrependElement ([in] IAAFPropertyValue *pInPropVal,[in] IAAFPropertyValue *pMemberPropVal)
Prepends an element to the end of the array, setting it to the value given in pMemberPropVal.
HRESULT | RemoveElement ([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index)
Remove an element from the Array, given an index.
HRESULT | InsertElement ([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal)
Inserts the value of the single, indicated element of the fixed array contained in pInPropVal, to the value contained in pMemberPropVal.

Detailed Description

This interface is an extension to the previously definined TypeDefVariableArray interface.

Hence the suffix "Ex" to the name. Additional methods are now included.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefVariableArrayEx also implement the following interfaces:

  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 52008 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefVariableArrayEx::InsertElement | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafUInt32 | index,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Inserts the value of the single, indicated element of the fixed array contained in pInPropVal, to the value contained in pMemberPropVal.

Index is zero-based, and must be less than the value returned by GetCount(). Property value must be of the same type as returned by GetType().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.
  • The ppOutPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • either pInPropVal or ppOutPropVal arg is NULL.

AAFRESULT_BADINDEX

  • The given index is out of range for this array type def.
Parameters:
pInPropVal | [in] property value corresponding to array
index | [in] zero-based index into elements in this array type
pMemberPropVal | [in] value to be inserted into this array
HRESULT IAAFTypeDefVariableArrayEx::PrependElement | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] IAAFPropertyValue * | pMemberPropVal
 | ) |  |

Prepends an element to the end of the array, setting it to the value given in pMemberPropVal.

Succeeds if:

  • Initialize() has already been called on this object.
  • pInPropVal pointer is valid.
  • pMemberPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pInPropVal or pMemberPropVal arg is NULL.
Parameters:
pInPropVal | [in] property value corresponding to array to which element is prepended
pMemberPropVal | [in] value to be prepended to this array
HRESULT IAAFTypeDefVariableArrayEx::RemoveElement | ( | [in] IAAFPropertyValue * | pInPropVal,
 |  | [in] aafUInt32 | index
 | ) |  |

Remove an element from the Array, given an index.

Index is zero-based, and must be less than the value returned by GetCount().

Succeeds if:

  • Initialize() has already been called on this object.
  • the index exists in this array type def.
  • The pInPropVal pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pInPropVal arg is NULL.

AAFRESULT_BADINDEX

  • The given index is out of range for this array type def.
Parameters:
pInPropVal | [in] property value corresponding to array
index | [in] zero-based index into elements in this array type
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefVariableArrayEx Member List
This is the complete list of members for IAAFTypeDefVariableArrayEx, including all inherited members.
InsertElement([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefVariableArrayEx
PrependElement([in] IAAFPropertyValue *pInPropVal,[in] IAAFPropertyValue *pMemberPropVal) | IAAFTypeDefVariableArrayEx
RemoveElement([in] IAAFPropertyValue *pInPropVal,[in] aafUInt32 index) | IAAFTypeDefVariableArrayEx
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypeDefWeakObjRef Interface Reference

Public Member Functions
IAAFTypeDefWeakObjRef Interface Reference

This interface is used to implement Weak Object references. More...

List of all members.

Public Member Functions

HRESULT Initialize ([in, ref] aafUID_constref id,[in] IAAFClassDef *pObjType,[in, string] aafCharacter_constptr pTypeName,[in] aafUInt32 ids,[in, size_is(ids)] aafUID_constptr pTargetSet)
Initializes this type def to be a reference to objects of the given type, and assigns this object the given AUID.

Detailed Description

This interface is used to implement Weak Object references.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFTypeDefWeakObjRef also implement the following interfaces:

  • IAAFTypeDefObjectRef
  • IAAFTypeDef
  • IAAFMetaDefinition

Definition at line 33905 of file AAF.idl.

Member Function Documentation

HRESULT IAAFTypeDefWeakObjRef::Initialize | ( | [in, ref] aafUID_constref | id,
 |  | [in] IAAFClassDef * | pObjType,
 |  | [in, string] aafCharacter_constptr | pTypeName,
 |  | [in] aafUInt32 | ids,
 |  | [in, size_is(ids)] aafUID_constptr | pTargetSet
 | ) |  |

Initializes this type def to be a reference to objects of the given type, and assigns this object the given AUID.

pObjType points to the class definition of the least-derived class which is possible to be contained in property values of this type.

pTargetSet points to an array of Property Def AUIDs which indicate the location of the property containing the target of this weak reference. The AUIDs indicate the containment path to the target property, starting at the root Header object. For example, if the containment hierarchy is:

Header->A->B->C

then the first AUID corresponds to the Header's property which contains Object A; the second AUID corresponds to Object A's property which contains Object B; and the third AUID corresponds to Object B's property C which contans the target of this weak reference. If any intermediate property is a vector or set, all* objects in that vector or set are searched for the target. Note that the final AUID *must* correspond to a Set property.

The number of AUIDs in pTargetSet is noted by ids.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pObjType is a valid pointer.
  • pTargetSet is a valid pointer.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pObjType, pTypeName, or pTargetSet arg is NULL.
Parameters:
id | [in, ref] auid to be used to identify this type
pObjType | [in] class def of objects permitted to be referenced
pTypeName | [in, string] friendly name of this type definition
ids | [in] Number of property def IDs in pTargetSet
pTargetSet | [in, size_is(ids)] List of property definition IDs indicating the property where the target is to be found.
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefWeakObjRef Member List
This is the complete list of members for IAAFTypeDefWeakObjRef, including all inherited members.
Initialize([in, ref] aafUID_constref id,[in] IAAFClassDef *pObjType,[in, string] aafCharacter_constptr pTypeName,[in] aafUInt32 ids,[in, size_is(ids)] aafUID_constptr pTargetSet) IAAFTypeDefWeakObjRef
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFTypes Interface Reference

IAAFTypes Interface Reference

List of all members.

Classes

struct | _aafDateStruct_t
struct | _aafDefaultFade_t
struct | _aafDefinitionCrit_t
struct | _aafEdgecode_t
struct | _aafIdentificationCrit_t
struct | _aafMediaCriteria_t
struct | _aafmMultiCreate_t
struct | _aafmMultiResult_t
struct | _aafmMultiXfer_t
struct | _aafMobComment_t
struct | _aafMobID_t
struct | _aafProductIdentification_t
struct | _aafProductVersion_t
struct | _aafRational_t
struct | _aafRect_t
struct | _aafRGBAComponent_t
struct | _aafSearchCrit_t
struct | _aafSearchDictionaryCrit_t
struct | _aafSourceRef_t
struct | _aafTimecode_t
struct | _aafTimeStamp_t
struct | _aafTimeStruct_t
struct | _aafUID_t
struct | _aafVersionType_t

Public Types

enum | _aafBoolean_e { kAAFFalse = 0, kAAFTrue = 1 }
enum | _aafMAX_NUM_RGBA_COMPS_e { MAX_NUM_RGBA_COMPS = 8 }
enum | _aafFileRev_e { kAAFRev1 = 0, kAAFRev2 = 1 }
enum | _aafMediaOpenMode_e { kAAFMediaOpenReadOnly = 0, kAAFMediaOpenAppend = 1 }
enum | _aafFieldDom_e { kAAFDominantField1 = 0, kAAFDominantField2 = 1, kAAFNoDominant = 2 }
enum | _aafFieldTop_e { kAAFTopField1 = 0, kAAFTopField2 = 1, kAAFTopFieldNone = 2 }
enum | _aafAlphaTransparency_e { kAAFMinValueTransparent = 0, kAAFMaxValueTransparent = 1 }
enum | _aafFieldNumber_e { kAAFUnspecifiedField = 0, kAAFFieldOne = 1, kAAFFieldTwo = 2 }
enum | _aafPixelFormat_e { kAAFPixNone = 0, kAAFPixRGBA = 1, kAAFPixYUV = 2 }
enum | _aafFileExistence_e { kAAFFileExistence_new = 1, kAAFFileExistence_existing = 2 }
enum | _aafFileAccess_e { kAAFFileAccess_none = 0, kAAFFileAccess_read = 1 << 0, kAAFFileAccess_write = 1 << 1, kAAFFileAccess_modify = kAAFFileAccess_read | kAAFFileAccess_write }
enum | _aafJPEGcomponent_e { kAAFJcLuminance = 0, kAAFJcChrominance = 1, kAAFJcLuminanceFP16 = 2, kAAFJcChrominanceFP16 = 3 }
enum | _aafCompressEnable_e { kAAFCompressionEnable = 0, kAAFCompressionDisable = 1 }
enum | _aafFileFormat_e { kAAFEssence = 0, kAAFForeignMedia = 1 }
enum | _aafDropType_e { kAAFTcNonDrop = 0, kAAFTcDrop = 1 }
enum _aafFrameLayout_e {
kAAFFullFrame = 0, kAAFSeparateFields = 1, kAAFOneField = 2, kAAFMixedFields = 3,
kAAFSegmentedFrame = 4
}
enum _aafElectroSpatialFormulation_e {
kAAFElectroSpatialFormulation_Default = 0, kAAFElectroSpatialFormulation_TwoChannelMode = 1, kAAFElectroSpatialFormulation_SingleChannelMode = 2, kAAFElectroSpatialFormulation_PrimarySecondaryMode = 3,
kAAFElectroSpatialFormulation_StereophonicMode = 4, kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode = 7, kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode = 8, kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode = 9,
kAAFElectroSpatialFormulation_MultiChannelMode = 15
}
enum _aafEmphasisType_e {
kAAFEmphasis_Unknown = 0, kAAFEmphasis_Reserved0 = 1, kAAFEmphasis_Reserved1 = 2, kAAFEmphasis_Reserved2 = 3,
kAAFEmphasis_None = 4, kAAFEmphasis_Reserved3 = 5, kAAFEmphasis_15and50 = 6, kAAFEmphasis_ITU = 7
}
enum _aafAuxBitsModeType_e {
kAAFAuxBitsMode_NotDefined = 0, kAAFAuxBitsMode_MainAudioSampleData = 1, kAAFAuxBitsMode_SingleCoordinationSignal = 2, kAAFAuxBitsMode_UserDefined = 3,
kAAFAuxBitsMode_Reserved0 = 4, kAAFAuxBitsMode_Reserved1 = 5, kAAFAuxBitsMode_Reserved2 = 6, kAAFAuxBitsMode_Reserved3 = 7
}
enum _aafChannelStatusModeType_e {
kAAFChannelStatusMode_None = 0, kAAFChannelStatusMode_Minimum = 1, kAAFChannelStatusMode_Standard = 2, kAAFChannelStatusMode_Fixed = 3,
kAAFChannelStatusMode_Stream = 4, kAAFChannelStatusMode_Essence = 5
}
enum _aafUserDataModeType_e {
kAAFUserDataMode_NotDefined = 0, kAAFUserDataMode_192BitBlockStructure = 1, kAAFUserDataMode_AES18 = 2, kAAFUserDataMode_UserDefined = 3,
kAAFUserDataMode_IEC = 4, kAAFUserDataMode_Metadata = 5, kAAFUserDataMode_Reserved0 = 6, kAAFUserDataMode_Reserved1 = 7,
kAAFUserDataMode_Reserved2 = 8, kAAFUserDataMode_Reserved3 = 9, kAAFUserDataMode_Reserved4 = 10, kAAFUserDataMode_Reserved5 = 11,
kAAFUserDataMode_Reserved6 = 12, kAAFUserDataMode_Reserved7 = 13, kAAFUserDataMode_Reserved8 = 14, kAAFUserDataMode_Reserved9 = 15
}
enum _aafSignalStandard_e {
kAAFSignalStandard_None = 0, kAAFSignalStandard_ITU601 = 1, kAAFSignalStandard_ITU1358 = 2, kAAFSignalStandard_SMPTE347M = 3,
kAAFSignalStandard_SMPTE274M = 4, kAAFSignalStandard_SMPTE296M = 5, kAAFSignalStandard_SMPTE349M = 6
}
enum _aafScanningDirection_e {
kAAFScanningDirection_LeftToRightTopToBottom = 0, kAAFScanningDirection_RightToLeftTopToBottom = 1, kAAFScanningDirection_LeftToRightBottomToTop = 2, kAAFScanningDirection_RightToLeftBottomToTop = 3,
kAAFScanningDirection_TopToBottomLeftToRight = 4, kAAFScanningDirection_TopToBottomRightToLeft = 5, kAAFScanningDirection_BottomToTopLeftToRight = 6, kAAFScanningDirection_BottomToTopRightToLeft = 7
}
enum | _aafContentScanningType_e { kAAFContentScanning_NotKnown = 0, kAAFContentScanning_Progressive = 1, kAAFContentScanning_Interlace = 2, kAAFContentScanning_Mixed = 3 }
enum | _aafTitleAlignmentType_e { kAAFTitleAlignment_Left = 0, kAAFTitleAlignment_Center = 1, kAAFTitleAlignment_Right = 2 }
enum _aafColorSiting_e {
kAAFCoSiting = 0, kAAFAveraging = 1, kAAFThreeTap = 2, kAAFQuincunx = 3,
kAAFRec601 = 4, kAAFUnknownSiting = 255
}
enum | _aafPropertyOpt_e { kAAFPropRequired = 0, kAAFPropOptional = 1 }
enum | _AAFDataDefinitionMatch_e { kAAFExactMatch = 0, kAAFConvertTo = 1, kAAFConvertFrom = 2 }
enum | _aafAppendOption_e { kAAFAppend = 0, kAAFForceOverwrite = 1 }
enum _aafReferenceType_e {
kAAFRefLimitMinimum = 0, kAAFRefLimitMaximum = 1, kAAFRefMinimum = 2, kAAFRefMaximum = 3,
kAAFRefEnumvalue = 4
}
enum | _aafSwapNeeded_e { kAAFSwapIfNeeded = 0, kAAFNeverSwap = 1 }
enum | _aafTimecodeSourceType_e { kAAFTimecodeLTC = 0, kAAFTimecodeVITC = 1 }
enum _aafMobKind_e {
kAAFCompMob = 0, kAAFMasterMob = 1, kAAFFileMob = 2, kAAFTapeMob = 3,
kAAFFilmMob = 4, kAAFPrimaryMob = 5, kAAFAllMob = 6, kAAFPhysicalMob = 7
}
enum _aafOperationChoice_e {
kAAFFindNull = 0, kAAFFindIncoming = 1, kAAFFindOutgoing = 2, kAAFFindRender = 3,
kAAFFindOperationSrc1 = 4, kAAFFindOperationSrc2 = 5, kAAFFindOperationSrc3 = 6, kAAFFindOperationSrc4 = 7,
kAAFFindOperationSrc5 = 8, kAAFFindOperationSrc6 = 9, kAAFFindOperationSrc7 = 10, kAAFFindOperationSrc8 = 11
}
enum | _aafDepend_e { kAAFNoFollowDepend = 0, kAAFFollowDepend = 1 }
enum | _aafIncMedia_e { kAAFNoIncludeMedia = 0, kAAFIncludeMedia = 1 }
enum | _aafIndexType_e { kAAFCompMobIndex = 0, kAAFSourceMobIndex = 1, kAAFMediaIndex = 2, kAAFPrimaryMobIndex = 3 }
enum | _aafFadeType_e { kAAFFadeNone = 0, kAAFFadeLinearAmp = 1, kAAFFadeLinearPower = 2 }
enum | _aafAudioSampleType_e { kAAFOffsetBinary = 0, kAAFSignedMagnitude = 1 }
enum _aafTapeCaseType_e {
kAAFTapeCaseNull = 0, kAAFThreeFourthInchVideoTape = 1, kAAFVHSVideoTape = 2, kAAF8mmVideoTape = 3,
kAAFBetacamVideoTape = 4, kAAFCompactCassette = 5, kAAFDATCartridge = 6, kAAFNagraAudioTape = 7
}
enum | _aafVideoSignalType_e { kAAFVideoSignalNull = 0, kAAFNTSCSignal = 1, kAAFPALSignal = 2, kAAFSECAMSignal = 3 }
enum _aafTapeFormatType_e {
kAAFTapeFormatNull = 0, kAAFBetacamFormat = 1, kAAFBetacamSPFormat = 2, kAAFVHSFormat = 3,
kAAFSVHSFormat = 4, kAAF8mmFormat = 5, kAAFHi8Format = 6
}
enum | _aafAttributeKind_e { kAAFNullAttribute = 0, kAAFIntegerAttribute = 1, kAAFStringAttribute = 2, kAAFObjectAttribute = 3 }
enum _aafPulldownKind_e {
kAAFTwoThreePD = 0, kAAFPALPD = 1, kAAFOneToOneNTSC = 2, kAAFOneToOnePAL = 3,
kAAFVideoTapNTSC = 4, kAAFOneToOneHDSixty = 5, kAAFTwentyFourToSixtyPD = 6, kAAFTwoToOnePD = 7
}
enum | _aafPulldownDir_e { kAAFTapeToFilmSpeed = 0, kAAFFilmToTapeSpeed = 1 }
enum _aafRGBAComponentKind_e {
kAAFCompNone = 0x30, kAAFCompAlpha = 0x41, kAAFCompBlue = 0x42, kAAFCompFill = 0x46,
kAAFCompGreen = 0x47, kAAFCompPalette = 0x50, kAAFCompRed = 0x52, kAAFCompNull = 0x0
}
enum | _aafInterpKind_e { kAAFConstInterp = 1, kAAFLinearInterp = 2 }
enum _aafEditHint_e {
kAAFNoEditHint = 0, kAAFProportional = 1, kAAFRelativeLeft = 2, kAAFRelativeRight = 3,
kAAFRelativeFixed = 4
}
enum _aafProductReleaseType_e {
kAAFVersionUnknown = 0, kAAFVersionReleased = 1, kAAFVersionDebug = 2, kAAFVersionPatched = 3,
kAAFVersionBeta = 4, kAAFVersionPrivateBuild = 5
}
enum _aafEdgeType_e {
kAAFEtNull = 0, kAAFEtKeycode = 1, kAAFEtEdgenum4 = 2, kAAFEtEdgenum5 = 3,
kAAFEtHeaderSize = 8
}
enum _aafFilmType_e {
kAAFFtNull = 0, kAAFFt35MM = 1, kAAFFt16MM = 2, kAAFFt8MM = 3,
kAAFFt65MM = 4
}
enum _aafDirectionCode_e {
kAAFDirCodeRight = 0, kAAFDirCodeUpperRight = 1, kAAFDirCodeUp = 2, kAAFDirCodeUpperLeft = 3,
kAAFDirCodeLeft = 4, kAAFDirCodeLowerLeft = 5, kAAFDirCodeDown = 6, kAAFDirCodeLowerRight = 7
}
enum _aafColorSpace_e {
kAAFColorSpaceRGB = 0, kAAFColorSpaceYUV = 1, kAAFColorSpaceYIQ = 2, kAAFColorSpaceHSI = 3,
kAAFColorSpaceHSV = 4, kAAFColorSpaceYCrCb = 5, kAAFColorSpaceYDrDb = 6, kAAFColorSpaceCMYK = 7
}
enum | _aafCriteriaType_e { kAAFAnyRepresentation = 0, kAAFFastestRepresentation = 1, kAAFBestFidelityRepresentation = 2, kAAFSmallestRepresentation = 3 }
enum _aafSearchTag_e {
kAAFNoSearch = 0, kAAFByMobID = 1, kAAFByMobKind = 2, kAAFByName = 3,
kAAFByClass = 4, kAAFByDataDef = 5, kAAFByMediaCrit = 6, kAAFByUsageCode = 7,
kAAFByMasterMobUsageCode = 8, kAAFBySourceMobUsageCode = 9, kAAFByCompositionMobUsageCode = 10
}
enum _aafDefinitionKind_e {
kAAFClassDefinition = 1, kAAFPropertyDefinition = 2, kAAFTypeDefinition = 4, kAAFDataDefinition = 8,
kAAFOperationDefinition = 16, kAAFAllDefinitions = -1
}
enum | _aafDefinitionCritType_e { kAAFNoDefSearch = 0, kAAFByDefKind = 1, kAAFByDefName = 2, kAAFByDefClass = 3 }
enum | _aafIdentificationCritType_e { kAAFNoIdSearch = 0, kAAFByIdProductID = 1, kAAFByIdGeneration = 2, kAAFByIdRefImplVersion = 3 }
enum _aafSearchDictionaryTag_e {
kAAFAllClasses = 0, kAAFByClassID = 1, kAAFByParentClassID = 2, kAAFByPropertyID = 3,
kAAFByTypeID = 4, kAAFByClassName = 5
}
enum | _eAAFByteOrder_e { kAAFByteOrderLittle = 0, kAAFByteOrderBig = 1 }
enum _eAAFTypeCategory_e {
kAAFTypeCatUnknown = 0, kAAFTypeCatInt = 1, kAAFTypeCatCharacter = 2, kAAFTypeCatStrongObjRef = 3,
kAAFTypeCatWeakObjRef = 4, kAAFTypeCatRename = 5, kAAFTypeCatEnum = 6, kAAFTypeCatFixedArray = 7,
kAAFTypeCatVariableArray = 8, kAAFTypeCatSet = 9, kAAFTypeCatRecord = 10, kAAFTypeCatStream = 11,
kAAFTypeCatString = 12, kAAFTypeCatExtEnum = 13, kAAFTypeCatIndirect = 14, kAAFTypeCatOpaque = 15,
kAAFTypeCatEncrypted = 16
}
typedef signed char | aafInt8
typedef signed short int | aafInt16
typedef signed int | aafInt32
typedef unsigned char | aafUInt8
typedef unsigned short int | aafUInt16
typedef unsigned int | aafUInt32
typedef hyper | aafInt64
typedef unsigned hyper | aafUInt64
typedef wchar_t | aafWChar
typedef wchar_t | aafCharacter
typedef unsigned char * | aafMemPtr_t
typedef aafInt32 | AAFRESULT
typedef enum
IAAFTypes::_aafBoolean_e 		aafBoolean_e
typedef enum
IAAFTypes::_aafMAX_NUM_RGBA_COMPS_e 		aafMAX_NUM_RGBA_COMPS_e
typedef aafCharacter * | aafString_t
typedef aafCharacter * | aafString_t
typedef aafInt64 | aafLength_t
typedef aafInt64 | aafPosition_t
typedef aafInt64 | aafFrameOffset_t
typedef aafInt64 | aafFrameLength_t
typedef aafUInt32 | aafSlotID_t
typedef aafUInt32 | aafNumSlots_t
typedef struct _aafUID_t | aafClassID_t
typedef aafUInt8 * | aafDataValue_t
typedef aafUInt8 * | aafDataBuffer_t
typedef struct _aafUID_t | aafArgIDType_t
typedef struct _aafUID_t | aafHardwarePlatform_t
typedef struct _aafUID_t | aafEngine_t
typedef struct _aafUID_t | aafPluginAPI_t
typedef struct _aafUID_t | aafCodecID_t
typedef aafUInt8 | aafCompSizeArray_t [MAX_NUM_RGBA_COMPS]
typedef aafInt8 | aafCompArray_t [MAX_NUM_RGBA_COMPS]
typedef aafInt32 | aafVideoLineMap_t [2]
typedef aafInt32 | aafJPEGTableID_t
typedef aafInt32 | aafFileRev_t
typedef enum
IAAFTypes::_aafFileRev_e 		aafFileRev_e
typedef aafInt32 | aafMediaOpenMode_t
typedef enum
IAAFTypes::_aafMediaOpenMode_e 		aafMediaOpenMode_e
typedef aafInt32 | aafFieldDom_t
typedef enum
IAAFTypes::_aafFieldDom_e 		aafFieldDom_e
typedef aafInt32 | aafFieldTop_t
typedef enum
IAAFTypes::_aafFieldTop_e 		aafFieldTop_e
typedef aafInt32 | aafAlphaTransparency_t
typedef enum
IAAFTypes::_aafAlphaTransparency_e 		aafAlphaTransparency_e
typedef aafInt32 | aafFieldNumber_t
typedef enum
IAAFTypes::_aafFieldNumber_e 		aafFieldNumber_e
typedef aafInt32 | aafPixelFormat_t
typedef enum
IAAFTypes::_aafPixelFormat_e 		aafPixelFormat_e
typedef aafInt32 | aafFileExistence_t
typedef enum
IAAFTypes::_aafFileExistence_e 		aafFileExistence_e
typedef aafInt32 | aafFileAccess_t
typedef enum
IAAFTypes::_aafFileAccess_e 		aafFileAccess_e
typedef aafInt32 | aafJPEGcomponent_t
typedef enum
IAAFTypes::_aafJPEGcomponent_e 		aafJPEGcomponent_e
typedef typedef
kAAFJcChrominanceFP16
aafJPEGcomponent_e typedef
aafInt32 aafCompressEnable_t
enum
IAAFTypes::_aafCompressEnable_e 		aafCompressEnable_e
typedef aafInt32 | aafFileFormat_t
typedef enum
IAAFTypes::_aafFileFormat_e 		aafFileFormat_e
typedef aafInt32 | aafDropType_t
typedef enum
IAAFTypes::_aafDropType_e 		aafDropType_e
typedef aafInt32 | aafFrameLayout_t
typedef enum
IAAFTypes::_aafFrameLayout_e 		aafFrameLayout_e
typedef aafInt32 | aafElectroSpatialFormulation_t
typedef enum
IAAFTypes::_aafElectroSpatialFormulation_e 		aafElectroSpatialFormulation_e
typedef aafInt32 | aafEmphasisType_t
typedef enum
IAAFTypes::_aafEmphasisType_e 		aafEmphasisType_e
typedef aafInt32 | aafAuxBitsModeType_t
typedef enum
IAAFTypes::_aafAuxBitsModeType_e 		aafAuxBitsModeType_e
typedef aafInt32 | aafChannelStatusModeType_t
typedef enum
IAAFTypes::_aafChannelStatusModeType_e 		aafChannelStatusModeType_e
typedef aafInt32 | aafUserDataModeType_t
typedef enum
IAAFTypes::_aafUserDataModeType_e 		aafUserDataModeType_e
typedef aafInt32 | aafSignalStandard_t
typedef enum
IAAFTypes::_aafSignalStandard_e 		aafSignalStandard_e
typedef aafInt32 | aafScanningDirection_t
typedef enum
IAAFTypes::_aafScanningDirection_e 		aafScanningDirection_e
typedef aafInt32 | aafContentScanningType_t
typedef enum
IAAFTypes::_aafContentScanningType_e 		aafContentScanningType_e
typedef aafInt32 | aafTitleAlignmentType_t
typedef enum
IAAFTypes::_aafTitleAlignmentType_e 		aafTitleAlignmentType_e
typedef aafInt32 | aafColorSiting_t
typedef enum
IAAFTypes::_aafColorSiting_e 		aafColorSiting_e
typedef aafInt32 | aafPropertyOpt_t
typedef enum
IAAFTypes::_aafPropertyOpt_e 		aafPropertyOpt_e
typedef aafInt32 | AAFDataDefinitionMatch_t
typedef enum
IAAFTypes::_AAFDataDefinitionMatch_e 		AAFDataDefinitionMatch_e
typedef aafInt32 | aafAppendOption_t
typedef enum
IAAFTypes::_aafAppendOption_e 		aafAppendOption_e
typedef aafInt32 | aafReferenceType_t
typedef enum
IAAFTypes::_aafReferenceType_e 		aafReferenceType_e
typedef aafInt32 | aafSwapNeeded_t
typedef enum
IAAFTypes::_aafSwapNeeded_e 		aafSwapNeeded_e
typedef aafInt32 | aafTimecodeSourceType_t
typedef enum
IAAFTypes::_aafTimecodeSourceType_e 		aafTimecodeSourceType_e
typedef aafInt32 | aafMobKind_t
typedef enum
IAAFTypes::_aafMobKind_e 		aafMobKind_e
typedef aafInt32 | aafOperationChoice_t
typedef enum
IAAFTypes::_aafOperationChoice_e 		aafOperationChoice_e
typedef aafInt32 | aafDepend_t
typedef enum
IAAFTypes::_aafDepend_e 		aafDepend_e
typedef aafInt32 | aafIncMedia_t
typedef enum
IAAFTypes::_aafIncMedia_e 		aafIncMedia_e
typedef aafInt32 | aafIndexType_t
typedef enum
IAAFTypes::_aafIndexType_e 		aafIndexType_e
typedef aafInt32 | aafFadeType_t
typedef enum
IAAFTypes::_aafFadeType_e 		aafFadeType_e
typedef aafInt32 | aafAudioSampleType_t
typedef enum
IAAFTypes::_aafAudioSampleType_e 		aafAudioSampleType_e
typedef aafInt32 | aafTapeCaseType_t
typedef enum
IAAFTypes::_aafTapeCaseType_e 		aafTapeCaseType_e
typedef aafInt32 | aafVideoSignalType_t
typedef enum
IAAFTypes::_aafVideoSignalType_e 		aafVideoSignalType_e
typedef aafInt32 | aafTapeFormatType_t
typedef enum
IAAFTypes::_aafTapeFormatType_e 		aafTapeFormatType_e
typedef aafInt32 | aafAttributeKind_t
typedef enum
IAAFTypes::_aafAttributeKind_e 		aafAttributeKind_e
typedef aafInt32 | aafPulldownKind_t
typedef enum
IAAFTypes::_aafPulldownKind_e 		aafPulldownKind_e
typedef aafInt32 | aafPhaseFrame_t
typedef aafInt32 | aafPulldownDir_t
typedef enum
IAAFTypes::_aafPulldownDir_e 		aafPulldownDir_e
typedef struct
IAAFTypes::_aafMobComment_t 		aafMobComment_t
typedef aafInt32 | aafRGBAComponentKind_t
typedef enum
IAAFTypes::_aafRGBAComponentKind_e 		aafRGBAComponentKind_e
typedef struct
IAAFTypes::_aafRGBAComponent_t 		aafRGBAComponent_t
typedef aafInt32 | aafInterpKind_t
typedef enum
IAAFTypes::_aafInterpKind_e 		aafInterpKind_e
typedef aafInt32 | aafEditHint_t
typedef enum
IAAFTypes::_aafEditHint_e 		aafEditHint_e
typedef aafInt32 | aafProductReleaseType_t
typedef enum
IAAFTypes::_aafProductReleaseType_e 		aafProductReleaseType_e
typedef struct
IAAFTypes::_aafVersionType_t 		aafVersionType_t
typedef struct
IAAFTypes::_aafProductVersion_t 		aafProductVersion_t
typedef struct IAAFTypes::_aafUID_t | aafUID_t
typedef struct
IAAFTypes::_aafMobID_t 		aafMobID_t
typedef struct
IAAFTypes::_aafProductIdentification_t 		aafProductIdentification_t
typedef struct
IAAFTypes::_aafDateStruct_t 		aafDateStruct_t
typedef struct
IAAFTypes::_aafTimeStruct_t 		aafTimeStruct_t
typedef struct
IAAFTypes::_aafTimeStamp_t 		aafTimeStamp_t
typedef struct
IAAFTypes::_aafRational_t 		aafRational_t
typedef struct
IAAFTypes::_aafRect_t 		aafRect_t
typedef struct
IAAFTypes::_aafmMultiXfer_t 		aafmMultiXfer_t
typedef struct
IAAFTypes::_aafmMultiResult_t 		aafmMultiResult_t
typedef struct
IAAFTypes::_aafmMultiCreate_t 		aafmMultiCreate_t
typedef aafInt32 | aafEdgeType_t
typedef enum
IAAFTypes::_aafEdgeType_e 		aafEdgeType_e
typedef aafInt32 | aafFilmType_t
typedef enum
IAAFTypes::_aafFilmType_e 		aafFilmType_e
typedef aafInt32 | aafDirectionCode_t
typedef enum
IAAFTypes::_aafDirectionCode_e 		aafDirectionCode_e
typedef aafInt32 | aafColorSpace_t
typedef enum
IAAFTypes::_aafColorSpace_e 		aafColorSpace_e
typedef struct
IAAFTypes::_aafTimecode_t 		aafTimecode_t
typedef aafUInt8 | aafEdgecodeHeader_t [kAAFEtHeaderSize]
typedef struct
IAAFTypes::_aafEdgecode_t 		aafEdgecode_t
typedef struct
IAAFTypes::_aafSourceRef_t 		aafSourceRef_t
typedef struct
IAAFTypes::_aafDefaultFade_t 		aafDefaultFade_t
typedef aafInt32 | aafCriteriaType_t
typedef enum
IAAFTypes::_aafCriteriaType_e 		aafCriteriaType_e
typedef struct
IAAFTypes::_aafMediaCriteria_t 		aafMediaCriteria_t
typedef aafInt32 | aafSearchTag_t
typedef enum
IAAFTypes::_aafSearchTag_e 		aafSearchTag_e
typedef struct
IAAFTypes::_aafSearchCrit_t 		aafSearchCrit_t
typedef aafSearchTag_t | searchTag
typedef aafInt32 | aafDefinitionKind_t
typedef enum
IAAFTypes::_aafDefinitionKind_e 		aafDefinitionKind_e
typedef aafInt32 | aafDefinitionCritType_t
typedef enum
IAAFTypes::_aafDefinitionCritType_e 		aafDefinitionCritType_e
typedef struct
IAAFTypes::_aafDefinitionCrit_t 		aafDefinitionCrit_t
typedef aafInt32 | aafIdentificationCritType_t
typedef enum
IAAFTypes::_aafIdentificationCritType_e 		aafIdentificationCritType_e
typedef struct
IAAFTypes::_aafIdentificationCrit_t 		aafIdentificationCrit_t
typedef aafInt32 | aafSearchDictionaryTag_t
typedef enum
IAAFTypes::_aafSearchDictionaryTag_e 		aafSearchDictionaryTag_e
typedef aafInt32 | eAAFByteOrder_t
typedef enum
IAAFTypes::_eAAFByteOrder_e 		eAAFByteOrder_e
typedef struct
IAAFTypes::_aafSearchDictionaryCrit_t 		aafSearchDictionaryCrit_t
typedef aafSearchDictionaryTag_t | searchTag
typedef aafInt32 | eAAFTypeCategory_t
typedef enum
IAAFTypes::_eAAFTypeCategory_e 		eAAFTypeCategory_e
typedef aafAlphaTransparency_t | aafAlphaTransparencyType_t
typedef aafBoolean_t | aafBool
typedef aafColorSiting_t | aafColorSitingType_t
typedef aafEditHint_t | aafEditHintType_t
typedef aafFrameLayout_t | aafLayoutType_t
typedef aafMobID_t | aafMobIDType_t
typedef aafPulldownDir_t | aafPulldownDirectionType_t
typedef aafPulldownKind_t | aafPulldownKindType_t
typedef aafScanningDirection_t | aafScanningDirectionType_t
typedef aafSignalStandard_t | aafSignalStandardType_t
typedef aafTimecodeSourceType_t | aafTCSource_t
typedef aafEdgecodeHeader_t | aafEdgecodeHeader_constref
typedef aafEdgecode_t | aafEdgecode_constref
typedef aafEngine_t | aafEngine_constref
typedef aafHardwarePlatform_t | aafHardwarePlatform_constref
typedef aafMediaCriteria_t | aafMediaCriteria_constref
typedef aafPluginAPI_t | aafPluginAPI_constref
typedef aafPosition_t | aafPosition_constref
typedef aafProductIdentification_t | aafProductIdentification_constref
typedef aafProductVersion_t | aafProductVersion_constref
typedef aafRect_t | aafRect_constref
typedef aafSourceRef_t | aafSourceRef_constref
typedef aafTimecode_t | aafTimecode_constref
typedef aafLength_t | aafLength_constref
typedef aafRational_t | aafRational_constref
typedef aafTimeStamp_t | aafTimeStamp_constref
typedef aafUID_t | aafUID_constref
typedef aafMobID_t | aafMobID_constref
typedef aafVersionType_t | aafVersionType_constref
typedef unsigned char * | aafMemConstPtr_t
typedef aafCharacter * | aafCharacter_constptr
typedef aafMediaCriteria_t * | aafMediaCriteria_constptr
typedef aafOperationChoice_t * | aafOperationChoice_constptr
typedef aafProductVersion_t * | aafProductVersion_constptr
typedef
aafProductIdentification_t * 		aafProductIdentification_constptr
typedef aafSearchCrit_t * | aafSearchCrit_constptr
typedef aafUID_t * | aafUID_constptr
typedef aafMobID_t * | aafMobID_constptr

Public Attributes

NULL((void *) 0L) typedef aafInt3 | aafBoolean_t )
MAX_NUM_RGBA_COMPS typedef aafInt32 | aafMAX_NUM_RGBA_COMPS
STDMETHODCALLTYPE typedef
aafArgIDType_t 		aafArgIDType_constref
const aafProductVersion_t | AAFReferenceImplementationVersion
aafMobID_t mobID
aafMobKind_t mobKind
aafString_t name
aafClassID_t objClass
aafUID_t datadef
aafCriteriaType_t mediaCrit
aafUID_t usageCode
tags
aafSearchCrit_t
aafUID_t * classID
aafUID_t * parentClassID
aafUID_t * propertyID
aafUID_t * typeID
aafSearchDictionaryCrit_t

Detailed Description

Definition at line 48 of file AAFTypes.idl.

Member Typedef Documentation

typedef enum IAAFTypes::_aafAlphaTransparency_e IAAFTypes::aafAlphaTransparency_e
typedef aafInt32 IAAFTypes::aafAlphaTransparency_t

Definition at line 200 of file AAFTypes.idl.

typedef aafAlphaTransparency_t IAAFTypes::aafAlphaTransparencyType_t

Definition at line 1113 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafAppendOption_e IAAFTypes::aafAppendOption_e
typedef aafInt32 IAAFTypes::aafAppendOption_t

Definition at line 434 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafArgIDType_t

Definition at line 150 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafAttributeKind_e IAAFTypes::aafAttributeKind_e
typedef aafInt32 IAAFTypes::aafAttributeKind_t

Definition at line 574 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafAudioSampleType_e IAAFTypes::aafAudioSampleType_e
typedef aafInt32 IAAFTypes::aafAudioSampleType_t

Definition at line 533 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafAuxBitsModeType_e IAAFTypes::aafAuxBitsModeType_e
typedef aafInt32 IAAFTypes::aafAuxBitsModeType_t

Definition at line 321 of file AAFTypes.idl.

typedef aafBoolean_t IAAFTypes::aafBool

Definition at line 1114 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafBoolean_e IAAFTypes::aafBoolean_e
typedef enum IAAFTypes::_aafChannelStatusModeType_e IAAFTypes::aafChannelStatusModeType_e
typedef aafInt32 IAAFTypes::aafChannelStatusModeType_t

Definition at line 334 of file AAFTypes.idl.

typedef wchar_t IAAFTypes::aafCharacter

Definition at line 73 of file AAFTypes.idl.

typedef aafCharacter* IAAFTypes::aafCharacter_constptr

Definition at line 1187 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafClassID_t

Definition at line 142 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafCodecID_t

Definition at line 156 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafColorSiting_e IAAFTypes::aafColorSiting_e
typedef aafInt32 IAAFTypes::aafColorSiting_t

Definition at line 408 of file AAFTypes.idl.

typedef aafColorSiting_t IAAFTypes::aafColorSitingType_t

Definition at line 1115 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafColorSpace_e IAAFTypes::aafColorSpace_e
typedef aafInt32 IAAFTypes::aafColorSpace_t

Definition at line 814 of file AAFTypes.idl.

typedef aafInt8 IAAFTypes::aafCompArray_t[MAX_NUM_RGBA_COMPS]

Definition at line 160 of file AAFTypes.idl.

typedef typedef kAAFJcChrominanceFP16 aafJPEGcomponent_e typedef aafInt32 aafCompressEnable_t enum IAAFTypes::_aafCompressEnable_e IAAFTypes::aafCompressEnable_e
typedef aafUInt8 IAAFTypes::aafCompSizeArray_t[MAX_NUM_RGBA_COMPS]

Definition at line 159 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafContentScanningType_e IAAFTypes::aafContentScanningType_e
typedef aafInt32 IAAFTypes::aafContentScanningType_t

Definition at line 391 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafCriteriaType_e IAAFTypes::aafCriteriaType_e
typedef aafInt32 IAAFTypes::aafCriteriaType_t

Definition at line 870 of file AAFTypes.idl.

typedef aafUInt8* IAAFTypes::aafDataBuffer_t

Definition at line 146 of file AAFTypes.idl.

typedef enum IAAFTypes::_AAFDataDefinitionMatch_e IAAFTypes::AAFDataDefinitionMatch_e
typedef aafInt32 IAAFTypes::AAFDataDefinitionMatch_t

Definition at line 426 of file AAFTypes.idl.

typedef aafUInt8* IAAFTypes::aafDataValue_t

Definition at line 143 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafDateStruct_t IAAFTypes::aafDateStruct_t
typedef struct IAAFTypes::_aafDefaultFade_t IAAFTypes::aafDefaultFade_t
typedef struct IAAFTypes::_aafDefinitionCrit_t IAAFTypes::aafDefinitionCrit_t
typedef enum IAAFTypes::_aafDefinitionCritType_e IAAFTypes::aafDefinitionCritType_e
typedef aafInt32 IAAFTypes::aafDefinitionCritType_t

Definition at line 962 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafDefinitionKind_e IAAFTypes::aafDefinitionKind_e
typedef aafInt32 IAAFTypes::aafDefinitionKind_t

Definition at line 951 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafDepend_e IAAFTypes::aafDepend_e
typedef aafInt32 IAAFTypes::aafDepend_t

Definition at line 500 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafDirectionCode_e IAAFTypes::aafDirectionCode_e
typedef aafInt32 IAAFTypes::aafDirectionCode_t

Definition at line 801 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafDropType_e IAAFTypes::aafDropType_e
typedef aafInt32 IAAFTypes::aafDropType_t

Definition at line 277 of file AAFTypes.idl.

typedef aafEdgecode_t IAAFTypes::aafEdgecode_constref

Definition at line 1167 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafEdgecode_t IAAFTypes::aafEdgecode_t
typedef aafEdgecodeHeader_t IAAFTypes::aafEdgecodeHeader_constref

Definition at line 1166 of file AAFTypes.idl.

typedef aafUInt8 IAAFTypes::aafEdgecodeHeader_t[kAAFEtHeaderSize]

Definition at line 834 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafEdgeType_e IAAFTypes::aafEdgeType_e
typedef aafInt32 IAAFTypes::aafEdgeType_t

Definition at line 781 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafEditHint_e IAAFTypes::aafEditHint_e
typedef aafInt32 IAAFTypes::aafEditHint_t

Definition at line 644 of file AAFTypes.idl.

typedef aafEditHint_t IAAFTypes::aafEditHintType_t

Definition at line 1116 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafElectroSpatialFormulation_e IAAFTypes::aafElectroSpatialFormulation_e
typedef aafInt32 IAAFTypes::aafElectroSpatialFormulation_t

Definition at line 294 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafEmphasisType_e IAAFTypes::aafEmphasisType_e
typedef aafInt32 IAAFTypes::aafEmphasisType_t

Definition at line 308 of file AAFTypes.idl.

typedef aafEngine_t IAAFTypes::aafEngine_constref

Definition at line 1168 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafEngine_t

Definition at line 154 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFadeType_e IAAFTypes::aafFadeType_e
typedef aafInt32 IAAFTypes::aafFadeType_t

Definition at line 525 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFieldDom_e IAAFTypes::aafFieldDom_e
typedef aafInt32 IAAFTypes::aafFieldDom_t

Definition at line 184 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFieldNumber_e IAAFTypes::aafFieldNumber_e
typedef aafInt32 IAAFTypes::aafFieldNumber_t

Definition at line 207 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFieldTop_e IAAFTypes::aafFieldTop_e
typedef aafInt32 IAAFTypes::aafFieldTop_t

Definition at line 192 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFileAccess_e IAAFTypes::aafFileAccess_e
typedef aafInt32 IAAFTypes::aafFileAccess_t

Definition at line 232 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFileExistence_e IAAFTypes::aafFileExistence_e
typedef aafInt32 IAAFTypes::aafFileExistence_t

Definition at line 224 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFileFormat_e IAAFTypes::aafFileFormat_e
typedef aafInt32 IAAFTypes::aafFileFormat_t

Definition at line 270 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFileRev_e IAAFTypes::aafFileRev_e
typedef aafInt32 IAAFTypes::aafFileRev_t

Definition at line 170 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFilmType_e IAAFTypes::aafFilmType_e
typedef aafInt32 IAAFTypes::aafFilmType_t

Definition at line 791 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafFrameLayout_e IAAFTypes::aafFrameLayout_e
typedef aafInt32 IAAFTypes::aafFrameLayout_t

Definition at line 284 of file AAFTypes.idl.

typedef aafInt64 IAAFTypes::aafFrameLength_t

Definition at line 138 of file AAFTypes.idl.

typedef aafInt64 IAAFTypes::aafFrameOffset_t

Definition at line 137 of file AAFTypes.idl.

typedef aafHardwarePlatform_t IAAFTypes::aafHardwarePlatform_constref

Definition at line 1169 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafHardwarePlatform_t

Definition at line 153 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafIdentificationCrit_t IAAFTypes::aafIdentificationCrit_t
typedef enum IAAFTypes::_aafIdentificationCritType_e IAAFTypes::aafIdentificationCritType_e
typedef aafInt32 IAAFTypes::aafIdentificationCritType_t

Definition at line 982 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafIncMedia_e IAAFTypes::aafIncMedia_e
typedef aafInt32 IAAFTypes::aafIncMedia_t

Definition at line 507 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafIndexType_e IAAFTypes::aafIndexType_e
typedef aafInt32 IAAFTypes::aafIndexType_t

Definition at line 515 of file AAFTypes.idl.

typedef signed short int IAAFTypes::aafInt16

Definition at line 62 of file AAFTypes.idl.

typedef signed int IAAFTypes::aafInt32

Definition at line 63 of file AAFTypes.idl.

typedef hyper IAAFTypes::aafInt64

Definition at line 69 of file AAFTypes.idl.

typedef signed char IAAFTypes::aafInt8

Definition at line 61 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafInterpKind_e IAAFTypes::aafInterpKind_e
typedef aafInt32 IAAFTypes::aafInterpKind_t

Definition at line 637 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafJPEGcomponent_e IAAFTypes::aafJPEGcomponent_e
typedef aafInt32 IAAFTypes::aafJPEGcomponent_t

Definition at line 242 of file AAFTypes.idl.

typedef aafInt32 IAAFTypes::aafJPEGTableID_t

Definition at line 162 of file AAFTypes.idl.

typedef aafFrameLayout_t IAAFTypes::aafLayoutType_t

Definition at line 1117 of file AAFTypes.idl.

typedef aafLength_t IAAFTypes::aafLength_constref

Definition at line 1178 of file AAFTypes.idl.

typedef aafInt64 IAAFTypes::aafLength_t

Definition at line 133 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafMAX_NUM_RGBA_COMPS_e IAAFTypes::aafMAX_NUM_RGBA_COMPS_e
typedef aafMediaCriteria_t* IAAFTypes::aafMediaCriteria_constptr

Definition at line 1188 of file AAFTypes.idl.

typedef aafMediaCriteria_t IAAFTypes::aafMediaCriteria_constref

Definition at line 1170 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafMediaCriteria_t IAAFTypes::aafMediaCriteria_t
typedef enum IAAFTypes::_aafMediaOpenMode_e IAAFTypes::aafMediaOpenMode_e
typedef aafInt32 IAAFTypes::aafMediaOpenMode_t

Definition at line 177 of file AAFTypes.idl.

typedef unsigned char* IAAFTypes::aafMemConstPtr_t

Definition at line 1186 of file AAFTypes.idl.

typedef unsigned char* IAAFTypes::aafMemPtr_t

Definition at line 85 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafmMultiCreate_t IAAFTypes::aafmMultiCreate_t
typedef struct IAAFTypes::_aafmMultiResult_t IAAFTypes::aafmMultiResult_t
typedef struct IAAFTypes::_aafmMultiXfer_t IAAFTypes::aafmMultiXfer_t
typedef struct IAAFTypes::_aafMobComment_t IAAFTypes::aafMobComment_t
typedef aafMobID_t* IAAFTypes::aafMobID_constptr

Definition at line 1194 of file AAFTypes.idl.

typedef aafMobID_t IAAFTypes::aafMobID_constref

Definition at line 1182 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafMobID_t IAAFTypes::aafMobID_t
typedef aafMobID_t IAAFTypes::aafMobIDType_t

Definition at line 1118 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafMobKind_e IAAFTypes::aafMobKind_e
typedef aafInt32 IAAFTypes::aafMobKind_t

Definition at line 470 of file AAFTypes.idl.

typedef aafUInt32 IAAFTypes::aafNumSlots_t

Definition at line 141 of file AAFTypes.idl.

typedef aafOperationChoice_t* IAAFTypes::aafOperationChoice_constptr

Definition at line 1189 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafOperationChoice_e IAAFTypes::aafOperationChoice_e
typedef aafInt32 IAAFTypes::aafOperationChoice_t

Definition at line 483 of file AAFTypes.idl.

typedef aafInt32 IAAFTypes::aafPhaseFrame_t

Definition at line 596 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafPixelFormat_e IAAFTypes::aafPixelFormat_e
typedef aafInt32 IAAFTypes::aafPixelFormat_t

Definition at line 215 of file AAFTypes.idl.

typedef aafPluginAPI_t IAAFTypes::aafPluginAPI_constref

Definition at line 1171 of file AAFTypes.idl.

typedef struct _aafUID_t IAAFTypes::aafPluginAPI_t

Definition at line 155 of file AAFTypes.idl.

typedef aafPosition_t IAAFTypes::aafPosition_constref

Definition at line 1172 of file AAFTypes.idl.

typedef aafInt64 IAAFTypes::aafPosition_t

Definition at line 136 of file AAFTypes.idl.

typedef aafProductIdentification_t* IAAFTypes::aafProductIdentification_constptr

Definition at line 1191 of file AAFTypes.idl.

typedef aafProductIdentification_t IAAFTypes::aafProductIdentification_constref

Definition at line 1173 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafProductIdentification_t IAAFTypes::aafProductIdentification_t
typedef enum IAAFTypes::_aafProductReleaseType_e IAAFTypes::aafProductReleaseType_e
typedef aafInt32 IAAFTypes::aafProductReleaseType_t

Definition at line 654 of file AAFTypes.idl.

typedef aafProductVersion_t* IAAFTypes::aafProductVersion_constptr

Definition at line 1190 of file AAFTypes.idl.

typedef aafProductVersion_t IAAFTypes::aafProductVersion_constref

Definition at line 1174 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafProductVersion_t IAAFTypes::aafProductVersion_t
typedef enum IAAFTypes::_aafPropertyOpt_e IAAFTypes::aafPropertyOpt_e
typedef aafInt32 IAAFTypes::aafPropertyOpt_t

Definition at line 419 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafPulldownDir_e IAAFTypes::aafPulldownDir_e
typedef aafInt32 IAAFTypes::aafPulldownDir_t

Definition at line 598 of file AAFTypes.idl.

typedef aafPulldownDir_t IAAFTypes::aafPulldownDirectionType_t

Definition at line 1119 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafPulldownKind_e IAAFTypes::aafPulldownKind_e
typedef aafInt32 IAAFTypes::aafPulldownKind_t

Definition at line 583 of file AAFTypes.idl.

typedef aafPulldownKind_t IAAFTypes::aafPulldownKindType_t

Definition at line 1120 of file AAFTypes.idl.

typedef aafRational_t IAAFTypes::aafRational_constref

Definition at line 1179 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafRational_t IAAFTypes::aafRational_t
typedef aafRect_t IAAFTypes::aafRect_constref

Definition at line 1175 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafRect_t IAAFTypes::aafRect_t
typedef enum IAAFTypes::_aafReferenceType_e IAAFTypes::aafReferenceType_e
typedef aafInt32 IAAFTypes::aafReferenceType_t

Definition at line 441 of file AAFTypes.idl.

typedef aafInt32 IAAFTypes::AAFRESULT

Definition at line 87 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafRGBAComponent_t IAAFTypes::aafRGBAComponent_t
typedef enum IAAFTypes::_aafRGBAComponentKind_e IAAFTypes::aafRGBAComponentKind_e
typedef aafInt32 IAAFTypes::aafRGBAComponentKind_t

Definition at line 611 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafScanningDirection_e IAAFTypes::aafScanningDirection_e
typedef aafInt32 IAAFTypes::aafScanningDirection_t

Definition at line 378 of file AAFTypes.idl.

typedef aafScanningDirection_t IAAFTypes::aafScanningDirectionType_t

Definition at line 1121 of file AAFTypes.idl.

typedef aafSearchCrit_t* IAAFTypes::aafSearchCrit_constptr

Definition at line 1192 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafSearchCrit_t IAAFTypes::aafSearchCrit_t
typedef struct IAAFTypes::_aafSearchDictionaryCrit_t IAAFTypes::aafSearchDictionaryCrit_t
typedef enum IAAFTypes::_aafSearchDictionaryTag_e IAAFTypes::aafSearchDictionaryTag_e
typedef aafInt32 IAAFTypes::aafSearchDictionaryTag_t

Definition at line 1009 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafSearchTag_e IAAFTypes::aafSearchTag_e
typedef aafInt32 IAAFTypes::aafSearchTag_t

Definition at line 892 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafSignalStandard_e IAAFTypes::aafSignalStandard_e
typedef aafInt32 IAAFTypes::aafSignalStandard_t

Definition at line 366 of file AAFTypes.idl.

typedef aafSignalStandard_t IAAFTypes::aafSignalStandardType_t

Definition at line 1122 of file AAFTypes.idl.

typedef aafUInt32 IAAFTypes::aafSlotID_t

Definition at line 139 of file AAFTypes.idl.

typedef aafSourceRef_t IAAFTypes::aafSourceRef_constref

Definition at line 1176 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafSourceRef_t IAAFTypes::aafSourceRef_t
typedef aafCharacter* IAAFTypes::aafString_t

Definition at line 119 of file AAFTypes.idl.

typedef aafCharacter* IAAFTypes::aafString_t

Definition at line 117 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafSwapNeeded_e IAAFTypes::aafSwapNeeded_e
typedef aafInt32 IAAFTypes::aafSwapNeeded_t

Definition at line 451 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafTapeCaseType_e IAAFTypes::aafTapeCaseType_e
typedef aafInt32 IAAFTypes::aafTapeCaseType_t

Definition at line 540 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafTapeFormatType_e IAAFTypes::aafTapeFormatType_e
typedef aafInt32 IAAFTypes::aafTapeFormatType_t

Definition at line 562 of file AAFTypes.idl.

typedef aafTimecodeSourceType_t IAAFTypes::aafTCSource_t

Definition at line 1123 of file AAFTypes.idl.

typedef aafTimecode_t IAAFTypes::aafTimecode_constref

Definition at line 1177 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafTimecode_t IAAFTypes::aafTimecode_t
typedef enum IAAFTypes::_aafTimecodeSourceType_e IAAFTypes::aafTimecodeSourceType_e
typedef aafInt32 IAAFTypes::aafTimecodeSourceType_t

Definition at line 458 of file AAFTypes.idl.

typedef aafTimeStamp_t IAAFTypes::aafTimeStamp_constref

Definition at line 1180 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafTimeStamp_t IAAFTypes::aafTimeStamp_t
typedef struct IAAFTypes::_aafTimeStruct_t IAAFTypes::aafTimeStruct_t
typedef enum IAAFTypes::_aafTitleAlignmentType_e IAAFTypes::aafTitleAlignmentType_e
typedef aafInt32 IAAFTypes::aafTitleAlignmentType_t

Definition at line 400 of file AAFTypes.idl.

typedef aafUID_t* IAAFTypes::aafUID_constptr

Definition at line 1193 of file AAFTypes.idl.

typedef aafUID_t IAAFTypes::aafUID_constref

Definition at line 1181 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafUID_t IAAFTypes::aafUID_t
typedef unsigned short int IAAFTypes::aafUInt16

Definition at line 66 of file AAFTypes.idl.

typedef unsigned int IAAFTypes::aafUInt32

Definition at line 67 of file AAFTypes.idl.

typedef unsigned hyper IAAFTypes::aafUInt64

Definition at line 70 of file AAFTypes.idl.

typedef unsigned char IAAFTypes::aafUInt8

Definition at line 65 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafUserDataModeType_e IAAFTypes::aafUserDataModeType_e
typedef aafInt32 IAAFTypes::aafUserDataModeType_t

Definition at line 345 of file AAFTypes.idl.

typedef aafVersionType_t IAAFTypes::aafVersionType_constref

Definition at line 1183 of file AAFTypes.idl.

typedef struct IAAFTypes::_aafVersionType_t IAAFTypes::aafVersionType_t
typedef aafInt32 IAAFTypes::aafVideoLineMap_t[2]

Definition at line 161 of file AAFTypes.idl.

typedef enum IAAFTypes::_aafVideoSignalType_e IAAFTypes::aafVideoSignalType_e
typedef aafInt32 IAAFTypes::aafVideoSignalType_t

Definition at line 553 of file AAFTypes.idl.

typedef wchar_t IAAFTypes::aafWChar

Definition at line 72 of file AAFTypes.idl.

typedef enum IAAFTypes::_eAAFByteOrder_e IAAFTypes::eAAFByteOrder_e
typedef aafInt32 IAAFTypes::eAAFByteOrder_t

Definition at line 1025 of file AAFTypes.idl.

typedef enum IAAFTypes::_eAAFTypeCategory_e IAAFTypes::eAAFTypeCategory_e
typedef aafInt32 IAAFTypes::eAAFTypeCategory_t

Definition at line 1086 of file AAFTypes.idl.

typedef aafSearchTag_t IAAFTypes::searchTag

Definition at line 934 of file AAFTypes.idl.

typedef aafSearchDictionaryTag_t IAAFTypes::searchTag

Definition at line 1071 of file AAFTypes.idl.

Member Enumeration Documentation

enum IAAFTypes::_aafAlphaTransparency_e
Enumerator:
kAAFMinValueTransparent
kAAFMaxValueTransparent

Definition at line 201 of file AAFTypes.idl.

enum IAAFTypes::_aafAppendOption_e
Enumerator:
kAAFAppend
kAAFForceOverwrite

Definition at line 435 of file AAFTypes.idl.

enum IAAFTypes::_aafAttributeKind_e
Enumerator:
kAAFNullAttribute
kAAFIntegerAttribute
kAAFStringAttribute
kAAFObjectAttribute

Definition at line 575 of file AAFTypes.idl.

enum IAAFTypes::_aafAudioSampleType_e
Enumerator:
kAAFOffsetBinary
kAAFSignedMagnitude

Definition at line 534 of file AAFTypes.idl.

enum IAAFTypes::_aafAuxBitsModeType_e
Enumerator:
kAAFAuxBitsMode_NotDefined
kAAFAuxBitsMode_MainAudioSampleData
kAAFAuxBitsMode_SingleCoordinationSignal
kAAFAuxBitsMode_UserDefined
kAAFAuxBitsMode_Reserved0
kAAFAuxBitsMode_Reserved1
kAAFAuxBitsMode_Reserved2
kAAFAuxBitsMode_Reserved3

Definition at line 322 of file AAFTypes.idl.

enum IAAFTypes::_aafBoolean_e
Enumerator:
kAAFFalse
kAAFTrue

Definition at line 98 of file AAFTypes.idl.

enum IAAFTypes::_aafChannelStatusModeType_e
Enumerator:
kAAFChannelStatusMode_None
kAAFChannelStatusMode_Minimum
kAAFChannelStatusMode_Standard
kAAFChannelStatusMode_Fixed
kAAFChannelStatusMode_Stream
kAAFChannelStatusMode_Essence

Definition at line 335 of file AAFTypes.idl.

enum IAAFTypes::_aafColorSiting_e
Enumerator:
kAAFCoSiting
kAAFAveraging
kAAFThreeTap
kAAFQuincunx
kAAFRec601
kAAFUnknownSiting

Definition at line 409 of file AAFTypes.idl.

enum IAAFTypes::_aafColorSpace_e
Enumerator:
kAAFColorSpaceRGB
kAAFColorSpaceYUV
kAAFColorSpaceYIQ
kAAFColorSpaceHSI
kAAFColorSpaceHSV
kAAFColorSpaceYCrCb
kAAFColorSpaceYDrDb
kAAFColorSpaceCMYK

Definition at line 815 of file AAFTypes.idl.

enum IAAFTypes::_aafCompressEnable_e
Enumerator:
kAAFCompressionEnable
kAAFCompressionDisable

Definition at line 264 of file AAFTypes.idl.

enum IAAFTypes::_aafContentScanningType_e
Enumerator:
kAAFContentScanning_NotKnown
kAAFContentScanning_Progressive
kAAFContentScanning_Interlace
kAAFContentScanning_Mixed

Definition at line 392 of file AAFTypes.idl.

enum IAAFTypes::_aafCriteriaType_e
Enumerator:
kAAFAnyRepresentation
kAAFFastestRepresentation
kAAFBestFidelityRepresentation
kAAFSmallestRepresentation

Definition at line 871 of file AAFTypes.idl.

enum IAAFTypes::_AAFDataDefinitionMatch_e
Enumerator:
kAAFExactMatch
kAAFConvertTo
kAAFConvertFrom

Definition at line 427 of file AAFTypes.idl.

enum IAAFTypes::_aafDefinitionCritType_e
Enumerator:
kAAFNoDefSearch
kAAFByDefKind
kAAFByDefName
kAAFByDefClass

Definition at line 963 of file AAFTypes.idl.

enum IAAFTypes::_aafDefinitionKind_e
Enumerator:
kAAFClassDefinition
kAAFPropertyDefinition
kAAFTypeDefinition
kAAFDataDefinition
kAAFOperationDefinition
kAAFAllDefinitions

Definition at line 952 of file AAFTypes.idl.

enum IAAFTypes::_aafDepend_e
Enumerator:
kAAFNoFollowDepend
kAAFFollowDepend

Definition at line 501 of file AAFTypes.idl.

enum IAAFTypes::_aafDirectionCode_e
Enumerator:
kAAFDirCodeRight
kAAFDirCodeUpperRight
kAAFDirCodeUp
kAAFDirCodeUpperLeft
kAAFDirCodeLeft
kAAFDirCodeLowerLeft
kAAFDirCodeDown
kAAFDirCodeLowerRight

Definition at line 802 of file AAFTypes.idl.

enum IAAFTypes::_aafDropType_e
Enumerator:
kAAFTcNonDrop
kAAFTcDrop

Definition at line 278 of file AAFTypes.idl.

enum IAAFTypes::_aafEdgeType_e
Enumerator:
kAAFEtNull
kAAFEtKeycode
kAAFEtEdgenum4
kAAFEtEdgenum5
kAAFEtHeaderSize

Definition at line 782 of file AAFTypes.idl.

enum IAAFTypes::_aafEditHint_e
Enumerator:
kAAFNoEditHint
kAAFProportional
kAAFRelativeLeft
kAAFRelativeRight
kAAFRelativeFixed

Definition at line 645 of file AAFTypes.idl.

enum IAAFTypes::_aafElectroSpatialFormulation_e
Enumerator:
kAAFElectroSpatialFormulation_Default
kAAFElectroSpatialFormulation_TwoChannelMode
kAAFElectroSpatialFormulation_SingleChannelMode
kAAFElectroSpatialFormulation_PrimarySecondaryMode
kAAFElectroSpatialFormulation_StereophonicMode
kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode
kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode
kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode
kAAFElectroSpatialFormulation_MultiChannelMode

Definition at line 295 of file AAFTypes.idl.

enum IAAFTypes::_aafEmphasisType_e
Enumerator:
kAAFEmphasis_Unknown
kAAFEmphasis_Reserved0
kAAFEmphasis_Reserved1
kAAFEmphasis_Reserved2
kAAFEmphasis_None
kAAFEmphasis_Reserved3
kAAFEmphasis_15and50
kAAFEmphasis_ITU

Definition at line 309 of file AAFTypes.idl.

enum IAAFTypes::_aafFadeType_e
Enumerator:
kAAFFadeNone
kAAFFadeLinearAmp
kAAFFadeLinearPower

Definition at line 526 of file AAFTypes.idl.

enum IAAFTypes::_aafFieldDom_e
Enumerator:
kAAFDominantField1
kAAFDominantField2
kAAFNoDominant

Definition at line 185 of file AAFTypes.idl.

enum IAAFTypes::_aafFieldNumber_e
Enumerator:
kAAFUnspecifiedField
kAAFFieldOne
kAAFFieldTwo

Definition at line 208 of file AAFTypes.idl.

enum IAAFTypes::_aafFieldTop_e
Enumerator:
kAAFTopField1
kAAFTopField2
kAAFTopFieldNone

Definition at line 193 of file AAFTypes.idl.

enum IAAFTypes::_aafFileAccess_e
Enumerator:
kAAFFileAccess_none
kAAFFileAccess_read
kAAFFileAccess_write
kAAFFileAccess_modify

Definition at line 233 of file AAFTypes.idl.

enum IAAFTypes::_aafFileExistence_e
Enumerator:
kAAFFileExistence_new
kAAFFileExistence_existing

Definition at line 225 of file AAFTypes.idl.

enum IAAFTypes::_aafFileFormat_e
Enumerator:
kAAFEssence
kAAFForeignMedia

Definition at line 271 of file AAFTypes.idl.

enum IAAFTypes::_aafFileRev_e
Enumerator:
kAAFRev1
kAAFRev2

Definition at line 171 of file AAFTypes.idl.

enum IAAFTypes::_aafFilmType_e
Enumerator:
kAAFFtNull
kAAFFt35MM
kAAFFt16MM
kAAFFt8MM
kAAFFt65MM

Definition at line 792 of file AAFTypes.idl.

enum IAAFTypes::_aafFrameLayout_e
Enumerator:
kAAFFullFrame
kAAFSeparateFields
kAAFOneField
kAAFMixedFields
kAAFSegmentedFrame

Definition at line 285 of file AAFTypes.idl.

enum IAAFTypes::_aafIdentificationCritType_e
Enumerator:
kAAFNoIdSearch
kAAFByIdProductID
kAAFByIdGeneration
kAAFByIdRefImplVersion

Definition at line 983 of file AAFTypes.idl.

enum IAAFTypes::_aafIncMedia_e
Enumerator:
kAAFNoIncludeMedia
kAAFIncludeMedia

Definition at line 508 of file AAFTypes.idl.

enum IAAFTypes::_aafIndexType_e
Enumerator:
kAAFCompMobIndex
kAAFSourceMobIndex
kAAFMediaIndex
kAAFPrimaryMobIndex

Definition at line 516 of file AAFTypes.idl.

enum IAAFTypes::_aafInterpKind_e
Enumerator:
kAAFConstInterp
kAAFLinearInterp

Definition at line 638 of file AAFTypes.idl.

enum IAAFTypes::_aafJPEGcomponent_e
Enumerator:
kAAFJcLuminance
kAAFJcChrominance
kAAFJcLuminanceFP16
kAAFJcChrominanceFP16

Definition at line 244 of file AAFTypes.idl.

enum IAAFTypes::_aafMAX_NUM_RGBA_COMPS_e
Enumerator:
MAX_NUM_RGBA_COMPS

Definition at line 108 of file AAFTypes.idl.

enum IAAFTypes::_aafMediaOpenMode_e
Enumerator:
kAAFMediaOpenReadOnly
kAAFMediaOpenAppend

Definition at line 178 of file AAFTypes.idl.

enum IAAFTypes::_aafMobKind_e
Enumerator:
kAAFCompMob
kAAFMasterMob
kAAFFileMob
kAAFTapeMob
kAAFFilmMob
kAAFPrimaryMob
kAAFAllMob
kAAFPhysicalMob

Definition at line 471 of file AAFTypes.idl.

enum IAAFTypes::_aafOperationChoice_e
Enumerator:
kAAFFindNull
kAAFFindIncoming
kAAFFindOutgoing
kAAFFindRender
kAAFFindOperationSrc1
kAAFFindOperationSrc2
kAAFFindOperationSrc3
kAAFFindOperationSrc4
kAAFFindOperationSrc5
kAAFFindOperationSrc6
kAAFFindOperationSrc7
kAAFFindOperationSrc8

Definition at line 484 of file AAFTypes.idl.

enum IAAFTypes::_aafPixelFormat_e
Enumerator:
kAAFPixNone
kAAFPixRGBA
kAAFPixYUV

Definition at line 216 of file AAFTypes.idl.

enum IAAFTypes::_aafProductReleaseType_e
Enumerator:
kAAFVersionUnknown
kAAFVersionReleased
kAAFVersionDebug
kAAFVersionPatched
kAAFVersionBeta
kAAFVersionPrivateBuild

Definition at line 655 of file AAFTypes.idl.

enum IAAFTypes::_aafPropertyOpt_e
Enumerator:
kAAFPropRequired
kAAFPropOptional

Definition at line 420 of file AAFTypes.idl.

enum IAAFTypes::_aafPulldownDir_e
Enumerator:
kAAFTapeToFilmSpeed
kAAFFilmToTapeSpeed

Definition at line 599 of file AAFTypes.idl.

enum IAAFTypes::_aafPulldownKind_e
Enumerator:
kAAFTwoThreePD
kAAFPALPD
kAAFOneToOneNTSC
kAAFOneToOnePAL
kAAFVideoTapNTSC
kAAFOneToOneHDSixty
kAAFTwentyFourToSixtyPD
kAAFTwoToOnePD

Definition at line 584 of file AAFTypes.idl.

enum IAAFTypes::_aafReferenceType_e
Enumerator:
kAAFRefLimitMinimum
kAAFRefLimitMaximum
kAAFRefMinimum
kAAFRefMaximum
kAAFRefEnumvalue

Definition at line 442 of file AAFTypes.idl.

enum IAAFTypes::_aafRGBAComponentKind_e
Enumerator:
kAAFCompNone
kAAFCompAlpha
kAAFCompBlue
kAAFCompFill
kAAFCompGreen
kAAFCompPalette
kAAFCompRed
kAAFCompNull

Definition at line 612 of file AAFTypes.idl.

enum IAAFTypes::_aafScanningDirection_e
Enumerator:
kAAFScanningDirection_LeftToRightTopToBottom
kAAFScanningDirection_RightToLeftTopToBottom
kAAFScanningDirection_LeftToRightBottomToTop
kAAFScanningDirection_RightToLeftBottomToTop
kAAFScanningDirection_TopToBottomLeftToRight
kAAFScanningDirection_TopToBottomRightToLeft
kAAFScanningDirection_BottomToTopLeftToRight
kAAFScanningDirection_BottomToTopRightToLeft

Definition at line 379 of file AAFTypes.idl.

enum IAAFTypes::_aafSearchDictionaryTag_e
Enumerator:
kAAFAllClasses
kAAFByClassID
kAAFByParentClassID
kAAFByPropertyID
kAAFByTypeID
kAAFByClassName

Definition at line 1010 of file AAFTypes.idl.

enum IAAFTypes::_aafSearchTag_e
Enumerator:
kAAFNoSearch
kAAFByMobID
kAAFByMobKind
kAAFByName
kAAFByClass
kAAFByDataDef
kAAFByMediaCrit
kAAFByUsageCode
kAAFByMasterMobUsageCode
kAAFBySourceMobUsageCode
kAAFByCompositionMobUsageCode

Definition at line 893 of file AAFTypes.idl.

enum IAAFTypes::_aafSignalStandard_e
Enumerator:
kAAFSignalStandard_None
kAAFSignalStandard_ITU601
kAAFSignalStandard_ITU1358
kAAFSignalStandard_SMPTE347M
kAAFSignalStandard_SMPTE274M
kAAFSignalStandard_SMPTE296M
kAAFSignalStandard_SMPTE349M

Definition at line 367 of file AAFTypes.idl.

enum IAAFTypes::_aafSwapNeeded_e
Enumerator:
kAAFSwapIfNeeded
kAAFNeverSwap

Definition at line 452 of file AAFTypes.idl.

enum IAAFTypes::_aafTapeCaseType_e
Enumerator:
kAAFTapeCaseNull
kAAFThreeFourthInchVideoTape
kAAFVHSVideoTape
kAAF8mmVideoTape
kAAFBetacamVideoTape
kAAFCompactCassette
kAAFDATCartridge
kAAFNagraAudioTape

Definition at line 541 of file AAFTypes.idl.

enum IAAFTypes::_aafTapeFormatType_e
Enumerator:
kAAFTapeFormatNull
kAAFBetacamFormat
kAAFBetacamSPFormat
kAAFVHSFormat
kAAFSVHSFormat
kAAF8mmFormat
kAAFHi8Format

Definition at line 563 of file AAFTypes.idl.

enum IAAFTypes::_aafTimecodeSourceType_e
Enumerator:
kAAFTimecodeLTC
kAAFTimecodeVITC

Definition at line 459 of file AAFTypes.idl.

enum IAAFTypes::_aafTitleAlignmentType_e
Enumerator:
kAAFTitleAlignment_Left
kAAFTitleAlignment_Center
kAAFTitleAlignment_Right

Definition at line 401 of file AAFTypes.idl.

enum IAAFTypes::_aafUserDataModeType_e
Enumerator:
kAAFUserDataMode_NotDefined
kAAFUserDataMode_192BitBlockStructure
kAAFUserDataMode_AES18
kAAFUserDataMode_UserDefined
kAAFUserDataMode_IEC
kAAFUserDataMode_Metadata
kAAFUserDataMode_Reserved0
kAAFUserDataMode_Reserved1
kAAFUserDataMode_Reserved2
kAAFUserDataMode_Reserved3
kAAFUserDataMode_Reserved4
kAAFUserDataMode_Reserved5
kAAFUserDataMode_Reserved6
kAAFUserDataMode_Reserved7
kAAFUserDataMode_Reserved8
kAAFUserDataMode_Reserved9

Definition at line 346 of file AAFTypes.idl.

enum IAAFTypes::_aafVideoSignalType_e
Enumerator:
kAAFVideoSignalNull
kAAFNTSCSignal
kAAFPALSignal
kAAFSECAMSignal

Definition at line 554 of file AAFTypes.idl.

enum IAAFTypes::_eAAFByteOrder_e
Enumerator:
kAAFByteOrderLittle
kAAFByteOrderBig

Definition at line 1026 of file AAFTypes.idl.

enum IAAFTypes::_eAAFTypeCategory_e
Enumerator:
kAAFTypeCatUnknown
kAAFTypeCatInt
kAAFTypeCatCharacter
kAAFTypeCatStrongObjRef
kAAFTypeCatWeakObjRef
kAAFTypeCatRename
kAAFTypeCatEnum
kAAFTypeCatFixedArray
kAAFTypeCatVariableArray
kAAFTypeCatSet
kAAFTypeCatRecord
kAAFTypeCatStream
kAAFTypeCatString
kAAFTypeCatExtEnum
kAAFTypeCatIndirect
kAAFTypeCatOpaque
kAAFTypeCatEncrypted

Definition at line 1087 of file AAFTypes.idl.

Member Data Documentation

STDMETHODCALLTYPE typedef aafArgIDType_t IAAFTypes::aafArgIDType_constref

Definition at line 1135 of file AAFTypes.idl.

NULL ((void *)0L) typedef aafInt3 IAAFTypes::aafBoolean_t)

Definition at line 93 of file AAFTypes.idl.

MAX_NUM_RGBA_COMPS typedef aafInt32 IAAFTypes::aafMAX_NUM_RGBA_COMPS

Definition at line 105 of file AAFTypes.idl.

const aafProductVersion_t IAAFTypes::AAFReferenceImplementationVersion

Definition at line 716 of file AAFTypes.idl.

IAAFTypes::aafSearchCrit_t

Definition at line 947 of file AAFTypes.idl.

IAAFTypes::aafSearchDictionaryCrit_t

Definition at line 1082 of file AAFTypes.idl.

aafUID_t* IAAFTypes::classID

Definition at line 1074 of file AAFTypes.idl.

aafUID_t IAAFTypes::datadef

Definition at line 943 of file AAFTypes.idl.

aafCriteriaType_t IAAFTypes::mediaCrit

Definition at line 944 of file AAFTypes.idl.

aafMobID_t IAAFTypes::mobID

Definition at line 939 of file AAFTypes.idl.

aafMobKind_t IAAFTypes::mobKind

Definition at line 940 of file AAFTypes.idl.

aafString_t IAAFTypes::name

Definition at line 941 of file AAFTypes.idl.

aafClassID_t IAAFTypes::objClass

Definition at line 942 of file AAFTypes.idl.

aafUID_t* IAAFTypes::parentClassID

Definition at line 1077 of file AAFTypes.idl.

aafUID_t* IAAFTypes::propertyID

Definition at line 1078 of file AAFTypes.idl.

IAAFTypes::tags

Definition at line 946 of file AAFTypes.idl.

aafUID_t* IAAFTypes::typeID

Definition at line 1079 of file AAFTypes.idl.

aafUID_t IAAFTypes::usageCode

Definition at line 945 of file AAFTypes.idl.

Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypes Member List
This is the complete list of members for IAAFTypes, including all inherited members.
_aafAlphaTransparency_e enum name | IAAFTypes
_aafAppendOption_e enum name | IAAFTypes
_aafAttributeKind_e enum name | IAAFTypes
_aafAudioSampleType_e enum name | IAAFTypes
_aafAuxBitsModeType_e enum name | IAAFTypes
_aafBoolean_e enum name | IAAFTypes
_aafChannelStatusModeType_e enum name | IAAFTypes
_aafColorSiting_e enum name | IAAFTypes
_aafColorSpace_e enum name | IAAFTypes
_aafCompressEnable_e enum name | IAAFTypes
_aafContentScanningType_e enum name | IAAFTypes
_aafCriteriaType_e enum name | IAAFTypes
_AAFDataDefinitionMatch_e enum name | IAAFTypes
_aafDefinitionCritType_e enum name | IAAFTypes
_aafDefinitionKind_e enum name | IAAFTypes
_aafDepend_e enum name | IAAFTypes
_aafDirectionCode_e enum name | IAAFTypes
_aafDropType_e enum name | IAAFTypes
_aafEdgeType_e enum name | IAAFTypes
_aafEditHint_e enum name | IAAFTypes
_aafElectroSpatialFormulation_e enum name | IAAFTypes
_aafEmphasisType_e enum name | IAAFTypes
_aafFadeType_e enum name | IAAFTypes
_aafFieldDom_e enum name | IAAFTypes
_aafFieldNumber_e enum name | IAAFTypes
_aafFieldTop_e enum name | IAAFTypes
_aafFileAccess_e enum name | IAAFTypes
_aafFileExistence_e enum name | IAAFTypes
_aafFileFormat_e enum name | IAAFTypes
_aafFileRev_e enum name | IAAFTypes
_aafFilmType_e enum name | IAAFTypes
_aafFrameLayout_e enum name | IAAFTypes
_aafIdentificationCritType_e enum name | IAAFTypes
_aafIncMedia_e enum name | IAAFTypes
_aafIndexType_e enum name | IAAFTypes
_aafInterpKind_e enum name | IAAFTypes
_aafJPEGcomponent_e enum name | IAAFTypes
_aafMAX_NUM_RGBA_COMPS_e enum name | IAAFTypes
_aafMediaOpenMode_e enum name | IAAFTypes
_aafMobKind_e enum name | IAAFTypes
_aafOperationChoice_e enum name | IAAFTypes
_aafPixelFormat_e enum name | IAAFTypes
_aafProductReleaseType_e enum name | IAAFTypes
_aafPropertyOpt_e enum name | IAAFTypes
_aafPulldownDir_e enum name | IAAFTypes
_aafPulldownKind_e enum name | IAAFTypes
_aafReferenceType_e enum name | IAAFTypes
_aafRGBAComponentKind_e enum name | IAAFTypes
_aafScanningDirection_e enum name | IAAFTypes
_aafSearchDictionaryTag_e enum name | IAAFTypes
_aafSearchTag_e enum name | IAAFTypes
_aafSignalStandard_e enum name | IAAFTypes
_aafSwapNeeded_e enum name | IAAFTypes
_aafTapeCaseType_e enum name | IAAFTypes
_aafTapeFormatType_e enum name | IAAFTypes
_aafTimecodeSourceType_e enum name | IAAFTypes
_aafTitleAlignmentType_e enum name | IAAFTypes
_aafUserDataModeType_e enum name | IAAFTypes
_aafVideoSignalType_e enum name | IAAFTypes
_eAAFByteOrder_e enum name | IAAFTypes
_eAAFTypeCategory_e enum name | IAAFTypes
aafAlphaTransparency_e typedef | IAAFTypes
aafAlphaTransparency_t typedef | IAAFTypes
aafAlphaTransparencyType_t typedef | IAAFTypes
aafAppendOption_e typedef | IAAFTypes
aafAppendOption_t typedef | IAAFTypes
aafArgIDType_constref | IAAFTypes
aafArgIDType_t typedef | IAAFTypes
aafAttributeKind_e typedef | IAAFTypes
aafAttributeKind_t typedef | IAAFTypes
aafAudioSampleType_e typedef | IAAFTypes
aafAudioSampleType_t typedef | IAAFTypes
aafAuxBitsModeType_e typedef | IAAFTypes
aafAuxBitsModeType_t typedef | IAAFTypes
aafBool typedef | IAAFTypes
aafBoolean_e typedef | IAAFTypes
aafBoolean_t | IAAFTypes
aafChannelStatusModeType_e typedef | IAAFTypes
aafChannelStatusModeType_t typedef | IAAFTypes
aafCharacter typedef | IAAFTypes
aafCharacter_constptr typedef | IAAFTypes
aafClassID_t typedef | IAAFTypes
aafCodecID_t typedef | IAAFTypes
aafColorSiting_e typedef | IAAFTypes
aafColorSiting_t typedef | IAAFTypes
aafColorSitingType_t typedef | IAAFTypes
aafColorSpace_e typedef | IAAFTypes
aafColorSpace_t typedef | IAAFTypes
aafCompArray_t typedef | IAAFTypes
aafCompressEnable_e typedef | IAAFTypes
aafCompSizeArray_t typedef | IAAFTypes
aafContentScanningType_e typedef | IAAFTypes
aafContentScanningType_t typedef | IAAFTypes
aafCriteriaType_e typedef | IAAFTypes
aafCriteriaType_t typedef | IAAFTypes
aafDataBuffer_t typedef | IAAFTypes
AAFDataDefinitionMatch_e typedef | IAAFTypes
AAFDataDefinitionMatch_t typedef | IAAFTypes
aafDataValue_t typedef | IAAFTypes
aafDateStruct_t typedef | IAAFTypes
aafDefaultFade_t typedef | IAAFTypes
aafDefinitionCrit_t typedef | IAAFTypes
aafDefinitionCritType_e typedef | IAAFTypes
aafDefinitionCritType_t typedef | IAAFTypes
aafDefinitionKind_e typedef | IAAFTypes
aafDefinitionKind_t typedef | IAAFTypes
aafDepend_e typedef | IAAFTypes
aafDepend_t typedef | IAAFTypes
aafDirectionCode_e typedef | IAAFTypes
aafDirectionCode_t typedef | IAAFTypes
aafDropType_e typedef | IAAFTypes
aafDropType_t typedef | IAAFTypes
aafEdgecode_constref typedef | IAAFTypes
aafEdgecode_t typedef | IAAFTypes
aafEdgecodeHeader_constref typedef | IAAFTypes
aafEdgecodeHeader_t typedef | IAAFTypes
aafEdgeType_e typedef | IAAFTypes
aafEdgeType_t typedef | IAAFTypes
aafEditHint_e typedef | IAAFTypes
aafEditHint_t typedef | IAAFTypes
aafEditHintType_t typedef | IAAFTypes
aafElectroSpatialFormulation_e typedef | IAAFTypes
aafElectroSpatialFormulation_t typedef | IAAFTypes
aafEmphasisType_e typedef | IAAFTypes
aafEmphasisType_t typedef | IAAFTypes
aafEngine_constref typedef | IAAFTypes
aafEngine_t typedef | IAAFTypes
aafFadeType_e typedef | IAAFTypes
aafFadeType_t typedef | IAAFTypes
aafFieldDom_e typedef | IAAFTypes
aafFieldDom_t typedef | IAAFTypes
aafFieldNumber_e typedef | IAAFTypes
aafFieldNumber_t typedef | IAAFTypes
aafFieldTop_e typedef | IAAFTypes
aafFieldTop_t typedef | IAAFTypes
aafFileAccess_e typedef | IAAFTypes
aafFileAccess_t typedef | IAAFTypes
aafFileExistence_e typedef | IAAFTypes
aafFileExistence_t typedef | IAAFTypes
aafFileFormat_e typedef | IAAFTypes
aafFileFormat_t typedef | IAAFTypes
aafFileRev_e typedef | IAAFTypes
aafFileRev_t typedef | IAAFTypes
aafFilmType_e typedef | IAAFTypes
aafFilmType_t typedef | IAAFTypes
aafFrameLayout_e typedef | IAAFTypes
aafFrameLayout_t typedef | IAAFTypes
aafFrameLength_t typedef | IAAFTypes
aafFrameOffset_t typedef | IAAFTypes
aafHardwarePlatform_constref typedef | IAAFTypes
aafHardwarePlatform_t typedef | IAAFTypes
aafIdentificationCrit_t typedef | IAAFTypes
aafIdentificationCritType_e typedef | IAAFTypes
aafIdentificationCritType_t typedef | IAAFTypes
aafIncMedia_e typedef | IAAFTypes
aafIncMedia_t typedef | IAAFTypes
aafIndexType_e typedef | IAAFTypes
aafIndexType_t typedef | IAAFTypes
aafInt16 typedef | IAAFTypes
aafInt32 typedef | IAAFTypes
aafInt64 typedef | IAAFTypes
aafInt8 typedef | IAAFTypes
aafInterpKind_e typedef | IAAFTypes
aafInterpKind_t typedef | IAAFTypes
aafJPEGcomponent_e typedef | IAAFTypes
aafJPEGcomponent_t typedef | IAAFTypes
aafJPEGTableID_t typedef | IAAFTypes
aafLayoutType_t typedef | IAAFTypes
aafLength_constref typedef | IAAFTypes
aafLength_t typedef | IAAFTypes
aafMAX_NUM_RGBA_COMPS | IAAFTypes
aafMAX_NUM_RGBA_COMPS_e typedef | IAAFTypes
aafMediaCriteria_constptr typedef | IAAFTypes
aafMediaCriteria_constref typedef | IAAFTypes
aafMediaCriteria_t typedef | IAAFTypes
aafMediaOpenMode_e typedef | IAAFTypes
aafMediaOpenMode_t typedef | IAAFTypes
aafMemConstPtr_t typedef | IAAFTypes
aafMemPtr_t typedef | IAAFTypes
aafmMultiCreate_t typedef | IAAFTypes
aafmMultiResult_t typedef | IAAFTypes
aafmMultiXfer_t typedef | IAAFTypes
aafMobComment_t typedef | IAAFTypes
aafMobID_constptr typedef | IAAFTypes
aafMobID_constref typedef | IAAFTypes
aafMobID_t typedef | IAAFTypes
aafMobIDType_t typedef | IAAFTypes
aafMobKind_e typedef | IAAFTypes
aafMobKind_t typedef | IAAFTypes
aafNumSlots_t typedef | IAAFTypes
aafOperationChoice_constptr typedef | IAAFTypes
aafOperationChoice_e typedef | IAAFTypes
aafOperationChoice_t typedef | IAAFTypes
aafPhaseFrame_t typedef | IAAFTypes
aafPixelFormat_e typedef | IAAFTypes
aafPixelFormat_t typedef | IAAFTypes
aafPluginAPI_constref typedef | IAAFTypes
aafPluginAPI_t typedef | IAAFTypes
aafPosition_constref typedef | IAAFTypes
aafPosition_t typedef | IAAFTypes
aafProductIdentification_constptr typedef | IAAFTypes
aafProductIdentification_constref typedef | IAAFTypes
aafProductIdentification_t typedef | IAAFTypes
aafProductReleaseType_e typedef | IAAFTypes
aafProductReleaseType_t typedef | IAAFTypes
aafProductVersion_constptr typedef | IAAFTypes
aafProductVersion_constref typedef | IAAFTypes
aafProductVersion_t typedef | IAAFTypes
aafPropertyOpt_e typedef | IAAFTypes
aafPropertyOpt_t typedef | IAAFTypes
aafPulldownDir_e typedef | IAAFTypes
aafPulldownDir_t typedef | IAAFTypes
aafPulldownDirectionType_t typedef | IAAFTypes
aafPulldownKind_e typedef | IAAFTypes
aafPulldownKind_t typedef | IAAFTypes
aafPulldownKindType_t typedef | IAAFTypes
aafRational_constref typedef | IAAFTypes
aafRational_t typedef | IAAFTypes
aafRect_constref typedef | IAAFTypes
aafRect_t typedef | IAAFTypes
AAFReferenceImplementationVersion | IAAFTypes
aafReferenceType_e typedef | IAAFTypes
aafReferenceType_t typedef | IAAFTypes
AAFRESULT typedef | IAAFTypes
aafRGBAComponent_t typedef | IAAFTypes
aafRGBAComponentKind_e typedef | IAAFTypes
aafRGBAComponentKind_t typedef | IAAFTypes
aafScanningDirection_e typedef | IAAFTypes
aafScanningDirection_t typedef | IAAFTypes
aafScanningDirectionType_t typedef | IAAFTypes
aafSearchCrit_constptr typedef | IAAFTypes
aafSearchCrit_t typedef | IAAFTypes
aafSearchCrit_t | IAAFTypes
aafSearchDictionaryCrit_t typedef | IAAFTypes
aafSearchDictionaryCrit_t | IAAFTypes
aafSearchDictionaryTag_e typedef | IAAFTypes
aafSearchDictionaryTag_t typedef | IAAFTypes
aafSearchTag_e typedef | IAAFTypes
aafSearchTag_t typedef | IAAFTypes
aafSignalStandard_e typedef | IAAFTypes
aafSignalStandard_t typedef | IAAFTypes
aafSignalStandardType_t typedef | IAAFTypes
aafSlotID_t typedef | IAAFTypes
aafSourceRef_constref typedef | IAAFTypes
aafSourceRef_t typedef | IAAFTypes
aafString_t typedef | IAAFTypes
aafString_t typedef | IAAFTypes
aafSwapNeeded_e typedef | IAAFTypes
aafSwapNeeded_t typedef | IAAFTypes
aafTapeCaseType_e typedef | IAAFTypes
aafTapeCaseType_t typedef | IAAFTypes
aafTapeFormatType_e typedef | IAAFTypes
aafTapeFormatType_t typedef | IAAFTypes
aafTCSource_t typedef | IAAFTypes
aafTimecode_constref typedef | IAAFTypes
aafTimecode_t typedef | IAAFTypes
aafTimecodeSourceType_e typedef | IAAFTypes
aafTimecodeSourceType_t typedef | IAAFTypes
aafTimeStamp_constref typedef | IAAFTypes
aafTimeStamp_t typedef | IAAFTypes
aafTimeStruct_t typedef | IAAFTypes
aafTitleAlignmentType_e typedef | IAAFTypes
aafTitleAlignmentType_t typedef | IAAFTypes
aafUID_constptr typedef | IAAFTypes
aafUID_constref typedef | IAAFTypes
aafUID_t typedef | IAAFTypes
aafUInt16 typedef | IAAFTypes
aafUInt32 typedef | IAAFTypes
aafUInt64 typedef | IAAFTypes
aafUInt8 typedef | IAAFTypes
aafUserDataModeType_e typedef | IAAFTypes
aafUserDataModeType_t typedef | IAAFTypes
aafVersionType_constref typedef | IAAFTypes
aafVersionType_t typedef | IAAFTypes
aafVideoLineMap_t typedef | IAAFTypes
aafVideoSignalType_e typedef | IAAFTypes
aafVideoSignalType_t typedef | IAAFTypes
aafWChar typedef | IAAFTypes
classID | IAAFTypes
datadef | IAAFTypes
eAAFByteOrder_e typedef | IAAFTypes
eAAFByteOrder_t typedef | IAAFTypes
eAAFTypeCategory_e typedef | IAAFTypes
eAAFTypeCategory_t typedef | IAAFTypes
kAAF8mmFormat enum value | IAAFTypes
kAAF8mmVideoTape enum value | IAAFTypes
kAAFAllClasses enum value | IAAFTypes
kAAFAllDefinitions enum value | IAAFTypes
kAAFAllMob enum value | IAAFTypes
kAAFAnyRepresentation enum value | IAAFTypes
kAAFAppend enum value | IAAFTypes
kAAFAuxBitsMode_MainAudioSampleData enum value | IAAFTypes
kAAFAuxBitsMode_NotDefined enum value | IAAFTypes
kAAFAuxBitsMode_Reserved0 enum value | IAAFTypes
kAAFAuxBitsMode_Reserved1 enum value | IAAFTypes
kAAFAuxBitsMode_Reserved2 enum value | IAAFTypes
kAAFAuxBitsMode_Reserved3 enum value | IAAFTypes
kAAFAuxBitsMode_SingleCoordinationSignal enum value | IAAFTypes
kAAFAuxBitsMode_UserDefined enum value | IAAFTypes
kAAFAveraging enum value | IAAFTypes
kAAFBestFidelityRepresentation enum value | IAAFTypes
kAAFBetacamFormat enum value | IAAFTypes
kAAFBetacamSPFormat enum value | IAAFTypes
kAAFBetacamVideoTape enum value | IAAFTypes
kAAFByClass enum value | IAAFTypes
kAAFByClassID enum value | IAAFTypes
kAAFByClassName enum value | IAAFTypes
kAAFByCompositionMobUsageCode enum value | IAAFTypes
kAAFByDataDef enum value | IAAFTypes
kAAFByDefClass enum value | IAAFTypes
kAAFByDefKind enum value | IAAFTypes
kAAFByDefName enum value | IAAFTypes
kAAFByIdGeneration enum value | IAAFTypes
kAAFByIdProductID enum value | IAAFTypes
kAAFByIdRefImplVersion enum value | IAAFTypes
kAAFByMasterMobUsageCode enum value | IAAFTypes
kAAFByMediaCrit enum value | IAAFTypes
kAAFByMobID enum value | IAAFTypes
kAAFByMobKind enum value | IAAFTypes
kAAFByName enum value | IAAFTypes
kAAFByParentClassID enum value | IAAFTypes
kAAFByPropertyID enum value | IAAFTypes
kAAFBySourceMobUsageCode enum value | IAAFTypes
kAAFByteOrderBig enum value | IAAFTypes
kAAFByteOrderLittle enum value | IAAFTypes
kAAFByTypeID enum value | IAAFTypes
kAAFByUsageCode enum value | IAAFTypes
kAAFChannelStatusMode_Essence enum value | IAAFTypes
kAAFChannelStatusMode_Fixed enum value | IAAFTypes
kAAFChannelStatusMode_Minimum enum value | IAAFTypes
kAAFChannelStatusMode_None enum value | IAAFTypes
kAAFChannelStatusMode_Standard enum value | IAAFTypes
kAAFChannelStatusMode_Stream enum value | IAAFTypes
kAAFClassDefinition enum value | IAAFTypes
kAAFColorSpaceCMYK enum value | IAAFTypes
kAAFColorSpaceHSI enum value | IAAFTypes
kAAFColorSpaceHSV enum value | IAAFTypes
kAAFColorSpaceRGB enum value | IAAFTypes
kAAFColorSpaceYCrCb enum value | IAAFTypes
kAAFColorSpaceYDrDb enum value | IAAFTypes
kAAFColorSpaceYIQ enum value | IAAFTypes
kAAFColorSpaceYUV enum value | IAAFTypes
kAAFCompactCassette enum value | IAAFTypes
kAAFCompAlpha enum value | IAAFTypes
kAAFCompBlue enum value | IAAFTypes
kAAFCompFill enum value | IAAFTypes
kAAFCompGreen enum value | IAAFTypes
kAAFCompMob enum value | IAAFTypes
kAAFCompMobIndex enum value | IAAFTypes
kAAFCompNone enum value | IAAFTypes
kAAFCompNull enum value | IAAFTypes
kAAFCompPalette enum value | IAAFTypes
kAAFCompRed enum value | IAAFTypes
kAAFCompressionDisable enum value | IAAFTypes
kAAFCompressionEnable enum value | IAAFTypes
kAAFConstInterp enum value | IAAFTypes
kAAFContentScanning_Interlace enum value | IAAFTypes
kAAFContentScanning_Mixed enum value | IAAFTypes
kAAFContentScanning_NotKnown enum value | IAAFTypes
kAAFContentScanning_Progressive enum value | IAAFTypes
kAAFConvertFrom enum value | IAAFTypes
kAAFConvertTo enum value | IAAFTypes
kAAFCoSiting enum value | IAAFTypes
kAAFDataDefinition enum value | IAAFTypes
kAAFDATCartridge enum value | IAAFTypes
kAAFDirCodeDown enum value | IAAFTypes
kAAFDirCodeLeft enum value | IAAFTypes
kAAFDirCodeLowerLeft enum value | IAAFTypes
kAAFDirCodeLowerRight enum value | IAAFTypes
kAAFDirCodeRight enum value | IAAFTypes
kAAFDirCodeUp enum value | IAAFTypes
kAAFDirCodeUpperLeft enum value | IAAFTypes
kAAFDirCodeUpperRight enum value | IAAFTypes
kAAFDominantField1 enum value | IAAFTypes
kAAFDominantField2 enum value | IAAFTypes
kAAFElectroSpatialFormulation_Default enum value | IAAFTypes
kAAFElectroSpatialFormulation_MultiChannelMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_PrimarySecondaryMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_SingleChannelMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_StereophonicMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode enum value | IAAFTypes
kAAFElectroSpatialFormulation_TwoChannelMode enum value | IAAFTypes
kAAFEmphasis_15and50 enum value | IAAFTypes
kAAFEmphasis_ITU enum value | IAAFTypes
kAAFEmphasis_None enum value | IAAFTypes
kAAFEmphasis_Reserved0 enum value | IAAFTypes
kAAFEmphasis_Reserved1 enum value | IAAFTypes
kAAFEmphasis_Reserved2 enum value | IAAFTypes
kAAFEmphasis_Reserved3 enum value | IAAFTypes
kAAFEmphasis_Unknown enum value | IAAFTypes
kAAFEssence enum value | IAAFTypes
kAAFEtEdgenum4 enum value | IAAFTypes
kAAFEtEdgenum5 enum value | IAAFTypes
kAAFEtHeaderSize enum value | IAAFTypes
kAAFEtKeycode enum value | IAAFTypes
kAAFEtNull enum value | IAAFTypes
kAAFExactMatch enum value | IAAFTypes
kAAFFadeLinearAmp enum value | IAAFTypes
kAAFFadeLinearPower enum value | IAAFTypes
kAAFFadeNone enum value | IAAFTypes
kAAFFalse enum value | IAAFTypes
kAAFFastestRepresentation enum value | IAAFTypes
kAAFFieldOne enum value | IAAFTypes
kAAFFieldTwo enum value | IAAFTypes
kAAFFileAccess_modify enum value | IAAFTypes
kAAFFileAccess_none enum value | IAAFTypes
kAAFFileAccess_read enum value | IAAFTypes
kAAFFileAccess_write enum value | IAAFTypes
kAAFFileExistence_existing enum value | IAAFTypes
kAAFFileExistence_new enum value | IAAFTypes
kAAFFileMob enum value | IAAFTypes
kAAFFilmMob enum value | IAAFTypes
kAAFFilmToTapeSpeed enum value | IAAFTypes
kAAFFindIncoming enum value | IAAFTypes
kAAFFindNull enum value | IAAFTypes
kAAFFindOperationSrc1 enum value | IAAFTypes
kAAFFindOperationSrc2 enum value | IAAFTypes
kAAFFindOperationSrc3 enum value | IAAFTypes
kAAFFindOperationSrc4 enum value | IAAFTypes
kAAFFindOperationSrc5 enum value | IAAFTypes
kAAFFindOperationSrc6 enum value | IAAFTypes
kAAFFindOperationSrc7 enum value | IAAFTypes
kAAFFindOperationSrc8 enum value | IAAFTypes
kAAFFindOutgoing enum value | IAAFTypes
kAAFFindRender enum value | IAAFTypes
kAAFFollowDepend enum value | IAAFTypes
kAAFForceOverwrite enum value | IAAFTypes
kAAFForeignMedia enum value | IAAFTypes
kAAFFt16MM enum value | IAAFTypes
kAAFFt35MM enum value | IAAFTypes
kAAFFt65MM enum value | IAAFTypes
kAAFFt8MM enum value | IAAFTypes
kAAFFtNull enum value | IAAFTypes
kAAFFullFrame enum value | IAAFTypes
kAAFHi8Format enum value | IAAFTypes
kAAFIncludeMedia enum value | IAAFTypes
kAAFIntegerAttribute enum value | IAAFTypes
kAAFJcChrominance enum value | IAAFTypes
kAAFJcChrominanceFP16 enum value | IAAFTypes
kAAFJcLuminance enum value | IAAFTypes
kAAFJcLuminanceFP16 enum value | IAAFTypes
kAAFLinearInterp enum value | IAAFTypes
kAAFMasterMob enum value | IAAFTypes
kAAFMaxValueTransparent enum value | IAAFTypes
kAAFMediaIndex enum value | IAAFTypes
kAAFMediaOpenAppend enum value | IAAFTypes
kAAFMediaOpenReadOnly enum value | IAAFTypes
kAAFMinValueTransparent enum value | IAAFTypes
kAAFMixedFields enum value | IAAFTypes
kAAFNagraAudioTape enum value | IAAFTypes
kAAFNeverSwap enum value | IAAFTypes
kAAFNoDefSearch enum value | IAAFTypes
kAAFNoDominant enum value | IAAFTypes
kAAFNoEditHint enum value | IAAFTypes
kAAFNoFollowDepend enum value | IAAFTypes
kAAFNoIdSearch enum value | IAAFTypes
kAAFNoIncludeMedia enum value | IAAFTypes
kAAFNoSearch enum value | IAAFTypes
kAAFNTSCSignal enum value | IAAFTypes
kAAFNullAttribute enum value | IAAFTypes
kAAFObjectAttribute enum value | IAAFTypes
kAAFOffsetBinary enum value | IAAFTypes
kAAFOneField enum value | IAAFTypes
kAAFOneToOneHDSixty enum value | IAAFTypes
kAAFOneToOneNTSC enum value | IAAFTypes
kAAFOneToOnePAL enum value | IAAFTypes
kAAFOperationDefinition enum value | IAAFTypes
kAAFPALPD enum value | IAAFTypes
kAAFPALSignal enum value | IAAFTypes
kAAFPhysicalMob enum value | IAAFTypes
kAAFPixNone enum value | IAAFTypes
kAAFPixRGBA enum value | IAAFTypes
kAAFPixYUV enum value | IAAFTypes
kAAFPrimaryMob enum value | IAAFTypes
kAAFPrimaryMobIndex enum value | IAAFTypes
kAAFPropertyDefinition enum value | IAAFTypes
kAAFPropOptional enum value | IAAFTypes
kAAFProportional enum value | IAAFTypes
kAAFPropRequired enum value | IAAFTypes
kAAFQuincunx enum value | IAAFTypes
kAAFRec601 enum value | IAAFTypes
kAAFRefEnumvalue enum value | IAAFTypes
kAAFRefLimitMaximum enum value | IAAFTypes
kAAFRefLimitMinimum enum value | IAAFTypes
kAAFRefMaximum enum value | IAAFTypes
kAAFRefMinimum enum value | IAAFTypes
kAAFRelativeFixed enum value | IAAFTypes
kAAFRelativeLeft enum value | IAAFTypes
kAAFRelativeRight enum value | IAAFTypes
kAAFRev1 enum value | IAAFTypes
kAAFRev2 enum value | IAAFTypes
kAAFScanningDirection_BottomToTopLeftToRight enum value | IAAFTypes
kAAFScanningDirection_BottomToTopRightToLeft enum value | IAAFTypes
kAAFScanningDirection_LeftToRightBottomToTop enum value | IAAFTypes
kAAFScanningDirection_LeftToRightTopToBottom enum value | IAAFTypes
kAAFScanningDirection_RightToLeftBottomToTop enum value | IAAFTypes
kAAFScanningDirection_RightToLeftTopToBottom enum value | IAAFTypes
kAAFScanningDirection_TopToBottomLeftToRight enum value | IAAFTypes
kAAFScanningDirection_TopToBottomRightToLeft enum value | IAAFTypes
kAAFSECAMSignal enum value | IAAFTypes
kAAFSegmentedFrame enum value | IAAFTypes
kAAFSeparateFields enum value | IAAFTypes
kAAFSignalStandard_ITU1358 enum value | IAAFTypes
kAAFSignalStandard_ITU601 enum value | IAAFTypes
kAAFSignalStandard_None enum value | IAAFTypes
kAAFSignalStandard_SMPTE274M enum value | IAAFTypes
kAAFSignalStandard_SMPTE296M enum value | IAAFTypes
kAAFSignalStandard_SMPTE347M enum value | IAAFTypes
kAAFSignalStandard_SMPTE349M enum value | IAAFTypes
kAAFSignedMagnitude enum value | IAAFTypes
kAAFSmallestRepresentation enum value | IAAFTypes
kAAFSourceMobIndex enum value | IAAFTypes
kAAFStringAttribute enum value | IAAFTypes
kAAFSVHSFormat enum value | IAAFTypes
kAAFSwapIfNeeded enum value | IAAFTypes
kAAFTapeCaseNull enum value | IAAFTypes
kAAFTapeFormatNull enum value | IAAFTypes
kAAFTapeMob enum value | IAAFTypes
kAAFTapeToFilmSpeed enum value | IAAFTypes
kAAFTcDrop enum value | IAAFTypes
kAAFTcNonDrop enum value | IAAFTypes
kAAFThreeFourthInchVideoTape enum value | IAAFTypes
kAAFThreeTap enum value | IAAFTypes
kAAFTimecodeLTC enum value | IAAFTypes
kAAFTimecodeVITC enum value | IAAFTypes
kAAFTitleAlignment_Center enum value | IAAFTypes
kAAFTitleAlignment_Left enum value | IAAFTypes
kAAFTitleAlignment_Right enum value | IAAFTypes
kAAFTopField1 enum value | IAAFTypes
kAAFTopField2 enum value | IAAFTypes
kAAFTopFieldNone enum value | IAAFTypes
kAAFTrue enum value | IAAFTypes
kAAFTwentyFourToSixtyPD enum value | IAAFTypes
kAAFTwoThreePD enum value | IAAFTypes
kAAFTwoToOnePD enum value | IAAFTypes
kAAFTypeCatCharacter enum value | IAAFTypes
kAAFTypeCatEncrypted enum value | IAAFTypes
kAAFTypeCatEnum enum value | IAAFTypes
kAAFTypeCatExtEnum enum value | IAAFTypes
kAAFTypeCatFixedArray enum value | IAAFTypes
kAAFTypeCatIndirect enum value | IAAFTypes
kAAFTypeCatInt enum value | IAAFTypes
kAAFTypeCatOpaque enum value | IAAFTypes
kAAFTypeCatRecord enum value | IAAFTypes
kAAFTypeCatRename enum value | IAAFTypes
kAAFTypeCatSet enum value | IAAFTypes
kAAFTypeCatStream enum value | IAAFTypes
kAAFTypeCatString enum value | IAAFTypes
kAAFTypeCatStrongObjRef enum value | IAAFTypes
kAAFTypeCatUnknown enum value | IAAFTypes
kAAFTypeCatVariableArray enum value | IAAFTypes
kAAFTypeCatWeakObjRef enum value | IAAFTypes
kAAFTypeDefinition enum value | IAAFTypes
kAAFUnknownSiting enum value | IAAFTypes
kAAFUnspecifiedField enum value | IAAFTypes
kAAFUserDataMode_192BitBlockStructure enum value | IAAFTypes
kAAFUserDataMode_AES18 enum value | IAAFTypes
kAAFUserDataMode_IEC enum value | IAAFTypes
kAAFUserDataMode_Metadata enum value | IAAFTypes
kAAFUserDataMode_NotDefined enum value | IAAFTypes
kAAFUserDataMode_Reserved0 enum value | IAAFTypes
kAAFUserDataMode_Reserved1 enum value | IAAFTypes
kAAFUserDataMode_Reserved2 enum value | IAAFTypes
kAAFUserDataMode_Reserved3 enum value | IAAFTypes
kAAFUserDataMode_Reserved4 enum value | IAAFTypes
kAAFUserDataMode_Reserved5 enum value | IAAFTypes
kAAFUserDataMode_Reserved6 enum value | IAAFTypes
kAAFUserDataMode_Reserved7 enum value | IAAFTypes
kAAFUserDataMode_Reserved8 enum value | IAAFTypes
kAAFUserDataMode_Reserved9 enum value | IAAFTypes
kAAFUserDataMode_UserDefined enum value | IAAFTypes
kAAFVersionBeta enum value | IAAFTypes
kAAFVersionDebug enum value | IAAFTypes
kAAFVersionPatched enum value | IAAFTypes
kAAFVersionPrivateBuild enum value | IAAFTypes
kAAFVersionReleased enum value | IAAFTypes
kAAFVersionUnknown enum value | IAAFTypes
kAAFVHSFormat enum value | IAAFTypes
kAAFVHSVideoTape enum value | IAAFTypes
kAAFVideoSignalNull enum value | IAAFTypes
kAAFVideoTapNTSC enum value | IAAFTypes
MAX_NUM_RGBA_COMPS enum value | IAAFTypes
mediaCrit | IAAFTypes
mobID | IAAFTypes
mobKind | IAAFTypes
name | IAAFTypes
objClass | IAAFTypes
parentClassID | IAAFTypes
propertyID | IAAFTypes
searchTag typedef | IAAFTypes
searchTag typedef | IAAFTypes
tags | IAAFTypes
typeID | IAAFTypes
usageCode | IAAFTypes
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFVaryingValue Interface Reference

Public Member Functions
IAAFVaryingValue Interface Reference

The IAAFVaryingValue interface is implemented by objects that specify a parameter whose value changes during the operation group. More...

List of all members.

Public Member Functions

HRESULT | Initialize ([in] IAAFParameterDef *pParameterDef,[in] IAAFInterpolationDef *pInterpolation)
Initializes a new varying value object to be identified with the given the given parameter definition and interpolation definition.
HRESULT | AddControlPoint ([in] IAAFControlPoint *pControlPoint)
Adds a control point to the AAFVaryingValue object.
HRESULT | GetControlPoints ([out, retval] IEnumAAFControlPoints **ppEnum)
Return an enumerator for the list of IAAFControlPoints.
HRESULT | CountControlPoints ([out] aafUInt32 *pResult)
This function returns the number of control points in the sequence.
HRESULT | GetControlPointAt ([in] aafUInt32 index,[out, retval] IAAFControlPoint **ppControlPoint)
This function retrieves the input control point at the given index in the given sequence.
HRESULT | RemoveControlPointAt ([in] aafUInt32 index)
This function removes the input control point at the given index in the given sequence.
HRESULT | GetInterpolationDefinition ([out] IAAFInterpolationDef **ppInterpolation)
Places the InterpolationDefinition object attached to this VaryingValue into the *ppInterpolation argument.
HRESULT | GetValueBufLen ([out] aafInt32 *pLen)
Returns the length of buffer required for the GetInterpolatedValue() method.
HRESULT | GetInterpolatedValue ([in] aafRational_t inputValue,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafInt32 *bytesRead)
Writes the interpolated value of the IAAFVaryingValue at a given position into the pValue buffer.

Detailed Description

The IAAFVaryingValue interface is implemented by objects that specify a parameter whose value changes during the operation group.

The actual values are stored in one or more IAAFControlPoints. For parameters which are constant in value during the operation group, use IAAFConstantValue.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Objects that implement IAAFVaryingValue also implement the following interfaces:

  • IAAFParameter
  • IAAFObject

Definition at line 34003 of file AAF.idl.

Member Function Documentation

HRESULT IAAFVaryingValue::AddControlPoint ( [in] IAAFControlPoint * pControlPoint )

Adds a control point to the AAFVaryingValue object.

The point will be sorted by time order, not the order in which the points were added.

Succeeds if all of the following are true:

  • the pControlPoint pointer is valid.

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pControlPoint is null.
Parameters:
pControlPoint [in] pointer to IAAFControlPoint object
HRESULT IAAFVaryingValue::CountControlPoints ( [out] aafUInt32 * pResult )

This function returns the number of control points in the sequence.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the pResult pointer is valid.

If this method fails no state is changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pResult is null.
Parameters:
pResult [out] Number of control points
HRESULT IAAFVaryingValue::GetControlPointAt | ( | [in] aafUInt32 | index,
 |  | [out, retval] IAAFControlPoint ** | ppControlPoint
 | ) |  |

This function retrieves the input control point at the given index in the given sequence.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • the ppControlPoint pointer is valid.
  • index is less than the value returned by CountControlPoints().

If this method fails nothing will be written to *ppControlPoint.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_NULL_PARAM

  • pControlPoint is null.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountControlPoints().
Parameters:
index | [in] index of control point to retrieve
ppControlPoint | [out, retval] Retrieved control point
HRESULT IAAFVaryingValue::GetControlPoints ( [out, retval] IEnumAAFControlPoints ** ppEnum )

Return an enumerator for the list of IAAFControlPoints.

The list will be returned in time order, not the order in which the points were added.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

If this method fails nothing will be written to *ppEnum.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] Parameter definition enumeration
HRESULT IAAFVaryingValue::GetInterpolatedValue | ( | [in] aafRational_t | inputValue,
 |  | [in] aafInt32 | valueSize,
 |  | [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t | pValue,
 |  | [out] aafInt32 * | bytesRead
 | ) |  |

Writes the interpolated value of the IAAFVaryingValue at a given position into the pValue buffer.

The buffer is allocated by the caller, and the size of the buffer is given by valueSize.

Caller may call GetValueBufLen() to determine the required buffer size.

Succeeds if all of the following are true:

  • the pValue pointer is valid.
  • valueSize indicates the buffer is large enough to hold the name.

If this method fails nothing will be written to *pValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pValue arg is NULL.

AAFRESULT_SMALLBUF

  • valueSize indicates the buffer is too small to hold the value.
Parameters:
inputValue | [in] Position along the operation group
valueSize | [in] Size of preallocated buffer
pValue | [out,size_is(valueSize),length_is(*bytesRead)] Preallocated buffer to hold value
bytesRead | [out] Number of actual bytes read
HRESULT IAAFVaryingValue::GetInterpolationDefinition ( [out] IAAFInterpolationDef ** ppInterpolation )

Places the InterpolationDefinition object attached to this VaryingValue into the *ppInterpolation argument.

If none exists yet, NULL is placed into the *ppInterpolation argument.

The returned InterpolationDefinition object, if it exists, is AddRef()ed before it is returned.

Succeeds if all of the following are true:

  • the ppInterpolation pointer is valid.
  • A valid InterpolationDefinition exists.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • ppInterpolation is null.
Parameters:
ppInterpolation [out] Returned InterpolationDefinition object
HRESULT IAAFVaryingValue::GetValueBufLen ( [out] aafInt32 * pLen )

Returns the length of buffer required for the GetInterpolatedValue() method.

The value is placed into the location specified by pLen.

Succeeds if all of the following are true:

  • the pLen pointer is valid.

If this method fails nothing will be written to *pLen.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLen arg is NULL.
Parameters:
pLen [out] Mob Name
HRESULT IAAFVaryingValue::Initialize | ( | [in] IAAFParameterDef * | pParameterDef,
 |  | [in] IAAFInterpolationDef * | pInterpolation
 | ) |  |

Initializes a new varying value object to be identified with the given the given parameter definition and interpolation definition.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.
  • pParameterDef and pInterpolation are a valid pointers.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • This object has already had Initialize() called on it.

AAFRESULT_NULL_PARAM

  • pParameterDef or pInterpolation arg is NULL.
Parameters:
pParameterDef | [in] Parameter definition for this object (this determines the type of the varying value)
pInterpolation | [in] InterpolationDefinition object
HRESULT IAAFVaryingValue::RemoveControlPointAt ( [in] aafUInt32 index )

This function removes the input control point at the given index in the given sequence.

Control points already existing at indices higher than the given index will be moved to the next lower index to accommodate.

Succeeds if all of the following are true:

  • this object has already been initialized.
  • index is less than the value returned by CountControlPoints().

If this method fails no state will be changed.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • Initialize() has already been called on this object.

AAFRESULT_BADINDEX

  • index is greater than or equal to the value returned by CountControlPoints().
Parameters:
index [in] index of control point to remove
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFVaryingValue Member List
This is the complete list of members for IAAFVaryingValue, including all inherited members.
AddControlPoint([in] IAAFControlPoint *pControlPoint) | IAAFVaryingValue
CountControlPoints([out] aafUInt32 *pResult) | IAAFVaryingValue
GetControlPointAt([in] aafUInt32 index,[out, retval] IAAFControlPoint **ppControlPoint) | IAAFVaryingValue
GetControlPoints([out, retval] IEnumAAFControlPoints **ppEnum) | IAAFVaryingValue
GetInterpolatedValue([in] aafRational_t inputValue,[in] aafInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafInt32 *bytesRead) | IAAFVaryingValue
GetInterpolationDefinition([out] IAAFInterpolationDef **ppInterpolation) | IAAFVaryingValue
GetValueBufLen([out] aafInt32 *pLen) | IAAFVaryingValue
Initialize([in] IAAFParameterDef *pParameterDef,[in] IAAFInterpolationDef *pInterpolation) | IAAFVaryingValue
RemoveControlPointAt([in] aafUInt32 index) | IAAFVaryingValue
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IAAFWAVEDescriptor Interface Reference

Public Member Functions
IAAFWAVEDescriptor Interface Reference

The IAAFWaveDescriptor interface is implemented by objects which describe audio content data formatted according to the RIFF Waveform Audio File Format (WAVE). More...

List of all members.

Public Member Functions

HRESULT | Initialize ()
Initializes a newly allocated, empty IAAFWaveDescriptor-supporting object.
HRESULT | GetSummary ([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary)
Gets a copy of the WAVE file information without the media.
HRESULT | GetSummaryBufferSize ([out] aafUInt32 *pSize)
Returns the size of the buffer required for the GetSummary() method.
HRESULT | SetSummary ([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary)
Sets the WAVE file information.

Detailed Description

The IAAFWaveDescriptor interface is implemented by objects which describe audio content data formatted according to the RIFF Waveform Audio File Format (WAVE).

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation. Objects that implement IAAFWAVEDescriptor also implement the following interfaces:

IAAFFileDescriptor

  • IAAFFileDescriptor2
  • IAAFEssenceDescriptor
  • IAAFObject

Definition at line 34345 of file AAF.idl.

Member Function Documentation

HRESULT IAAFWAVEDescriptor::GetSummary | ( | [in] aafUInt32 | size,
 |  | [out, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Gets a copy of the WAVE file information without the media.

Succeeds if all of the following are true:

  • pSummary is a valid pointer.
  • The size of the buffer is large enough to hold the WAVE file information.

If this method fails pSummary will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.

AAFRESULT_SMALLBUF

  • The buffer is too small to hold the WAVE file information.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [out, size_is(size)] Preallocated buffer to hold the WAVE file information
HRESULT IAAFWAVEDescriptor::GetSummaryBufferSize ( [out] aafUInt32 * pSize )

Returns the size of the buffer required for the GetSummary() method.

The value is placed into the location specified by pSize.

Succeeds if all of the following are true:

  • the pSize pointer is valid.

If this method fails nothing will be written to *pSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSize arg is NULL.
Parameters:
pSize [out] required buffer size
HRESULT IAAFWAVEDescriptor::Initialize ( )

Initializes a newly allocated, empty IAAFWaveDescriptor-supporting object.

This method must be called after allocation, and before any other method can be called.

Succeeds if:

  • Initialize() has not yet been called on this object.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_ALREADY_INITIALIZED

  • Initialize() has already been called on this object.
HRESULT IAAFWAVEDescriptor::SetSummary | ( | [in] aafUInt32 | size,
 |  | [in, size_is(size)] aafDataValue_t | pSummary
 | ) |  |

Sets the WAVE file information.

Succeeds if all of the following are true:

  • pSummary is a valid pointer

If this method fails the summary property will not be changed.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pSummary arg is NULL.
Parameters:
size | [in] Size of preallocated buffer
pSummary | [in, size_is(size)] buffer containing value
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFWAVEDescriptor Member List
This is the complete list of members for IAAFWAVEDescriptor, including all inherited members.
GetSummary([in] aafUInt32 size,[out, size_is(size)] aafDataValue_t pSummary) | IAAFWAVEDescriptor
GetSummaryBufferSize([out] aafUInt32 *pSize) | IAAFWAVEDescriptor
Initialize() | IAAFWAVEDescriptor
SetSummary([in] aafUInt32 size,[in, size_is(size)] aafDataValue_t pSummary) | IAAFWAVEDescriptor
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFClassDefs Interface Reference

Public Member Functions
IEnumAAFClassDefs Interface Reference

This interface is used to enumerate across Class Definition objects. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFClassDef **ppClassDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFClassDef **ppClassDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFClassDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFClassDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate across Class Definition objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 34486 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFClassDefs::Clone ( [out, retval] IEnumAAFClassDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFClassDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFClassDef ** | ppClassDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFClassDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppClassDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Class Definition objects remaining to be returned.

If this method fails nothing is written to *ppClassDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppClassDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of ClassDefs requested
ppClassDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Class Definition objects fetched into ppClassDefs array
HRESULT IEnumAAFClassDefs::NextOne ( [out, retval] IAAFClassDef ** ppClassDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppClassDefs pointer is valid.
  • there are Class Definition objects remaining to be returned.

If this method fails nothing is written to *ppClassDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppClassDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Class Definition objects remaining to be returned.
Parameters:
ppClassDefs [out,retval] The Next Class Definition
HRESULT IEnumAAFClassDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFClassDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFClassDefs Member List
This is the complete list of members for IEnumAAFClassDefs, including all inherited members.
Clone([out, retval] IEnumAAFClassDefs **ppEnum) | IEnumAAFClassDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFClassDef **ppClassDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFClassDefs
NextOne([out, retval] IAAFClassDef **ppClassDefs) | IEnumAAFClassDefs
Reset() | IEnumAAFClassDefs
Skip([in] aafUInt32 count) | IEnumAAFClassDefs
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFCodecDefs Interface Reference

Public Member Functions
IEnumAAFCodecDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFCodecDef **ppCodecDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFCodecDef **ppCodecDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFCodecDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFCodecDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 34648 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFCodecDefs::Clone ( [out, retval] IEnumAAFCodecDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFCodecDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFCodecDef ** | ppCodecDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFCodecDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppCodecDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Codec Definition objects remaining to be returned.

If this method fails nothing is written to *ppCodecDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppCodecDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of CodecDefs requested
ppCodecDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Codec Definition objects fetched into ppCodecDefs array
HRESULT IEnumAAFCodecDefs::NextOne ( [out, retval] IAAFCodecDef ** ppCodecDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppCodecDefs pointer is valid.
  • there are Codec Definition objects remaining to be returned.

If this method fails nothing is written to *ppCodecDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppCodecDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Codec Definition objects remaining to be returned.
Parameters:
ppCodecDefs [out,retval] The Next Codec Definition
HRESULT IEnumAAFCodecDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFCodecDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFCodecDefs Member List
This is the complete list of members for IEnumAAFCodecDefs, including all inherited members.
Clone([out, retval] IEnumAAFCodecDefs **ppEnum) | IEnumAAFCodecDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFCodecDef **ppCodecDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFCodecDefs
NextOne([out, retval] IAAFCodecDef **ppCodecDefs) | IEnumAAFCodecDefs
Reset() | IEnumAAFCodecDefs
Skip([in] aafUInt32 count) | IEnumAAFCodecDefs
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFCodecFlavours Interface Reference

Public Member Functions
IEnumAAFCodecFlavours Interface Reference

An object which allows iteration over all of the flavour codes which a given codec is able to handle. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] aafUID_t *pAAFCodecFlavour)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] aafUID_t *pAAFCodecFlavours,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (codec flavour IDs) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFCodecFlavours::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFCodecFlavours **ppEnum)
Creates another EnumAAFCodecFlavours enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

An object which allows iteration over all of the flavour codes which a given codec is able to handle.

Flavours are used when a single codec can support multiple formats. An Example would be a codec which would accept a "resolution ID" for a particular manufacturer and set up all of the parameters. When a new resolution ID is released, then a new codec plugin would give users the ability to use the new resolutions without upgrading the application.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 34831 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFCodecFlavours::Clone ( [out, retval] IEnumAAFCodecFlavours ** ppEnum )

Creates another EnumAAFCodecFlavours enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

The caller must release this new enumerator separately from the first enumerator.

Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFCodecFlavours::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] aafUID_t * | pAAFCodecFlavours,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (codec flavour IDs) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.

The caller is responsible for passing in a pointer to an array of aafUID_t, and retains control over the pointer.

Parameters:
count | [in] number of AAFPluggableDefs requested
pAAFCodecFlavours | [out, size_is(count), length_is(*pFetched)] array to receive flavour codes
pFetched | [out,ref] number of actual flavour IDs fetched into pAAFCodecFlavours array
HRESULT IEnumAAFCodecFlavours::NextOne ( [out, retval] aafUID_t * pAAFCodecFlavour )

Enumerates to the next element in the enumerators list.

The caller is responsible for passing in a pointer to an aafUID_t, and retains control over the pointer.

This is a just simplified version of the Next method.

Parameters:
pAAFCodecFlavour [out,retval] The Next flavour code
HRESULT IEnumAAFCodecFlavours::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

There is no guarantee that the same set of elements will be enumerated on each pass through the list, nor will the elements necessarily be enumerated in the same order. The exact behavior depends on the collection being enumerated.

HRESULT IEnumAAFCodecFlavours::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFCodecFlavours::Next will not return those elements.

Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFCodecFlavours Member List
This is the complete list of members for IEnumAAFCodecFlavours, including all inherited members.
Clone([out, retval] IEnumAAFCodecFlavours **ppEnum) | IEnumAAFCodecFlavours
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] aafUID_t *pAAFCodecFlavours,[out, ref] aafUInt32 *pFetched) | IEnumAAFCodecFlavours
NextOne([out, retval] aafUID_t *pAAFCodecFlavour) | IEnumAAFCodecFlavours
Reset() | IEnumAAFCodecFlavours
Skip([in] aafUInt32 count) | IEnumAAFCodecFlavours
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFComponents Interface Reference

Public Member Functions
IEnumAAFComponents Interface Reference

This interface is used to enumerate over the AAFComponents contained in an AAFSequence. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFComponent **ppComponent)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFComponent **ppComponents,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFComponent pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFComponents **ppEnum)
Creates another component enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate over the AAFComponents contained in an AAFSequence.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 34943 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFComponents::Clone ( [out, retval] IEnumAAFComponents ** ppEnum )

Creates another component enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFComponents::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFComponent ** | ppComponents,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFComponent pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppComponents pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Component objects remaining to be returned.

If this method fails nothing is written to *ppComponents or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppComponents or pNumFetched is null.
Parameters:
count | [in] number of components requested
ppComponents | [out, size_is(count), length_is(*pNumFetched)] array to receive components
pNumFetched | [out,ref] number of actual Components fetched into ppComponents array
HRESULT IEnumAAFComponents::NextOne ( [out, retval] IAAFComponent ** ppComponent )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppComponent pointer is valid.
  • there are Component objects remaining to be returned.

If this method fails nothing is written to *ppComponent.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppComponent is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Components remaining to be returned.
Parameters:
ppComponent [out,retval] The Next Component
HRESULT IEnumAAFComponents::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFComponents::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFComponents Member List
This is the complete list of members for IEnumAAFComponents, including all inherited members.
Clone([out, retval] IEnumAAFComponents **ppEnum) | IEnumAAFComponents
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFComponent **ppComponents,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFComponents
NextOne([out, retval] IAAFComponent **ppComponent) | IEnumAAFComponents
Reset() | IEnumAAFComponents
Skip([in] aafUInt32 count) | IEnumAAFComponents
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFContainerDefs Interface Reference

Public Member Functions
IEnumAAFContainerDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFContainerDef **ppContainerDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFContainerDef **ppContainerDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFContainerDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFContainerDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 35104 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFContainerDefs::Clone ( [out, retval] IEnumAAFContainerDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFContainerDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFContainerDef ** | ppContainerDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFContainerDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppContainerDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Container Definition objects remaining to be returned.

If this method fails nothing is written to *ppContainerDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppContainerDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of ContainerDefs requested
ppContainerDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Container Definition objects fetched into ppContainerDefs array
HRESULT IEnumAAFContainerDefs::NextOne ( [out, retval] IAAFContainerDef ** ppContainerDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppContainerDefs pointer is valid.
  • there are Container Definition objects remaining to be returned.

If this method fails nothing is written to *ppContainerDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppContainerDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Container Definition objects remaining to be returned.
Parameters:
ppContainerDefs [out,retval] The Next Container Definition
HRESULT IEnumAAFContainerDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFContainerDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFContainerDefs Member List
This is the complete list of members for IEnumAAFContainerDefs, including all inherited members.
Clone([out, retval] IEnumAAFContainerDefs **ppEnum) | IEnumAAFContainerDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFContainerDef **ppContainerDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFContainerDefs
NextOne([out, retval] IAAFContainerDef **ppContainerDefs) | IEnumAAFContainerDefs
Reset() | IEnumAAFContainerDefs
Skip([in] aafUInt32 count) | IEnumAAFContainerDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFControlPoints Interface Reference

Public Member Functions
IEnumAAFControlPoints Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFControlPoint **ppControlPoints)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFControlPoint **ppControlPoints,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFControlPoint pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFControlPoints **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 35266 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFControlPoints::Clone ( [out, retval] IEnumAAFControlPoints ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFControlPoints::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFControlPoint ** | ppControlPoints,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFControlPoint pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppControlPoints pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Control Point objects remaining to be returned.

If this method fails nothing is written to *ppControlPoints or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppControlPoints or pNumFetched arg is NULL.
Parameters:
count | [in] number of ControlPoints requested
ppControlPoints | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Control Point objects fetched into ppControlPoints array
HRESULT IEnumAAFControlPoints::NextOne ( [out, retval] IAAFControlPoint ** ppControlPoints )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppControlPoints pointer is valid.
  • there are Control Point objects remaining to be returned.

If this method fails nothing is written to *ppControlPoints.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppControlPoints arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Control Point objects remaining to be returned.
Parameters:
ppControlPoints [out,retval] The Next Control Point
HRESULT IEnumAAFControlPoints::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFControlPoints::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFControlPoints Member List
This is the complete list of members for IEnumAAFControlPoints, including all inherited members.
Clone([out, retval] IEnumAAFControlPoints **ppEnum) | IEnumAAFControlPoints
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFControlPoint **ppControlPoints,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFControlPoints
NextOne([out, retval] IAAFControlPoint **ppControlPoints) | IEnumAAFControlPoints
Reset() | IEnumAAFControlPoints
Skip([in] aafUInt32 count) | IEnumAAFControlPoints
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFDataDefs Interface Reference

Public Member Functions
IEnumAAFDataDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFDataDef **ppDataDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFDataDef **ppDataDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFDataDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFDataDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 35428 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFDataDefs::Clone ( [out, retval] IEnumAAFDataDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFDataDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFDataDef ** | ppDataDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFDataDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppDataDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Data Definition objects remaining to be returned.

If this method fails nothing is written to *ppDataDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppDataDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of DataDefs requested
ppDataDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Data Definition objects fetched into ppDataDefs array
HRESULT IEnumAAFDataDefs::NextOne ( [out, retval] IAAFDataDef ** ppDataDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppDataDefs pointer is valid.
  • there are Data Definition objects remaining to be returned.

If this method fails nothing is written to *ppDataDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppDataDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Data Definition objects remaining to be returned.
Parameters:
ppDataDefs [out,retval] The Next Data Definition
HRESULT IEnumAAFDataDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFDataDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFDataDefs Member List
This is the complete list of members for IEnumAAFDataDefs, including all inherited members.
Clone([out, retval] IEnumAAFDataDefs **ppEnum) | IEnumAAFDataDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFDataDef **ppDataDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFDataDefs
NextOne([out, retval] IAAFDataDef **ppDataDefs) | IEnumAAFDataDefs
Reset() | IEnumAAFDataDefs
Skip([in] aafUInt32 count) | IEnumAAFDataDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFEssenceData Interface Reference

Public Member Functions
IEnumAAFEssenceData Interface Reference

The IEnumAAFEssenceData interface is used enumerate all of the AAFEssenceData objects in a file. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFEssenceData **ppEssenceData)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFEssenceData **ppEssenceData,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFEssenceData pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pcFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFEssenceData::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFEssenceData **ppEnum)
Creates another essence data enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

The IEnumAAFEssenceData interface is used enumerate all of the AAFEssenceData objects in a file.

The AAFEssenceData objects contain the actual essence data (ex. WAVE) when it is contained within an AAF file. Normally the client application would access the essence through the IAAFEssenceAccess interface, which handles the work of finding and (de)compressing the data. However, in rare cases direct access to the data is required, so this interface is exposed.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NULL_PARAM

  • One of the passed in pointers is NULL.

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 35610 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFEssenceData::Clone ( [out, retval] IEnumAAFEssenceData ** ppEnum )

Creates another essence data enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time. The caller must release this new enumerator separately from the first enumerator.

Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFEssenceData::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFEssenceData ** | ppEssenceData,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFEssenceData pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pcFetched.

The caller is responsible for properly releasing the returned pointers.

Parameters:
count | [in] number of essence data requested
ppEssenceData | [out, size_is(count), length_is(*pFetched)] array to receive EssenceData
pFetched | [out,ref] number of actual EssenceData fetched into ppEssenceData array
HRESULT IEnumAAFEssenceData::NextOne ( [out, retval] IAAFEssenceData ** ppEssenceData )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed. This is a just simplified version of the Next method.

Parameters:
ppEssenceData [out,retval] The Next EssenceData
HRESULT IEnumAAFEssenceData::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

There is no guarantee that the same set of elements will be enumerated on each pass through the list, nor will the elements necessarily be enumerated in the same order. The exact behavior depends on the collection being enumerated.

HRESULT IEnumAAFEssenceData::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFEssenceData::Next will not return those elements.

Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFEssenceData Member List
This is the complete list of members for IEnumAAFEssenceData, including all inherited members.
Clone([out, retval] IEnumAAFEssenceData **ppEnum) | IEnumAAFEssenceData
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFEssenceData **ppEssenceData,[out, ref] aafUInt32 *pFetched) | IEnumAAFEssenceData
NextOne([out, retval] IAAFEssenceData **ppEssenceData) | IEnumAAFEssenceData
Reset() | IEnumAAFEssenceData
Skip([in] aafUInt32 count) | IEnumAAFEssenceData
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFFileDescriptors Interface Reference

Public Member Functions
IEnumAAFFileDescriptors Interface Reference

This interface is used to enumerate across File Descriptor objects. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFFileDescriptor **ppFileDescriptors)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFFileDescriptor **ppFileDescriptors,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFFileDescriptor pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFFileDescriptors **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate across File Descriptor objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 35710 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFFileDescriptors::Clone ( [out, retval] IEnumAAFFileDescriptors ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFFileDescriptors::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFFileDescriptor ** | ppFileDescriptors,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFFileDescriptor pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppFileDescriptors pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are FileDescriptor objects remaining to be returned.

If this method fails nothing is written to *ppFileDescriptors or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppFileDescriptors or pNumFetched arg is NULL.
Parameters:
count | [in] number of FileDescriptors requested
ppFileDescriptors | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual FileDescriptor objects fetched into ppFileDescriptors array
HRESULT IEnumAAFFileDescriptors::NextOne ( [out, retval] IAAFFileDescriptor ** ppFileDescriptors )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppFileDescriptors pointer is valid.
  • there are FileDescriptor objects remaining to be returned.

If this method fails nothing is written to *ppFileDescriptors.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileDescriptors arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no FileDescriptor objects remaining to be returned.
Parameters:
ppFileDescriptors [out,retval] The Next FileDescriptor
HRESULT IEnumAAFFileDescriptors::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFFileDescriptors::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFFileDescriptors Member List
This is the complete list of members for IEnumAAFFileDescriptors, including all inherited members.
Clone([out, retval] IEnumAAFFileDescriptors **ppEnum) | IEnumAAFFileDescriptors
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFFileDescriptor **ppFileDescriptors,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFFileDescriptors
NextOne([out, retval] IAAFFileDescriptor **ppFileDescriptors) | IEnumAAFFileDescriptors
Reset() | IEnumAAFFileDescriptors
Skip([in] aafUInt32 count) | IEnumAAFFileDescriptors
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFFileEncodings Interface Reference

Public Member Functions
IEnumAAFFileEncodings Interface Reference

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFFileEncoding **ppFileEncodings)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFFileEncoding **ppFileEncodings,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFFileEncoding pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFFileEncodings **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 35888 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFFileEncodings::Clone ( [out, retval] IEnumAAFFileEncodings ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFFileEncodings::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFFileEncoding ** | ppFileEncodings,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFFileEncoding pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppFileEncodings pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are File Encoding objects remaining to be returned.

If this method fails nothing is written to *ppFileEncodings or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppFileEncodings or pNumFetched arg is NULL.
Parameters:
count | [in] number of FileEncodings requested
ppFileEncodings | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual File Encoding objects fetched into ppFileEncodings array
HRESULT IEnumAAFFileEncodings::NextOne ( [out, retval] IAAFFileEncoding ** ppFileEncodings )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppFileEncodings pointer is valid.
  • there are File Encoding objects remaining to be returned.

If this method fails nothing is written to *ppFileEncodings.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileEncodings arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no File Encoding objects remaining to be returned.
Parameters:
ppFileEncodings [out,retval] The Next File Encoding
HRESULT IEnumAAFFileEncodings::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFFileEncodings::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFFileEncodings Member List
This is the complete list of members for IEnumAAFFileEncodings, including all inherited members.
Clone([out, retval] IEnumAAFFileEncodings **ppEnum) | IEnumAAFFileEncodings
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFFileEncoding **ppFileEncodings,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFFileEncodings
NextOne([out, retval] IAAFFileEncoding **ppFileEncodings) | IEnumAAFFileEncodings
Reset() | IEnumAAFFileEncodings
Skip([in] aafUInt32 count) | IEnumAAFFileEncodings
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFIdentifications Interface Reference

Public Member Functions
IEnumAAFIdentifications Interface Reference

This interfaces allows access to individual IAAFIdentification-supporting objects within a collection. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFIdentification **ppIdentification)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFIdentification **ppIdentifications,[out] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFIdentification pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFIdentifications::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFIdentifications **ppEnum)
Creates another identification enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interfaces allows access to individual IAAFIdentification-supporting objects within a collection.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 36062 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFIdentifications::Clone ( [out, retval] IEnumAAFIdentifications ** ppEnum )

Creates another identification enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out, retval] new enumeration
HRESULT IEnumAAFIdentifications::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFIdentification ** | ppIdentifications,
 |  | [out] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFIdentification pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers when thery are no longer needed.

Succeeds if all of the following are true:

  • the ppIdentifications pointer is valid.
  • the pNumFetched pointer is valid.
  • there are Identification objects remaining to be returned.

If this method fails nothing is written to *ppIdentifications or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppIdentification or pNumFetched is null.
Parameters:
count | [in] number of identifications requested
ppIdentifications | [out, size_is(count), length_is(*pNumFetched)] array to receive identification objects
pNumFetched | [out] number of actual Identifications fetched into ppIdentifications array
HRESULT IEnumAAFIdentifications::NextOne ( [out, retval] IAAFIdentification ** ppIdentification )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppIdentification pointer is valid.
  • there are Identification objects remaining to be returned.

If this method fails nothing is written to *ppIdentification.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppIdentification is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Identifications remaining to be returned.
Parameters:
ppIdentification [out, retval] The Next Identification
HRESULT IEnumAAFIdentifications::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFIdentifications::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFIdentifications::Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFIdentifications Member List
This is the complete list of members for IEnumAAFIdentifications, including all inherited members.
Clone([out, retval] IEnumAAFIdentifications **ppEnum) | IEnumAAFIdentifications
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFIdentification **ppIdentifications,[out] aafUInt32 *pNumFetched) | IEnumAAFIdentifications
NextOne([out, retval] IAAFIdentification **ppIdentification) | IEnumAAFIdentifications
Reset() | IEnumAAFIdentifications
Skip([in] aafUInt32 count) | IEnumAAFIdentifications
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFInterpolationDefs Interface Reference

Public Member Functions
IEnumAAFInterpolationDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFInterpolationDef **ppInterpolationDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFInterpolationDef **ppInterpolationDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFInterpolationDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFInterpolationDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 36224 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFInterpolationDefs::Clone ( [out, retval] IEnumAAFInterpolationDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFInterpolationDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFInterpolationDef ** | ppInterpolationDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFInterpolationDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppInterpolationDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Interpolation Definition objects remaining to be returned.

If this method fails nothing is written to *ppInterpolationDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppInterpolationDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of InterpolationDefs requested
ppInterpolationDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Interpolation Definition objects fetched into ppInterpolationDefs array
HRESULT IEnumAAFInterpolationDefs::NextOne ( [out, retval] IAAFInterpolationDef ** ppInterpolationDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppInterpolationDefs pointer is valid.
  • there are Interpolation Definition objects remaining to be returned.

If this method fails nothing is written to *ppInterpolationDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppInterpolationDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Interpolation Definition objects remaining to be returned.
Parameters:
ppInterpolationDefs [out,retval] The Next Interpolation Definition
HRESULT IEnumAAFInterpolationDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFInterpolationDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFInterpolationDefs Member List
This is the complete list of members for IEnumAAFInterpolationDefs, including all inherited members.
Clone([out, retval] IEnumAAFInterpolationDefs **ppEnum) | IEnumAAFInterpolationDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFInterpolationDef **ppInterpolationDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFInterpolationDefs
NextOne([out, retval] IAAFInterpolationDef **ppInterpolationDefs) | IEnumAAFInterpolationDefs
Reset() | IEnumAAFInterpolationDefs
Skip([in] aafUInt32 count) | IEnumAAFInterpolationDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFKLVData Interface Reference

Public Member Functions
IEnumAAFKLVData Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFKLVData **ppKLVData)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFKLVData **ppKLVData,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFKLVData pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFKLVData **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 36386 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFKLVData::Clone ( [out, retval] IEnumAAFKLVData ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFKLVData::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFKLVData ** | ppKLVData,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFKLVData pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppKLVData pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are KLV Data objects remaining to be returned.

If this method fails nothing is written to *ppKLVData or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppKLVData or pNumFetched arg is NULL.
Parameters:
count | [in] number of KLVData requested
ppKLVData | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual KLV Data objects fetched into ppKLVData array
HRESULT IEnumAAFKLVData::NextOne ( [out, retval] IAAFKLVData ** ppKLVData )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppKLVData pointer is valid.
  • there are KLV Data objects remaining to be returned.

If this method fails nothing is written to *ppKLVData.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppKLVData arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no KLV Data objects remaining to be returned.
Parameters:
ppKLVData [out,retval] The Next KLV Data
HRESULT IEnumAAFKLVData::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFKLVData::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFKLVData Member List
This is the complete list of members for IEnumAAFKLVData, including all inherited members.
Clone([out, retval] IEnumAAFKLVData **ppEnum) | IEnumAAFKLVData
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFKLVData **ppKLVData,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFKLVData
NextOne([out, retval] IAAFKLVData **ppKLVData) | IEnumAAFKLVData
Reset() | IEnumAAFKLVData
Skip([in] aafUInt32 count) | IEnumAAFKLVData
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFKLVDataDefs Interface Reference

Public Member Functions
IEnumAAFKLVDataDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFKLVDataDefinition **ppKLVDataDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFKLVDataDefinition **ppKLVDataDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFKLVDataDefinition pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFKLVDataDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 36549 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFKLVDataDefs::Clone ( [out, retval] IEnumAAFKLVDataDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFKLVDataDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFKLVDataDefinition ** | ppKLVDataDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFKLVDataDefinition pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppKLVDataDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are KLVData Definition objects remaining to be returned.

If this method fails nothing is written to *ppKLVDataDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppKLVDataDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of KLVDataDefs requested
ppKLVDataDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual KLVData Definition objects fetched into ppKLVDataDefs array
HRESULT IEnumAAFKLVDataDefs::NextOne ( [out, retval] IAAFKLVDataDefinition ** ppKLVDataDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppKLVDataDefs pointer is valid.
  • there are KLVData Definition objects remaining to be returned.

If this method fails nothing is written to *ppKLVDataDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppKLVDataDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no KLVData Definition objects remaining to be returned.
Parameters:
ppKLVDataDefs [out,retval] The Next KLVData Definition
HRESULT IEnumAAFKLVDataDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFKLVDataDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFKLVDataDefs Member List
This is the complete list of members for IEnumAAFKLVDataDefs, including all inherited members.
Clone([out, retval] IEnumAAFKLVDataDefs **ppEnum) | IEnumAAFKLVDataDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFKLVDataDefinition **ppKLVDataDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFKLVDataDefs
NextOne([out, retval] IAAFKLVDataDefinition **ppKLVDataDefs) | IEnumAAFKLVDataDefs
Reset() | IEnumAAFKLVDataDefs
Skip([in] aafUInt32 count) | IEnumAAFKLVDataDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFLoadedPlugins Interface Reference

Public Member Functions
IEnumAAFLoadedPlugins Interface Reference

An object which allows iteration over all of the AAFDefObject managed by the AAFPluginManager. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] aafUID_t *ppAAFPluginID)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] aafUID_t *pAAFPluginIDs,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFPluginDesc pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFLoadedPlugins::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFLoadedPlugins **ppEnum)
Creates another EnumAAFLoadedPlugins enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

An object which allows iteration over all of the AAFDefObject managed by the AAFPluginManager.

This is useful when adding something pluggable into an AAF file, as you know what choices are locally available.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 36724 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFLoadedPlugins::Clone ( [out, retval] IEnumAAFLoadedPlugins ** ppEnum )

Creates another EnumAAFLoadedPlugins enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time. The caller must release this new enumerator separately from the first enumerator.

Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFLoadedPlugins::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] aafUID_t * | pAAFPluginIDs,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFPluginDesc pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.

The caller is responsible for properly releasing the returned pointers.

Parameters:
count | [in] number of AAFPluginDef requested
pAAFPluginIDs | [out, size_is(count), length_is(*pFetched)] array to receive aafUID_t
pFetched | [out,ref] number of actual AAFPluginDef fetched into ppAAFPluginDef array
HRESULT IEnumAAFLoadedPlugins::NextOne ( [out, retval] aafUID_t * ppAAFPluginID )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed. This is a just simplified version of the Next method.

Parameters:
ppAAFPluginID [out,retval] The Next AAFPluginID
HRESULT IEnumAAFLoadedPlugins::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

There is no guarantee that the same set of elements will be enumerated on each pass through the list, nor will the elements necessarily be enumerated in the same order. The exact behavior depends on the collection being enumerated.

HRESULT IEnumAAFLoadedPlugins::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFLoadedPlugins::Next will not return those elements.

Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFLoadedPlugins Member List
This is the complete list of members for IEnumAAFLoadedPlugins, including all inherited members.
Clone([out, retval] IEnumAAFLoadedPlugins **ppEnum) | IEnumAAFLoadedPlugins
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] aafUID_t *pAAFPluginIDs,[out, ref] aafUInt32 *pFetched) | IEnumAAFLoadedPlugins
NextOne([out, retval] aafUID_t *ppAAFPluginID) | IEnumAAFLoadedPlugins
Reset() | IEnumAAFLoadedPlugins
Skip([in] aafUInt32 count) | IEnumAAFLoadedPlugins
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFLocators Interface Reference

Public Member Functions
IEnumAAFLocators Interface Reference

This interface is for the enumerator which is generated by IAAFEssenceDescriptor and is used for enumerating over IAAFLocators attached to EssenceDescriptor attached to an AAFSourceMob. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFLocator **ppLocator)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFLocator **ppLocators,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFLocator pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pcFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFLocators::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFLocators **ppEnum)
Creates another locator enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is for the enumerator which is generated by IAAFEssenceDescriptor and is used for enumerating over IAAFLocators attached to EssenceDescriptor attached to an AAFSourceMob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 36827 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFLocators::Clone ( [out, retval] IEnumAAFLocators ** ppEnum )

Creates another locator enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time. Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFLocators::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFLocator ** | ppLocators,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFLocator pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pcFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppLocators pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Locator objects remaining to be returned.

If this method fails nothing is written to *ppLocators or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppLocators or pNumFetched is null.
Parameters:
count | [in] number of locators requested
ppLocators | [out, size_is(count), length_is(*pFetched)] array to receive locators
pFetched | [out,ref] number of actual Locators fetched into ppLocators array
HRESULT IEnumAAFLocators::NextOne ( [out, retval] IAAFLocator ** ppLocator )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppLocator pointer is valid.
  • there are Locator objects remaining to be returned.

If this method fails nothing is written to *ppLocator.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppLocator is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Locators remaining to be returned.
Parameters:
ppLocator [out,retval] The Next Locator
HRESULT IEnumAAFLocators::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFLocators::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFLocators::Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFLocators Member List
This is the complete list of members for IEnumAAFLocators, including all inherited members.
Clone([out, retval] IEnumAAFLocators **ppEnum) | IEnumAAFLocators
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFLocator **ppLocators,[out, ref] aafUInt32 *pFetched) | IEnumAAFLocators
NextOne([out, retval] IAAFLocator **ppLocator) | IEnumAAFLocators
Reset() | IEnumAAFLocators
Skip([in] aafUInt32 count) | IEnumAAFLocators
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFMobs Interface Reference

Public Member Functions
IEnumAAFMobs Interface Reference

This interface is for the enumerator which is generated by IAAFHeader and is used for enumerating over IAAFMobs attached to the content storage attached to the header. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFMob **ppMob)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFMob **ppMobs,[out] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFMob pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFMobs::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFMobs **ppEnum)
Creates another mob enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is for the enumerator which is generated by IAAFHeader and is used for enumerating over IAAFMobs attached to the content storage attached to the header.

The call to generate this enumerator takes a mob kind [see below], and enumerates over a subset of the mobs attached to the content storage. This is because importing programs often import starting with the source mobs, and ending with the composition mobs, so that no dangling references must be maintained in their internal representation. The possible values for mobKind are: kCompMob -- Iterate over AAFCompositionMob. kMasterMob -- iterate over AAFMasterMob. kFileMob -- Iterate over AAFSourceMob with attached AAFFileDescriptor. kTapeMob -- Iterate over AAFSourceMob with attached AAFTapeDescriptor. kFilmMob -- Iterate over AAFSourceMob with attached AAFFilmDescriptor. kAllMob -- Iterate over all IAAMob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 37188 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFMobs::Clone ( [out, retval] IEnumAAFMobs ** ppEnum )

Creates another mob enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out, retval] new enumeration
HRESULT IEnumAAFMobs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFMob ** | ppMobs,
 |  | [out] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFMob pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • the ppMobs pointer is valid.
  • the pNumFetched pointer is valid.
  • there are Mob objects remaining to be returned.

If this method fails nothing is written to *ppMobs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppMob or pNumFetched is null.
Parameters:
count | [in] number of mobs requested
ppMobs | [out, size_is(count), length_is(*pNumFetched)] array to receive mobs
pNumFetched | [out] number of actual Mobs fetched into ppMobs array
HRESULT IEnumAAFMobs::NextOne ( [out, retval] IAAFMob ** ppMob )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppMob pointer is valid.
  • there are Mob objects remaining to be returned.

If this method fails nothing is written to *ppMob.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppMob is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Mobs remaining to be returned.
Parameters:
ppMob [out, retval] The Next Mob
HRESULT IEnumAAFMobs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFMobs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFMobs::Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFMobs Member List
This is the complete list of members for IEnumAAFMobs, including all inherited members.
Clone([out, retval] IEnumAAFMobs **ppEnum) | IEnumAAFMobs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFMob **ppMobs,[out] aafUInt32 *pNumFetched) | IEnumAAFMobs
NextOne([out, retval] IAAFMob **ppMob) | IEnumAAFMobs
Reset() | IEnumAAFMobs
Skip([in] aafUInt32 count) | IEnumAAFMobs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFMobSlots Interface Reference

Public Member Functions
IEnumAAFMobSlots Interface Reference

This interface is for the enumerator which is generated by IAAFMob and is used for enumerating over IAAFMobSlots attached to the mob. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFMobSlot **ppMobSlot)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFMobSlot **ppMobSlots,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFMobSlot pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFMobSlots::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFMobSlots **ppEnum)
Creates another mob slot enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is for the enumerator which is generated by IAAFMob and is used for enumerating over IAAFMobSlots attached to the mob.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 36999 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFMobSlots::Clone ( [out, retval] IEnumAAFMobSlots ** ppEnum )

Creates another mob slot enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFMobSlots::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFMobSlot ** | ppMobSlots,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFMobSlot pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • the ppMobSlots pointer is valid.
  • the pNumFetched pointer is valid.
  • there are Mob Slot objects remaining to be returned.

If this method fails nothing is written to *ppMobSlots or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppMob or pNumFetched is null.

E_INVALIDARG

  • Hit the end of the list of slots being enumerated over.
Parameters:
count | [in] number of mob slots requested
ppMobSlots | [out, size_is(count), length_is(*pNumFetched)] array to receive mob slots
pNumFetched | [out,ref] number of actual MobSlots fetched into ppMobSlots array
HRESULT IEnumAAFMobSlots::NextOne ( [out, retval] IAAFMobSlot ** ppMobSlot )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppMobSlot pointer is valid.
  • there are Mob Slot objects remaining to be returned.

If this method fails nothing is written to *ppMobSlot.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppMobSlot is null.

AAFRESULT_NO_MORE_OBJECTS

  • Hit the end of the list of slots being enumerated over.
Parameters:
ppMobSlot [out,retval] The Next MobSlot
HRESULT IEnumAAFMobSlots::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFMobSlots::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFMobSlots::Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFMobSlots Member List
This is the complete list of members for IEnumAAFMobSlots, including all inherited members.
Clone([out, retval] IEnumAAFMobSlots **ppEnum) | IEnumAAFMobSlots
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFMobSlot **ppMobSlots,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFMobSlots
NextOne([out, retval] IAAFMobSlot **ppMobSlot) | IEnumAAFMobSlots
Reset() | IEnumAAFMobSlots
Skip([in] aafUInt32 count) | IEnumAAFMobSlots
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFOperationDefs Interface Reference

Public Member Functions
IEnumAAFOperationDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFOperationDef **ppOperationDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFOperationDef **ppOperationDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFOperationDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFOperationDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 37349 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFOperationDefs::Clone ( [out, retval] IEnumAAFOperationDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFOperationDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFOperationDef ** | ppOperationDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFOperationDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppOperationDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Operation Definition objects remaining to be returned.

If this method fails nothing is written to *ppOperationDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppOperationDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of OperationDefs requested
ppOperationDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Operation Definition objects fetched into ppOperationDefs array
HRESULT IEnumAAFOperationDefs::NextOne ( [out, retval] IAAFOperationDef ** ppOperationDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppOperationDefs pointer is valid.
  • there are Operation Definition objects remaining to be returned.

If this method fails nothing is written to *ppOperationDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppOperationDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Operation Definition objects remaining to be returned.
Parameters:
ppOperationDefs [out,retval] The Next Operation Definition
HRESULT IEnumAAFOperationDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFOperationDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFOperationDefs Member List
This is the complete list of members for IEnumAAFOperationDefs, including all inherited members.
Clone([out, retval] IEnumAAFOperationDefs **ppEnum) | IEnumAAFOperationDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFOperationDef **ppOperationDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFOperationDefs
NextOne([out, retval] IAAFOperationDef **ppOperationDefs) | IEnumAAFOperationDefs
Reset() | IEnumAAFOperationDefs
Skip([in] aafUInt32 count) | IEnumAAFOperationDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFParameterDefs Interface Reference

Public Member Functions
IEnumAAFParameterDefs Interface Reference

This interface is used to enumerate over the AAFParameterDefinitions referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFParameterDef **ppParameterDef)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFParameterDef **ppParameterDefs,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFParameterDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFParameterDefs **ppEnum)
There is no guarantee that the same set of elements will be enumerated on each pass through the list\, nor will the elements necessarily be enumerated in the same order.

Detailed Description

This interface is used to enumerate over the AAFParameterDefinitions referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 37524 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFParameterDefs::Clone ( [out, retval] IEnumAAFParameterDefs ** ppEnum )

There is no guarantee that the same set of elements will be enumerated on each pass through the list\, nor will the elements necessarily be enumerated in the same order.

The exact behavior depends on the collection being enumerated.) Creates another EnumAAFParameterDefs enumerator with the same state as the current enumerator to iterate over the same list. This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFParameterDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFParameterDef ** | ppParameterDefs,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFParameterDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppParameterDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are AAFParameterDef objects remaining to be returned.

If this method fails nothing is written to *ppComponents or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppParameterDefs or pNumFetched is null.
Parameters:
count | [in] number of control code definitions requested
ppParameterDefs | [out, size_is(count), length_is(*pFetched)] array to receive control code definitions
pFetched | [out,ref] number of actual ParameterDefs fetched into ppParameterDefs array
HRESULT IEnumAAFParameterDefs::NextOne ( [out, retval] IAAFParameterDef ** ppParameterDef )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppParameterDef pointer is valid.
  • there are ParameterDef objects remaining to be returned.

If this method fails nothing is written to *ppParameterDef.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppParameterDef is null.

AAFRESULT_NO_MORE_OBJECTS

  • no ParameterDefs remaining to be returned.
Parameters:
ppParameterDef [out,retval] The Next ParameterDefinition
HRESULT IEnumAAFParameterDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFParameterDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFParameterDefs Member List
This is the complete list of members for IEnumAAFParameterDefs, including all inherited members.
Clone([out, retval] IEnumAAFParameterDefs **ppEnum) | IEnumAAFParameterDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFParameterDef **ppParameterDefs,[out, ref] aafUInt32 *pFetched) | IEnumAAFParameterDefs
NextOne([out, retval] IAAFParameterDef **ppParameterDef) | IEnumAAFParameterDefs
Reset() | IEnumAAFParameterDefs
Skip([in] aafUInt32 count) | IEnumAAFParameterDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFParameters Interface Reference

Public Member Functions
IEnumAAFParameters Interface Reference

This interface is used to enumerate over the AAFParameters referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFParameter **ppParameter)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFParameter **ppParameters,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFParameter pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFParameters **ppEnum)
Creates another EnumAAFParameters enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate over the AAFParameters referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 37699 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFParameters::Clone ( [out, retval] IEnumAAFParameters ** ppEnum )

Creates another EnumAAFParameters enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFParameters::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFParameter ** | ppParameters,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFParameter pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppParameters pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are AAFParameter objects remaining to be returned.

If this method fails nothing is written to *ppComponents or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppParameters or pNumFetched is null.
Parameters:
count | [in] number of parameter objects requested
ppParameters | [out, size_is(count), length_is(*pFetched)] array to receive parameter objects
pFetched | [out,ref] number of actual Parameters fetched into ppParameters array
HRESULT IEnumAAFParameters::NextOne ( [out, retval] IAAFParameter ** ppParameter )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppParameter pointer is valid.
  • there are Parameter objects remaining to be returned.

If this method fails nothing is written to *ppParameter.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppParameter is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Parameters remaining to be returned.
Parameters:
ppParameter [out,retval] The Next Parameter
HRESULT IEnumAAFParameters::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following code:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

There is no guarantee that the same set of elements will be enumerated on each pass through the list, nor will the elements necessarily be enumerated in the same order. The exact behavior depends on the collection being enumerated.

HRESULT IEnumAAFParameters::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFParameters Member List
This is the complete list of members for IEnumAAFParameters, including all inherited members.
Clone([out, retval] IEnumAAFParameters **ppEnum) | IEnumAAFParameters
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFParameter **ppParameters,[out, ref] aafUInt32 *pFetched) | IEnumAAFParameters
NextOne([out, retval] IAAFParameter **ppParameter) | IEnumAAFParameters
Reset() | IEnumAAFParameters
Skip([in] aafUInt32 count) | IEnumAAFParameters
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFPluginDefs Interface Reference

Public Member Functions
IEnumAAFPluginDefs Interface Reference

An object which allows iteration over all of the AAFPluginDefinitions in the dictionary. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFPluginDef **ppPluginDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFPluginDef **ppPluginDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFPluginDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFPluginDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

An object which allows iteration over all of the AAFPluginDefinitions in the dictionary.

These descriptors describe particular implementation of the particular plugin interface.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 37879 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFPluginDefs::Clone ( [out, retval] IEnumAAFPluginDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFPluginDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFPluginDef ** | ppPluginDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFPluginDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppPluginDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Plugin Definition objects remaining to be returned.

If this method fails nothing is written to *ppPluginDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppPluginDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of PluginDefs requested
ppPluginDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Plugin Definition objects fetched into ppPluginDefs array
HRESULT IEnumAAFPluginDefs::NextOne ( [out, retval] IAAFPluginDef ** ppPluginDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppPluginDefs pointer is valid.
  • there are Plugin Definition objects remaining to be returned.

If this method fails nothing is written to *ppPluginDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppPluginDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Plugin Definition objects remaining to be returned.
Parameters:
ppPluginDefs [out,retval] The Next Plugin Definition
HRESULT IEnumAAFPluginDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFPluginDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFPluginDefs Member List
This is the complete list of members for IEnumAAFPluginDefs, including all inherited members.
Clone([out, retval] IEnumAAFPluginDefs **ppEnum) | IEnumAAFPluginDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFPluginDef **ppPluginDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFPluginDefs
NextOne([out, retval] IAAFPluginDef **ppPluginDefs) | IEnumAAFPluginDefs
Reset() | IEnumAAFPluginDefs
Skip([in] aafUInt32 count) | IEnumAAFPluginDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFPluginLocators Interface Reference

Public Member Functions
IEnumAAFPluginLocators Interface Reference

An object which allows iteration over all of the AAFLocators attached to an AAFPluginDescriptor. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFLocator **ppAAFLocator)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFLocator **ppAAFLocators,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFLocator pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFPluginLocators::Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFPluginLocators **ppEnum)
Creates another AAFPluginLocators enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

An object which allows iteration over all of the AAFLocators attached to an AAFPluginDescriptor.

These locators describe how to locate the exact object code described in the AAFPluginDescriptor.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 38054 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFPluginLocators::Clone ( [out, retval] IEnumAAFPluginLocators ** ppEnum )

Creates another AAFPluginLocators enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

The caller must release this new enumerator separately from the first enumerator.

Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFPluginLocators::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFLocator ** | ppAAFLocators,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFLocator pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pFetched.

The caller is responsible for properly releasing the returned pointers.

Parameters:
count | [in] number of AAFLocators requested
ppAAFLocators | [out, size_is(count), length_is(*pFetched)] array to receive AAFLocators
pFetched | [out,ref] number of actual AAFLocators fetched into ppAAFLocators array
HRESULT IEnumAAFPluginLocators::NextOne ( [out, retval] IAAFLocator ** ppAAFLocator )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Parameters:
ppAAFLocator [out,retval] The Next AAFLocator
HRESULT IEnumAAFPluginLocators::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

There is no guarantee that the same set of elements will be enumerated on each pass through the list, nor will the elements necessarily be enumerated inthe same order. The exact behavior depends on the collection being enumerated.

HRESULT IEnumAAFPluginLocators::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to EnumAAFPluginLocators::Next will not return those elements.

Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFPluginLocators Member List
This is the complete list of members for IEnumAAFPluginLocators, including all inherited members.
Clone([out, retval] IEnumAAFPluginLocators **ppEnum) | IEnumAAFPluginLocators
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFLocator **ppAAFLocators,[out, ref] aafUInt32 *pFetched) | IEnumAAFPluginLocators
NextOne([out, retval] IAAFLocator **ppAAFLocator) | IEnumAAFPluginLocators
Reset() | IEnumAAFPluginLocators
Skip([in] aafUInt32 count) | IEnumAAFPluginLocators
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFProperties Interface Reference

Public Member Functions
IEnumAAFProperties Interface Reference

This interface is used to enumerate over the AAFProperties contained in a collection. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFProperty **ppProperties)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFProperty **ppProperties,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFProperty pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFProperties **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate over the AAFProperties contained in a collection.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 38161 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFProperties::Clone ( [out, retval] IEnumAAFProperties ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFProperties::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFProperty ** | ppProperties,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFProperty pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppProperties pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Property objects remaining to be returned.

If this method fails nothing is written to *ppProperties or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppProperties or pNumFetched arg is NULL.
Parameters:
count | [in] number of Properties requested
ppProperties | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Property objects fetched into ppProperties array
HRESULT IEnumAAFProperties::NextOne ( [out, retval] IAAFProperty ** ppProperties )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppProperties pointer is valid.
  • there are Property objects remaining to be returned.

If this method fails nothing is written to *ppProperties.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppProperties arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Property objects remaining to be returned.
Parameters:
ppProperties [out,retval] The Next Property
HRESULT IEnumAAFProperties::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFProperties::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFProperties Member List
This is the complete list of members for IEnumAAFProperties, including all inherited members.
Clone([out, retval] IEnumAAFProperties **ppEnum) | IEnumAAFProperties
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFProperty **ppProperties,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFProperties
NextOne([out, retval] IAAFProperty **ppProperties) | IEnumAAFProperties
Reset() | IEnumAAFProperties
Skip([in] aafUInt32 count) | IEnumAAFProperties
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFPropertyDefs Interface Reference

Public Member Functions
IEnumAAFPropertyDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFPropertyDef **ppPropertyDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFPropertyDef **ppPropertyDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFPropertyDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFPropertyDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 38323 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFPropertyDefs::Clone ( [out, retval] IEnumAAFPropertyDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFPropertyDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFPropertyDef ** | ppPropertyDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFPropertyDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppPropertyDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Property Definition objects remaining to be returned.

If this method fails nothing is written to *ppPropertyDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppPropertyDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of PropertyDefs requested
ppPropertyDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Property Definition objects fetched into ppPropertyDefs array
HRESULT IEnumAAFPropertyDefs::NextOne ( [out, retval] IAAFPropertyDef ** ppPropertyDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppPropertyDefs pointer is valid.
  • there are Property Definition objects remaining to be returned.

If this method fails nothing is written to *ppPropertyDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppPropertyDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Property Definition objects remaining to be returned.
Parameters:
ppPropertyDefs [out,retval] The Next Property Definition
HRESULT IEnumAAFPropertyDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFPropertyDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFPropertyDefs Member List
This is the complete list of members for IEnumAAFPropertyDefs, including all inherited members.
Clone([out, retval] IEnumAAFPropertyDefs **ppEnum) | IEnumAAFPropertyDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFPropertyDef **ppPropertyDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFPropertyDefs
NextOne([out, retval] IAAFPropertyDef **ppPropertyDefs) | IEnumAAFPropertyDefs
Reset() | IEnumAAFPropertyDefs
Skip([in] aafUInt32 count) | IEnumAAFPropertyDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFPropertyValues Interface Reference

Public Member Functions
IEnumAAFPropertyValues Interface Reference

This interface is used to enumerate over the AAFPropertyValues contained in a collection. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFPropertyValue **ppPropertyValue)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFPropertyValue **ppPropertyValues,[out, ref] aafUInt32 *pFetched)
Enumerates the next count elements (AAFPropertyValue pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFPropertyValues **ppEnum)
Creates another Property Value enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate over the AAFPropertyValues contained in a collection.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 38497 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFPropertyValues::Clone ( [out, retval] IEnumAAFPropertyValues ** ppEnum )

Creates another Property Value enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum is null.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFPropertyValues::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pFetched)] IAAFPropertyValue ** | ppPropertyValues,
 |  | [out, ref] aafUInt32 * | pFetched
 | ) |  |

Enumerates the next count elements (AAFPropertyValue pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppMobs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Property Value objects remaining to be returned.

If this method fails nothing is written to *ppPropertyValues or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either ppCompoents or pNumFetched is null.
Parameters:
count | [in] number of objects requested
ppPropertyValues | [out, size_is(count), length_is(*pFetched)] array to receive Property Values
pFetched | [out,ref] number of actual Property Values fetched into ppPropertyValues array
HRESULT IEnumAAFPropertyValues::NextOne ( [out, retval] IAAFPropertyValue ** ppPropertyValue )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppPropertyValue pointer is valid.
  • there are Property Values remaining to be returned.

If this method fails nothing is written to *ppPropertyValue.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppPropertyValue is null.

AAFRESULT_NO_MORE_OBJECTS

  • no Components remaining to be returned.
Parameters:
ppPropertyValue [out,retval] The Next Property Value
HRESULT IEnumAAFPropertyValues::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

Always succeeds.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFPropertyValues::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFPropertyValues Member List
This is the complete list of members for IEnumAAFPropertyValues, including all inherited members.
Clone([out, retval] IEnumAAFPropertyValues **ppEnum) | IEnumAAFPropertyValues
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pFetched)] IAAFPropertyValue **ppPropertyValues,[out, ref] aafUInt32 *pFetched) | IEnumAAFPropertyValues
NextOne([out, retval] IAAFPropertyValue **ppPropertyValue) | IEnumAAFPropertyValues
Reset() | IEnumAAFPropertyValues
Skip([in] aafUInt32 count) | IEnumAAFPropertyValues
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFRIFFChunks Interface Reference

Public Member Functions
IEnumAAFRIFFChunks Interface Reference

This interface is used to enumerate across RIFFChunk objects. More...

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFRIFFChunk **ppRIFFChunks)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFRIFFChunk **ppRIFFChunks,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFRIFFChunk pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFRIFFChunks **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

This interface is used to enumerate across RIFFChunk objects.

In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:

AAFRESULT_NOMEMORY

  • insufficient system memory is available to perform the operation.

Definition at line 38675 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFRIFFChunks::Clone ( [out, retval] IEnumAAFRIFFChunks ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFRIFFChunks::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFRIFFChunk ** | ppRIFFChunks,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFRIFFChunk pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppRIFFChunks pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are RIFFChunk objects remaining to be returned.

If this method fails nothing is written to *ppRIFFChunks or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppRIFFChunks or pNumFetched arg is NULL.
Parameters:
count | [in] number of RIFFChunks requested
ppRIFFChunks | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual RIFFChunk objects fetched into ppRIFFChunks array
HRESULT IEnumAAFRIFFChunks::NextOne ( [out, retval] IAAFRIFFChunk ** ppRIFFChunks )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppRIFFChunks pointer is valid.
  • there are RIFFChunk objects remaining to be returned.

If this method fails nothing is written to *ppRIFFChunks.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppRIFFChunks arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no RIFFChunk objects remaining to be returned.
Parameters:
ppRIFFChunks [out,retval] The Next RIFFChunk
HRESULT IEnumAAFRIFFChunks::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFRIFFChunks::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFRIFFChunks Member List
This is the complete list of members for IEnumAAFRIFFChunks, including all inherited members.
Clone([out, retval] IEnumAAFRIFFChunks **ppEnum) | IEnumAAFRIFFChunks
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFRIFFChunk **ppRIFFChunks,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFRIFFChunks
NextOne([out, retval] IAAFRIFFChunk **ppRIFFChunks) | IEnumAAFRIFFChunks
Reset() | IEnumAAFRIFFChunks
Skip([in] aafUInt32 count) | IEnumAAFRIFFChunks
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFSegments Interface Reference

Public Member Functions
IEnumAAFSegments Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFSegment **ppSegments)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFSegment **ppSegments,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFSegment pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFSegments **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 38839 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFSegments::Clone ( [out, retval] IEnumAAFSegments ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFSegments::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFSegment ** | ppSegments,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFSegment pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppSegments pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Segment objects remaining to be returned.

If this method fails nothing is written to *ppSegments or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppSegments or pNumFetched arg is NULL.
Parameters:
count | [in] number of Segments requested
ppSegments | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Segment objects fetched into ppSegments array
HRESULT IEnumAAFSegments::NextOne ( [out, retval] IAAFSegment ** ppSegments )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppSegments pointer is valid.
  • there are Segment objects remaining to be returned.

If this method fails nothing is written to *ppSegments.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppSegments arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Segment objects remaining to be returned.
Parameters:
ppSegments [out,retval] The Next Segment
HRESULT IEnumAAFSegments::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFSegments::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFSegments Member List
This is the complete list of members for IEnumAAFSegments, including all inherited members.
Clone([out, retval] IEnumAAFSegments **ppEnum) | IEnumAAFSegments
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFSegment **ppSegments,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFSegments
NextOne([out, retval] IAAFSegment **ppSegments) | IEnumAAFSegments
Reset() | IEnumAAFSegments
Skip([in] aafUInt32 count) | IEnumAAFSegments
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFTaggedValueDefs Interface Reference

Public Member Functions
IEnumAAFTaggedValueDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFTaggedValueDefinition **ppTaggedValueDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValueDefinition **ppTaggedValueDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFTaggedValueDefinition pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFTaggedValueDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 39002 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFTaggedValueDefs::Clone ( [out, retval] IEnumAAFTaggedValueDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFTaggedValueDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValueDefinition ** | ppTaggedValueDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFTaggedValueDefinition pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppTaggedValueDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are TaggedValue Definition objects remaining to be returned.

If this method fails nothing is written to *ppTaggedValueDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppTaggedValueDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of TaggedValueDefs requested
ppTaggedValueDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual TaggedValue Definition objects fetched into ppTaggedValueDefs array
HRESULT IEnumAAFTaggedValueDefs::NextOne ( [out, retval] IAAFTaggedValueDefinition ** ppTaggedValueDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppTaggedValueDefs pointer is valid.
  • there are TaggedValue Definition objects remaining to be returned.

If this method fails nothing is written to *ppTaggedValueDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppTaggedValueDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no TaggedValue Definition objects remaining to be returned.
Parameters:
ppTaggedValueDefs [out,retval] The Next TaggedValue Definition
HRESULT IEnumAAFTaggedValueDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFTaggedValueDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFTaggedValueDefs Member List
This is the complete list of members for IEnumAAFTaggedValueDefs, including all inherited members.
Clone([out, retval] IEnumAAFTaggedValueDefs **ppEnum) | IEnumAAFTaggedValueDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValueDefinition **ppTaggedValueDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFTaggedValueDefs
NextOne([out, retval] IAAFTaggedValueDefinition **ppTaggedValueDefs) | IEnumAAFTaggedValueDefs
Reset() | IEnumAAFTaggedValueDefs
Skip([in] aafUInt32 count) | IEnumAAFTaggedValueDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFTaggedValues Interface Reference

Public Member Functions
IEnumAAFTaggedValues Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFTaggedValue **ppTaggedValues)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValue **ppTaggedValues,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFTaggedValue pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFTaggedValues **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 39164 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFTaggedValues::Clone ( [out, retval] IEnumAAFTaggedValues ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFTaggedValues::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValue ** | ppTaggedValues,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFTaggedValue pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppTaggedValues pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Tagged Value objects remaining to be returned.

If this method fails nothing is written to *ppTaggedValues or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppTaggedValues or pNumFetched arg is NULL.
Parameters:
count | [in] number of TaggedValues requested
ppTaggedValues | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Tagged Value objects fetched into ppTaggedValues array
HRESULT IEnumAAFTaggedValues::NextOne ( [out, retval] IAAFTaggedValue ** ppTaggedValues )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppTaggedValues pointer is valid.
  • there are Tagged Value objects remaining to be returned.

If this method fails nothing is written to *ppTaggedValues.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppTaggedValues arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Tagged Value objects remaining to be returned.
Parameters:
ppTaggedValues [out,retval] The Next Tagged Value
HRESULT IEnumAAFTaggedValues::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFTaggedValues::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFTaggedValues Member List
This is the complete list of members for IEnumAAFTaggedValues, including all inherited members.
Clone([out, retval] IEnumAAFTaggedValues **ppEnum) | IEnumAAFTaggedValues
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValue **ppTaggedValues,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFTaggedValues
NextOne([out, retval] IAAFTaggedValue **ppTaggedValues) | IEnumAAFTaggedValues
Reset() | IEnumAAFTaggedValues
Skip([in] aafUInt32 count) | IEnumAAFTaggedValues
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: IEnumAAFTypeDefs Interface Reference

Public Member Functions
IEnumAAFTypeDefs Interface Reference

List of all members.

Public Member Functions

HRESULT | NextOne ([out, retval] IAAFTypeDef **ppTypeDefs)
Enumerates to the next element in the enumerators list.
HRESULT | Next ([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTypeDef **ppTypeDefs,[out, ref] aafUInt32 *pNumFetched)
Enumerates the next count elements (AAFTypeDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.
HRESULT | Skip ([in] aafUInt32 count)
Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.
HRESULT | Reset ()
Instructs the enumerator to position itself at the beginning of the list of elements.
HRESULT | Clone ([out, retval] IEnumAAFTypeDefs **ppEnum)
Creates another enumerator with the same state as the current enumerator to iterate over the same list.

Detailed Description

Definition at line 39326 of file AAF.idl.

Member Function Documentation

HRESULT IEnumAAFTypeDefs::Clone ( [out, retval] IEnumAAFTypeDefs ** ppEnum )

Creates another enumerator with the same state as the current enumerator to iterate over the same list.

This method makes it possible to record a point in the enumeration sequence in order to return to that point at a later time.

Note: The caller must release this new enumerator separately from the first enumerator.

Succeeds if all of the following are true:

  • the ppEnum pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppEnum arg is NULL.
Parameters:
ppEnum [out,retval] new enumeration
HRESULT IEnumAAFTypeDefs::Next | ( | [in] aafUInt32 | count,
 |  | [out, size_is(count), length_is(*pNumFetched)] IAAFTypeDef ** | ppTypeDefs,
 |  | [out, ref] aafUInt32 * | pNumFetched
 | ) |  |

Enumerates the next count elements (AAFTypeDef pointers) in the enumerator's list, returning them in the given array along with the actual number of enumerated elements in pNumFetched.

The caller is responsible for properly releasing the returned pointers.

Succeeds if all of the following are true:

  • The ppTypeDefs pointer is valid.
  • The pNumFetched pointer is valid. If count is 1, pNumFetched can be NULL.
  • There are Type Definition objects remaining to be returned.

If this method fails nothing is written to *ppTypeDefs or pNumFetched.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • Either ppTypeDefs or pNumFetched arg is NULL.
Parameters:
count | [in] number of TypeDefs requested
ppTypeDefs | [out, size_is(count), length_is(*pNumFetched)] array to receive elements
pNumFetched | [out,ref] number of actual Type Definition objects fetched into ppTypeDefs array
HRESULT IEnumAAFTypeDefs::NextOne ( [out, retval] IAAFTypeDef ** ppTypeDefs )

Enumerates to the next element in the enumerators list.

The caller is responsible for properly releasing the returned pointer when it is no longer needed.

Succeeds if all of the following are true:

  • the ppTypeDefs pointer is valid.
  • there are Type Definition objects remaining to be returned.

If this method fails nothing is written to *ppTypeDefs.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppTypeDefs arg is NULL.

AAFRESULT_NO_MORE_OBJECTS

  • no Type Definition objects remaining to be returned.
Parameters:
ppTypeDefs [out,retval] The Next Type Definition
HRESULT IEnumAAFTypeDefs::Reset ( )

Instructs the enumerator to position itself at the beginning of the list of elements.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)
HRESULT IEnumAAFTypeDefs::Skip ( [in] aafUInt32 count )

Instructs the enumerator to skip the next count elements in the enumeration so that the next call to Next will not return those elements.

Succeeds if all of the following are true:

  • count is less than or equal to the number of remaining objects.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NO_MORE_OBJECTS

  • count exceeded number of remaining objects.
Parameters:
count [in] Number of elements to skip
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IEnumAAFTypeDefs Member List
This is the complete list of members for IEnumAAFTypeDefs, including all inherited members.
Clone([out, retval] IEnumAAFTypeDefs **ppEnum) | IEnumAAFTypeDefs
Next([in] aafUInt32 count,[out, size_is(count), length_is(*pNumFetched)] IAAFTypeDef **ppTypeDefs,[out, ref] aafUInt32 *pNumFetched) | IEnumAAFTypeDefs
NextOne([out, retval] IAAFTypeDef **ppTypeDefs) | IEnumAAFTypeDefs
Reset() | IEnumAAFTypeDefs
Skip([in] aafUInt32 count) | IEnumAAFTypeDefs
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- _ -

  • _aafAlphaTransparency_e : IAAFTypes
  • _aafAppendOption_e : IAAFTypes
  • _aafAttributeKind_e : IAAFTypes
  • _aafAudioSampleType_e : IAAFTypes
  • _aafAuxBitsModeType_e : IAAFTypes
  • _aafBoolean_e : IAAFTypes
  • _aafChannelStatusModeType_e : IAAFTypes
  • _aafColorSiting_e : IAAFTypes
  • _aafColorSpace_e : IAAFTypes
  • _aafCompressEnable_e : IAAFTypes
  • _aafContentScanningType_e : IAAFTypes
  • _aafCriteriaType_e : IAAFTypes
  • _AAFDataDefinitionMatch_e : IAAFTypes
  • _aafDefinitionCritType_e : IAAFTypes
  • _aafDefinitionKind_e : IAAFTypes
  • _aafDepend_e : IAAFTypes
  • _aafDirectionCode_e : IAAFTypes
  • _aafDropType_e : IAAFTypes
  • _aafEdgeType_e : IAAFTypes
  • _aafEditHint_e : IAAFTypes
  • _aafElectroSpatialFormulation_e : IAAFTypes
  • _aafEmphasisType_e : IAAFTypes
  • _aafFadeType_e : IAAFTypes
  • _aafFieldDom_e : IAAFTypes
  • _aafFieldNumber_e : IAAFTypes
  • _aafFieldTop_e : IAAFTypes
  • _aafFileAccess_e : IAAFTypes
  • _aafFileExistence_e : IAAFTypes
  • _aafFileFormat_e : IAAFTypes
  • _aafFileRev_e : IAAFTypes
  • _aafFilmType_e : IAAFTypes
  • _aafFrameLayout_e : IAAFTypes
  • _aafIdentificationCritType_e : IAAFTypes
  • _aafIncMedia_e : IAAFTypes
  • _aafIndexType_e : IAAFTypes
  • _aafInterpKind_e : IAAFTypes
  • _aafJPEGcomponent_e : IAAFTypes
  • _aafMAX_NUM_RGBA_COMPS_e : IAAFTypes
  • _aafMediaOpenMode_e : IAAFTypes
  • _aafMobKind_e : IAAFTypes
  • _aafOperationChoice_e : IAAFTypes
  • _aafPixelFormat_e : IAAFTypes
  • _aafProductReleaseType_e : IAAFTypes
  • _aafPropertyOpt_e : IAAFTypes
  • _aafPulldownDir_e : IAAFTypes
  • _aafPulldownKind_e : IAAFTypes
  • _aafReferenceType_e : IAAFTypes
  • _aafRGBAComponentKind_e : IAAFTypes
  • _aafScanningDirection_e : IAAFTypes
  • _aafSearchDictionaryTag_e : IAAFTypes
  • _aafSearchTag_e : IAAFTypes
  • _aafSignalStandard_e : IAAFTypes
  • _aafSwapNeeded_e : IAAFTypes
  • _aafTapeCaseType_e : IAAFTypes
  • _aafTapeFormatType_e : IAAFTypes
  • _aafTimecodeSourceType_e : IAAFTypes
  • _aafTitleAlignmentType_e : IAAFTypes
  • _aafUserDataModeType_e : IAAFTypes
  • _aafVideoSignalType_e : IAAFTypes
  • _eAAFByteOrder_e : IAAFTypes
  • _eAAFTypeCategory_e : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- k -

  • kAAF8mmFormat : IAAFTypes
  • kAAF8mmVideoTape : IAAFTypes
  • kAAFAllClasses : IAAFTypes
  • kAAFAllDefinitions : IAAFTypes
  • kAAFAllMob : IAAFTypes
  • kAAFAnyRepresentation : IAAFTypes
  • kAAFAppend : IAAFTypes
  • kAAFAuxBitsMode_MainAudioSampleData : IAAFTypes
  • kAAFAuxBitsMode_NotDefined : IAAFTypes
  • kAAFAuxBitsMode_Reserved0 : IAAFTypes
  • kAAFAuxBitsMode_Reserved1 : IAAFTypes
  • kAAFAuxBitsMode_Reserved2 : IAAFTypes
  • kAAFAuxBitsMode_Reserved3 : IAAFTypes
  • kAAFAuxBitsMode_SingleCoordinationSignal : IAAFTypes
  • kAAFAuxBitsMode_UserDefined : IAAFTypes
  • kAAFAveraging : IAAFTypes
  • kAAFBestFidelityRepresentation : IAAFTypes
  • kAAFBetacamFormat : IAAFTypes
  • kAAFBetacamSPFormat : IAAFTypes
  • kAAFBetacamVideoTape : IAAFTypes
  • kAAFByClass : IAAFTypes
  • kAAFByClassID : IAAFTypes
  • kAAFByClassName : IAAFTypes
  • kAAFByCompositionMobUsageCode : IAAFTypes
  • kAAFByDataDef : IAAFTypes
  • kAAFByDefClass : IAAFTypes
  • kAAFByDefKind : IAAFTypes
  • kAAFByDefName : IAAFTypes
  • kAAFByIdGeneration : IAAFTypes
  • kAAFByIdProductID : IAAFTypes
  • kAAFByIdRefImplVersion : IAAFTypes
  • kAAFByMasterMobUsageCode : IAAFTypes
  • kAAFByMediaCrit : IAAFTypes
  • kAAFByMobID : IAAFTypes
  • kAAFByMobKind : IAAFTypes
  • kAAFByName : IAAFTypes
  • kAAFByParentClassID : IAAFTypes
  • kAAFByPropertyID : IAAFTypes
  • kAAFBySourceMobUsageCode : IAAFTypes
  • kAAFByteOrderBig : IAAFTypes
  • kAAFByteOrderLittle : IAAFTypes
  • kAAFByTypeID : IAAFTypes
  • kAAFByUsageCode : IAAFTypes
  • kAAFChannelStatusMode_Essence : IAAFTypes
  • kAAFChannelStatusMode_Fixed : IAAFTypes
  • kAAFChannelStatusMode_Minimum : IAAFTypes
  • kAAFChannelStatusMode_None : IAAFTypes
  • kAAFChannelStatusMode_Standard : IAAFTypes
  • kAAFChannelStatusMode_Stream : IAAFTypes
  • kAAFClassDefinition : IAAFTypes
  • kAAFColorSpaceCMYK : IAAFTypes
  • kAAFColorSpaceHSI : IAAFTypes
  • kAAFColorSpaceHSV : IAAFTypes
  • kAAFColorSpaceRGB : IAAFTypes
  • kAAFColorSpaceYCrCb : IAAFTypes
  • kAAFColorSpaceYDrDb : IAAFTypes
  • kAAFColorSpaceYIQ : IAAFTypes
  • kAAFColorSpaceYUV : IAAFTypes
  • kAAFCompactCassette : IAAFTypes
  • kAAFCompAlpha : IAAFTypes
  • kAAFCompBlue : IAAFTypes
  • kAAFCompFill : IAAFTypes
  • kAAFCompGreen : IAAFTypes
  • kAAFCompMob : IAAFTypes
  • kAAFCompMobIndex : IAAFTypes
  • kAAFCompNone : IAAFTypes
  • kAAFCompNull : IAAFTypes
  • kAAFCompPalette : IAAFTypes
  • kAAFCompRed : IAAFTypes
  • kAAFCompressionDisable : IAAFTypes
  • kAAFCompressionEnable : IAAFTypes
  • kAAFConstInterp : IAAFTypes
  • kAAFContentScanning_Interlace : IAAFTypes
  • kAAFContentScanning_Mixed : IAAFTypes
  • kAAFContentScanning_NotKnown : IAAFTypes
  • kAAFContentScanning_Progressive : IAAFTypes
  • kAAFConvertFrom : IAAFTypes
  • kAAFConvertTo : IAAFTypes
  • kAAFCoSiting : IAAFTypes
  • kAAFDataDefinition : IAAFTypes
  • kAAFDATCartridge : IAAFTypes
  • kAAFDirCodeDown : IAAFTypes
  • kAAFDirCodeLeft : IAAFTypes
  • kAAFDirCodeLowerLeft : IAAFTypes
  • kAAFDirCodeLowerRight : IAAFTypes
  • kAAFDirCodeRight : IAAFTypes
  • kAAFDirCodeUp : IAAFTypes
  • kAAFDirCodeUpperLeft : IAAFTypes
  • kAAFDirCodeUpperRight : IAAFTypes
  • kAAFDominantField1 : IAAFTypes
  • kAAFDominantField2 : IAAFTypes
  • kAAFElectroSpatialFormulation_Default : IAAFTypes
  • kAAFElectroSpatialFormulation_MultiChannelMode : IAAFTypes
  • kAAFElectroSpatialFormulation_PrimarySecondaryMode : IAAFTypes
  • kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_SingleChannelMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereophonicMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_TwoChannelMode : IAAFTypes
  • kAAFEmphasis_15and50 : IAAFTypes
  • kAAFEmphasis_ITU : IAAFTypes
  • kAAFEmphasis_None : IAAFTypes
  • kAAFEmphasis_Reserved0 : IAAFTypes
  • kAAFEmphasis_Reserved1 : IAAFTypes
  • kAAFEmphasis_Reserved2 : IAAFTypes
  • kAAFEmphasis_Reserved3 : IAAFTypes
  • kAAFEmphasis_Unknown : IAAFTypes
  • kAAFEssence : IAAFTypes
  • kAAFEtEdgenum4 : IAAFTypes
  • kAAFEtEdgenum5 : IAAFTypes
  • kAAFEtHeaderSize : IAAFTypes
  • kAAFEtKeycode : IAAFTypes
  • kAAFEtNull : IAAFTypes
  • kAAFExactMatch : IAAFTypes
  • kAAFFadeLinearAmp : IAAFTypes
  • kAAFFadeLinearPower : IAAFTypes
  • kAAFFadeNone : IAAFTypes
  • kAAFFalse : IAAFTypes
  • kAAFFastestRepresentation : IAAFTypes
  • kAAFFieldOne : IAAFTypes
  • kAAFFieldTwo : IAAFTypes
  • kAAFFileAccess_modify : IAAFTypes
  • kAAFFileAccess_none : IAAFTypes
  • kAAFFileAccess_read : IAAFTypes
  • kAAFFileAccess_write : IAAFTypes
  • kAAFFileExistence_existing : IAAFTypes
  • kAAFFileExistence_new : IAAFTypes
  • kAAFFileMob : IAAFTypes
  • kAAFFilmMob : IAAFTypes
  • kAAFFilmToTapeSpeed : IAAFTypes
  • kAAFFindIncoming : IAAFTypes
  • kAAFFindNull : IAAFTypes
  • kAAFFindOperationSrc1 : IAAFTypes
  • kAAFFindOperationSrc2 : IAAFTypes
  • kAAFFindOperationSrc3 : IAAFTypes
  • kAAFFindOperationSrc4 : IAAFTypes
  • kAAFFindOperationSrc5 : IAAFTypes
  • kAAFFindOperationSrc6 : IAAFTypes
  • kAAFFindOperationSrc7 : IAAFTypes
  • kAAFFindOperationSrc8 : IAAFTypes
  • kAAFFindOutgoing : IAAFTypes
  • kAAFFindRender : IAAFTypes
  • kAAFFollowDepend : IAAFTypes
  • kAAFForceOverwrite : IAAFTypes
  • kAAFForeignMedia : IAAFTypes
  • kAAFFt16MM : IAAFTypes
  • kAAFFt35MM : IAAFTypes
  • kAAFFt65MM : IAAFTypes
  • kAAFFt8MM : IAAFTypes
  • kAAFFtNull : IAAFTypes
  • kAAFFullFrame : IAAFTypes
  • kAAFHi8Format : IAAFTypes
  • kAAFIncludeMedia : IAAFTypes
  • kAAFIntegerAttribute : IAAFTypes
  • kAAFJcChrominance : IAAFTypes
  • kAAFJcChrominanceFP16 : IAAFTypes
  • kAAFJcLuminance : IAAFTypes
  • kAAFJcLuminanceFP16 : IAAFTypes
  • kAAFLinearInterp : IAAFTypes
  • kAAFMasterMob : IAAFTypes
  • kAAFMaxValueTransparent : IAAFTypes
  • kAAFMediaIndex : IAAFTypes
  • kAAFMediaOpenAppend : IAAFTypes
  • kAAFMediaOpenReadOnly : IAAFTypes
  • kAAFMinValueTransparent : IAAFTypes
  • kAAFMixedFields : IAAFTypes
  • kAAFNagraAudioTape : IAAFTypes
  • kAAFNeverSwap : IAAFTypes
  • kAAFNoDefSearch : IAAFTypes
  • kAAFNoDominant : IAAFTypes
  • kAAFNoEditHint : IAAFTypes
  • kAAFNoFollowDepend : IAAFTypes
  • kAAFNoIdSearch : IAAFTypes
  • kAAFNoIncludeMedia : IAAFTypes
  • kAAFNoSearch : IAAFTypes
  • kAAFNTSCSignal : IAAFTypes
  • kAAFNullAttribute : IAAFTypes
  • kAAFObjectAttribute : IAAFTypes
  • kAAFOffsetBinary : IAAFTypes
  • kAAFOneField : IAAFTypes
  • kAAFOneToOneHDSixty : IAAFTypes
  • kAAFOneToOneNTSC : IAAFTypes
  • kAAFOneToOnePAL : IAAFTypes
  • kAAFOperationDefinition : IAAFTypes
  • kAAFPALPD : IAAFTypes
  • kAAFPALSignal : IAAFTypes
  • kAAFPhysicalMob : IAAFTypes
  • kAAFPixNone : IAAFTypes
  • kAAFPixRGBA : IAAFTypes
  • kAAFPixYUV : IAAFTypes
  • kAAFPrimaryMob : IAAFTypes
  • kAAFPrimaryMobIndex : IAAFTypes
  • kAAFPropertyDefinition : IAAFTypes
  • kAAFPropOptional : IAAFTypes
  • kAAFProportional : IAAFTypes
  • kAAFPropRequired : IAAFTypes
  • kAAFQuincunx : IAAFTypes
  • kAAFRec601 : IAAFTypes
  • kAAFRefEnumvalue : IAAFTypes
  • kAAFRefLimitMaximum : IAAFTypes
  • kAAFRefLimitMinimum : IAAFTypes
  • kAAFRefMaximum : IAAFTypes
  • kAAFRefMinimum : IAAFTypes
  • kAAFRelativeFixed : IAAFTypes
  • kAAFRelativeLeft : IAAFTypes
  • kAAFRelativeRight : IAAFTypes
  • kAAFRev1 : IAAFTypes
  • kAAFRev2 : IAAFTypes
  • kAAFScanningDirection_BottomToTopLeftToRight : IAAFTypes
  • kAAFScanningDirection_BottomToTopRightToLeft : IAAFTypes
  • kAAFScanningDirection_LeftToRightBottomToTop : IAAFTypes
  • kAAFScanningDirection_LeftToRightTopToBottom : IAAFTypes
  • kAAFScanningDirection_RightToLeftBottomToTop : IAAFTypes
  • kAAFScanningDirection_RightToLeftTopToBottom : IAAFTypes
  • kAAFScanningDirection_TopToBottomLeftToRight : IAAFTypes
  • kAAFScanningDirection_TopToBottomRightToLeft : IAAFTypes
  • kAAFSECAMSignal : IAAFTypes
  • kAAFSegmentedFrame : IAAFTypes
  • kAAFSeparateFields : IAAFTypes
  • kAAFSignalStandard_ITU1358 : IAAFTypes
  • kAAFSignalStandard_ITU601 : IAAFTypes
  • kAAFSignalStandard_None : IAAFTypes
  • kAAFSignalStandard_SMPTE274M : IAAFTypes
  • kAAFSignalStandard_SMPTE296M : IAAFTypes
  • kAAFSignalStandard_SMPTE347M : IAAFTypes
  • kAAFSignalStandard_SMPTE349M : IAAFTypes
  • kAAFSignedMagnitude : IAAFTypes
  • kAAFSmallestRepresentation : IAAFTypes
  • kAAFSourceMobIndex : IAAFTypes
  • kAAFStringAttribute : IAAFTypes
  • kAAFSVHSFormat : IAAFTypes
  • kAAFSwapIfNeeded : IAAFTypes
  • kAAFTapeCaseNull : IAAFTypes
  • kAAFTapeFormatNull : IAAFTypes
  • kAAFTapeMob : IAAFTypes
  • kAAFTapeToFilmSpeed : IAAFTypes
  • kAAFTcDrop : IAAFTypes
  • kAAFTcNonDrop : IAAFTypes
  • kAAFThreeFourthInchVideoTape : IAAFTypes
  • kAAFThreeTap : IAAFTypes
  • kAAFTimecodeLTC : IAAFTypes
  • kAAFTimecodeVITC : IAAFTypes
  • kAAFTitleAlignment_Center : IAAFTypes
  • kAAFTitleAlignment_Left : IAAFTypes
  • kAAFTitleAlignment_Right : IAAFTypes
  • kAAFTopField1 : IAAFTypes
  • kAAFTopField2 : IAAFTypes
  • kAAFTopFieldNone : IAAFTypes
  • kAAFTrue : IAAFTypes
  • kAAFTwentyFourToSixtyPD : IAAFTypes
  • kAAFTwoThreePD : IAAFTypes
  • kAAFTwoToOnePD : IAAFTypes
  • kAAFTypeCatCharacter : IAAFTypes
  • kAAFTypeCatEncrypted : IAAFTypes
  • kAAFTypeCatEnum : IAAFTypes
  • kAAFTypeCatExtEnum : IAAFTypes
  • kAAFTypeCatFixedArray : IAAFTypes
  • kAAFTypeCatIndirect : IAAFTypes
  • kAAFTypeCatInt : IAAFTypes
  • kAAFTypeCatOpaque : IAAFTypes
  • kAAFTypeCatRecord : IAAFTypes
  • kAAFTypeCatRename : IAAFTypes
  • kAAFTypeCatSet : IAAFTypes
  • kAAFTypeCatStream : IAAFTypes
  • kAAFTypeCatString : IAAFTypes
  • kAAFTypeCatStrongObjRef : IAAFTypes
  • kAAFTypeCatUnknown : IAAFTypes
  • kAAFTypeCatVariableArray : IAAFTypes
  • kAAFTypeCatWeakObjRef : IAAFTypes
  • kAAFTypeDefinition : IAAFTypes
  • kAAFUnknownSiting : IAAFTypes
  • kAAFUnspecifiedField : IAAFTypes
  • kAAFUserDataMode_192BitBlockStructure : IAAFTypes
  • kAAFUserDataMode_AES18 : IAAFTypes
  • kAAFUserDataMode_IEC : IAAFTypes
  • kAAFUserDataMode_Metadata : IAAFTypes
  • kAAFUserDataMode_NotDefined : IAAFTypes
  • kAAFUserDataMode_Reserved0 : IAAFTypes
  • kAAFUserDataMode_Reserved1 : IAAFTypes
  • kAAFUserDataMode_Reserved2 : IAAFTypes
  • kAAFUserDataMode_Reserved3 : IAAFTypes
  • kAAFUserDataMode_Reserved4 : IAAFTypes
  • kAAFUserDataMode_Reserved5 : IAAFTypes
  • kAAFUserDataMode_Reserved6 : IAAFTypes
  • kAAFUserDataMode_Reserved7 : IAAFTypes
  • kAAFUserDataMode_Reserved8 : IAAFTypes
  • kAAFUserDataMode_Reserved9 : IAAFTypes
  • kAAFUserDataMode_UserDefined : IAAFTypes
  • kAAFVersionBeta : IAAFTypes
  • kAAFVersionDebug : IAAFTypes
  • kAAFVersionPatched : IAAFTypes
  • kAAFVersionPrivateBuild : IAAFTypes
  • kAAFVersionReleased : IAAFTypes
  • kAAFVersionUnknown : IAAFTypes
  • kAAFVHSFormat : IAAFTypes
  • kAAFVHSVideoTape : IAAFTypes
  • kAAFVideoSignalNull : IAAFTypes
  • kAAFVideoTapNTSC : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- l -

  • length : IAAFTypes::_aafMobID_t
  • LookupAuxiliaryDataDef() : IAAFDictionary2
  • LookupClassDef() : IAAFDictionary2 , IAAFDictionary
  • LookupCodecDef() : IAAFDictionary , IAAFDictionary2
  • LookupContainerDef() : IAAFDictionary2 , IAAFDictionary
  • LookupDataDef() : IAAFDictionary , IAAFDictionary2
  • LookupDescriptiveMetadataDataDef() : IAAFDictionary2
  • LookupEdgecodeDataDef() : IAAFDictionary2
  • LookupElement() : IAAFTypeDefSet
  • LookupEssenceData() : IAAFHeader2 , IAAFContentStorage , IAAFHeader
  • LookupIdentification() : IAAFHeader , IAAFHeader2
  • LookupInterpolationDef() : IAAFDictionary , IAAFDictionary2
  • LookupKLVDataDef() : IAAFDictionary2
  • LookupLegacyPictureDataDef() : IAAFDictionary2
  • LookupLegacySoundDataDef() : IAAFDictionary2
  • LookupLegacyTimecodeDataDef() : IAAFDictionary2
  • LookupMatteDataDef() : IAAFDictionary2
  • LookupMob() : IAAFHeader , IAAFContentStorage , IAAFHeader2
  • LookupOpaqueTypeDef() : IAAFDictionary , IAAFDictionary2
  • LookupOperationDef() : IAAFDictionary2 , IAAFDictionary
  • LookupParameter() : IAAFOperationGroup
  • LookupParameterDef() : IAAFDictionary , IAAFDictionary2 , IAAFOperationDef
  • LookupPictureDataDef() : IAAFDictionary2
  • LookupPictureWithMatteDataDef() : IAAFDictionary2
  • LookupPluginDef() : IAAFDictionary , IAAFDictionary2
  • LookupPropertyDef() : IAAFClassDef
  • LookupSlot() : IAAFMob , IAAFMob2
  • LookupSoundDataDef() : IAAFDictionary2
  • LookupTaggedValueDef() : IAAFDictionary2
  • LookupTimecodeDataDef() : IAAFDictionary2
  • LookupTypeDef() : IAAFDictionary2 , IAAFDictionary
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- m -

  • major : IAAFTypes::_aafVersionType_t , IAAFTypes::_aafProductVersion_t
  • material : IAAFTypes::_aafMobID_t
  • MAX_NUM_RGBA_COMPS : IAAFTypes
  • mediaCrit : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • mediaKind : IAAFTypes::_aafmMultiCreate_t , IAAFTypes::_aafmMultiXfer_t
  • minor : IAAFTypes::_aafVersionType_t , IAAFTypes::_aafProductVersion_t
  • minute : IAAFTypes::_aafTimeStruct_t
  • mobID : IAAFTypes , IAAFTypes::_aafSearchCrit_t
  • mobKind : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • month : IAAFTypes::_aafDateStruct_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- n -

  • name : IAAFTypes::_aafSearchCrit_t , IAAFTypes , IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes::_aafDefinitionCrit_t
  • NewPhysSourceRef() : IAAFMasterMob3 , IAAFMasterMob , IAAFSourceMob , IAAFMasterMob2
  • Next() : IEnumAAFEssenceData , IEnumAAFProperties , IEnumAAFPropertyDefs , IEnumAAFFileDescriptors , IEnumAAFPropertyValues , IEnumAAFRIFFChunks , IEnumAAFClassDefs , IEnumAAFFileEncodings , IEnumAAFSegments , IEnumAAFTaggedValueDefs , IEnumAAFIdentifications , IEnumAAFTaggedValues , IEnumAAFTypeDefs , IEnumAAFCodecDefs , IEnumAAFInterpolationDefs , IEnumAAFKLVData , IEnumAAFCodecFlavours , IEnumAAFKLVDataDefs , IEnumAAFLoadedPlugins , IEnumAAFComponents , IEnumAAFLocators , IEnumAAFMobSlots , IEnumAAFContainerDefs , IEnumAAFMobs , IEnumAAFOperationDefs , IEnumAAFControlPoints , IEnumAAFParameterDefs , IEnumAAFParameters , IEnumAAFDataDefs , IEnumAAFPluginDefs , IEnumAAFPluginLocators
  • NextOne() : IEnumAAFLocators , IEnumAAFProperties , IEnumAAFTaggedValues , IEnumAAFPropertyDefs , IEnumAAFOperationDefs , IEnumAAFClassDefs , IEnumAAFCodecFlavours , IEnumAAFTaggedValueDefs , IEnumAAFControlPoints , IEnumAAFDataDefs , IEnumAAFSegments , IEnumAAFFileDescriptors , IEnumAAFInterpolationDefs , IEnumAAFKLVData , IEnumAAFLoadedPlugins , IEnumAAFTypeDefs , IEnumAAFMobs , IEnumAAFParameters , IEnumAAFRIFFChunks , IEnumAAFPropertyValues , IEnumAAFParameterDefs , IEnumAAFCodecDefs , IEnumAAFContainerDefs , IEnumAAFEssenceData , IEnumAAFIdentifications , IEnumAAFKLVDataDefs , IEnumAAFMobSlots , IEnumAAFFileEncodings , IEnumAAFPluginDefs , IEnumAAFComponents , IEnumAAFPluginLocators
  • numerator : IAAFTypes::_aafRational_t
  • NumFormatSpecifiers() : IAAFEssenceFormat
  • numSamples : IAAFTypes::_aafmMultiXfer_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- o -

  • objClass : IAAFTypes::_aafSearchCrit_t , IAAFTypes , IAAFTypes::_aafDefinitionCrit_t
  • OffsetToMobTimecode() : IAAFMob , IAAFMob2
  • Open() : IAAFFile
  • OpenEssence() : IAAFMasterMob3 , IAAFMasterMob2 , IAAFMasterMob
  • OpenMultiEssence() : IAAFMasterMob3 , IAAFMasterMob , IAAFMasterMob2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- a -

  • aafAlphaTransparency_e : IAAFTypes
  • aafAlphaTransparency_t : IAAFTypes
  • aafAlphaTransparencyType_t : IAAFTypes
  • aafAppendOption_e : IAAFTypes
  • aafAppendOption_t : IAAFTypes
  • aafArgIDType_constref : IAAFTypes
  • aafArgIDType_t : IAAFTypes
  • aafAttributeKind_e : IAAFTypes
  • aafAttributeKind_t : IAAFTypes
  • aafAudioSampleType_e : IAAFTypes
  • aafAudioSampleType_t : IAAFTypes
  • aafAuxBitsModeType_e : IAAFTypes
  • aafAuxBitsModeType_t : IAAFTypes
  • aafBool : IAAFTypes
  • aafBoolean_e : IAAFTypes
  • aafBoolean_t : IAAFTypes
  • aafChannelStatusModeType_e : IAAFTypes
  • aafChannelStatusModeType_t : IAAFTypes
  • aafCharacter : IAAFTypes
  • aafCharacter_constptr : IAAFTypes
  • aafClassID_t : IAAFTypes
  • aafCodecID_t : IAAFTypes
  • aafColorSiting_e : IAAFTypes
  • aafColorSiting_t : IAAFTypes
  • aafColorSitingType_t : IAAFTypes
  • aafColorSpace_e : IAAFTypes
  • aafColorSpace_t : IAAFTypes
  • aafCompArray_t : IAAFTypes
  • aafCompressEnable_e : IAAFTypes
  • aafCompSizeArray_t : IAAFTypes
  • aafContentScanningType_e : IAAFTypes
  • aafContentScanningType_t : IAAFTypes
  • aafCriteriaType_e : IAAFTypes
  • aafCriteriaType_t : IAAFTypes
  • aafDataBuffer_t : IAAFTypes
  • AAFDataDefinitionMatch_e : IAAFTypes
  • AAFDataDefinitionMatch_t : IAAFTypes
  • aafDataValue_t : IAAFTypes
  • aafDateStruct_t : IAAFTypes
  • aafDefaultFade_t : IAAFTypes
  • aafDefinitionCrit_t : IAAFTypes
  • aafDefinitionCritType_e : IAAFTypes
  • aafDefinitionCritType_t : IAAFTypes
  • aafDefinitionKind_e : IAAFTypes
  • aafDefinitionKind_t : IAAFTypes
  • aafDepend_e : IAAFTypes
  • aafDepend_t : IAAFTypes
  • aafDirectionCode_e : IAAFTypes
  • aafDirectionCode_t : IAAFTypes
  • aafDropType_e : IAAFTypes
  • aafDropType_t : IAAFTypes
  • aafEdgecode_constref : IAAFTypes
  • aafEdgecode_t : IAAFTypes
  • aafEdgecodeHeader_constref : IAAFTypes
  • aafEdgecodeHeader_t : IAAFTypes
  • aafEdgeType_e : IAAFTypes
  • aafEdgeType_t : IAAFTypes
  • aafEditHint_e : IAAFTypes
  • aafEditHint_t : IAAFTypes
  • aafEditHintType_t : IAAFTypes
  • aafElectroSpatialFormulation_e : IAAFTypes
  • aafElectroSpatialFormulation_t : IAAFTypes
  • aafEmphasisType_e : IAAFTypes
  • aafEmphasisType_t : IAAFTypes
  • aafEngine_constref : IAAFTypes
  • aafEngine_t : IAAFTypes
  • aafFadeType_e : IAAFTypes
  • aafFadeType_t : IAAFTypes
  • aafFieldDom_e : IAAFTypes
  • aafFieldDom_t : IAAFTypes
  • aafFieldNumber_e : IAAFTypes
  • aafFieldNumber_t : IAAFTypes
  • aafFieldTop_e : IAAFTypes
  • aafFieldTop_t : IAAFTypes
  • aafFileAccess_e : IAAFTypes
  • aafFileAccess_t : IAAFTypes
  • aafFileExistence_e : IAAFTypes
  • aafFileExistence_t : IAAFTypes
  • aafFileFormat_e : IAAFTypes
  • aafFileFormat_t : IAAFTypes
  • aafFileRev_e : IAAFTypes
  • aafFileRev_t : IAAFTypes
  • aafFilmType_e : IAAFTypes
  • aafFilmType_t : IAAFTypes
  • aafFrameLayout_e : IAAFTypes
  • aafFrameLayout_t : IAAFTypes
  • aafFrameLength_t : IAAFTypes
  • aafFrameOffset_t : IAAFTypes
  • aafHardwarePlatform_constref : IAAFTypes
  • aafHardwarePlatform_t : IAAFTypes
  • aafIdentificationCrit_t : IAAFTypes
  • aafIdentificationCritType_e : IAAFTypes
  • aafIdentificationCritType_t : IAAFTypes
  • aafIncMedia_e : IAAFTypes
  • aafIncMedia_t : IAAFTypes
  • aafIndexType_e : IAAFTypes
  • aafIndexType_t : IAAFTypes
  • aafInt16 : IAAFTypes
  • aafInt32 : IAAFTypes
  • aafInt64 : IAAFTypes
  • aafInt8 : IAAFTypes
  • aafInterpKind_e : IAAFTypes
  • aafInterpKind_t : IAAFTypes
  • aafJPEGcomponent_e : IAAFTypes
  • aafJPEGcomponent_t : IAAFTypes
  • aafJPEGTableID_t : IAAFTypes
  • aafLayoutType_t : IAAFTypes
  • aafLength_constref : IAAFTypes
  • aafLength_t : IAAFTypes
  • aafMAX_NUM_RGBA_COMPS : IAAFTypes
  • aafMAX_NUM_RGBA_COMPS_e : IAAFTypes
  • aafMediaCriteria_constptr : IAAFTypes
  • aafMediaCriteria_constref : IAAFTypes
  • aafMediaCriteria_t : IAAFTypes
  • aafMediaOpenMode_e : IAAFTypes
  • aafMediaOpenMode_t : IAAFTypes
  • aafMemConstPtr_t : IAAFTypes
  • aafMemPtr_t : IAAFTypes
  • aafmMultiCreate_t : IAAFTypes
  • aafmMultiResult_t : IAAFTypes
  • aafmMultiXfer_t : IAAFTypes
  • aafMobComment_t : IAAFTypes
  • aafMobID_constptr : IAAFTypes
  • aafMobID_constref : IAAFTypes
  • aafMobID_t : IAAFTypes
  • aafMobIDType_t : IAAFTypes
  • aafMobKind_e : IAAFTypes
  • aafMobKind_t : IAAFTypes
  • aafNumSlots_t : IAAFTypes
  • aafOperationChoice_constptr : IAAFTypes
  • aafOperationChoice_e : IAAFTypes
  • aafOperationChoice_t : IAAFTypes
  • aafPhaseFrame_t : IAAFTypes
  • aafPixelFormat_e : IAAFTypes
  • aafPixelFormat_t : IAAFTypes
  • aafPluginAPI_constref : IAAFTypes
  • aafPluginAPI_t : IAAFTypes
  • aafPosition_constref : IAAFTypes
  • aafPosition_t : IAAFTypes
  • aafProductIdentification_constptr : IAAFTypes
  • aafProductIdentification_constref : IAAFTypes
  • aafProductIdentification_t : IAAFTypes
  • aafProductReleaseType_e : IAAFTypes
  • aafProductReleaseType_t : IAAFTypes
  • aafProductVersion_constptr : IAAFTypes
  • aafProductVersion_constref : IAAFTypes
  • aafProductVersion_t : IAAFTypes
  • aafPropertyOpt_e : IAAFTypes
  • aafPropertyOpt_t : IAAFTypes
  • aafPulldownDir_e : IAAFTypes
  • aafPulldownDir_t : IAAFTypes
  • aafPulldownDirectionType_t : IAAFTypes
  • aafPulldownKind_e : IAAFTypes
  • aafPulldownKind_t : IAAFTypes
  • aafPulldownKindType_t : IAAFTypes
  • aafRational_constref : IAAFTypes
  • aafRational_t : IAAFTypes
  • aafRect_constref : IAAFTypes
  • aafRect_t : IAAFTypes
  • AAFReferenceImplementationVersion : IAAFTypes
  • aafReferenceType_e : IAAFTypes
  • aafReferenceType_t : IAAFTypes
  • AAFRESULT : IAAFTypes
  • aafRGBAComponent_t : IAAFTypes
  • aafRGBAComponentKind_e : IAAFTypes
  • aafRGBAComponentKind_t : IAAFTypes
  • aafScanningDirection_e : IAAFTypes
  • aafScanningDirection_t : IAAFTypes
  • aafScanningDirectionType_t : IAAFTypes
  • aafSearchCrit_constptr : IAAFTypes
  • aafSearchCrit_t : IAAFTypes
  • aafSearchDictionaryCrit_t : IAAFTypes
  • aafSearchDictionaryTag_e : IAAFTypes
  • aafSearchDictionaryTag_t : IAAFTypes
  • aafSearchTag_e : IAAFTypes
  • aafSearchTag_t : IAAFTypes
  • aafSignalStandard_e : IAAFTypes
  • aafSignalStandard_t : IAAFTypes
  • aafSignalStandardType_t : IAAFTypes
  • aafSlotID_t : IAAFTypes
  • aafSourceRef_constref : IAAFTypes
  • aafSourceRef_t : IAAFTypes
  • aafString_t : IAAFTypes
  • aafSwapNeeded_e : IAAFTypes
  • aafSwapNeeded_t : IAAFTypes
  • aafTapeCaseType_e : IAAFTypes
  • aafTapeCaseType_t : IAAFTypes
  • aafTapeFormatType_e : IAAFTypes
  • aafTapeFormatType_t : IAAFTypes
  • aafTCSource_t : IAAFTypes
  • aafTimecode_constref : IAAFTypes
  • aafTimecode_t : IAAFTypes
  • aafTimecodeSourceType_e : IAAFTypes
  • aafTimecodeSourceType_t : IAAFTypes
  • aafTimeStamp_constref : IAAFTypes
  • aafTimeStamp_t : IAAFTypes
  • aafTimeStruct_t : IAAFTypes
  • aafTitleAlignmentType_e : IAAFTypes
  • aafTitleAlignmentType_t : IAAFTypes
  • aafUID_constptr : IAAFTypes
  • aafUID_constref : IAAFTypes
  • aafUID_t : IAAFTypes
  • aafUInt16 : IAAFTypes
  • aafUInt32 : IAAFTypes
  • aafUInt64 : IAAFTypes
  • aafUInt8 : IAAFTypes
  • aafUserDataModeType_e : IAAFTypes
  • aafUserDataModeType_t : IAAFTypes
  • aafVersionType_constref : IAAFTypes
  • aafVersionType_t : IAAFTypes
  • aafVideoLineMap_t : IAAFTypes
  • aafVideoSignalType_e : IAAFTypes
  • aafVideoSignalType_t : IAAFTypes
  • aafWChar : IAAFTypes
  • AddControlPoint() : IAAFVaryingValue
  • AddDescribedSlotID() : IAAFDescriptiveClip
  • AddDescriptiveScheme() : IAAFHeader2
  • AddElement() : IAAFTypeDefSet
  • AddEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • AddEssenceKind() : IAAFCodecDef
  • AddFormatSpecifier() : IAAFEssenceFormat
  • AddMasterSlot() : IAAFMasterMob2 , IAAFMasterMob3 , IAAFMasterMob
  • AddMasterSlotWithSequence() : IAAFMasterMob3
  • AddMob() : IAAFHeader2 , IAAFHeader , IAAFContentStorage
  • AddNilReference() : IAAFSourceMob
  • AddParameter() : IAAFOperationGroup
  • AddParameterDef() : IAAFOperationDef
  • AddParentProperty() : IAAFTaggedValueDefinition , IAAFKLVDataDefinition
  • AddPulldownRef() : IAAFSourceMob
  • Allocate() : IAAFCachePageAllocator
  • Append() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • AppendAlternateSegment() : IAAFSelector
  • AppendAttribute() : IAAFComponent2 , IAAFMob2
  • AppendChoice() : IAAFEssenceGroup
  • AppendComment() : IAAFMob2 , IAAFComponent2 , IAAFMob
  • AppendComponent() : IAAFSequence
  • AppendDegradeToOperation() : IAAFOperationDef
  • AppendEdgecodeSlot() : IAAFSourceMob
  • AppendElement() : IAAFTypeDefExtEnum , IAAFTypeDefVariableArray
  • AppendElements() : IAAFTypeDefString , IAAFPlainStreamData , IAAFTypeDefStream3 , IAAFTypeDefStream
  • AppendFileDescriptor() : IAAFMultipleDescriptor
  • AppendIdentification() : IAAFHeader2 , IAAFHeader
  • AppendInputSegment() : IAAFOperationGroup
  • AppendKLVData() : IAAFComponent , IAAFMob2 , IAAFMob , IAAFComponent2
  • AppendLocator() : IAAFPluginDef , IAAFEssenceDescriptor
  • AppendNewEventSlot() : IAAFMob2
  • AppendNewStaticSlot() : IAAFMob2
  • AppendNewTimelineSlot() : IAAFMob2 , IAAFMob
  • AppendPhysSourceRef() : IAAFMasterMob , IAAFMasterMob3 , IAAFMasterMob2 , IAAFSourceMob
  • AppendSegment() : IAAFNestedScope
  • AppendSlot() : IAAFMob , IAAFMob2
  • AppendTimecodeSlot() : IAAFSourceMob
  • AppendUnknownBWFChunk() : IAAFBWFImportDescriptor
  • AreAllPeakEnvelopePropertiesPresent() : IAAFPCMDescriptor
  • AreThereFlavours() : IAAFCodecDef
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- b -

  • buffer : IAAFTypes::_aafmMultiXfer_t
  • buflen : IAAFTypes::_aafmMultiXfer_t
  • bytesXfered : IAAFTypes::_aafmMultiResult_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- c -

  • category : IAAFTypes::_aafMobComment_t
  • ChangeRef() : IAAFMob , IAAFMob2
  • classID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • ClearStoredByteOrder() : IAAFTypeDefStream3 , IAAFPlainStreamData , IAAFTypeDefStream
  • Clone() : IEnumAAFEssenceData , IEnumAAFProperties , IEnumAAFPropertyDefs , IEnumAAFFileDescriptors , IEnumAAFPropertyValues , IEnumAAFRIFFChunks , IEnumAAFClassDefs , IEnumAAFFileEncodings , IEnumAAFSegments , IEnumAAFTaggedValueDefs , IEnumAAFIdentifications , IEnumAAFTaggedValues , IEnumAAFTypeDefs , IEnumAAFCodecDefs , IEnumAAFInterpolationDefs , IEnumAAFKLVData , IEnumAAFCodecFlavours , IEnumAAFKLVDataDefs , IEnumAAFLoadedPlugins , IEnumAAFComponents , IEnumAAFLocators , IEnumAAFMobSlots , IEnumAAFContainerDefs , IEnumAAFMobs , IEnumAAFOperationDefs , IEnumAAFControlPoints , IEnumAAFParameterDefs , IEnumAAFParameters , IEnumAAFDataDefs , IEnumAAFPluginDefs , IEnumAAFPluginLocators
  • CloneExternal() : IAAFMob , IAAFMob2
  • Close() : IAAFFile
  • Code : IAAFTypes::_aafRGBAComponent_t
  • codeFormat : IAAFTypes::_aafEdgecode_t
  • comment : IAAFTypes::_aafMobComment_t
  • companyName : IAAFTypes::_aafProductIdentification_t
  • CompleteWrite() : IAAFEssenceAccess
  • ContainsElement() : IAAFTypeDefSet
  • ContainsKey() : IAAFTypeDefSet
  • Copy() : IAAFMob , IAAFMob2
  • CountAttributes() : IAAFComponent2 , IAAFMob2
  • CountChannels() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • CountChoices() : IAAFEssenceGroup
  • CountClassDefs() : IAAFDictionary , IAAFDictionary2
  • CountCodecDefs() : IAAFDictionary , IAAFDictionary2
  • CountComments() : IAAFMob2 , IAAFMob , IAAFComponent2
  • CountComponents() : IAAFSequence
  • CountContainerDefs() : IAAFDictionary , IAAFDictionary2
  • CountControlPoints() : IAAFVaryingValue
  • CountDataDefs() : IAAFDictionary , IAAFDictionary2
  • CountDegradeToOperations() : IAAFOperationDef
  • CountDescribedSlotIDs() : IAAFDescriptiveClip
  • CountDescriptiveSchemes() : IAAFHeader2
  • CountElements() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • CountEssenceContainers() : IAAFHeader2
  • CountEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • CountEssenceKinds() : IAAFCodecDef
  • CountFileDescriptors() : IAAFMultipleDescriptor
  • CountIdentifications() : IAAFHeader , IAAFHeader2
  • CountInterpolationDefs() : IAAFDictionary , IAAFDictionary2
  • CountKLVData() : IAAFMob , IAAFComponent , IAAFComponent2 , IAAFMob2
  • CountKLVDataDefs() : IAAFDictionary2
  • CountLocators() : IAAFEssenceDescriptor , IAAFPluginDef
  • CountMobs() : IAAFHeader2 , IAAFContentStorage , IAAFHeader
  • CountOpaqueTypeDefs() : IAAFDictionary , IAAFDictionary2
  • CountOperationDefs() : IAAFDictionary , IAAFDictionary2
  • CountPaletteLayoutElements() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • CountParameterDefs() : IAAFDictionary , IAAFDictionary2 , IAAFOperationDef
  • CountParameters() : IAAFOperationGroup
  • CountParentProperties() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • CountPixelLayoutElements() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • CountPluginDefs() : IAAFDictionary2 , IAAFDictionary
  • CountProperties() : IAAFObject
  • CountPropertyDefs() : IAAFClassDef
  • CountSamples() : IAAFEssenceAccess
  • CountSegments() : IAAFNestedScope
  • CountSlots() : IAAFMob2 , IAAFMob
  • CountSourceSegments() : IAAFOperationGroup
  • CountTaggedValueDefs() : IAAFDictionary2
  • CountTypeDefs() : IAAFDictionary2 , IAAFDictionary
  • CountUnknownBWFChunks() : IAAFBWFImportDescriptor
  • Create() : IAAFScopeReference
  • CreateEmptyValue() : IAAFTypeDefVariableArray
  • CreateEssence() : IAAFMasterMob2 , IAAFMasterMob , IAAFMasterMob3
  • CreateEventEssence() : IAAFMasterMob2 , IAAFMasterMob3
  • CreateForwardClassReference() : IAAFDictionary , IAAFDictionary2
  • CreateInstance() : IAAFClassDef , IAAFDictionary2 , IAAFPluginManager , IAAFDictionary
  • CreateKey() : IAAFTypeDefSet
  • CreateMetaInstance() : IAAFDictionary2 , IAAFDictionary
  • CreateMultiEssence() : IAAFMasterMob2 , IAAFMasterMob , IAAFMasterMob3
  • CreateOptionalPropertyValue() : IAAFObject
  • CreatePluginDefinition() : IAAFPluginManager
  • CreateStaticEssence() : IAAFMasterMob2 , IAAFMasterMob3
  • CreateValue() : IAAFTypeDefObjectRef , IAAFTypeDefRename , IAAFTypeDefInt
  • CreateValueFromActualData() : IAAFTypeDefIndirect
  • CreateValueFromActualValue() : IAAFTypeDefIndirect
  • CreateValueFromCArray() : IAAFTypeDefVariableArray , IAAFTypeDefFixedArray
  • CreateValueFromCharacter() : IAAFTypeDefCharacter
  • CreateValueFromCString() : IAAFTypeDefString
  • CreateValueFromHandle() : IAAFTypeDefOpaque
  • CreateValueFromName() : IAAFTypeDefExtEnum , IAAFTypeDefEnum
  • CreateValueFromStruct() : IAAFTypeDefRecord
  • CreateValueFromValues() : IAAFTypeDefVariableArray , IAAFTypeDefRecord , IAAFTypeDefFixedArray
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- d -

  • Data1 : IAAFTypes::_aafUID_t
  • Data2 : IAAFTypes::_aafUID_t
  • Data3 : IAAFTypes::_aafUID_t
  • Data4 : IAAFTypes::_aafUID_t
  • datadef : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • date : IAAFTypes::_aafTimeStamp_t
  • day : IAAFTypes::_aafDateStruct_t
  • Deallocate() : IAAFCachePageAllocator
  • defKind : IAAFTypes::_aafDefinitionCrit_t
  • denominator : IAAFTypes::_aafRational_t
  • DisableGenerationTracking() : IAAFObject
  • DoesDataDefConvertFrom() : IAAFDataDef , IAAFDataDef3 , IAAFDataDef2
  • DoesDataDefConvertTo() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
  • drop : IAAFTypes::_aafTimecode_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- e -

  • eAAFByteOrder_e : IAAFTypes
  • eAAFByteOrder_t : IAAFTypes
  • eAAFTypeCategory_e : IAAFTypes
  • eAAFTypeCategory_t : IAAFTypes
  • EnableGenerationTracking() : IAAFObject
  • EnumAlternateSegments() : IAAFSelector
  • EnumCodecFlavours() : IAAFCodecDef
  • EnumEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • EnumLoadedPlugins() : IAAFPluginManager
  • EssenceIsIdentified() : IAAFContainerDef
  • ExtendEssence() : IAAFMasterMob3 , IAAFMasterMobEx , IAAFMasterMob2
  • ExtendMultiEssence() : IAAFMasterMob3 , IAAFMasterMob2 , IAAFMasterMobEx
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- f -

  • fadeEditUnit : IAAFTypes::_aafDefaultFade_t
  • fadeLength : IAAFTypes::_aafDefaultFade_t
  • fadeType : IAAFTypes::_aafDefaultFade_t
  • filmKind : IAAFTypes::_aafEdgecode_t
  • fps : IAAFTypes::_aafTimecode_t
  • fraction : IAAFTypes::_aafTimeStruct_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- g -

  • generation : IAAFTypes::_aafIdentificationCrit_t
  • GetActiveFormatDescriptor() : IAAFDigitalImageDescriptor2
  • GetActiveState() : IAAFGPITrigger
  • GetActualData() : IAAFTypeDefIndirect
  • GetActualSize() : IAAFTypeDefIndirect
  • GetActualType() : IAAFTypeDefIndirect
  • GetActualTypeID() : IAAFTypeDefOpaque
  • GetActualValue() : IAAFTypeDefIndirect
  • GetAlphaMaxRef() : IAAFRGBADescriptor2
  • GetAlphaMinRef() : IAAFRGBADescriptor2
  • GetAlphaSamplingWidth() : IAAFCDCIDescriptor2
  • GetAlphaTransparency() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetAnnotation() : IAAFCommentMarker
  • GetAttributes() : IAAFMob2 , IAAFComponent2
  • GetAudioRefLevel() : IAAFSoundDescriptor
  • GetAudioSamplingRate() : IAAFSoundDescriptor
  • GetAUID() : IAAFDefObject , IAAFMetaDefinition
  • GetAUIDValue() : IAAFTypeDefExtEnum
  • GetAuxBitsMode() : IAAFAES3PCMDescriptor2
  • GetAverageBPS() : IAAFPCMDescriptor
  • GetBaseType() : IAAFTypeDefRename
  • GetBaseValue() : IAAFTypeDefRename
  • GetBasicData() : IAAFBWFImportDescriptor
  • GetBasicDataBufLen() : IAAFBWFImportDescriptor
  • GetBitRate() : IAAFMPEGVideoDescriptor
  • GetBlackReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetBlockAlign() : IAAFPCMDescriptor
  • GetBlockStartOffset() : IAAFAES3PCMDescriptor2
  • GetBypass() : IAAFOperationDef
  • GetBypassOverride() : IAAFOperationGroup
  • GetCArray() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • GetCategory() : IAAFOperationDef
  • GetCategoryClass() : IAAFPluginDef
  • GetChannelAssignment() : IAAFPCMDescriptor
  • GetChannelCount() : IAAFSoundDescriptor
  • GetChannelIDs() : IAAFSourceReference2
  • GetChannelIDsSize() : IAAFSourceReference2
  • GetChannelStatusModeAt() : IAAFAES3PCMDescriptor2
  • GetCharacter() : IAAFTypeDefCharacter
  • GetCharSet() : IAAFAuxiliaryDescriptor
  • GetCharSetBufLen() : IAAFAuxiliaryDescriptor
  • GetChoiceAt() : IAAFEssenceGroup
  • GetChunkID() : IAAFRIFFChunk
  • GetClassDefs() : IAAFDictionary , IAAFDictionary2
  • GetClosedGOP() : IAAFMPEGVideoDescriptor
  • GetCodecDef() : IAAFFileDescriptor , IAAFFileDescriptor2
  • GetCodecDefs() : IAAFDictionary , IAAFDictionary2
  • GetCodecID() : IAAFEssenceAccess
  • GetCodecName() : IAAFEssenceAccess
  • GetCodedContentScanning() : IAAFMPEGVideoDescriptor
  • GetCodingEquations() : IAAFDigitalImageDescriptor2
  • GetCodingHistory() : IAAFBWFImportDescriptor
  • GetCodingHistoryBufLen() : IAAFBWFImportDescriptor
  • GetColorPrimaries() : IAAFDigitalImageDescriptor2
  • GetColorRange() : IAAFCDCIDescriptor2 , IAAFCDCIDescriptor
  • GetColorSiting() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetComment() : IAAFEvent
  • GetCommentBufLen() : IAAFEvent
  • GetComments() : IAAFMob , IAAFComponent2 , IAAFMob2
  • GetCompanyName() : IAAFIdentification
  • GetCompanyNameBufLen() : IAAFIdentification
  • GetComponentAt() : IAAFSequence
  • GetComponentMaxRef() : IAAFRGBADescriptor2
  • GetComponentMinRef() : IAAFRGBADescriptor2
  • GetComponents() : IAAFSequence
  • GetComponentWidth() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetCompression() : IAAFDigitalImageDescriptor , IAAFSoundDescriptor , IAAFDigitalImageDescriptor2
  • GetConstantBPictureCount() : IAAFMPEGVideoDescriptor
  • GetContainerDefs() : IAAFDictionary , IAAFDictionary2
  • GetContainerFormat() : IAAFFileDescriptor , IAAFFileDescriptor2
  • GetContentStorage() : IAAFHeader , IAAFHeader2
  • GetControlPointAt() : IAAFVaryingValue
  • GetControlPoints() : IAAFVaryingValue
  • GetCount() : IAAFTypeDefFixedArray , IAAFTypeDefRecord , IAAFTypeDefSet , IAAFTypeDefString , IAAFTypeDefVariableArray
  • GetCreateTime() : IAAFMob , IAAFMob2
  • GetCriteriaSegment() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetCueSheet() : IAAFBWFImportDescriptor
  • GetCueSheetBufLen() : IAAFBWFImportDescriptor
  • GetCutPoint() : IAAFTransition
  • GetDataDef() : IAAFComponent , IAAFMobSlot , IAAFOperationDef , IAAFComponent2
  • GetDataDefs() : IAAFDictionary , IAAFDictionary2
  • GetDataEssenceCoding() : IAAFDataEssenceDescriptor
  • GetDate() : IAAFIdentification
  • GetDefaultFade() : IAAFCompositionMob , IAAFCompositionMob2
  • GetDefinition() : IAAFObject , IAAFProperty
  • GetDefinitionObjectID() : IAAFPluginDef
  • GetDegradeToOperations() : IAAFOperationDef
  • GetDescribedSlotIDs() : IAAFDescriptiveClip , IAAFDescriptiveMarker
  • GetDescribedSlotIDsSize() : IAAFDescriptiveMarker
  • GetDescription() : IAAFDefObject , IAAFFileEncoding , IAAFMetaDefinition , IAAFPropertyDef
  • GetDescriptionBufLen() : IAAFMetaDefinition , IAAFPropertyDef , IAAFDefObject , IAAFFileEncoding
  • GetDescriptiveFramework() : IAAFDescriptiveMarker
  • GetDescriptiveSchemes() : IAAFHeader2
  • GetDialNorm() : IAAFSoundDescriptor
  • GetDictionary() : IAAFFile , IAAFHeader , IAAFObject , IAAFHeader2
  • GetDisplayF2Offset() : IAAFDigitalImageDescriptor2
  • GetDisplayUnits() : IAAFParameterDef
  • GetDisplayUnitsBufLen() : IAAFParameterDef
  • GetDisplayView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetEdgecode() : IAAFEdgecode
  • GetEditHint() : IAAFControlPoint
  • GetEditRate() : IAAFEventMobSlot , IAAFFindSourceInfo , IAAFTimelineMobSlot , IAAFEventMobSlot2 , IAAFTimelineMobSlot2
  • GetElectroSpatialFormulation() : IAAFSoundDescriptor
  • GetElementName() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetElementNameBufLen() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetElements() : IAAFTypeDefFixedArray , IAAFTypeDefSet , IAAFTypeDefString , IAAFTypeDefVariableArray
  • GetElementType() : IAAFTypeDefEnum , IAAFTypeDefSet
  • GetElementValue() : IAAFTypeDefEnum , IAAFTypeDefExtEnum , IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • GetEmphasis() : IAAFAES3PCMDescriptor2
  • GetEmptyFileFormat() : IAAFEssenceAccess
  • GetEndOfModulation() : IAAFBWFImportDescriptor
  • GetEndOfModulationBufLen() : IAAFBWFImportDescriptor
  • GetEngine() : IAAFPluginDef
  • GetEngineVersionRange() : IAAFPluginDef
  • GetEssenceContainers() : IAAFHeader2
  • GetEssenceDescriptor() : IAAFSourceMob
  • GetEssenceElementKey() : IAAFKLVEssenceDataParameters , IAAFKLVStreamParameters
  • GetEssenceKinds() : IAAFCodecDef
  • GetEventSlotOrigin() : IAAFEventMobSlot2
  • GetExtent() : IAAFRandomRawStorage
  • GetFade() : IAAFSourceClip
  • GetFieldDominance() : IAAFDigitalImageDescriptor2
  • GetFieldEndOffset() : IAAFDigitalImageDescriptor2
  • GetFieldStartOffset() : IAAFDigitalImageDescriptor2
  • GetFileBits() : IAAFRandomFile
  • GetFileDescriptorAt() : IAAFMultipleDescriptor
  • GetFileDescriptorClass() : IAAFCodecDef
  • GetFileDescriptors() : IAAFMultipleDescriptor
  • GetFileFormat() : IAAFEssenceAccess
  • GetFileFormatParameterList() : IAAFEssenceAccess
  • GetFileKind() : IAAFFileEncoding
  • GetFileMob() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • GetFileMobID() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • GetFileRevision() : IAAFHeader , IAAFHeader2
  • GetFileSecurityReport() : IAAFBWFImportDescriptor
  • GetFileSecurityWave() : IAAFBWFImportDescriptor
  • GetFilmAspectRatio() : IAAFFilmDescriptor
  • GetFilmFormat() : IAAFFilmDescriptor
  • GetFilmManufacturer() : IAAFFilmDescriptor
  • GetFilmManufacturerBufLen() : IAAFFilmDescriptor
  • GetFilmModel() : IAAFFilmDescriptor
  • GetFilmModelBufLen() : IAAFFilmDescriptor
  • GetFixedChannelStatusDataAt() : IAAFAES3PCMDescriptor2
  • GetFixedUserDataAt() : IAAFAES3PCMDescriptor2
  • GetFormatSpecifier() : IAAFEssenceFormat
  • GetFrameLayout() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetFrameRate() : IAAFFilmDescriptor
  • GetGamma() : IAAFDigitalImageDescriptor
  • GetGeneration() : IAAFObject
  • GetGenerationAUID() : IAAFObject
  • GetGenerationID() : IAAFIdentification
  • GetHandle() : IAAFTypeDefOpaque
  • GetHandleBufLen() : IAAFTypeDefOpaque
  • GetHardwarePlatform() : IAAFPluginDef
  • GetHeader() : IAAFFile
  • GetHorizontalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetIdenticalGOP() : IAAFMPEGVideoDescriptor
  • GetIdentificationAt() : IAAFHeader , IAAFHeader2
  • GetIdentifications() : IAAFHeader , IAAFHeader2
  • GetImageAlignmentFactor() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetImageAspectRatio() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetIndexedFormatSpecifier() : IAAFEssenceFormat
  • GetIndexedSampleSize() : IAAFEssenceAccess
  • GetInputSegment() : IAAFPulldown
  • GetInputSegmentAt() : IAAFOperationGroup
  • GetInteger() : IAAFTypeDefInt
  • GetIntegerValue() : IAAFTypeDefEnum
  • GetInterpolatedValue() : IAAFVaryingValue
  • GetInterpolationDefinition() : IAAFVaryingValue
  • GetInterpolationDefs() : IAAFDictionary , IAAFDictionary2
  • GetIsContiguous() : IAAFTIFFDescriptor
  • GetIsOptional() : IAAFPropertyDef
  • GetIsUniform() : IAAFTIFFDescriptor
  • GetIsUniqueIdentifier() : IAAFPropertyDef
  • GetJPEGTableID() : IAAFTIFFDescriptor
  • GetKey() : IAAFKLVData
  • GetKLVData() : IAAFComponent , IAAFMob , IAAFComponent2 , IAAFMob2
  • GetKLVDataDefs() : IAAFDictionary2
  • GetKLVDataType() : IAAFKLVDataDefinition
  • GetLargestSampleSize() : IAAFEssenceAccess
  • GetLastIdentification() : IAAFHeader , IAAFHeader2
  • GetLastModified() : IAAFHeader , IAAFHeader2
  • GetLeadingLines() : IAAFTIFFDescriptor
  • GetLength() : IAAFComponent , IAAFFileDescriptor , IAAFFindSourceInfo , IAAFRIFFChunk , IAAFComponent2 , IAAFFileDescriptor2
  • GetLinkedSlotID() : IAAFFileDescriptor2
  • GetLocatorAt() : IAAFEssenceDescriptor , IAAFPluginDef
  • GetLocators() : IAAFEssenceDescriptor , IAAFPluginDef
  • GetLowDelay() : IAAFMPEGVideoDescriptor
  • GetManufacturerID() : IAAFPluginDef
  • GetManufacturerInfo() : IAAFPluginDef
  • GetMarkIn() : IAAFTimelineMobSlot2
  • GetMarkOut() : IAAFTimelineMobSlot2
  • GetMaxBPictureCount() : IAAFMPEGVideoDescriptor
  • GetMaxGOP() : IAAFMPEGVideoDescriptor
  • GetMemberName() : IAAFTypeDefRecord
  • GetMemberNameBufLen() : IAAFTypeDefRecord
  • GetMemberType() : IAAFTypeDefRecord
  • GetMimeType() : IAAFAuxiliaryDescriptor
  • GetMimeTypeBufLen() : IAAFAuxiliaryDescriptor
  • GetMob() : IAAFFindSourceInfo
  • GetMobID() : IAAFMob , IAAFMob2
  • GetMobInfo() : IAAFMob , IAAFMob2
  • GetMobs() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • GetModTime() : IAAFMob , IAAFMob2
  • GetMonoSourceSlotIDs() : IAAFSourceReference2
  • GetMonoSourceSlotIDsSize() : IAAFSourceReference2
  • GetName() : IAAFClassDef , IAAFFileEncoding , IAAFMetaDefinition , IAAFMob , IAAFPropertyDef , IAAFTaggedValue , IAAFTextLocator , IAAFDefObject , IAAFMob2 , IAAFMobSlot
  • GetNameBufLen() : IAAFClassDef , IAAFDefObject , IAAFFileEncoding , IAAFMetaDefinition , IAAFMob , IAAFMobSlot , IAAFPropertyDef , IAAFTextLocator , IAAFMob2 , IAAFTaggedValue
  • GetNameBufLenFromAUID() : IAAFTypeDefExtEnum
  • GetNameBufLenFromInteger() : IAAFTypeDefEnum
  • GetNameBufLenFromValue() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetNameFromAUID() : IAAFTypeDefExtEnum
  • GetNameFromInteger() : IAAFTypeDefEnum
  • GetNameFromValue() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetNativeByteOrder() : IAAFEndian
  • GetNumAlternateSegments() : IAAFSelector
  • GetNumberInputs() : IAAFOperationDef
  • GetNumRepresentations() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetObject() : IAAFTypeDefObjectRef
  • GetObjectType() : IAAFTypeDefObjectRef
  • GetOpaqueTypeDefs() : IAAFDictionary , IAAFDictionary2
  • GetOperationalPattern() : IAAFHeader2
  • GetOperationDefinition() : IAAFOperationGroup
  • GetOperationDefs() : IAAFDictionary , IAAFDictionary2
  • GetOperationGroup() : IAAFTransition
  • GetOperatorComment() : IAAFBWFImportDescriptor
  • GetOperatorCommentBufLen() : IAAFBWFImportDescriptor
  • GetOrigin() : IAAFTimelineMobSlot , IAAFTimelineMobSlot2
  • GetPaddingBits() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetPalette() : IAAFRGBADescriptor2 , IAAFRGBADescriptor
  • GetPaletteLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • GetPaletteSize() : IAAFRGBADescriptor2 , IAAFRGBADescriptor
  • GetParameterDefinition() : IAAFParameter
  • GetParameterDefs() : IAAFDictionary , IAAFDictionary2 , IAAFOperationDef
  • GetParameters() : IAAFOperationGroup
  • GetParent() : IAAFClassDef
  • GetParentProperties() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • GetPath() : IAAFLocator
  • GetPathBufLen() : IAAFLocator
  • GetPeakChannelCount() : IAAFPCMDescriptor
  • GetPeakEnvelopeBlockSize() : IAAFPCMDescriptor
  • GetPeakEnvelopeDataPosition() : IAAFPCMDescriptor
  • GetPeakEnvelopeDataSize() : IAAFPCMDescriptor
  • GetPeakEnvelopeFormat() : IAAFPCMDescriptor
  • GetPeakEnvelopeTimestamp() : IAAFPCMDescriptor
  • GetPeakEnvelopeVersion() : IAAFPCMDescriptor
  • GetPeakFrameCount() : IAAFPCMDescriptor
  • GetPeakOfPeaksPosition() : IAAFPCMDescriptor
  • GetPerfPerFrame() : IAAFFilmDescriptor
  • GetPhaseFrame() : IAAFPulldown
  • GetPhysicalNum() : IAAFMobSlot
  • GetPixelLayout() : IAAFRGBADescriptor2 , IAAFRGBADescriptor
  • GetPlainEssenceData() : IAAFEssenceData2
  • GetPlainStreamData() : IAAFTypeDefStream3
  • GetPlatform() : IAAFIdentification
  • GetPlatformBufLen() : IAAFIdentification
  • GetPlatformVersionRange() : IAAFPluginDef
  • GetPluginAPI() : IAAFPluginDef
  • GetPluginAPIVersionRange() : IAAFPluginDef
  • GetPluginDefs() : IAAFDictionary2 , IAAFDictionary
  • GetPluginManufacturerName() : IAAFPluginDef
  • GetPluginManufacturerNameBufLen() : IAAFPluginDef
  • GetPluginVersion() : IAAFPluginDef
  • GetPluginVersionString() : IAAFPluginDef
  • GetPluginVersionStringBufLen() : IAAFPluginDef
  • GetPointsPerPeakValue() : IAAFPCMDescriptor
  • GetPosition() : IAAFPlainStreamData , IAAFPlainEssenceData , IAAFEvent , IAAFEssenceData , IAAFRIFFChunk , IAAFEssenceDataEx , IAAFTypeDefStream3 , IAAFEssenceData2 , IAAFTypeDefStream
  • GetPositionTimecode() : IAAFTimecodeStream
  • GetPrimaryMob() : IAAFHeader2
  • GetProductID() : IAAFIdentification
  • GetProductName() : IAAFIdentification
  • GetProductNameBufLen() : IAAFIdentification
  • GetProductVersion() : IAAFIdentification
  • GetProductVersionString() : IAAFIdentification
  • GetProductVersionStringBufLen() : IAAFIdentification
  • GetProfileAndLevel() : IAAFMPEGVideoDescriptor
  • GetProperties() : IAAFObject
  • GetPropertyDefs() : IAAFClassDef
  • GetPropertyValue() : IAAFObject
  • GetPulldownDirection() : IAAFPulldown
  • GetPulldownKind() : IAAFPulldown
  • GetQualityEvent() : IAAFBWFImportDescriptor
  • GetQualityEventBufLen() : IAAFBWFImportDescriptor
  • GetQualityParameter() : IAAFBWFImportDescriptor
  • GetQualityParameterBufLen() : IAAFBWFImportDescriptor
  • GetQuantizationBits() : IAAFSoundDescriptor
  • GetRefImplVersion() : IAAFHeader2 , IAAFHeader , IAAFIdentification
  • GetRelativeScope() : IAAFScopeReference
  • GetRelativeSlot() : IAAFScopeReference
  • GetRender() : IAAFOperationGroup
  • GetRendering() : IAAFCompositionMob2
  • GetRepresentation() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetReversedByteOrder() : IAAFCDCIDescriptor2
  • GetRevision() : IAAFFile
  • GetSampledView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetSampleIndexPosition() : IAAFEssenceData2 , IAAFPlainEssenceData , IAAFEssenceDataEx
  • GetSampleIndexSize() : IAAFEssenceDataEx , IAAFPlainEssenceData , IAAFEssenceData2
  • GetSampleRate() : IAAFFileDescriptor , IAAFTimecodeStream , IAAFFileDescriptor2
  • GetSampleSize() : IAAFTimecodeStream
  • GetScanningDirection() : IAAFRGBADescriptor2
  • GetSegment() : IAAFMobSlot
  • GetSegmentAt() : IAAFNestedScope
  • GetSegments() : IAAFNestedScope
  • GetSelectedSegment() : IAAFSelector
  • GetSequenceOffset() : IAAFPCMDescriptor
  • GetSignalStandard() : IAAFDigitalImageDescriptor2
  • GetSignalType() : IAAFTapeDescriptor
  • GetSingleSequence() : IAAFMPEGVideoDescriptor
  • GetSize() : IAAFTypeDefInt , IAAFPlainEssenceData , IAAFEssenceData , IAAFTypeDefStream , IAAFRandomRawStorage , IAAFTypeDefStream3 , IAAFEssenceData2 , IAAFGetFileBits , IAAFEssenceDataEx , IAAFPlainStreamData
  • GetSlotAt() : IAAFMob , IAAFMob2
  • GetSlotID() : IAAFMobSlot
  • GetSlots() : IAAFMob2 , IAAFMob
  • GetSource() : IAAFTimecodeStream
  • GetSourceBufLen() : IAAFTimecodeStream
  • GetSourceID() : IAAFSourceReference2 , IAAFSourceReference
  • GetSourceMobSlotID() : IAAFSourceReference2 , IAAFSourceReference
  • GetSourceReference() : IAAFSourceClip , IAAFFindSourceInfo
  • GetSourceType() : IAAFTimecodeStream
  • GetStartOfModulation() : IAAFBWFImportDescriptor
  • GetStartOfModulationBufLen() : IAAFBWFImportDescriptor
  • GetStillFrame() : IAAFEssenceGroup
  • GetStoredByteOrder() : IAAFTypeDefStream , IAAFTypeDefStream3 , IAAFPlainStreamData , IAAFEndian
  • GetStoredF2Offset() : IAAFDigitalImageDescriptor2
  • GetStoredView() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetStruct() : IAAFTypeDefRecord
  • GetSummary() : IAAFWAVEDescriptor , IAAFTIFFDescriptor , IAAFAIFCDescriptor
  • GetSummaryBufferSize() : IAAFAIFCDescriptor , IAAFTIFFDescriptor , IAAFWAVEDescriptor
  • GetTaggedValueDefs() : IAAFDictionary2
  • GetTapeFormat() : IAAFTapeDescriptor
  • GetTapeFormFactor() : IAAFTapeDescriptor
  • GetTapeLength() : IAAFTapeDescriptor
  • GetTapeManufacturer() : IAAFTapeDescriptor
  • GetTapeManufacturerBufLen() : IAAFTapeDescriptor
  • GetTapeModel() : IAAFTapeDescriptor
  • GetTapeModelBufLen() : IAAFTapeDescriptor
  • GetTapeName() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetTapeNameBufLen() : IAAFMasterMob2 , IAAFMasterMob3 , IAAFMasterMob
  • GetTime() : IAAFControlPoint
  • GetTimecode() : IAAFTimecode
  • GetTrailingLines() : IAAFTIFFDescriptor
  • GetTransferCharacteristic() : IAAFDigitalImageDescriptor2
  • GetType() : IAAFTypeDefVariableArray , IAAFPropertyValue , IAAFTypeDefString , IAAFTypeDefFixedArray
  • GetTypeCategory() : IAAFTypeDef
  • GetTypeDef() : IAAFPropertyDef
  • GetTypeDefinition() : IAAFParameter , IAAFTaggedValue , IAAFControlPoint , IAAFParameterDef , IAAFConstantValue
  • GetTypeDefs() : IAAFDictionary2 , IAAFDictionary
  • GetUniqueIdentifier() : IAAFClassDef
  • GetUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • GetUnknownBWFChunks() : IAAFBWFImportDescriptor
  • GetUsageCode() : IAAFMob2
  • GetUserDataAtPosition() : IAAFTimecodeStream
  • GetUserDataLength() : IAAFTimecodeStream
  • GetUserDataModeAt() : IAAFAES3PCMDescriptor2
  • GetUserPos() : IAAFTimelineMobSlot2
  • GetValue() : IAAFTaggedValue , IAAFControlPoint , IAAFProperty , IAAFTypeDefRecord , IAAFKLVData , IAAFConstantValue
  • GetValueBufLen() : IAAFConstantValue , IAAFVaryingValue , IAAFTaggedValue , IAAFControlPoint , IAAFKLVData
  • GetVerticalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetVideoLineMap() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetVideoLineMapSize() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetWhiteReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- h -

  • HasForwardClassReference() : IAAFDictionary , IAAFDictionary2
  • HasStoredByteOrder() : IAAFTypeDefStream , IAAFTypeDefStream3 , IAAFPlainStreamData
  • header : IAAFTypes::_aafEdgecode_t
  • hour : IAAFTypes::_aafTimeStruct_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- i -

  • Initialize() : IAAFAES3PCMDescriptor , IAAFAIFCDescriptor , IAAFBWFImportDescriptor , IAAFCodecDef , IAAFDescriptiveClip , IAAFOperationGroup , IAAFCDCIDescriptor2 , IAAFCompositionMob2 , IAAFPCMDescriptor , IAAFDataDef2 , IAAFDataDef3 , IAAFDescriptiveMarker , IAAFParameterDef , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFPlainEssenceData , IAAFMasterMob2 , IAAFMasterMob3 , IAAFCompositionMob , IAAFEdgecode , IAAFPluginDef , IAAFTimelineMobSlot2 , IAAFRIFFChunk , IAAFEssenceData , IAAFRecordingDescriptor , IAAFScopeReference , IAAFCDCIDescriptor , IAAFConstantValue , IAAFFiller , IAAFSequence , IAAFSourceClip , IAAFIdentification , IAAFSourceMob , IAAFTaggedValue , IAAFContainerDef , IAAFImportDescriptor , IAAFTaggedValueDefinition , IAAFTapeDescriptor , IAAFInterpolationDef , IAAFTextLocator , IAAFTimecode , IAAFAuxiliaryDescriptor , IAAFCachePageAllocator , IAAFControlPoint , IAAFKLVData , IAAFTimelineMobSlot , IAAFTransition , IAAFKLVDataDefinition , IAAFTypeDefEnum , IAAFTypeDefExtEnum , IAAFDataDef , IAAFMasterMob , IAAFTypeDefFixedArray , IAAFTypeDefInt , IAAFMetaDefinition , IAAFTypeDefRecord , IAAFTypeDefRename , IAAFClassDef , IAAFDataEssenceDescriptor , IAAFMPEGVideoDescriptor , IAAFTypeDefSet , IAAFTypeDefString , IAAFMultipleDescriptor , IAAFTypeDefStrongObjRef , IAAFTypeDefVariableArray , IAAFDefObject , IAAFNetworkLocator , IAAFTypeDefWeakObjRef , IAAFVaryingValue , IAAFOperationDef , IAAFWAVEDescriptor , IAAFAES3PCMDescriptor2
  • InsertChoiceAt() : IAAFEssenceGroup
  • InsertComponentAt() : IAAFSequence
  • InsertDegradeToOperationAt() : IAAFOperationDef
  • InsertElement() : IAAFTypeDefVariableArrayEx
  • InsertFileDescriptorAt() : IAAFMultipleDescriptor
  • InsertInputSegmentAt() : IAAFOperationGroup
  • InsertLocatorAt() : IAAFPluginDef , IAAFEssenceDescriptor
  • InsertSegmentAt() : IAAFNestedScope
  • InsertSlotAt() : IAAFMob , IAAFMob2
  • InsertUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • instanceHigh : IAAFTypes::_aafMobID_t
  • instanceLow : IAAFTypes::_aafMobID_t
  • instanceMid : IAAFTypes::_aafMobID_t
  • IsAccelerated() : IAAFPluginDef
  • IsATimeWarp() : IAAFOperationGroup
  • IsAuxiliaryKind() : IAAFDataDef3
  • IsConcrete() : IAAFClassDef
  • IsDataDefOf() : IAAFDataDef3 , IAAFDataDef , IAAFDataDef2
  • IsDefinedType() : IAAFPropertyValue
  • IsDescribedSlotIDPresent() : IAAFDescriptiveClip
  • IsDescriptiveMetadataKind() : IAAFDataDef3
  • IsDescriptiveSchemePresent() : IAAFHeader2
  • IsEdgecodeKind() : IAAFDataDef2 , IAAFDataDef3
  • IsEssenceContainerPresent() : IAAFHeader2
  • IsEssenceDataPresent() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • IsEssenceKindSupported() : IAAFCodecDef
  • IsExtendable() : IAAFRandomRawStorage
  • IsGenerationTracked() : IAAFObject
  • IsLocked() : IAAFSoundDescriptor
  • IsMatteKind() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
  • IsPictureKind() : IAAFDataDef2 , IAAFDataDef3 , IAAFDataDef
  • IsPictureWithMatteKind() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
  • IsPropertyPresent() : IAAFObject
  • IsReadable() : IAAFRawStorage
  • IsRoot() : IAAFClassDef
  • IsSigned() : IAAFTypeDefInt
  • IsSoftwareOnly() : IAAFPluginDef
  • IsSoundKind() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
  • IsTimecodeKind() : IAAFDataDef3 , IAAFDataDef2
  • IsTimeWarp() : IAAFOperationDef
  • IsUniquelyIdentified() : IAAFClassDef
  • IsValidTranOperation() : IAAFOperationGroup
  • IsWriteable() : IAAFRawStorage
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- p -

  • parentClassID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • patchLevel : IAAFTypes::_aafProductVersion_t
  • platform : IAAFTypes::_aafProductIdentification_t
  • PrependChoice() : IAAFEssenceGroup
  • PrependComponent() : IAAFSequence
  • PrependDegradeToOperation() : IAAFOperationDef
  • PrependElement() : IAAFTypeDefVariableArrayEx
  • PrependFileDescriptor() : IAAFMultipleDescriptor
  • PrependInputSegment() : IAAFOperationGroup
  • PrependLocator() : IAAFEssenceDescriptor , IAAFPluginDef
  • PrependSegment() : IAAFNestedScope
  • PrependSlot() : IAAFMob2 , IAAFMob
  • PrependUnknownBWFChunk() : IAAFBWFImportDescriptor
  • productID : IAAFTypes::_aafProductIdentification_t , IAAFTypes::_aafIdentificationCrit_t
  • productName : IAAFTypes::_aafProductIdentification_t
  • productVersion : IAAFTypes::_aafProductIdentification_t
  • productVersionString : IAAFTypes::_aafProductIdentification_t
  • ProgressCallback() : IAAFProgress
  • propertyID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • PutFileFormat() : IAAFEssenceAccess
  • PutString() : IAAFDiagnosticOutput
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- r -

  • RawAccessType() : IAAFTypeDef
  • Read() : IAAFEssenceData , IAAFPlainStreamData , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFRawStorage , IAAFTypeDefStream3 , IAAFPlainEssenceData , IAAFRIFFChunk , IAAFTypeDefStream
  • ReadAt() : IAAFGetFileBits , IAAFRandomRawStorage
  • ReadElements() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • ReadMultiSamples() : IAAFEssenceMultiAccess
  • ReadPeakEnvelopeData() : IAAFPCMDescriptor
  • ReadSampleIndex() : IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • ReadSamples() : IAAFEssenceAccess
  • referenceImplementationVersion : IAAFTypes::_aafIdentificationCrit_t
  • RegisterClassDef() : IAAFDictionary , IAAFDictionary2
  • RegisterCodecDef() : IAAFDictionary , IAAFDictionary2
  • RegisterContainerDef() : IAAFDictionary , IAAFDictionary2
  • RegisterDataDef() : IAAFDictionary , IAAFDictionary2
  • RegisterInterpolationDef() : IAAFDictionary2 , IAAFDictionary
  • RegisterKLVDataDef() : IAAFDictionary2
  • RegisterKLVDataKey() : IAAFDictionary , IAAFDictionary2
  • RegisterMembers() : IAAFTypeDefRecord
  • RegisterNewPropertyDef() : IAAFClassDef
  • RegisterOpaqueTypeDef() : IAAFDictionary , IAAFDictionary2
  • RegisterOperationDef() : IAAFDictionary , IAAFDictionary2
  • RegisterOptionalPropertyDef() : IAAFClassDef
  • RegisterParameterDef() : IAAFDictionary , IAAFDictionary2
  • RegisterPluginDef() : IAAFDictionary , IAAFDictionary2
  • RegisterPluginDirectory() : IAAFPluginManager
  • RegisterPluginFile() : IAAFPluginManager
  • RegisterSharedPlugins() : IAAFPluginManager
  • RegisterSize() : IAAFTypeDefEnum
  • RegisterTaggedValueDef() : IAAFDictionary2
  • RegisterTypeDef() : IAAFDictionary , IAAFDictionary2
  • RemoveAlternateSegment() : IAAFSelector
  • RemoveAttribute() : IAAFComponent2 , IAAFMob2
  • RemoveChoiceAt() : IAAFEssenceGroup
  • RemoveComment() : IAAFMob , IAAFComponent2 , IAAFMob2
  • RemoveComponentAt() : IAAFSequence
  • RemoveControlPointAt() : IAAFVaryingValue
  • RemoveDegradeToOperationAt() : IAAFOperationDef
  • RemoveDescribedSlotID() : IAAFDescriptiveClip
  • RemoveDescriptiveScheme() : IAAFHeader2
  • RemoveElement() : IAAFTypeDefSet , IAAFTypeDefVariableArrayEx
  • RemoveEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • RemoveEssenceKind() : IAAFCodecDef
  • RemoveFileDescriptorAt() : IAAFMultipleDescriptor
  • RemoveInputSegmentAt() : IAAFOperationGroup
  • RemoveKLVData() : IAAFComponent , IAAFComponent2 , IAAFMob2 , IAAFMob
  • RemoveLocatorAt() : IAAFEssenceDescriptor , IAAFPluginDef
  • RemoveMob() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • RemoveOptionalProperty() : IAAFObject
  • RemoveParentProperty() : IAAFTaggedValueDefinition , IAAFKLVDataDefinition
  • RemoveSegmentAt() : IAAFNestedScope
  • RemoveSlotAt() : IAAFMob , IAAFMob2
  • RemoveUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • Reset() : IEnumAAFComponents , IEnumAAFPluginDefs , IEnumAAFParameters , IEnumAAFDataDefs , IEnumAAFProperties , IEnumAAFTypeDefs , IEnumAAFPropertyValues , IEnumAAFIdentifications , IEnumAAFMobs , IEnumAAFOperationDefs , IEnumAAFFileDescriptors , IEnumAAFTaggedValues , IEnumAAFKLVDataDefs , IEnumAAFSegments , IEnumAAFPropertyDefs , IEnumAAFPluginLocators , IEnumAAFParameterDefs , IEnumAAFRIFFChunks , IEnumAAFCodecDefs , IEnumAAFMobSlots , IEnumAAFContainerDefs , IEnumAAFInterpolationDefs , IEnumAAFControlPoints , IEnumAAFClassDefs , IEnumAAFLocators , IEnumAAFEssenceData , IEnumAAFCodecFlavours , IEnumAAFTaggedValueDefs , IEnumAAFFileEncodings , IEnumAAFLoadedPlugins , IEnumAAFKLVData
  • ResolveRef() : IAAFSourceClip
  • Revert() : IAAFRandomFile
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- s -

  • sampleRate : IAAFTypes::_aafmMultiCreate_t
  • samplesXfered : IAAFTypes::_aafmMultiResult_t
  • Save() : IAAFFile
  • SaveAsFile() : IAAFRandomFile
  • SaveCopyAs() : IAAFFile
  • SearchSource() : IAAFSearchSource
  • searchTag : IAAFTypes , IAAFTypes::_aafSearchCrit_t , IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • second : IAAFTypes::_aafTimeStruct_t
  • Seek() : IAAFEssenceAccess
  • SegmentOffsetToTC() : IAAFSegment
  • SegmentTCToOffset() : IAAFSegment
  • SetActiveFormatDescriptor() : IAAFDigitalImageDescriptor2
  • SetActiveState() : IAAFGPITrigger
  • SetAlphaMaxRef() : IAAFRGBADescriptor2
  • SetAlphaMinRef() : IAAFRGBADescriptor2
  • SetAlphaSamplingWidth() : IAAFCDCIDescriptor2
  • SetAlphaTransparency() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetAnnotation() : IAAFCommentMarker
  • SetAudioRefLevel() : IAAFSoundDescriptor
  • SetAudioSamplingRate() : IAAFSoundDescriptor
  • SetAUIDValue() : IAAFTypeDefExtEnum
  • SetAuxBitsMode() : IAAFAES3PCMDescriptor2
  • SetAverageBPS() : IAAFPCMDescriptor
  • SetBasicData() : IAAFBWFImportDescriptor
  • SetBitRate() : IAAFMPEGVideoDescriptor
  • SetBlackReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetBlockAlign() : IAAFPCMDescriptor
  • SetBlockStartOffset() : IAAFAES3PCMDescriptor2
  • SetBypass() : IAAFOperationDef
  • SetBypassOverride() : IAAFOperationGroup
  • SetCallback() : IAAFTypeDefStreamEx , IAAFTypeDefStream3
  • SetCArray() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • SetCategory() : IAAFOperationDef
  • SetCategoryClass() : IAAFPluginDef
  • SetChannelAssignment() : IAAFPCMDescriptor
  • SetChannelCount() : IAAFSoundDescriptor
  • SetChannelIDs() : IAAFSourceReference2
  • SetChannelStatusModeAt() : IAAFAES3PCMDescriptor2
  • SetCharacter() : IAAFTypeDefCharacter
  • SetCharSet() : IAAFAuxiliaryDescriptor
  • SetChunkID() : IAAFRIFFChunk
  • SetClosedGOP() : IAAFMPEGVideoDescriptor
  • SetCodecDef() : IAAFFileDescriptor , IAAFFileDescriptor2
  • SetCodedContentScanning() : IAAFMPEGVideoDescriptor
  • SetCodingEquations() : IAAFDigitalImageDescriptor2
  • SetCodingHistory() : IAAFBWFImportDescriptor
  • SetColorPrimaries() : IAAFDigitalImageDescriptor2
  • SetColorRange() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetColorSiting() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetComment() : IAAFEvent
  • SetComponentMaxRef() : IAAFRGBADescriptor2
  • SetComponentMinRef() : IAAFRGBADescriptor2
  • SetComponentWidth() : IAAFCDCIDescriptor2 , IAAFCDCIDescriptor
  • SetCompression() : IAAFDigitalImageDescriptor , IAAFSoundDescriptor , IAAFDigitalImageDescriptor2
  • SetConstantBPictureCount() : IAAFMPEGVideoDescriptor
  • SetContainerFormat() : IAAFFileDescriptor , IAAFFileDescriptor2
  • SetCreateTime() : IAAFMob , IAAFMob2
  • SetCString() : IAAFTypeDefString
  • SetCueSheet() : IAAFBWFImportDescriptor
  • SetCutPoint() : IAAFTransition
  • SetDataDef() : IAAFComponent , IAAFOperationDef , IAAFComponent2
  • SetDataEssenceCoding() : IAAFDataEssenceDescriptor
  • SetDefaultFade() : IAAFCompositionMob , IAAFCompositionMob2
  • SetDefinitionObjectID() : IAAFPluginDef
  • SetDescribedSlotIDs() : IAAFDescriptiveMarker
  • SetDescription() : IAAFDefObject , IAAFMetaDefinition , IAAFPropertyDef
  • SetDescriptiveFramework() : IAAFDescriptiveMarker
  • SetDialNorm() : IAAFSoundDescriptor
  • SetDisplayF2Offset() : IAAFDigitalImageDescriptor2
  • SetDisplayUnits() : IAAFParameterDef
  • SetDisplayView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetEditHint() : IAAFControlPoint
  • SetEditRate() : IAAFEventMobSlot , IAAFTimelineMobSlot , IAAFEventMobSlot2 , IAAFTimelineMobSlot2
  • SetElectroSpatialFormulation() : IAAFSoundDescriptor
  • SetElementValue() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • SetEmphasis() : IAAFAES3PCMDescriptor2
  • SetEndOfModulation() : IAAFBWFImportDescriptor
  • SetEngine() : IAAFPluginDef
  • SetEngineMaximumVersion() : IAAFPluginDef
  • SetEngineMinimumVersion() : IAAFPluginDef
  • SetEssenceCodecFlavour() : IAAFEssenceAccess
  • SetEssenceDescriptor() : IAAFSourceMob
  • SetEssenceElementKey() : IAAFKLVEssenceDataParameters , IAAFKLVStreamParameters
  • SetEssenceIsIdentified() : IAAFContainerDef
  • SetEventSlotOrigin() : IAAFEventMobSlot2
  • SetExtent() : IAAFRandomRawStorage
  • SetFade() : IAAFSourceClip
  • SetFieldDominance() : IAAFDigitalImageDescriptor2
  • SetFieldEndOffset() : IAAFDigitalImageDescriptor2
  • SetFieldStartOffset() : IAAFDigitalImageDescriptor2
  • SetFileBits() : IAAFRandomFile
  • SetFileDescriptorClass() : IAAFCodecDef
  • SetFileMob() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • SetFileSecurityReport() : IAAFBWFImportDescriptor
  • SetFileSecurityWave() : IAAFBWFImportDescriptor
  • SetFilmAspectRatio() : IAAFFilmDescriptor
  • SetFilmFormat() : IAAFFilmDescriptor
  • SetFilmManufacturer() : IAAFFilmDescriptor
  • SetFilmModel() : IAAFFilmDescriptor
  • SetFixedChannelStatusDataAt() : IAAFAES3PCMDescriptor2
  • SetFixedUserDataAt() : IAAFAES3PCMDescriptor2
  • SetFrameLayout() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetFrameRate() : IAAFFilmDescriptor
  • SetGamma() : IAAFDigitalImageDescriptor
  • SetHandle() : IAAFTypeDefOpaque
  • SetHardwarePlatform() : IAAFPluginDef
  • SetHorizontalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetIdenticalGOP() : IAAFMPEGVideoDescriptor
  • SetImageAlignmentFactor() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetImageAspectRatio() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetInputSegment() : IAAFPulldown
  • SetInteger() : IAAFTypeDefInt
  • SetIntegerValue() : IAAFTypeDefEnum
  • SetIsAccelerated() : IAAFPluginDef
  • SetIsContiguous() : IAAFTIFFDescriptor
  • SetIsLocked() : IAAFSoundDescriptor
  • SetIsSoftwareOnly() : IAAFPluginDef
  • SetIsTimeWarp() : IAAFOperationDef
  • SetIsUniform() : IAAFTIFFDescriptor
  • SetJPEGTableID() : IAAFTIFFDescriptor
  • SetKLVDataType() : IAAFKLVDataDefinition
  • SetLeadingLines() : IAAFTIFFDescriptor
  • SetLength() : IAAFComponent , IAAFFileDescriptor , IAAFComponent2 , IAAFFileDescriptor2
  • SetLinkedSlotID() : IAAFFileDescriptor2
  • SetLowDelay() : IAAFMPEGVideoDescriptor
  • SetManufacturerID() : IAAFPluginDef
  • SetManufacturerInfo() : IAAFPluginDef
  • SetMarkIn() : IAAFTimelineMobSlot2
  • SetMarkOut() : IAAFTimelineMobSlot2
  • SetMaxBPictureCount() : IAAFMPEGVideoDescriptor
  • SetMaxGOP() : IAAFMPEGVideoDescriptor
  • SetMimeType() : IAAFAuxiliaryDescriptor
  • SetMobID() : IAAFMob , IAAFMob2
  • SetModTime() : IAAFMob , IAAFMob2
  • SetMonoSourceSlotIDs() : IAAFSourceReference2
  • SetName() : IAAFDefObject , IAAFMetaDefinition , IAAFMob , IAAFMobSlot , IAAFTextLocator , IAAFMob2
  • SetNumberInputs() : IAAFOperationDef
  • SetObject() : IAAFTypeDefObjectRef
  • SetOperationalPattern() : IAAFHeader2
  • SetOperationDefinition() : IAAFOperationGroup
  • SetOperationGroup() : IAAFTransition
  • SetOperatorComment() : IAAFBWFImportDescriptor
  • SetOrigin() : IAAFTimelineMobSlot2 , IAAFTimelineMobSlot
  • SetPaddingBits() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetPalette() : IAAFRGBADescriptor2 , IAAFRGBADescriptor
  • SetPaletteLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • SetPath() : IAAFLocator
  • SetPeakChannelCount() : IAAFPCMDescriptor
  • SetPeakEnvelopeBlockSize() : IAAFPCMDescriptor
  • SetPeakEnvelopeDataPosition() : IAAFPCMDescriptor
  • SetPeakEnvelopeFormat() : IAAFPCMDescriptor
  • SetPeakEnvelopeTimestamp() : IAAFPCMDescriptor
  • SetPeakEnvelopeVersion() : IAAFPCMDescriptor
  • SetPeakFrameCount() : IAAFPCMDescriptor
  • SetPeakOfPeaksPosition() : IAAFPCMDescriptor
  • SetPerfPerFrame() : IAAFFilmDescriptor
  • SetPhaseFrame() : IAAFPulldown
  • SetPhysicalNum() : IAAFMobSlot
  • SetPixelLayout() : IAAFRGBADescriptor2 , IAAFRGBADescriptor
  • SetPlatformMaximumVersion() : IAAFPluginDef
  • SetPlatformMinimumVersion() : IAAFPluginDef
  • SetPluginAPI() : IAAFPluginDef
  • SetPluginAPIMaximumVersion() : IAAFPluginDef
  • SetPluginAPIMinimumVersion() : IAAFPluginDef
  • SetPluginManufacturerName() : IAAFPluginDef
  • SetPluginVersion() : IAAFPluginDef
  • SetPluginVersionString() : IAAFPluginDef
  • SetPointsPerPeakValue() : IAAFPCMDescriptor
  • SetPosition() : IAAFPlainEssenceData , IAAFEssenceData , IAAFEvent , IAAFPlainStreamData , IAAFRIFFChunk , IAAFTypeDefStream , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFTypeDefStream3
  • SetPositionTimecode() : IAAFTimecodeStream
  • SetPrimaryMob() : IAAFHeader2
  • SetProductVersion() : IAAFIdentification
  • SetProfileAndLevel() : IAAFMPEGVideoDescriptor
  • SetPropertyValue() : IAAFObject
  • SetPulldownDirection() : IAAFPulldown
  • SetPulldownKind() : IAAFPulldown
  • SetQualityEvent() : IAAFBWFImportDescriptor
  • SetQualityParameter() : IAAFBWFImportDescriptor
  • SetQuantizationBits() : IAAFSoundDescriptor
  • SetRender() : IAAFOperationGroup
  • SetRendering() : IAAFCompositionMob2
  • SetReversedByteOrder() : IAAFCDCIDescriptor2
  • SetSampledView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetSampleIndexPosition() : IAAFEssenceData2 , IAAFEssenceDataEx , IAAFPlainEssenceData
  • SetSampleRate() : IAAFFileDescriptor2 , IAAFTimecodeStream , IAAFFileDescriptor
  • SetScanningDirection() : IAAFRGBADescriptor2
  • SetSegment() : IAAFMobSlot
  • SetSelectedSegment() : IAAFSelector
  • SetSequenceOffset() : IAAFPCMDescriptor
  • SetSignalStandard() : IAAFDigitalImageDescriptor2
  • SetSignalType() : IAAFTapeDescriptor
  • SetSingleSequence() : IAAFMPEGVideoDescriptor
  • SetSize() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3 , IAAFSetFileBits
  • SetSlotID() : IAAFMobSlot
  • SetSource() : IAAFTimecodeStream
  • SetSourceID() : IAAFSourceReference , IAAFSourceReference2
  • SetSourceMobSlotID() : IAAFSourceReference2 , IAAFSourceReference
  • SetSourceReference() : IAAFSourceClip
  • SetSourceType() : IAAFTimecodeStream
  • SetStartOfModulation() : IAAFBWFImportDescriptor
  • SetStillFrame() : IAAFEssenceGroup
  • SetStoredByteOrder() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • SetStoredF2Offset() : IAAFDigitalImageDescriptor2
  • SetStoredView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetStruct() : IAAFTypeDefRecord
  • SetSummary() : IAAFTIFFDescriptor , IAAFWAVEDescriptor , IAAFAIFCDescriptor
  • SetSupportsAuthentication() : IAAFPluginDef
  • SetTapeFormat() : IAAFTapeDescriptor
  • SetTapeFormFactor() : IAAFTapeDescriptor
  • SetTapeLength() : IAAFTapeDescriptor
  • SetTapeManufacturer() : IAAFTapeDescriptor
  • SetTapeModel() : IAAFTapeDescriptor
  • SetTime() : IAAFControlPoint
  • SetTimecode() : IAAFTimecode
  • SetTrailingLines() : IAAFTIFFDescriptor
  • SetTransferCharacteristic() : IAAFDigitalImageDescriptor2
  • SetTransformParameters() : IAAFEssenceAccess
  • SetUsageCode() : IAAFMob2
  • SetUserDataAtPosition() : IAAFTimecodeStream
  • SetUserDataModeAt() : IAAFAES3PCMDescriptor2
  • SetUserPos() : IAAFTimelineMobSlot2
  • SetValue() : IAAFTypeDefRecord , IAAFKLVData , IAAFTaggedValue , IAAFControlPoint , IAAFConstantValue
  • SetVerticalSubsampling() : IAAFCDCIDescriptor2 , IAAFCDCIDescriptor
  • SetVideoLineMap() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetWhiteReferenceLevel() : IAAFCDCIDescriptor2 , IAAFCDCIDescriptor
  • Size : IAAFTypes::_aafRGBAComponent_t
  • Skip() : IEnumAAFContainerDefs , IEnumAAFProperties , IEnumAAFCodecDefs , IEnumAAFTaggedValueDefs , IEnumAAFTaggedValues , IEnumAAFParameterDefs , IEnumAAFCodecFlavours , IEnumAAFPropertyValues , IEnumAAFPluginDefs , IEnumAAFRIFFChunks , IEnumAAFLoadedPlugins , IEnumAAFMobs , IEnumAAFClassDefs , IEnumAAFEssenceData , IEnumAAFTypeDefs , IEnumAAFFileEncodings , IEnumAAFPluginLocators , IEnumAAFFileDescriptors , IEnumAAFControlPoints , IEnumAAFSegments , IEnumAAFDataDefs , IEnumAAFOperationDefs , IEnumAAFComponents , IEnumAAFInterpolationDefs , IEnumAAFPropertyDefs , IEnumAAFKLVData , IEnumAAFLocators , IEnumAAFIdentifications , IEnumAAFKLVDataDefs , IEnumAAFMobSlots , IEnumAAFParameters
  • slotID : IAAFTypes::_aafmMultiCreate_t
  • SMPTELabel : IAAFTypes::_aafMobID_t
  • sourceID : IAAFTypes::_aafSourceRef_t
  • sourceSlotID : IAAFTypes::_aafSourceRef_t
  • SpecifyValidCodeRange() : IAAFSourceMob
  • startFrame : IAAFTypes::_aafEdgecode_t , IAAFTypes::_aafTimecode_t
  • startTime : IAAFTypes::_aafSourceRef_t
  • subTrackNum : IAAFTypes::_aafmMultiXfer_t , IAAFTypes::_aafmMultiCreate_t
  • SupportsAuthentication() : IAAFPluginDef
  • Synchronize() : IAAFRawStorage
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- t -

  • tags : IAAFTypes , IAAFTypes::_aafDefinitionCrit_t , IAAFTypes::_aafIdentificationCrit_t
  • tertiary : IAAFTypes::_aafProductVersion_t
  • time : IAAFTypes::_aafTimeStamp_t
  • type
: IAAFTypes::_aafMediaCriteria_t
, IAAFTypes::_aafDefinitionCrit_t
, IAAFTypes::_aafIdentificationCrit_t
, IAAFTypes::_aafProductVersion_t
  • typeID : IAAFTypes , IAAFTypes::_aafSearchDictionaryCrit_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- u -

  • UpdateEssenceContainers() : IAAFHeader2
  • usageCode : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- v -

  • valid : IAAFTypes::_aafDefaultFade_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- w -

  • Write() : IAAFEssenceData , IAAFPlainEssenceData , IAAFRawStorage , IAAFEssenceData2 , IAAFTypeDefStream3 , IAAFRIFFChunk , IAAFPlainStreamData , IAAFTypeDefStream , IAAFEssenceDataEx
  • WriteAt() : IAAFRandomRawStorage , IAAFSetFileBits
  • WriteElements() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • WriteMultiSamples() : IAAFEssenceMultiAccess
  • WritePeakEnvelopeData() : IAAFPCMDescriptor
  • WriteSampleIndex() : IAAFEssenceData2 , IAAFPlainEssenceData , IAAFEssenceDataEx
  • WriteSamples() : IAAFEssenceAccess
  • WriteStream() : IAAFStreamAccess
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- x -

  • xOffset : IAAFTypes::_aafRect_t
  • xSize : IAAFTypes::_aafRect_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • h
  • i
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • y
Here is a list of all class members with links to the classes they belong to:

- y -

  • year : IAAFTypes::_aafDateStruct_t
  • yOffset : IAAFTypes::_aafRect_t
  • ySize : IAAFTypes::_aafRect_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Enumerations

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • _

- _ -

  • _aafAlphaTransparency_e : IAAFTypes
  • _aafAppendOption_e : IAAFTypes
  • _aafAttributeKind_e : IAAFTypes
  • _aafAudioSampleType_e : IAAFTypes
  • _aafAuxBitsModeType_e : IAAFTypes
  • _aafBoolean_e : IAAFTypes
  • _aafChannelStatusModeType_e : IAAFTypes
  • _aafColorSiting_e : IAAFTypes
  • _aafColorSpace_e : IAAFTypes
  • _aafCompressEnable_e : IAAFTypes
  • _aafContentScanningType_e : IAAFTypes
  • _aafCriteriaType_e : IAAFTypes
  • _AAFDataDefinitionMatch_e : IAAFTypes
  • _aafDefinitionCritType_e : IAAFTypes
  • _aafDefinitionKind_e : IAAFTypes
  • _aafDepend_e : IAAFTypes
  • _aafDirectionCode_e : IAAFTypes
  • _aafDropType_e : IAAFTypes
  • _aafEdgeType_e : IAAFTypes
  • _aafEditHint_e : IAAFTypes
  • _aafElectroSpatialFormulation_e : IAAFTypes
  • _aafEmphasisType_e : IAAFTypes
  • _aafFadeType_e : IAAFTypes
  • _aafFieldDom_e : IAAFTypes
  • _aafFieldNumber_e : IAAFTypes
  • _aafFieldTop_e : IAAFTypes
  • _aafFileAccess_e : IAAFTypes
  • _aafFileExistence_e : IAAFTypes
  • _aafFileFormat_e : IAAFTypes
  • _aafFileRev_e : IAAFTypes
  • _aafFilmType_e : IAAFTypes
  • _aafFrameLayout_e : IAAFTypes
  • _aafIdentificationCritType_e : IAAFTypes
  • _aafIncMedia_e : IAAFTypes
  • _aafIndexType_e : IAAFTypes
  • _aafInterpKind_e : IAAFTypes
  • _aafJPEGcomponent_e : IAAFTypes
  • _aafMAX_NUM_RGBA_COMPS_e : IAAFTypes
  • _aafMediaOpenMode_e : IAAFTypes
  • _aafMobKind_e : IAAFTypes
  • _aafOperationChoice_e : IAAFTypes
  • _aafPixelFormat_e : IAAFTypes
  • _aafProductReleaseType_e : IAAFTypes
  • _aafPropertyOpt_e : IAAFTypes
  • _aafPulldownDir_e : IAAFTypes
  • _aafPulldownKind_e : IAAFTypes
  • _aafReferenceType_e : IAAFTypes
  • _aafRGBAComponentKind_e : IAAFTypes
  • _aafScanningDirection_e : IAAFTypes
  • _aafSearchDictionaryTag_e : IAAFTypes
  • _aafSearchTag_e : IAAFTypes
  • _aafSignalStandard_e : IAAFTypes
  • _aafSwapNeeded_e : IAAFTypes
  • _aafTapeCaseType_e : IAAFTypes
  • _aafTapeFormatType_e : IAAFTypes
  • _aafTimecodeSourceType_e : IAAFTypes
  • _aafTitleAlignmentType_e : IAAFTypes
  • _aafUserDataModeType_e : IAAFTypes
  • _aafVideoSignalType_e : IAAFTypes
  • _eAAFByteOrder_e : IAAFTypes
  • _eAAFTypeCategory_e : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Enumerator

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • k
  • m

- k -

  • kAAF8mmFormat : IAAFTypes
  • kAAF8mmVideoTape : IAAFTypes
  • kAAFAllClasses : IAAFTypes
  • kAAFAllDefinitions : IAAFTypes
  • kAAFAllMob : IAAFTypes
  • kAAFAnyRepresentation : IAAFTypes
  • kAAFAppend : IAAFTypes
  • kAAFAuxBitsMode_MainAudioSampleData : IAAFTypes
  • kAAFAuxBitsMode_NotDefined : IAAFTypes
  • kAAFAuxBitsMode_Reserved0 : IAAFTypes
  • kAAFAuxBitsMode_Reserved1 : IAAFTypes
  • kAAFAuxBitsMode_Reserved2 : IAAFTypes
  • kAAFAuxBitsMode_Reserved3 : IAAFTypes
  • kAAFAuxBitsMode_SingleCoordinationSignal : IAAFTypes
  • kAAFAuxBitsMode_UserDefined : IAAFTypes
  • kAAFAveraging : IAAFTypes
  • kAAFBestFidelityRepresentation : IAAFTypes
  • kAAFBetacamFormat : IAAFTypes
  • kAAFBetacamSPFormat : IAAFTypes
  • kAAFBetacamVideoTape : IAAFTypes
  • kAAFByClass : IAAFTypes
  • kAAFByClassID : IAAFTypes
  • kAAFByClassName : IAAFTypes
  • kAAFByCompositionMobUsageCode : IAAFTypes
  • kAAFByDataDef : IAAFTypes
  • kAAFByDefClass : IAAFTypes
  • kAAFByDefKind : IAAFTypes
  • kAAFByDefName : IAAFTypes
  • kAAFByIdGeneration : IAAFTypes
  • kAAFByIdProductID : IAAFTypes
  • kAAFByIdRefImplVersion : IAAFTypes
  • kAAFByMasterMobUsageCode : IAAFTypes
  • kAAFByMediaCrit : IAAFTypes
  • kAAFByMobID : IAAFTypes
  • kAAFByMobKind : IAAFTypes
  • kAAFByName : IAAFTypes
  • kAAFByParentClassID : IAAFTypes
  • kAAFByPropertyID : IAAFTypes
  • kAAFBySourceMobUsageCode : IAAFTypes
  • kAAFByteOrderBig : IAAFTypes
  • kAAFByteOrderLittle : IAAFTypes
  • kAAFByTypeID : IAAFTypes
  • kAAFByUsageCode : IAAFTypes
  • kAAFChannelStatusMode_Essence : IAAFTypes
  • kAAFChannelStatusMode_Fixed : IAAFTypes
  • kAAFChannelStatusMode_Minimum : IAAFTypes
  • kAAFChannelStatusMode_None : IAAFTypes
  • kAAFChannelStatusMode_Standard : IAAFTypes
  • kAAFChannelStatusMode_Stream : IAAFTypes
  • kAAFClassDefinition : IAAFTypes
  • kAAFColorSpaceCMYK : IAAFTypes
  • kAAFColorSpaceHSI : IAAFTypes
  • kAAFColorSpaceHSV : IAAFTypes
  • kAAFColorSpaceRGB : IAAFTypes
  • kAAFColorSpaceYCrCb : IAAFTypes
  • kAAFColorSpaceYDrDb : IAAFTypes
  • kAAFColorSpaceYIQ : IAAFTypes
  • kAAFColorSpaceYUV : IAAFTypes
  • kAAFCompactCassette : IAAFTypes
  • kAAFCompAlpha : IAAFTypes
  • kAAFCompBlue : IAAFTypes
  • kAAFCompFill : IAAFTypes
  • kAAFCompGreen : IAAFTypes
  • kAAFCompMob : IAAFTypes
  • kAAFCompMobIndex : IAAFTypes
  • kAAFCompNone : IAAFTypes
  • kAAFCompNull : IAAFTypes
  • kAAFCompPalette : IAAFTypes
  • kAAFCompRed : IAAFTypes
  • kAAFCompressionDisable : IAAFTypes
  • kAAFCompressionEnable : IAAFTypes
  • kAAFConstInterp : IAAFTypes
  • kAAFContentScanning_Interlace : IAAFTypes
  • kAAFContentScanning_Mixed : IAAFTypes
  • kAAFContentScanning_NotKnown : IAAFTypes
  • kAAFContentScanning_Progressive : IAAFTypes
  • kAAFConvertFrom : IAAFTypes
  • kAAFConvertTo : IAAFTypes
  • kAAFCoSiting : IAAFTypes
  • kAAFDataDefinition : IAAFTypes
  • kAAFDATCartridge : IAAFTypes
  • kAAFDirCodeDown : IAAFTypes
  • kAAFDirCodeLeft : IAAFTypes
  • kAAFDirCodeLowerLeft : IAAFTypes
  • kAAFDirCodeLowerRight : IAAFTypes
  • kAAFDirCodeRight : IAAFTypes
  • kAAFDirCodeUp : IAAFTypes
  • kAAFDirCodeUpperLeft : IAAFTypes
  • kAAFDirCodeUpperRight : IAAFTypes
  • kAAFDominantField1 : IAAFTypes
  • kAAFDominantField2 : IAAFTypes
  • kAAFElectroSpatialFormulation_Default : IAAFTypes
  • kAAFElectroSpatialFormulation_MultiChannelMode : IAAFTypes
  • kAAFElectroSpatialFormulation_PrimarySecondaryMode : IAAFTypes
  • kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_SingleChannelMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereophonicMode : IAAFTypes
  • kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode : IAAFTypes
  • kAAFElectroSpatialFormulation_TwoChannelMode : IAAFTypes
  • kAAFEmphasis_15and50 : IAAFTypes
  • kAAFEmphasis_ITU : IAAFTypes
  • kAAFEmphasis_None : IAAFTypes
  • kAAFEmphasis_Reserved0 : IAAFTypes
  • kAAFEmphasis_Reserved1 : IAAFTypes
  • kAAFEmphasis_Reserved2 : IAAFTypes
  • kAAFEmphasis_Reserved3 : IAAFTypes
  • kAAFEmphasis_Unknown : IAAFTypes
  • kAAFEssence : IAAFTypes
  • kAAFEtEdgenum4 : IAAFTypes
  • kAAFEtEdgenum5 : IAAFTypes
  • kAAFEtHeaderSize : IAAFTypes
  • kAAFEtKeycode : IAAFTypes
  • kAAFEtNull : IAAFTypes
  • kAAFExactMatch : IAAFTypes
  • kAAFFadeLinearAmp : IAAFTypes
  • kAAFFadeLinearPower : IAAFTypes
  • kAAFFadeNone : IAAFTypes
  • kAAFFalse : IAAFTypes
  • kAAFFastestRepresentation : IAAFTypes
  • kAAFFieldOne : IAAFTypes
  • kAAFFieldTwo : IAAFTypes
  • kAAFFileAccess_modify : IAAFTypes
  • kAAFFileAccess_none : IAAFTypes
  • kAAFFileAccess_read : IAAFTypes
  • kAAFFileAccess_write : IAAFTypes
  • kAAFFileExistence_existing : IAAFTypes
  • kAAFFileExistence_new : IAAFTypes
  • kAAFFileMob : IAAFTypes
  • kAAFFilmMob : IAAFTypes
  • kAAFFilmToTapeSpeed : IAAFTypes
  • kAAFFindIncoming : IAAFTypes
  • kAAFFindNull : IAAFTypes
  • kAAFFindOperationSrc1 : IAAFTypes
  • kAAFFindOperationSrc2 : IAAFTypes
  • kAAFFindOperationSrc3 : IAAFTypes
  • kAAFFindOperationSrc4 : IAAFTypes
  • kAAFFindOperationSrc5 : IAAFTypes
  • kAAFFindOperationSrc6 : IAAFTypes
  • kAAFFindOperationSrc7 : IAAFTypes
  • kAAFFindOperationSrc8 : IAAFTypes
  • kAAFFindOutgoing : IAAFTypes
  • kAAFFindRender : IAAFTypes
  • kAAFFollowDepend : IAAFTypes
  • kAAFForceOverwrite : IAAFTypes
  • kAAFForeignMedia : IAAFTypes
  • kAAFFt16MM : IAAFTypes
  • kAAFFt35MM : IAAFTypes
  • kAAFFt65MM : IAAFTypes
  • kAAFFt8MM : IAAFTypes
  • kAAFFtNull : IAAFTypes
  • kAAFFullFrame : IAAFTypes
  • kAAFHi8Format : IAAFTypes
  • kAAFIncludeMedia : IAAFTypes
  • kAAFIntegerAttribute : IAAFTypes
  • kAAFJcChrominance : IAAFTypes
  • kAAFJcChrominanceFP16 : IAAFTypes
  • kAAFJcLuminance : IAAFTypes
  • kAAFJcLuminanceFP16 : IAAFTypes
  • kAAFLinearInterp : IAAFTypes
  • kAAFMasterMob : IAAFTypes
  • kAAFMaxValueTransparent : IAAFTypes
  • kAAFMediaIndex : IAAFTypes
  • kAAFMediaOpenAppend : IAAFTypes
  • kAAFMediaOpenReadOnly : IAAFTypes
  • kAAFMinValueTransparent : IAAFTypes
  • kAAFMixedFields : IAAFTypes
  • kAAFNagraAudioTape : IAAFTypes
  • kAAFNeverSwap : IAAFTypes
  • kAAFNoDefSearch : IAAFTypes
  • kAAFNoDominant : IAAFTypes
  • kAAFNoEditHint : IAAFTypes
  • kAAFNoFollowDepend : IAAFTypes
  • kAAFNoIdSearch : IAAFTypes
  • kAAFNoIncludeMedia : IAAFTypes
  • kAAFNoSearch : IAAFTypes
  • kAAFNTSCSignal : IAAFTypes
  • kAAFNullAttribute : IAAFTypes
  • kAAFObjectAttribute : IAAFTypes
  • kAAFOffsetBinary : IAAFTypes
  • kAAFOneField : IAAFTypes
  • kAAFOneToOneHDSixty : IAAFTypes
  • kAAFOneToOneNTSC : IAAFTypes
  • kAAFOneToOnePAL : IAAFTypes
  • kAAFOperationDefinition : IAAFTypes
  • kAAFPALPD : IAAFTypes
  • kAAFPALSignal : IAAFTypes
  • kAAFPhysicalMob : IAAFTypes
  • kAAFPixNone : IAAFTypes
  • kAAFPixRGBA : IAAFTypes
  • kAAFPixYUV : IAAFTypes
  • kAAFPrimaryMob : IAAFTypes
  • kAAFPrimaryMobIndex : IAAFTypes
  • kAAFPropertyDefinition : IAAFTypes
  • kAAFPropOptional : IAAFTypes
  • kAAFProportional : IAAFTypes
  • kAAFPropRequired : IAAFTypes
  • kAAFQuincunx : IAAFTypes
  • kAAFRec601 : IAAFTypes
  • kAAFRefEnumvalue : IAAFTypes
  • kAAFRefLimitMaximum : IAAFTypes
  • kAAFRefLimitMinimum : IAAFTypes
  • kAAFRefMaximum : IAAFTypes
  • kAAFRefMinimum : IAAFTypes
  • kAAFRelativeFixed : IAAFTypes
  • kAAFRelativeLeft : IAAFTypes
  • kAAFRelativeRight : IAAFTypes
  • kAAFRev1 : IAAFTypes
  • kAAFRev2 : IAAFTypes
  • kAAFScanningDirection_BottomToTopLeftToRight : IAAFTypes
  • kAAFScanningDirection_BottomToTopRightToLeft : IAAFTypes
  • kAAFScanningDirection_LeftToRightBottomToTop : IAAFTypes
  • kAAFScanningDirection_LeftToRightTopToBottom : IAAFTypes
  • kAAFScanningDirection_RightToLeftBottomToTop : IAAFTypes
  • kAAFScanningDirection_RightToLeftTopToBottom : IAAFTypes
  • kAAFScanningDirection_TopToBottomLeftToRight : IAAFTypes
  • kAAFScanningDirection_TopToBottomRightToLeft : IAAFTypes
  • kAAFSECAMSignal : IAAFTypes
  • kAAFSegmentedFrame : IAAFTypes
  • kAAFSeparateFields : IAAFTypes
  • kAAFSignalStandard_ITU1358 : IAAFTypes
  • kAAFSignalStandard_ITU601 : IAAFTypes
  • kAAFSignalStandard_None : IAAFTypes
  • kAAFSignalStandard_SMPTE274M : IAAFTypes
  • kAAFSignalStandard_SMPTE296M : IAAFTypes
  • kAAFSignalStandard_SMPTE347M : IAAFTypes
  • kAAFSignalStandard_SMPTE349M : IAAFTypes
  • kAAFSignedMagnitude : IAAFTypes
  • kAAFSmallestRepresentation : IAAFTypes
  • kAAFSourceMobIndex : IAAFTypes
  • kAAFStringAttribute : IAAFTypes
  • kAAFSVHSFormat : IAAFTypes
  • kAAFSwapIfNeeded : IAAFTypes
  • kAAFTapeCaseNull : IAAFTypes
  • kAAFTapeFormatNull : IAAFTypes
  • kAAFTapeMob : IAAFTypes
  • kAAFTapeToFilmSpeed : IAAFTypes
  • kAAFTcDrop : IAAFTypes
  • kAAFTcNonDrop : IAAFTypes
  • kAAFThreeFourthInchVideoTape : IAAFTypes
  • kAAFThreeTap : IAAFTypes
  • kAAFTimecodeLTC : IAAFTypes
  • kAAFTimecodeVITC : IAAFTypes
  • kAAFTitleAlignment_Center : IAAFTypes
  • kAAFTitleAlignment_Left : IAAFTypes
  • kAAFTitleAlignment_Right : IAAFTypes
  • kAAFTopField1 : IAAFTypes
  • kAAFTopField2 : IAAFTypes
  • kAAFTopFieldNone : IAAFTypes
  • kAAFTrue : IAAFTypes
  • kAAFTwentyFourToSixtyPD : IAAFTypes
  • kAAFTwoThreePD : IAAFTypes
  • kAAFTwoToOnePD : IAAFTypes
  • kAAFTypeCatCharacter : IAAFTypes
  • kAAFTypeCatEncrypted : IAAFTypes
  • kAAFTypeCatEnum : IAAFTypes
  • kAAFTypeCatExtEnum : IAAFTypes
  • kAAFTypeCatFixedArray : IAAFTypes
  • kAAFTypeCatIndirect : IAAFTypes
  • kAAFTypeCatInt : IAAFTypes
  • kAAFTypeCatOpaque : IAAFTypes
  • kAAFTypeCatRecord : IAAFTypes
  • kAAFTypeCatRename : IAAFTypes
  • kAAFTypeCatSet : IAAFTypes
  • kAAFTypeCatStream : IAAFTypes
  • kAAFTypeCatString : IAAFTypes
  • kAAFTypeCatStrongObjRef : IAAFTypes
  • kAAFTypeCatUnknown : IAAFTypes
  • kAAFTypeCatVariableArray : IAAFTypes
  • kAAFTypeCatWeakObjRef : IAAFTypes
  • kAAFTypeDefinition : IAAFTypes
  • kAAFUnknownSiting : IAAFTypes
  • kAAFUnspecifiedField : IAAFTypes
  • kAAFUserDataMode_192BitBlockStructure : IAAFTypes
  • kAAFUserDataMode_AES18 : IAAFTypes
  • kAAFUserDataMode_IEC : IAAFTypes
  • kAAFUserDataMode_Metadata : IAAFTypes
  • kAAFUserDataMode_NotDefined : IAAFTypes
  • kAAFUserDataMode_Reserved0 : IAAFTypes
  • kAAFUserDataMode_Reserved1 : IAAFTypes
  • kAAFUserDataMode_Reserved2 : IAAFTypes
  • kAAFUserDataMode_Reserved3 : IAAFTypes
  • kAAFUserDataMode_Reserved4 : IAAFTypes
  • kAAFUserDataMode_Reserved5 : IAAFTypes
  • kAAFUserDataMode_Reserved6 : IAAFTypes
  • kAAFUserDataMode_Reserved7 : IAAFTypes
  • kAAFUserDataMode_Reserved8 : IAAFTypes
  • kAAFUserDataMode_Reserved9 : IAAFTypes
  • kAAFUserDataMode_UserDefined : IAAFTypes
  • kAAFVersionBeta : IAAFTypes
  • kAAFVersionDebug : IAAFTypes
  • kAAFVersionPatched : IAAFTypes
  • kAAFVersionPrivateBuild : IAAFTypes
  • kAAFVersionReleased : IAAFTypes
  • kAAFVersionUnknown : IAAFTypes
  • kAAFVHSFormat : IAAFTypes
  • kAAFVHSVideoTape : IAAFTypes
  • kAAFVideoSignalNull : IAAFTypes
  • kAAFVideoTapNTSC : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Enumerator

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • k
  • m

- m -

  • MAX_NUM_RGBA_COMPS : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- a -

  • AddControlPoint() : IAAFVaryingValue
  • AddDescribedSlotID() : IAAFDescriptiveClip
  • AddDescriptiveScheme() : IAAFHeader2
  • AddElement() : IAAFTypeDefSet
  • AddEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • AddEssenceKind() : IAAFCodecDef
  • AddFormatSpecifier() : IAAFEssenceFormat
  • AddMasterSlot() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • AddMasterSlotWithSequence() : IAAFMasterMob3
  • AddMob() : IAAFHeader2 , IAAFContentStorage , IAAFHeader
  • AddNilReference() : IAAFSourceMob
  • AddParameter() : IAAFOperationGroup
  • AddParameterDef() : IAAFOperationDef
  • AddParentProperty() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • AddPulldownRef() : IAAFSourceMob
  • Allocate() : IAAFCachePageAllocator
  • Append() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • AppendAlternateSegment() : IAAFSelector
  • AppendAttribute() : IAAFComponent2 , IAAFMob2
  • AppendChoice() : IAAFEssenceGroup
  • AppendComment() : IAAFComponent2 , IAAFMob2 , IAAFMob
  • AppendComponent() : IAAFSequence
  • AppendDegradeToOperation() : IAAFOperationDef
  • AppendEdgecodeSlot() : IAAFSourceMob
  • AppendElement() : IAAFTypeDefExtEnum , IAAFTypeDefVariableArray
  • AppendElements() : IAAFTypeDefStream , IAAFTypeDefString , IAAFTypeDefStream3 , IAAFPlainStreamData
  • AppendFileDescriptor() : IAAFMultipleDescriptor
  • AppendIdentification() : IAAFHeader , IAAFHeader2
  • AppendInputSegment() : IAAFOperationGroup
  • AppendKLVData() : IAAFComponent , IAAFMob , IAAFComponent2 , IAAFMob2
  • AppendLocator() : IAAFEssenceDescriptor , IAAFPluginDef
  • AppendNewEventSlot() : IAAFMob2
  • AppendNewStaticSlot() : IAAFMob2
  • AppendNewTimelineSlot() : IAAFMob , IAAFMob2
  • AppendPhysSourceRef() : IAAFSourceMob , IAAFMasterMob3 , IAAFMasterMob2 , IAAFMasterMob
  • AppendSegment() : IAAFNestedScope
  • AppendSlot() : IAAFMob , IAAFMob2
  • AppendTimecodeSlot() : IAAFSourceMob
  • AppendUnknownBWFChunk() : IAAFBWFImportDescriptor
  • AreAllPeakEnvelopePropertiesPresent() : IAAFPCMDescriptor
  • AreThereFlavours() : IAAFCodecDef
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- l -

  • LookupAuxiliaryDataDef() : IAAFDictionary2
  • LookupClassDef() : IAAFDictionary , IAAFDictionary2
  • LookupCodecDef() : IAAFDictionary , IAAFDictionary2
  • LookupContainerDef() : IAAFDictionary , IAAFDictionary2
  • LookupDataDef() : IAAFDictionary , IAAFDictionary2
  • LookupDescriptiveMetadataDataDef() : IAAFDictionary2
  • LookupEdgecodeDataDef() : IAAFDictionary2
  • LookupElement() : IAAFTypeDefSet
  • LookupEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • LookupIdentification() : IAAFHeader , IAAFHeader2
  • LookupInterpolationDef() : IAAFDictionary , IAAFDictionary2
  • LookupKLVDataDef() : IAAFDictionary2
  • LookupLegacyPictureDataDef() : IAAFDictionary2
  • LookupLegacySoundDataDef() : IAAFDictionary2
  • LookupLegacyTimecodeDataDef() : IAAFDictionary2
  • LookupMatteDataDef() : IAAFDictionary2
  • LookupMob() : IAAFHeader2 , IAAFContentStorage , IAAFHeader
  • LookupOpaqueTypeDef() : IAAFDictionary , IAAFDictionary2
  • LookupOperationDef() : IAAFDictionary2 , IAAFDictionary
  • LookupParameter() : IAAFOperationGroup
  • LookupParameterDef() : IAAFDictionary , IAAFOperationDef , IAAFDictionary2
  • LookupPictureDataDef() : IAAFDictionary2
  • LookupPictureWithMatteDataDef() : IAAFDictionary2
  • LookupPluginDef() : IAAFDictionary , IAAFDictionary2
  • LookupPropertyDef() : IAAFClassDef
  • LookupSlot() : IAAFMob2 , IAAFMob
  • LookupSoundDataDef() : IAAFDictionary2
  • LookupTaggedValueDef() : IAAFDictionary2
  • LookupTimecodeDataDef() : IAAFDictionary2
  • LookupTypeDef() : IAAFDictionary , IAAFDictionary2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- n -

  • NewPhysSourceRef() : IAAFMasterMob , IAAFSourceMob , IAAFMasterMob3 , IAAFMasterMob2
  • Next() : IEnumAAFComponents , IEnumAAFInterpolationDefs , IEnumAAFSegments , IEnumAAFTaggedValueDefs , IEnumAAFKLVData , IEnumAAFTaggedValues , IEnumAAFTypeDefs , IEnumAAFContainerDefs , IEnumAAFKLVDataDefs , IEnumAAFLoadedPlugins , IEnumAAFClassDefs , IEnumAAFControlPoints , IEnumAAFLocators , IEnumAAFMobSlots , IEnumAAFDataDefs , IEnumAAFMobs , IEnumAAFOperationDefs , IEnumAAFCodecDefs , IEnumAAFEssenceData , IEnumAAFParameterDefs , IEnumAAFParameters , IEnumAAFFileDescriptors , IEnumAAFPluginDefs , IEnumAAFPluginLocators , IEnumAAFCodecFlavours , IEnumAAFFileEncodings , IEnumAAFProperties , IEnumAAFPropertyDefs , IEnumAAFIdentifications , IEnumAAFPropertyValues , IEnumAAFRIFFChunks
  • NextOne() : IEnumAAFTypeDefs , IEnumAAFKLVData , IEnumAAFCodecDefs , IEnumAAFCodecFlavours , IEnumAAFContainerDefs , IEnumAAFControlPoints , IEnumAAFFileDescriptors , IEnumAAFFileEncodings , IEnumAAFInterpolationDefs , IEnumAAFTaggedValues , IEnumAAFLocators , IEnumAAFMobSlots , IEnumAAFOperationDefs , IEnumAAFParameterDefs , IEnumAAFPluginLocators , IEnumAAFProperties , IEnumAAFPropertyValues , IEnumAAFParameters , IEnumAAFClassDefs , IEnumAAFComponents , IEnumAAFEssenceData , IEnumAAFIdentifications , IEnumAAFLoadedPlugins , IEnumAAFMobs , IEnumAAFPluginDefs , IEnumAAFPropertyDefs , IEnumAAFRIFFChunks , IEnumAAFDataDefs , IEnumAAFKLVDataDefs , IEnumAAFTaggedValueDefs , IEnumAAFSegments
  • NumFormatSpecifiers() : IAAFEssenceFormat
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- o -

  • OffsetToMobTimecode() : IAAFMob , IAAFMob2
  • Open() : IAAFFile
  • OpenEssence() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • OpenMultiEssence() : IAAFMasterMob3 , IAAFMasterMob , IAAFMasterMob2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- c -

  • ChangeRef() : IAAFMob , IAAFMob2
  • ClearStoredByteOrder() : IAAFTypeDefStream , IAAFTypeDefStream3 , IAAFPlainStreamData
  • Clone() : IEnumAAFCodecFlavours , IEnumAAFIdentifications , IEnumAAFRIFFChunks , IEnumAAFSegments , IEnumAAFInterpolationDefs , IEnumAAFTaggedValueDefs , IEnumAAFTaggedValues , IEnumAAFComponents , IEnumAAFKLVData , IEnumAAFTypeDefs , IEnumAAFKLVDataDefs , IEnumAAFContainerDefs , IEnumAAFLoadedPlugins , IEnumAAFLocators , IEnumAAFControlPoints , IEnumAAFMobSlots , IEnumAAFMobs , IEnumAAFClassDefs , IEnumAAFDataDefs , IEnumAAFOperationDefs , IEnumAAFParameterDefs , IEnumAAFEssenceData , IEnumAAFParameters , IEnumAAFPluginDefs , IEnumAAFCodecDefs , IEnumAAFFileDescriptors , IEnumAAFPluginLocators , IEnumAAFProperties , IEnumAAFFileEncodings , IEnumAAFPropertyDefs , IEnumAAFPropertyValues
  • CloneExternal() : IAAFMob , IAAFMob2
  • Close() : IAAFFile
  • CompleteWrite() : IAAFEssenceAccess
  • ContainsElement() : IAAFTypeDefSet
  • ContainsKey() : IAAFTypeDefSet
  • Copy() : IAAFMob , IAAFMob2
  • CountAttributes() : IAAFComponent2 , IAAFMob2
  • CountChannels() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • CountChoices() : IAAFEssenceGroup
  • CountClassDefs() : IAAFDictionary , IAAFDictionary2
  • CountCodecDefs() : IAAFDictionary , IAAFDictionary2
  • CountComments() : IAAFMob , IAAFComponent2 , IAAFMob2
  • CountComponents() : IAAFSequence
  • CountContainerDefs() : IAAFDictionary , IAAFDictionary2
  • CountControlPoints() : IAAFVaryingValue
  • CountDataDefs() : IAAFDictionary , IAAFDictionary2
  • CountDegradeToOperations() : IAAFOperationDef
  • CountDescribedSlotIDs() : IAAFDescriptiveClip
  • CountDescriptiveSchemes() : IAAFHeader2
  • CountElements() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • CountEssenceContainers() : IAAFHeader2
  • CountEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • CountEssenceKinds() : IAAFCodecDef
  • CountFileDescriptors() : IAAFMultipleDescriptor
  • CountIdentifications() : IAAFHeader , IAAFHeader2
  • CountInterpolationDefs() : IAAFDictionary , IAAFDictionary2
  • CountKLVData() : IAAFComponent , IAAFMob , IAAFComponent2 , IAAFMob2
  • CountKLVDataDefs() : IAAFDictionary2
  • CountLocators() : IAAFEssenceDescriptor , IAAFPluginDef
  • CountMobs() : IAAFHeader , IAAFContentStorage , IAAFHeader2
  • CountOpaqueTypeDefs() : IAAFDictionary , IAAFDictionary2
  • CountOperationDefs() : IAAFDictionary , IAAFDictionary2
  • CountPaletteLayoutElements() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • CountParameterDefs() : IAAFOperationDef , IAAFDictionary2 , IAAFDictionary
  • CountParameters() : IAAFOperationGroup
  • CountParentProperties() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • CountPixelLayoutElements() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • CountPluginDefs() : IAAFDictionary , IAAFDictionary2
  • CountProperties() : IAAFObject
  • CountPropertyDefs() : IAAFClassDef
  • CountSamples() : IAAFEssenceAccess
  • CountSegments() : IAAFNestedScope
  • CountSlots() : IAAFMob , IAAFMob2
  • CountSourceSegments() : IAAFOperationGroup
  • CountTaggedValueDefs() : IAAFDictionary2
  • CountTypeDefs() : IAAFDictionary , IAAFDictionary2
  • CountUnknownBWFChunks() : IAAFBWFImportDescriptor
  • Create() : IAAFScopeReference
  • CreateEmptyValue() : IAAFTypeDefVariableArray
  • CreateEssence() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • CreateEventEssence() : IAAFMasterMob3 , IAAFMasterMob2
  • CreateForwardClassReference() : IAAFDictionary2 , IAAFDictionary
  • CreateInstance() : IAAFDictionary2 , IAAFClassDef , IAAFDictionary , IAAFPluginManager
  • CreateKey() : IAAFTypeDefSet
  • CreateMetaInstance() : IAAFDictionary , IAAFDictionary2
  • CreateMultiEssence() : IAAFMasterMob , IAAFMasterMob3 , IAAFMasterMob2
  • CreateOptionalPropertyValue() : IAAFObject
  • CreatePluginDefinition() : IAAFPluginManager
  • CreateStaticEssence() : IAAFMasterMob3 , IAAFMasterMob2
  • CreateValue() : IAAFTypeDefObjectRef , IAAFTypeDefInt , IAAFTypeDefRename
  • CreateValueFromActualData() : IAAFTypeDefIndirect
  • CreateValueFromActualValue() : IAAFTypeDefIndirect
  • CreateValueFromCArray() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • CreateValueFromCharacter() : IAAFTypeDefCharacter
  • CreateValueFromCString() : IAAFTypeDefString
  • CreateValueFromHandle() : IAAFTypeDefOpaque
  • CreateValueFromName() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • CreateValueFromStruct() : IAAFTypeDefRecord
  • CreateValueFromValues() : IAAFTypeDefVariableArray , IAAFTypeDefFixedArray , IAAFTypeDefRecord
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- d -

  • Deallocate() : IAAFCachePageAllocator
  • DisableGenerationTracking() : IAAFObject
  • DoesDataDefConvertFrom() : IAAFDataDef2 , IAAFDataDef3 , IAAFDataDef
  • DoesDataDefConvertTo() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- e -

  • EnableGenerationTracking() : IAAFObject
  • EnumAlternateSegments() : IAAFSelector
  • EnumCodecFlavours() : IAAFCodecDef
  • EnumEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • EnumLoadedPlugins() : IAAFPluginManager
  • EssenceIsIdentified() : IAAFContainerDef
  • ExtendEssence() : IAAFMasterMobEx , IAAFMasterMob3 , IAAFMasterMob2
  • ExtendMultiEssence() : IAAFMasterMobEx , IAAFMasterMob2 , IAAFMasterMob3
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- g -

  • GetActiveFormatDescriptor() : IAAFDigitalImageDescriptor2
  • GetActiveState() : IAAFGPITrigger
  • GetActualData() : IAAFTypeDefIndirect
  • GetActualSize() : IAAFTypeDefIndirect
  • GetActualType() : IAAFTypeDefIndirect
  • GetActualTypeID() : IAAFTypeDefOpaque
  • GetActualValue() : IAAFTypeDefIndirect
  • GetAlphaMaxRef() : IAAFRGBADescriptor2
  • GetAlphaMinRef() : IAAFRGBADescriptor2
  • GetAlphaSamplingWidth() : IAAFCDCIDescriptor2
  • GetAlphaTransparency() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetAnnotation() : IAAFCommentMarker
  • GetAttributes() : IAAFComponent2 , IAAFMob2
  • GetAudioRefLevel() : IAAFSoundDescriptor
  • GetAudioSamplingRate() : IAAFSoundDescriptor
  • GetAUID() : IAAFDefObject , IAAFMetaDefinition
  • GetAUIDValue() : IAAFTypeDefExtEnum
  • GetAuxBitsMode() : IAAFAES3PCMDescriptor2
  • GetAverageBPS() : IAAFPCMDescriptor
  • GetBaseType() : IAAFTypeDefRename
  • GetBaseValue() : IAAFTypeDefRename
  • GetBasicData() : IAAFBWFImportDescriptor
  • GetBasicDataBufLen() : IAAFBWFImportDescriptor
  • GetBitRate() : IAAFMPEGVideoDescriptor
  • GetBlackReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetBlockAlign() : IAAFPCMDescriptor
  • GetBlockStartOffset() : IAAFAES3PCMDescriptor2
  • GetBypass() : IAAFOperationDef
  • GetBypassOverride() : IAAFOperationGroup
  • GetCArray() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • GetCategory() : IAAFOperationDef
  • GetCategoryClass() : IAAFPluginDef
  • GetChannelAssignment() : IAAFPCMDescriptor
  • GetChannelCount() : IAAFSoundDescriptor
  • GetChannelIDs() : IAAFSourceReference2
  • GetChannelIDsSize() : IAAFSourceReference2
  • GetChannelStatusModeAt() : IAAFAES3PCMDescriptor2
  • GetCharacter() : IAAFTypeDefCharacter
  • GetCharSet() : IAAFAuxiliaryDescriptor
  • GetCharSetBufLen() : IAAFAuxiliaryDescriptor
  • GetChoiceAt() : IAAFEssenceGroup
  • GetChunkID() : IAAFRIFFChunk
  • GetClassDefs() : IAAFDictionary , IAAFDictionary2
  • GetClosedGOP() : IAAFMPEGVideoDescriptor
  • GetCodecDef() : IAAFFileDescriptor , IAAFFileDescriptor2
  • GetCodecDefs() : IAAFDictionary , IAAFDictionary2
  • GetCodecID() : IAAFEssenceAccess
  • GetCodecName() : IAAFEssenceAccess
  • GetCodedContentScanning() : IAAFMPEGVideoDescriptor
  • GetCodingEquations() : IAAFDigitalImageDescriptor2
  • GetCodingHistory() : IAAFBWFImportDescriptor
  • GetCodingHistoryBufLen() : IAAFBWFImportDescriptor
  • GetColorPrimaries() : IAAFDigitalImageDescriptor2
  • GetColorRange() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetColorSiting() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetComment() : IAAFEvent
  • GetCommentBufLen() : IAAFEvent
  • GetComments() : IAAFMob , IAAFComponent2 , IAAFMob2
  • GetCompanyName() : IAAFIdentification
  • GetCompanyNameBufLen() : IAAFIdentification
  • GetComponentAt() : IAAFSequence
  • GetComponentMaxRef() : IAAFRGBADescriptor2
  • GetComponentMinRef() : IAAFRGBADescriptor2
  • GetComponents() : IAAFSequence
  • GetComponentWidth() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetCompression() : IAAFDigitalImageDescriptor , IAAFSoundDescriptor , IAAFDigitalImageDescriptor2
  • GetConstantBPictureCount() : IAAFMPEGVideoDescriptor
  • GetContainerDefs() : IAAFDictionary , IAAFDictionary2
  • GetContainerFormat() : IAAFFileDescriptor , IAAFFileDescriptor2
  • GetContentStorage() : IAAFHeader , IAAFHeader2
  • GetControlPointAt() : IAAFVaryingValue
  • GetControlPoints() : IAAFVaryingValue
  • GetCount() : IAAFTypeDefFixedArray , IAAFTypeDefRecord , IAAFTypeDefSet , IAAFTypeDefString , IAAFTypeDefVariableArray
  • GetCreateTime() : IAAFMob , IAAFMob2
  • GetCriteriaSegment() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetCueSheet() : IAAFBWFImportDescriptor
  • GetCueSheetBufLen() : IAAFBWFImportDescriptor
  • GetCutPoint() : IAAFTransition
  • GetDataDef() : IAAFComponent , IAAFMobSlot , IAAFOperationDef , IAAFComponent2
  • GetDataDefs() : IAAFDictionary , IAAFDictionary2
  • GetDataEssenceCoding() : IAAFDataEssenceDescriptor
  • GetDate() : IAAFIdentification
  • GetDefaultFade() : IAAFCompositionMob , IAAFCompositionMob2
  • GetDefinition() : IAAFObject , IAAFProperty
  • GetDefinitionObjectID() : IAAFPluginDef
  • GetDegradeToOperations() : IAAFOperationDef
  • GetDescribedSlotIDs() : IAAFDescriptiveClip , IAAFDescriptiveMarker
  • GetDescribedSlotIDsSize() : IAAFDescriptiveMarker
  • GetDescription() : IAAFDefObject , IAAFFileEncoding , IAAFMetaDefinition , IAAFPropertyDef
  • GetDescriptionBufLen() : IAAFPropertyDef , IAAFDefObject , IAAFFileEncoding , IAAFMetaDefinition
  • GetDescriptiveFramework() : IAAFDescriptiveMarker
  • GetDescriptiveSchemes() : IAAFHeader2
  • GetDialNorm() : IAAFSoundDescriptor
  • GetDictionary() : IAAFFile , IAAFHeader , IAAFObject , IAAFHeader2
  • GetDisplayF2Offset() : IAAFDigitalImageDescriptor2
  • GetDisplayUnits() : IAAFParameterDef
  • GetDisplayUnitsBufLen() : IAAFParameterDef
  • GetDisplayView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetEdgecode() : IAAFEdgecode
  • GetEditHint() : IAAFControlPoint
  • GetEditRate() : IAAFEventMobSlot , IAAFFindSourceInfo , IAAFTimelineMobSlot , IAAFEventMobSlot2 , IAAFTimelineMobSlot2
  • GetElectroSpatialFormulation() : IAAFSoundDescriptor
  • GetElementName() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetElementNameBufLen() : IAAFTypeDefEnum , IAAFTypeDefExtEnum
  • GetElements() : IAAFTypeDefFixedArray , IAAFTypeDefSet , IAAFTypeDefString , IAAFTypeDefVariableArray
  • GetElementType() : IAAFTypeDefEnum , IAAFTypeDefSet
  • GetElementValue() : IAAFTypeDefEnum , IAAFTypeDefExtEnum , IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • GetEmphasis() : IAAFAES3PCMDescriptor2
  • GetEmptyFileFormat() : IAAFEssenceAccess
  • GetEndOfModulation() : IAAFBWFImportDescriptor
  • GetEndOfModulationBufLen() : IAAFBWFImportDescriptor
  • GetEngine() : IAAFPluginDef
  • GetEngineVersionRange() : IAAFPluginDef
  • GetEssenceContainers() : IAAFHeader2
  • GetEssenceDescriptor() : IAAFSourceMob
  • GetEssenceElementKey() : IAAFKLVEssenceDataParameters , IAAFKLVStreamParameters
  • GetEssenceKinds() : IAAFCodecDef
  • GetEventSlotOrigin() : IAAFEventMobSlot2
  • GetExtent() : IAAFRandomRawStorage
  • GetFade() : IAAFSourceClip
  • GetFieldDominance() : IAAFDigitalImageDescriptor2
  • GetFieldEndOffset() : IAAFDigitalImageDescriptor2
  • GetFieldStartOffset() : IAAFDigitalImageDescriptor2
  • GetFileBits() : IAAFRandomFile
  • GetFileDescriptorAt() : IAAFMultipleDescriptor
  • GetFileDescriptorClass() : IAAFCodecDef
  • GetFileDescriptors() : IAAFMultipleDescriptor
  • GetFileFormat() : IAAFEssenceAccess
  • GetFileFormatParameterList() : IAAFEssenceAccess
  • GetFileKind() : IAAFFileEncoding
  • GetFileMob() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • GetFileMobID() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • GetFileRevision() : IAAFHeader , IAAFHeader2
  • GetFileSecurityReport() : IAAFBWFImportDescriptor
  • GetFileSecurityWave() : IAAFBWFImportDescriptor
  • GetFilmAspectRatio() : IAAFFilmDescriptor
  • GetFilmFormat() : IAAFFilmDescriptor
  • GetFilmManufacturer() : IAAFFilmDescriptor
  • GetFilmManufacturerBufLen() : IAAFFilmDescriptor
  • GetFilmModel() : IAAFFilmDescriptor
  • GetFilmModelBufLen() : IAAFFilmDescriptor
  • GetFixedChannelStatusDataAt() : IAAFAES3PCMDescriptor2
  • GetFixedUserDataAt() : IAAFAES3PCMDescriptor2
  • GetFormatSpecifier() : IAAFEssenceFormat
  • GetFrameLayout() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetFrameRate() : IAAFFilmDescriptor
  • GetGamma() : IAAFDigitalImageDescriptor
  • GetGeneration() : IAAFObject
  • GetGenerationAUID() : IAAFObject
  • GetGenerationID() : IAAFIdentification
  • GetHandle() : IAAFTypeDefOpaque
  • GetHandleBufLen() : IAAFTypeDefOpaque
  • GetHardwarePlatform() : IAAFPluginDef
  • GetHeader() : IAAFFile
  • GetHorizontalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetIdenticalGOP() : IAAFMPEGVideoDescriptor
  • GetIdentificationAt() : IAAFHeader , IAAFHeader2
  • GetIdentifications() : IAAFHeader , IAAFHeader2
  • GetImageAlignmentFactor() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetImageAspectRatio() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetIndexedFormatSpecifier() : IAAFEssenceFormat
  • GetIndexedSampleSize() : IAAFEssenceAccess
  • GetInputSegment() : IAAFPulldown
  • GetInputSegmentAt() : IAAFOperationGroup
  • GetInteger() : IAAFTypeDefInt
  • GetIntegerValue() : IAAFTypeDefEnum
  • GetInterpolatedValue() : IAAFVaryingValue
  • GetInterpolationDefinition() : IAAFVaryingValue
  • GetInterpolationDefs() : IAAFDictionary , IAAFDictionary2
  • GetIsContiguous() : IAAFTIFFDescriptor
  • GetIsOptional() : IAAFPropertyDef
  • GetIsUniform() : IAAFTIFFDescriptor
  • GetIsUniqueIdentifier() : IAAFPropertyDef
  • GetJPEGTableID() : IAAFTIFFDescriptor
  • GetKey() : IAAFKLVData
  • GetKLVData() : IAAFComponent , IAAFMob , IAAFComponent2 , IAAFMob2
  • GetKLVDataDefs() : IAAFDictionary2
  • GetKLVDataType() : IAAFKLVDataDefinition
  • GetLargestSampleSize() : IAAFEssenceAccess
  • GetLastIdentification() : IAAFHeader , IAAFHeader2
  • GetLastModified() : IAAFHeader2 , IAAFHeader
  • GetLeadingLines() : IAAFTIFFDescriptor
  • GetLength() : IAAFComponent , IAAFFileDescriptor , IAAFFindSourceInfo , IAAFRIFFChunk , IAAFComponent2 , IAAFFileDescriptor2
  • GetLinkedSlotID() : IAAFFileDescriptor2
  • GetLocatorAt() : IAAFEssenceDescriptor , IAAFPluginDef
  • GetLocators() : IAAFEssenceDescriptor , IAAFPluginDef
  • GetLowDelay() : IAAFMPEGVideoDescriptor
  • GetManufacturerID() : IAAFPluginDef
  • GetManufacturerInfo() : IAAFPluginDef
  • GetMarkIn() : IAAFTimelineMobSlot2
  • GetMarkOut() : IAAFTimelineMobSlot2
  • GetMaxBPictureCount() : IAAFMPEGVideoDescriptor
  • GetMaxGOP() : IAAFMPEGVideoDescriptor
  • GetMemberName() : IAAFTypeDefRecord
  • GetMemberNameBufLen() : IAAFTypeDefRecord
  • GetMemberType() : IAAFTypeDefRecord
  • GetMimeType() : IAAFAuxiliaryDescriptor
  • GetMimeTypeBufLen() : IAAFAuxiliaryDescriptor
  • GetMob() : IAAFFindSourceInfo
  • GetMobID() : IAAFMob2 , IAAFMob
  • GetMobInfo() : IAAFMob , IAAFMob2
  • GetMobs() : IAAFHeader , IAAFContentStorage , IAAFHeader2
  • GetModTime() : IAAFMob , IAAFMob2
  • GetMonoSourceSlotIDs() : IAAFSourceReference2
  • GetMonoSourceSlotIDsSize() : IAAFSourceReference2
  • GetName() : IAAFClassDef , IAAFDefObject , IAAFMetaDefinition , IAAFMob , IAAFMobSlot , IAAFTaggedValue , IAAFTextLocator , IAAFMob2 , IAAFFileEncoding , IAAFPropertyDef
  • GetNameBufLen() : IAAFDefObject , IAAFFileEncoding , IAAFMetaDefinition , IAAFMob , IAAFMobSlot , IAAFPropertyDef , IAAFTaggedValue , IAAFMob2 , IAAFTextLocator , IAAFClassDef
  • GetNameBufLenFromAUID() : IAAFTypeDefExtEnum
  • GetNameBufLenFromInteger() : IAAFTypeDefEnum
  • GetNameBufLenFromValue() : IAAFTypeDefExtEnum , IAAFTypeDefEnum
  • GetNameFromAUID() : IAAFTypeDefExtEnum
  • GetNameFromInteger() : IAAFTypeDefEnum
  • GetNameFromValue() : IAAFTypeDefExtEnum , IAAFTypeDefEnum
  • GetNativeByteOrder() : IAAFEndian
  • GetNumAlternateSegments() : IAAFSelector
  • GetNumberInputs() : IAAFOperationDef
  • GetNumRepresentations() : IAAFMasterMob , IAAFMasterMob2 , IAAFMasterMob3
  • GetObject() : IAAFTypeDefObjectRef
  • GetObjectType() : IAAFTypeDefObjectRef
  • GetOpaqueTypeDefs() : IAAFDictionary , IAAFDictionary2
  • GetOperationalPattern() : IAAFHeader2
  • GetOperationDefinition() : IAAFOperationGroup
  • GetOperationDefs() : IAAFDictionary , IAAFDictionary2
  • GetOperationGroup() : IAAFTransition
  • GetOperatorComment() : IAAFBWFImportDescriptor
  • GetOperatorCommentBufLen() : IAAFBWFImportDescriptor
  • GetOrigin() : IAAFTimelineMobSlot , IAAFTimelineMobSlot2
  • GetPaddingBits() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetPalette() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • GetPaletteLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • GetPaletteSize() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • GetParameterDefinition() : IAAFParameter
  • GetParameterDefs() : IAAFDictionary , IAAFOperationDef , IAAFDictionary2
  • GetParameters() : IAAFOperationGroup
  • GetParent() : IAAFClassDef
  • GetParentProperties() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • GetPath() : IAAFLocator
  • GetPathBufLen() : IAAFLocator
  • GetPeakChannelCount() : IAAFPCMDescriptor
  • GetPeakEnvelopeBlockSize() : IAAFPCMDescriptor
  • GetPeakEnvelopeDataPosition() : IAAFPCMDescriptor
  • GetPeakEnvelopeDataSize() : IAAFPCMDescriptor
  • GetPeakEnvelopeFormat() : IAAFPCMDescriptor
  • GetPeakEnvelopeTimestamp() : IAAFPCMDescriptor
  • GetPeakEnvelopeVersion() : IAAFPCMDescriptor
  • GetPeakFrameCount() : IAAFPCMDescriptor
  • GetPeakOfPeaksPosition() : IAAFPCMDescriptor
  • GetPerfPerFrame() : IAAFFilmDescriptor
  • GetPhaseFrame() : IAAFPulldown
  • GetPhysicalNum() : IAAFMobSlot
  • GetPixelLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • GetPlainEssenceData() : IAAFEssenceData2
  • GetPlainStreamData() : IAAFTypeDefStream3
  • GetPlatform() : IAAFIdentification
  • GetPlatformBufLen() : IAAFIdentification
  • GetPlatformVersionRange() : IAAFPluginDef
  • GetPluginAPI() : IAAFPluginDef
  • GetPluginAPIVersionRange() : IAAFPluginDef
  • GetPluginDefs() : IAAFDictionary2 , IAAFDictionary
  • GetPluginManufacturerName() : IAAFPluginDef
  • GetPluginManufacturerNameBufLen() : IAAFPluginDef
  • GetPluginVersion() : IAAFPluginDef
  • GetPluginVersionString() : IAAFPluginDef
  • GetPluginVersionStringBufLen() : IAAFPluginDef
  • GetPointsPerPeakValue() : IAAFPCMDescriptor
  • GetPosition() : IAAFRIFFChunk , IAAFEssenceDataEx , IAAFPlainEssenceData , IAAFPlainStreamData , IAAFEvent , IAAFTypeDefStream , IAAFEssenceData2 , IAAFEssenceData , IAAFTypeDefStream3
  • GetPositionTimecode() : IAAFTimecodeStream
  • GetPrimaryMob() : IAAFHeader2
  • GetProductID() : IAAFIdentification
  • GetProductName() : IAAFIdentification
  • GetProductNameBufLen() : IAAFIdentification
  • GetProductVersion() : IAAFIdentification
  • GetProductVersionString() : IAAFIdentification
  • GetProductVersionStringBufLen() : IAAFIdentification
  • GetProfileAndLevel() : IAAFMPEGVideoDescriptor
  • GetProperties() : IAAFObject
  • GetPropertyDefs() : IAAFClassDef
  • GetPropertyValue() : IAAFObject
  • GetPulldownDirection() : IAAFPulldown
  • GetPulldownKind() : IAAFPulldown
  • GetQualityEvent() : IAAFBWFImportDescriptor
  • GetQualityEventBufLen() : IAAFBWFImportDescriptor
  • GetQualityParameter() : IAAFBWFImportDescriptor
  • GetQualityParameterBufLen() : IAAFBWFImportDescriptor
  • GetQuantizationBits() : IAAFSoundDescriptor
  • GetRefImplVersion() : IAAFHeader , IAAFIdentification , IAAFHeader2
  • GetRelativeScope() : IAAFScopeReference
  • GetRelativeSlot() : IAAFScopeReference
  • GetRender() : IAAFOperationGroup
  • GetRendering() : IAAFCompositionMob2
  • GetRepresentation() : IAAFMasterMob2 , IAAFMasterMob , IAAFMasterMob3
  • GetReversedByteOrder() : IAAFCDCIDescriptor2
  • GetRevision() : IAAFFile
  • GetSampledView() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetSampleIndexPosition() : IAAFEssenceData2 , IAAFPlainEssenceData , IAAFEssenceDataEx
  • GetSampleIndexSize() : IAAFEssenceData2 , IAAFPlainEssenceData , IAAFEssenceDataEx
  • GetSampleRate() : IAAFTimecodeStream , IAAFFileDescriptor2 , IAAFFileDescriptor
  • GetSampleSize() : IAAFTimecodeStream
  • GetScanningDirection() : IAAFRGBADescriptor2
  • GetSegment() : IAAFMobSlot
  • GetSegmentAt() : IAAFNestedScope
  • GetSegments() : IAAFNestedScope
  • GetSelectedSegment() : IAAFSelector
  • GetSequenceOffset() : IAAFPCMDescriptor
  • GetSignalStandard() : IAAFDigitalImageDescriptor2
  • GetSignalType() : IAAFTapeDescriptor
  • GetSingleSequence() : IAAFMPEGVideoDescriptor
  • GetSize() : IAAFTypeDefInt , IAAFGetFileBits , IAAFEssenceDataEx , IAAFTypeDefStream , IAAFTypeDefStream3 , IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceData2 , IAAFRandomRawStorage , IAAFPlainStreamData
  • GetSlotAt() : IAAFMob , IAAFMob2
  • GetSlotID() : IAAFMobSlot
  • GetSlots() : IAAFMob , IAAFMob2
  • GetSource() : IAAFTimecodeStream
  • GetSourceBufLen() : IAAFTimecodeStream
  • GetSourceID() : IAAFSourceReference2 , IAAFSourceReference
  • GetSourceMobSlotID() : IAAFSourceReference2 , IAAFSourceReference
  • GetSourceReference() : IAAFSourceClip , IAAFFindSourceInfo
  • GetSourceType() : IAAFTimecodeStream
  • GetStartOfModulation() : IAAFBWFImportDescriptor
  • GetStartOfModulationBufLen() : IAAFBWFImportDescriptor
  • GetStillFrame() : IAAFEssenceGroup
  • GetStoredByteOrder() : IAAFEndian , IAAFTypeDefStream , IAAFPlainStreamData , IAAFTypeDefStream3
  • GetStoredF2Offset() : IAAFDigitalImageDescriptor2
  • GetStoredView() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetStruct() : IAAFTypeDefRecord
  • GetSummary() : IAAFAIFCDescriptor , IAAFWAVEDescriptor , IAAFTIFFDescriptor
  • GetSummaryBufferSize() : IAAFTIFFDescriptor , IAAFAIFCDescriptor , IAAFWAVEDescriptor
  • GetTaggedValueDefs() : IAAFDictionary2
  • GetTapeFormat() : IAAFTapeDescriptor
  • GetTapeFormFactor() : IAAFTapeDescriptor
  • GetTapeLength() : IAAFTapeDescriptor
  • GetTapeManufacturer() : IAAFTapeDescriptor
  • GetTapeManufacturerBufLen() : IAAFTapeDescriptor
  • GetTapeModel() : IAAFTapeDescriptor
  • GetTapeModelBufLen() : IAAFTapeDescriptor
  • GetTapeName() : IAAFMasterMob3 , IAAFMasterMob , IAAFMasterMob2
  • GetTapeNameBufLen() : IAAFMasterMob2 , IAAFMasterMob3 , IAAFMasterMob
  • GetTime() : IAAFControlPoint
  • GetTimecode() : IAAFTimecode
  • GetTrailingLines() : IAAFTIFFDescriptor
  • GetTransferCharacteristic() : IAAFDigitalImageDescriptor2
  • GetType() : IAAFTypeDefVariableArray , IAAFTypeDefString , IAAFTypeDefFixedArray , IAAFPropertyValue
  • GetTypeCategory() : IAAFTypeDef
  • GetTypeDef() : IAAFPropertyDef
  • GetTypeDefinition() : IAAFParameter , IAAFParameterDef , IAAFControlPoint , IAAFConstantValue , IAAFTaggedValue
  • GetTypeDefs() : IAAFDictionary , IAAFDictionary2
  • GetUniqueIdentifier() : IAAFClassDef
  • GetUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • GetUnknownBWFChunks() : IAAFBWFImportDescriptor
  • GetUsageCode() : IAAFMob2
  • GetUserDataAtPosition() : IAAFTimecodeStream
  • GetUserDataLength() : IAAFTimecodeStream
  • GetUserDataModeAt() : IAAFAES3PCMDescriptor2
  • GetUserPos() : IAAFTimelineMobSlot2
  • GetValue() : IAAFControlPoint , IAAFConstantValue , IAAFTypeDefRecord , IAAFProperty , IAAFTaggedValue , IAAFKLVData
  • GetValueBufLen() : IAAFConstantValue , IAAFTaggedValue , IAAFControlPoint , IAAFKLVData , IAAFVaryingValue
  • GetVerticalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • GetVideoLineMap() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • GetVideoLineMapSize() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • GetWhiteReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- h -

  • HasForwardClassReference() : IAAFDictionary , IAAFDictionary2
  • HasStoredByteOrder() : IAAFTypeDefStream , IAAFPlainStreamData , IAAFTypeDefStream3
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- i -

  • Initialize() : IAAFAES3PCMDescriptor , IAAFAIFCDescriptor , IAAFBWFImportDescriptor , IAAFCodecDef , IAAFDescriptiveClip , IAAFOperationGroup , IAAFCDCIDescriptor2 , IAAFCompositionMob2 , IAAFPCMDescriptor , IAAFDataDef2 , IAAFDataDef3 , IAAFDescriptiveMarker , IAAFParameterDef , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFPlainEssenceData , IAAFMasterMob2 , IAAFMasterMob3 , IAAFCompositionMob , IAAFEdgecode , IAAFPluginDef , IAAFTimelineMobSlot2 , IAAFRIFFChunk , IAAFEssenceData , IAAFRecordingDescriptor , IAAFScopeReference , IAAFCDCIDescriptor , IAAFConstantValue , IAAFFiller , IAAFSequence , IAAFSourceClip , IAAFIdentification , IAAFSourceMob , IAAFTaggedValue , IAAFContainerDef , IAAFImportDescriptor , IAAFTaggedValueDefinition , IAAFTapeDescriptor , IAAFInterpolationDef , IAAFTextLocator , IAAFTimecode , IAAFAuxiliaryDescriptor , IAAFCachePageAllocator , IAAFControlPoint , IAAFKLVData , IAAFTimelineMobSlot , IAAFTransition , IAAFKLVDataDefinition , IAAFTypeDefEnum , IAAFTypeDefExtEnum , IAAFDataDef , IAAFMasterMob , IAAFTypeDefFixedArray , IAAFTypeDefInt , IAAFMetaDefinition , IAAFTypeDefRecord , IAAFTypeDefRename , IAAFClassDef , IAAFDataEssenceDescriptor , IAAFMPEGVideoDescriptor , IAAFTypeDefSet , IAAFTypeDefString , IAAFMultipleDescriptor , IAAFTypeDefStrongObjRef , IAAFTypeDefVariableArray , IAAFDefObject , IAAFAES3PCMDescriptor2 , IAAFWAVEDescriptor , IAAFNetworkLocator , IAAFTypeDefWeakObjRef , IAAFVaryingValue , IAAFOperationDef
  • InsertChoiceAt() : IAAFEssenceGroup
  • InsertComponentAt() : IAAFSequence
  • InsertDegradeToOperationAt() : IAAFOperationDef
  • InsertElement() : IAAFTypeDefVariableArrayEx
  • InsertFileDescriptorAt() : IAAFMultipleDescriptor
  • InsertInputSegmentAt() : IAAFOperationGroup
  • InsertLocatorAt() : IAAFPluginDef , IAAFEssenceDescriptor
  • InsertSegmentAt() : IAAFNestedScope
  • InsertSlotAt() : IAAFMob , IAAFMob2
  • InsertUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • IsAccelerated() : IAAFPluginDef
  • IsATimeWarp() : IAAFOperationGroup
  • IsAuxiliaryKind() : IAAFDataDef3
  • IsConcrete() : IAAFClassDef
  • IsDataDefOf() : IAAFDataDef , IAAFDataDef2 , IAAFDataDef3
  • IsDefinedType() : IAAFPropertyValue
  • IsDescribedSlotIDPresent() : IAAFDescriptiveClip
  • IsDescriptiveMetadataKind() : IAAFDataDef3
  • IsDescriptiveSchemePresent() : IAAFHeader2
  • IsEdgecodeKind() : IAAFDataDef3 , IAAFDataDef2
  • IsEssenceContainerPresent() : IAAFHeader2
  • IsEssenceDataPresent() : IAAFHeader2 , IAAFHeader , IAAFContentStorage
  • IsEssenceKindSupported() : IAAFCodecDef
  • IsExtendable() : IAAFRandomRawStorage
  • IsGenerationTracked() : IAAFObject
  • IsLocked() : IAAFSoundDescriptor
  • IsMatteKind() : IAAFDataDef2 , IAAFDataDef , IAAFDataDef3
  • IsPictureKind() : IAAFDataDef3 , IAAFDataDef2 , IAAFDataDef
  • IsPictureWithMatteKind() : IAAFDataDef3 , IAAFDataDef , IAAFDataDef2
  • IsPropertyPresent() : IAAFObject
  • IsReadable() : IAAFRawStorage
  • IsRoot() : IAAFClassDef
  • IsSigned() : IAAFTypeDefInt
  • IsSoftwareOnly() : IAAFPluginDef
  • IsSoundKind() : IAAFDataDef3 , IAAFDataDef , IAAFDataDef2
  • IsTimecodeKind() : IAAFDataDef3 , IAAFDataDef2
  • IsTimeWarp() : IAAFOperationDef
  • IsUniquelyIdentified() : IAAFClassDef
  • IsValidTranOperation() : IAAFOperationGroup
  • IsWriteable() : IAAFRawStorage
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- p -

  • PrependChoice() : IAAFEssenceGroup
  • PrependComponent() : IAAFSequence
  • PrependDegradeToOperation() : IAAFOperationDef
  • PrependElement() : IAAFTypeDefVariableArrayEx
  • PrependFileDescriptor() : IAAFMultipleDescriptor
  • PrependInputSegment() : IAAFOperationGroup
  • PrependLocator() : IAAFPluginDef , IAAFEssenceDescriptor
  • PrependSegment() : IAAFNestedScope
  • PrependSlot() : IAAFMob , IAAFMob2
  • PrependUnknownBWFChunk() : IAAFBWFImportDescriptor
  • ProgressCallback() : IAAFProgress
  • PutFileFormat() : IAAFEssenceAccess
  • PutString() : IAAFDiagnosticOutput
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- r -

  • RawAccessType() : IAAFTypeDef
  • Read() : IAAFEssenceData , IAAFPlainStreamData , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFRawStorage , IAAFTypeDefStream3 , IAAFPlainEssenceData , IAAFRIFFChunk , IAAFTypeDefStream
  • ReadAt() : IAAFGetFileBits , IAAFRandomRawStorage
  • ReadElements() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • ReadMultiSamples() : IAAFEssenceMultiAccess
  • ReadPeakEnvelopeData() : IAAFPCMDescriptor
  • ReadSampleIndex() : IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • ReadSamples() : IAAFEssenceAccess
  • RegisterClassDef() : IAAFDictionary , IAAFDictionary2
  • RegisterCodecDef() : IAAFDictionary , IAAFDictionary2
  • RegisterContainerDef() : IAAFDictionary , IAAFDictionary2
  • RegisterDataDef() : IAAFDictionary , IAAFDictionary2
  • RegisterInterpolationDef() : IAAFDictionary , IAAFDictionary2
  • RegisterKLVDataDef() : IAAFDictionary2
  • RegisterKLVDataKey() : IAAFDictionary , IAAFDictionary2
  • RegisterMembers() : IAAFTypeDefRecord
  • RegisterNewPropertyDef() : IAAFClassDef
  • RegisterOpaqueTypeDef() : IAAFDictionary , IAAFDictionary2
  • RegisterOperationDef() : IAAFDictionary , IAAFDictionary2
  • RegisterOptionalPropertyDef() : IAAFClassDef
  • RegisterParameterDef() : IAAFDictionary , IAAFDictionary2
  • RegisterPluginDef() : IAAFDictionary , IAAFDictionary2
  • RegisterPluginDirectory() : IAAFPluginManager
  • RegisterPluginFile() : IAAFPluginManager
  • RegisterSharedPlugins() : IAAFPluginManager
  • RegisterSize() : IAAFTypeDefEnum
  • RegisterTaggedValueDef() : IAAFDictionary2
  • RegisterTypeDef() : IAAFDictionary , IAAFDictionary2
  • RemoveAlternateSegment() : IAAFSelector
  • RemoveAttribute() : IAAFComponent2 , IAAFMob2
  • RemoveChoiceAt() : IAAFEssenceGroup
  • RemoveComment() : IAAFMob , IAAFComponent2 , IAAFMob2
  • RemoveComponentAt() : IAAFSequence
  • RemoveControlPointAt() : IAAFVaryingValue
  • RemoveDegradeToOperationAt() : IAAFOperationDef
  • RemoveDescribedSlotID() : IAAFDescriptiveClip
  • RemoveDescriptiveScheme() : IAAFHeader2
  • RemoveElement() : IAAFTypeDefSet , IAAFTypeDefVariableArrayEx
  • RemoveEssenceData() : IAAFContentStorage , IAAFHeader , IAAFHeader2
  • RemoveEssenceKind() : IAAFCodecDef
  • RemoveFileDescriptorAt() : IAAFMultipleDescriptor
  • RemoveInputSegmentAt() : IAAFOperationGroup
  • RemoveKLVData() : IAAFComponent , IAAFMob , IAAFMob2 , IAAFComponent2
  • RemoveLocatorAt() : IAAFEssenceDescriptor , IAAFPluginDef
  • RemoveMob() : IAAFHeader , IAAFHeader2 , IAAFContentStorage
  • RemoveOptionalProperty() : IAAFObject
  • RemoveParentProperty() : IAAFKLVDataDefinition , IAAFTaggedValueDefinition
  • RemoveSegmentAt() : IAAFNestedScope
  • RemoveSlotAt() : IAAFMob , IAAFMob2
  • RemoveUnknownBWFChunkAt() : IAAFBWFImportDescriptor
  • Reset() : IEnumAAFParameters , IEnumAAFTypeDefs , IEnumAAFEssenceData , IEnumAAFDataDefs , IEnumAAFPluginDefs , IEnumAAFOperationDefs , IEnumAAFContainerDefs , IEnumAAFInterpolationDefs , IEnumAAFClassDefs , IEnumAAFMobs , IEnumAAFRIFFChunks , IEnumAAFTaggedValueDefs , IEnumAAFKLVData , IEnumAAFSegments , IEnumAAFComponents , IEnumAAFParameterDefs , IEnumAAFFileEncodings , IEnumAAFLoadedPlugins , IEnumAAFCodecDefs , IEnumAAFMobSlots , IEnumAAFProperties , IEnumAAFCodecFlavours , IEnumAAFFileDescriptors , IEnumAAFIdentifications , IEnumAAFKLVDataDefs , IEnumAAFPropertyValues , IEnumAAFPluginLocators , IEnumAAFControlPoints , IEnumAAFPropertyDefs , IEnumAAFLocators , IEnumAAFTaggedValues
  • ResolveRef() : IAAFSourceClip
  • Revert() : IAAFRandomFile
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- s -

  • Save() : IAAFFile
  • SaveAsFile() : IAAFRandomFile
  • SaveCopyAs() : IAAFFile
  • SearchSource() : IAAFSearchSource
  • Seek() : IAAFEssenceAccess
  • SegmentOffsetToTC() : IAAFSegment
  • SegmentTCToOffset() : IAAFSegment
  • SetActiveFormatDescriptor() : IAAFDigitalImageDescriptor2
  • SetActiveState() : IAAFGPITrigger
  • SetAlphaMaxRef() : IAAFRGBADescriptor2
  • SetAlphaMinRef() : IAAFRGBADescriptor2
  • SetAlphaSamplingWidth() : IAAFCDCIDescriptor2
  • SetAlphaTransparency() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetAnnotation() : IAAFCommentMarker
  • SetAudioRefLevel() : IAAFSoundDescriptor
  • SetAudioSamplingRate() : IAAFSoundDescriptor
  • SetAUIDValue() : IAAFTypeDefExtEnum
  • SetAuxBitsMode() : IAAFAES3PCMDescriptor2
  • SetAverageBPS() : IAAFPCMDescriptor
  • SetBasicData() : IAAFBWFImportDescriptor
  • SetBitRate() : IAAFMPEGVideoDescriptor
  • SetBlackReferenceLevel() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetBlockAlign() : IAAFPCMDescriptor
  • SetBlockStartOffset() : IAAFAES3PCMDescriptor2
  • SetBypass() : IAAFOperationDef
  • SetBypassOverride() : IAAFOperationGroup
  • SetCallback() : IAAFTypeDefStreamEx , IAAFTypeDefStream3
  • SetCArray() : IAAFTypeDefVariableArray , IAAFTypeDefFixedArray
  • SetCategory() : IAAFOperationDef
  • SetCategoryClass() : IAAFPluginDef
  • SetChannelAssignment() : IAAFPCMDescriptor
  • SetChannelCount() : IAAFSoundDescriptor
  • SetChannelIDs() : IAAFSourceReference2
  • SetChannelStatusModeAt() : IAAFAES3PCMDescriptor2
  • SetCharacter() : IAAFTypeDefCharacter
  • SetCharSet() : IAAFAuxiliaryDescriptor
  • SetChunkID() : IAAFRIFFChunk
  • SetClosedGOP() : IAAFMPEGVideoDescriptor
  • SetCodecDef() : IAAFFileDescriptor , IAAFFileDescriptor2
  • SetCodedContentScanning() : IAAFMPEGVideoDescriptor
  • SetCodingEquations() : IAAFDigitalImageDescriptor2
  • SetCodingHistory() : IAAFBWFImportDescriptor
  • SetColorPrimaries() : IAAFDigitalImageDescriptor2
  • SetColorRange() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetColorSiting() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetComment() : IAAFEvent
  • SetComponentMaxRef() : IAAFRGBADescriptor2
  • SetComponentMinRef() : IAAFRGBADescriptor2
  • SetComponentWidth() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetCompression() : IAAFDigitalImageDescriptor , IAAFSoundDescriptor , IAAFDigitalImageDescriptor2
  • SetConstantBPictureCount() : IAAFMPEGVideoDescriptor
  • SetContainerFormat() : IAAFFileDescriptor , IAAFFileDescriptor2
  • SetCreateTime() : IAAFMob , IAAFMob2
  • SetCString() : IAAFTypeDefString
  • SetCueSheet() : IAAFBWFImportDescriptor
  • SetCutPoint() : IAAFTransition
  • SetDataDef() : IAAFComponent , IAAFOperationDef , IAAFComponent2
  • SetDataEssenceCoding() : IAAFDataEssenceDescriptor
  • SetDefaultFade() : IAAFCompositionMob , IAAFCompositionMob2
  • SetDefinitionObjectID() : IAAFPluginDef
  • SetDescribedSlotIDs() : IAAFDescriptiveMarker
  • SetDescription() : IAAFDefObject , IAAFMetaDefinition , IAAFPropertyDef
  • SetDescriptiveFramework() : IAAFDescriptiveMarker
  • SetDialNorm() : IAAFSoundDescriptor
  • SetDisplayF2Offset() : IAAFDigitalImageDescriptor2
  • SetDisplayUnits() : IAAFParameterDef
  • SetDisplayView() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetEditHint() : IAAFControlPoint
  • SetEditRate() : IAAFEventMobSlot , IAAFTimelineMobSlot , IAAFEventMobSlot2 , IAAFTimelineMobSlot2
  • SetElectroSpatialFormulation() : IAAFSoundDescriptor
  • SetElementValue() : IAAFTypeDefFixedArray , IAAFTypeDefVariableArray
  • SetEmphasis() : IAAFAES3PCMDescriptor2
  • SetEndOfModulation() : IAAFBWFImportDescriptor
  • SetEngine() : IAAFPluginDef
  • SetEngineMaximumVersion() : IAAFPluginDef
  • SetEngineMinimumVersion() : IAAFPluginDef
  • SetEssenceCodecFlavour() : IAAFEssenceAccess
  • SetEssenceDescriptor() : IAAFSourceMob
  • SetEssenceElementKey() : IAAFKLVEssenceDataParameters , IAAFKLVStreamParameters
  • SetEssenceIsIdentified() : IAAFContainerDef
  • SetEventSlotOrigin() : IAAFEventMobSlot2
  • SetExtent() : IAAFRandomRawStorage
  • SetFade() : IAAFSourceClip
  • SetFieldDominance() : IAAFDigitalImageDescriptor2
  • SetFieldEndOffset() : IAAFDigitalImageDescriptor2
  • SetFieldStartOffset() : IAAFDigitalImageDescriptor2
  • SetFileBits() : IAAFRandomFile
  • SetFileDescriptorClass() : IAAFCodecDef
  • SetFileMob() : IAAFEssenceData , IAAFPlainEssenceData , IAAFEssenceDataEx , IAAFEssenceData2
  • SetFileSecurityReport() : IAAFBWFImportDescriptor
  • SetFileSecurityWave() : IAAFBWFImportDescriptor
  • SetFilmAspectRatio() : IAAFFilmDescriptor
  • SetFilmFormat() : IAAFFilmDescriptor
  • SetFilmManufacturer() : IAAFFilmDescriptor
  • SetFilmModel() : IAAFFilmDescriptor
  • SetFixedChannelStatusDataAt() : IAAFAES3PCMDescriptor2
  • SetFixedUserDataAt() : IAAFAES3PCMDescriptor2
  • SetFrameLayout() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetFrameRate() : IAAFFilmDescriptor
  • SetGamma() : IAAFDigitalImageDescriptor
  • SetHandle() : IAAFTypeDefOpaque
  • SetHardwarePlatform() : IAAFPluginDef
  • SetHorizontalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetIdenticalGOP() : IAAFMPEGVideoDescriptor
  • SetImageAlignmentFactor() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetImageAspectRatio() : IAAFDigitalImageDescriptor , IAAFDigitalImageDescriptor2
  • SetInputSegment() : IAAFPulldown
  • SetInteger() : IAAFTypeDefInt
  • SetIntegerValue() : IAAFTypeDefEnum
  • SetIsAccelerated() : IAAFPluginDef
  • SetIsContiguous() : IAAFTIFFDescriptor
  • SetIsLocked() : IAAFSoundDescriptor
  • SetIsSoftwareOnly() : IAAFPluginDef
  • SetIsTimeWarp() : IAAFOperationDef
  • SetIsUniform() : IAAFTIFFDescriptor
  • SetJPEGTableID() : IAAFTIFFDescriptor
  • SetKLVDataType() : IAAFKLVDataDefinition
  • SetLeadingLines() : IAAFTIFFDescriptor
  • SetLength() : IAAFComponent , IAAFFileDescriptor , IAAFComponent2 , IAAFFileDescriptor2
  • SetLinkedSlotID() : IAAFFileDescriptor2
  • SetLowDelay() : IAAFMPEGVideoDescriptor
  • SetManufacturerID() : IAAFPluginDef
  • SetManufacturerInfo() : IAAFPluginDef
  • SetMarkIn() : IAAFTimelineMobSlot2
  • SetMarkOut() : IAAFTimelineMobSlot2
  • SetMaxBPictureCount() : IAAFMPEGVideoDescriptor
  • SetMaxGOP() : IAAFMPEGVideoDescriptor
  • SetMimeType() : IAAFAuxiliaryDescriptor
  • SetMobID() : IAAFMob , IAAFMob2
  • SetModTime() : IAAFMob , IAAFMob2
  • SetMonoSourceSlotIDs() : IAAFSourceReference2
  • SetName() : IAAFTextLocator , IAAFDefObject , IAAFMetaDefinition , IAAFMob , IAAFMobSlot , IAAFMob2
  • SetNumberInputs() : IAAFOperationDef
  • SetObject() : IAAFTypeDefObjectRef
  • SetOperationalPattern() : IAAFHeader2
  • SetOperationDefinition() : IAAFOperationGroup
  • SetOperationGroup() : IAAFTransition
  • SetOperatorComment() : IAAFBWFImportDescriptor
  • SetOrigin() : IAAFTimelineMobSlot , IAAFTimelineMobSlot2
  • SetPaddingBits() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetPalette() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • SetPaletteLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • SetPath() : IAAFLocator
  • SetPeakChannelCount() : IAAFPCMDescriptor
  • SetPeakEnvelopeBlockSize() : IAAFPCMDescriptor
  • SetPeakEnvelopeDataPosition() : IAAFPCMDescriptor
  • SetPeakEnvelopeFormat() : IAAFPCMDescriptor
  • SetPeakEnvelopeTimestamp() : IAAFPCMDescriptor
  • SetPeakEnvelopeVersion() : IAAFPCMDescriptor
  • SetPeakFrameCount() : IAAFPCMDescriptor
  • SetPeakOfPeaksPosition() : IAAFPCMDescriptor
  • SetPerfPerFrame() : IAAFFilmDescriptor
  • SetPhaseFrame() : IAAFPulldown
  • SetPhysicalNum() : IAAFMobSlot
  • SetPixelLayout() : IAAFRGBADescriptor , IAAFRGBADescriptor2
  • SetPlatformMaximumVersion() : IAAFPluginDef
  • SetPlatformMinimumVersion() : IAAFPluginDef
  • SetPluginAPI() : IAAFPluginDef
  • SetPluginAPIMaximumVersion() : IAAFPluginDef
  • SetPluginAPIMinimumVersion() : IAAFPluginDef
  • SetPluginManufacturerName() : IAAFPluginDef
  • SetPluginVersion() : IAAFPluginDef
  • SetPluginVersionString() : IAAFPluginDef
  • SetPointsPerPeakValue() : IAAFPCMDescriptor
  • SetPosition() : IAAFEssenceData , IAAFEvent , IAAFPlainEssenceData , IAAFPlainStreamData , IAAFRIFFChunk , IAAFEssenceDataEx , IAAFEssenceData2 , IAAFTypeDefStream3 , IAAFTypeDefStream
  • SetPositionTimecode() : IAAFTimecodeStream
  • SetPrimaryMob() : IAAFHeader2
  • SetProductVersion() : IAAFIdentification
  • SetProfileAndLevel() : IAAFMPEGVideoDescriptor
  • SetPropertyValue() : IAAFObject
  • SetPulldownDirection() : IAAFPulldown
  • SetPulldownKind() : IAAFPulldown
  • SetQualityEvent() : IAAFBWFImportDescriptor
  • SetQualityParameter() : IAAFBWFImportDescriptor
  • SetQuantizationBits() : IAAFSoundDescriptor
  • SetRender() : IAAFOperationGroup
  • SetRendering() : IAAFCompositionMob2
  • SetReversedByteOrder() : IAAFCDCIDescriptor2
  • SetSampledView() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • SetSampleIndexPosition() : IAAFEssenceDataEx , IAAFPlainEssenceData , IAAFEssenceData2
  • SetSampleRate() : IAAFFileDescriptor , IAAFFileDescriptor2 , IAAFTimecodeStream
  • SetScanningDirection() : IAAFRGBADescriptor2
  • SetSegment() : IAAFMobSlot
  • SetSelectedSegment() : IAAFSelector
  • SetSequenceOffset() : IAAFPCMDescriptor
  • SetSignalStandard() : IAAFDigitalImageDescriptor2
  • SetSignalType() : IAAFTapeDescriptor
  • SetSingleSequence() : IAAFMPEGVideoDescriptor
  • SetSize() : IAAFTypeDefStream , IAAFPlainStreamData , IAAFSetFileBits , IAAFTypeDefStream3
  • SetSlotID() : IAAFMobSlot
  • SetSource() : IAAFTimecodeStream
  • SetSourceID() : IAAFSourceReference2 , IAAFSourceReference
  • SetSourceMobSlotID() : IAAFSourceReference2 , IAAFSourceReference
  • SetSourceReference() : IAAFSourceClip
  • SetSourceType() : IAAFTimecodeStream
  • SetStartOfModulation() : IAAFBWFImportDescriptor
  • SetStillFrame() : IAAFEssenceGroup
  • SetStoredByteOrder() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • SetStoredF2Offset() : IAAFDigitalImageDescriptor2
  • SetStoredView() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • SetStruct() : IAAFTypeDefRecord
  • SetSummary() : IAAFAIFCDescriptor , IAAFTIFFDescriptor , IAAFWAVEDescriptor
  • SetSupportsAuthentication() : IAAFPluginDef
  • SetTapeFormat() : IAAFTapeDescriptor
  • SetTapeFormFactor() : IAAFTapeDescriptor
  • SetTapeLength() : IAAFTapeDescriptor
  • SetTapeManufacturer() : IAAFTapeDescriptor
  • SetTapeModel() : IAAFTapeDescriptor
  • SetTime() : IAAFControlPoint
  • SetTimecode() : IAAFTimecode
  • SetTrailingLines() : IAAFTIFFDescriptor
  • SetTransferCharacteristic() : IAAFDigitalImageDescriptor2
  • SetTransformParameters() : IAAFEssenceAccess
  • SetUsageCode() : IAAFMob2
  • SetUserDataAtPosition() : IAAFTimecodeStream
  • SetUserDataModeAt() : IAAFAES3PCMDescriptor2
  • SetUserPos() : IAAFTimelineMobSlot2
  • SetValue() : IAAFKLVData , IAAFTaggedValue , IAAFConstantValue , IAAFControlPoint , IAAFTypeDefRecord
  • SetVerticalSubsampling() : IAAFCDCIDescriptor , IAAFCDCIDescriptor2
  • SetVideoLineMap() : IAAFDigitalImageDescriptor2 , IAAFDigitalImageDescriptor
  • SetWhiteReferenceLevel() : IAAFCDCIDescriptor2 , IAAFCDCIDescriptor
  • Skip() : IEnumAAFProperties , IEnumAAFCodecDefs , IEnumAAFCodecFlavours , IEnumAAFContainerDefs , IEnumAAFParameters , IEnumAAFPropertyDefs , IEnumAAFIdentifications , IEnumAAFKLVData , IEnumAAFInterpolationDefs , IEnumAAFControlPoints , IEnumAAFComponents , IEnumAAFPluginLocators , IEnumAAFOperationDefs , IEnumAAFLocators , IEnumAAFMobSlots , IEnumAAFEssenceData , IEnumAAFMobs , IEnumAAFTypeDefs , IEnumAAFDataDefs , IEnumAAFClassDefs , IEnumAAFPropertyValues , IEnumAAFPluginDefs , IEnumAAFTaggedValueDefs , IEnumAAFTaggedValues , IEnumAAFLoadedPlugins , IEnumAAFSegments , IEnumAAFKLVDataDefs , IEnumAAFParameterDefs , IEnumAAFRIFFChunks , IEnumAAFFileEncodings , IEnumAAFFileDescriptors
  • SpecifyValidCodeRange() : IAAFSourceMob
  • SupportsAuthentication() : IAAFPluginDef
  • Synchronize() : IAAFRawStorage
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- u -

  • UpdateEssenceContainers() : IAAFHeader2
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Functions

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • c
  • d
  • e
  • g
  • h
  • i
  • l
  • n
  • o
  • p
  • r
  • s
  • u
  • w

- w -

  • Write() : IAAFEssenceData , IAAFPlainEssenceData , IAAFRawStorage , IAAFEssenceData2 , IAAFTypeDefStream3 , IAAFRIFFChunk , IAAFPlainStreamData , IAAFTypeDefStream , IAAFEssenceDataEx
  • WriteAt() : IAAFRandomRawStorage , IAAFSetFileBits
  • WriteElements() : IAAFPlainStreamData , IAAFTypeDefStream , IAAFTypeDefStream3
  • WriteMultiSamples() : IAAFEssenceMultiAccess
  • WritePeakEnvelopeData() : IAAFPCMDescriptor
  • WriteSampleIndex() : IAAFEssenceData2 , IAAFPlainEssenceData , IAAFEssenceDataEx
  • WriteSamples() : IAAFEssenceAccess
  • WriteStream() : IAAFStreamAccess
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Typedefs

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • e
  • s

- a -

  • aafAlphaTransparency_e : IAAFTypes
  • aafAlphaTransparency_t : IAAFTypes
  • aafAlphaTransparencyType_t : IAAFTypes
  • aafAppendOption_e : IAAFTypes
  • aafAppendOption_t : IAAFTypes
  • aafArgIDType_t : IAAFTypes
  • aafAttributeKind_e : IAAFTypes
  • aafAttributeKind_t : IAAFTypes
  • aafAudioSampleType_e : IAAFTypes
  • aafAudioSampleType_t : IAAFTypes
  • aafAuxBitsModeType_e : IAAFTypes
  • aafAuxBitsModeType_t : IAAFTypes
  • aafBool : IAAFTypes
  • aafBoolean_e : IAAFTypes
  • aafChannelStatusModeType_e : IAAFTypes
  • aafChannelStatusModeType_t : IAAFTypes
  • aafCharacter : IAAFTypes
  • aafCharacter_constptr : IAAFTypes
  • aafClassID_t : IAAFTypes
  • aafCodecID_t : IAAFTypes
  • aafColorSiting_e : IAAFTypes
  • aafColorSiting_t : IAAFTypes
  • aafColorSitingType_t : IAAFTypes
  • aafColorSpace_e : IAAFTypes
  • aafColorSpace_t : IAAFTypes
  • aafCompArray_t : IAAFTypes
  • aafCompressEnable_e : IAAFTypes
  • aafCompSizeArray_t : IAAFTypes
  • aafContentScanningType_e : IAAFTypes
  • aafContentScanningType_t : IAAFTypes
  • aafCriteriaType_e : IAAFTypes
  • aafCriteriaType_t : IAAFTypes
  • aafDataBuffer_t : IAAFTypes
  • AAFDataDefinitionMatch_e : IAAFTypes
  • AAFDataDefinitionMatch_t : IAAFTypes
  • aafDataValue_t : IAAFTypes
  • aafDateStruct_t : IAAFTypes
  • aafDefaultFade_t : IAAFTypes
  • aafDefinitionCrit_t : IAAFTypes
  • aafDefinitionCritType_e : IAAFTypes
  • aafDefinitionCritType_t : IAAFTypes
  • aafDefinitionKind_e : IAAFTypes
  • aafDefinitionKind_t : IAAFTypes
  • aafDepend_e : IAAFTypes
  • aafDepend_t : IAAFTypes
  • aafDirectionCode_e : IAAFTypes
  • aafDirectionCode_t : IAAFTypes
  • aafDropType_e : IAAFTypes
  • aafDropType_t : IAAFTypes
  • aafEdgecode_constref : IAAFTypes
  • aafEdgecode_t : IAAFTypes
  • aafEdgecodeHeader_constref : IAAFTypes
  • aafEdgecodeHeader_t : IAAFTypes
  • aafEdgeType_e : IAAFTypes
  • aafEdgeType_t : IAAFTypes
  • aafEditHint_e : IAAFTypes
  • aafEditHint_t : IAAFTypes
  • aafEditHintType_t : IAAFTypes
  • aafElectroSpatialFormulation_e : IAAFTypes
  • aafElectroSpatialFormulation_t : IAAFTypes
  • aafEmphasisType_e : IAAFTypes
  • aafEmphasisType_t : IAAFTypes
  • aafEngine_constref : IAAFTypes
  • aafEngine_t : IAAFTypes
  • aafFadeType_e : IAAFTypes
  • aafFadeType_t : IAAFTypes
  • aafFieldDom_e : IAAFTypes
  • aafFieldDom_t : IAAFTypes
  • aafFieldNumber_e : IAAFTypes
  • aafFieldNumber_t : IAAFTypes
  • aafFieldTop_e : IAAFTypes
  • aafFieldTop_t : IAAFTypes
  • aafFileAccess_e : IAAFTypes
  • aafFileAccess_t : IAAFTypes
  • aafFileExistence_e : IAAFTypes
  • aafFileExistence_t : IAAFTypes
  • aafFileFormat_e : IAAFTypes
  • aafFileFormat_t : IAAFTypes
  • aafFileRev_e : IAAFTypes
  • aafFileRev_t : IAAFTypes
  • aafFilmType_e : IAAFTypes
  • aafFilmType_t : IAAFTypes
  • aafFrameLayout_e : IAAFTypes
  • aafFrameLayout_t : IAAFTypes
  • aafFrameLength_t : IAAFTypes
  • aafFrameOffset_t : IAAFTypes
  • aafHardwarePlatform_constref : IAAFTypes
  • aafHardwarePlatform_t : IAAFTypes
  • aafIdentificationCrit_t : IAAFTypes
  • aafIdentificationCritType_e : IAAFTypes
  • aafIdentificationCritType_t : IAAFTypes
  • aafIncMedia_e : IAAFTypes
  • aafIncMedia_t : IAAFTypes
  • aafIndexType_e : IAAFTypes
  • aafIndexType_t : IAAFTypes
  • aafInt16 : IAAFTypes
  • aafInt32 : IAAFTypes
  • aafInt64 : IAAFTypes
  • aafInt8 : IAAFTypes
  • aafInterpKind_e : IAAFTypes
  • aafInterpKind_t : IAAFTypes
  • aafJPEGcomponent_e : IAAFTypes
  • aafJPEGcomponent_t : IAAFTypes
  • aafJPEGTableID_t : IAAFTypes
  • aafLayoutType_t : IAAFTypes
  • aafLength_constref : IAAFTypes
  • aafLength_t : IAAFTypes
  • aafMAX_NUM_RGBA_COMPS_e : IAAFTypes
  • aafMediaCriteria_constptr : IAAFTypes
  • aafMediaCriteria_constref : IAAFTypes
  • aafMediaCriteria_t : IAAFTypes
  • aafMediaOpenMode_e : IAAFTypes
  • aafMediaOpenMode_t : IAAFTypes
  • aafMemConstPtr_t : IAAFTypes
  • aafMemPtr_t : IAAFTypes
  • aafmMultiCreate_t : IAAFTypes
  • aafmMultiResult_t : IAAFTypes
  • aafmMultiXfer_t : IAAFTypes
  • aafMobComment_t : IAAFTypes
  • aafMobID_constptr : IAAFTypes
  • aafMobID_constref : IAAFTypes
  • aafMobID_t : IAAFTypes
  • aafMobIDType_t : IAAFTypes
  • aafMobKind_e : IAAFTypes
  • aafMobKind_t : IAAFTypes
  • aafNumSlots_t : IAAFTypes
  • aafOperationChoice_constptr : IAAFTypes
  • aafOperationChoice_e : IAAFTypes
  • aafOperationChoice_t : IAAFTypes
  • aafPhaseFrame_t : IAAFTypes
  • aafPixelFormat_e : IAAFTypes
  • aafPixelFormat_t : IAAFTypes
  • aafPluginAPI_constref : IAAFTypes
  • aafPluginAPI_t : IAAFTypes
  • aafPosition_constref : IAAFTypes
  • aafPosition_t : IAAFTypes
  • aafProductIdentification_constptr : IAAFTypes
  • aafProductIdentification_constref : IAAFTypes
  • aafProductIdentification_t : IAAFTypes
  • aafProductReleaseType_e : IAAFTypes
  • aafProductReleaseType_t : IAAFTypes
  • aafProductVersion_constptr : IAAFTypes
  • aafProductVersion_constref : IAAFTypes
  • aafProductVersion_t : IAAFTypes
  • aafPropertyOpt_e : IAAFTypes
  • aafPropertyOpt_t : IAAFTypes
  • aafPulldownDir_e : IAAFTypes
  • aafPulldownDir_t : IAAFTypes
  • aafPulldownDirectionType_t : IAAFTypes
  • aafPulldownKind_e : IAAFTypes
  • aafPulldownKind_t : IAAFTypes
  • aafPulldownKindType_t : IAAFTypes
  • aafRational_constref : IAAFTypes
  • aafRational_t : IAAFTypes
  • aafRect_constref : IAAFTypes
  • aafRect_t : IAAFTypes
  • aafReferenceType_e : IAAFTypes
  • aafReferenceType_t : IAAFTypes
  • AAFRESULT : IAAFTypes
  • aafRGBAComponent_t : IAAFTypes
  • aafRGBAComponentKind_e : IAAFTypes
  • aafRGBAComponentKind_t : IAAFTypes
  • aafScanningDirection_e : IAAFTypes
  • aafScanningDirection_t : IAAFTypes
  • aafScanningDirectionType_t : IAAFTypes
  • aafSearchCrit_constptr : IAAFTypes
  • aafSearchCrit_t : IAAFTypes
  • aafSearchDictionaryCrit_t : IAAFTypes
  • aafSearchDictionaryTag_e : IAAFTypes
  • aafSearchDictionaryTag_t : IAAFTypes
  • aafSearchTag_e : IAAFTypes
  • aafSearchTag_t : IAAFTypes
  • aafSignalStandard_e : IAAFTypes
  • aafSignalStandard_t : IAAFTypes
  • aafSignalStandardType_t : IAAFTypes
  • aafSlotID_t : IAAFTypes
  • aafSourceRef_constref : IAAFTypes
  • aafSourceRef_t : IAAFTypes
  • aafString_t : IAAFTypes
  • aafSwapNeeded_e : IAAFTypes
  • aafSwapNeeded_t : IAAFTypes
  • aafTapeCaseType_e : IAAFTypes
  • aafTapeCaseType_t : IAAFTypes
  • aafTapeFormatType_e : IAAFTypes
  • aafTapeFormatType_t : IAAFTypes
  • aafTCSource_t : IAAFTypes
  • aafTimecode_constref : IAAFTypes
  • aafTimecode_t : IAAFTypes
  • aafTimecodeSourceType_e : IAAFTypes
  • aafTimecodeSourceType_t : IAAFTypes
  • aafTimeStamp_constref : IAAFTypes
  • aafTimeStamp_t : IAAFTypes
  • aafTimeStruct_t : IAAFTypes
  • aafTitleAlignmentType_e : IAAFTypes
  • aafTitleAlignmentType_t : IAAFTypes
  • aafUID_constptr : IAAFTypes
  • aafUID_constref : IAAFTypes
  • aafUID_t : IAAFTypes
  • aafUInt16 : IAAFTypes
  • aafUInt32 : IAAFTypes
  • aafUInt64 : IAAFTypes
  • aafUInt8 : IAAFTypes
  • aafUserDataModeType_e : IAAFTypes
  • aafUserDataModeType_t : IAAFTypes
  • aafVersionType_constref : IAAFTypes
  • aafVersionType_t : IAAFTypes
  • aafVideoLineMap_t : IAAFTypes
  • aafVideoSignalType_e : IAAFTypes
  • aafVideoSignalType_t : IAAFTypes
  • aafWChar : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Typedefs

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • e
  • s

- e -

  • eAAFByteOrder_e : IAAFTypes
  • eAAFByteOrder_t : IAAFTypes
  • eAAFTypeCategory_e : IAAFTypes
  • eAAFTypeCategory_t : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Typedefs

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • e
  • s

- s -

  • searchTag : IAAFTypes
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Members - Variables

  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • a
  • b
  • c
  • d
  • f
  • g
  • h
  • i
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v
  • x
  • y

- a -

  • aafArgIDType_constref : IAAFTypes
  • aafBoolean_t : IAAFTypes
  • aafMAX_NUM_RGBA_COMPS : IAAFTypes
  • AAFReferenceImplementationVersion : IAAFTypes
  • aafSearchCrit_t : IAAFTypes
  • aafSearchDictionaryCrit_t : IAAFTypes

- b -

  • buffer : IAAFTypes::_aafmMultiXfer_t
  • buflen : IAAFTypes::_aafmMultiXfer_t
  • bytesXfered : IAAFTypes::_aafmMultiResult_t

- c -

  • category : IAAFTypes::_aafMobComment_t
  • classID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • Code : IAAFTypes::_aafRGBAComponent_t
  • codeFormat : IAAFTypes::_aafEdgecode_t
  • comment : IAAFTypes::_aafMobComment_t
  • companyName : IAAFTypes::_aafProductIdentification_t

- d -

  • Data1 : IAAFTypes::_aafUID_t
  • Data2 : IAAFTypes::_aafUID_t
  • Data3 : IAAFTypes::_aafUID_t
  • Data4 : IAAFTypes::_aafUID_t
  • datadef : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • date : IAAFTypes::_aafTimeStamp_t
  • day : IAAFTypes::_aafDateStruct_t
  • defKind : IAAFTypes::_aafDefinitionCrit_t
  • denominator : IAAFTypes::_aafRational_t
  • drop : IAAFTypes::_aafTimecode_t

- f -

  • fadeEditUnit : IAAFTypes::_aafDefaultFade_t
  • fadeLength : IAAFTypes::_aafDefaultFade_t
  • fadeType : IAAFTypes::_aafDefaultFade_t
  • filmKind : IAAFTypes::_aafEdgecode_t
  • fps : IAAFTypes::_aafTimecode_t
  • fraction : IAAFTypes::_aafTimeStruct_t

- g -

  • generation : IAAFTypes::_aafIdentificationCrit_t

- h -

  • header : IAAFTypes::_aafEdgecode_t
  • hour : IAAFTypes::_aafTimeStruct_t

- i -

  • instanceHigh : IAAFTypes::_aafMobID_t
  • instanceLow : IAAFTypes::_aafMobID_t
  • instanceMid : IAAFTypes::_aafMobID_t

- l -

  • length : IAAFTypes::_aafMobID_t

- m -

  • major : IAAFTypes::_aafVersionType_t , IAAFTypes::_aafProductVersion_t
  • material : IAAFTypes::_aafMobID_t
  • mediaCrit : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • mediaKind : IAAFTypes::_aafmMultiXfer_t , IAAFTypes::_aafmMultiCreate_t
  • minor : IAAFTypes::_aafVersionType_t , IAAFTypes::_aafProductVersion_t
  • minute : IAAFTypes::_aafTimeStruct_t
  • mobID : IAAFTypes::_aafSearchCrit_t , IAAFTypes
  • mobKind : IAAFTypes , IAAFTypes::_aafSearchCrit_t
  • month : IAAFTypes::_aafDateStruct_t

- n -

  • name : IAAFTypes::_aafSearchCrit_t , IAAFTypes , IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes::_aafDefinitionCrit_t
  • numerator : IAAFTypes::_aafRational_t
  • numSamples : IAAFTypes::_aafmMultiXfer_t

- o -

  • objClass : IAAFTypes::_aafSearchCrit_t , IAAFTypes::_aafDefinitionCrit_t , IAAFTypes

- p -

  • parentClassID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes
  • patchLevel : IAAFTypes::_aafProductVersion_t
  • platform : IAAFTypes::_aafProductIdentification_t
  • productID : IAAFTypes::_aafProductIdentification_t , IAAFTypes::_aafIdentificationCrit_t
  • productName : IAAFTypes::_aafProductIdentification_t
  • productVersion : IAAFTypes::_aafProductIdentification_t
  • productVersionString : IAAFTypes::_aafProductIdentification_t
  • propertyID : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes

- r -

  • referenceImplementationVersion : IAAFTypes::_aafIdentificationCrit_t

- s -

  • sampleRate : IAAFTypes::_aafmMultiCreate_t
  • samplesXfered : IAAFTypes::_aafmMultiResult_t
  • searchTag : IAAFTypes::_aafSearchDictionaryCrit_t , IAAFTypes::_aafSearchCrit_t
  • second : IAAFTypes::_aafTimeStruct_t
  • Size : IAAFTypes::_aafRGBAComponent_t
  • slotID : IAAFTypes::_aafmMultiCreate_t
  • SMPTELabel : IAAFTypes::_aafMobID_t
  • sourceID : IAAFTypes::_aafSourceRef_t
  • sourceSlotID : IAAFTypes::_aafSourceRef_t
  • startFrame : IAAFTypes::_aafTimecode_t , IAAFTypes::_aafEdgecode_t
  • startTime : IAAFTypes::_aafSourceRef_t
  • subTrackNum : IAAFTypes::_aafmMultiCreate_t , IAAFTypes::_aafmMultiXfer_t

- t -

  • tags : IAAFTypes , IAAFTypes::_aafDefinitionCrit_t , IAAFTypes::_aafIdentificationCrit_t
  • tertiary : IAAFTypes::_aafProductVersion_t
  • time : IAAFTypes::_aafTimeStamp_t
  • type
: IAAFTypes::_aafMediaCriteria_t
, IAAFTypes::_aafDefinitionCrit_t
, IAAFTypes::_aafIdentificationCrit_t
, IAAFTypes::_aafProductVersion_t
  • typeID : IAAFTypes , IAAFTypes::_aafSearchDictionaryCrit_t

- u -

  • usageCode : IAAFTypes

- v -

  • valid : IAAFTypes::_aafDefaultFade_t

- x -

  • xOffset : IAAFTypes::_aafRect_t
  • xSize : IAAFTypes::_aafRect_t

- y -

  • year : IAAFTypes::_aafDateStruct_t
  • yOffset : IAAFTypes::_aafRect_t
  • ySize : IAAFTypes::_aafRect_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: AAF.idl File Reference

AAF.idl File Reference

Go to the source code of this file.

Classes

interface | IAAFAES3PCMDescriptor
The IAAFAES3PCMDescriptor is DEPRECATED, please use IAAFAES3PCMDescriptor2. More...
interface | IAAFAIFCDescriptor
The IAAFAIFCDescriptor interface is implemented by objects which describe audio content data formatted according to the AIFC compressed Audio File Format. More...
interface | IAAFAuxiliaryDescriptor
The IAAFAuxiliaryDescriptor interface is implemented by objects that describe a file source which has no physical source. More...
interface | IAAFBWFImportDescriptor
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFCDCIDescriptor
IAAFCDCIDescriptor is DEPRECATED. More...
interface | IAAFCachePageAllocator
This interface is used by the toolkit for allocation and deallocation of pages in a page cache. More...
interface | IAAFClassDef
This interface is used with an object representing an AAF class definition. More...
interface | IAAFCodecDef
This interface is used with an object representing a particular kind of essence codec, which may be implemented by one or more AAFPluginDescriptors. More...
interface | IAAFCommentMarker
The IAAFCommentMarker interface is implemented by objects which represent a user comment associated with a point in time. More...
interface | IAAFComponent
IAAFComponent is DEPRECATED, please use IAAFComponent2. More...
interface | IAAFCompositionMob
IAAFCompositionMob is DEPRECATED, please use IAAFCompositionMob2. More...
interface | IAAFConstantValue
The IAAFConstantValue interface is implemented by objects that specify a parameter whose value is constant for an entire operation group. More...
interface | IAAFContainerDef
This interface is used with an object representing a particular kind of essence stream factory object, which may be implemented by one or more AAFPluginDescriptors. More...
interface | IAAFContentStorage
Objects that implement IAAFContentStorage also implement the following interfaces: More...
interface | IAAFControlPoint
The IAAFControlPoint interface is implemented by objects that store an individual point value of a parameter whose value changes during the operation group. More...
interface | IAAFDataDef
IAAFDataDef is DEPRECATED, Please use IAAFDataDef2. More...
interface | IAAFDataEssenceDescriptor
AAFRESULT_NOMEMORY. More...
interface | IAAFDefObject
This interface is defines an item to be referenced in the AAF file. More...
interface | IAAFDescriptiveClip
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFDescriptiveFramework
The IAAFDescriptiveFramework interface is implemented by objects that represent descriptive metadata. More...
interface | IAAFDescriptiveMarker
The IAAFDescriptiveMarker interface is implemented by objects which represent a descriptive metadata associated with a point in time. More...
interface | IAAFDescriptiveObject
The IAAFDescriptiveObject interface is implemented by objects that represent descriptive metadata. More...
interface | IAAFDictionary
This interface is used to access dictionary services in an AAF file. More...
interface | IAAFDigitalImageDescriptor
IAAFDigitalImageDescriptor is DEPRECATED. More...
interface | IAAFEdgecode
Objects that implement IAAFEdgecode also implement the following interfaces: More...
interface | IAAFEssenceAccess
AAFEssenceAccess is an interace which provides streaming access over multiple channels of essence data. More...
interface | IAAFEssenceData
This interface is DEPRECATED, please use IAAFEssenceData2. More...
interface | IAAFEssenceDescriptor
The IAAFEssenceDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob or of the media associated with a Physical Source mob. More...
interface | IAAFEssenceFormat
The AAFEssenceFormat class represents a collection of parameters (such as image height/width, audio sample width) which describes a piece of essence. More...
interface | IAAFEssenceGroup
This interface provides access to the IAAFEssenceGroup interface, which contains multiple representations of the same media within a MasterMob. More...
interface | IAAFEvent
The IAAFEvent interface is implemented by objects which represent a text comment, a trigger, or an area in the image that has an associated interactive action. More...
interface | IAAFEventMobSlot
IAAFEventMobSlot is DEPRECATED, please use IAAFEventMobSlot2. More...
interface | IAAFFile
This interface is used with an object representing an AAF file. More...
interface | IAAFFileDescriptor
IAAFFileDescriptor is DEPRECATED, please use IAAFFileDescriptor2. More...
interface | IAAFFileEncoding
Start of the comment. More...
interface | IAAFFiller
The IAAFFiller interface is supported by objects which serve as placeholders for an unknown values for the component duration. More...
interface | IAAFFilmDescriptor
The IAAFFilmDescriptor interface is implemented by objects which describe film essence. More...
interface | IAAFFindSourceInfo
interface | IAAFGPITrigger
The IAAFGPITrigger interface is implemented by objects which represent an trigger action that should be taken when its position in time is reached. More...
interface | IAAFGetFileBits
This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to obtain the raw bits of a file after close. More...
interface | IAAFHeader
The IAAFHeader interface provides file-wide information and indexes. More...
interface | IAAFIdentification
The IAAFIdentification interface provides information about an application that either created or modified the AAF file. More...
interface | IAAFImportDescriptor
The IAAFImportDescriptor interface is implemented by objects which describe a file which was imported into AAF. More...
interface | IAAFInterpolationDef
This interface is used with an object representing a particular kind of interpolator, which may be implemented by one or more AAFPluginDescriptors. More...
interface | IAAFKLVData
The IAAFKLVData interface is implemented by objects that specify an User defined tag and value. More...
interface | IAAFKLVDataDefinition
This interface is used to describe the data type of a value stored in an AAFKLVData object. More...
interface | IAAFLocator
The IAAFLocator interface is implemented by objects that provide information to help find a file that contains the essence. More...
interface | IAAFMasterMob
The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...
interface | IAAFMetaDefinition
This interface is defines an item to be referenced in the AAF file. More...
interface | IAAFMob
IAAFMob is DEPRECATED, Please use IAAFMob2. More...
interface | IAAFMobSlot
The IAAFMobSlot interface is implemented by objects which represent a Segment of essence in a Mob. More...
interface | IAAFMPEGVideoDescriptor
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFMultipleDescriptor
The IAAFMultipleDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob containing multiple tracks of essence. More...
interface | IAAFNestedScope
This interface is used with an object which contains an ordered set of AAFSegments and produces the value specified by the last AAFSegement in the ordered seta reference to a segment. More...
interface | IAAFNetworkLocator
The IAAFNetworkLocator interface is implemented by objects which provide information to help find a file containing essence data. More...
interface | IAAFObject
This interface is implemented for all AAF persistent classes. More...
interface | IAAFOperationDef
The IAAFOperationDef interface is implemented by objects that specify an operation definition. More...
interface | IAAFOperationGroup
The IAAFOperationGroup interface is implemented by objects describe an operation (such as an effect) affecting the interpretation of zero or more input segments. More...
interface | IAAFPCMDescriptor
The IAAFPCMDescriptor interface is implemented by objects which describe audio essence. More...
interface | IAAFParameter
The IAAFParameter interface is implemented by objects that specify an Instantiation of an operation parameter. More...
interface | IAAFParameterDef
The IAAFParameterDef interface is implemented by objects that specify a definition of an operation group parameter. More...
interface | IAAFPhysicalDescriptor
The AAFPhysicalDescriptor interface is implemented by objects which describe physical sources. More...
interface | IAAFPlainEssenceData
This is a default inerface for a class used to provide access to file encoding-independent stream data. More...
interface | IAAFPlainStreamData
This interface is used to define Stream types used in AAF persistent objects. More...
interface | IAAFPluginDef
An object which describes a particular implementation of a plug-in interface. More...
interface | IAAFPluginManager
This interface is used with an object representing an AAF class definition. More...
interface | IAAFProperty
This interface is used to access instances of properties contained in AAF persistent objects. More...
interface | IAAFPropertyDef
This interface is used to access the definitions of types for properties contained in AAF persistent objects. More...
interface | IAAFPropertyValue
This interface is used to access the values of properties contained in AAF persistent objects. More...
interface | IAAFPulldown
This interface is used with an object which converts between film frame rates and videotape frame rates by describing the mapping between them. More...
interface | IAAFRGBADescriptor
IAAFRGBADescriptor is DEPRECATED. More...
interface | IAAFRandomFile
Specialized file interface for use with files which exist on storage media which has random access capability. More...
interface | IAAFRandomRawStorage
This interface is used by the toolkit to access storage in which AAF files are to be read and written. More...
interface | IAAFRawStorage
This interface is used by the toolkit to access storage in which AAF files are to be read and written. More...
interface | IAAFRIFFChunk
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFRecordingDescriptor
The IAAFRecordingDescriptor interface is implemented by objects that describe a file source which has no physical source. More...
interface | IAAFScopeReference
This interface is used with an object representing a reference to a segment on another slot of this scope (AAFNestedScope or AAFMob) or an enclosing scope. More...
interface | IAAFSegment
The IAAFSegment interface is implemented by objects which represent a component that is independent of any other components which may surround it in a sequence. More...
interface | IAAFSelector
The IAAFSelector interface is implemented by objects that specify a single segment while preserving references to unused alternatives. More...
interface | IAAFSequence
This interface provides access to the list of Segment and Transition objects maintained by a Sequence object. More...
interface | IAAFSetFileBits
This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to supply the raw bits of a file before open. More...
interface | IAAFSoundDescriptor
The IAAFSoundDescriptor interface is implemented by objects which describe the basic parameters of Sound used by all compression or coding schemes. More...
interface | IAAFSourceClip
The IAAFSourceClip interface is implemented by objects that reference the content data and identify the source of the content data. More...
interface | IAAFSourceMob
This interface is used with an object representing a SourceMob containing some form of AAFEssenceDescriptor, either an AAFTapeDescriptor, AAFFileDescriptor AAFFilmDescriptor, or some extended descriptor not in the v1 specification. More...
interface | IAAFSourceReference
The IAAFSourceReference interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob. More...
interface | IAAFStaticMobSlot
StaticMobSlot describes essence data that has no relationship to time, such as a static image; consequently, a StaticMobSlot does not define an edit rate. More...
interface | IAAFTIFFDescriptor
The IAAFTIFFDescriptor interface is implemented by objects which describe TIFF format media. More...
interface | IAAFTaggedValue
The IAAFTaggedValue interface is implemented by objects that specify an User defined tag and value. More...
interface | IAAFTaggedValueDefinition
This interface is used to describe the data type of a value stored in an AAFTaggedValue object. More...
interface | IAAFTapeDescriptor
The IAAFTapeDescriptor interface is implemented by objects which describe audio tape or videotape media. More...
interface | IAAFTextLocator
The IAAFTextLocator interface is implemented by objects which provide information to help find a file containing essence data in a descriptive way for files that are held off-line. More...
interface | IAAFTimecode
The IAAFTimecode interface is implemented by objects which store videotape or audio tape timecode information. More...
interface | IAAFTimecodeStream
Objects which support IAAFTimecodeStream specify a stream of timecode data. More...
interface | IAAFTimecodeStream12M
Objects that implement IAAFTimecodeStream12M also implement the following interfaces: More...
interface | IAAFTimelineMobSlot
This interface is DEPRECATED, please use IAAFTimelineMobSlot2. More...
interface | IAAFTransition
The IAAFTransition interface is implemented by objects describe a change or transition from one piece of essence to another. More...
interface | IAAFTypeDef
This interface is used to define types used in AAF persistent objects. More...
interface | IAAFTypeDefCharacter
This interface is used to define Integer types used in AAF persistent objects. More...
interface | IAAFTypeDefEnum
This interface is used to define enumerated types used in AAF persistent objects. More...
interface | IAAFTypeDefExtEnum
This interface is used to define field-extendible enumerated types used in AAF persistent objects. More...
interface | IAAFTypeDefFixedArray
This interface is used to define fixed-sized Array types used in AAF persistent objects. More...
interface | IAAFTypeDefIndirect
This interface is used to define Integer types used in AAF persistent objects. More...
interface | IAAFTypeDefInt
This interface is used to define Integer types used in AAF persistent objects. More...
interface | IAAFTypeDefObjectRef
This interface is used to define Object references (either strong or weak) used in AAF persistent objects. More...
interface | IAAFTypeDefOpaque
This interface is used to define Integer types used in AAF persistent objects. More...
interface | IAAFTypeDefRecord
This interface is used to define C-like structured types used in AAF persistent objects. More...
interface | IAAFTypeDefRename
This interface is used to define Renamed types (analogous to C typedefs) used in AAF persistent objects. More...
interface | IAAFTypeDefSet
This interface is used to define variably-sized set types used in AAF persistent objects. More...
interface | IAAFTypeDefStream
AAFTypeDefStream is DEPRECATED, please use AAFTypeDefStream3. More...
interface | IAAFTypeDefString
This interface is used to define variably-sized Array types whose length is determined by a special terminator element value. More...
interface | IAAFTypeDefStrongObjRef
This interface is used to implement Strong Object references. More...
interface | IAAFTypeDefVariableArray
This interface is used to define variably-sized Array types used in AAF persistent objects. More...
interface | IAAFTypeDefWeakObjRef
This interface is used to implement Weak Object references. More...
interface | IAAFVaryingValue
The IAAFVaryingValue interface is implemented by objects that specify a parameter whose value changes during the operation group. More...
interface | IAAFWAVEDescriptor
The IAAFWaveDescriptor interface is implemented by objects which describe audio content data formatted according to the RIFF Waveform Audio File Format (WAVE). More...
interface | IEnumAAFClassDefs
This interface is used to enumerate across Class Definition objects. More...
interface | IEnumAAFCodecDefs
interface | IEnumAAFCodecFlavours
An object which allows iteration over all of the flavour codes which a given codec is able to handle. More...
interface | IEnumAAFComponents
This interface is used to enumerate over the AAFComponents contained in an AAFSequence. More...
interface | IEnumAAFContainerDefs
interface | IEnumAAFControlPoints
interface | IEnumAAFDataDefs
interface | IEnumAAFEssenceData
The IEnumAAFEssenceData interface is used enumerate all of the AAFEssenceData objects in a file. More...
interface | IEnumAAFFileDescriptors
This interface is used to enumerate across File Descriptor objects. More...
interface | IEnumAAFFileEncodings
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IEnumAAFIdentifications
This interfaces allows access to individual IAAFIdentification-supporting objects within a collection. More...
interface | IEnumAAFInterpolationDefs
interface | IEnumAAFKLVData
interface | IEnumAAFKLVDataDefs
interface | IEnumAAFLoadedPlugins
An object which allows iteration over all of the AAFDefObject managed by the AAFPluginManager. More...
interface | IEnumAAFLocators
This interface is for the enumerator which is generated by IAAFEssenceDescriptor and is used for enumerating over IAAFLocators attached to EssenceDescriptor attached to an AAFSourceMob. More...
interface | IEnumAAFMobSlots
This interface is for the enumerator which is generated by IAAFMob and is used for enumerating over IAAFMobSlots attached to the mob. More...
interface | IEnumAAFMobs
This interface is for the enumerator which is generated by IAAFHeader and is used for enumerating over IAAFMobs attached to the content storage attached to the header. More...
interface | IEnumAAFOperationDefs
interface | IEnumAAFParameterDefs
This interface is used to enumerate over the AAFParameterDefinitions referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary. More...
interface | IEnumAAFParameters
This interface is used to enumerate over the AAFParameters referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary. More...
interface | IEnumAAFPluginDefs
An object which allows iteration over all of the AAFPluginDefinitions in the dictionary. More...
interface | IEnumAAFPluginLocators
An object which allows iteration over all of the AAFLocators attached to an AAFPluginDescriptor. More...
interface | IEnumAAFProperties
This interface is used to enumerate over the AAFProperties contained in a collection. More...
interface | IEnumAAFPropertyDefs
interface | IEnumAAFPropertyValues
This interface is used to enumerate over the AAFPropertyValues contained in a collection. More...
interface | IEnumAAFRIFFChunks
This interface is used to enumerate across RIFFChunk objects. More...
interface | IEnumAAFSegments
interface | IEnumAAFTaggedValueDefs
interface | IEnumAAFTaggedValues
interface | IEnumAAFTypeDefs
interface | IAAFAES3PCMDescriptor2
The IAAFAES3PCMDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components. More...
interface | IAAFCDCIDescriptor2
The IAAFCDCIDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components. More...
interface | IAAFComponent2
The component class represents an essence element. More...
interface | IAAFCompositionMob2
The IAAFCompositionMob2 interface is implemented on objects which can specify how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements. More...
interface | IAAFDataDef2
Objects that implement IAAFDataDef2 also implement the following interfaces: More...
interface | IAAFDataDef3
Objects that implement IAAFDataDef3 also implement the following interfaces: More...
interface | IAAFDiagnosticOutput
This interface is used by AAF Toolkit as an output stream to which it writes diagnostic messages. More...
interface | IAAFDictionary2
This interface is used to access dictionary services in an AAF file. More...
interface | IAAFDigitalImageDescriptor2
The IAAFDigitalImageDescriptor2 interface is implemented by objects which describe video content data formatted either using RGBA or luminance/chrominance formatting. More...
interface | IAAFEndian
This interface is used to allow the user to determine the byte order of this object. More...
interface | IAAFEssenceDataEx
This interface is DEPRECATED, please use IAAFEssenceData2. More...
interface | IAAFEssenceData2
The IAAFEssenceData2 interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex. More...
interface | IAAFEssenceMultiAccess
AAFEssenceMultiAccess is an interace which provides streaming access over essence data. More...
interface | IAAFEventMobSlot2
An EventMobSlot, as all MobSlots, has a concrete segment, which is a concrete Event or a Sequence of ordered Events. More...
interface | IAAFFileDescriptor2
The IAAFFileDescriptor2 interface is implemented by objects which describe the format of the content data associated with a File Source mob or the media associated with a Physical Source mob. More...
interface | IAAFHeader2
The IAAFHeader2 interface provides file-wide information and indexes. More...
interface | IAAFKLVEssenceDataParameters
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFKLVStreamParameters
In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values: More...
interface | IAAFMasterMob2
The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...
interface | IAAFMasterMob3
The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects. More...
interface | IAAFMasterMobEx
The IAAFMasterMobEx interface extends IAAFMasterMob. More...
interface | IAAFMob2
The IAAFMob2 interface is implemented by objects that specify a Metadata Object, which can describe a composition, essence, or physical media. More...
interface | IAAFProgress
This interface is used by the toolkit. More...
interface | IAAFRGBADescriptor2
The IAAFRGBADescriptor2 interface is implemented by objects which describe video content data formatted using RGBA formatting. More...
interface | IAAFSearchSource
The IAAFSearchSource interface is used to return source information for some mob slots. More...
interface | IAAFSourceReference2
The IAAFSourceReference2 interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob. More...
interface | IAAFStreamAccess
This interface is used by the toolkit. More...
interface | IAAFTimelineMobSlot2
The IAAFTimelineMobSlot interface is implemented by objects which contain time-varying timeline essence. More...
interface | IAAFTypeDefStreamEx
This interface is an extension to the previously definined TypeDefStream interface. More...
interface | IAAFTypeDefStream3
This interface is used to define Stream types used in AAF persistent objects. More...
interface | IAAFTypeDefVariableArrayEx
This interface is an extension to the previously definined TypeDefVariableArray interface. More...

Functions

STDAPI | AAFLoad (const char *dllname)
***********************************************************")
STDAPI | AAFUnload ()
***********************************************************
STDAPI | AAFFileOpenExistingRead (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUInt32 modeFlags,") cpp_quote("IAAFFile **ppFile)
***********************************************************")
STDAPI | AAFFileOpenExistingModify (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUInt32 modeFlags,") cpp_quote("aafProductIdentification_t *pIdent,") cpp_quote("IAAFFile **ppFile)
Creates an object associated with with an existing filesystem file that contains data which is to be read and written.
STDAPI | AAFFileOpenNewModify (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUInt32 modeFlags,") cpp_quote("aafProductIdentification_t *pIdent,") cpp_quote("IAAFFile **ppFile)
Creates an object associated with with a new filesystem file that contains data which is to be read and written.
STDAPI | AAFFileOpenNewModifyEx (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUID_constptr pFileKind,") cpp_quote("aafUInt32 modeFlags,") cpp_quote("aafProductIdentification_t *pIdent,") cpp_quote("IAAFFile **ppFile)
Creates an object associated with with a new filesystem file that contains data which is to be read and written.
STDAPI | AAFFileOpenTransient (") cpp_quote("aafProductIdentification_t *pIdent,") cpp_quote("IAAFFile **ppFile)
Creates an object associated with with a transient file, meaning that it is not associated with any filesystem file but may still be used to contain AAF objects as if it was associated with a filesystem file.
STDAPI | AAFFileIsAAFFile (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUID_t *pAAFFileKind,") cpp_quote("aafBool *pFileIsAAFFile)
Is the named file an AAF file ?
STDAPI | AAFRawStorageIsAAFFile (") cpp_quote("IAAFRawStorage *pRawStorage,") cpp_quote("aafUID_t *pAAFFileKind,") cpp_quote("aafBool *pRawStorageIsAAFFile)
Does the storage contain an AAF file ?
STDAPI | AAFFileIsAAFFileKind (") cpp_quote("aafCharacter_constptr pFileName,") cpp_quote("aafUID_constptr pAAFFileKind,") cpp_quote("aafBool *pFileIsAAFFile)
Is the named file an AAF file ?
STDAPI | AAFRawStorageIsAAFFileKind (") cpp_quote("IAAFRawStorage *pRawStorage,") cpp_quote("aafUID_constptr pAAFFileKind,") cpp_quote("aafBool *pRawStorageIsAAFFile)
Does the storage contain an AAF file ?
STDAPI | AAFGetPluginManager (IAAFPluginManager **ppPluginManager)
Returns an interface of the plugin manager, which is used to select plugins for exporting.
STDAPI | AAFCreateRawStorageMemory (") cpp_quote("aafFileAccess_t access,") cpp_quote("IAAFRawStorage **ppNewRawStorage)
Create a raw storage providing a built-in implementation of IAAFRawStorage on memory.
STDAPI | AAFCreateRawStorageDisk (") cpp_quote("aafCharacter_constptr pFilename,") cpp_quote("aafFileExistence_t existence,") cpp_quote("aafFileAccess_t access,") cpp_quote("IAAFRawStorage **ppNewRawStorage)
Create a raw storage providing a built-in implementation of IAAFRawStorage on a file on disk.
STDAPI | AAFCreateRawStorageCachedDisk (") cpp_quote("aafCharacter_constptr pFilename,") cpp_quote("aafFileExistence_t existence,") cpp_quote("aafFileAccess_t access,") cpp_quote("aafUInt32 pageCount,") cpp_quote("aafUInt32 pageSize,") cpp_quote("IAAFRawStorage **ppNewRawStorage)
Create a raw storage providing a built-in implementation of IAAFRawStorage on a file on disk with caching.
STDAPI | AAFCreateRawStorageCached (") cpp_quote("IAAFRawStorage *pRawStorage,") cpp_quote("aafUInt32 pageCount,") cpp_quote("aafUInt32 pageSize,") cpp_quote("IAAFRawStorage **ppNewRawStorage)
Create a new cached raw storage from an existing raw storage.
STDAPI | AAFCreateRawStorageCached2 (") cpp_quote("IAAFRawStorage *pRawStorage,") cpp_quote("aafUInt32 pageCount,") cpp_quote("aafUInt32 pageSize,") cpp_quote("IAAFCachePageAllocator *pCachePageAllocator,") cpp_quote("IAAFRawStorage **ppNewRawStorage)
Create a new cached raw storage from an existing raw storage with control over how the cache pages are allocated.
STDAPI | AAFCreateAAFFileOnRawStorage (") cpp_quote("IAAFRawStorage *pRawStorage,") cpp_quote("aafFileExistence_t existence,") cpp_quote("aafFileAccess_t access,") cpp_quote("aafUID_constptr pFileKind,") cpp_quote("aafUInt32 modeFlags,") cpp_quote("aafProductIdentification_constptr pIdent,") cpp_quote("IAAFFile **ppNewFile)
Given an IAAFRawStorage, create an IAAFFile.
STDAPI | AAFSetProgressCallback (IAAFProgress *pProgress)
Sets a progress callback, called back during load and save.
STDAPI | AAFGetFileEncodings (IEnumAAFFileEncodings **ppFileEncodings)
Returns an enumeration of file encodings supported by this version of the library.
STDAPI | AAFSetDiagnosticOutput (IAAFDiagnosticOutput *pOutput)
Make the specified diagnostic output stream the AAF Toolkit's diagnostic output stream.
STDAPI | AAFGetLibraryVersion (aafProductVersion_t *pVersion)
Return the version of the AAF library currently running on this machine, which implements these interfaces.
STDAPI | AAFGetStaticLibraryVersion (aafProductVersion_t *pVersion)
Return the version of the static (aaflib) library linked against the calling appplication.
STDAPI | AAFGetLibraryPathNameBufLen (aafUInt32 *pBufSize)
Returns size of buffer (in bytes) required for AAFGetLibraryPathName().
STDAPI | AAFGetLibraryPathName (") cpp_quote("aafCharacter *pLibraryPathName,") cpp_quote("aafUInt32 bufSize)
Get the pathname of the AAF library.
STDAPI | AAFResultToTextBufLen (") cpp_quote("AAFRESULT result,") cpp_quote("aafUInt32 *pResultTextSize)
Returns the size of the buffer, in bytes, required for the AAFResultToText() function.
STDAPI | AAFResultToText (") cpp_quote("AAFRESULT result,") cpp_quote("aafCharacter *pResultText,") cpp_quote("aafUInt32 resultTextSize)
/// Returns the text representation of an AAFRESULT.

Function Documentation

STDAPI AAFCreateAAFFileOnRawStorage ( " ) const

Given an IAAFRawStorage, create an IAAFFile.

If pRawStorage is actually an IAAFRandomRawStorage, the created file will be an IAAFRandomFile.

Note that AAF files based on Binary Structured Storage will require the underlying IAAFRawStorage to be at least readable, even in the case of write-only AAF files.

Note also that only the following combinations of access and existence are legal:

existence access Legal? --------- ------ ------ existing read yes existing write no existing modify yes new read no new write yes new modify yes

This method will succeed if the following are true:

  • The pRawStorage pointer is valid.
  • The ppNewFile pointer is valid.
  • The accessibility of the specified raw storage matches that of the desired AAF File; additionally, if the file kind is Structured Storage Binary, the raw storage is also required to be at least readable.
  • A legal combination of existence and access flags is given.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRawStorage or ppNewFile arg is NULL.

AAFRESULT_NOT_READABLE

  • The access parameter specifies readability or if this file is Binary Structured Storage, but the specified raw storage is not readable.

AAFRESULT_NOT_WRITEABLE

  • The access parameter specifies writeability but the specified raw storage is not writeable.

AAFRESULT_NULL_PARAM

  • existence is new, and pFileKind is NULL.

AAFRESULT_INVALID_PARAM

  • The access or existence parameters are not set to a legal combination of values.
Parameters:
pRawStorage | [in] storage to be associated with this file
existence | [in] Governs whether storage is on pre-existing data, or is newly created.
access | [in] Governs whether stream may be read from and/or written to.
pFileKind | [in] kind of file to be created; only used for new files
modeFlags | [in] File mode flags
pIdent | [in] Identification to be associated with this file; only used for new files
ppNewFile | [out] newly-created file
STDAPI AAFCreateRawStorageCached ( " )

Create a new cached raw storage from an existing raw storage.

Succeeds if:

  • The pRawStorage pointer is valid.
  • The ppNewRawStorage pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pRawStorage or ppNewRawStorage arg is NULL.
Parameters:
pRawStorage | [in] Existing raw storage
pageCount | [in] Count of cache pages
pageSize | [in] Cache page size in bytes
ppNewRawStorage | [out] Newly created cached storage
STDAPI AAFCreateRawStorageCached2 ( " )

Create a new cached raw storage from an existing raw storage with control over how the cache pages are allocated.

Note that pages are allocated as needed so that the toolkit calls Allocate() a maximum of pageCount times (fewer than pageCount calls will be made if the data fits entirely within the cache).

Succeeds if:

  • The pRawStorage pointer is valid.
  • The pCachePageAllocator pointer is valid.
  • The ppNewRawStorage pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pRawStorage, pCachePageAllocator or ppNewRawStorage arg is NULL.
Parameters:
pRawStorage | [in] Existing raw storage
pageCount | [in] Count of cache pages
pageSize | [in] Cache page size in bytes
pCachePageAllocator | [in] Cache page memory allocator
ppNewRawStorage | [out] Newly created cached storage
STDAPI AAFCreateRawStorageCachedDisk ( " ) const

Create a raw storage providing a built-in implementation of IAAFRawStorage on a file on disk with caching.

Note that it is illegal to specify existence and access as "New" "Read".

This is considered a value-added function since clients could actually create their own.

Succeeds if:

  • The pFilename pointer is valid.
  • The ppNewRawStorage pointer is valid.
  • If the open mode is one of read, write, or modify.
  • If the file existence is one of new or existing.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilename or ppNewRawStorage arg is NULL.

AAFRESULT_WRONG_OPENMODE

  • If none of read, modify, or write are specified as open mode, or if neither new or existing is specified for the existence.
Parameters:
pFilename | [in] Name of file to be associated with this storage
existence | [in] Governs whether storage is on pre-existing data, or is newly created.
access | [in] Governs whether stream may be read from and/or written to.
pageCount | [in] Count of cache pages
pageSize | [in] Cache page size in bytes
ppNewRawStorage | [out] Newly created storage
STDAPI AAFCreateRawStorageDisk ( " ) const

Create a raw storage providing a built-in implementation of IAAFRawStorage on a file on disk.

Note that it is illegal to specify existence and access as "New" "Read".

This is considered a value-added function since clients could actually create their own.

Succeeds if:

  • The pFilename pointer is valid.
  • The ppNewRawStorage pointer is valid.
  • If the open mode is one of read, write, or modify.
  • If the file existence is one of new or existing.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pFilename or ppNewRawStorage arg is NULL.

AAFRESULT_WRONG_OPENMODE

  • If none of read, modify, or write are specified as open mode, or if neither new or existing is specified for the existence.
Parameters:
pFilename | [in] Name of file to be associated with this storage
existence | [in] Governs whether storage is on pre-existing data, or is newly created.
access | [in] Governs whether stream may be read from and/or written to.
ppNewRawStorage | [out] Newly created storage
STDAPI AAFCreateRawStorageMemory ( " )

Create a raw storage providing a built-in implementation of IAAFRawStorage on memory.

This is considered a value-added function since clients could actually create their own.

Succeeds if:

  • The ppNewRawStorage pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppNewRawStorage arg is NULL.
Parameters:
access | [in] Governs whether stream may be read from and/or written to.
ppNewRawStorage | [out] Newly created storage
STDAPI AAFFileIsAAFFile ( " ) const

Is the named file an AAF file ?

Note that the function result is returned via the pFileIsAAFFile argument. If this function succeeds it returns AAFRESULT_SUCCESS even if the named file is not an AAF file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • at least one of the pointer arguments is NULL.

AAFRESULT_FILE_NOT_FOUND

  • the file named by pFileName cannot be found.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file.
pAAFFileKind | [out] Pointer to an AUID indicating the file kind
pFileIsAAFFile | [out,retval] Returns AAFTrue if the given file is an AAF file, returns AAFFalse otherwise.
STDAPI AAFFileIsAAFFileKind ( " ) const

Is the named file an AAF file ?

Note that the function result is returned via the pFileIsAAFFile argument. If this function succeeds it returns AAFRESULT_SUCCESS even if the named file is not an AAF file of the specified kind.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • at least one of the pointer arguments is NULL.

AAFRESULT_FILEKIND_NOT_REGISTERED

  • the specified file kind is not supported by the toolkit.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file.
pAAFFileKind | [in] Pointer to an AUID indicating the file kind to check for
pFileIsAAFFile | [out,retval] Returns AAFTrue if the given file is an AAF file of the specified kind, returns AAFFalse otherwise.
STDAPI AAFFileOpenExistingModify ( " ) const

Creates an object associated with with an existing filesystem file that contains data which is to be read and written.

Associates the given identification with it. Does the following:

  • Opens the existing named file in the filesystem for reading and writing.
  • Associates an object with that filesystem file.
  • Places the object into the Open-read-write state.
  • This AAFFile object then can be used as the root of the containment tree representing all AAF objects contained within the file.

Succeeds if:

  • This object is currently Closed.
  • The pFileName argument is valid.
  • The pIdent argument is valid.
  • Only valid flags have been specified.
  • A valid combination of flags has been specified.
  • The named file exists in the filesystem.
  • The named filesystem file is readable.
  • The named filesystem file is writable.
  • The named file represents itself as a valid AAF file. Even if this succeeds, it is not guaranteed that the named file is in fact a valid AAF file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pFileName or pIdent pointer argument is NULL.

AAFRESULT_BAD_FLAGS

  • one or more illegal flags were specified.

AAFRESULT_BAD_FLAG_COMBINATION

  • illegal combination of otherwise valid flags was specified.

AAFRESULT_FILE_NOT_FOUND

  • The named file does not exist in the filesystem.

AAFRESULT_NOT_READABLE

  • The named file cannot be read.

AAFRESULT_NOT_WRITEABLE

  • The named file cannot be written.

AAFRESULT_NOTAAFFILE

  • The named file is not a valid AAF file.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file to be opened for modification. The file name has no restrictions other than those imposed by the underlying file system. AAF files that use structured storage encoding typically use the extension .aaf or .isr. AAF files that use XML encoding typically use the .xml extension. AAF files that use KLV encoding typically use use the extension .mxf or .klv.
modeFlags | [in] File open mode flags. May be any of the following ORed together. All other bits must be set to zero.
  • kAAFFileModeUnbuffered to indicate unbuffered mode. Default is buffered.
  • kAAFFileModeRevertable to indicate that Revert is possible on this file (for all changes except those to essence).
    Parameters:
    pIdent | [in] Identification of the application which is modifying this file.
    ppFile | [out] Pointer to buffer to receive pointer to new file.
STDAPI AAFFileOpenExistingRead ( " ) const

***********************************************************")

Factory functions for AAF files:.") ***********************************************************") Creates an object associated with with an existing filesystem file that contains data which is only to be read. Does the following:

  • Opens the existing named file in the filesystem for reading.
  • Associates an object with that filesystem file.
  • Places the object into the Open-read-only state.
  • This AAFFile object then can be used as the root of the containment tree representing all AAF objects contained within the file.

Succeeds if:

  • The pFileName argument is valid.
  • Only valid flags have been specified.
  • A valid combination of flags has been specified.
  • The named file exists in the filesystem.
  • The named filesystem file is readable.
  • The named file represents itself as a valid AAF file. Even if this succeeds, it is not guaranteed that the named file is in fact a valid AAF file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • the pFileName pointer arg is NULL.

AAFRESULT_BAD_FLAGS

  • one or more illegal flags were specified.

AAFRESULT_BAD_FLAG_COMBINATION

  • illegal combination of otherwise valid flags was specified.

AAFRESULT_FILE_NOT_FOUND

  • The named file does not exist in the filesystem.

AAFRESULT_NOT_READABLE

  • The named file cannot be read.

AAFRESULT_NOT_AAF_FILE

  • The named file does not claim to be a valid AAF file.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file to be opened for reading. The file name has no restrictions other than those imposed by the underlying file system. AAF files that use structured storage encoding typically use the extension .aaf or .isr. AAF files that use XML encoding typically use the .xml extension. AAF files that use KLV encoding typically use use the extension .mxf or .klv.
modeFlags | [in] File open mode flags. May be any of the following ORed together. All other bits must be set to zero.
  • kAAFFileModeUnbuffered - to indicate buffered mode. Default is buffered.
    Parameters:
    ppFile [out] Pointer to buffer to receive pointer to new file.
STDAPI AAFFileOpenNewModify ( " ) const

Creates an object associated with with a new filesystem file that contains data which is to be read and written.

Associates the given identification with it. Does the following:

  • Creates a new file in the filesystem with the given name.
  • Opens the filesystem file for reading and writing.
  • Associates this object with that filesystem file.
  • Places this object into the Open state.
  • This AAFFile object then can be used as the root of the containment tree representing all AAF objects contained within the file.

Succeeds if:

  • The pFileName argument is valid.
  • The pIdent argument is valid.
  • Only valid flags have been specified.
  • A valid combination of flags has been specified.
  • The named file does not exists in the filesystem.
  • There is sufficient space in the filesystem to create the file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pFileName or pIdent pointer argument is NULL.

AAFRESULT_BAD_FLAGS

  • one or more illegal flags were specified.

AAFRESULT_BAD_FLAG_COMBINATION

  • illegal combination of otherwise valid flags was specified.

AAFRESULT_FILE_EXISTS

  • The named file already exists in the filesystem.

AAFRESULT_INSUFFICIENT_SPACE

  • There is insufficient space in the filesystem to create this file.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file to be opened for modification. The file name has no restrictions other than those imposed by the underlying file system. AAF files that use structured storage encoding typically use the extension .aaf or .isr. AAF files that use XML encoding typically use the .xml extension. AAF files that use KLV encoding typically use use the extension .mxf or .klv.
modeFlags | [in] File open mode flags. May be any of the following ORed together. All other bits must be set to zero.
  • kAAFFileModeUnbuffered to indicate unbuffered mode. Default is buffered.
  • kAAFFileModeRevertable to indicate that Revert is possible on this file (for all changes except those to essence).
    Parameters:
    pIdent | [in] Identification of the application which is creating this file.
    ppFile | [out] Pointer to buffer to receive pointer to new file.
STDAPI AAFFileOpenNewModifyEx ( " ) const

Creates an object associated with with a new filesystem file that contains data which is to be read and written.

Associates the given identification with it. Does the following:

  • Creates a new file in the filesystem with the given name.
  • Opens the filesystem file for reading and writing.
  • Associates this object with that filesystem file.
  • Places this object into the Open state.
  • This AAFFile object then can be used as the root of the containment tree representing all AAF objects contained within the file.

Succeeds if:

  • The pFileName argument is valid.
  • The pFileKind argument is valid.
  • The pIdent argument is valid.
  • Only valid flags have been specified.
  • A valid combination of flags has been specified.
  • The named file does not exists in the filesystem.
  • There is sufficient space in the filesystem to create the file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • either pFileName or pIdent pointer argument is NULL.

AAFRESULT_BAD_FLAGS

  • one or more illegal flags were specified.

AAFRESULT_BAD_FLAG_COMBINATION

  • illegal combination of otherwise valid flags was specified.

AAFRESULT_FILE_EXISTS

  • The named file already exists in the filesystem.

AAFRESULT_INSUFFICIENT_SPACE

  • There is insufficient space in the filesystem to create this file.
Parameters:
pFileName | [in, string] Null-terminated string containing name of filesystem file to be opened for modification. The file name has no restrictions other than those imposed by the underlying file system. AAF files that use structured storage encoding typically use the extension .aaf or .isr. AAF files that use XML encoding typically use the .xml extension. AAF files that use KLV encoding typically use use the extension .mxf or .klv.
pFileKind | [in] kind of file to be created
modeFlags | [in] File open mode flags
pIdent | [in] Identification of the application which is creating this file.
ppFile | [out] Pointer to buffer to receive pointer to new file.
STDAPI AAFFileOpenTransient ( " )

Creates an object associated with with a transient file, meaning that it is not associated with any filesystem file but may still be used to contain AAF objects as if it was associated with a filesystem file.

Associates the given identification with this file.

Transient files are never considered Revertable.

Succeeds if:

  • This object has already been Initialize()d.
  • The pIdent argument is valid.
  • This object is currently closed.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NOT_INITIALIZED

  • This object has not yet had Initialize() called on it.

AAFRESULT_ALREADY_OPEN

  • This object is already open.

AAFRESULT_NULL_PARAM

  • the pIdent pointer argument is NULL.
Parameters:
pIdent | [in] Identification which is to be associated with this file.
ppFile | [out] Pointer to buffer to receive pointer to new file.
STDAPI AAFGetFileEncodings ( IEnumAAFFileEncodings ** ppFileEncodings )

Returns an enumeration of file encodings supported by this version of the library.

This method will succeed if the following are true:

  • The ppFileEncodings pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • ppFileEncodings arg is NULL.
Parameters:
ppFileEncodings [out] Available file encodings.
STDAPI AAFGetLibraryPathName ( " )

Get the pathname of the AAF library.

Writes the LibraryPathName, with a trailing null character, into the pLibraryPathName buffer. The buffer is allocated by the caller. The size of the buffer is given by bufSize.

Caller may call AAFGetLibraryPathNameBufLen() to determine the required buffer size.

If this method fails nothing will be written to pLibraryPathName.

Succeeds if:

  • The pLibraryPathName pointer is valid.
  • bufSize indicates that the buffer is large enough to hold LibraryPathName.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pLibraryPathName arg is NULL.

AAFRESULT_SMALLBUF

  • bufSize indicates that the allocated buffer is not large enough to hold LibraryPathName.
Parameters:
pLibraryPathName | [out, string, size_is(bufSize)] buffer into which LibraryPathName is to be written
bufSize | [in] size of *pLibraryPathName buffer in bytes
STDAPI AAFGetLibraryPathNameBufLen ( aafUInt32 * pBufSize )

Returns size of buffer (in bytes) required for AAFGetLibraryPathName().

Succeeds if:

  • The pBufSize pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pBufSize arg is NULL.
Parameters:
pBufSize [out] size of required buffer, in bytes
STDAPI AAFGetLibraryVersion ( aafProductVersion_t * pVersion )

Return the version of the AAF library currently running on this machine, which implements these interfaces.

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails nothing is written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVersion is null.
Parameters:
pVersion [out, retval] The library version
STDAPI AAFGetPluginManager ( IAAFPluginManager ** ppPluginManager )

Returns an interface of the plugin manager, which is used to select plugins for exporting.

Parameters:
ppPluginManager [out] Pointer to the interface of the plugin manager.
STDAPI AAFGetStaticLibraryVersion ( aafProductVersion_t * pVersion )

Return the version of the static (aaflib) library linked against the calling appplication.

This version may be the same as or different from the version of the (dynamically linked) AAF Library containing the implementation of the various interfaces. The version of the AAF Library may be obtained by calling AAFGetLibraryVersion().

Succeeds if all of the following are true:

  • the pVersion pointer is valid.

If this method fails nothing is written to *pVersion.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pVersion is null.
Parameters:
pVersion [out, retval] The static library version
STDAPI AAFLoad ( const char * dllname )

***********************************************************")

Functions used to dynamically load and unload the AAF dll") without statically linking to the dll's export library.") To use these functions link to the stub library aaf.lib") (or aafd.lib for the debugging version). ") If the client is statically linking to the AAF dll's export") library then the following functions will always succeed:") ***********************************************************") Attempts to load the given implementation of AAF into the processes address space. Only one implementation of AAF can be active. Note: once AAFUnload has been called all subsequent access to AAF interfaces will fail

To use this function link to the stub library aaf.lib (or aafd.lib for the debugging version). If the client is statically linking to the AAF dll's export library then the function will always succeed.

Parameters:
dllname [in] Pointer to the name of AAF dll to load. If this pointer is NULL the function will attempt to load the default AAF dll.
STDAPI AAFRawStorageIsAAFFile ( " )

Does the storage contain an AAF file ?

Note that the function result is returned via the pRawStorageIsAAFFile argument. If this function succeeds it returns AAFRESULT_SUCCESS even if the storage is not an AAF file.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • at least one of the pointer arguments is NULL.
Parameters:
pRawStorage | [in] storage containing the purported file
pAAFFileKind | [out] Pointer to an AUID indicating the file kind
pRawStorageIsAAFFile | [out,retval] Returns AAFTrue if the given storage contains an AAF file, returns AAFFalse otherwise.
STDAPI AAFRawStorageIsAAFFileKind ( " ) const

Does the storage contain an AAF file ?

Note that the function result is returned via the pRawStorageIsAAFFile argument. If this function succeeds it returns AAFRESULT_SUCCESS even if the storage is not an AAF file of the specified kind.

This function will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • at least one of the pointer arguments is NULL.

AAFRESULT_FILEKIND_NOT_REGISTERED

  • the specified file kind is not supported by the toolkit.
Parameters:
pRawStorage | [in] storage containing the purported file
pAAFFileKind | [in] Pointer to an AUID indicating the file kind to check for
pRawStorageIsAAFFile | [out,retval] Returns AAFTrue if the given storage contains an AAF file of the specified kind, returns AAFFalse otherwise.
STDAPI AAFResultToText ( " )

/// Returns the text representation of an AAFRESULT.

Succeeds if all of the following are true:

  • the pResultText pointer is valid.
  • the result is an AAFRESULT.
  • the result is a recognized AAFRESULT.
  • the buffer is large enough to hold the result text.

If this method fails nothing will be written to resultText.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pResultText arg is NULL.

AAFRESULT_RESULT_NOT_AAF

  • result is not an AAFRESULT.

AAFRESULT_RESULT_NOT_RECOGNIZED

  • result is not a recognized AAFRESULT.

AAFRESULT_SMALLBUF

  • pResultText is too small to hold the result text.
Parameters:
result | [in] The result
pResultText | [out, string, size_is(resultTextSize)] The text representation of the result
resultTextSize | [in] The size, in bytes, of pResultText
STDAPI AAFResultToTextBufLen ( " )

Returns the size of the buffer, in bytes, required for the AAFResultToText() function.

Succeeds if all of the following are true:

  • the pResultTextSize pointer is valid.
  • the result is an AAFRESULT.
  • the result is a recognized AAFRESULT.

If this method fails nothing will be written to *pResultTextSize.

This method will return the following codes:

AAFRESULT_SUCCESS

  • succeeded.

AAFRESULT_NULL_PARAM

  • pResultTextSize arg is NULL.

AAFRESULT_RESULT_NOT_AAF

  • result is not an AAFRESULT.

AAFRESULT_RESULT_NOT_RECOGNIZED

  • result is not a recognized AAFRESULT.
Parameters:
result | [in] The result
pResultTextSize | [out] The size of the required buffer, in bytes.
STDAPI AAFSetDiagnosticOutput ( IAAFDiagnosticOutput * pOutput )

Make the specified diagnostic output stream the AAF Toolkit's diagnostic output stream.

By default the diagnostic output goes to stderr. The passed in pointer is AddRefed. The pointer will be Released the next time AAFSetDiagnosticOutput is called or when the AAF DLL is unloaded.

This method will succeed if the following are true:

  • The pOutput pointer is valid.

This method will return the following codes. If more than one of the listed errors is in effect, it will return the first one encountered in the order given below:

AAFRESULT_SUCCESS

  • succeeded. (This is the only code indicating success.)

AAFRESULT_NULL_PARAM

  • pStream arg is NULL.
Parameters:
pOutput [in] New diagnostic output.
STDAPI AAFSetProgressCallback ( IAAFProgress * pProgress )

Sets a progress callback, called back during load and save.

Parameters:
pProgress [in] Pointer to the interface of the progress interface callback.
STDAPI AAFUnload ( )

***********************************************************

Attempts to unload the current AAF dll loaded with a previous call to AAFLoad.

Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: AAF.idl Source File

AAF.idl
Go to the documentation of this file.
00001
00005 cpp_quote("//=---------------------------------------------------------------------=")
00006 cpp_quote("//")
00007 cpp_quote("// This file was GENERATED for the AAF SDK")
00008 cpp_quote("//")
00009 cpp_quote("// $Id: AAF.idl,v 1.64 2012/06/26 20:54:40 jptrainor Exp $ $Name:  $")
00010 cpp_quote("//")
00011 cpp_quote("// The contents of this file are subject to the AAF SDK Public Source")
00012 cpp_quote("// License Agreement Version 2.0 (the \"License\"); You may not use this")
00013 cpp_quote("// file except in compliance with the License.  The License is available")
00014 cpp_quote("// in AAFSDKPSL.TXT, or you may obtain a copy of the License from the")
00015 cpp_quote("// Advanced Media Workflow Association, Inc., or its successor.")
00016 cpp_quote("//")
00017 cpp_quote("// Software distributed under the License is distributed on an \"AS IS\"")
00018 cpp_quote("// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See")
00019 cpp_quote("// the License for the specific language governing rights and limitations")
00020 cpp_quote("// under the License.  Refer to Section 3.3 of the License for proper use")
00021 cpp_quote("// of this Exhibit.")
00022 cpp_quote("//")
00023 cpp_quote("// WARNING:  Please contact the Advanced Media Workflow Association,")
00024 cpp_quote("// Inc., for more information about any additional licenses to")
00025 cpp_quote("// intellectual property covering the AAF Standard that may be required")
00026 cpp_quote("// to create and distribute AAF compliant products.")
00027 cpp_quote("// (http://www.amwa.tv/policies).")
00028 cpp_quote("//")
00029 cpp_quote("// Copyright Notices:")
00030 cpp_quote("// The Original Code of this file is Copyright 1998-2012, licensor of the")
00031 cpp_quote("// Advanced Media Workflow Association.  All rights reserved.")
00032 cpp_quote("//")
00033 cpp_quote("// The Initial Developer of the Original Code of this file and the")
00034 cpp_quote("// licensor of the Advanced Media Workflow Association is")
00035 cpp_quote("// Avid Technology.")
00036 cpp_quote("// All rights reserved.")
00037 cpp_quote("//")
00038 cpp_quote("//=---------------------------------------------------------------------=")
00039
00040 cpp_quote("//=--------------------------------------------------------------------------=")
00041 cpp_quote("// AAF Interfaces.")
00042 cpp_quote("//=--------------------------------------------------------------------------=")
00043 cpp_quote("//")
00044
00045 #ifndef DO_NO_IMPORTS
00046 import "unknwn.idl";
00047 #endif
00048
00049 #ifndef DO_NO_IMPORTS
00050 import "objidl.idl";
00051 #endif
00052
00053 #ifndef DO_NO_IMPORTS
00054 import "AAFTypes.idl";
00055 #endif
00056
00057 interface IAAFAES3PCMDescriptor;
00058 interface IAAFAIFCDescriptor;
00059 interface IAAFAuxiliaryDescriptor;
00060 interface IAAFBWFImportDescriptor;
00061 interface IAAFCDCIDescriptor;
00062 interface IAAFCachePageAllocator;
00063 interface IAAFClassDef;
00064 interface IAAFCodecDef;
00065 interface IAAFCommentMarker;
00066 interface IAAFComponent;
00067 interface IAAFCompositionMob;
00068 interface IAAFConstantValue;
00069 interface IAAFContainerDef;
00070 interface IAAFContentStorage;
00071 interface IAAFControlPoint;
00072 interface IAAFDataDef;
00073 interface IAAFDataEssenceDescriptor;
00074 interface IAAFDefObject;
00075 interface IAAFDescriptiveClip;
00076 interface IAAFDescriptiveFramework;
00077 interface IAAFDescriptiveMarker;
00078 interface IAAFDescriptiveObject;
00079 interface IAAFDictionary;
00080 interface IAAFDigitalImageDescriptor;
00081 interface IAAFEdgecode;
00082 interface IAAFEssenceAccess;
00083 interface IAAFEssenceData;
00084 interface IAAFEssenceDescriptor;
00085 interface IAAFEssenceFormat;
00086 interface IAAFEssenceGroup;
00087 interface IAAFEvent;
00088 interface IAAFEventMobSlot;
00089 interface IAAFFile;
00090 interface IAAFFileDescriptor;
00091 interface IAAFFileEncoding;
00092 interface IAAFFiller;
00093 interface IAAFFilmDescriptor;
00094 interface IAAFFindSourceInfo;
00095 interface IAAFGPITrigger;
00096 interface IAAFGetFileBits;
00097 interface IAAFHeader;
00098 interface IAAFIdentification;
00099 interface IAAFImportDescriptor;
00100 interface IAAFInterpolationDef;
00101 interface IAAFKLVData;
00102 interface IAAFKLVDataDefinition;
00103 interface IAAFLocator;
00104 interface IAAFMasterMob;
00105 interface IAAFMetaDefinition;
00106 interface IAAFMob;
00107 interface IAAFMobSlot;
00108 interface IAAFMPEGVideoDescriptor;
00109 interface IAAFMultipleDescriptor;
00110 interface IAAFNestedScope;
00111 interface IAAFNetworkLocator;
00112 interface IAAFObject;
00113 interface IAAFOperationDef;
00114 interface IAAFOperationGroup;
00115 interface IAAFPCMDescriptor;
00116 interface IAAFParameter;
00117 interface IAAFParameterDef;
00118 interface IAAFPhysicalDescriptor;
00119 interface IAAFPlainEssenceData;
00120 interface IAAFPlainStreamData;
00121 interface IAAFPluginDef;
00122 interface IAAFPluginManager;
00123 interface IAAFProperty;
00124 interface IAAFPropertyDef;
00125 interface IAAFPropertyValue;
00126 interface IAAFPulldown;
00127 interface IAAFRGBADescriptor;
00128 interface IAAFRandomFile;
00129 interface IAAFRandomRawStorage;
00130 interface IAAFRawStorage;
00131 interface IAAFRIFFChunk;
00132 interface IAAFRecordingDescriptor;
00133 interface IAAFScopeReference;
00134 interface IAAFSegment;
00135 interface IAAFSelector;
00136 interface IAAFSequence;
00137 interface IAAFSetFileBits;
00138 interface IAAFSoundDescriptor;
00139 interface IAAFSourceClip;
00140 interface IAAFSourceMob;
00141 interface IAAFSourceReference;
00142 interface IAAFStaticMobSlot;
00143 interface IAAFTIFFDescriptor;
00144 interface IAAFTaggedValue;
00145 interface IAAFTaggedValueDefinition;
00146 interface IAAFTapeDescriptor;
00147 interface IAAFTextLocator;
00148 interface IAAFTimecode;
00149 interface IAAFTimecodeStream;
00150 interface IAAFTimecodeStream12M;
00151 interface IAAFTimelineMobSlot;
00152 interface IAAFTransition;
00153 interface IAAFTypeDef;
00154 interface IAAFTypeDefCharacter;
00155 interface IAAFTypeDefEnum;
00156 interface IAAFTypeDefExtEnum;
00157 interface IAAFTypeDefFixedArray;
00158 interface IAAFTypeDefIndirect;
00159 interface IAAFTypeDefInt;
00160 interface IAAFTypeDefObjectRef;
00161 interface IAAFTypeDefOpaque;
00162 interface IAAFTypeDefRecord;
00163 interface IAAFTypeDefRename;
00164 interface IAAFTypeDefSet;
00165 interface IAAFTypeDefStream;
00166 interface IAAFTypeDefString;
00167 interface IAAFTypeDefStrongObjRef;
00168 interface IAAFTypeDefVariableArray;
00169 interface IAAFTypeDefWeakObjRef;
00170 interface IAAFVaryingValue;
00171 interface IAAFWAVEDescriptor;
00172 interface IEnumAAFClassDefs;
00173 interface IEnumAAFCodecDefs;
00174 interface IEnumAAFCodecFlavours;
00175 interface IEnumAAFComponents;
00176 interface IEnumAAFContainerDefs;
00177 interface IEnumAAFControlPoints;
00178 interface IEnumAAFDataDefs;
00179 interface IEnumAAFEssenceData;
00180 interface IEnumAAFFileDescriptors;
00181 interface IEnumAAFFileEncodings;
00182 interface IEnumAAFIdentifications;
00183 interface IEnumAAFInterpolationDefs;
00184 interface IEnumAAFKLVData;
00185 interface IEnumAAFKLVDataDefs;
00186 interface IEnumAAFLoadedPlugins;
00187 interface IEnumAAFLocators;
00188 interface IEnumAAFMobSlots;
00189 interface IEnumAAFMobs;
00190 interface IEnumAAFOperationDefs;
00191 interface IEnumAAFParameterDefs;
00192 interface IEnumAAFParameters;
00193 interface IEnumAAFPluginDefs;
00194 interface IEnumAAFPluginLocators;
00195 interface IEnumAAFProperties;
00196 interface IEnumAAFPropertyDefs;
00197 interface IEnumAAFPropertyValues;
00198 interface IEnumAAFRIFFChunks;
00199 interface IEnumAAFSegments;
00200 interface IEnumAAFTaggedValueDefs;
00201 interface IEnumAAFTaggedValues;
00202 interface IEnumAAFTypeDefs;
00203 interface IAAFAES3PCMDescriptor2;
00204 interface IAAFCDCIDescriptor2;
00205 interface IAAFComponent2;
00206 interface IAAFCompositionMob2;
00207 interface IAAFDataDef2;
00208 interface IAAFDataDef3;
00209 interface IAAFDiagnosticOutput;
00210 interface IAAFDictionary2;
00211 interface IAAFDigitalImageDescriptor2;
00212 interface IAAFEndian;
00213 interface IAAFEssenceDataEx;
00214 interface IAAFEssenceData2;
00215 interface IAAFEssenceMultiAccess;
00216 interface IAAFEventMobSlot2;
00217 interface IAAFFileDescriptor2;
00218 interface IAAFHeader2;
00219 interface IAAFKLVEssenceDataParameters;
00220 interface IAAFKLVStreamParameters;
00221 interface IAAFMasterMob2;
00222 interface IAAFMasterMob3;
00223 interface IAAFMasterMobEx;
00224 interface IAAFMob2;
00225 interface IAAFProgress;
00226 interface IAAFRGBADescriptor2;
00227 interface IAAFSearchSource;
00228 interface IAAFSourceReference2;
00229 interface IAAFStreamAccess;
00230 interface IAAFTimelineMobSlot2;
00231 interface IAAFTypeDefStreamEx;
00232 interface IAAFTypeDefStream3;
00233 interface IAAFTypeDefVariableArrayEx;
00234
00235
00236 // ************************
00237 //
00238 // Interface IAAFAES3PCMDescriptor
00239 //
00240 // ************************
00256
00257
00267 [
00268     object,
00269     uuid(2EBFFDE0-5997-414D-808B-6BAA4A74F40F),
00270     helpstring("IAAFAES3PCMDescriptor Interface"),
00271     pointer_default(unique)
00272 ]
00273 interface IAAFAES3PCMDescriptor : IUnknown
00274 {
00275
00276   //***********************************************************
00277   //
00278   // Initialize()
00279   //
00297   HRESULT Initialize ();
00298
00299
00300
00301
00302
00303
00304
00305
00306
00307
00308
00309
00310
00311
00312
00313
00314
00315 }
00316
00317
00318 // ************************
00319 //
00320 // Interface IAAFAIFCDescriptor
00321 //
00322 // ************************
00342 [
00343     object,
00344     uuid(e684d774-b935-11d2-bf9d-00104bc9156d),
00345     helpstring("IAAFAIFCDescriptor Interface"),
00346     pointer_default(unique)
00347 ]
00348 interface IAAFAIFCDescriptor : IUnknown
00349 {
00350
00351   //***********************************************************
00352   //
00353   // Initialize()
00354   //
00373   HRESULT Initialize ();
00374
00375
00376   //***********************************************************
00377   //
00378   // GetSummary()
00379   //
00403   HRESULT GetSummary (
00404     [in] aafUInt32  size,
00405     [out, size_is(size)] aafDataValue_t  pSummary);
00406
00407   //***********************************************************
00408   //
00409   // GetSummaryBufferSize()
00410   //
00430   HRESULT GetSummaryBufferSize (
00431     [out] aafUInt32 *  pSize);
00432
00433   //***********************************************************
00434   //
00435   // SetSummary()
00436   //
00457   HRESULT SetSummary (
00458     [in] aafUInt32  size,
00459     [in, size_is(size)] aafDataValue_t  pSummary);
00460
00461
00462 }
00463
00464
00465
00466 // ************************
00467 //
00468 // Interface IAAFAuxiliaryDescriptor
00469 //
00470 // ************************
00471
00489 [
00490     object,
00491     uuid(197a9cb2-48de-40a3-b965-59531d3fcf23),
00492     helpstring("IAAFAuxiliaryDescriptor Interface"),
00493     pointer_default(unique)
00494 ]
00495
00496 interface IAAFAuxiliaryDescriptor : IUnknown
00497 {
00498
00499
00500   //***********************************************************
00501   //
00502   // Initialize()
00503   //
00516   HRESULT Initialize ();
00517
00518   //***********************************************************
00519   //
00520   // SetMimeType()
00521   //
00550   HRESULT SetMimeType (
00551     [in, string] aafCharacter_constptr  pMimeType);
00552
00553
00554   //***********************************************************
00555   //
00556   // GetMimeType()
00557   //
00595   HRESULT GetMimeType (
00596     [out, string, size_is(bufSize)] aafCharacter *  pMimeType,
00597     [in] aafUInt32  bufSize);
00598
00599
00600   //***********************************************************
00601   //
00602   // GetMimeTypeBufLen()
00603   //
00621   HRESULT GetMimeTypeBufLen (
00622     [out] aafUInt32 *  pBufSize);
00623
00624   //***********************************************************
00625   //
00626   // SetCharSet()
00627   //
00656   HRESULT SetCharSet (
00657     [in, string] aafCharacter_constptr  pCharSet);
00658
00659
00660   //***********************************************************
00661   //
00662   // GetCharSet()
00663   //
00701   HRESULT GetCharSet (
00702     [out, string, size_is(bufSize)] aafCharacter *  pCharSet,
00703     [in] aafUInt32  bufSize);
00704
00705
00706   //***********************************************************
00707   //
00708   // GetCharSetBufLen()
00709   //
00727   HRESULT GetCharSetBufLen (
00728     [out] aafUInt32 *  pBufSize);
00729
00730 }
00731
00732
00733
00734 // ************************
00735 //
00736 // Interface IAAFBWFImportDescriptor
00737 //
00738 // ************************
00758 [
00759     object,
00760     uuid(480b4328-da10-44d4-bb50-1bafbfbaf86a),
00761     helpstring("IAAFBWFImportDescriptor Interface"),
00762     pointer_default(unique)
00763 ]
00764
00765 interface IAAFBWFImportDescriptor : IUnknown
00766 {
00767
00768   //***********************************************************
00769   //
00770   // Initialize()
00771   //
00790   HRESULT Initialize ();
00791
00792
00793   //***********************************************************
00794   //
00795   // SetFileSecurityReport()
00796   //
00809   HRESULT SetFileSecurityReport (
00810     [in] aafUInt32  fileSecurityReport);
00811
00812
00813   //***********************************************************
00814   //
00815   // GetFileSecurityReport()
00816   //
00838   HRESULT GetFileSecurityReport (
00839     [out] aafUInt32 *  pFileSecurityReport);
00840
00841
00842   //***********************************************************
00843   //
00844   // SetFileSecurityWave()
00845   //
00858   HRESULT SetFileSecurityWave (
00859     [in] aafUInt32  fileSecurityWave);
00860
00861
00862   //***********************************************************
00863   //
00864   // GetFileSecurityWave()
00865   //
00887   HRESULT GetFileSecurityWave (
00888     [out] aafUInt32 *  pFileSecurityWave);
00889
00890
00891   //***********************************************************
00892   //
00893   // CountUnknownBWFChunks()
00894   //
00914   HRESULT CountUnknownBWFChunks (
00915     [out] aafUInt32 *  pNumData);
00916
00917   //***********************************************************
00918   //
00919   // AppendUnknownBWFChunk()
00920   //
00947   HRESULT AppendUnknownBWFChunk (
00948     [in] IAAFRIFFChunk * pData);
00949
00950
00951   //***********************************************************
00952   //
00953   // PrependUnknownBWFChunk()
00954   //
00981   HRESULT PrependUnknownBWFChunk (
00982     [in] IAAFRIFFChunk * pData);
00983
00984
00985
00986   //***********************************************************
00987   //
00988   // InsertUnknownBWFChunkAt()
00989   //
01025   HRESULT InsertUnknownBWFChunkAt (
01026     [in] aafUInt32  index,
01027     [in] IAAFRIFFChunk * pData);
01028
01029
01030   //***********************************************************
01031   //
01032   // GetUnknownBWFChunkAt()
01033   //
01060   HRESULT GetUnknownBWFChunkAt (
01061     [in] aafUInt32  index,
01062     [out, retval] IAAFRIFFChunk ** ppData);
01063
01064
01065   //***********************************************************
01066   //
01067   // RemoveUnknownBWFChunkAt()
01068   //
01092   HRESULT RemoveUnknownBWFChunkAt (
01093     [in] aafUInt32  index);
01094
01095
01096   //***********************************************************
01097   //
01098   // GetUnknownBWFChunks()
01099   //
01121   HRESULT GetUnknownBWFChunks (
01122     [out] IEnumAAFRIFFChunks ** ppEnum);
01123
01124
01125   //***********************************************************
01126   //
01127   // SetCodingHistory()
01128   //
01157   HRESULT SetCodingHistory (
01158     [in, string] aafCharacter_constptr  pCodingHistory);
01159
01160
01161   //***********************************************************
01162   //
01163   // GetCodingHistory()
01164   //
01202   HRESULT GetCodingHistory (
01203     [out, string, size_is(bufSize)] aafCharacter *  pCodingHistory,
01204     [in] aafUInt32  bufSize);
01205
01206
01207   //***********************************************************
01208   //
01209   // GetCodingHistoryBufLen()
01210   //
01228   HRESULT GetCodingHistoryBufLen (
01229     [out] aafUInt32 *  pBufSize);
01230
01231   //***********************************************************
01232   //
01233   // SetBasicData()
01234   //
01263   HRESULT SetBasicData (
01264     [in, string] aafCharacter_constptr  pBasicData);
01265
01266
01267   //***********************************************************
01268   //
01269   // GetBasicData()
01270   //
01308   HRESULT GetBasicData (
01309     [out, string, size_is(bufSize)] aafCharacter *  pBasicData,
01310     [in] aafUInt32  bufSize);
01311
01312
01313   //***********************************************************
01314   //
01315   // GetBasicDataBufLen()
01316   //
01334   HRESULT GetBasicDataBufLen (
01335     [out] aafUInt32 *  pBufSize);
01336
01337   //***********************************************************
01338   //
01339   // SetStartOfModulation()
01340   //
01369   HRESULT SetStartOfModulation (
01370     [in, string] aafCharacter_constptr  pStartOfModulation);
01371
01372
01373   //***********************************************************
01374   //
01375   // GetStartOfModulation()
01376   //
01414   HRESULT GetStartOfModulation (
01415     [out, string, size_is(bufSize)] aafCharacter *  pStartOfModulation,
01416     [in] aafUInt32  bufSize);
01417
01418
01419   //***********************************************************
01420   //
01421   // GetStartOfModulationBufLen()
01422   //
01440   HRESULT GetStartOfModulationBufLen (
01441     [out] aafUInt32 *  pBufSize);
01442
01443   //***********************************************************
01444   //
01445   // SetQualityEvent()
01446   //
01475   HRESULT SetQualityEvent (
01476     [in, string] aafCharacter_constptr  pQualityEvent);
01477
01478
01479   //***********************************************************
01480   //
01481   // GetQualityEvent()
01482   //
01520   HRESULT GetQualityEvent (
01521     [out, string, size_is(bufSize)] aafCharacter *  pQualityEvent,
01522     [in] aafUInt32  bufSize);
01523
01524
01525   //***********************************************************
01526   //
01527   // GetQualityEventBufLen()
01528   //
01546   HRESULT GetQualityEventBufLen (
01547     [out] aafUInt32 *  pBufSize);
01548
01549   //***********************************************************
01550   //
01551   // SetEndOfModulation()
01552   //
01581   HRESULT SetEndOfModulation (
01582     [in, string] aafCharacter_constptr  pEndOfModulation);
01583
01584
01585   //***********************************************************
01586   //
01587   // GetEndOfModulation()
01588   //
01626   HRESULT GetEndOfModulation (
01627     [out, string, size_is(bufSize)] aafCharacter *  pEndOfModulation,
01628     [in] aafUInt32  bufSize);
01629
01630
01631   //***********************************************************
01632   //
01633   // GetEndOfModulationBufLen()
01634   //
01652   HRESULT GetEndOfModulationBufLen (
01653     [out] aafUInt32 *  pBufSize);
01654
01655   //***********************************************************
01656   //
01657   // SetQualityParameter()
01658   //
01687   HRESULT SetQualityParameter (
01688     [in, string] aafCharacter_constptr  pQualityParameter);
01689
01690
01691   //***********************************************************
01692   //
01693   // GetQualityParameter()
01694   //
01732   HRESULT GetQualityParameter (
01733     [out, string, size_is(bufSize)] aafCharacter *  pQualityParameter,
01734     [in] aafUInt32  bufSize);
01735
01736
01737   //***********************************************************
01738   //
01739   // GetQualityParameterBufLen()
01740   //
01758   HRESULT GetQualityParameterBufLen (
01759     [out] aafUInt32 *  pBufSize);
01760
01761   //***********************************************************
01762   //
01763   // SetOperatorComment()
01764   //
01793   HRESULT SetOperatorComment (
01794     [in, string] aafCharacter_constptr  pOperatorComment);
01795
01796
01797   //***********************************************************
01798   //
01799   // GetOperatorComment()
01800   //
01838   HRESULT GetOperatorComment (
01839     [out, string, size_is(bufSize)] aafCharacter *  pOperatorComment,
01840     [in] aafUInt32  bufSize);
01841
01842
01843   //***********************************************************
01844   //
01845   // GetOperatorCommentBufLen()
01846   //
01864   HRESULT GetOperatorCommentBufLen (
01865     [out] aafUInt32 *  pBufSize);
01866
01867   //***********************************************************
01868   //
01869   // SetCueSheet()
01870   //
01899   HRESULT SetCueSheet (
01900     [in, string] aafCharacter_constptr  pCueSheet);
01901
01902
01903   //***********************************************************
01904   //
01905   // GetCueSheet()
01906   //
01944   HRESULT GetCueSheet (
01945     [out, string, size_is(bufSize)] aafCharacter *  pCueSheet,
01946     [in] aafUInt32  bufSize);
01947
01948
01949   //***********************************************************
01950   //
01951   // GetCueSheetBufLen()
01952   //
01970   HRESULT GetCueSheetBufLen (
01971     [out] aafUInt32 *  pBufSize);
01972
01973 }
01974
01975
01976
01977 // ************************
01978 //
01979 // Interface IAAFCDCIDescriptor
01980 //
01981 // ************************
01998
01999
02009 [
02010     object,
02011     uuid(44861703-8AEA-11d2-813C-006097310172),
02012     helpstring("IAAFCDCIDescriptor Interface"),
02013     pointer_default(unique)
02014 ]
02015
02016 interface IAAFCDCIDescriptor : IUnknown
02017 {
02018
02019   //***********************************************************
02020   //
02021   // Initialize()
02022   //
02040   HRESULT Initialize ();
02041
02042
02043   //***********************************************************
02044   //
02045   // SetComponentWidth()
02046   //
02069   HRESULT SetComponentWidth (
02070     [in] aafInt32  ComponentWidth);
02071
02072
02073   //***********************************************************
02074   //
02075   // GetComponentWidth()
02076   //
02104   HRESULT GetComponentWidth (
02105     [out] aafInt32 *  pComponentWidth);
02106
02107
02108   //***********************************************************
02109   //
02110   // SetHorizontalSubsampling()
02111   //
02132   HRESULT SetHorizontalSubsampling (
02133     [in] aafUInt32  HorizontalSubsampling);
02134
02135
02136   //***********************************************************
02137   //
02138   // GetHorizontalSubsampling()
02139   //
02166   HRESULT GetHorizontalSubsampling (
02167     [out] aafUInt32 *  pHorizontalSubsampling);
02168
02169
02170   //***********************************************************
02171   //
02172   // SetVerticalSubsampling()
02173   //
02194   HRESULT SetVerticalSubsampling (
02195     [in] aafUInt32  VerticalSubsampling);
02196
02197
02198   //***********************************************************
02199   //
02200   // GetVerticalSubsampling()
02201   //
02228   HRESULT GetVerticalSubsampling (
02229     [out] aafUInt32 *  pVerticalSubsampling);
02230
02231
02232   //***********************************************************
02233   //
02234   // SetColorSiting()
02235   //
02274   HRESULT SetColorSiting (
02275     [in] aafColorSiting_t  ColorSiting);
02276
02277
02278   //***********************************************************
02279   //
02280   // GetColorSiting()
02281   //
02324   HRESULT GetColorSiting (
02325     [out] aafColorSiting_t *  pColorSiting);
02326
02327
02328   //***********************************************************
02329   //
02330   // SetBlackReferenceLevel()
02331   //
02358   HRESULT SetBlackReferenceLevel (
02359     [in] aafUInt32  BlackReferenceLevel);
02360
02361
02362   //***********************************************************
02363   //
02364   // GetBlackReferenceLevel()
02365   //
02395   HRESULT GetBlackReferenceLevel (
02396     [out] aafUInt32 *  pBlackReferenceLevel);
02397
02398
02399   //***********************************************************
02400   //
02401   // SetWhiteReferenceLevel()
02402   //
02427   HRESULT SetWhiteReferenceLevel (
02428     [in] aafUInt32  WhiteReferenceLevel);
02429
02430
02431   //***********************************************************
02432   //
02433   // GetWhiteReferenceLevel()
02434   //
02461   HRESULT GetWhiteReferenceLevel (
02462     [out] aafUInt32 *  pWhiteReferenceLevel);
02463
02464
02465   //***********************************************************
02466   //
02467   // SetColorRange()
02468   //
02498   HRESULT SetColorRange (
02499     [in] aafUInt32  ColorRange);
02500
02501
02502   //***********************************************************
02503   //
02504   // GetColorRange()
02505   //
02535   HRESULT GetColorRange (
02536     [out] aafUInt32 *  pColorRange);
02537
02538
02539   //***********************************************************
02540   //
02541   // SetPaddingBits()
02542   //
02561   HRESULT SetPaddingBits (
02562     [in] aafInt16  PaddingBits);
02563
02564
02565   //***********************************************************
02566   //
02567   // GetPaddingBits()
02568   //
02591   HRESULT GetPaddingBits (
02592     [out] aafInt16 *  pPaddingBits);
02593
02594
02595
02596
02597
02598
02599 }
02600
02601
02602 // ************************
02603 //
02604 // Interface IAAFCachePageAllocator
02605 //
02606 // ************************
02649
02650
02651 [
02652     object,
02653     uuid(23630652-56E9-4A17-AC31-796FE6E26E80),
02654     helpstring("IAAFCachePageAllocator Interface"),
02655     pointer_default(unique)
02656 ]
02657 interface IAAFCachePageAllocator : IUnknown
02658 {
02659
02660   //***********************************************************
02661   //
02662   // Initialize()
02663   //
02669   HRESULT Initialize (
02670     [in] aafUInt32  pageCount,
02671     [in] aafUInt32  pageSize);
02672
02673   //***********************************************************
02674   //
02675   // Allocate()
02676   //
02681   HRESULT Allocate (
02682     [out] aafMemPtr_t *  pPage);
02683
02684   //***********************************************************
02685   //
02686   // Deallocate()
02687   //
02692   HRESULT Deallocate (
02693     [in] aafMemPtr_t  page);
02694
02695 }
02696
02697
02698
02699 // ************************
02700 //
02701 // Interface IAAFClassDef
02702 //
02703 // ************************
02720 [
02721     object,
02722     uuid(dfbd6525-1d81-11d2-bf96-006097116212),
02723     helpstring("IAAFClassDef Interface"),
02724     pointer_default(unique)
02725 ]
02726 interface IAAFClassDef : IUnknown
02727 {
02728
02729   //***********************************************************
02730   //
02731   // Initialize()
02732   //
02758   HRESULT Initialize (
02759     [in, ref] aafUID_constref  classID,
02760     [in] IAAFClassDef * pParentClass,
02761     [in, string] aafCharacter_constptr  pClassName,
02762     [in] aafBoolean_t  isConcrete);
02763
02764
02765   //***********************************************************
02766   //
02767   // GetPropertyDefs()
02768   //
02787   HRESULT GetPropertyDefs (
02788     [out, retval] IEnumAAFPropertyDefs ** ppEnum);
02789
02790
02791   //***********************************************************
02792   //
02793   // CountPropertyDefs()
02794   //
02812   HRESULT CountPropertyDefs (
02813     [out] aafUInt32 *  pCount);
02814
02815
02816   //***********************************************************
02817   //
02818   // RegisterNewPropertyDef()
02819   //
02867   HRESULT RegisterNewPropertyDef (
02868     [in, ref] aafUID_constref  id,
02869     [in, string] aafCharacter_constptr  pName,
02870     [in] IAAFTypeDef * pTypeDef,
02871     [in] aafBoolean_t  isOptional,
02872     [in] aafBoolean_t  isUniqueIdentifier,
02873     [out] IAAFPropertyDef ** ppPropDef);
02874
02875
02876   //***********************************************************
02877   //
02878   // RegisterOptionalPropertyDef()
02879   //
02916   HRESULT RegisterOptionalPropertyDef (
02917     [in, ref] aafUID_constref  id,
02918     [in, string] aafCharacter_constptr  pName,
02919     [in] IAAFTypeDef * pTypeDef,
02920     [out] IAAFPropertyDef ** ppPropDef);
02921
02922
02923   //***********************************************************
02924   //
02925   // LookupPropertyDef()
02926   //
02953   HRESULT LookupPropertyDef (
02954     [in, ref] aafUID_constref  propID,
02955     [out] IAAFPropertyDef ** ppPropDef);
02956
02957
02958   //***********************************************************
02959   //
02960   // GetName()
02961   //
03002   HRESULT GetName (
03003     [out, string, size_is(bufSize)] aafCharacter *  pName,
03004     [in] aafUInt32  bufSize);
03005
03006
03007   //***********************************************************
03008   //
03009   // GetNameBufLen()
03010   //
03028   HRESULT GetNameBufLen (
03029     [out] aafUInt32 *  pBufSize);
03030
03031
03032   //***********************************************************
03033   //
03034   // GetParent()
03035   //
03055   HRESULT GetParent (
03056     [out, retval] IAAFClassDef ** ppClassDef);
03057
03058
03059   //***********************************************************
03060   //
03061   // IsConcrete()
03062   //
03081   HRESULT IsConcrete (
03082     [out, retval] aafBoolean_t*  pResult);
03083
03084
03085   //***********************************************************
03086   //
03087   // IsRoot()
03088   //
03107   HRESULT IsRoot (
03108     [out, retval] aafBoolean_t*  isRoot);
03109
03110
03111   //***********************************************************
03112   //
03113   // IsUniquelyIdentified()
03114   //
03132   HRESULT IsUniquelyIdentified (
03133     [out, retval] aafBoolean_t*  pIsUniquelyIdentified);
03134
03135
03136   //***********************************************************
03137   //
03138   // GetUniqueIdentifier()
03139   //
03162   HRESULT GetUniqueIdentifier (
03163     [out, retval] IAAFPropertyDef ** ppUniqueIdentifier);
03164
03165
03166   //***********************************************************
03167   //
03168   // CreateInstance()
03169   //
03190   HRESULT CreateInstance(
03191     [in, ref] REFIID riid,
03192     [out, iid_is(riid)] IUnknown ** ppvObject);
03193
03194 }
03195
03196
03197
03198 // ************************
03199 //
03200 // Interface IAAFCodecDef
03201 //
03202 // ************************
03220 [
03221     object,
03222     uuid(AD1BB856-DBB2-11d2-809C-006008143E6F),
03223     helpstring("IAAFCodecDef Interface"),
03224     pointer_default(unique)
03225 ]
03226 interface IAAFCodecDef : IUnknown
03227 {
03228
03229   //***********************************************************
03230   //
03231   // Initialize()
03232   //
03239   HRESULT Initialize (
03240     [in, ref] aafUID_constref  id,
03241     [in, string] aafCharacter_constptr  pName,
03242     [in, string] aafCharacter_constptr  pDescription);
03243
03244
03245   //***********************************************************
03246   //
03247   // IsEssenceKindSupported()
03248   //
03271   HRESULT IsEssenceKindSupported (
03272     [in] IAAFDataDef * pEssenceKind,
03273     [out,retval] aafBoolean_t*  pIsSupported);
03274
03275
03276   //***********************************************************
03277   //
03278   // AddEssenceKind()
03279   //
03300   HRESULT AddEssenceKind (
03301     [in] IAAFDataDef * pEssenceKind);
03302
03303
03304   //***********************************************************
03305   //
03306   // RemoveEssenceKind()
03307   //
03328   HRESULT RemoveEssenceKind (
03329     [in] IAAFDataDef * pEssenceKind);
03330
03331
03332   //***********************************************************
03333   //
03334   // CountEssenceKinds()
03335   //
03352   HRESULT CountEssenceKinds (
03353     [out, retval] aafUInt32 *  pResult);
03354
03355
03356   //***********************************************************
03357   //
03358   // GetEssenceKinds()
03359   //
03389   HRESULT GetEssenceKinds (
03390     [out, retval] IEnumAAFDataDefs ** ppEnum);
03391
03392
03393   //***********************************************************
03394   //
03395   // AreThereFlavours()
03396   //
03422   HRESULT AreThereFlavours (
03423     [out,retval] aafBoolean_t *  pResult);
03424
03425
03426   //***********************************************************
03427   //
03428   // GetFileDescriptorClass()
03429   //
03456   HRESULT GetFileDescriptorClass (
03457     [out] IAAFClassDef ** ppClass);
03458
03459
03460   //***********************************************************
03461   //
03462   // SetFileDescriptorClass()
03463   //
03485   HRESULT SetFileDescriptorClass (
03486     [in] IAAFClassDef * pClass);
03487
03488
03489   //***********************************************************
03490   //
03491   // EnumCodecFlavours()
03492   //
03520   HRESULT EnumCodecFlavours (
03521     [out,retval] IEnumAAFCodecFlavours ** ppEnum);
03522
03523 }
03524
03525
03526
03527 // ************************
03528 //
03529 // Interface IAAFCommentMarker
03530 //
03531 // ************************
03532
03562 [
03563     object,
03564     uuid(e684d78a-b935-11d2-bf9d-00104bc9156d),
03565     helpstring("IAAFCommentMarker Interface"),
03566     pointer_default(unique)
03567 ]
03568 interface IAAFCommentMarker : IUnknown
03569 {
03570
03571
03572   //***********************************************************
03573   //
03574   // GetAnnotation()
03575   //
03596   HRESULT GetAnnotation (
03597     [out,retval] IAAFSourceReference ** ppResult);
03598
03599   //***********************************************************
03600   //
03601   // SetAnnotation()
03602   //
03616   HRESULT SetAnnotation (
03617     [in] IAAFSourceReference * pAnnotation);
03618
03619 }
03620
03621
03622
03623 // ************************
03624 //
03625 // Interface IAAFComponent
03626 //
03627 // ************************
03657 [
03658     object,
03659     uuid(38e6f8a1-2a2c-11d2-8411-00600832acb8),
03660     helpstring("IAAFComponent Interface"),
03661     pointer_default(unique)
03662 ]
03663 interface IAAFComponent : IUnknown
03664 {
03665   //***********************************************************
03666   //
03667   // SetLength()
03668   //
03692   HRESULT SetLength (
03693     [in] aafLength_constref  length);
03694
03695
03696   //***********************************************************
03697   //
03698   // GetLength()
03699   //
03726   HRESULT GetLength (
03727     [retval][out] aafLength_t *  pLength);
03728
03729
03730   //***********************************************************
03731   //
03732   // SetDataDef()
03733   //
03751   HRESULT SetDataDef (
03752     [in] IAAFDataDef * pDataDef);
03753
03754
03755   //***********************************************************
03756   //
03757   // GetDataDef()
03758   //
03778   HRESULT GetDataDef (
03779     [out, retval] IAAFDataDef ** ppDatadef);
03780
03781   //***********************************************************
03782   //
03783   // AppendKLVData()
03784   //
03805   HRESULT AppendKLVData (
03806     [in] IAAFKLVData * pData);
03807
03808
03809   //***********************************************************
03810   //
03811   // CountKLVData()
03812   //
03832   HRESULT CountKLVData (
03833     [out] aafUInt32 *  pNumData);
03834
03835
03836   //***********************************************************
03837   //
03838   // GetKLVData()
03839   //
03861   HRESULT GetKLVData (
03862     [out] IEnumAAFKLVData ** ppEnum);
03863
03864
03865   //***********************************************************
03866   //
03867   // RemoveKLVData()
03868   //
03892   HRESULT RemoveKLVData (
03893     [in] IAAFKLVData * pData);
03894
03895
03896
03897
03898
03899
03900
03901
03902
03903
03904
03905 }
03906
03907
03908
03909 // ************************
03910 //
03911 // Interface IAAFCompositionMob
03912 //
03913 // ************************
03930
03931
03938 [
03939     object,
03940     uuid(91920d63-2a2e-11D2-bfA3-006097116212),
03941     helpstring("IAAFCompositionMob Interface"),
03942     pointer_default(unique)
03943 ]
03944 interface IAAFCompositionMob : IUnknown
03945 {
03946   //***********************************************************
03947   //
03948   // Initialize()
03949   //
03971   HRESULT Initialize (
03972     [in, string] aafCharacter_constptr  pName);
03973
03974
03975   //***********************************************************
03976   //
03977   // GetDefaultFade()
03978   //
04003   HRESULT GetDefaultFade (
04004     [out] aafDefaultFade_t *  pResult);
04005
04006
04007   //***********************************************************
04008   //
04009   // SetDefaultFade()
04010   //
04036   HRESULT SetDefaultFade (
04037     [in] aafLength_t  fadeLength,
04038     [in] aafFadeType_t  fadeType,
04039     [in] aafRational_t  fadeEditUnit);
04040
04041
04042
04043
04044
04045 }
04046
04047
04048 // ************************
04049 //
04050 // Interface IAAFConstantValue
04051 //
04052 // ************************
04071 [
04072     object,
04073     uuid(b8ddc080-2afa-11D2-bfA5-006097116212),
04074     helpstring("IAAFConstantValue Interface"),
04075     pointer_default(unique)
04076 ]
04077 interface IAAFConstantValue : IUnknown
04078 {
04079
04080
04081   //***********************************************************
04082   //
04083   // Initialize()
04084   //
04113   HRESULT Initialize (
04114     [in] IAAFParameterDef * pParameterDef,
04115     [in] aafUInt32  valueSize,
04116     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
04117
04118
04119   //***********************************************************
04120   //
04121   // GetValue()
04122   //
04155   HRESULT GetValue (
04156     [in] aafUInt32  valueSize,
04157     [out, size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  pValue,
04158     [out] aafUInt32*  bytesRead);
04159
04160
04161   //***********************************************************
04162   //
04163   // GetValueBufLen()
04164   //
04186   HRESULT GetValueBufLen (
04187     [out] aafUInt32 *  pLen);
04188
04189   //***********************************************************
04190   //
04191   // GetTypeDefinition()
04192   //
04211   HRESULT GetTypeDefinition (
04212     [out,retval] IAAFTypeDef ** ppTypeDef);
04213
04214   //***********************************************************
04215   //
04216   // SetValue()
04217   //
04240   HRESULT SetValue (
04241     [in] aafUInt32  valueSize,
04242     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
04243
04244 }
04245
04246
04247
04248 // ************************
04249 //
04250 // Interface IAAFContainerDef
04251 //
04252 // ************************
04266
04267
04272 [
04273     object,
04274     uuid(AD1BB858-DBB2-11d2-809C-006008143E6F),
04275     helpstring("IAAFContainerDef Interface"),
04276     pointer_default(unique)
04277 ]
04278 interface IAAFContainerDef : IUnknown
04279 {
04280
04281   //***********************************************************
04282   //
04283   // Initialize()
04284   //
04291   HRESULT Initialize (
04292     [in, ref] aafUID_constref  id,
04293     [in, string] aafCharacter_constptr  pName,
04294     [in, string] aafCharacter_constptr  pDescription);
04295
04296
04297   //***********************************************************
04298   //
04299   // EssenceIsIdentified()
04300   //
04326   HRESULT EssenceIsIdentified (
04327     [out] aafBoolean_t *  pEssenceIsIdentified);
04328
04329
04330   //***********************************************************
04331   //
04332   // SetEssenceIsIdentified()
04333   //
04350   HRESULT SetEssenceIsIdentified (
04351     [in] aafBoolean_t  EssenceIsIdentified);
04352 }
04353
04354
04355
04356 // ************************
04357 //
04358 // Interface IAAFContentStorage
04359 //
04360 // ************************
04361
04362
04366 [
04367     object,
04368     uuid(54D4C482-5F8B-11d2-8073-006008143E6F),
04369     helpstring("IAAFContentStorage Interface"),
04370     pointer_default(unique)
04371 ]
04372
04373
04374
04375 interface IAAFContentStorage : IUnknown
04376 {
04377
04378
04379   //***********************************************************
04380   //
04381   // LookupMob()
04382   //
04408   HRESULT LookupMob (
04409     [in, ref] aafMobID_constref  mobID,
04410     [out,retval] IAAFMob ** ppMob);
04411
04412
04413   //***********************************************************
04414   //
04415   // CountMobs()
04416   //
04438   HRESULT CountMobs (
04439     [in] aafMobKind_t  mobKind,
04440     [out, retval] aafNumSlots_t *  pResult);
04441
04442
04443   //***********************************************************
04444   //
04445   // GetMobs()
04446   //
04472   HRESULT GetMobs (
04473     [in] aafSearchCrit_t *  pSearchCriteria,
04474     [out, retval] IEnumAAFMobs ** ppEnum);
04475
04476
04477   //***********************************************************
04478   //
04479   // AddMob()
04480   //
04505   HRESULT AddMob (
04506     [in] IAAFMob * pMob);
04507
04508
04509   //***********************************************************
04510   //
04511   // RemoveMob()
04512   //
04536   HRESULT RemoveMob (
04537     [in] IAAFMob * pMob);
04538
04539
04540   //***********************************************************
04541   //
04542   // CountEssenceData()
04543   //
04565   HRESULT CountEssenceData (
04566     [out, retval] aafUInt32 *  pResult);
04567
04568
04569   //***********************************************************
04570   //
04571   // IsEssenceDataPresent()
04572   //
04594   HRESULT IsEssenceDataPresent (
04595     [in, ref] aafMobID_constref  fileMobID,
04596     [in] aafFileFormat_t  fmt,
04597     [out,retval] aafBoolean_t *  pResult);
04598
04599
04600   //***********************************************************
04601   //
04602   // EnumEssenceData()
04603   //
04626   HRESULT EnumEssenceData (
04627     [out,retval] IEnumAAFEssenceData ** ppEnum);
04628
04629
04630   //***********************************************************
04631   //
04632   // AddEssenceData()
04633   //
04657   HRESULT AddEssenceData (
04658     [in] IAAFEssenceData * pEssenceData);
04659
04660   //***********************************************************
04661   //
04662   // RemoveEssenceData()
04663   //
04687   HRESULT RemoveEssenceData (
04688     [in] IAAFEssenceData * pEssenceData);
04689
04690   //***********************************************************
04691   //
04692   // LookupEssenceData()
04693   //
04719   HRESULT LookupEssenceData (
04720     [in, ref] aafMobID_constref  mobID,
04721     [out,retval] IAAFEssenceData ** ppEssenceData);
04722
04723 }
04724
04725
04726
04727 // ************************
04728 //
04729 // Interface IAAFControlPoint
04730 //
04731 // ************************
04750 [
04751     object,
04752     uuid(86192db1-2a23-11D2-BFa3-006097116212),
04753     helpstring("IAAFControlPoint Interface"),
04754     pointer_default(unique)
04755 ]
04756 interface IAAFControlPoint : IUnknown
04757 {
04758
04759
04760   //***********************************************************
04761   //
04762   // Initialize()
04763   //
04794   HRESULT Initialize (
04795     [in] IAAFVaryingValue * pVaryingValue,
04796     [in] aafRational_constref  time,
04797     [in] aafUInt32  valueSize,
04798     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
04799
04800   //***********************************************************
04801   //
04802   // GetTime()
04803   //
04830   HRESULT GetTime (
04831     [out,retval] aafRational_t *  pTime);
04832
04833   //***********************************************************
04834   //
04835   // GetEditHint()
04836   //
04863   HRESULT GetEditHint (
04864     [out,retval] aafEditHint_t *  pEditHint);
04865
04866   //***********************************************************
04867   //
04868   // GetValueBufLen()
04869   //
04890   HRESULT GetValueBufLen (
04891     [out] aafUInt32 *  pLen);
04892
04893   //***********************************************************
04894   //
04895   // GetValue()
04896   //
04926   HRESULT GetValue (
04927     [in] aafUInt32  valueSize,
04928     [out, size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  pValue,
04929     [out] aafUInt32*  bytesRead);
04930
04931   //***********************************************************
04932   //
04933   // SetTime()
04934   //
04950   HRESULT SetTime (
04951     [in] aafRational_t  pTime);
04952
04953   //***********************************************************
04954   //
04955   // SetEditHint()
04956   //
04972   HRESULT SetEditHint (
04973     [in] aafEditHint_t  editHint);
04974
04975   //***********************************************************
04976   //
04977   // GetTypeDefinition()
04978   //
04997   HRESULT GetTypeDefinition (
04998     [out,retval] IAAFTypeDef ** ppTypeDef);
04999
05000   //***********************************************************
05001   //
05002   // SetValue()
05003   //
05026   HRESULT SetValue (
05027     [in] aafUInt32  valueSize,
05028     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
05029
05030 }
05031
05032
05033
05034
05035 // ************************
05036 //
05037 // Interface IAAFDataDef
05038 //
05039 // ************************
05047 [
05048     object,
05049     uuid(dfbd6529-1d81-11d2-bf96-006097116212),
05050     helpstring("IAAFDataDef Interface"),
05051     pointer_default(unique)
05052 ]
05053 interface IAAFDataDef : IUnknown
05054 {
05055   //***********************************************************
05056   //
05057   // Initialize()
05058   //
05065   HRESULT Initialize (
05066     [in, ref] aafUID_constref  id,
05067     [in, string] aafCharacter_constptr  pName,
05068     [in, string] aafCharacter_constptr  pDescription);
05069
05070
05071   //***********************************************************
05072   //
05073   // IsPictureKind()
05074   //
05079   HRESULT IsPictureKind (
05080     [retval,out] aafBoolean_t *  bIsPictureKind);
05081
05082
05083   //***********************************************************
05084   //
05085   // IsMatteKind()
05086   //
05091   HRESULT IsMatteKind (
05092     [retval,out] aafBoolean_t *  bIsMatteKind);
05093
05094
05095   //***********************************************************
05096   //
05097   // IsPictureWithMatteKind()
05098   //
05103   HRESULT IsPictureWithMatteKind (
05104     [retval,out] aafBoolean_t *  bIsPictureWithMatteKind);
05105
05106
05107   //***********************************************************
05108   //
05109   // IsSoundKind()
05110   //
05115   HRESULT IsSoundKind (
05116     [retval,out] aafBoolean_t *  bIsSoundKind);
05117
05118
05119   //***********************************************************
05120   //
05121   // DoesDataDefConvertTo()
05122   //
05130   HRESULT DoesDataDefConvertTo (
05131     [in] IAAFDataDef * id,
05132     [retval, out] aafBoolean_t *  bDoesConvertTo);
05133
05134
05135   //***********************************************************
05136   //
05137   // IsDataDefOf()
05138   //
05146   HRESULT IsDataDefOf (
05147     [in] IAAFDataDef * pDataDef,
05148     [retval, out] aafBoolean_t *  bIsDataDefOf);
05149
05150
05151   //***********************************************************
05152   //
05153   // DoesDataDefConvertFrom()
05154   //
05162   HRESULT DoesDataDefConvertFrom (
05163     [in] IAAFDataDef * pDataDef,
05164     [retval, out] aafBoolean_t *  bDoesConvertFrom);
05165
05166
05167
05168
05169
05170
05171
05172 }
05173
05174
05175 // ************************
05176 //
05177 // Interface IAAFDataEssenceDescriptor
05178 //
05179 // ************************
05181
05195 [
05196     object,
05197     uuid(28aef97c-5127-4435-98c8-baf906b5a6a9),
05198     helpstring("IAAFDataEssenceDescriptor Interface"),
05199     pointer_default(unique)
05200 ]
05201
05202 interface IAAFDataEssenceDescriptor : IUnknown
05203 {
05204
05205
05206
05207   //***********************************************************
05208   //
05209   // Initialize()
05210   //
05228   HRESULT Initialize ();
05229
05230   //***********************************************************
05231   //
05232   // SetDataEssenceCoding()
05233   //
05247   HRESULT SetDataEssenceCoding (
05248     [in] aafUID_constref  dataEssenceCoding);
05249
05250
05251   //***********************************************************
05252   //
05253   // GetDataEssenceCoding()
05254   //
05274   HRESULT GetDataEssenceCoding (
05275     [out] aafUID_t *  pDataEssenceCoding);
05276
05277 }
05278
05279
05280
05281 // ************************
05282 //
05283 // Interface IAAFDefObject
05284 //
05285 // ************************
05309 [
05310     object,
05311     uuid(dfbd6527-1d81-11d2-bf96-006097116212),
05312     helpstring("IAAFDefObject Interface"),
05313     pointer_default(unique)
05314 ]
05315 interface IAAFDefObject : IUnknown
05316 {
05317
05318   //***********************************************************
05319   //
05320   // SetName()
05321   //
05350   HRESULT SetName (
05351     [in, string] aafCharacter_constptr  pName);
05352
05353
05354   //***********************************************************
05355   //
05356   // GetName()
05357   //
05395   HRESULT GetName (
05396     [out, string, size_is(bufSize)] aafCharacter *  pName,
05397     [in] aafUInt32  bufSize);
05398
05399
05400   //***********************************************************
05401   //
05402   // GetNameBufLen()
05403   //
05421   HRESULT GetNameBufLen (
05422     [out] aafUInt32 *  pBufSize);
05423
05424
05425   //***********************************************************
05426   //
05427   // SetDescription()
05428   //
05457   HRESULT SetDescription (
05458     [in, string] aafCharacter_constptr  pDescription);
05459
05460
05461   //***********************************************************
05462   //
05463   // GetDescription()
05464   //
05502   HRESULT GetDescription (
05503     [out, string, size_is(bufSize)] aafCharacter *  pDescription,
05504     [in] aafUInt32  bufSize);
05505
05506
05507   //***********************************************************
05508   //
05509   // GetDescriptionBufLen()
05510   //
05528   HRESULT GetDescriptionBufLen (
05529     [out] aafUInt32 *  pBufSize);
05530
05531
05532   //***********************************************************
05533   //
05534   // Initialize()
05535   //
05541   HRESULT Initialize (
05542     [in, ref] aafUID_constref  id,
05543     [in, string] aafCharacter_constptr  pName);
05544
05545
05546   //***********************************************************
05547   //
05548   // GetAUID()
05549   //
05554   HRESULT GetAUID (
05555     [retval,out] aafUID_t *  pAuid);
05556
05557 }
05558
05559
05560
05561 // ************************
05562 //
05563 // Interface IAAFDescriptiveClip
05564 //
05565 // ************************
05567
05594 [
05595     object,
05596     uuid(2e777356-b7e4-43ba-bfd4-f964d90bc5e3),
05597     helpstring("IAAFDescriptiveClip Interface"),
05598     pointer_default(unique)
05599 ]
05600
05601 interface IAAFDescriptiveClip : IUnknown
05602 {
05603
05604
05605   //***********************************************************
05606   //
05607   // Initialize()
05608   //
05633   HRESULT Initialize (
05634     [in] IAAFDataDef * pDataDef,
05635     [in] aafLength_constref  length,
05636     [in] aafSourceRef_t  sourceRef);
05637
05638
05639   //***********************************************************
05640   //
05641   // CountDescribedSlotIDs()
05642   //
05667   HRESULT CountDescribedSlotIDs (
05668     [out, retval] aafUInt32*  pCount);
05669
05670
05671   //***********************************************************
05672   //
05673   // GetDescribedSlotIDs()
05674   //
05708   HRESULT GetDescribedSlotIDs (
05709     [in] aafUInt32  maxDescribedSlotIDCount,
05710     [out, size_is(maxDescribedSlotIDCount)] aafUInt32 *  pDescribedSlotIDs);
05711
05712
05713   //***********************************************************
05714   //
05715   // IsDescribedSlotIDPresent()
05716   //
05743   HRESULT IsDescribedSlotIDPresent (
05744     [in] aafUInt32  DescribedSlotID,
05745     [out,retval] aafBoolean_t*  pIsPresent);
05746
05747
05748   //***********************************************************
05749   //
05750   // AddDescribedSlotID()
05751   //
05772   HRESULT AddDescribedSlotID (
05773     [in] aafUInt32  DescribedSlotID);
05774
05775
05776   //***********************************************************
05777   //
05778   // RemoveDescribedSlotID()
05779   //
05807   HRESULT RemoveDescribedSlotID (
05808     [in] aafUInt32  DescribedSlotID);
05809
05810
05811 }
05812
05813
05814
05815 // ************************
05816 //
05817 // Interface IAAFDescriptiveFramework
05818 //
05819 // ************************
05820
05822
05837 [
05838     object,
05839     uuid(1cded29f-b8f0-437d-abb0-2144dd35b4aa),
05840     helpstring("IAAFDescriptiveFramework Interface"),
05841     pointer_default(unique)
05842 ]
05843 interface IAAFDescriptiveFramework : IUnknown
05844 {
05845
05846
05847 }
05848
05849
05850
05851 // ************************
05852 //
05853 // Interface IAAFDescriptiveMarker
05854 //
05855 // ************************
05856
05858
05888 [
05889     object,
05890     uuid(c377b78e-591f-4ba9-a069-18438c626e34),
05891     helpstring("IAAFDescriptiveMarker Interface"),
05892     pointer_default(unique)
05893 ]
05894
05895 interface IAAFDescriptiveMarker : IUnknown
05896 {
05897
05898
05899   //***********************************************************
05900   //
05901   // Initialize()
05902   //
05915   HRESULT Initialize ();
05916
05917
05918   //***********************************************************
05919   //
05920   // SetDescribedSlotIDs()
05921   //
05937   HRESULT SetDescribedSlotIDs (
05938     [in] aafUInt32  numberElements,
05939     [in] aafUInt32*  pDescribedSlotIDs);
05940
05941
05942   //***********************************************************
05943   //
05944   // GetDescribedSlotIDs()
05945   //
05968   HRESULT GetDescribedSlotIDs (
05969     [in] aafUInt32  numberElements,
05970     [in] aafUInt32*  pDescribedSlotIDs);
05971
05972   //***********************************************************
05973   //
05974   // GetDescribedSlotIDsSize()
05975   //
05988   HRESULT GetDescribedSlotIDsSize (
05989     [out] aafUInt32 *  numberElements);
05990
05991   //***********************************************************
05992   //
05993   // SetDescriptiveFramework()
05994   //
06007   HRESULT SetDescriptiveFramework (
06008     [in] IAAFDescriptiveFramework * pDescriptiveFramework);
06009
06010   //***********************************************************
06011   //
06012   // GetDescriptiveFramework()
06013   //
06026   HRESULT GetDescriptiveFramework (
06027     [out,retval] IAAFDescriptiveFramework ** ppDescriptiveFramework);
06028
06029 }
06030
06031
06032
06033 // ************************
06034 //
06035 // Interface IAAFDescriptiveObject
06036 //
06037 // ************************
06038
06040
06055 [
06056     object,
06057     uuid(08a98e21-8995-4bb9-98d4-166f24a5ac66),
06058     helpstring("IAAFDescriptiveObject Interface"),
06059     pointer_default(unique)
06060 ]
06061
06062 interface IAAFDescriptiveObject : IUnknown
06063 {
06064
06065
06066 }
06067
06068
06069
06070 // ************************
06071 //
06072 // Interface IAAFDictionary
06073 //
06074 // ************************
06090 [
06091     object,
06092     uuid(B1A21398-1A7D-11D2-BF78-00104BC9156D),
06093     helpstring("IAAFDictionary Interface"),
06094     pointer_default(unique)
06095 ]
06096
06097 interface IAAFDictionary : IUnknown
06098 {
06099
06100   //***********************************************************
06101   //
06102   // CreateInstance()
06103   //
06114   HRESULT CreateInstance(
06115     [in, ref] aafUID_constref id,
06116     [in, ref] REFIID riid,
06117     [out, iid_is(riid)] IUnknown ** ppvObject);
06118
06119
06120   //***********************************************************
06121   //
06122   // CreateMetaInstance()
06123   //
06134   HRESULT CreateMetaInstance(
06135     [in, ref] aafUID_constref id,
06136     [in, ref] REFIID riid,
06137     [out, iid_is(riid)] IUnknown ** ppMetaDefinition);
06138
06139
06140
06141   //***********************************************************
06142   //
06143   // RegisterClassDef()
06144   //
06167   HRESULT RegisterClassDef (
06168     [in] IAAFClassDef * pClassDef);
06169
06170
06171   //***********************************************************
06172   //
06173   // LookupClassDef()
06174   //
06198   HRESULT LookupClassDef (
06199     [in, ref] aafUID_constref  classId,
06200     [out,retval] IAAFClassDef ** ppClassDef);
06201
06202
06203   //***********************************************************
06204   //
06205   // GetClassDefs()
06206   //
06224   HRESULT GetClassDefs (
06225     [out,retval] IEnumAAFClassDefs ** ppEnum);
06226
06227
06228   //***********************************************************
06229   //
06230   // CountClassDefs()
06231   //
06252   HRESULT CountClassDefs (
06253     [out, retval] aafUInt32 *  pResult);
06254
06255   //***********************************************************
06256   //
06257   // CreateForwardClassReference()
06258   //
06277   HRESULT CreateForwardClassReference (
06278     [in, ref] aafUID_constref  classId);
06279
06280   //***********************************************************
06281   //
06282   // HasForwardClassReference()
06283   //
06307   HRESULT HasForwardClassReference (
06308     [in, ref] aafUID_constref  classId,
06309     [out,retval] aafBoolean_t *  pResult);
06310
06311   //***********************************************************
06312   //
06313   // RegisterTypeDef()
06314   //
06336   HRESULT RegisterTypeDef (
06337     [in] IAAFTypeDef * pTypeDef);
06338
06339
06340   //***********************************************************
06341   //
06342   // LookupTypeDef()
06343   //
06367   HRESULT LookupTypeDef (
06368     [in, ref] aafUID_constref  typeId,
06369     [out,retval] IAAFTypeDef ** ppTypeDef);
06370
06371
06372   //***********************************************************
06373   //
06374   // GetTypeDefs()
06375   //
06393   HRESULT GetTypeDefs (
06394     [out,retval] IEnumAAFTypeDefs ** ppEnum);
06395
06396
06397   //***********************************************************
06398   //
06399   // CountTypeDefs()
06400   //
06421   HRESULT CountTypeDefs (
06422     [out, retval] aafUInt32 *  pResult);
06423
06424
06425   //***********************************************************
06426   //
06427   // RegisterOpaqueTypeDef()
06428   //
06450   HRESULT RegisterOpaqueTypeDef (
06451     [in] IAAFTypeDef * pTypeDef);
06452
06453
06454   //***********************************************************
06455   //
06456   // LookupOpaqueTypeDef()
06457   //
06481   HRESULT LookupOpaqueTypeDef (
06482     [in, ref] aafUID_constref  typeId,
06483     [out,retval] IAAFTypeDef ** ppTypeDef);
06484
06485
06486   //***********************************************************
06487   //
06488   // GetOpaqueTypeDefs()
06489   //
06507   HRESULT GetOpaqueTypeDefs (
06508     [out,retval] IEnumAAFTypeDefs ** ppEnum);
06509
06510
06511   //***********************************************************
06512   //
06513   // CountOpaqueTypeDefs()
06514   //
06535   HRESULT CountOpaqueTypeDefs (
06536     [out, retval] aafUInt32 *  pResult);
06537
06538   //***********************************************************
06539   //
06540   // RegisterKLVDataKey()
06541   //
06566   HRESULT RegisterKLVDataKey (
06567     [in] aafUID_t  pUID,
06568     [in] IAAFTypeDef * pTypeDef);
06569
06570   //***********************************************************
06571   //
06572   // RegisterDataDef()
06573   //
06578   HRESULT RegisterDataDef (
06579     [in] IAAFDataDef * pDataDef);
06580
06581
06582   //***********************************************************
06583   //
06584   // LookupDataDef()
06585   //
06591   HRESULT LookupDataDef (
06592     [in, ref] aafUID_constref  dataDefinitionId,
06593     [out,retval] IAAFDataDef ** ppDataDef);
06594
06595
06596   //***********************************************************
06597   //
06598   // GetDataDefs()
06599   //
06604   HRESULT GetDataDefs (
06605     [out,retval] IEnumAAFDataDefs ** ppEnum);
06606
06607
06608   //***********************************************************
06609   //
06610   // CountDataDefs()
06611   //
06632   HRESULT CountDataDefs (
06633     [out, retval] aafUInt32 *  pResult);
06634
06635
06636   //***********************************************************
06637   //
06638   // RegisterOperationDef()
06639   //
06644   HRESULT RegisterOperationDef (
06645     [in] IAAFOperationDef * pOperationDef);
06646
06647
06648   //***********************************************************
06649   //
06650   // LookupOperationDef()
06651   //
06657   HRESULT LookupOperationDef (
06658     [in, ref] aafUID_constref  operationId,
06659     [out,retval] IAAFOperationDef ** ppOperationDef);
06660
06661
06662   //***********************************************************
06663   //
06664   // GetOperationDefs()
06665   //
06670   HRESULT GetOperationDefs (
06671     [out,retval] IEnumAAFOperationDefs ** ppEnum);
06672
06673
06674   //***********************************************************
06675   //
06676   // CountOperationDefs()
06677   //
06698   HRESULT CountOperationDefs (
06699     [out, retval] aafUInt32 *  pResult);
06700
06701
06702   //***********************************************************
06703   //
06704   // RegisterParameterDef()
06705   //
06710   HRESULT RegisterParameterDef (
06711     [in] IAAFParameterDef * pParmDef);
06712
06713
06714   //***********************************************************
06715   //
06716   // LookupParameterDef()
06717   //
06723   HRESULT LookupParameterDef (
06724     [in, ref] aafUID_constref  parameterId,
06725     [out,retval] IAAFParameterDef ** ppParmDef);
06726
06727
06728   //***********************************************************
06729   //
06730   // GetParameterDefs()
06731   //
06736   HRESULT GetParameterDefs (
06737     [out,retval] IEnumAAFParameterDefs ** ppEnum);
06738
06739
06740   //***********************************************************
06741   //
06742   // CountParameterDefs()
06743   //
06764   HRESULT CountParameterDefs (
06765     [out, retval] aafUInt32 *  pResult);
06766
06767
06768   //***********************************************************
06769   //
06770   // RegisterCodecDef()
06771   //
06776   HRESULT RegisterCodecDef (
06777     [in] IAAFCodecDef * pParmDef);
06778
06779
06780   //***********************************************************
06781   //
06782   // LookupCodecDef()
06783   //
06789   HRESULT LookupCodecDef (
06790     [in, ref] aafUID_constref  parameterId,
06791     [out,retval] IAAFCodecDef ** ppParmDef);
06792
06793
06794   //***********************************************************
06795   //
06796   // GetCodecDefs()
06797   //
06802   HRESULT GetCodecDefs (
06803     [out,retval] IEnumAAFCodecDefs ** ppEnum);
06804
06805
06806   //***********************************************************
06807   //
06808   // CountCodecDefs()
06809   //
06830   HRESULT CountCodecDefs (
06831     [out, retval] aafUInt32 *  pResult);
06832
06833
06834   //***********************************************************
06835   //
06836   // RegisterContainerDef()
06837   //
06842   HRESULT RegisterContainerDef (
06843     [in] IAAFContainerDef * pParmDef);
06844
06845
06846   //***********************************************************
06847   //
06848   // LookupContainerDef()
06849   //
06855   HRESULT LookupContainerDef (
06856     [in, ref] aafUID_constref  parameterId,
06857     [out,retval] IAAFContainerDef ** ppParmDef);
06858
06859
06860   //***********************************************************
06861   //
06862   // GetContainerDefs()
06863   //
06868   HRESULT GetContainerDefs (
06869     [out,retval] IEnumAAFContainerDefs ** ppEnum);
06870
06871
06872   //***********************************************************
06873   //
06874   // CountContainerDefs()
06875   //
06896   HRESULT CountContainerDefs (
06897     [out, retval] aafUInt32 *  pResult);
06898
06899
06900   //***********************************************************
06901   //
06902   // RegisterInterpolationDef()
06903   //
06908   HRESULT RegisterInterpolationDef (
06909     [in] IAAFInterpolationDef * pInterpolationDef);
06910
06911
06912   //***********************************************************
06913   //
06914   // LookupInterpolationDef()
06915   //
06921   HRESULT LookupInterpolationDef (
06922     [in, ref] aafUID_constref  parameterId,
06923     [out,retval] IAAFInterpolationDef ** ppInterpolationDef);
06924
06925
06926   //***********************************************************
06927   //
06928   // GetInterpolationDefs()
06929   //
06934   HRESULT GetInterpolationDefs (
06935     [out,retval] IEnumAAFInterpolationDefs ** ppEnum);
06936
06937
06938   //***********************************************************
06939   //
06940   // CountInterpolationDefs()
06941   //
06962   HRESULT CountInterpolationDefs (
06963     [out, retval] aafUInt32 *  pResult);
06964
06965
06966   //***********************************************************
06967   //
06968   // RegisterPluginDef()
06969   //
06974   HRESULT RegisterPluginDef (
06975     [in] IAAFPluginDef * pPlugDef);
06976
06977
06978   //***********************************************************
06979   //
06980   // LookupPluginDef()
06981   //
06987   HRESULT LookupPluginDef (
06988     [in, ref] aafUID_constref  parameterId,
06989     [out,retval] IAAFPluginDef ** ppPlugDef);
06990
06991
06992   //***********************************************************
06993   //
06994   // GetPluginDefs()
06995   //
07000   HRESULT GetPluginDefs (
07001     [out,retval] IEnumAAFPluginDefs ** ppEnum);
07002
07003
07004   //***********************************************************
07005   //
07006   // CountPluginDefs()
07007   //
07028   HRESULT CountPluginDefs (
07029     [out, retval] aafUInt32 *  pResult);
07030
07031
07032
07033
07034
07035
07036
07037
07038
07039
07040
07041
07042
07043
07044
07045
07046
07047
07048
07049
07050
07051
07052
07053
07054 }
07055
07056
07057 // ************************
07058 //
07059 // Interface IAAFDigitalImageDescriptor
07060 //
07061 // ************************
07151
07152
07160 [
07161     object,
07162     uuid(44861701-8AEA-11d2-813C-006097310172),
07163     helpstring("IAAFDigitalImageDescriptor Interface"),
07164     pointer_default(unique)
07165 ]
07166
07167 interface IAAFDigitalImageDescriptor : IUnknown
07168 {
07169
07170   //***********************************************************
07171   //
07172   // SetCompression()
07173   //
07188   HRESULT SetCompression (
07189     [in] aafUID_constref  compression);
07190
07191
07192   //***********************************************************
07193   //
07194   // GetCompression()
07195   //
07215   HRESULT GetCompression (
07216     [out] aafUID_t *  pCompression);
07217
07218
07219   //***********************************************************
07220   //
07221   // SetStoredView()
07222   //
07238   HRESULT SetStoredView (
07239     [in] aafUInt32  StoredHeight,
07240     [in] aafUInt32  StoredWidth);
07241
07242
07243   //***********************************************************
07244   //
07245   // GetStoredView()
07246   //
07268   HRESULT GetStoredView (
07269     [out] aafUInt32 *  pStoredHeight,
07270     [out] aafUInt32 *  pStoredWidth);
07271
07272
07273   //***********************************************************
07274   //
07275   // SetSampledView()
07276   //
07310   HRESULT SetSampledView (
07311     [in] aafUInt32  SampledHeight,
07312     [in] aafUInt32  SampledWidth,
07313     [in] aafInt32  SampledXOffset,
07314     [in] aafInt32  SampledYOffset);
07315
07316
07317   //***********************************************************
07318   //
07319   // GetSampledView()
07320   //
07350   HRESULT GetSampledView (
07351     [out] aafUInt32 *  pSampledHeight,
07352     [out] aafUInt32 *  pSampledWidth,
07353     [out] aafInt32 *  pSampledXOffset,
07354     [out] aafInt32 *  pSampledYOffset);
07355
07356
07357   //***********************************************************
07358   //
07359   // SetDisplayView()
07360   //
07398   HRESULT SetDisplayView (
07399     [in] aafUInt32  DisplayHeight,
07400     [in] aafUInt32  DisplayWidth,
07401     [in] aafInt32  DisplayXOffset,
07402     [in] aafInt32  DisplayYOffset);
07403
07404
07405   //***********************************************************
07406   //
07407   // GetDisplayView()
07408   //
07438   HRESULT GetDisplayView (
07439     [out] aafUInt32 *  pDisplayHeight,
07440     [out] aafUInt32 *  pDisplayWidth,
07441     [out] aafInt32 *  pDisplayXOffset,
07442     [out] aafInt32 *  pDisplayYOffset);
07443
07444
07445   //***********************************************************
07446   //
07447   // SetFrameLayout()
07448   //
07482   HRESULT SetFrameLayout (
07483     [in] aafFrameLayout_t  FrameLayout);
07484
07485
07486   //***********************************************************
07487   //
07488   // GetFrameLayout()
07489   //
07522   HRESULT GetFrameLayout (
07523     [out] aafFrameLayout_t *  pFrameLayout);
07524
07525
07526   //***********************************************************
07527   //
07528   // SetVideoLineMap()
07529   //
07553   HRESULT SetVideoLineMap (
07554     [in] aafUInt32  numberElements,
07555     [in, size_is(numberElements)] aafInt32 *  pVideoLineMap);
07556
07557
07558   //***********************************************************
07559   //
07560   // GetVideoLineMap()
07561   //
07593   HRESULT GetVideoLineMap (
07594     [in] aafUInt32  numberElements,
07595     [out, size_is(numberElements)] aafInt32 *  pVideoLineMap);
07596
07597
07598   //***********************************************************
07599   //
07600   // GetVideoLineMapSize()
07601   //
07619   HRESULT GetVideoLineMapSize (
07620     [out] aafUInt32 *  pNumberElements);
07621
07622
07623   //***********************************************************
07624   //
07625   // SetImageAspectRatio()
07626   //
07644   HRESULT SetImageAspectRatio (
07645     [in] aafRational_t  ImageAspectRatio);
07646
07647
07648   //***********************************************************
07649   //
07650   // GetImageAspectRatio()
07651   //
07671   HRESULT GetImageAspectRatio (
07672     [out] aafRational_t *  pImageAspectRatio);
07673
07674
07675   //***********************************************************
07676   //
07677   // SetAlphaTransparency()
07678   //
07703   HRESULT SetAlphaTransparency (
07704     [in] aafAlphaTransparency_t  AlphaTransparency);
07705
07706
07707   //***********************************************************
07708   //
07709   // GetAlphaTransparency()
07710   //
07732   HRESULT GetAlphaTransparency (
07733     [out] aafAlphaTransparency_t *  pAlphaTransparency);
07734
07735
07736   //***********************************************************
07737   //
07738   // SetGamma()
07739   //
07755   HRESULT SetGamma (
07756     [in] aafUID_t  Gamma);
07757
07758
07759   //***********************************************************
07760   //
07761   // GetGamma()
07762   //
07780   HRESULT GetGamma (
07781     [out] aafUID_t *  pGamma);
07782
07783
07784   //***********************************************************
07785   //
07786   // SetImageAlignmentFactor()
07787   //
07807   HRESULT SetImageAlignmentFactor (
07808     [in] aafUInt32  ImageAlignmentFactor);
07809
07810
07811   //***********************************************************
07812   //
07813   // GetImageAlignmentFactor()
07814   //
07837   HRESULT GetImageAlignmentFactor (
07838     [out] aafUInt32 *  pImageAlignmentFactor);
07839
07840
07841
07842
07843
07844
07845
07846
07847
07848
07849
07850
07851
07852
07853
07854
07855
07856
07857
07858
07859
07860
07861 }
07862
07863
07864 // ************************
07865 //
07866 // Interface IAAFEdgecode
07867 //
07868 // ************************
07869
07876 [
07877     object,
07878     uuid(38e6f8a4-2a2c-11d2-8411-00600832acb8),
07879     helpstring("IAAFEdgecode Interface"),
07880     pointer_default(unique)
07881 ]
07882 interface IAAFEdgecode : IUnknown
07883 {
07884
07885
07886   //***********************************************************
07887   //
07888   // Initialize()
07889   //
07898   HRESULT Initialize (
07899     [in] aafLength_t    length  ,
07900     [in] aafEdgecode_t  edgecode);
07901
07902   //***********************************************************
07903   //
07904   // GetEdgecode()
07905   //
07911   HRESULT GetEdgecode (
07912     [out] aafEdgecode_t *  edgecode);
07913
07914 }
07915
07916
07917
07918 // ************************
07919 //
07920 // Interface IAAFEssenceAccess
07921 //
07922 // ************************
07923
07946 [
07947     object,
07948     uuid(aed97eb0-2bc8-11D2-bfaa-006097116212),
07949     helpstring("IAAFEssenceAccess Interface"),
07950     pointer_default(unique)
07951 ]
07952 interface IAAFEssenceAccess : IUnknown
07953 {
07954
07955
07956   //***********************************************************
07957   //
07958   // SetEssenceCodecFlavour()
07959   //
07967   HRESULT SetEssenceCodecFlavour (
07968     [in, ref] aafUID_constref  flavour);
07969
07970
07971   //***********************************************************
07972   //
07973   // WriteSamples()
07974   //
07993   HRESULT WriteSamples (
07994     [in] aafUInt32  nSamples,
07995     [in] aafUInt32  buflen,
07996     [in,size_is(buflen)] aafDataBuffer_t  buffer,
07997     [out, ref] aafUInt32 *  samplesWritten,
07998     [out, ref] aafUInt32 *  bytesWritten);
07999
08000
08001   //***********************************************************
08002   //
08003   // GetLargestSampleSize()
08004   //
08017   HRESULT GetLargestSampleSize (
08018     [in] IAAFDataDef * pDataDef,
08019     [out] aafLength_t*  maxSize);
08020
08021
08022   //***********************************************************
08023   //
08024   // GetIndexedSampleSize()
08025   //
08044   HRESULT GetIndexedSampleSize (
08045     [in] IAAFDataDef * pDataDef,
08046     [in] aafPosition_t  frameNum,
08047     [out] aafLength_t*  frameSize);
08048
08049
08050   //***********************************************************
08051   //
08052   // SetTransformParameters()
08053   //
08069   HRESULT SetTransformParameters (
08070     [in] IAAFEssenceFormat * op);
08071
08072
08073   //***********************************************************
08074   //
08075   // CountSamples()
08076   //
08085   HRESULT CountSamples (
08086     [in] IAAFDataDef * pDataDef,
08087     [out] aafLength_t *  result);
08088
08089
08090   //***********************************************************
08091   //
08092   // ReadSamples()
08093   //
08115   HRESULT ReadSamples (
08116     [in] aafUInt32  nSamples,
08117     [in] aafUInt32  buflen,
08118     [out, size_is(buflen),length_is(*bytesRead)] aafDataBuffer_t  buffer,
08119     [out, ref] aafUInt32 *  samplesRead,
08120     [out, ref] aafUInt32 *  bytesRead);
08121
08122
08123   //***********************************************************
08124   //
08125   // Seek()
08126   //
08140   HRESULT Seek (
08141     [in] aafPosition_t  sampleFrameNum);
08142
08143
08144   //***********************************************************
08145   //
08146   // GetFileFormat()
08147   //
08154   HRESULT GetFileFormat (
08155     [in] IAAFEssenceFormat * opsTemplate,
08156     [out] IAAFEssenceFormat ** opsResult);
08157
08158
08159   //***********************************************************
08160   //
08161   // GetFileFormatParameterList()
08162   //
08168   HRESULT GetFileFormatParameterList (
08169     [out] IAAFEssenceFormat ** ops);
08170
08171
08172   //***********************************************************
08173   //
08174   // GetEmptyFileFormat()
08175   //
08181   HRESULT GetEmptyFileFormat (
08182     [out] IAAFEssenceFormat ** ops);
08183
08184
08185   //***********************************************************
08186   //
08187   // PutFileFormat()
08188   //
08194   HRESULT PutFileFormat (
08195     [in] IAAFEssenceFormat * ops);
08196
08197
08198   //***********************************************************
08199   //
08200   // GetCodecName()
08201   //
08218   HRESULT GetCodecName (
08219     [in] aafUInt32  namelen,
08220     [out,size_is(namelen)] aafCharacter *  name);
08221
08222
08223   //***********************************************************
08224   //
08225   // GetCodecID()
08226   //
08236   HRESULT GetCodecID (
08237     [out] aafCodecID_t *  codecID);
08238
08239
08240   //***********************************************************
08241   //
08242   // CompleteWrite()
08243   //
08253   HRESULT CompleteWrite ();
08254
08255
08256
08257
08258
08259 }
08260
08261
08262 // ************************
08263 //
08264 // Interface IAAFEssenceData
08265 //
08266 // ************************
08267
08294 [
08295     object,
08296     uuid(6a33f4e2-8ed6-11d2-bf9d-00104bc9156d),
08297     helpstring("IAAFEssenceData Interface"),
08298     pointer_default(unique)
08299 ]
08300 interface IAAFEssenceData : IUnknown
08301 {
08302
08303   //***********************************************************
08304   //
08305   // Initialize()
08306   //
08328   HRESULT Initialize (
08329     [in] IAAFSourceMob * pFileMob);
08330
08331   //***********************************************************
08332   //
08333   // Write()
08334   //
08341   HRESULT Write (
08342     [in] aafUInt32  bytes,
08343     [out, size_is(bytes)] aafDataBuffer_t  buffer,
08344     [out,ref] aafUInt32 *  bytesWritten);
08345
08346
08347   //***********************************************************
08348   //
08349   // Read()
08350   //
08357   HRESULT Read (
08358     [in] aafUInt32  bytes,
08359     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
08360     [out,ref] aafUInt32 *  bytesRead);
08361
08362
08363   //***********************************************************
08364   //
08365   // SetPosition()
08366   //
08371   HRESULT SetPosition (
08372     [in] aafPosition_t  offset);
08373
08374
08375   //***********************************************************
08376   //
08377   // GetPosition()
08378   //
08383   HRESULT GetPosition (
08384     [out] aafPosition_t*  pOffset);
08385
08386
08387   //***********************************************************
08388   //
08389   // GetSize()
08390   //
08395   HRESULT GetSize (
08396     [out] aafLength_t *  pSize );
08397
08398
08399   //***********************************************************
08400   //
08401   // SetFileMob()
08402   //
08424   HRESULT SetFileMob (
08425     [in] IAAFSourceMob * pFileMob);
08426
08427
08428   //***********************************************************
08429   //
08430   // GetFileMob()
08431   //
08454   HRESULT GetFileMob (
08455     [in] IAAFSourceMob ** ppFileMob);
08456
08457
08458   //***********************************************************
08459   //
08460   // GetFileMobID()
08461   //
08468   HRESULT GetFileMobID (
08469     [out] aafMobID_t *  pFileMobID);
08470
08471
08472
08473
08474
08475
08476
08477 }
08478
08479
08480 // ************************
08481 //
08482 // Interface IAAFEssenceDescriptor
08483 //
08484 // ************************
08509 [
08510     object,
08511     uuid(94659783-2a3c-11D2-bfA4-006097116212),
08512     helpstring("IAAFEssenceDescriptor Interface"),
08513     pointer_default(unique)
08514 ]
08515 interface IAAFEssenceDescriptor : IUnknown
08516 {
08517
08518   //***********************************************************
08519   //
08520   // CountLocators()
08521   //
08543   HRESULT CountLocators (
08544     [out] aafUInt32 *  pResult);
08545
08546
08547   //***********************************************************
08548   //
08549   // AppendLocator()
08550   //
08572   HRESULT AppendLocator (
08573     [in] IAAFLocator * pLocator);
08574
08575
08576   //***********************************************************
08577   //
08578   // PrependLocator()
08579   //
08601   HRESULT PrependLocator (
08602     [in] IAAFLocator * pLocator);
08603
08604
08605   //***********************************************************
08606   //
08607   // InsertLocatorAt()
08608   //
08637   HRESULT InsertLocatorAt (
08638     [in] aafUInt32  index,
08639     [in] IAAFLocator * pLocator);
08640
08641
08642   //***********************************************************
08643   //
08644   // GetLocatorAt()
08645   //
08671   HRESULT GetLocatorAt (
08672     [in] aafUInt32  index,
08673     [out, retval] IAAFLocator ** ppLocator);
08674
08675
08676   //***********************************************************
08677   //
08678   // RemoveLocatorAt()
08679   //
08702   HRESULT RemoveLocatorAt (
08703     [in] aafUInt32  index);
08704
08705
08706   //***********************************************************
08707   //
08708   // GetLocators()
08709   //
08730   HRESULT GetLocators (
08731     [out] IEnumAAFLocators ** ppEnum);
08732 }
08733
08734
08735
08736 // ************************
08737 //
08738 // Interface IAAFEssenceFormat
08739 //
08740 // ************************
08763
08764
08765 [
08766     object,
08767     uuid(34C2DC82-904C-11d2-8088-006008143E6F),
08768     helpstring("IAAFEssenceFormat Interface"),
08769     pointer_default(unique)
08770 ]
08771 interface IAAFEssenceFormat : IUnknown
08772 {
08773
08774   //***********************************************************
08775   //
08776   // AddFormatSpecifier()
08777   //
08790   HRESULT AddFormatSpecifier (
08791     [in] aafUID_constref  essenceFormatCode,
08792     [in] aafInt32  valueSize,
08793     [in, size_is(valueSize)] aafDataBuffer_t  value);
08794
08795
08796   //***********************************************************
08797   //
08798   // GetFormatSpecifier()
08799   //
08812   HRESULT GetFormatSpecifier (
08813     [in] aafUID_constref  essenceFormatCode,
08814     [in] aafInt32  valueSize,
08815     [out, size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  value,
08816     [out] aafInt32*  bytesRead);
08817
08818
08819   //***********************************************************
08820   //
08821   // NumFormatSpecifiers()
08822   //
08828   HRESULT NumFormatSpecifiers (
08829     [out] aafInt32*  numSpecifiers);
08830
08831
08832   //***********************************************************
08833   //
08834   // GetIndexedFormatSpecifier()
08835   //
08845   HRESULT GetIndexedFormatSpecifier (
08846     [in] aafInt32  index,
08847     [out] aafUID_t*  essenceFormatCode,
08848     [in] aafInt32  valueSize,
08849     [out, size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  value,
08850     [out] aafInt32*  bytesRead);
08851 }
08852
08853
08854
08855 // ************************
08856 //
08857 // Interface IAAFEssenceGroup
08858 //
08859 // ************************
08882 [
08883     object,
08884     uuid(e58a8567-2a3e-11D2-bfa4-006097116212),
08885     helpstring("IAAFEssenceGroup Interface"),
08886     pointer_default(unique)
08887 ]
08888 interface IAAFEssenceGroup : IUnknown
08889 {
08890
08891   //***********************************************************
08892   //
08893   // SetStillFrame()
08894   //
08913   HRESULT SetStillFrame (
08914     [in] IAAFSourceClip * pStillFrame);
08915
08916
08917   //***********************************************************
08918   //
08919   // GetStillFrame()
08920   //
08938   HRESULT GetStillFrame (
08939     [out] IAAFSourceClip ** ppStillFrame);
08940
08941
08942   //***********************************************************
08943   //
08944   // AppendChoice()
08945   //
08965   HRESULT AppendChoice (
08966     [in] IAAFSegment * pChoice);
08967
08968
08969   //***********************************************************
08970   //
08971   // PrependChoice()
08972   //
08992   HRESULT PrependChoice (
08993     [in] IAAFSegment * pChoice);
08994
08995
08996   //***********************************************************
08997   //
08998   // InsertChoiceAt()
08999   //
09028   HRESULT InsertChoiceAt (
09029     [in] aafUInt32  index,
09030     [in] IAAFSegment * pChoice);
09031
09032
09033   //***********************************************************
09034   //
09035   // CountChoices()
09036   //
09057   HRESULT CountChoices (
09058     [out] aafUInt32*   pCount);
09059
09060
09061   //***********************************************************
09062   //
09063   // GetChoiceAt()
09064   //
09088   HRESULT GetChoiceAt (
09089     [in] aafUInt32  index,
09090     [out] IAAFSegment  ** ppChoice);
09091
09092
09093   //***********************************************************
09094   //
09095   // RemoveChoiceAt()
09096   //
09122   HRESULT RemoveChoiceAt (
09123     [in] aafUInt32  index);
09124 }
09125
09126
09127
09128 // ************************
09129 //
09130 // Interface IAAFEvent
09131 //
09132 // ************************
09133
09162 [
09163     object,
09164     uuid(e684d790-b935-11d2-bf9d-00104bc9156d),
09165     helpstring("IAAFEvent Interface"),
09166     pointer_default(unique)
09167 ]
09168 interface IAAFEvent : IUnknown
09169 {
09170
09171
09172   //***********************************************************
09173   //
09174   // GetPosition()
09175   //
09196   HRESULT GetPosition (
09197     [out,retval] aafPosition_t *  pPosition);
09198
09199   //***********************************************************
09200   //
09201   // SetPosition()
09202   //
09217   HRESULT SetPosition (
09218     [in] aafPosition_t  Position);
09219
09220
09221   //***********************************************************
09222   //
09223   // SetComment()
09224   //
09253   HRESULT SetComment (
09254     [in, string] aafCharacter_constptr  pComment);
09255
09256
09257   //***********************************************************
09258   //
09259   // GetComment()
09260   //
09298   HRESULT GetComment (
09299     [out, string, size_is(bufSize)] aafCharacter *  pComment,
09300     [in] aafUInt32  bufSize);
09301
09302
09303   //***********************************************************
09304   //
09305   // GetCommentBufLen()
09306   //
09324   HRESULT GetCommentBufLen (
09325     [out] aafUInt32 *  pBufSize);
09326
09327 }
09328
09329
09330
09331 // ************************
09332 //
09333 // Interface IAAFEventMobSlot
09334 //
09335 // ************************
09336
09345
09346
09352 [
09353     object,
09354     uuid(e684d766-b935-11d2-bf9d-00104bc9156d),
09355     helpstring("IAAFEventMobSlot Interface"),
09356     pointer_default(unique)
09357 ]
09358 interface IAAFEventMobSlot : IUnknown
09359 {
09360   //***********************************************************
09361   //
09362   // GetEditRate()
09363   //
09384   HRESULT GetEditRate (
09385     [out,retval] aafRational_t *  pEditRate);
09386
09387
09388   //***********************************************************
09389   //
09390   // SetEditRate()
09391   //
09412   HRESULT SetEditRate (
09413     [in] aafRational_t *  pEditRate);
09414
09415
09416
09417
09418
09419
09420
09421
09422 }
09423
09424
09425 // ************************
09426 //
09427 // Interface IAAFFile
09428 //
09429 // ************************
09451 [
09452     object,
09453     uuid(9346ACD3-2713-11d2-8035-006008143E6F),
09454     helpstring("IAAFFile Interface"),
09455     pointer_default(unique)
09456 ]
09457 interface IAAFFile : IUnknown
09458 {
09459
09460   //***********************************************************
09461   //
09462   // Open()
09463   //
09481   HRESULT Open ();
09482
09483
09484   //***********************************************************
09485   //
09486   // SaveCopyAs()
09487   //
09513   HRESULT SaveCopyAs (
09514     [in] IAAFFile * pDestFile);
09515
09516
09517   //***********************************************************
09518   //
09519   // GetHeader()
09520   //
09555   HRESULT GetHeader (
09556     [out, retval] IAAFHeader ** ppHeader);
09557
09558
09559   //***********************************************************
09560   //
09561   // GetRevision()
09562   //
09587   HRESULT GetRevision (
09588     [out, retval] aafFileRev_t *  pRev);
09589
09590
09591   //***********************************************************
09592   //
09593   // Save()
09594   //
09620   HRESULT Save ();
09621
09622
09623   //***********************************************************
09624   //
09625   // Close()
09626   //
09652   HRESULT Close ();
09653
09654   //***********************************************************
09655   //
09656   // GetDictionary()
09657   //
09680   HRESULT GetDictionary (
09681     [out, retval] IAAFDictionary ** ppDictionary);
09682
09683 }
09684
09685
09686
09687 // ************************
09688 //
09689 // Interface IAAFFileDescriptor
09690 //
09691 // ************************
09715
09716
09722 [
09723     object,
09724     uuid(e58a8561-2a3e-11D2-bfa4-006097116212),
09725     helpstring("IAAFFileDescriptor Interface"),
09726     pointer_default(unique)
09727 ]
09728 interface IAAFFileDescriptor : IUnknown
09729 {
09730   //***********************************************************
09731   //
09732   // SetLength()
09733   //
09747   HRESULT SetLength (
09748     [in] aafLength_t  length);
09749
09750
09751   //***********************************************************
09752   //
09753   // GetLength()
09754   //
09774   HRESULT GetLength (
09775     [out] aafLength_t *  pLength);
09776
09777
09778   //***********************************************************
09779   //
09780   // SetCodecDef()
09781   //
09795   HRESULT SetCodecDef (
09796     [in] IAAFCodecDef * codecDef);
09797
09798
09799   //***********************************************************
09800   //
09801   // GetCodecDef()
09802   //
09828   HRESULT GetCodecDef (
09829     [out] IAAFCodecDef ** pCodecDef);
09830
09831
09832   //***********************************************************
09833   //
09834   // SetSampleRate()
09835   //
09850   HRESULT SetSampleRate (
09851     [in] aafRational_constref  rate);
09852
09853
09854   //***********************************************************
09855   //
09856   // GetSampleRate()
09857   //
09878   HRESULT GetSampleRate (
09879     [out] aafRational_t*  pRate);
09880
09881
09882   //***********************************************************
09883   //
09884   // SetContainerFormat()
09885   //
09901   HRESULT SetContainerFormat (
09902     [in] IAAFContainerDef * format);
09903
09904
09905   //***********************************************************
09906   //
09907   // GetContainerFormat()
09908   //
09934   HRESULT GetContainerFormat (
09935     [out] IAAFContainerDef ** pFormat);
09936
09937
09938
09939
09940
09941 }
09942
09943
09944 // ************************
09945 //
09946 // Interface IAAFFileEncoding
09947 //
09948 // ************************
09962
09963
09964 [
09965     object,
09966     uuid(56904725-a95c-40f4-a746-8754e7d16f6d),
09967     helpstring("IAAFFileEncoding Interface"),
09968     pointer_default(unique)
09969 ]
09970 interface IAAFFileEncoding : IUnknown
09971 {
09972
09973   //***********************************************************
09974   //
09975   // GetName()
09976   //
10014   HRESULT GetName (
10015     [out, string, size_is(bufSize)] aafCharacter *  pName,
10016     [in] aafUInt32  bufSize);
10017
10018
10019   //***********************************************************
10020   //
10021   // GetNameBufLen()
10022   //
10040   HRESULT GetNameBufLen (
10041     [out] aafUInt32 *  pBufSize);
10042
10043
10044   //***********************************************************
10045   //
10046   // GetDescription()
10047   //
10085   HRESULT GetDescription (
10086     [out, string, size_is(bufSize)] aafCharacter *  pDescription,
10087     [in] aafUInt32  bufSize);
10088
10089
10090   //***********************************************************
10091   //
10092   // GetDescriptionBufLen()
10093   //
10111   HRESULT GetDescriptionBufLen (
10112     [out] aafUInt32 *  pBufSize);
10113
10114
10115
10116   //***********************************************************
10117   //
10118   // GetFileKind()
10119   //
10143   HRESULT GetFileKind (
10144     [out] aafUID_t *  pFileKind);
10145
10146 }
10147
10148
10149
10150 // ************************
10151 //
10152 // Interface IAAFFiller
10153 //
10154 // ************************
10177 [
10178     object,
10179     uuid(38e6f8a9-2a2c-11d2-8411-00600832acb8),
10180     helpstring("IAAFFiller Interface"),
10181     pointer_default(unique)
10182 ]
10183
10184 interface IAAFFiller : IUnknown
10185 {
10186
10187   //***********************************************************
10188   //
10189   // Initialize()
10190   //
10218   HRESULT Initialize (
10219     [in] IAAFDataDef * pDataDef,
10220     [in] aafLength_t  length);
10221 }
10222
10223
10224
10225 // ************************
10226 //
10227 // Interface IAAFFilmDescriptor
10228 //
10229 // ************************
10247 [
10248     object,
10249     uuid(e58a8563-2a3e-11D2-bfa4-006097116212),
10250     helpstring("IAAFFilmDescriptor Interface"),
10251     pointer_default(unique)
10252 ]
10253 interface IAAFFilmDescriptor : IUnknown
10254 {
10255
10256   //***********************************************************
10257   //
10258   // SetFilmManufacturer()
10259   //
10288   HRESULT SetFilmManufacturer (
10289     [in, string] aafCharacter_constptr  pFilmManufacturer);
10290
10291
10292   //***********************************************************
10293   //
10294   // GetFilmManufacturer()
10295   //
10333   HRESULT GetFilmManufacturer (
10334     [out, string, size_is(bufSize)] aafCharacter *  pFilmManufacturer,
10335     [in] aafUInt32  bufSize);
10336
10337
10338   //***********************************************************
10339   //
10340   // GetFilmManufacturerBufLen()
10341   //
10359   HRESULT GetFilmManufacturerBufLen (
10360     [out] aafUInt32 *  pBufSize);
10361
10362
10363   //***********************************************************
10364   //
10365   // SetFilmModel()
10366   //
10395   HRESULT SetFilmModel (
10396     [in, string] aafCharacter_constptr  pFilmModel);
10397
10398
10399   //***********************************************************
10400   //
10401   // GetFilmModel()
10402   //
10440   HRESULT GetFilmModel (
10441     [out, string, size_is(bufSize)] aafCharacter *  pFilmModel,
10442     [in] aafUInt32  bufSize);
10443
10444
10445   //***********************************************************
10446   //
10447   // GetFilmModelBufLen()
10448   //
10466   HRESULT GetFilmModelBufLen (
10467     [out] aafUInt32 *  pBufSize);
10468
10469
10470   //***********************************************************
10471   //
10472   // GetFilmFormat()
10473   //
10500   HRESULT GetFilmFormat (
10501     [out] aafFilmType_t*  pFilmFormat);
10502
10503
10504   //***********************************************************
10505   //
10506   // GetFrameRate()
10507   //
10528   HRESULT GetFrameRate (
10529     [out] aafUInt32*  pRate);
10530
10531
10532   //***********************************************************
10533   //
10534   // GetPerfPerFrame()
10535   //
10556   HRESULT GetPerfPerFrame (
10557     [out] aafUInt8*  pPerfPerFrame);
10558
10559
10560   //***********************************************************
10561   //
10562   // GetFilmAspectRatio()
10563   //
10584   HRESULT GetFilmAspectRatio (
10585     [out] aafRational_t*  pAspectRatio);
10586
10587
10588   //***********************************************************
10589   //
10590   // SetFilmFormat()
10591   //
10617   HRESULT SetFilmFormat (
10618     [in] aafFilmType_t  filmFormat);
10619
10620
10621   //***********************************************************
10622   //
10623   // SetFrameRate()
10624   //
10639   HRESULT SetFrameRate (
10640     [in] aafUInt32  rate);
10641
10642
10643   //***********************************************************
10644   //
10645   // SetPerfPerFrame()
10646   //
10661   HRESULT SetPerfPerFrame (
10662     [in] aafUInt8  perfPerFrame);
10663
10664
10665   //***********************************************************
10666   //
10667   // SetFilmAspectRatio()
10668   //
10683   HRESULT SetFilmAspectRatio (
10684     [in] aafRational_t  aspectRatio);
10685 }
10686
10687
10688
10689 // ************************
10690 //
10691 // Interface IAAFFindSourceInfo
10692 //
10693 // ************************
10694 [
10695     object,
10696     uuid(9346ACD1-2713-11d2-8035-006008143E6F),
10697     helpstring("IAAFFindSourceInfo Interface"),
10698     pointer_default(unique)
10699 ]
10700 interface IAAFFindSourceInfo : IUnknown
10701 {
10702
10703
10704   //***********************************************************
10705   //
10706   // GetMob()
10707   //
10731   HRESULT GetMob (
10732     [out] IAAFMob ** ppMob);
10733
10734   //***********************************************************
10735   //
10736   // GetSourceReference()
10737   //
10765   HRESULT GetSourceReference (
10766     [out] aafSourceRef_t *  pSourceRef);
10767
10768   //***********************************************************
10769   //
10770   // GetLength()
10771   //
10799   HRESULT GetLength (
10800     [retval][out] aafLength_t *  pLength);
10801
10802   //***********************************************************
10803   //
10804   // GetEditRate()
10805   //
10826   HRESULT GetEditRate (
10827     [out,retval] aafRational_t *  pEditRate);
10828
10829 }
10830
10831
10832
10833 // ************************
10834 //
10835 // Interface IAAFGPITrigger
10836 //
10837 // ************************
10838
10868 [
10869     object,
10870     uuid(e684d78c-b935-11d2-bf9d-00104bc9156d),
10871     helpstring("IAAFGPITrigger Interface"),
10872     pointer_default(unique)
10873 ]
10874 interface IAAFGPITrigger : IUnknown
10875 {
10876
10877
10878   //***********************************************************
10879   //
10880   // GetActiveState()
10881   //
10900   HRESULT GetActiveState (
10901     [out, retval] aafBoolean_t *  pActiveState);
10902
10903
10904   //***********************************************************
10905   //
10906   // SetActiveState()
10907   //
10920   HRESULT SetActiveState (
10921     [in] aafBoolean_t  ActiveState);
10922
10923 }
10924
10925
10926
10927 // ************************
10928 //
10929 // Interface IAAFGetFileBits
10930 //
10931 // ************************
10950
10951
10952 [
10953     object,
10954     uuid(3CC80282-72A8-11D4-B80D-0000863F2C27),
10955     helpstring("IAAFGetFileBits Interface"),
10956     pointer_default(unique)
10957 ]
10958 interface IAAFGetFileBits : IUnknown
10959 {
10960
10961   //***********************************************************
10962   //
10963   // ReadAt()
10964   //
10995   HRESULT ReadAt (
10996     [out, size_is(bufSize)] aafMemPtr_t  buf,
10997     [in] aafUInt32  bufSize,
10998     [in] aafUInt64  position);
10999
11000
11001   //***********************************************************
11002   //
11003   // GetSize()
11004   //
11022   HRESULT GetSize (
11023     [out] aafUInt64 *  pSize);
11024 }
11025
11026
11027
11028 // ************************
11029 //
11030 // Interface IAAFHeader
11031 //
11032 // ************************
11052 [
11053     object,
11054     uuid(B1A21382-1A7D-11D2-BF78-00104BC9156D),
11055     helpstring("IAAFHeader Interface"),
11056     pointer_default(unique)
11057 ]
11058 interface IAAFHeader : IUnknown
11059 {
11060   //***********************************************************
11061   //
11062   // LookupMob()
11063   //
11089   HRESULT LookupMob (
11090     [in, ref] aafMobID_constref  mobID,
11091     [out,retval] IAAFMob ** ppMob);
11092
11093
11094   //***********************************************************
11095   //
11096   // CountMobs()
11097   //
11119   HRESULT CountMobs (
11120     [in] aafMobKind_t  mobKind,
11121     [out, retval] aafNumSlots_t *  pResult);
11122
11123
11124   //***********************************************************
11125   //
11126   // GetMobs()
11127   //
11153   HRESULT GetMobs (
11154     [in] aafSearchCrit_t *  pSearchCriteria,
11155     [out, retval] IEnumAAFMobs ** ppEnum);
11156
11157
11158   //***********************************************************
11159   //
11160   // AddMob()
11161   //
11186   HRESULT AddMob (
11187     [in] IAAFMob * pMob);
11188
11189
11190   //***********************************************************
11191   //
11192   // RemoveMob()
11193   //
11217   HRESULT RemoveMob (
11218     [in] IAAFMob * pMob);
11219
11220
11221   //***********************************************************
11222   //
11223   // CountEssenceData()
11224   //
11246   HRESULT CountEssenceData (
11247     [out, retval] aafUInt32 *  pResult);
11248
11249
11250   //***********************************************************
11251   //
11252   // IsEssenceDataPresent()
11253   //
11275   HRESULT IsEssenceDataPresent (
11276     [in, ref] aafMobID_constref  fileMobID,
11277     [in] aafFileFormat_t  fmt,
11278     [out,retval] aafBoolean_t *  pResult);
11279
11280
11281   //***********************************************************
11282   //
11283   // EnumEssenceData()
11284   //
11307   HRESULT EnumEssenceData (
11308     [out,retval] IEnumAAFEssenceData ** ppEnum);
11309
11310
11311   //***********************************************************
11312   //
11313   // AddEssenceData()
11314   //
11338   HRESULT AddEssenceData (
11339     [in] IAAFEssenceData * pEssenceData);
11340
11341   //***********************************************************
11342   //
11343   // RemoveEssenceData()
11344   //
11368   HRESULT RemoveEssenceData (
11369     [in] IAAFEssenceData * pEssenceData);
11370
11371   //***********************************************************
11372   //
11373   // LookupEssenceData()
11374   //
11400   HRESULT LookupEssenceData (
11401     [in, ref] aafMobID_constref  mobID,
11402     [out,retval] IAAFEssenceData ** ppEssenceData);
11403
11404   //***********************************************************
11405   //
11406   // GetDictionary()
11407   //
11430   HRESULT GetDictionary (
11431     [out, retval] IAAFDictionary ** ppDictionary);
11432
11433
11434   //***********************************************************
11435   //
11436   // GetLastIdentification()
11437   //
11459   HRESULT GetLastIdentification (
11460     [out,retval] IAAFIdentification ** ppIdentification);
11461
11462
11463   //***********************************************************
11464   //
11465   // LookupIdentification()
11466   //
11493   HRESULT LookupIdentification (
11494     [in, ref] aafUID_constref  generation,
11495     [out,retval] IAAFIdentification ** ppIdentification);
11496
11497
11498   //***********************************************************
11499   //
11500   // CountIdentifications()
11501   //
11522   HRESULT CountIdentifications (
11523     [out, retval] aafUInt32 *  pResult);
11524
11525
11526   //***********************************************************
11527   //
11528   // GetIdentifications()
11529   //
11551   HRESULT GetIdentifications (
11552     [out,retval] IEnumAAFIdentifications ** ppEnum);
11553
11554
11555   //***********************************************************
11556   //
11557   // AppendIdentification()
11558   //
11581   HRESULT AppendIdentification (
11582     [in] IAAFIdentification * pIdent);
11583
11584
11585   //***********************************************************
11586   //
11587   // GetIdentificationAt()
11588   //
11612   HRESULT GetIdentificationAt (
11613     [in] aafUInt32  index,
11614     [out, retval] IAAFIdentification ** ppIdentification);
11615
11616
11617   //***********************************************************
11618   //
11619   // GetRefImplVersion()
11620   //
11641   HRESULT GetRefImplVersion (
11642     [out, retval] aafProductVersion_t *  pVersion);
11643
11644
11645   //***********************************************************
11646   //
11647   // GetFileRevision()
11648   //
11668   HRESULT GetFileRevision (
11669     [out, retval] aafVersionType_t *  pRevision);
11670
11671
11672   //***********************************************************
11673   //
11674   // GetLastModified()
11675   //
11695   HRESULT GetLastModified (
11696     [out, retval] aafTimeStamp_t *  pTimeStamp);
11697
11698
11699   //***********************************************************
11700   //
11701   // GetContentStorage()
11702   //
11727   HRESULT GetContentStorage (
11728     [out] IAAFContentStorage ** ppStorage);
11729
11730
11731
11732
11733
11734
11735
11736
11737
11738
11739
11740
11741
11742
11743
11744
11745
11746
11747
11748 }
11749
11750
11751 // ************************
11752 //
11753 // Interface IAAFIdentification
11754 //
11755 // ************************
11781
11782
11786 [
11787     object,
11788     uuid(B1A2137E-1A7D-11D2-BF78-00104BC9156D),
11789     helpstring("IAAFIdentification Interface"),
11790     pointer_default(unique)
11791 ]
11792 interface IAAFIdentification : IUnknown
11793 {
11794
11795   //***********************************************************
11796   //
11797   // Initialize()
11798   //
11840   HRESULT Initialize (
11841     [in] aafCharacter_constptr  companyName,
11842     [in] aafCharacter_constptr  productName,
11843     [in] aafCharacter_constptr  productVersionString,
11844     [in] aafUID_constref  productID);
11845
11846
11847   //***********************************************************
11848   //
11849   // GetCompanyName()
11850   //
11888   HRESULT GetCompanyName (
11889     [out, string, size_is(bufSize)] aafCharacter *  pCompanyName,
11890     [in] aafUInt32  bufSize);
11891
11892
11893   //***********************************************************
11894   //
11895   // GetCompanyNameBufLen()
11896   //
11914   HRESULT GetCompanyNameBufLen (
11915     [out] aafUInt32 *  pBufSize);
11916
11917
11918   //***********************************************************
11919   //
11920   // GetProductName()
11921   //
11959   HRESULT GetProductName (
11960     [out, string, size_is(bufSize)] aafCharacter *  pProductName,
11961     [in] aafUInt32  bufSize);
11962
11963
11964   //***********************************************************
11965   //
11966   // GetProductNameBufLen()
11967   //
11985   HRESULT GetProductNameBufLen (
11986     [out] aafUInt32 *  pBufSize);
11987
11988
11989   //***********************************************************
11990   //
11991   // GetProductVersionString()
11992   //
12030   HRESULT GetProductVersionString (
12031     [out, string, size_is(bufSize)] aafCharacter *  pProductVersionString,
12032     [in] aafUInt32  bufSize);
12033
12034
12035   //***********************************************************
12036   //
12037   // GetProductVersionStringBufLen()
12038   //
12056   HRESULT GetProductVersionStringBufLen (
12057     [out] aafUInt32 *  pBufSize);
12058
12059
12060   //***********************************************************
12061   //
12062   // GetProductVersion()
12063   //
12087   HRESULT GetProductVersion (
12088     [out] aafProductVersion_t *  pVersion);
12089
12090
12091   //***********************************************************
12092   //
12093   // SetProductVersion()
12094   //
12115   HRESULT SetProductVersion (
12116     [in] aafProductVersion_constref  version);
12117
12118
12119   //***********************************************************
12120   //
12121   // GetProductID()
12122   //
12149   HRESULT GetProductID (
12150     [out] aafUID_t *  pProductID);
12151
12152
12153   //***********************************************************
12154   //
12155   // GetDate()
12156   //
12185   HRESULT GetDate (
12186     [out] aafTimeStamp_t *  pTimestamp);
12187
12188
12189   //***********************************************************
12190   //
12191   // GetRefImplVersion()
12192   //
12220   HRESULT GetRefImplVersion (
12221     [out] aafProductVersion_t *  pVersion);
12222
12223
12224   //***********************************************************
12225   //
12226   // GetPlatform()
12227   //
12274   HRESULT GetPlatform (
12275     [out, string, size_is(bufSize)] aafCharacter *  pPlatform,
12276     [in] aafUInt32  bufSize);
12277
12278
12279   //***********************************************************
12280   //
12281   // GetPlatformBufLen()
12282   //
12300   HRESULT GetPlatformBufLen (
12301     [out] aafUInt32 *  pBufSize);
12302
12303
12304   //***********************************************************
12305   //
12306   // GetGenerationID()
12307   //
12337   HRESULT GetGenerationID (
12338     [out] aafUID_t *  pGeneration);
12339 }
12340
12341
12342
12343 // ************************
12344 //
12345 // Interface IAAFImportDescriptor
12346 //
12347 // ************************
12348
12361
12362
12368 [
12369     object,
12370     uuid(2CAA17DF-DDBC-4ac5-A87E-166fcd06cc9c ),
12371     helpstring("IAAFImportDescriptor Interface"),
12372     pointer_default(unique)
12373 ]
12374 interface IAAFImportDescriptor : IUnknown
12375 {
12376
12377   //***********************************************************
12378   //
12379   // Initialize()
12380   //
12398   HRESULT Initialize ();
12399
12400 }
12401
12402
12403
12404 // ************************
12405 //
12406 // Interface IAAFInterpolationDef
12407 //
12408 // ************************
12426 [
12427     object,
12428     uuid(293600A3-0D37-11d3-80A9-006008143E6F),
12429     helpstring("IAAFInterpolationDef Interface"),
12430     pointer_default(unique)
12431 ]
12432 interface IAAFInterpolationDef : IUnknown
12433 {
12434
12435   //***********************************************************
12436   //
12437   // Initialize()
12438   //
12445   HRESULT Initialize (
12446     [in, ref] aafUID_constref  id,
12447     [in, string] aafCharacter_constptr  pName,
12448     [in, string] aafCharacter_constptr  pDescription);
12449
12450
12451 }
12452
12453
12454
12455 // ************************
12456 //
12457 // Interface IAAFKLVData
12458 //
12459 // ************************
12475 [
12476     object,
12477     uuid(46114414-0676-11d4-A356-009027DFCA6A),
12478     helpstring("IAAFKLVData Interface"),
12479     pointer_default(unique)
12480 ]
12481 interface IAAFKLVData : IUnknown
12482 {
12483
12484   //***********************************************************
12485   //
12486   // Initialize()
12487   //
12524   HRESULT Initialize (
12525     [in] aafUID_t  key,
12526     [in] aafUInt32  length,
12527     [in, size_is(length)] aafDataBuffer_t  pValue);
12528
12529   //***********************************************************
12530   //
12531   // GetKey()
12532   //
12558   HRESULT GetKey (
12559     [out] aafUID_t*  pKey);
12560
12561
12562   //***********************************************************
12563   //
12564   // GetValue()
12565   //
12596   HRESULT GetValue (
12597     [in] aafUInt32  valueSize,
12598     [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t  pValue,
12599     [out] aafUInt32 *  bytesRead);
12600
12601
12602   //***********************************************************
12603   //
12604   // GetValueBufLen()
12605   //
12626   HRESULT GetValueBufLen (
12627     [out] aafUInt32 *  pLen);
12628
12629   //***********************************************************
12630   //
12631   // SetValue()
12632   //
12654   HRESULT SetValue (
12655     [in] aafUInt32  valueSize,
12656     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
12657
12658 }
12659
12660
12661
12662 // ************************
12663 //
12664 // Interface IAAFKLVDataDefinition
12665 //
12666 // ************************
12675 [
12676     object,
12677     uuid(f6af8700-949c-4304-9706-c0576b53f4aa),
12678     helpstring("IAAFKLVDataDefinition Interface"),
12679     pointer_default(unique)
12680 ]
12681 interface IAAFKLVDataDefinition : IUnknown
12682 {
12683
12684
12685   //***********************************************************
12686   //
12687   // Initialize()
12688   //
12695   HRESULT Initialize (
12696     [in, ref] aafUID_constref  id,
12697     [in, string] aafCharacter_constptr  pName,
12698     [in, string] aafCharacter_constptr  pDescription);
12699
12700   //***********************************************************
12701   //
12702   // AddParentProperty()
12703   //
12715   HRESULT AddParentProperty (
12716     [in] IAAFPropertyDef * pParentProperty);
12717
12718   //***********************************************************
12719   //
12720   // GetParentProperties()
12721   //
12735   HRESULT GetParentProperties (
12736     [out] IEnumAAFPropertyDefs ** ppEnum);
12737
12738   //***********************************************************
12739   //
12740   // CountParentProperties()
12741   //
12755   HRESULT CountParentProperties (
12756     [out] aafUInt32*  pNumProperties);
12757
12758   //***********************************************************
12759   //
12760   // RemoveParentProperty()
12761   //
12777   HRESULT RemoveParentProperty (
12778     [in] IAAFPropertyDef * pParentProperty);
12779
12780   //***********************************************************
12781   //
12782   // GetKLVDataType()
12783   //
12801   HRESULT GetKLVDataType (
12802     [out] IAAFTypeDef ** ppTypeDef);
12803
12804
12805   //***********************************************************
12806   //
12807   // SetKLVDataType()
12808   //
12821   HRESULT SetKLVDataType (
12822     [in] IAAFTypeDef * pTypeDef);
12823
12824 }
12825
12826
12827
12828 // ************************
12829 //
12830 // Interface IAAFLocator
12831 //
12832 // ************************
12853
12854
12858 [
12859     object,
12860     uuid(d4f89061-69d6-11d2-841b-00600832acb8),
12861     helpstring("IAAFLocator Interface"),
12862     pointer_default(unique)
12863 ]
12864 interface IAAFLocator : IUnknown
12865 {
12866
12867   //***********************************************************
12868   //
12869   // SetPath()
12870   //
12899   HRESULT SetPath (
12900     [in, string] aafCharacter_constptr  pPath);
12901
12902
12903   //***********************************************************
12904   //
12905   // GetPath()
12906   //
12944   HRESULT GetPath (
12945     [out, string, size_is(bufSize)] aafCharacter *  pPath,
12946     [in] aafUInt32  bufSize);
12947
12948
12949   //***********************************************************
12950   //
12951   // GetPathBufLen()
12952   //
12970   HRESULT GetPathBufLen (
12971     [out] aafUInt32 *  pBufSize);
12972 }
12973
12974
12975
12976 // ************************
12977 //
12978 // Interface IAAFMasterMob
12979 //
12980 // ************************
13000 [
13001     object,
13002     uuid(b1a21372-1a7d-11d2-bf78-00104bc9156d),
13003     helpstring("IAAFMasterMob Interface"),
13004     pointer_default(unique)
13005 ]
13006 interface IAAFMasterMob : IUnknown
13007 {
13008   //***********************************************************
13009   //
13010   // Initialize()
13011   //
13029   HRESULT Initialize ();
13030
13031
13032   //***********************************************************
13033   //
13034   // AddMasterSlot()
13035   //
13085   HRESULT AddMasterSlot (
13086     [in] IAAFDataDef * pDataDef,
13087     [in] aafSlotID_t  sourceSlotID,
13088     [in] IAAFSourceMob * pSourceMob,
13089     [in] aafSlotID_t  masterSlotID,
13090     [in, string] aafCharacter_constptr  pSlotName);
13091
13092
13093   //***********************************************************
13094   //
13095   // GetTapeName()
13096   //
13142   HRESULT GetTapeName (
13143     [in] aafUInt32  masterSlotID,
13144     [out, size_is(bufSize), string] aafCharacter *  pTapeName,
13145     [in] aafUInt32  bufSize);
13146
13147
13148   //***********************************************************
13149   //
13150   // GetTapeNameBufLen()
13151   //
13184   HRESULT GetTapeNameBufLen (
13185     [in] aafUInt32  masterSlotID,
13186     [out] aafUInt32 *  pLen);
13187
13188
13189   //***********************************************************
13190   //
13191   // GetNumRepresentations()
13192   //
13226   HRESULT GetNumRepresentations (
13227     [in] aafSlotID_t  slotID,
13228     [out, retval] aafNumSlots_t *  pNumReps);
13229
13230
13231   //***********************************************************
13232   //
13233   // GetRepresentation()
13234   //
13276   HRESULT GetRepresentation (
13277     [in] aafSlotID_t  slotID,
13278     [in] aafUInt32  index,
13279     [out] IAAFSegment ** ppSourceClip);
13280
13281
13282   //***********************************************************
13283   //
13284   // GetCriteriaSegment()
13285   //
13334   HRESULT GetCriteriaSegment (
13335     [in] aafSlotID_t  slotID,
13336     [in] aafMediaCriteria_t *  pCriteria,
13337     [out] IAAFSegment ** ppSegment);
13338
13339
13340   //***********************************************************
13341   //
13342   // AppendPhysSourceRef()
13343   //
13388   HRESULT AppendPhysSourceRef (
13389     [in] aafRational_t  editrate,
13390     [in] aafSlotID_t  aMobSlot,
13391     [in] IAAFDataDef * pEssenceKind,
13392     [in] aafSourceRef_t  ref,
13393     [in] aafLength_t  srcRefLength);
13394
13395
13396   //***********************************************************
13397   //
13398   // NewPhysSourceRef()
13399   //
13444   HRESULT NewPhysSourceRef (
13445     [in] aafRational_t  editrate,
13446     [in] aafSlotID_t  aMobSlot,
13447     [in] IAAFDataDef * pEssenceKind,
13448     [in] aafSourceRef_t  ref,
13449     [in] aafLength_t  srcRefLength);
13450
13451
13452   //***********************************************************
13453   //
13454   // CreateEssence()
13455   //
13481   HRESULT CreateEssence (
13482     [in] aafSlotID_t  masterSlotID,
13483     [in] IAAFDataDef * pMediaKind,
13484     [in, ref] aafUID_constref  codecID,
13485     [in] aafRational_t  editRate,
13486     [in] aafRational_t  samplerate,
13487     [in] aafCompressEnable_t  Enable,
13488     [in] IAAFLocator * destination,
13489     [in, ref] aafUID_constref  fileFormat,
13490     [out] IAAFEssenceAccess ** access);
13491
13492
13493   //***********************************************************
13494   //
13495   // CreateMultiEssence()
13496   //
13512   HRESULT CreateMultiEssence (
13513     [in, ref] aafUID_constref  codecID,
13514     [in] aafUInt16  arrayElemCount,
13515     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
13516     [in] aafCompressEnable_t  Enable,
13517     [in] IAAFLocator * destination,
13518     [in, ref] aafUID_constref  fileFormat,
13519     [out] IAAFEssenceMultiAccess**  access);
13520
13521
13522   //***********************************************************
13523   //
13524   // OpenEssence()
13525   //
13546   HRESULT OpenEssence (
13547     [in] aafSlotID_t  slotID,
13548     [in] aafMediaCriteria_t*  mediaCrit,
13549     [in] aafMediaOpenMode_t  openMode,
13550     [in] aafCompressEnable_t  compEnable,
13551     [out] IAAFEssenceAccess ** access);
13552
13553
13554   //***********************************************************
13555   //
13556   // OpenMultiEssence()
13557   //
13572   HRESULT OpenMultiEssence (
13573     [in] aafSlotID_t  slotID,
13574     [in] aafMediaCriteria_t*  mediaCrit,
13575     [in] aafMediaOpenMode_t  openMode,
13576     [in] aafCompressEnable_t  compEnable,
13577     [out] IAAFEssenceMultiAccess**  access);
13578
13579
13580   //***********************************************************
13581   //
13582   // CountChannels()
13583   //
13600   HRESULT CountChannels (
13601     [in] aafSlotID_t  slotID,
13602     [in] aafMediaCriteria_t*  mediaCrit,
13603     [in] IAAFDataDef * pMediaKind,
13604     [out] aafUInt16*  numCh);
13605
13606
13607
13608
13609
13610
13611
13612
13613
13614
13615
13616
13617 }
13618
13619
13620 // ************************
13621 //
13622 // Interface IAAFMetaDefinition
13623 //
13624 // ************************
13645 [
13646     object,
13647     uuid(cee32174-0c10-11d4-8014-00104bc9156d),
13648     helpstring("IAAFMetaDefinition Interface"),
13649     pointer_default(unique)
13650 ]
13651 interface IAAFMetaDefinition : IUnknown
13652 {
13653
13654
13655   //***********************************************************
13656   //
13657   // Initialize()
13658   //
13665   HRESULT Initialize (
13666     [in, ref] aafUID_constref  id,
13667     [in, string] aafCharacter_constptr  pName,
13668     [in, string] aafCharacter_constptr  pDescription);
13669
13670
13671   //***********************************************************
13672   //
13673   // GetAUID()
13674   //
13679   HRESULT GetAUID (
13680     [retval,out] aafUID_t *  pAuid);
13681
13682   //***********************************************************
13683   //
13684   // SetName()
13685   //
13714   HRESULT SetName (
13715     [in, string] aafCharacter_constptr  pName);
13716
13717
13718   //***********************************************************
13719   //
13720   // GetName()
13721   //
13759   HRESULT GetName (
13760     [out, string, size_is(bufSize)] aafCharacter *  pName,
13761     [in] aafUInt32  bufSize);
13762
13763
13764   //***********************************************************
13765   //
13766   // GetNameBufLen()
13767   //
13785   HRESULT GetNameBufLen (
13786     [out] aafUInt32 *  pBufSize);
13787
13788   //***********************************************************
13789   //
13790   // SetDescription()
13791   //
13820   HRESULT SetDescription (
13821     [in, string] aafCharacter_constptr  pDescription);
13822
13823
13824   //***********************************************************
13825   //
13826   // GetDescription()
13827   //
13865   HRESULT GetDescription (
13866     [out, string, size_is(bufSize)] aafCharacter *  pDescription,
13867     [in] aafUInt32  bufSize);
13868
13869
13870   //***********************************************************
13871   //
13872   // GetDescriptionBufLen()
13873   //
13891   HRESULT GetDescriptionBufLen (
13892     [out] aafUInt32 *  pBufSize);
13893
13894 }
13895
13896
13897
13898 // ************************
13899 //
13900 // Interface IAAFMob
13901 //
13902 // ************************
13930 [
13931     object,
13932     uuid(B1A21374-1A7D-11d2-BF78-00104BC9156D),
13933     helpstring("IAAFMob Interface"),
13934     pointer_default(unique)
13935 ]
13936
13937 interface IAAFMob : IUnknown
13938 {
13939
13940   //***********************************************************
13941   //
13942   // GetMobID()
13943   //
13963   HRESULT GetMobID (
13964     [out] aafMobID_t *  pMobID);
13965
13966
13967   //***********************************************************
13968   //
13969   // SetMobID()
13970   //
13986   HRESULT SetMobID (
13987     [in, ref] aafMobID_constref  mobID);
13988
13989
13990   //***********************************************************
13991   //
13992   // SetName()
13993   //
14022   HRESULT SetName (
14023     [in, string] aafCharacter_constptr  pName);
14024
14025
14026   //***********************************************************
14027   //
14028   // GetName()
14029   //
14067   HRESULT GetName (
14068     [out, string, size_is(bufSize)] aafCharacter *  pName,
14069     [in] aafUInt32  bufSize);
14070
14071
14072   //***********************************************************
14073   //
14074   // GetNameBufLen()
14075   //
14093   HRESULT GetNameBufLen (
14094     [out] aafUInt32 *  pBufSize);
14095
14096
14097   //***********************************************************
14098   //
14099   // CountSlots()
14100   //
14120   HRESULT CountSlots (
14121     [out] aafNumSlots_t *  pNumSlots);
14122
14123
14124   //***********************************************************
14125   //
14126   // AppendSlot()
14127   //
14147   HRESULT AppendSlot (
14148     [in] IAAFMobSlot * pSlot);
14149
14150
14151   //***********************************************************
14152   //
14153   // PrependSlot()
14154   //
14174   HRESULT PrependSlot (
14175     [in] IAAFMobSlot * pSlot);
14176
14177
14178   //***********************************************************
14179   //
14180   // InsertSlotAt()
14181   //
14209   HRESULT InsertSlotAt (
14210     [in] aafUInt32  index,
14211     [in] IAAFMobSlot * pSlot);
14212
14213
14214   //***********************************************************
14215   //
14216   // RemoveSlotAt()
14217   //
14240   HRESULT RemoveSlotAt (
14241     [in] aafUInt32  index);
14242
14243
14244   //***********************************************************
14245   //
14246   // GetSlotAt()
14247   //
14273   HRESULT GetSlotAt (
14274     [in] aafUInt32  index,
14275     [out, retval] IAAFMobSlot ** ppSlot);
14276
14277
14278   //***********************************************************
14279   //
14280   // GetSlots()
14281   //
14302   HRESULT GetSlots (
14303     [out] IEnumAAFMobSlots ** ppEnum);
14304
14305
14306   //***********************************************************
14307   //
14308   // GetModTime()
14309   //
14329   HRESULT GetModTime (
14330     [out] aafTimeStamp_t *  pLastModified);
14331
14332
14333   //***********************************************************
14334   //
14335   // SetModTime()
14336   //
14355   HRESULT SetModTime (
14356     [in, ref] aafTimeStamp_constref  modTime);
14357
14358
14359   //***********************************************************
14360   //
14361   // GetCreateTime()
14362   //
14382   HRESULT GetCreateTime (
14383     [out] aafTimeStamp_t *  pCreationTime);
14384
14385
14386   //***********************************************************
14387   //
14388   // SetCreateTime()
14389   //
14407   HRESULT SetCreateTime (
14408     [in, ref] aafTimeStamp_constref  createTime);
14409
14410
14411   //***********************************************************
14412   //
14413   // AppendComment()
14414   //
14438   HRESULT AppendComment (
14439     [in,string] aafCharacter *  pCategory,
14440     [in, string] aafCharacter_constptr  pComment);
14441
14442
14443   //***********************************************************
14444   //
14445   // CountComments()
14446   //
14466   HRESULT CountComments (
14467     [out] aafUInt32 *  pNumComments);
14468
14469
14470   //***********************************************************
14471   //
14472   // GetComments()
14473   //
14496   HRESULT GetComments (
14497     [out] IEnumAAFTaggedValues ** ppEnum);
14498
14499
14500   //***********************************************************
14501   //
14502   // RemoveComment()
14503   //
14527   HRESULT RemoveComment (
14528     [in] IAAFTaggedValue * pComment);
14529
14530
14531   //***********************************************************
14532   //
14533   // AppendNewTimelineSlot()
14534   //
14564   HRESULT AppendNewTimelineSlot (
14565     [in] aafRational_t  editRate,
14566     [in] IAAFSegment * pSegment,
14567     [in] aafSlotID_t  slotID,
14568     [in, string] aafCharacter_constptr  pSlotName,
14569     [in] aafPosition_t  origin,
14570     [out] IAAFTimelineMobSlot ** ppNewSlot);
14571
14572
14573   //***********************************************************
14574   //
14575   // GetMobInfo()
14576   //
14608   HRESULT GetMobInfo (
14609     [out] aafTimeStamp_t *  pLastModified,
14610     [out] aafTimeStamp_t *  pCreationTime,
14611     [out, size_is(bufSize), string] aafCharacter *  pName,
14612     [in] aafInt32  bufSize);
14613
14614
14615   //***********************************************************
14616   //
14617   // OffsetToMobTimecode()
14618   //
14649   HRESULT OffsetToMobTimecode (
14650     [in] IAAFSegment * pTcSeg,
14651     [in] aafPosition_t *  pOffset,
14652     [out] aafTimecode_t *  pResult);
14653
14654
14655   //***********************************************************
14656   //
14657   // LookupSlot()
14658   //
14682   HRESULT LookupSlot (
14683     [in] aafSlotID_t  slotId,
14684     [out] IAAFMobSlot ** ppDestSlot);
14685
14686
14687   //***********************************************************
14688   //
14689   // ChangeRef()
14690   //
14711   HRESULT ChangeRef (
14712     [in, ref] aafMobID_constref  oldMobID,
14713     [in, ref] aafMobID_constref  newMobID);
14714
14715
14716   //***********************************************************
14717   //
14718   // CloneExternal()
14719   //
14760   HRESULT CloneExternal (
14761     [in] aafDepend_t  resolveDependencies,
14762     [in] aafIncMedia_t  includeMedia,
14763     [in] IAAFFile * pDestFile,
14764     [out] IAAFMob ** ppDestMob);
14765
14766
14767   //***********************************************************
14768   //
14769   // Copy()
14770   //
14800   HRESULT Copy (
14801     [in, string] aafCharacter_constptr  pDestMobName,
14802     [out] IAAFMob ** ppDestMob);
14804
14805   //***********************************************************
14806   //
14807   // AppendKLVData()
14808   //
14829   HRESULT AppendKLVData (
14830     [in] IAAFKLVData * pData);
14831
14832
14833   //***********************************************************
14834   //
14835   // CountKLVData()
14836   //
14856   HRESULT CountKLVData (
14857     [out] aafUInt32 *  pNumData);
14858
14859
14860   //***********************************************************
14861   //
14862   // GetKLVData()
14863   //
14885   HRESULT GetKLVData (
14886     [out] IEnumAAFKLVData ** ppEnum);
14887
14888
14889   //***********************************************************
14890   //
14891   // RemoveKLVData()
14892   //
14916   HRESULT RemoveKLVData (
14917     [in] IAAFKLVData * pData);
14918
14919
14920
14921
14922
14923
14924
14925
14926
14927
14928
14929
14930
14931 }
14932
14933
14934 // ************************
14935 //
14936 // Interface IAAFMobSlot
14937 //
14938 // ************************
14973 [
14974     object,
14975     uuid(B1A21376-1A7D-11D2-BF78-00104BC9156D),
14976     helpstring("IAAFMobSlot Interface"),
14977     pointer_default(unique)
14978 ]
14979 interface IAAFMobSlot : IUnknown
14980 {
14981
14982   //***********************************************************
14983   //
14984   // GetSegment()
14985   //
15008   HRESULT GetSegment (
15009     [out,retval] IAAFSegment ** ppResult);
15010
15011
15012   //***********************************************************
15013   //
15014   // SetName()
15015   //
15044   HRESULT SetName (
15045     [in, string] aafCharacter_constptr  pName);
15046
15047
15048   //***********************************************************
15049   //
15050   // GetName()
15051   //
15089   HRESULT GetName (
15090     [out, string, size_is(bufSize)] aafCharacter *  pName,
15091     [in] aafUInt32  bufSize);
15092
15093
15094   //***********************************************************
15095   //
15096   // GetNameBufLen()
15097   //
15115   HRESULT GetNameBufLen (
15116     [out] aafUInt32 *  pBufSize);
15117
15118
15119   //***********************************************************
15120   //
15121   // GetPhysicalNum()
15122   //
15156   HRESULT GetPhysicalNum (
15157     [out,retval] aafUInt32 *  pResult);
15158
15159
15160   //***********************************************************
15161   //
15162   // GetDataDef()
15163   //
15186   HRESULT GetDataDef (
15187     [out,retval] IAAFDataDef ** ppResult);
15188
15189
15190   //***********************************************************
15191   //
15192   // GetSlotID()
15193   //
15213   HRESULT GetSlotID (
15214     [out,retval] aafSlotID_t *  pResult);
15215
15216
15217   //***********************************************************
15218   //
15219   // SetSegment()
15220   //
15237   HRESULT SetSegment (
15238     [in] IAAFSegment * pSegment);
15239
15240
15241   //***********************************************************
15242   //
15243   // SetPhysicalNum()
15244   //
15271   HRESULT SetPhysicalNum (
15272     [in] aafUInt32  number);
15273
15274
15275   //***********************************************************
15276   //
15277   // SetSlotID()
15278   //
15292   HRESULT SetSlotID (
15293     [in] aafSlotID_t  value);
15294 }
15295
15296
15297
15298 // ************************
15299 //
15300 // Interface IAAFMPEGVideoDescriptor
15301 //
15302 // ************************
15323 [
15324     object,
15325     uuid(f2768aac-ed68-4ace-a8a3-3304e94c799f),
15326     helpstring("IAAFMPEGVideoDescriptor Interface"),
15327     pointer_default(unique)
15328 ]
15329 interface IAAFMPEGVideoDescriptor : IUnknown
15330 {
15331
15332   //***********************************************************
15333   //
15334   // Initialize()
15335   //
15354   HRESULT Initialize ();
15355
15356
15357   //***********************************************************
15358   //
15359   // SetSingleSequence()
15360   //
15373   HRESULT SetSingleSequence (
15374     [in] aafBoolean_t  singleSequence);
15375
15376
15377   //***********************************************************
15378   //
15379   // GetSingleSequence()
15380   //
15402   HRESULT GetSingleSequence (
15403     [out] aafBoolean_t *  pSingleSequence);
15404
15405
15406   //***********************************************************
15407   //
15408   // SetConstantBPictureCount()
15409   //
15422   HRESULT SetConstantBPictureCount (
15423     [in] aafBoolean_t  constantBPictureCount);
15424
15425
15426   //***********************************************************
15427   //
15428   // GetConstantBPictureCount()
15429   //
15451   HRESULT GetConstantBPictureCount (
15452     [out] aafBoolean_t *  pConstantBPictureCount);
15453
15454
15455   //***********************************************************
15456   //
15457   // SetCodedContentScanning()
15458   //
15477   HRESULT SetCodedContentScanning (
15478     [in] aafContentScanningType_t  codedContentScanning);
15479
15480
15481   //***********************************************************
15482   //
15483   // GetCodedContentScanning()
15484   //
15506   HRESULT GetCodedContentScanning (
15507     [out] aafContentScanningType_t *  pContentScanning);
15508
15509
15510   //***********************************************************
15511   //
15512   // SetLowDelay()
15513   //
15526   HRESULT SetLowDelay (
15527     [in] aafBoolean_t  lowDelay);
15528
15529
15530   //***********************************************************
15531   //
15532   // GetLowDelay()
15533   //
15555   HRESULT GetLowDelay (
15556     [out] aafBoolean_t *  pLowDelay);
15557
15558
15559   //***********************************************************
15560   //
15561   // SetClosedGOP()
15562   //
15575   HRESULT SetClosedGOP (
15576     [in] aafBoolean_t  closedGOP);
15577
15578
15579   //***********************************************************
15580   //
15581   // GetClosedGOP()
15582   //
15604   HRESULT GetClosedGOP (
15605     [out] aafBoolean_t *  pClosedGOP);
15606
15607
15608   //***********************************************************
15609   //
15610   // SetIdenticalGOP()
15611   //
15624   HRESULT SetIdenticalGOP (
15625     [in] aafBoolean_t  identicalGOP);
15626
15627
15628   //***********************************************************
15629   //
15630   // GetIdenticalGOP()
15631   //
15653   HRESULT GetIdenticalGOP (
15654     [out] aafBoolean_t *  pIdenticalGOP);
15655
15656
15657   //***********************************************************
15658   //
15659   // SetMaxGOP()
15660   //
15673   HRESULT SetMaxGOP (
15674     [in] aafUInt16  maxGOP);
15675
15676   //***********************************************************
15677   //
15678   // GetMaxGOP()
15679   //
15701   HRESULT GetMaxGOP (
15702     [out] aafUInt16 *  pMaxGOP);
15703
15704
15705   //***********************************************************
15706   //
15707   // SetMaxBPictureCount()
15708   //
15721   HRESULT SetMaxBPictureCount (
15722     [in] aafUInt16  maxBPictureCount);
15723
15724   //***********************************************************
15725   //
15726   // GetMaxBPictureCount()
15727   //
15749   HRESULT GetMaxBPictureCount (
15750     [out] aafUInt16 *  pMaxBPictureCount);
15751
15752
15753   //***********************************************************
15754   //
15755   // SetBitRate()
15756   //
15769   HRESULT SetBitRate (
15770     [in] aafUInt32  bitRate);
15771
15772   //***********************************************************
15773   //
15774   // GetBitRate()
15775   //
15797   HRESULT GetBitRate (
15798     [out] aafUInt32 *  pBitRate);
15799
15800
15801   //***********************************************************
15802   //
15803   // SetProfileAndLevel()
15804   //
15817   HRESULT SetProfileAndLevel (
15818     [in] aafUInt8  profileAndLevel);
15819
15820   //***********************************************************
15821   //
15822   // GetProfileAndLevel()
15823   //
15845   HRESULT GetProfileAndLevel (
15846     [out] aafUInt8 *  pProfileAndLevel);
15847
15848 }
15849
15850
15851
15852 // ************************
15853 //
15854 // Interface IAAFMultipleDescriptor
15855 //
15856 // ************************
15880 [
15881     object,
15882     uuid(dabf53cf-1ec3-43a2-9418-f22fb87c38f4),
15883     helpstring("IAAFMultipleDescriptor Interface"),
15884     pointer_default(unique)
15885 ]
15886
15887 interface IAAFMultipleDescriptor : IUnknown
15888 {
15889
15890
15891   //***********************************************************
15892   //
15893   // Initialize()
15894   //
15913   HRESULT Initialize ();
15914
15915   //***********************************************************
15916   //
15917   // CountFileDescriptors()
15918   //
15939   HRESULT CountFileDescriptors (
15940     [out] aafUInt32 *  pResult);
15941
15942
15943   //***********************************************************
15944   //
15945   // AppendFileDescriptor()
15946   //
15973   HRESULT AppendFileDescriptor (
15974     [in] IAAFFileDescriptor * pFileDescriptor);
15975
15976
15977   //***********************************************************
15978   //
15979   // PrependFileDescriptor()
15980   //
16007   HRESULT PrependFileDescriptor (
16008     [in] IAAFFileDescriptor * pFileDescriptor);
16009
16010
16011   //***********************************************************
16012   //
16013   // InsertFileDescriptorAt()
16014   //
16043   HRESULT InsertFileDescriptorAt (
16044     [in] aafUInt32  index,
16045     [in] IAAFFileDescriptor * pFileDescriptor);
16046
16047
16048   //***********************************************************
16049   //
16050   // GetFileDescriptorAt()
16051   //
16077   HRESULT GetFileDescriptorAt (
16078     [in] aafUInt32  index,
16079     [out, retval] IAAFFileDescriptor ** ppFileDescriptor);
16080
16081
16082   //***********************************************************
16083   //
16084   // RemoveFileDescriptorAt()
16085   //
16108   HRESULT RemoveFileDescriptorAt (
16109     [in] aafUInt32  index);
16110
16111
16112   //***********************************************************
16113   //
16114   // GetFileDescriptors()
16115   //
16136   HRESULT GetFileDescriptors (
16137     [out] IEnumAAFFileDescriptors ** ppEnum);
16138
16139 }
16140
16141
16142
16143 // ************************
16144 //
16145 // Interface IAAFNestedScope
16146 //
16147 // ************************
16170 [
16171     object,
16172     uuid(e44be451-2099-11d2-bf98-006097116212),
16173     helpstring("IAAFNestedScope Interface"),
16174     pointer_default(unique)
16175 ]
16176 interface IAAFNestedScope : IUnknown
16177 {
16178
16179   //***********************************************************
16180   //
16181   // AppendSegment()
16182   //
16205   HRESULT AppendSegment (
16206     [in] IAAFSegment * pSegment);
16207
16208
16209   //***********************************************************
16210   //
16211   // PrependSegment()
16212   //
16232   HRESULT PrependSegment (
16233     [in] IAAFSegment * pSegment);
16234
16235
16236   //***********************************************************
16237   //
16238   // InsertSegmentAt()
16239   //
16268   HRESULT InsertSegmentAt (
16269     [in] aafUInt32  index,
16270     [in] IAAFSegment * pSegment);
16271
16272
16273   //***********************************************************
16274   //
16275   // RemoveSegmentAt()
16276   //
16303   HRESULT RemoveSegmentAt (
16304     [in] aafUInt32  index);
16305
16306
16307   //***********************************************************
16308   //
16309   // CountSegments()
16310   //
16330   HRESULT CountSegments (
16331     [out, retval] aafUInt32 *  pResult);
16332
16333
16334   //***********************************************************
16335   //
16336   // GetSegmentAt()
16337   //
16363   HRESULT GetSegmentAt (
16364     [in] aafUInt32  index,
16365     [out, retval] IAAFSegment ** ppSegment);
16366
16367
16368   //***********************************************************
16369   //
16370   // GetSegments()
16371   //
16392   HRESULT GetSegments (
16393     [out, retval] IEnumAAFSegments ** ppEnum);
16394 }
16395
16396
16397
16398 // ************************
16399 //
16400 // Interface IAAFNetworkLocator
16401 //
16402 // ************************
16419
16420
16425 [
16426     object,
16427     uuid(2c1097b2-69d6-11d2-841b-00600832acb8),
16428     helpstring("IAAFNetworkLocator Interface"),
16429     pointer_default(unique)
16430 ]
16431 interface IAAFNetworkLocator : IUnknown
16432 {
16433
16434   //***********************************************************
16435   //
16436   // Initialize()
16437   //
16455   HRESULT Initialize ();
16456
16457
16458
16459
16460
16461
16462
16463
16464
16465 }
16466
16467
16468
16469 // ************************
16470 //
16471 // Interface IAAFObject
16472 //
16473 // ************************
16495 [
16496     object,
16497     uuid(B1A213AB-1A7D-11D2-BF78-00104BC9156D),
16498     helpstring("IAAFObject Interface"),
16499     pointer_default(unique)
16500 ]
16501 interface IAAFObject : IUnknown
16502 {
16503
16504   //***********************************************************
16505   //
16506   // GetGeneration()
16507   //
16543   HRESULT GetGeneration (
16544     [out] IAAFIdentification ** ppGeneration);
16545
16546
16547   //***********************************************************
16548   //
16549   // GetGenerationAUID()
16550   //
16586   HRESULT GetGenerationAUID (
16587     [out] aafUID_t *  pResult);
16588
16589
16590   //***********************************************************
16591   //
16592   // GetDefinition()
16593   //
16617   HRESULT GetDefinition (
16618     [out] IAAFClassDef ** ppClassDef);
16619
16620
16621   //***********************************************************
16622   //
16623   // GetProperties()
16624   //
16654   HRESULT GetProperties (
16655     [out, retval] IEnumAAFProperties ** ppEnum);
16656
16657
16658   //***********************************************************
16659   //
16660   // CountProperties()
16661   //
16684   HRESULT CountProperties (
16685     [out] aafUInt32 *  pCount);
16686
16687
16688   //***********************************************************
16689   //
16690   // GetPropertyValue()
16691   //
16720   HRESULT GetPropertyValue (
16721     [in] IAAFPropertyDef * pPropDef,
16722     [out] IAAFPropertyValue ** ppPropVal);
16723
16724
16725   //***********************************************************
16726   //
16727   // SetPropertyValue()
16728   //
16758   HRESULT SetPropertyValue (
16759     [in] IAAFPropertyDef * pPropDef,
16760     [in] IAAFPropertyValue * pPropVal);
16761
16762
16763   //***********************************************************
16764   //
16765   // IsPropertyPresent()
16766   //
16792   HRESULT IsPropertyPresent (
16793     [in] IAAFPropertyDef * pPropDef,
16794     [out] aafBoolean_t*  pResult);
16795
16796
16797   //***********************************************************
16798   //
16799   // RemoveOptionalProperty()
16800   //
16825   HRESULT RemoveOptionalProperty (
16826     [in] IAAFPropertyDef * pPropDef);
16827
16828
16829   //***********************************************************
16830   //
16831   // CreateOptionalPropertyValue()
16832   //
16861   HRESULT CreateOptionalPropertyValue (
16862     [in] IAAFPropertyDef * pPropDef,
16863     [out] IAAFPropertyValue ** ppPropVal);
16864
16865
16866   //***********************************************************
16867   //
16868   // GetDictionary()
16869   //
16892   HRESULT GetDictionary (
16893     [out, retval] IAAFDictionary ** ppDictionary);
16894
16895
16896   //***********************************************************
16897   //
16898   // EnableGenerationTracking()
16899   //
16915   HRESULT EnableGenerationTracking ();
16916
16917
16918   //***********************************************************
16919   //
16920   // DisableGenerationTracking()
16921   //
16938   HRESULT DisableGenerationTracking ();
16939
16940
16941   //***********************************************************
16942   //
16943   // IsGenerationTracked()
16944   //
16970   HRESULT IsGenerationTracked (
16971     [out] aafBoolean_t *  pResult);
16972 }
16973
16974
16975
16976 // ************************
16977 //
16978 // Interface IAAFOperationDef
16979 //
16980 // ************************
16996
16997
16998
16999
17000
17001
17002
17003
17008 [
17009     object,
17010     uuid(14035d91-1ff5-11d2-bf97-006097116212),
17011     helpstring("IAAFOperationDef Interface"),
17012     pointer_default(unique)
17013 ]
17014 interface IAAFOperationDef : IUnknown
17015 {
17016
17017   //***********************************************************
17018   //
17019   // Initialize()
17020   //
17027   HRESULT Initialize (
17028     [in, ref] aafUID_constref  id,
17029     [in, string] aafCharacter_constptr  pName,
17030     [in, string] aafCharacter_constptr  pDescription);
17031
17032
17033   //***********************************************************
17034   //
17035   // GetDataDef()
17036   //
17072   HRESULT GetDataDef (
17073     [out] IAAFDataDef ** ppDataDef);
17074
17075
17076   //***********************************************************
17077   //
17078   // SetDataDef()
17079   //
17107   HRESULT SetDataDef (
17108     [in] IAAFDataDef * pDataDef);
17109
17110
17111   //***********************************************************
17112   //
17113   // IsTimeWarp()
17114   //
17136   HRESULT IsTimeWarp (
17137     [out, retval] aafBoolean_t *  bIsTimeWarp);
17138
17139
17140   //***********************************************************
17141   //
17142   // SetIsTimeWarp()
17143   //
17157   HRESULT SetIsTimeWarp (
17158     [in] aafBoolean_t  IsTimeWarp);
17159
17160
17161   //***********************************************************
17162   //
17163   // PrependDegradeToOperation()
17164   //
17187   HRESULT PrependDegradeToOperation (
17188     [in] IAAFOperationDef * pOperationDef);
17189
17190
17191   //***********************************************************
17192   //
17193   // AppendDegradeToOperation()
17194   //
17217   HRESULT AppendDegradeToOperation (
17218     [in] IAAFOperationDef * pOperationDef);
17219
17220
17221   //***********************************************************
17222   //
17223   // InsertDegradeToOperationAt()
17224   //
17254   HRESULT InsertDegradeToOperationAt (
17255     [in] aafUInt32  index,
17256     [in] IAAFOperationDef * pOperationDef);
17257
17258
17259   //***********************************************************
17260   //
17261   // RemoveDegradeToOperationAt()
17262   //
17287   HRESULT RemoveDegradeToOperationAt (
17288     [in] aafUInt32  index);
17289
17290
17291   //***********************************************************
17292   //
17293   // GetDegradeToOperations()
17294   //
17315   HRESULT GetDegradeToOperations (
17316     [out, retval] IEnumAAFOperationDefs ** ppEnum);
17317
17318
17319   //***********************************************************
17320   //
17321   // CountDegradeToOperations()
17322   //
17343   HRESULT CountDegradeToOperations (
17344     [out, retval] aafUInt32 *  pResult);
17345
17346
17347   //***********************************************************
17348   //
17349   // GetCategory()
17350   //
17370   HRESULT GetCategory (
17371     [out] aafUID_t*  pValue);
17372
17373
17374   //***********************************************************
17375   //
17376   // SetCategory()
17377   //
17391   HRESULT SetCategory (
17392     [in, ref] aafUID_constref  value);
17393
17394
17395   //***********************************************************
17396   //
17397   // GetNumberInputs()
17398   //
17421   HRESULT GetNumberInputs (
17422     [out, retval] aafInt32 *  pNumberInputs);
17423
17424
17425   //***********************************************************
17426   //
17427   // SetNumberInputs()
17428   //
17443   HRESULT SetNumberInputs (
17444     [in] aafInt32  NumberInputs);
17445
17446
17447   //***********************************************************
17448   //
17449   // GetBypass()
17450   //
17478   HRESULT GetBypass (
17479     [out,retval] aafUInt32 *  pBypass);
17480
17481
17482   //***********************************************************
17483   //
17484   // SetBypass()
17485   //
17505   HRESULT SetBypass (
17506     [in] aafUInt32  bypass);
17507
17508
17509   //***********************************************************
17510   //
17511   // AddParameterDef()
17512   //
17538   HRESULT AddParameterDef (
17539     [in] IAAFParameterDef * pParameterDef);
17540
17541
17542   //***********************************************************
17543   //
17544   // GetParameterDefs()
17545   //
17566   HRESULT GetParameterDefs (
17567     [out,retval] IEnumAAFParameterDefs ** ppEnum);
17568
17569
17570   //***********************************************************
17571   //
17572   // CountParameterDefs()
17573   //
17593   HRESULT CountParameterDefs (
17594     [out] aafUInt32 *  pResult);
17595
17596
17597   //***********************************************************
17598   //
17599   // LookupParameterDef()
17600   //
17626   HRESULT LookupParameterDef (
17627     [in] aafUID_constref  parameterDefId,
17628     [out] IAAFParameterDef ** ppParameterDef);
17629 }
17630
17631
17632
17633 // ************************
17634 //
17635 // Interface IAAFOperationGroup
17636 //
17637 // ************************
17667 [
17668     object,
17669     uuid(3AE3BA82-2C98-11d2-8042-006008143E6F),
17670     helpstring("IAAFOperationGroup Interface"),
17671     pointer_default(unique)
17672 ]
17673 interface IAAFOperationGroup : IUnknown
17674 {
17675
17676   //***********************************************************
17677   //
17678   // Initialize()
17679   //
17691   HRESULT Initialize (
17692     [in] IAAFDataDef * pDataDef,
17693     [in] aafLength_t  length,
17694     [in] IAAFOperationDef * operationDef);
17695
17696
17697   //***********************************************************
17698   //
17699   // GetOperationDefinition()
17700   //
17726   HRESULT GetOperationDefinition (
17727     [out] IAAFOperationDef ** ppOperationDef);
17728
17729   //***********************************************************
17730   //
17731   // SetOperationDefinition()
17732   //
17754   HRESULT SetOperationDefinition (
17755     [in] IAAFOperationDef * pOperationDef);
17756
17757   //***********************************************************
17758   //
17759   // GetRender()
17760   //
17788   HRESULT GetRender (
17789     [out] IAAFSourceReference ** ppSourceRef);
17790
17791
17792   //***********************************************************
17793   //
17794   // IsATimeWarp()
17795   //
17819   HRESULT IsATimeWarp (
17820     [out, retval] aafBoolean_t *  pIsTimeWarp);
17821
17822
17823   //***********************************************************
17824   //
17825   // GetBypassOverride()
17826   //
17853   HRESULT GetBypassOverride (
17854     [out] aafUInt32 *  pBypassOverride);
17855
17856
17857   //***********************************************************
17858   //
17859   // CountSourceSegments()
17860   //
17880   HRESULT CountSourceSegments (
17881     [out] aafUInt32 *  pResult);
17882
17883
17884   //***********************************************************
17885   //
17886   // IsValidTranOperation()
17887   //
17911   HRESULT IsValidTranOperation (
17912     [out] aafBoolean_t *  pValidTransition);
17913
17914
17915   //***********************************************************
17916   //
17917   // CountParameters()
17918   //
17938   HRESULT CountParameters (
17939     [out] aafUInt32 *  pResult);
17940
17941
17942   //***********************************************************
17943   //
17944   // AddParameter()
17945   //
17966   HRESULT AddParameter (
17967     [in] IAAFParameter * pParameter);
17968
17969
17970   //***********************************************************
17971   //
17972   // AppendInputSegment()
17973   //
17994   HRESULT AppendInputSegment (
17995     [in] IAAFSegment * pSegment);
17996
17997
17998   //***********************************************************
17999   //
18000   // PrependInputSegment()
18001   //
18022   HRESULT PrependInputSegment (
18023     [in] IAAFSegment * pSegment);
18024
18025
18026   //***********************************************************
18027   //
18028   // InsertInputSegmentAt()
18029   //
18059   HRESULT InsertInputSegmentAt (
18060     [in] aafUInt32  index,
18061     [in] IAAFSegment * pSegment);
18062
18063
18064   //***********************************************************
18065   //
18066   // SetRender()
18067   //
18091   HRESULT SetRender (
18092     [in] IAAFSourceReference * ppSourceRef);
18093
18094
18095   //***********************************************************
18096   //
18097   // SetBypassOverride()
18098   //
18114   HRESULT SetBypassOverride (
18115     [in] aafUInt32  bypassOverride);
18116
18117
18118   //***********************************************************
18119   //
18120   // GetParameters()
18121   //
18141   HRESULT GetParameters (
18142     [out] IEnumAAFParameters ** ppEnum);
18143
18144
18145   //***********************************************************
18146   //
18147   // LookupParameter()
18148   //
18173   HRESULT LookupParameter (
18174     [in] aafArgIDType_constref  argID,
18175     [out] IAAFParameter ** ppParameter);
18176
18177
18178   //***********************************************************
18179   //
18180   // GetInputSegmentAt()
18181   //
18207   HRESULT GetInputSegmentAt (
18208     [in] aafUInt32  index,
18209     [out] IAAFSegment ** ppInputSegment);
18210
18211
18212   //***********************************************************
18213   //
18214   // RemoveInputSegmentAt()
18215   //
18236   HRESULT RemoveInputSegmentAt (
18237     [in] aafUInt32  index);
18238 }
18239
18240
18241
18242 // ************************
18243 //
18244 // Interface IAAFPCMDescriptor
18245 //
18246 // ************************
18259
18260
18268 [
18269     object,
18270     uuid(F17D58D8-5107-47e4-9ABA-8329FC1B2C84),
18271     helpstring("IAAFPCMDescriptor Interface"),
18272     pointer_default(unique)
18273 ]
18274 interface IAAFPCMDescriptor : IUnknown
18275 {
18276
18277   //***********************************************************
18278   //
18279   // Initialize()
18280   //
18298   HRESULT Initialize ();
18299
18300
18301   //***********************************************************
18302   //
18303   // SetBlockAlign()
18304   //
18324   HRESULT SetBlockAlign (
18325     [in] aafUInt16  blockAlign);
18326
18327
18328   //***********************************************************
18329   //
18330   // GetBlockAlign()
18331   //
18354   HRESULT GetBlockAlign (
18355     [out] aafUInt16 *  pBlockAlign);
18356
18357
18358   //***********************************************************
18359   //
18360   // SetSequenceOffset()
18361   //
18382   HRESULT SetSequenceOffset (
18383     [in] aafUInt8  offset);
18384
18385
18386   //***********************************************************
18387   //
18388   // GetSequenceOffset()
18389   //
18417   HRESULT GetSequenceOffset (
18418     [out] aafUInt8 *  pOffset);
18419
18420
18421   //***********************************************************
18422   //
18423   // SetAverageBPS()
18424   //
18444   HRESULT SetAverageBPS (
18445     [in] aafUInt32  bps);
18446
18447
18448   //***********************************************************
18449   //
18450   // GetAverageBPS()
18451   //
18474   HRESULT GetAverageBPS (
18475     [out] aafUInt32 *  pBps);
18476
18477
18478   //***********************************************************
18479   //
18480   // SetChannelAssignment()
18481   //
18500   HRESULT SetChannelAssignment (
18501     [in, ref] aafUID_constref  channelAssignment);
18502
18503
18504   //***********************************************************
18505   //
18506   // GetChannelAssignment()
18507   //
18533   HRESULT GetChannelAssignment (
18534     [out] aafUID_t *  pChannelAssignment);
18535
18536
18537   //***********************************************************
18538   //
18539   // AreAllPeakEnvelopePropertiesPresent()
18540   //
18571   HRESULT AreAllPeakEnvelopePropertiesPresent (
18572     [out] aafBoolean_t *  pArePresent);
18573
18574
18575   //***********************************************************
18576   //
18577   // SetPeakEnvelopeVersion()
18578   //
18596   HRESULT SetPeakEnvelopeVersion (
18597     [in] aafUInt32  version);
18598
18599
18600   //***********************************************************
18601   //
18602   // GetPeakEnvelopeVersion()
18603   //
18630   HRESULT GetPeakEnvelopeVersion (
18631     [out] aafUInt32 *  pVersion);
18632
18633
18634   //***********************************************************
18635   //
18636   // SetPeakEnvelopeFormat()
18637   //
18655   HRESULT SetPeakEnvelopeFormat (
18656     [in] aafUInt32  format);
18657
18658
18659   //***********************************************************
18660   //
18661   // GetPeakEnvelopeFormat()
18662   //
18689   HRESULT GetPeakEnvelopeFormat (
18690     [out] aafUInt32 *  pFormat);
18691
18692
18693   //***********************************************************
18694   //
18695   // SetPointsPerPeakValue()
18696   //
18715   HRESULT SetPointsPerPeakValue (
18716     [in] aafUInt32  pointCount);
18717
18718
18719   //***********************************************************
18720   //
18721   // GetPointsPerPeakValue()
18722   //
18749   HRESULT GetPointsPerPeakValue (
18750     [out] aafUInt32 *  pPointCount);
18751
18752
18753   //***********************************************************
18754   //
18755   // SetPeakEnvelopeBlockSize()
18756   //
18775   HRESULT SetPeakEnvelopeBlockSize (
18776     [in] aafUInt32  blockSize);
18777
18778
18779   //***********************************************************
18780   //
18781   // GetPeakEnvelopeBlockSize()
18782   //
18809   HRESULT GetPeakEnvelopeBlockSize (
18810     [out] aafUInt32 *  pBlockSize);
18811
18812
18813   //***********************************************************
18814   //
18815   // SetPeakChannelCount()
18816   //
18834   HRESULT SetPeakChannelCount (
18835     [in] aafUInt32  channelCount);
18836
18837
18838   //***********************************************************
18839   //
18840   // GetPeakChannelCount()
18841   //
18868   HRESULT GetPeakChannelCount (
18869     [out] aafUInt32 *  pChannelCount);
18870
18871
18872   //***********************************************************
18873   //
18874   // SetPeakFrameCount()
18875   //
18893   HRESULT SetPeakFrameCount (
18894     [in] aafUInt32  frameCount);
18895
18896
18897   //***********************************************************
18898   //
18899   // GetPeakFrameCount()
18900   //
18927   HRESULT GetPeakFrameCount (
18928     [out] aafUInt32 *  pFrameCount);
18929
18930
18931   //***********************************************************
18932   //
18933   // SetPeakOfPeaksPosition()
18934   //
18954   HRESULT SetPeakOfPeaksPosition (
18955     [in] aafPosition_t  position);
18956
18957
18958   //***********************************************************
18959   //
18960   // GetPeakOfPeaksPosition()
18961   //
18989   HRESULT GetPeakOfPeaksPosition (
18990     [out] aafPosition_t *  pPosition);
18991
18992
18993   //***********************************************************
18994   //
18995   // SetPeakEnvelopeTimestamp()
18996   //
19014   HRESULT SetPeakEnvelopeTimestamp (
19015     [in] aafTimeStamp_constref  timeStamp);
19016
19017
19018   //***********************************************************
19019   //
19020   // GetPeakEnvelopeTimestamp()
19021   //
19048   HRESULT GetPeakEnvelopeTimestamp (
19049     [out] aafTimeStamp_t *  pTimeStamp);
19050
19051
19052   //***********************************************************
19053   //
19054   // SetPeakEnvelopeDataPosition()
19055   //
19077   HRESULT SetPeakEnvelopeDataPosition (
19078     [in] aafPosition_t  position);
19079
19080
19081   //***********************************************************
19082   //
19083   // GetPeakEnvelopeDataPosition()
19084   //
19113   HRESULT GetPeakEnvelopeDataPosition (
19114     [out] aafPosition_t *  pPosition);
19115
19116
19117   //***********************************************************
19118   //
19119   // GetPeakEnvelopeDataSize()
19120   //
19151   HRESULT GetPeakEnvelopeDataSize (
19152     [out] aafLength_t *  pSize);
19153
19154
19155   //***********************************************************
19156   //
19157   // WritePeakEnvelopeData()
19158   //
19198   HRESULT WritePeakEnvelopeData (
19199     [in] aafUInt32  bytes,
19200     [out, size_is(bytes)] aafDataBuffer_t  buffer,
19201     [out,ref] aafUInt32 *  pBytesWritten);
19202
19203
19204   //***********************************************************
19205   //
19206   // ReadPeakEnvelopeData()
19207   //
19250   HRESULT ReadPeakEnvelopeData (
19251     [in] aafUInt32  bytes,
19252     [out, size_is(bytes)] aafDataBuffer_t  buffer,
19253     [out,ref] aafUInt32 *  pBytesRead);
19254 }
19255
19256
19257
19258 // ************************
19259 //
19260 // Interface IAAFParameter
19261 //
19262 // ************************
19276
19277
19278
19279
19280
19284 [
19285     object,
19286     uuid(9c568a81-2096-11d2-bf98-006097116212),
19287     helpstring("IAAFParameter Interface"),
19288     pointer_default(unique)
19289 ]
19290 interface IAAFParameter : IUnknown
19291 {
19292
19293
19294   //***********************************************************
19295   //
19296   // GetParameterDefinition()
19297   //
19321   HRESULT GetParameterDefinition (
19322     [out,retval] IAAFParameterDef ** ppParmDef);
19323
19324   //***********************************************************
19325   //
19326   // GetTypeDefinition()
19327   //
19356   HRESULT GetTypeDefinition (
19357     [out,retval] IAAFTypeDef ** ppTypeDef);
19358 }
19359
19360
19361
19362 // ************************
19363 //
19364 // Interface IAAFParameterDef
19365 //
19366 // ************************
19383
19384
19385
19390 [
19391     object,
19392     uuid(20045fa1-1d87-11d2-bf96-006097116212),
19393     helpstring("IAAFParameterDef Interface"),
19394     pointer_default(unique)
19395 ]
19396 interface IAAFParameterDef : IUnknown
19397 {
19398
19399   //***********************************************************
19400   //
19401   // Initialize()
19402   //
19410   HRESULT Initialize (
19411     [in, ref] aafUID_constref  id,
19412     [in, string] aafCharacter_constptr  pName,
19413     [in, string] aafCharacter_constptr  pDescription,
19414     [in] IAAFTypeDef * pType);
19415
19416
19417   //***********************************************************
19418   //
19419   // GetTypeDefinition()
19420   //
19451   HRESULT GetTypeDefinition (
19452     [retval,out] IAAFTypeDef ** ppTypeDef);
19453
19454
19455   //***********************************************************
19456   //
19457   // SetDisplayUnits()
19458   //
19487   HRESULT SetDisplayUnits (
19488     [in, string] aafCharacter_constptr  pDisplayUnits);
19489
19490
19491   //***********************************************************
19492   //
19493   // GetDisplayUnits()
19494   //
19532   HRESULT GetDisplayUnits (
19533     [out, string, size_is(bufSize)] aafCharacter *  pDisplayUnits,
19534     [in] aafUInt32  bufSize);
19535
19536
19537   //***********************************************************
19538   //
19539   // GetDisplayUnitsBufLen()
19540   //
19558   HRESULT GetDisplayUnitsBufLen (
19559     [out] aafUInt32 *  pBufSize);
19560 }
19561
19562
19563
19564 // ************************
19565 //
19566 // Interface IAAFPhysicalDescriptor
19567 //
19568 // ************************
19569
19582
19583
19588 [
19589     object,
19590     uuid(e3a1234e-a544-448e-95f0-ed4944edafc8),
19591     helpstring("IAAFPhysicalDescriptor Interface"),
19592     pointer_default(unique)
19593 ]
19594 interface IAAFPhysicalDescriptor : IUnknown
19595 {
19596
19597
19598 }
19599
19600
19601
19602 // ************************
19603 //
19604 // Interface IAAFPlainEssenceData
19605 //
19606 // ************************
19621 [
19622     object,
19623     uuid(3bde74ff-7305-4a19-b3b1-b13501404dff),
19624     helpstring("IAAFPlainEssenceData Interface"),
19625     pointer_default(unique)
19626 ]
19627 interface IAAFPlainEssenceData : IUnknown
19628 {
19629
19630   //***********************************************************
19631   //
19632   // Initialize()
19633   //
19655   HRESULT Initialize (
19656     [in] IAAFSourceMob * pFileMob);
19657
19658
19659   //***********************************************************
19660   //
19661   // Write()
19662   //
19669   HRESULT Write (
19670     [in] aafUInt32  bytes,
19671     [out, size_is(bytes)] aafDataBuffer_t  buffer,
19672     [out,ref] aafUInt32 *  bytesWritten);
19673
19674
19675   //***********************************************************
19676   //
19677   // Read()
19678   //
19685   HRESULT Read (
19686     [in] aafUInt32  bytes,
19687     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
19688     [out,ref] aafUInt32 *  bytesRead);
19689
19690
19691   //***********************************************************
19692   //
19693   // SetPosition()
19694   //
19699   HRESULT SetPosition (
19700     [in] aafPosition_t  offset);
19701
19702
19703   //***********************************************************
19704   //
19705   // GetPosition()
19706   //
19711   HRESULT GetPosition (
19712     [out] aafPosition_t*  pOffset);
19713
19714
19715   //***********************************************************
19716   //
19717   // GetSize()
19718   //
19723   HRESULT GetSize (
19724     [out] aafLength_t *  pSize );
19725
19726
19727   //***********************************************************
19728   //
19729   // WriteSampleIndex()
19730   //
19737   HRESULT WriteSampleIndex (
19738     [in] aafUInt32  bytes,
19739     [out, size_is(bytes)] aafDataBuffer_t  buffer,
19740     [out,ref] aafUInt32 *  bytesWritten);
19741
19742
19743   //***********************************************************
19744   //
19745   // ReadSampleIndex()
19746   //
19753   HRESULT ReadSampleIndex (
19754     [in] aafUInt32  bytes,
19755     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
19756     [out,ref] aafUInt32 *  bytesRead);
19757
19758
19759   //***********************************************************
19760   //
19761   // SetSampleIndexPosition()
19762   //
19767   HRESULT SetSampleIndexPosition (
19768     [in] aafPosition_t  offset);
19769
19770
19771   //***********************************************************
19772   //
19773   // GetSampleIndexPosition()
19774   //
19779   HRESULT GetSampleIndexPosition (
19780     [out] aafPosition_t*  pOffset);
19781
19782
19783   //***********************************************************
19784   //
19785   // GetSampleIndexSize()
19786   //
19791   HRESULT GetSampleIndexSize (
19792     [out] aafLength_t *  pSize );
19793
19794
19795   //***********************************************************
19796   //
19797   // SetFileMob()
19798   //
19820   HRESULT SetFileMob (
19821     [in] IAAFSourceMob * pFileMob);
19822
19823
19824   //***********************************************************
19825   //
19826   // GetFileMob()
19827   //
19850   HRESULT GetFileMob (
19851     [in] IAAFSourceMob ** ppFileMob);
19852
19853
19854   //***********************************************************
19855   //
19856   // GetFileMobID()
19857   //
19864   HRESULT GetFileMobID (
19865     [out] aafMobID_t *  pFileMobID);
19866
19867
19868
19869
19870 }
19871
19872
19873 // ************************
19874 //
19875 // Interface IAAFPlainStreamData
19876 //
19877 // ************************
19895 [
19896     object,
19897     uuid(86f9aaff-b6ad-4f3e-a71c-f69f1b4c48a5),
19898     helpstring("IAAFPlainStreamData Interface"),
19899     pointer_default(unique)
19900 ]
19901 interface IAAFPlainStreamData : IUnknown
19902 {
19903
19904
19905   //***********************************************************
19906   //
19907   // GetSize()
19908   //
19933   HRESULT GetSize (
19934     [in] IAAFPropertyValue * pStreamPropertyValue,
19935     [out] aafInt64 *  pSize);
19936
19937   //***********************************************************
19938   //
19939   // SetSize()
19940   //
19963   HRESULT SetSize (
19964     [in] IAAFPropertyValue * pStreamPropertyValue,
19965     [in] aafInt64  newSize);
19966
19967   //***********************************************************
19968   //
19969   // GetPosition()
19970   //
19994   HRESULT GetPosition (
19995     [in] IAAFPropertyValue * pStreamPropertyValue,
19996     [out] aafInt64 *  pPosition);
19997
19998   //***********************************************************
19999   //
20000   // SetPosition()
20001   //
20028   HRESULT SetPosition (
20029     [in] IAAFPropertyValue * pStreamPropertyValue,
20030     [in] aafInt64  newPosition);
20031
20032
20033   //***********************************************************
20034   //
20035   // Read()
20036   //
20066   HRESULT Read (
20067     [in] IAAFPropertyValue * pStreamPropertyValue,
20068     [in] aafUInt32  dataSize,
20069     [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t  pData,
20070     [out,ref] aafUInt32 *  bytesRead);
20071
20072   //***********************************************************
20073   //
20074   // Write()
20075   //
20103   HRESULT Write (
20104     [in] IAAFPropertyValue * pStreamPropertyValue,
20105     [in] aafUInt32  dataSize,
20106     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
20107
20108   //***********************************************************
20109   //
20110   // Append()
20111   //
20139   HRESULT Append (
20140     [in] IAAFPropertyValue * pStreamPropertyValue,
20141     [in] aafUInt32  dataSize,
20142     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
20143
20144
20145   //***********************************************************
20146   //
20147   // HasStoredByteOrder()
20148   //
20173   HRESULT HasStoredByteOrder (
20174     [in] IAAFPropertyValue * pStreamPropertyValue,
20175     [out] aafBoolean_t *  pHasByteOrder);
20176
20177   //***********************************************************
20178   //
20179   // GetStoredByteOrder()
20180   //
20204   HRESULT GetStoredByteOrder (
20205     [in] IAAFPropertyValue * pStreamPropertyValue,
20206     [out] eAAFByteOrder_t *  pByteOrder);
20207
20208   //***********************************************************
20209   //
20210   // SetStoredByteOrder()
20211   //
20236   HRESULT SetStoredByteOrder (
20237     [in] IAAFPropertyValue * pStreamPropertyValue,
20238     [in] eAAFByteOrder_t  byteOrder);
20239
20240   //***********************************************************
20241   //
20242   // ClearStoredByteOrder()
20243   //
20267   HRESULT ClearStoredByteOrder (
20268     [in] IAAFPropertyValue * pStreamPropertyValue);
20269
20270
20271   //***********************************************************
20272   //
20273   // ReadElements()
20274   //
20319   HRESULT ReadElements (
20320     [in] IAAFPropertyValue * pStreamPropertyValue,
20321     [in] IAAFTypeDef * pElementType,
20322     [in] aafUInt32  dataSize,
20323     [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t  pData,
20324     [out,ref] aafUInt32 *  pBytesRead);
20325
20326   //***********************************************************
20327   //
20328   // WriteElements()
20329   //
20371   HRESULT WriteElements (
20372     [in] IAAFPropertyValue * pStreamPropertyValue,
20373     [in] IAAFTypeDef * pElementType,
20374     [in] aafUInt32  dataSize,
20375     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
20376
20377
20378 cpp_quote("  /// Extend in chunks of typed Elements")
20379
20380   //***********************************************************
20381   //
20382   // AppendElements()
20383   //
20424   HRESULT AppendElements (
20425     [in] IAAFPropertyValue * pStreamPropertyValue,
20426     [in] IAAFTypeDef * pElementType,
20427     [in] aafUInt32  dataSize,
20428     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
20429
20430
20431
20432
20433 }
20434
20435
20436 // ************************
20437 //
20438 // Interface IAAFPluginDef
20439 //
20440 // ************************
20457 [
20458     object,
20459     uuid(AD1BB854-DBB2-11d2-809C-006008143E6F),
20460     helpstring("IAAFPluginDef Interface"),
20461     pointer_default(unique)
20462 ]
20463 interface IAAFPluginDef : IUnknown
20464 {
20465
20466   //***********************************************************
20467   //
20468   // Initialize()
20469   //
20476   HRESULT Initialize (
20477     [in, ref] aafUID_constref  id,
20478     [in] aafCharacter_constptr  pName,
20479     [in] aafCharacter_constptr  pDescription);
20480
20481   //***********************************************************
20482   //
20483   // GetCategoryClass()
20484   //
20511   HRESULT GetCategoryClass (
20512     [out] aafUID_t *  pCategoryClass);
20513
20514
20515   //***********************************************************
20516   //
20517   // SetCategoryClass()
20518   //
20538   HRESULT SetCategoryClass (
20539     [in, ref] aafUID_constref  categoryClass);
20540
20541
20542   //***********************************************************
20543   //
20544   // GetPluginVersion()
20545   //
20569   HRESULT GetPluginVersion (
20570     [out] aafVersionType_t *  pVersion);
20571
20572
20573   //***********************************************************
20574   //
20575   // SetPluginVersion()
20576   //
20597   HRESULT SetPluginVersion (
20598     [in] aafVersionType_t *  pVersion);
20599
20600
20601   //***********************************************************
20602   //
20603   // SetPluginVersionString()
20604   //
20633   HRESULT SetPluginVersionString (
20634     [in, string] aafCharacter_constptr  pPluginVersionString);
20635
20636
20637   //***********************************************************
20638   //
20639   // GetPluginVersionString()
20640   //
20678   HRESULT GetPluginVersionString (
20679     [out, string, size_is(bufSize)] aafCharacter *  pPluginVersionString,
20680     [in] aafUInt32  bufSize);
20681
20682
20683   //***********************************************************
20684   //
20685   // GetPluginVersionStringBufLen()
20686   //
20704   HRESULT GetPluginVersionStringBufLen (
20705     [out] aafUInt32 *  pBufSize);
20706
20707
20708   //***********************************************************
20709   //
20710   // SetPluginManufacturerName()
20711   //
20740   HRESULT SetPluginManufacturerName (
20741     [in, string] aafCharacter_constptr  pPluginManufacturerName);
20742
20743
20744   //***********************************************************
20745   //
20746   // GetPluginManufacturerName()
20747   //
20785   HRESULT GetPluginManufacturerName (
20786     [out, string, size_is(bufSize)] aafCharacter *  pPluginManufacturerName,
20787     [in] aafUInt32  bufSize);
20788
20789
20790   //***********************************************************
20791   //
20792   // GetPluginManufacturerNameBufLen()
20793   //
20811   HRESULT GetPluginManufacturerNameBufLen (
20812     [out] aafUInt32 *  pBufSize);
20813
20814
20815   //***********************************************************
20816   //
20817   // GetManufacturerInfo()
20818   //
20842   HRESULT GetManufacturerInfo (
20843     [out, retval] IAAFNetworkLocator ** ppResult);
20844
20845
20846   //***********************************************************
20847   //
20848   // SetManufacturerInfo()
20849   //
20865   HRESULT SetManufacturerInfo (
20866     [in] IAAFNetworkLocator * pManufacturerInfo);
20867
20868
20869   //***********************************************************
20870   //
20871   // GetManufacturerID()
20872   //
20898   HRESULT GetManufacturerID (
20899     [out] aafUID_t *  pManufacturerID);
20900
20901
20902   //***********************************************************
20903   //
20904   // SetManufacturerID()
20905   //
20924   HRESULT SetManufacturerID (
20925     [in, ref] aafUID_constref  manufacturerID);
20926
20927
20928   //***********************************************************
20929   //
20930   // GetHardwarePlatform()
20931   //
20960   HRESULT GetHardwarePlatform (
20961     [out] aafHardwarePlatform_t *  pHardwarePlatform);
20962
20963
20964   //***********************************************************
20965   //
20966   // SetHardwarePlatform()
20967   //
20988   HRESULT SetHardwarePlatform (
20989     [in] aafHardwarePlatform_constref  hardwarePlatform);
20990
20991
20992   //***********************************************************
20993   //
20994   // GetPlatformVersionRange()
20995   //
21024   HRESULT GetPlatformVersionRange (
21025     [out] aafVersionType_t *  pMinVersion,
21026     [out] aafVersionType_t *  pMaxVersion);
21027
21028
21029   //***********************************************************
21030   //
21031   // SetPlatformMinimumVersion()
21032   //
21049   HRESULT SetPlatformMinimumVersion (
21050     [in] aafVersionType_constref  minVersion);
21051
21052
21053   //***********************************************************
21054   //
21055   // SetPlatformMaximumVersion()
21056   //
21073   HRESULT SetPlatformMaximumVersion (
21074     [in] aafVersionType_constref  maxVersion);
21075
21076
21077   //***********************************************************
21078   //
21079   // GetEngine()
21080   //
21109   HRESULT GetEngine (
21110     [out] aafEngine_t *  pEngine);
21111
21112
21113   //***********************************************************
21114   //
21115   // SetEngine()
21116   //
21138   HRESULT SetEngine (
21139     [in] aafEngine_constref  engine);
21140
21141
21142   //***********************************************************
21143   //
21144   // GetEngineVersionRange()
21145   //
21174   HRESULT GetEngineVersionRange (
21175     [out] aafVersionType_t *  pMinVersion,
21176     [out] aafVersionType_t *  pMaxVersion);
21177
21178
21179   //***********************************************************
21180   //
21181   // SetEngineMinimumVersion()
21182   //
21200   HRESULT SetEngineMinimumVersion (
21201     [in] aafVersionType_constref  minVersion);
21202
21203
21204   //***********************************************************
21205   //
21206   // SetEngineMaximumVersion()
21207   //
21225   HRESULT SetEngineMaximumVersion (
21226     [in] aafVersionType_constref  pMaxVersion);
21227
21228
21229   //***********************************************************
21230   //
21231   // GetPluginAPI()
21232   //
21260   HRESULT GetPluginAPI (
21261     [out] aafPluginAPI_t *  pPluginAPI);
21262
21263
21264   //***********************************************************
21265   //
21266   // SetPluginAPI()
21267   //
21289   HRESULT SetPluginAPI (
21290     [in] aafPluginAPI_constref  pluginAPI);
21291
21292
21293   //***********************************************************
21294   //
21295   // GetPluginAPIVersionRange()
21296   //
21325   HRESULT GetPluginAPIVersionRange (
21326     [out] aafVersionType_t *  pMinVersion,
21327     [out] aafVersionType_t *  pMaxVersion);
21328
21329
21330   //***********************************************************
21331   //
21332   // SetPluginAPIMinimumVersion()
21333   //
21350   HRESULT SetPluginAPIMinimumVersion (
21351     [out] aafVersionType_constref  minVersion);
21352
21353
21354   //***********************************************************
21355   //
21356   // SetPluginAPIMaximumVersion()
21357   //
21373   HRESULT SetPluginAPIMaximumVersion (
21374     [in] aafVersionType_constref  maxVersion);
21375
21376
21377   //***********************************************************
21378   //
21379   // IsSoftwareOnly()
21380   //
21407   HRESULT IsSoftwareOnly (
21408     [out] aafBoolean_t *  pIsSoftwareOnly);
21409
21410
21411   //***********************************************************
21412   //
21413   // SetIsSoftwareOnly()
21414   //
21434   HRESULT SetIsSoftwareOnly (
21435     [in] aafBoolean_t  isSoftwareOnly);
21436
21437
21438   //***********************************************************
21439   //
21440   // IsAccelerated()
21441   //
21466   HRESULT IsAccelerated (
21467     [out] aafBoolean_t *  pIsAccelerated);
21468
21469
21470   //***********************************************************
21471   //
21472   // SetIsAccelerated()
21473   //
21493   HRESULT SetIsAccelerated (
21494     [in] aafBoolean_t  isAccelerated);
21495
21496
21497   //***********************************************************
21498   //
21499   // SupportsAuthentication()
21500   //
21526   HRESULT SupportsAuthentication (
21527     [out] aafBoolean_t *  pSupportsAuthentication);
21528
21529
21530   //***********************************************************
21531   //
21532   // SetSupportsAuthentication()
21533   //
21550   HRESULT SetSupportsAuthentication (
21551     [in] aafBoolean_t  SupportsAuthentication);
21552
21553
21554
21555   //***********************************************************
21556   //
21557   // CountLocators()
21558   //
21580   HRESULT CountLocators (
21581     [out] aafUInt32 *  pResult);
21582
21583
21584   //***********************************************************
21585   //
21586   // AppendLocator()
21587   //
21609   HRESULT AppendLocator (
21610     [in] IAAFLocator * pLocator);
21611
21612
21613   //***********************************************************
21614   //
21615   // PrependLocator()
21616   //
21638   HRESULT PrependLocator (
21639     [in] IAAFLocator * pLocator);
21640
21641
21642   //***********************************************************
21643   //
21644   // InsertLocatorAt()
21645   //
21674   HRESULT InsertLocatorAt (
21675     [in] aafUInt32  index,
21676     [in] IAAFLocator * pLocator);
21677
21678
21679   //***********************************************************
21680   //
21681   // GetLocatorAt()
21682   //
21709   HRESULT GetLocatorAt (
21710     [in] aafUInt32  index,
21711     [out] IAAFLocator ** ppLocator);
21712
21713
21714   //***********************************************************
21715   //
21716   // RemoveLocatorAt()
21717   //
21745   HRESULT RemoveLocatorAt (
21746     [in] aafUInt32  index);
21747
21748
21749
21750   //***********************************************************
21751   //
21752   // GetLocators()
21753   //
21784   HRESULT GetLocators (
21785     [out, retval] IEnumAAFPluginLocators ** ppEnum);
21786
21787     //***********************************************************
21788   //
21789   // SetDefinitionObjectID()
21790   //
21795   HRESULT SetDefinitionObjectID (
21796     [in] aafUID_t  pDef);
21797
21798     //***********************************************************
21799   //
21800   // GetDefinitionObjectID()
21801   //
21806   HRESULT GetDefinitionObjectID (
21807     [retval,out] aafUID_t*  ppDef);
21808
21809 }
21810
21811
21812
21813
21814 // ************************
21815 //
21816 // Interface IAAFPluginManager
21817 //
21818 // ************************
21833 [
21834     object,
21835     uuid(AD1BB85C-DBB2-11d2-809C-006008143E6F),
21836     helpstring("IAAFPluginManager Interface"),
21837     pointer_default(unique)
21838 ]
21839 interface IAAFPluginManager : IUnknown
21840 {
21841
21842   //***********************************************************
21843   //
21844   // RegisterSharedPlugins()
21845   //
21849   HRESULT RegisterSharedPlugins ();
21850
21851
21852   //***********************************************************
21853   //
21854   // RegisterPluginDirectory()
21855   //
21861   HRESULT RegisterPluginDirectory (
21862     [in] aafCharacter_constptr  directoryName);
21863
21864
21865   //***********************************************************
21866   //
21867   // RegisterPluginFile()
21868   //
21874   HRESULT RegisterPluginFile (
21875     [in] aafCharacter_constptr  fileName);
21876
21877
21878   //***********************************************************
21879   //
21880   // EnumLoadedPlugins()
21881   //
21904   HRESULT EnumLoadedPlugins (
21905     [in, ref] aafUID_constref  categoryID,
21906     [out,retval] IEnumAAFLoadedPlugins ** ppEnum);
21907
21908
21909   //***********************************************************
21910   //
21911   // CreatePluginDefinition()
21912   //
21942   HRESULT CreatePluginDefinition (
21943     [in, ref] aafUID_constref  pluginDefID,
21944     [in] IAAFDictionary * pDictionary,
21945     [out] IAAFDefObject**  ppPluginDef);
21946
21947
21948   //***********************************************************
21949   //
21950   // CreateInstance()
21951   //
21984   HRESULT CreateInstance (
21985     [in] REFCLSID  rclsid,
21986     [in] IUnknown *  pUnkOuter,
21987     [in] REFIID  riid,
21988     [out,iid_is(riid)] void **  ppPlugin);
21989 }
21990
21991
21992
21993 // ************************
21994 //
21995 // Interface IAAFProperty
21996 //
21997 // ************************
22009 [
22010     object,
22011     uuid(83057d74-9691-11d2-aa7f-80e6aa000000),
22012     helpstring("IAAFProperty Interface"),
22013     pointer_default(unique)
22014 ]
22015 interface IAAFProperty : IUnknown
22016 {
22017
22018   //***********************************************************
22019   //
22020   // GetDefinition()
22021   //
22049   HRESULT GetDefinition (
22050     [out] IAAFPropertyDef ** ppPropDef);
22051
22052
22053   //***********************************************************
22054   //
22055   // GetValue()
22056   //
22081   HRESULT GetValue (
22082     [out] IAAFPropertyValue ** ppValue);
22083 }
22084
22085
22086
22087 // ************************
22088 //
22089 // Interface IAAFPropertyDef
22090 //
22091 // ************************
22109
22110
22111
22112
22113
22117 [
22118     object,
22119     uuid(dfbd6521-1d81-11d2-bf96-006097116212),
22120     helpstring("IAAFPropertyDef Interface"),
22121     pointer_default(unique)
22122 ]
22123 interface IAAFPropertyDef : IUnknown
22124 {
22125
22126   //***********************************************************
22127   //
22128   // GetTypeDef()
22129   //
22144   HRESULT GetTypeDef (
22145     [out] IAAFTypeDef ** ppTypeDef);
22146
22147
22148   //***********************************************************
22149   //
22150   // GetName()
22151   //
22189   HRESULT GetName (
22190     [out, string, size_is(bufSize)] aafCharacter *  pName,
22191     [in] aafUInt32  bufSize);
22192
22193
22194   //***********************************************************
22195   //
22196   // GetNameBufLen()
22197   //
22215   HRESULT GetNameBufLen (
22216     [out] aafUInt32 *  pBufSize);
22217
22218
22219   //***********************************************************
22220   //
22221   // GetIsOptional()
22222   //
22241   HRESULT GetIsOptional (
22242     [out, retval] aafBoolean_t *  pIsOptional);
22243
22244   //***********************************************************
22245   //
22246   // GetIsUniqueIdentifier()
22247   //
22266   HRESULT GetIsUniqueIdentifier (
22267     [out, retval] aafBoolean_t *  pIsUniqueIdentifier);
22268
22269
22270
22271
22272   //***********************************************************
22273   //
22274   // SetDescription()
22275   //
22304   HRESULT SetDescription (
22305     [in, string] aafCharacter_constptr  pDescription);
22306
22307
22308   //***********************************************************
22309   //
22310   // GetDescription()
22311   //
22349   HRESULT GetDescription (
22350     [out, string, size_is(bufSize)] aafCharacter *  pDescription,
22351     [in] aafUInt32  bufSize);
22352
22353
22354   //***********************************************************
22355   //
22356   // GetDescriptionBufLen()
22357   //
22375   HRESULT GetDescriptionBufLen (
22376     [out] aafUInt32 *  pBufSize);
22377
22378 }
22379
22380
22381
22382 // ************************
22383 //
22384 // Interface IAAFPropertyValue
22385 //
22386 // ************************
22400 [
22401     object,
22402     uuid(83057d72-9691-11d2-aa7f-80e6aa000000),
22403     helpstring("IAAFPropertyValue Interface"),
22404     pointer_default(unique)
22405 ]
22406 interface IAAFPropertyValue : IUnknown
22407 {
22408
22409   //***********************************************************
22410   //
22411   // GetType()
22412   //
22435   HRESULT GetType (
22436     [out] IAAFTypeDef ** ppTypeDef);
22437
22438
22439   //***********************************************************
22440   //
22441   // IsDefinedType()
22442   //
22468   HRESULT IsDefinedType (
22469     [out] aafBoolean_t *  pIsDefined);
22470 }
22471
22472
22473
22474 // ************************
22475 //
22476 // Interface IAAFPulldown
22477 //
22478 // ************************
22492
22493
22500 [
22501     object,
22502     uuid(92B88031-2B2B-11d2-BF7E-00104BC9156D),
22503     helpstring("IAAFPulldown Interface"),
22504     pointer_default(unique)
22505 ]
22506 interface IAAFPulldown : IUnknown
22507 {
22508
22509   //***********************************************************
22510   //
22511   // GetInputSegment()
22512   //
22539   HRESULT GetInputSegment (
22540     [out] IAAFSegment ** ppInputSegment);
22541
22542
22543   //***********************************************************
22544   //
22545   // SetInputSegment()
22546   //
22567   HRESULT SetInputSegment (
22568     [in] IAAFSegment * pInputSegment);
22569
22570
22571   //***********************************************************
22572   //
22573   // GetPulldownKind()
22574   //
22598   HRESULT GetPulldownKind (
22599     [out] aafPulldownKind_t *  pPulldownKind);
22600
22601
22602   //***********************************************************
22603   //
22604   // SetPulldownKind()
22605   //
22625   HRESULT SetPulldownKind (
22626     [in] aafPulldownKind_t  pulldownKind);
22627
22628
22629   //***********************************************************
22630   //
22631   // GetPulldownDirection()
22632   //
22665   HRESULT GetPulldownDirection (
22666     [out] aafPulldownDir_t *  pPulldownDirection);
22667
22668
22669   //***********************************************************
22670   //
22671   // SetPulldownDirection()
22672   //
22701   HRESULT SetPulldownDirection (
22702     [in] aafPulldownDir_t  pulldownDirection);
22703
22704
22705   //***********************************************************
22706   //
22707   // GetPhaseFrame()
22708   //
22733   HRESULT GetPhaseFrame (
22734     [out] aafPhaseFrame_t *  pPhaseFrame);
22735
22736
22737   //***********************************************************
22738   //
22739   // SetPhaseFrame()
22740   //
22761   HRESULT SetPhaseFrame (
22762     [in] aafPhaseFrame_t  phaseFrame);
22763
22764
22765
22766
22767
22768
22769 }
22770
22771
22772
22773 // ************************
22774 //
22775 // Interface IAAFRGBADescriptor
22776 //
22777 // ************************
22778
22779
22818 [
22819     object,
22820     uuid(e684d772-b935-11d2-bf9d-00104bc9156d),
22821     helpstring("IAAFRGBADescriptor Interface"),
22822     pointer_default(unique)
22823 ]
22824
22825 interface IAAFRGBADescriptor : IUnknown
22826 {
22827
22828   //***********************************************************
22829   //
22830   // SetPixelLayout()
22831   //
22856   HRESULT SetPixelLayout (
22857     [in] aafUInt32  numberElements,
22858     [in] aafRGBAComponent_t*  PixelLayoutArray);
22859
22860   //***********************************************************
22861   //
22862   // CountPixelLayoutElements()
22863   //
22887   HRESULT CountPixelLayoutElements (
22888     [out] aafUInt32 *  pResult);
22889
22890   //***********************************************************
22891   //
22892   // GetPixelLayout()
22893   //
22926   HRESULT GetPixelLayout (
22927     [in] aafUInt32  numberElements,
22928     [out, size_is(numberElements)] aafRGBAComponent_t*  PixelLayoutArray);
22929
22930   //***********************************************************
22931   //
22932   // SetPalette()
22933   //
22954   HRESULT SetPalette (
22955     [in] aafUInt32  numberElements,
22956     [in, size_is(numberElements)] aafUInt8*  pPalette);
22957
22958
22959   //***********************************************************
22960   //
22961   // GetPalette()
22962   //
22991   HRESULT GetPalette (
22992     [in] aafUInt32  numberRecords,
22993     [out, size_is(numberRecords)] aafUInt8*  pPalette);
22994
22995
22996   //***********************************************************
22997   //
22998   // GetPaletteSize()
22999   //
23017   HRESULT GetPaletteSize (
23018     [out] aafUInt32 *  pNumberBytes);
23019
23020   //***********************************************************
23021   //
23022   // CountPaletteLayoutElements()
23023   //
23047   HRESULT CountPaletteLayoutElements (
23048     [out] aafUInt32 *  pResult);
23049
23050   //***********************************************************
23051   //
23052   // SetPaletteLayout()
23053   //
23078   HRESULT SetPaletteLayout (
23079     [in] aafUInt32  numberElements,
23080     [in] aafRGBAComponent_t*  PaletteLayoutArray);
23081
23082   //***********************************************************
23083   //
23084   // GetPaletteLayout()
23085   //
23117   HRESULT GetPaletteLayout (
23118     [in] aafUInt32  numberElements,
23119     [out, size_is(numberElements)] aafRGBAComponent_t*  PaletteLayoutArray);
23120
23121
23122
23123
23124
23125
23126
23127
23128
23129
23130
23131
23132 }
23133
23134
23135 // ************************
23136 //
23137 // Interface IAAFRandomFile
23138 //
23139 // ************************
23155 [
23156     object,
23157     uuid(3CC80284-72A8-11D4-B80D-0000863F2C27),
23158     helpstring("IAAFRandomFile Interface"),
23159     pointer_default(unique)
23160 ]
23161 interface IAAFRandomFile : IUnknown
23162 {
23163
23164   //***********************************************************
23165   //
23166   // GetFileBits()
23167   //
23199   HRESULT GetFileBits (
23200     [out] IAAFGetFileBits ** ppGetFileBits);
23201
23202
23203   //***********************************************************
23204   //
23205   // Revert()
23206   //
23218   HRESULT Revert ();
23219
23220
23221   //***********************************************************
23222   //
23223   // SaveAsFile()
23224   //
23248   HRESULT SaveAsFile (
23249     [in] IAAFFile * pDestFile);
23250
23251
23252   //***********************************************************
23253   //
23254   // SetFileBits()
23255   //
23282   HRESULT SetFileBits (
23283     [out] IAAFSetFileBits ** ppSetFileBits);
23284 }
23285
23286
23287
23288 // ************************
23289 //
23290 // Interface IAAFRandomRawStorage
23291 //
23292 // ************************
23308
23309
23313 [
23314     object,
23315     uuid(B1341782-71FE-11d4-B80D-0000863F2C27),
23316     helpstring("IAAFRandomRawStorage Interface"),
23317     pointer_default(unique)
23318 ]
23319 interface IAAFRandomRawStorage : IUnknown
23320 {
23321
23322   //***********************************************************
23323   //
23324   // ReadAt()
23325   //
23356   HRESULT ReadAt (
23357     [in] aafUInt64  position,
23358     [out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t  buf,
23359     [in] aafUInt32  bufSize,
23360     [out] aafUInt32 *  pNumRead);
23361
23362
23363   //***********************************************************
23364   //
23365   // WriteAt()
23366   //
23406   HRESULT WriteAt (
23407     [in] aafUInt64  position,
23408     [in, size_is(bufSize)] aafMemConstPtr_t  buf,
23409     [in] aafUInt32  bufSize,
23410     [out] aafUInt32 *  pNumWritten);
23411
23412
23413   //***********************************************************
23414   //
23415   // GetSize()
23416   //
23435   HRESULT GetSize (
23436     [out] aafUInt64 *  pSize);
23437
23438
23439   //***********************************************************
23440   //
23441   // IsExtendable()
23442   //
23461   HRESULT IsExtendable (
23462     [out] aafBoolean_t *  pResult);
23463
23464
23465   //***********************************************************
23466   //
23467   // GetExtent()
23468   //
23486   HRESULT GetExtent (
23487     [out] aafUInt64 *  pExtent);
23488
23489
23490   //***********************************************************
23491   //
23492   // SetExtent()
23493   //
23513   HRESULT SetExtent (
23514     [in] aafUInt64  extent);
23515 }
23516
23517
23518
23519 // ************************
23520 //
23521 // Interface IAAFRawStorage
23522 //
23523 // ************************
23547
23548
23549 [
23550     object,
23551     uuid(F45FA9E1-7166-11D4-B80D-0000863F2C27),
23552     helpstring("IAAFRawStorage Interface"),
23553     pointer_default(unique)
23554 ]
23555 interface IAAFRawStorage : IUnknown
23556 {
23557
23558   //***********************************************************
23559   //
23560   // IsReadable()
23561   //
23580   HRESULT IsReadable (
23581     [out] aafBoolean_t *  pResult);
23582
23583
23584   //***********************************************************
23585   //
23586   // Read()
23587   //
23617   HRESULT Read (
23618     [out, size_is(bufSize), length_is(*pNumRead)] aafMemPtr_t  buf,
23619     [in] aafUInt32  bufSize,
23620     [out] aafUInt32 *  pNumRead);
23621
23622
23623   //***********************************************************
23624   //
23625   // IsWriteable()
23626   //
23645   HRESULT IsWriteable (
23646     [out] aafBoolean_t *  pResult);
23647
23648
23649   //***********************************************************
23650   //
23651   // Write()
23652   //
23687   HRESULT Write (
23688     [in, size_is(bufSize)] aafMemConstPtr_t  buf,
23689     [in] aafUInt32  bufSize,
23690     [out] aafUInt32 *  pNumWritten);
23691
23692
23693   //***********************************************************
23694   //
23695   // Synchronize()
23696   //
23706   HRESULT Synchronize ();
23707 }
23708
23709
23710
23711 // ************************
23712 //
23713 // Interface IAAFRIFFChunk
23714 //
23715 // ************************
23732 [
23733     object,
23734     uuid(49b6de18-f562-434e-bfab-a46d144ef22a),
23735     helpstring("IAAFRIFFChunk Interface"),
23736     pointer_default(unique)
23737 ]
23738
23739 interface IAAFRIFFChunk : IUnknown
23740 {
23741
23742   //***********************************************************
23743   //
23744   // Initialize()
23745   //
23768   HRESULT Initialize (
23769     [in] aafUInt32  chunkID);
23770
23771
23772   //***********************************************************
23773   //
23774   // SetChunkID()
23775   //
23777
23792   HRESULT SetChunkID (
23793     [in] aafUInt32  chunkID);
23794
23795   //***********************************************************
23796   //
23797   // GetChunkID()
23798   //
23817   HRESULT GetChunkID (
23818     [out] aafUInt32 *  pChunkID);
23819
23820
23821   //***********************************************************
23822   //
23823   // Read()
23824   //
23831   HRESULT Read (
23832     [in] aafUInt32  bytes,
23833     [out, size_is(bytes), length_is(*pBytesRead)] aafDataBuffer_t  buffer,
23834     [out,ref] aafUInt32 *  pBytesRead);
23835
23836
23837   //***********************************************************
23838   //
23839   // Write()
23840   //
23849   HRESULT Write (
23850     [in] aafUInt32  bytes,
23851     [out, size_is(bytes)] aafDataBuffer_t  buffer,
23852     [out,ref] aafUInt32 *  pBytesWritten);
23853
23854
23855   //***********************************************************
23856   //
23857   // SetPosition()
23858   //
23864   HRESULT SetPosition (
23865     [in] aafPosition_t  offset);
23866
23867
23868   //***********************************************************
23869   //
23870   // GetPosition()
23871   //
23877   HRESULT GetPosition (
23878     [out] aafPosition_t*  pOffset);
23879
23880
23881   //***********************************************************
23882   //
23883   // GetLength()
23884   //
23889   HRESULT GetLength (
23890     [out] aafLength_t *  pLength);
23891
23892
23893 }
23894
23895
23896
23897 // ************************
23898 //
23899 // Interface IAAFRecordingDescriptor
23900 //
23901 // ************************
23902
23920 [
23921     object,
23922     uuid(a6542226-19a7-40ee-9650-a3b9c66ccfe7),
23923     helpstring("IAAFRecordingDescriptor Interface"),
23924     pointer_default(unique)
23925 ]
23926
23927 interface IAAFRecordingDescriptor : IUnknown
23928 {
23929
23930   //***********************************************************
23931   //
23932   // Initialize()
23933   //
23951   HRESULT Initialize ();
23952
23953 }
23954
23955
23956
23957 // ************************
23958 //
23959 // Interface IAAFScopeReference
23960 //
23961 // ************************
23985 [
23986     object,
23987     uuid(e44be453-2099-11d2-bf98-006097116212),
23988     helpstring("IAAFScopeReference Interface"),
23989     pointer_default(unique)
23990 ]
23991 interface IAAFScopeReference : IUnknown
23992 {
23993
23994   //***********************************************************
23995   //
23996   // Create()
23997   //
24014   HRESULT Create (
24015     [in] aafUInt32  RelativeScope,
24016     [in] aafUInt32  RelativeSlot);
24017
24018   //***********************************************************
24019   //
24020   // Initialize()
24021   //
24039   HRESULT Initialize (
24040     [in] IAAFDataDef * pDataDef,
24041     [in] aafUInt32  RelativeScope,
24042     [in] aafUInt32  RelativeSlot);
24043
24044   //***********************************************************
24045   //
24046   // GetRelativeScope()
24047   //
24068   HRESULT GetRelativeScope (
24069     [retval][out] aafUInt32 *  pnRelativeScope);
24070
24071
24072   //***********************************************************
24073   //
24074   // GetRelativeSlot()
24075   //
24096   HRESULT GetRelativeSlot (
24097     [retval][out] aafUInt32 *  pnRelativeSlot);
24098 }
24099
24100
24101
24102 // ************************
24103 //
24104 // Interface IAAFSegment
24105 //
24106 // ************************
24128
24129
24135 [
24136     object,
24137     uuid(7a2f0570-1ba3-11D2-bfaa-006097116212),
24138     helpstring("IAAFSegment Interface"),
24139     pointer_default(unique)
24140 ]
24141 interface IAAFSegment : IUnknown
24142 {
24143
24144   //***********************************************************
24145   //
24146   // SegmentOffsetToTC()
24147   //
24172   HRESULT SegmentOffsetToTC (
24173     [in] aafPosition_t *  pOffset,
24174     [out] aafTimecode_t *  pTimecode);
24175
24176
24177   //***********************************************************
24178   //
24179   // SegmentTCToOffset()
24180   //
24207   HRESULT SegmentTCToOffset (
24208     [in] aafTimecode_t *  pTimecode,
24209     [in] aafRational_t *  pEditRate,
24210     [out] aafFrameOffset_t *  pOffset);
24211 }
24212
24213
24214
24215 // ************************
24216 //
24217 // Interface IAAFSelector
24218 //
24219 // ************************
24242 [
24243     object,
24244     uuid(e684d788-b935-11d2-bf9d-00104bc9156d),
24245     helpstring("IAAFSelector Interface"),
24246     pointer_default(unique)
24247 ]
24248 interface IAAFSelector : IUnknown
24249 {
24250
24251   //***********************************************************
24252   //
24253   // GetSelectedSegment()
24254   //
24281   HRESULT GetSelectedSegment (
24282     [out] IAAFSegment ** ppSelSegment);
24283
24284
24285   //***********************************************************
24286   //
24287   // SetSelectedSegment()
24288   //
24309   HRESULT SetSelectedSegment (
24310     [in] IAAFSegment * pSelSegment);
24311
24312
24313   //***********************************************************
24314   //
24315   // AppendAlternateSegment()
24316   //
24347   HRESULT AppendAlternateSegment (
24348     [in] IAAFSegment * pSegment);
24349
24350
24351   //***********************************************************
24352   //
24353   // GetNumAlternateSegments()
24354   //
24378   HRESULT GetNumAlternateSegments (
24379     [out] aafInt32 *  pNumSegments);
24380
24381
24382   //***********************************************************
24383   //
24384   // EnumAlternateSegments()
24385   //
24415   HRESULT EnumAlternateSegments (
24416     [out, retval] IEnumAAFSegments ** ppEnum);
24417
24418   //***********************************************************
24419   //
24420   // RemoveAlternateSegment()
24421   //
24445   HRESULT RemoveAlternateSegment (
24446     [in] IAAFSegment * pSegment);
24447
24448 }
24449
24450
24451
24452 // ************************
24453 //
24454 // Interface IAAFSequence
24455 //
24456 // ************************
24475 [
24476     object,
24477     uuid(66e855f0-2bc2-11d2-bfaa-006097116212),
24478     helpstring("IAAFSequence Interface"),
24479     pointer_default(unique)
24480 ]
24481 interface IAAFSequence : IUnknown
24482 {
24483
24484   //***********************************************************
24485   //
24486   // Initialize()
24487   //
24516   HRESULT Initialize (
24517     [in] IAAFDataDef * pDataDef);
24518
24519
24520   //***********************************************************
24521   //
24522   // AppendComponent()
24523   //
24575   HRESULT AppendComponent (
24576     [in] IAAFComponent * pComponent);
24577
24578
24579   //***********************************************************
24580   //
24581   // PrependComponent()
24582   //
24634   HRESULT PrependComponent (
24635     [in] IAAFComponent * pComponent);
24636
24637
24638   //***********************************************************
24639   //
24640   // InsertComponentAt()
24641   //
24700   HRESULT InsertComponentAt (
24701     [in] aafUInt32  index,
24702     [in] IAAFComponent * pComponent);
24703
24704
24705   //***********************************************************
24706   //
24707   // GetComponentAt()
24708   //
24740   HRESULT GetComponentAt (
24741     [in] aafUInt32  index,
24742     [out, retval] IAAFComponent ** ppComponent);
24743
24744
24745   //***********************************************************
24746   //
24747   // RemoveComponentAt()
24748   //
24777   HRESULT RemoveComponentAt (
24778     [in] aafUInt32  index);
24779
24780
24781   //***********************************************************
24782   //
24783   // CountComponents()
24784   //
24808   HRESULT CountComponents (
24809     [out] aafUInt32 *  pResult);
24810
24811
24812   //***********************************************************
24813   //
24814   // GetComponents()
24815   //
24845   HRESULT GetComponents (
24846     [out, retval] IEnumAAFComponents ** ppEnum);
24847
24848
24849
24850
24851
24852
24853 }
24854
24855
24856
24857 // ************************
24858 //
24859 // Interface IAAFSetFileBits
24860 //
24861 // ************************
24880
24881
24882 [
24883     object,
24884     uuid(6D950762-8DB4-11D4-B80D-0000863F2C27),
24885     helpstring("IAAFSetFileBits Interface"),
24886     pointer_default(unique)
24887 ]
24888 interface IAAFSetFileBits : IUnknown
24889 {
24890
24891   //***********************************************************
24892   //
24893   // WriteAt()
24894   //
24926   HRESULT WriteAt (
24927     [in, size_is(bufSize)] aafMemPtr_t  buf,
24928     [in] aafUInt32  bufSize,
24929     [in] aafUInt64  position);
24930
24931
24932   //***********************************************************
24933   //
24934   // SetSize()
24935   //
24953   HRESULT SetSize (
24954     [in] aafUInt64  size);
24955 }
24956
24957
24958
24959 // ************************
24960 //
24961 // Interface IAAFSoundDescriptor
24962 //
24963 // ************************
24977
24978
24985 [
24986     object,
24987     uuid(DDC8931E-1A32-4362-BD78-450D0D970047),
24988     helpstring("IAAFSoundDescriptor Interface"),
24989     pointer_default(unique)
24990 ]
24991 interface IAAFSoundDescriptor : IUnknown
24992 {
24993
24994   //***********************************************************
24995   //
24996   // SetCompression()
24997   //
25016   HRESULT SetCompression (
25017     [in] aafUID_constref  compression);
25018
25019
25020   //***********************************************************
25021   //
25022   // GetCompression()
25023   //
25048   HRESULT GetCompression (
25049     [out] aafUID_t *  pCompression);
25050
25051
25052   //***********************************************************
25053   //
25054   // SetChannelCount()
25055   //
25073   HRESULT SetChannelCount (
25074     [in] aafUInt32  channelCount);
25075
25076
25077   //***********************************************************
25078   //
25079   // GetChannelCount()
25080   //
25101   HRESULT GetChannelCount (
25102     [out] aafUInt32 *  pChannelCount);
25103
25104
25105   //***********************************************************
25106   //
25107   // SetAudioSamplingRate()
25108   //
25125   HRESULT SetAudioSamplingRate (
25126     [in] aafRational_t  rate);
25127
25128
25129   //***********************************************************
25130   //
25131   // GetAudioSamplingRate()
25132   //
25152   HRESULT GetAudioSamplingRate (
25153     [out] aafRational_t *  pRate);
25154
25155
25156   //***********************************************************
25157   //
25158   // SetIsLocked()
25159   //
25177   HRESULT SetIsLocked (
25178     [in] aafBoolean_t  locked);
25179
25180
25181   //***********************************************************
25182   //
25183   // IsLocked()
25184   //
25209   HRESULT IsLocked (
25210     [out] aafBoolean_t *  pLocked);
25211
25212
25213   //***********************************************************
25214   //
25215   // SetElectroSpatialFormulation()
25216   //
25233   HRESULT SetElectroSpatialFormulation (
25234     [in] aafElectroSpatialFormulation_t  formulation);
25235
25236
25237   //***********************************************************
25238   //
25239   // GetElectroSpatialFormulation()
25240   //
25264   HRESULT GetElectroSpatialFormulation (
25265     [out] aafElectroSpatialFormulation_t *  pFormulation);
25266
25267
25268   //***********************************************************
25269   //
25270   // SetAudioRefLevel()
25271   //
25287   HRESULT SetAudioRefLevel (
25288     [in] aafInt8  level);
25289
25290
25291   //***********************************************************
25292   //
25293   // GetAudioRefLevel()
25294   //
25317   HRESULT GetAudioRefLevel (
25318     [out] aafInt8 *  pLevel);
25319
25320
25321   //***********************************************************
25322   //
25323   // SetDialNorm()
25324   //
25340   HRESULT SetDialNorm (
25341     [in] aafInt8  dialNorm);
25342
25343
25344   //***********************************************************
25345   //
25346   // GetDialNorm()
25347   //
25370   HRESULT GetDialNorm (
25371     [out] aafInt8 *  pDialNorm);
25372
25373
25374   //***********************************************************
25375   //
25376   // SetQuantizationBits()
25377   //
25393   HRESULT SetQuantizationBits (
25394     [in] aafUInt32  bitsCount);
25395
25396
25397   //***********************************************************
25398   //
25399   // GetQuantizationBits()
25400   //
25419   HRESULT GetQuantizationBits (
25420     [out] aafUInt32 *  pBitsCount);
25421 }
25422
25423
25424
25425 // ************************
25426 //
25427 // Interface IAAFSourceClip
25428 //
25429 // ************************
25451 [
25452     object,
25453     uuid(38e6f8a7-2a2c-11d2-8411-00600832acb8),
25454     helpstring("IAAFSourceClip Interface"),
25455     pointer_default(unique)
25456 ]
25457 interface IAAFSourceClip : IUnknown
25458 {
25459
25460   //***********************************************************
25461   //
25462   // Initialize()
25463   //
25488   HRESULT Initialize (
25489     [in] IAAFDataDef * pDataDef,
25490     [in] aafLength_constref  length,
25491     [in] aafSourceRef_t  sourceRef);
25492
25493
25494   //***********************************************************
25495   //
25496   // GetFade()
25497   //
25530   HRESULT GetFade (
25531     [out] aafLength_t *  pFadeInLen,
25532     [out] aafFadeType_t *  pFadeInType,
25533     [out] aafBoolean_t *  pFadeInPresent,
25534     [out] aafLength_t *  pFadeOutLen,
25535     [out] aafFadeType_t *  pFadeOutType,
25536     [out] aafBoolean_t *  pFadeOutPresent);
25537
25538
25539   //***********************************************************
25540   //
25541   // ResolveRef()
25542   //
25572   HRESULT ResolveRef (
25573     [out] IAAFMob ** ppMob);
25574
25575
25576   //***********************************************************
25577   //
25578   // GetSourceReference()
25579   //
25606   HRESULT GetSourceReference (
25607     [out] aafSourceRef_t *  pSourceRef);
25608
25609
25610   //***********************************************************
25611   //
25612   // SetFade()
25613   //
25638   HRESULT SetFade (
25639     [in] aafInt32  fadeInLen,
25640     [in] aafFadeType_t  fadeInType,
25641     [in] aafInt32  fadeOutLen,
25642     [in] aafFadeType_t  fadeOutType);
25643
25644
25645   //***********************************************************
25646   //
25647   // SetSourceReference()
25648   //
25669   HRESULT SetSourceReference (
25670     [in] aafSourceRef_t  sourceRef);
25671 }
25672
25673
25674
25675 // ************************
25676 //
25677 // Interface IAAFSourceMob
25678 //
25679 // ************************
25721 [
25722     object,
25723     uuid(B1A2137C-1A7D-11D2-BF78-00104BC9156D),
25724     helpstring("IAAFSourceMob Interface"),
25725     pointer_default(unique)
25726 ]
25727 interface IAAFSourceMob : IUnknown
25728 {
25729   //***********************************************************
25730   //
25731   // Initialize()
25732   //
25750   HRESULT Initialize ();
25751
25752
25753   //***********************************************************
25754   //
25755   // GetEssenceDescriptor()
25756   //
25787   HRESULT GetEssenceDescriptor (
25788     [out] IAAFEssenceDescriptor ** ppEssence);
25789
25790
25791   //***********************************************************
25792   //
25793   // SetEssenceDescriptor()
25794   //
25815   HRESULT SetEssenceDescriptor (
25816     [in] IAAFEssenceDescriptor * pEssence);
25817
25818
25819   //***********************************************************
25820   //
25821   // AddNilReference()
25822   //
25861   HRESULT AddNilReference (
25862     [in] aafSlotID_t  slotID,
25863     [in] aafLength_t  length,
25864     [in] IAAFDataDef * pDataDef,
25865     [in] aafRational_t  editRate);
25866
25867
25868   //***********************************************************
25869   //
25870   // AppendTimecodeSlot()
25871   //
25913   HRESULT AppendTimecodeSlot (
25914     [in] aafRational_t  editrate,
25915     [in] aafInt32  slotID,
25916     [in] aafTimecode_t  startTC,
25917     [in] aafFrameLength_t  length32);
25918
25919
25920   //***********************************************************
25921   //
25922   // AppendEdgecodeSlot()
25923   //
25971   HRESULT AppendEdgecodeSlot (
25972     [in] aafRational_t  editrate,
25973     [in] aafInt32  slotID,
25974     [in] aafFrameOffset_t  startEC,
25975     [in] aafFrameLength_t  length32,
25976     [in] aafFilmType_t  filmKind,
25977     [in] aafEdgeType_t  codeFormat,
25978     [in] aafEdgecodeHeader_t  header);
25979
25980
25981   //***********************************************************
25982   //
25983   // SpecifyValidCodeRange()
25984   //
26019   HRESULT SpecifyValidCodeRange (
26020     [in] IAAFDataDef * pEssenceKind,
26021     [in] aafSlotID_t  slotID,
26022     [in] aafRational_t  editrate,
26023     [in] aafFrameOffset_t  startOffset,
26024     [in] aafFrameLength_t  length32);
26025
26026
26027   //***********************************************************
26028   //
26029   // AppendPhysSourceRef()
26030   //
26072   HRESULT AppendPhysSourceRef (
26073     [in] aafRational_t  editrate,
26074     [in] aafSlotID_t  aMobSlot,
26075     [in] IAAFDataDef * pEssenceKind,
26076     [in] aafSourceRef_t  ref,
26077     [in] aafLength_t  srcRefLength);
26078
26079
26080   //***********************************************************
26081   //
26082   // NewPhysSourceRef()
26083   //
26125   HRESULT NewPhysSourceRef (
26126     [in] aafRational_t  editrate,
26127     [in] aafSlotID_t  aMobSlot,
26128     [in] IAAFDataDef * pEssenceKind,
26129     [in] aafSourceRef_t  ref,
26130     [in] aafLength_t  srcRefLength);
26131
26132
26133   //***********************************************************
26134   //
26135   // AddPulldownRef()
26136   //
26195   HRESULT AddPulldownRef (
26196     [in] aafAppendOption_t  addType,
26197     [in] aafRational_t  editrate,
26198     [in] aafSlotID_t  aMobSlot,
26199     [in] IAAFDataDef * pEssenceKind,
26200     [in] aafSourceRef_t  ref,
26201     [in] aafLength_t  srcRefLength,
26202     [in] aafPulldownKind_t  pulldownKind,
26203     [in] aafPhaseFrame_t  phaseFrame,
26204     [in] aafPulldownDir_t  direction);
26205
26206 }
26207
26208
26209
26210 // ************************
26211 //
26212 // Interface IAAFSourceReference
26213 //
26214 // ************************
26236
26237
26245 [
26246     object,
26247     uuid(92B88033-2B2B-11d2-BF7E-00104BC9156D),
26248     helpstring("IAAFSourceReference Interface"),
26249     pointer_default(unique)
26250 ]
26251 interface IAAFSourceReference : IUnknown
26252 {
26253   //***********************************************************
26254   //
26255   // GetSourceID()
26256   //
26276   HRESULT GetSourceID (
26277     [retval][out] aafMobID_t *  pSourceID);
26278
26279
26280   //***********************************************************
26281   //
26282   // SetSourceID()
26283   //
26297   HRESULT SetSourceID (
26298     [in] aafMobID_constref   sourceID);
26299
26300
26301   //***********************************************************
26302   //
26303   // GetSourceMobSlotID()
26304   //
26324   HRESULT GetSourceMobSlotID (
26325     [retval][out] aafSlotID_t *  pMobSlotID);
26326
26327
26328   //***********************************************************
26329   //
26330   // SetSourceMobSlotID()
26331   //
26350   HRESULT SetSourceMobSlotID (
26351     [in] aafSlotID_t   mobSlotID);
26352
26353
26354
26355
26356
26357
26358
26359
26360
26361 }
26362
26363
26364 // ************************
26365 //
26366 // Interface IAAFStaticMobSlot
26367 //
26368 // ************************
26369
26379 [
26380     object,
26381     uuid(e684d764-b935-11d2-bf9d-00104bc9156d),
26382     helpstring("IAAFStaticMobSlot Interface"),
26383     pointer_default(unique)
26384 ]
26385 interface IAAFStaticMobSlot : IUnknown
26386 {
26387
26388
26389 }
26390
26391
26392
26393 // ************************
26394 //
26395 // Interface IAAFTIFFDescriptor
26396 //
26397 // ************************
26398
26399
26413
26414
26421 [
26422     object,
26423     uuid(e684d76c-b935-11d2-bf9d-00104bc9156d),
26424     helpstring("IAAFTIFFDescriptor Interface"),
26425     pointer_default(unique)
26426 ]
26427 interface IAAFTIFFDescriptor : IUnknown
26428 {
26429
26430   //***********************************************************
26431   //
26432   // SetIsUniform()
26433   //
26448   HRESULT SetIsUniform (
26449     [in] aafBoolean_t  IsUniform);
26450
26451
26452   //***********************************************************
26453   //
26454   // GetIsUniform()
26455   //
26476   HRESULT GetIsUniform (
26477     [out] aafBoolean_t *  pIsUniform);
26478
26479
26480   //***********************************************************
26481   //
26482   // SetIsContiguous()
26483   //
26497   HRESULT SetIsContiguous (
26498     [in] aafBoolean_t  IsContiguous);
26499
26500
26501   //***********************************************************
26502   //
26503   // GetIsContiguous()
26504   //
26525   HRESULT GetIsContiguous (
26526     [out] aafBoolean_t *  pIsContiguous);
26527
26528
26529   //***********************************************************
26530   //
26531   // SetLeadingLines()
26532   //
26550   HRESULT SetLeadingLines (
26551     [in] aafInt32  LeadingLines);
26552
26553
26554   //***********************************************************
26555   //
26556   // GetLeadingLines()
26557   //
26580   HRESULT GetLeadingLines (
26581     [out] aafInt32 *  pLeadingLines);
26582
26583
26584   //***********************************************************
26585   //
26586   // SetTrailingLines()
26587   //
26605   HRESULT SetTrailingLines (
26606     [in] aafInt32  TrailingLines);
26607
26608
26609   //***********************************************************
26610   //
26611   // GetTrailingLines()
26612   //
26635   HRESULT GetTrailingLines (
26636     [out] aafInt32 *  pTrailingLines);
26637
26638
26639   //***********************************************************
26640   //
26641   // SetJPEGTableID()
26642   //
26656   HRESULT SetJPEGTableID (
26657     [in] aafJPEGTableID_t  JPEGTableID);
26658
26659
26660   //***********************************************************
26661   //
26662   // GetJPEGTableID()
26663   //
26686   HRESULT GetJPEGTableID (
26687     [out] aafJPEGTableID_t *  pJPEGTableID);
26688
26689
26690   //***********************************************************
26691   //
26692   // GetSummary()
26693   //
26717   HRESULT GetSummary (
26718     [in] aafUInt32  size,
26719     [out, size_is(size)] aafDataValue_t  pSummary);
26720
26721
26722   //***********************************************************
26723   //
26724   // GetSummaryBufferSize()
26725   //
26744   HRESULT GetSummaryBufferSize (
26745     [out] aafUInt32 *  pSize);
26746
26747
26748   //***********************************************************
26749   //
26750   // SetSummary()
26751   //
26771   HRESULT SetSummary (
26772     [in] aafUInt32  size,
26773     [in, size_is(size)] aafDataValue_t  pSummary);
26774 }
26775
26776
26777
26778 // ************************
26779 //
26780 // Interface IAAFTaggedValue
26781 //
26782 // ************************
26798 [
26799     object,
26800     uuid(e684d762-b935-11d2-bf9d-00104bc9156d),
26801     helpstring("IAAFTaggedValue Interface"),
26802     pointer_default(unique)
26803 ]
26804 interface IAAFTaggedValue : IUnknown
26805 {
26806
26807   //***********************************************************
26808   //
26809   // Initialize()
26810   //
26842   HRESULT Initialize (
26843     [in, string] aafCharacter_constptr  pName,
26844     [in] IAAFTypeDef * pTypeDef,
26845     [in] aafUInt32  valueSize,
26846     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
26847
26848
26849   //***********************************************************
26850   //
26851   // GetName()
26852   //
26890   HRESULT GetName (
26891     [out, string, size_is(bufSize)] aafCharacter *  pName,
26892     [in] aafUInt32  bufSize);
26893
26894
26895   //***********************************************************
26896   //
26897   // GetNameBufLen()
26898   //
26916   HRESULT GetNameBufLen (
26917     [out] aafUInt32 *  pBufSize);
26918
26919
26920   //***********************************************************
26921   //
26922   // GetTypeDefinition()
26923   //
26949   HRESULT GetTypeDefinition (
26950     [out] IAAFTypeDef ** ppTypeDef);
26951
26952
26953   //***********************************************************
26954   //
26955   // GetValue()
26956   //
26987   HRESULT GetValue (
26988     [in] aafUInt32  valueSize,
26989     [out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t  pValue,
26990     [out] aafUInt32 *  bytesRead);
26991
26992
26993   //***********************************************************
26994   //
26995   // GetValueBufLen()
26996   //
27017   HRESULT GetValueBufLen (
27018     [out] aafUInt32 *  pLen);
27019
27020   //***********************************************************
27021   //
27022   // SetValue()
27023   //
27046   HRESULT SetValue (
27047     [in] aafUInt32  valueSize,
27048     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
27049
27050 }
27051
27052
27053
27054 // ************************
27055 //
27056 // Interface IAAFTaggedValueDefinition
27057 //
27058 // ************************
27067 [
27068     object,
27069     uuid(c358428a-bf73-4558-bfdf-482160719823),
27070     helpstring("IAAFTaggedValueDefinition Interface"),
27071     pointer_default(unique)
27072 ]
27073
27074 interface IAAFTaggedValueDefinition : IUnknown
27075 {
27076
27077
27078   //***********************************************************
27079   //
27080   // Initialize()
27081   //
27088   HRESULT Initialize (
27089     [in, ref] aafUID_constref  id,
27090     [in, string] aafCharacter_constptr  pName,
27091     [in, string] aafCharacter_constptr  pDescription);
27092
27093   //***********************************************************
27094   //
27095   // AddParentProperty()
27096   //
27109   HRESULT AddParentProperty (
27110     [in] IAAFPropertyDef * pParentProperty);
27111
27112   //***********************************************************
27113   //
27114   // GetParentProperties()
27115   //
27129   HRESULT GetParentProperties (
27130     [out] IEnumAAFPropertyDefs ** ppEnum);
27131
27132   //***********************************************************
27133   //
27134   // CountParentProperties()
27135   //
27149   HRESULT CountParentProperties (
27150     [out] aafUInt32*  pNumProperties);
27151
27152   //***********************************************************
27153   //
27154   // RemoveParentProperty()
27155   //
27171   HRESULT RemoveParentProperty (
27172     [in] IAAFPropertyDef * pParentProperty);
27173
27174 }
27175
27176
27177
27178 // ************************
27179 //
27180 // Interface IAAFTapeDescriptor
27181 //
27182 // ************************
27183
27197
27198
27203 [
27204     object,
27205     uuid(e58a8569-2a3e-11D2-bfa4-006097116212),
27206     helpstring("IAAFTapeDescriptor Interface"),
27207     pointer_default(unique)
27208 ]
27209 interface IAAFTapeDescriptor : IUnknown
27210 {
27211
27212   //***********************************************************
27213   //
27214   // Initialize()
27215   //
27233   HRESULT Initialize ();
27234
27235
27236   //***********************************************************
27237   //
27238   // SetTapeManufacturer()
27239   //
27268   HRESULT SetTapeManufacturer (
27269     [in, string] aafCharacter_constptr  pTapeManufacturer);
27270
27271
27272   //***********************************************************
27273   //
27274   // GetTapeManufacturer()
27275   //
27313   HRESULT GetTapeManufacturer (
27314     [out, string, size_is(bufSize)] aafCharacter *  pTapeManufacturer,
27315     [in] aafUInt32  bufSize);
27316
27317
27318   //***********************************************************
27319   //
27320   // GetTapeManufacturerBufLen()
27321   //
27339   HRESULT GetTapeManufacturerBufLen (
27340     [out] aafUInt32 *  pBufSize);
27341
27342
27343   //***********************************************************
27344   //
27345   // SetTapeModel()
27346   //
27375   HRESULT SetTapeModel (
27376     [in, string] aafCharacter_constptr  pTapeModel);
27377
27378
27379   //***********************************************************
27380   //
27381   // GetTapeModel()
27382   //
27420   HRESULT GetTapeModel (
27421     [out, string, size_is(bufSize)] aafCharacter *  pTapeModel,
27422     [in] aafUInt32  bufSize);
27423
27424
27425   //***********************************************************
27426   //
27427   // GetTapeModelBufLen()
27428   //
27446   HRESULT GetTapeModelBufLen (
27447     [out] aafUInt32 *  pBufSize);
27448
27449
27450   //***********************************************************
27451   //
27452   // SetTapeFormFactor()
27453   //
27474   HRESULT SetTapeFormFactor (
27475     [in] aafTapeCaseType_t  formFactor);
27476
27477
27478   //***********************************************************
27479   //
27480   // GetTapeFormFactor()
27481   //
27502   HRESULT GetTapeFormFactor (
27503     [out] aafTapeCaseType_t *  formFactor);
27504
27505
27506   //***********************************************************
27507   //
27508   // SetSignalType()
27509   //
27530   HRESULT SetSignalType (
27531     [in] aafVideoSignalType_t  videoSignal);
27532
27533
27534   //***********************************************************
27535   //
27536   // GetSignalType()
27537   //
27560   HRESULT GetSignalType (
27561     [out] aafVideoSignalType_t *  pVideoSignal);
27562
27563
27564   //***********************************************************
27565   //
27566   // SetTapeFormat()
27567   //
27588   HRESULT SetTapeFormat (
27589     [in] aafTapeFormatType_t  tapeFormat);
27590
27591
27592   //***********************************************************
27593   //
27594   // GetTapeFormat()
27595   //
27619   HRESULT GetTapeFormat (
27620     [out] aafTapeFormatType_t *  pTapeFormat);
27621
27622
27623   //***********************************************************
27624   //
27625   // SetTapeLength()
27626   //
27647   HRESULT SetTapeLength (
27648     [in] aafUInt32  tapeLength);
27649
27650
27651   //***********************************************************
27652   //
27653   // GetTapeLength()
27654   //
27677   HRESULT GetTapeLength (
27678     [out] aafUInt32 *  pTapeLength);
27679 }
27680
27681
27682
27683 // ************************
27684 //
27685 // Interface IAAFTextLocator
27686 //
27687 // ************************
27709 [
27710     object,
27711     uuid(e684d768-b935-11d2-bf9d-00104bc9156d),
27712     helpstring("IAAFTextLocator Interface"),
27713     pointer_default(unique)
27714 ]
27715 interface IAAFTextLocator : IUnknown
27716 {
27717
27718   //***********************************************************
27719   //
27720   // Initialize()
27721   //
27739   HRESULT Initialize ();
27740
27741
27742   //***********************************************************
27743   //
27744   // SetName()
27745   //
27774   HRESULT SetName (
27775     [in, string] aafCharacter_constptr  pName);
27776
27777
27778   //***********************************************************
27779   //
27780   // GetName()
27781   //
27819   HRESULT GetName (
27820     [out, string, size_is(bufSize)] aafCharacter *  pName,
27821     [in] aafUInt32  bufSize);
27822
27823
27824   //***********************************************************
27825   //
27826   // GetNameBufLen()
27827   //
27845   HRESULT GetNameBufLen (
27846     [out] aafUInt32 *  pBufSize);
27847 }
27848
27849
27850
27851 // ************************
27852 //
27853 // Interface IAAFTimecode
27854 //
27855 // ************************
27868
27869
27876 [
27877     object,
27878     uuid(92B88035-2B2B-11d2-BF7E-00104BC9156D),
27879     helpstring("IAAFTimecode Interface"),
27880     pointer_default(unique)
27881 ]
27882 interface IAAFTimecode : IUnknown
27883 {
27884
27885   //***********************************************************
27886   //
27887   // Initialize()
27888   //
27913   HRESULT Initialize (
27914     [in] aafLength_t  length,
27915     [in] aafTimecode_t*  pTimecode);
27916
27917
27918   //***********************************************************
27919   //
27920   // GetTimecode()
27921   //
27944   HRESULT GetTimecode (
27945     [out] aafTimecode_t *  pTimecode);
27946
27947
27948   //***********************************************************
27949   //
27950   // SetTimecode()
27951   //
27974   HRESULT SetTimecode (
27975     [in] aafTimecode_t *  timecode);
27976
27977
27978
27979
27980 }
27981
27982
27983
27984 // ************************
27985 //
27986 // Interface IAAFTimecodeStream
27987 //
27988 // ************************
28015 [
28016     object,
28017     uuid(7B007BF2-2D39-11d2-8043-006008143E6F),
28018     helpstring("IAAFTimecodeStream Interface"),
28019     pointer_default(unique)
28020 ]
28021 interface IAAFTimecodeStream : IUnknown
28022 {
28023
28024   //***********************************************************
28025   //
28026   // GetPositionTimecode()
28027   //
28033   HRESULT GetPositionTimecode (
28034     [in] aafPosition_t  position,
28035     [out] aafTimecode_t *  timecode);
28036
28037
28038   //***********************************************************
28039   //
28040   // SetPositionTimecode()
28041   //
28048   HRESULT SetPositionTimecode (
28049     [in] aafPosition_t  position,
28050     [in] aafTimecode_t  timecode);
28051
28052
28053   //***********************************************************
28054   //
28055   // GetUserDataLength()
28056   //
28061   HRESULT GetUserDataLength (
28062     [out] aafInt32 *  length);
28063
28064
28065   //***********************************************************
28066   //
28067   // GetUserDataAtPosition()
28068   //
28075   HRESULT GetUserDataAtPosition (
28076     [in] aafPosition_t  position,
28077     [in] aafInt32  buflen,
28078     [out] aafDataBuffer_t  buffer);
28079
28080
28081   //***********************************************************
28082   //
28083   // SetUserDataAtPosition()
28084   //
28091   HRESULT SetUserDataAtPosition (
28092     [in] aafPosition_t  position,
28093     [in] aafInt32  buflen,
28094     [in] aafDataBuffer_t  buffer);
28095
28096
28097   //***********************************************************
28098   //
28099   // SetSampleRate()
28100   //
28105   HRESULT SetSampleRate (
28106     [in] aafRational_t  sampleRate);
28107
28108
28109   //***********************************************************
28110   //
28111   // GetSampleRate()
28112   //
28117   HRESULT GetSampleRate (
28118     [out] aafRational_t *  pSampleRate);
28119
28120
28121   //***********************************************************
28122   //
28123   // SetSourceType()
28124   //
28129   HRESULT SetSourceType (
28130     [in] aafTimecodeSourceType_t  sourceType);
28131
28132
28133   //***********************************************************
28134   //
28135   // GetSourceType()
28136   //
28141   HRESULT GetSourceType (
28142     [out] aafTimecodeSourceType_t *  pSourceType);
28143
28144
28145   //***********************************************************
28146   //
28147   // GetSampleSize()
28148   //
28153   HRESULT GetSampleSize (
28154     [out] aafUInt32 *  pSampleSize);
28155
28156
28157   //***********************************************************
28158   //
28159   // GetSource()
28160   //
28191   HRESULT GetSource (
28192     [in] aafUInt32  valueSize,
28193     [out, size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  pValue,
28194     [out] aafUInt32*  bytesRead);
28195
28196
28197   //***********************************************************
28198   //
28199   // GetSourceBufLen()
28200   //
28222   HRESULT GetSourceBufLen (
28223     [out] aafUInt32 *  pLen);
28224
28225
28226   //***********************************************************
28227   //
28228   // SetSource()
28229   //
28251   HRESULT SetSource (
28252     [in] aafUInt32  valueSize,
28253     [in, size_is(valueSize)] aafDataBuffer_t  pValue);
28254
28255
28256
28257
28258
28259
28260 }
28261
28262
28263
28264 // ************************
28265 //
28266 // Interface IAAFTimecodeStream12M
28267 //
28268 // ************************
28276 [
28277     object,
28278     uuid(EBF5EDB2-2D3A-11d2-8043-006008143E6F),
28279     helpstring("IAAFTimecodeStream12M Interface"),
28280     pointer_default(unique)
28281 ]
28282
28283 interface IAAFTimecodeStream12M : IUnknown
28284 {
28285
28286
28287
28288
28289 }
28290
28291
28292
28293 // ************************
28294 //
28295 // Interface IAAFTimelineMobSlot
28296 //
28297 // ************************
28320
28321
28327 [
28328     object,
28329     uuid(B1A21378-1A7D-11D2-BF78-00104BC9156D),
28330     helpstring("IAAFTimelineMobSlot Interface"),
28331     pointer_default(unique)
28332 ]
28333 interface IAAFTimelineMobSlot : IUnknown
28334 {
28335   //***********************************************************
28336   //
28337   // Initialize()
28338   //
28357   HRESULT Initialize ();
28358
28359
28360   //***********************************************************
28361   //
28362   // GetEditRate()
28363   //
28384   HRESULT GetEditRate (
28385     [out,retval] aafRational_t *  pEditRate);
28386
28387
28388   //***********************************************************
28389   //
28390   // SetEditRate()
28391   //
28406   HRESULT SetEditRate (
28407     [in] aafRational_constref  editRate);
28408
28409
28410   //***********************************************************
28411   //
28412   // GetOrigin()
28413   //
28434   HRESULT GetOrigin (
28435     [out,retval] aafPosition_t *  pOrigin);
28436
28437
28438   //***********************************************************
28439   //
28440   // SetOrigin()
28441   //
28456   HRESULT SetOrigin (
28457     [in] aafPosition_t  origin);
28458
28459
28460
28461
28462
28463
28464
28465 }
28466
28467
28468 // ************************
28469 //
28470 // Interface IAAFTransition
28471 //
28472 // ************************
28501 [
28502     object,
28503     uuid(E3F38312-2D3C-11d2-8043-006008143E6F),
28504     helpstring("IAAFTransition Interface"),
28505     pointer_default(unique)
28506 ]
28507 interface IAAFTransition : IUnknown
28508 {
28509
28510   //***********************************************************
28511   //
28512   // Initialize()
28513   //
28522   HRESULT Initialize (
28523     [in] IAAFDataDef * pDataDef,
28524     [in] aafLength_t  length,
28525     [in] aafPosition_t  cutPoint,
28526     [in] IAAFOperationGroup * op);
28527
28528
28529   //***********************************************************
28530   //
28531   // GetCutPoint()
28532   //
28538   HRESULT GetCutPoint (
28539     [out] aafPosition_t *  cutPoint);
28540
28541
28542   //***********************************************************
28543   //
28544   // GetOperationGroup()
28545   //
28550   HRESULT GetOperationGroup (
28551     [out] IAAFOperationGroup ** groupObj);
28552
28553
28554   //***********************************************************
28555   //
28556   // SetCutPoint()
28557   //
28563   HRESULT SetCutPoint (
28564     [in] aafPosition_t  cutPoint);
28565
28566
28567   //***********************************************************
28568   //
28569   // SetOperationGroup()
28570   //
28575   HRESULT SetOperationGroup (
28576     [in] IAAFOperationGroup * opgroup);
28577 }
28578
28579
28580
28581 // ************************
28582 //
28583 // Interface IAAFTypeDef
28584 //
28585 // ************************
28605
28606
28610 [
28611     object,
28612     uuid(dfbd6523-1d81-11d2-bf96-006097116212),
28613     helpstring("IAAFTypeDef Interface"),
28614     pointer_default(unique)
28615 ]
28616 interface IAAFTypeDef : IUnknown
28617 {
28618
28619   //***********************************************************
28620   //
28621   // GetTypeCategory()
28622   //
28640   HRESULT GetTypeCategory (
28641     [out] eAAFTypeCategory_t *  pTid);
28642
28643
28644   //***********************************************************
28645   //
28646   // RawAccessType()
28647   //
28669   HRESULT RawAccessType (
28670     [out] IAAFTypeDef ** ppRawTypeDef);
28671
28672
28673 }
28674
28675
28676
28677 // ************************
28678 //
28679 // Interface IAAFTypeDefCharacter
28680 //
28681 // ************************
28697 [
28698     object,
28699     uuid(FE717CAA-F04C-11d3-800B-00104BC9156D),
28700     helpstring("IAAFTypeDefCharacter Interface"),
28701     pointer_default(unique)
28702 ]
28703 interface IAAFTypeDefCharacter : IUnknown
28704 {
28705
28706
28707   //***********************************************************
28708   //
28709   // CreateValueFromCharacter()
28710   //
28732   HRESULT CreateValueFromCharacter (
28733     [in] aafCharacter  character,
28734     [out] IAAFPropertyValue ** ppCharacterValue);
28735
28736   //***********************************************************
28737   //
28738   // GetCharacter()
28739   //
28761   HRESULT GetCharacter (
28762     [in] IAAFPropertyValue * pCharacterValue,
28763     [out] aafCharacter *  pCharacter);
28764
28765   //***********************************************************
28766   //
28767   // SetCharacter()
28768   //
28789   HRESULT SetCharacter (
28790     [in] IAAFPropertyValue * pCharacterValue,
28791     [in] aafCharacter  character);
28792
28793
28794
28795 }
28796
28797
28798
28799 // ************************
28800 //
28801 // Interface IAAFTypeDefEnum
28802 //
28803 // ************************
28820 [
28821     object,
28822     uuid(307e9e64-dcb2-11d2-8429-00600832acb8),
28823     helpstring("IAAFTypeDefEnum Interface"),
28824     pointer_default(unique)
28825 ]
28826 interface IAAFTypeDefEnum : IUnknown
28827 {
28828
28829   //***********************************************************
28830   //
28831   // Initialize()
28832   //
28883   HRESULT Initialize (
28884     [in, ref] aafUID_constref  id,
28885     [in] IAAFTypeDef * pType,
28886     [in, size_is(numElems)] aafInt64 *  pElementValues,
28887     [in, size_is(numElems)] aafString_t *  pElementNames,
28888     [in] aafUInt32  numElems,
28889     [in] aafCharacter_constptr  pTypeName);
28890
28891
28892   //***********************************************************
28893   //
28894   // CreateValueFromName()
28895   //
28928   HRESULT CreateValueFromName (
28929     [in] aafCharacter_constptr  Name,
28930     [out] IAAFPropertyValue ** ppPropVal);
28931
28932
28933
28934   //***********************************************************
28935   //
28936   // GetElementType()
28937   //
28960   HRESULT GetElementType (
28961     [out] IAAFTypeDef ** ppTypeDef);
28962
28963   //***********************************************************
28964   //
28965   // GetElementValue()
28966   //
28994   HRESULT GetElementValue (
28995     [in] aafUInt32  index,
28996     [out] aafInt64 *  pOutValue);
28997
28998   //***********************************************************
28999   //
29000   // GetElementName()
29001   //
29038   HRESULT GetElementName (
29039     [in] aafUInt32  index,
29040     [out, size_is(bufSize)] aafCharacter *  pOutValue,
29041     [in] aafUInt32  bufSize);
29042
29043
29044
29045   //***********************************************************
29046   //
29047   // GetElementNameBufLen()
29048   //
29077   HRESULT GetElementNameBufLen (
29078     [in] aafUInt32  index,
29079     [out] aafUInt32 *  pLen);
29080
29081
29082
29083
29084   //***********************************************************
29085   //
29086   // CountElements()
29087   //
29109   HRESULT CountElements (
29110     [out] aafUInt32 *  pCount);
29111
29112
29113
29114   //***********************************************************
29115   //
29116   // GetNameFromValue()
29117   //
29157   HRESULT GetNameFromValue (
29158     [in] IAAFPropertyValue * pValue,
29159     [out, size_is(bufSize), string] aafCharacter *  pName,
29160     [in] aafUInt32  bufSize);
29161
29162
29163   //***********************************************************
29164   //
29165   // GetNameBufLenFromValue()
29166   //
29197   HRESULT GetNameBufLenFromValue (
29198     [in] IAAFPropertyValue * pValue,
29199     [out] aafUInt32 *  pLen);
29200
29201
29202   //***********************************************************
29203   //
29204   // GetNameFromInteger()
29205   //
29244   HRESULT GetNameFromInteger (
29245     [in] aafInt64  value,
29246     [out, size_is(bufSize), string] aafCharacter *  pName,
29247     [in] aafUInt32  bufSize);
29248
29249
29250   //***********************************************************
29251   //
29252   // GetNameBufLenFromInteger()
29253   //
29283   HRESULT GetNameBufLenFromInteger (
29284     [in] aafInt64  value,
29285     [out] aafUInt32 *  pLen);
29286
29287
29288   //***********************************************************
29289   //
29290   // GetIntegerValue()
29291   //
29315   HRESULT GetIntegerValue (
29316     [in] IAAFPropertyValue * pPropValIn,
29317     [out] aafInt64 *  pValueOut);
29318
29319
29320   //***********************************************************
29321   //
29322   // SetIntegerValue()
29323   //
29350   HRESULT SetIntegerValue (
29351     [in] IAAFPropertyValue * pPropValToSet,
29352     [in] aafInt64  valueIn);
29353
29354
29355   //***********************************************************
29356   //
29357   // RegisterSize()
29358   //
29381   HRESULT RegisterSize (
29382     [in] aafUInt32  enumSize);
29383
29384 }
29385
29386
29387
29388 // ************************
29389 //
29390 // Interface IAAFTypeDefExtEnum
29391 //
29392 // ************************
29409 [
29410     object,
29411     uuid(a5456f01-0ef2-11d3-842e-00600832acb8),
29412     helpstring("IAAFTypeDefExtEnum Interface"),
29413     pointer_default(unique)
29414 ]
29415 interface IAAFTypeDefExtEnum : IUnknown
29416 {
29417
29418   //***********************************************************
29419   //
29420   // Initialize()
29421   //
29453   HRESULT Initialize (
29454     [in, ref] aafUID_constref  id,
29455     [in] aafCharacter_constptr  pTypeName);
29456
29457   //***********************************************************
29458   //
29459   // CreateValueFromName()
29460   //
29493   HRESULT CreateValueFromName (
29494     [in] aafCharacter_constptr  Name,
29495     [out] IAAFPropertyValue ** ppPropVal);
29496
29497
29498   //***********************************************************
29499   //
29500   // CountElements()
29501   //
29523   HRESULT CountElements (
29524     [out] aafUInt32 *  pCount);
29525
29526
29527   //***********************************************************
29528   //
29529   // GetElementValue()
29530   //
29558   HRESULT GetElementValue (
29559     [in] aafUInt32  index,
29560     [out] aafUID_t *  pOutValue);
29561
29562
29563   //***********************************************************
29564   //
29565   // GetElementName()
29566   //
29603   HRESULT GetElementName (
29604     [in] aafUInt32  index,
29605     [out, size_is(bufSize)] aafCharacter *  pOutValue,
29606     [in] aafUInt32  bufSize);
29607
29608   //***********************************************************
29609   //
29610   // GetElementNameBufLen()
29611   //
29640   HRESULT GetElementNameBufLen (
29641     [in] aafUInt32  index,
29642     [out] aafUInt32 *  pLen);
29643
29644
29645   //***********************************************************
29646   //
29647   // GetNameFromValue()
29648   //
29688   HRESULT GetNameFromValue (
29689     [in] IAAFPropertyValue * pValue,
29690     [out, size_is(bufSize), string] aafCharacter *  pName,
29691     [in] aafUInt32  bufSize);
29692
29693
29694   //***********************************************************
29695   //
29696   // GetNameBufLenFromValue()
29697   //
29728   HRESULT GetNameBufLenFromValue (
29729     [in] IAAFPropertyValue * pValue,
29730     [out] aafUInt32 *  pLen);
29731
29732
29733   //***********************************************************
29734   //
29735   // GetNameFromAUID()
29736   //
29775   HRESULT GetNameFromAUID (
29776     [in, ref] aafUID_constref  value,
29777     [out, size_is(bufSize), string] aafCharacter *  pName,
29778     [in] aafUInt32  bufSize);
29779
29780
29781   //***********************************************************
29782   //
29783   // GetNameBufLenFromAUID()
29784   //
29814   HRESULT GetNameBufLenFromAUID (
29815     [in, ref] aafUID_constref  value,
29816     [out] aafUInt32 *  pLen);
29817
29818
29819   //***********************************************************
29820   //
29821   // GetAUIDValue()
29822   //
29846   HRESULT GetAUIDValue (
29847     [in] IAAFPropertyValue * pPropValIn,
29848     [out] aafUID_t *  pValueOut);
29849
29850
29851   //***********************************************************
29852   //
29853   // SetAUIDValue()
29854   //
29881   HRESULT SetAUIDValue (
29882     [in] IAAFPropertyValue * pPropValToSet,
29883     [in, ref] aafUID_constref  valueIn);
29884
29885
29886   //***********************************************************
29887   //
29888   // AppendElement()
29889   //
29916   HRESULT AppendElement (
29917     [in, ref] aafUID_constref  value,
29918     [in] aafCharacter_constptr  pName);
29919
29920
29921
29922 }
29923
29924
29925
29926 // ************************
29927 //
29928 // Interface IAAFTypeDefFixedArray
29929 //
29930 // ************************
29946 [
29947     object,
29948     uuid(c3274646-9467-11d2-841f-00600832acb8),
29949     helpstring("IAAFTypeDefFixedArray Interface"),
29950     pointer_default(unique)
29951 ]
29952 interface IAAFTypeDefFixedArray : IUnknown
29953 {
29954
29955   //***********************************************************
29956   //
29957   // Initialize()
29958   //
30000   HRESULT Initialize (
30001     [in, ref] aafUID_constref  id,
30002     [in] IAAFTypeDef * pTypeDef,
30003     [in] aafUInt32  nElements,
30004     [in] aafCharacter_constptr  pTypeName);
30005
30006
30007   //***********************************************************
30008   //
30009   // GetType()
30010   //
30032   HRESULT GetType (
30033     [out] IAAFTypeDef ** ppTypeDef);
30034
30035
30036   //***********************************************************
30037   //
30038   // GetCount()
30039   //
30061   HRESULT GetCount (
30062     [out] aafUInt32 *  pCount);
30063
30064
30065   //***********************************************************
30066   //
30067   // CreateValueFromValues()
30068   //
30104   HRESULT CreateValueFromValues (
30105     [in, size_is(numElements)] IAAFPropertyValue ** ppElementValues,
30106     [in] aafUInt32  numElements,
30107     [out] IAAFPropertyValue ** ppPropVal);
30108
30109
30110   //***********************************************************
30111   //
30112   // CreateValueFromCArray()
30113   //
30153   HRESULT CreateValueFromCArray (
30154     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
30155     [in] aafUInt32  initDataSize,
30156     [out] IAAFPropertyValue ** ppPropVal);
30157
30158
30159   //***********************************************************
30160   //
30161   // GetElementValue()
30162   //
30194   HRESULT GetElementValue (
30195     [in] IAAFPropertyValue * pInPropVal,
30196     [in] aafUInt32  index,
30197     [out] IAAFPropertyValue ** ppOutPropVal);
30198
30199
30200   //***********************************************************
30201   //
30202   // GetCArray()
30203   //
30241   HRESULT GetCArray (
30242     [in] IAAFPropertyValue * pPropVal,
30243     [out, size_is(dataSize)] aafMemPtr_t  pData,
30244     [in] aafUInt32  dataSize);
30245
30246
30247   //***********************************************************
30248   //
30249   // SetElementValue()
30250   //
30283   HRESULT SetElementValue (
30284     [in] IAAFPropertyValue * pPropVal,
30285     [in] aafUInt32  index,
30286     [in] IAAFPropertyValue * pMemberPropVal);
30287
30288
30289   //***********************************************************
30290   //
30291   // SetCArray()
30292   //
30331   HRESULT SetCArray (
30332     [in] IAAFPropertyValue * pPropVal,
30333     [in, size_is(dataSize)] aafMemPtr_t  pData,
30334     [in] aafUInt32  dataSize);
30335
30336
30337
30338
30339   //***********************************************************
30340   //
30341   // GetElements()
30342   //
30367   HRESULT GetElements (
30368     [in] IAAFPropertyValue * PSetPropVal,
30369     [out] IEnumAAFPropertyValues ** ppEnum);
30370
30371 }
30372
30373
30374
30375 // ************************
30376 //
30377 // Interface IAAFTypeDefIndirect
30378 //
30379 // ************************
30395 [
30396     object,
30397     uuid(FE717CA8-F04C-11d3-800B-00104BC9156D),
30398     helpstring("IAAFTypeDefIndirect Interface"),
30399     pointer_default(unique)
30400 ]
30401 interface IAAFTypeDefIndirect : IUnknown
30402 {
30403
30404
30405
30406   //***********************************************************
30407   //
30408   // CreateValueFromActualValue()
30409   //
30441   HRESULT CreateValueFromActualValue (
30442     [in] IAAFPropertyValue * pActualValue,
30443     [out] IAAFPropertyValue ** ppIndirectPropertyValue);
30444
30445   //***********************************************************
30446   //
30447   // CreateValueFromActualData()
30448   //
30487   HRESULT CreateValueFromActualData (
30488     [in] IAAFTypeDef * pActualType,
30489     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
30490     [in] aafUInt32  initDataSize,
30491     [out] IAAFPropertyValue ** ppIndirectPropertyValue);
30492
30493
30494   //***********************************************************
30495   //
30496   // GetActualValue()
30497   //
30527   HRESULT GetActualValue (
30528     [in] IAAFPropertyValue * pIndirectPropertyValue,
30529     [out] IAAFPropertyValue ** ppActualPropertyValue);
30531
30532   //***********************************************************
30533   //
30534   // GetActualSize()
30535   //
30571   HRESULT GetActualSize (
30572     [in] IAAFPropertyValue * pIndirectPropertyValue,
30573     [out] aafUInt32 *  pActualSize);
30574   //***********************************************************
30575   //
30576   // GetActualType()
30577   //
30612   HRESULT GetActualType (
30613     [in] IAAFPropertyValue * pIndirectPropertyValue,
30614     [out] IAAFTypeDef ** pActualType);
30615
30616   //***********************************************************
30617   //
30618   // GetActualData()
30619   //
30658   HRESULT GetActualData (
30659     [in] IAAFPropertyValue * pPropVal,
30660     [out, size_is(dataSize)] aafMemPtr_t  pData,
30661     [in] aafUInt32  dataSize);
30662
30663
30664
30665 }
30666
30667
30668
30669 // ************************
30670 //
30671 // Interface IAAFTypeDefInt
30672 //
30673 // ************************
30689 [
30690     object,
30691     uuid(809c8ca2-9884-11d2-841f-00600832acb8),
30692     helpstring("IAAFTypeDefInt Interface"),
30693     pointer_default(unique)
30694 ]
30695 interface IAAFTypeDefInt : IUnknown
30696 {
30697
30698   //***********************************************************
30699   //
30700   // Initialize()
30701   //
30734   HRESULT Initialize (
30735     [in, ref] aafUID_constref  id,
30736     [in] aafUInt8  intSize,
30737     [in] aafBoolean_t  isSigned,
30738     [in, string] aafCharacter_constptr  pTypeName);
30739
30740
30741   //***********************************************************
30742   //
30743   // CreateValue()
30744   //
30784   HRESULT CreateValue (
30785     [in, size_is(valSize)] aafMemPtr_t  pVal,
30786     [in] aafUInt32  valSize,
30787     [out] IAAFPropertyValue ** ppPropVal);
30788
30789
30790   //***********************************************************
30791   //
30792   // GetInteger()
30793   //
30839   HRESULT GetInteger (
30840     [in] IAAFPropertyValue * pPropVal,
30841     [out, size_is(valSize)] aafMemPtr_t  pVal,
30842     [in] aafUInt32  valSize);
30843
30844
30845   //***********************************************************
30846   //
30847   // SetInteger()
30848   //
30880   HRESULT SetInteger (
30881     [in] IAAFPropertyValue * pPropVal,
30882     [in, size_is(valSize)] aafMemPtr_t  pVal,
30883     [in] aafUInt32  valSize);
30884
30885
30886   //***********************************************************
30887   //
30888   // GetSize()
30889   //
30911   HRESULT GetSize (
30912     [out] aafUInt32 *  pSize);
30913
30914
30915   //***********************************************************
30916   //
30917   // IsSigned()
30918   //
30941   HRESULT IsSigned (
30942     [out] aafBoolean_t *  pSigned);
30943
30944
30945
30946 }
30947
30948
30949
30950 // ************************
30951 //
30952 // Interface IAAFTypeDefObjectRef
30953 //
30954 // ************************
30970 [
30971     object,
30972     uuid(c3274644-9467-11d2-841f-00600832acb8),
30973     helpstring("IAAFTypeDefObjectRef Interface"),
30974     pointer_default(unique)
30975 ]
30976 interface IAAFTypeDefObjectRef : IUnknown
30977 {
30978
30979
30980   //***********************************************************
30981   //
30982   // GetObjectType()
30983   //
31007   HRESULT GetObjectType (
31008     [out] IAAFClassDef ** ppObjType);
31009
31010   //***********************************************************
31011   //
31012   // CreateValue()
31013   //
31038   HRESULT CreateValue (
31039     [in] IUnknown * pObj,
31040     [out] IAAFPropertyValue ** ppPropVal);
31041
31042   //***********************************************************
31043   //
31044   // GetObject()
31045   //
31071   HRESULT GetObject (
31072     [in] IAAFPropertyValue * pPropVal,
31073     [in] REFIID  iid,
31074     [out, iid_is(iid)] IUnknown ** ppObject);
31075
31076
31077   //***********************************************************
31078   //
31079   // SetObject()
31080   //
31105   HRESULT SetObject (
31106     [in] IAAFPropertyValue * pPropVal,
31107     [in] IUnknown * pObject);
31108
31109
31110
31111 }
31112
31113
31114
31115 // ************************
31116 //
31117 // Interface IAAFTypeDefOpaque
31118 //
31119 // ************************
31136 [
31137     object,
31138     uuid(FE717CAC-F04C-11d3-800B-00104BC9156D),
31139     helpstring("IAAFTypeDefOpaque Interface"),
31140     pointer_default(unique)
31141 ]
31142 interface IAAFTypeDefOpaque : IUnknown
31143 {
31144
31145
31146   //***********************************************************
31147   //
31148   // GetActualTypeID()
31149   //
31178   HRESULT GetActualTypeID (
31179     [in] IAAFPropertyValue * pOpaquePropertyValue,
31180     [out] aafUID_t *  pActualTypeID);
31181
31182   //***********************************************************
31183   //
31184   // GetHandle()
31185   //
31221   HRESULT GetHandle (
31222     [in] IAAFPropertyValue * pPropVal,
31223     [in] aafUInt32  handleSize,
31224     [out, size_is(handleSize),length_is(*bytesRead)] aafDataBuffer_t  pHandle,
31225     [out] aafUInt32*  bytesRead);
31226
31227
31228   //***********************************************************
31229   //
31230   // GetHandleBufLen()
31231   //
31254   HRESULT GetHandleBufLen (
31255     [in] IAAFPropertyValue * pPropVal,
31256     [out] aafUInt32 *  pLen);
31257
31258   //***********************************************************
31259   //
31260   // SetHandle()
31261   //
31285   HRESULT SetHandle (
31286     [in] IAAFPropertyValue * pPropVal,
31287     [in] aafUInt32  handleSize,
31288     [in, size_is(handleSize)] aafDataBuffer_t  pHandle);
31289
31290   //***********************************************************
31291   //
31292   // CreateValueFromHandle()
31293   //
31327   HRESULT CreateValueFromHandle (
31328     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
31329     [in] aafUInt32  initDataSize,
31330     [out] IAAFPropertyValue ** ppOpaquePropertyValue);
31331
31332
31333
31334 }
31335
31336
31337
31338 // ************************
31339 //
31340 // Interface IAAFTypeDefRecord
31341 //
31342 // ************************
31358 [
31359     object,
31360     uuid(809c8ca6-9884-11d2-841f-00600832acb8),
31361     helpstring("IAAFTypeDefRecord Interface"),
31362     pointer_default(unique)
31363 ]
31364 interface IAAFTypeDefRecord : IUnknown
31365 {
31366
31367   //***********************************************************
31368   //
31369   // Initialize()
31370   //
31418   HRESULT Initialize (
31419     [in, ref] aafUID_constref  id,
31420     [in, size_is(numMembers)] IAAFTypeDef ** ppMemberTypes,
31421     [in, size_is(numMembers)] aafString_t *  pMemberNames,
31422     [in] aafUInt32  numMembers,
31423     [in] aafCharacter_constptr  pTypeName);
31424
31425
31426   //***********************************************************
31427   //
31428   // GetMemberType()
31429   //
31458   HRESULT GetMemberType (
31459     [in] aafUInt32  index,
31460     [out] IAAFTypeDef ** ppTypeDef);
31461
31462
31463   //***********************************************************
31464   //
31465   // GetMemberName()
31466   //
31508   HRESULT GetMemberName (
31509     [in] aafUInt32  index,
31510     [out, size_is(bufSize), string] aafCharacter *  pName,
31511     [in] aafUInt32  bufSize);
31512
31513
31514   //***********************************************************
31515   //
31516   // GetMemberNameBufLen()
31517   //
31551   HRESULT GetMemberNameBufLen (
31552     [in] aafUInt32  index,
31553     [out] aafUInt32 *  pLen);
31554
31555
31556   //***********************************************************
31557   //
31558   // CreateValueFromValues()
31559   //
31595   HRESULT CreateValueFromValues (
31596     [in, size_is(numMembers)] IAAFPropertyValue ** pMemberValues,
31597     [in] aafUInt32  numMembers,
31598     [out] IAAFPropertyValue ** ppPropVal);
31599
31600
31601   //***********************************************************
31602   //
31603   // CreateValueFromStruct()
31604   //
31643   HRESULT CreateValueFromStruct (
31644     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
31645     [in] aafUInt32  initDataSize,
31646     [out] IAAFPropertyValue ** ppPropVal);
31647
31648
31649   //***********************************************************
31650   //
31651   // GetValue()
31652   //
31685   HRESULT GetValue (
31686     [in] IAAFPropertyValue * pInPropVal,
31687     [in] aafUInt32  index,
31688     [out] IAAFPropertyValue ** ppOutPropVal);
31689
31690
31691   //***********************************************************
31692   //
31693   // GetStruct()
31694   //
31731   HRESULT GetStruct (
31732     [in] IAAFPropertyValue * pPropVal,
31733     [out, size_is(dataSize)] aafMemPtr_t  pData,
31734     [in] aafUInt32  dataSize);
31735
31736
31737   //***********************************************************
31738   //
31739   // SetValue()
31740   //
31772   HRESULT SetValue (
31773     [in] IAAFPropertyValue * pPropVal,
31774     [in] aafUInt32  index,
31775     [in] IAAFPropertyValue * pMemberPropVal);
31776
31777
31778   //***********************************************************
31779   //
31780   // SetStruct()
31781   //
31818   HRESULT SetStruct (
31819     [in] IAAFPropertyValue * pPropVal,
31820     [in, size_is(dataSize)] aafMemPtr_t  pData,
31821     [in] aafUInt32  dataSize);
31822
31823
31824   //***********************************************************
31825   //
31826   // GetCount()
31827   //
31849   HRESULT GetCount (
31850     [out] aafUInt32 *  pCount);
31851
31852
31853   //***********************************************************
31854   //
31855   // RegisterMembers()
31856   //
31903   HRESULT RegisterMembers (
31904     [in] aafUInt32 *  pOffsets,
31905     [in] aafUInt32  numMembers,
31906     [in] aafUInt32  structSize);
31907 }
31908
31909
31910
31911 // ************************
31912 //
31913 // Interface IAAFTypeDefRename
31914 //
31915 // ************************
31932 [
31933     object,
31934     uuid(307e9e6a-dcb2-11d2-8429-00600832acb8),
31935     helpstring("IAAFTypeDefRename Interface"),
31936     pointer_default(unique)
31937 ]
31938 interface IAAFTypeDefRename : IUnknown
31939 {
31940
31941   //***********************************************************
31942   //
31943   // Initialize()
31944   //
31973   HRESULT Initialize (
31974     [in, ref] aafUID_constref  id,
31975     [in] IAAFTypeDef * pBaseType,
31976     [in, string] aafCharacter_constptr  pTypeName);
31977
31978
31979   //***********************************************************
31980   //
31981   // GetBaseType()
31982   //
32004   HRESULT GetBaseType (
32005     [out] IAAFTypeDef ** ppBaseType);
32006
32007
32008   //***********************************************************
32009   //
32010   // GetBaseValue()
32011   //
32036   HRESULT GetBaseValue (
32037     [in] IAAFPropertyValue * pInPropVal,
32038     [out] IAAFPropertyValue ** ppOutPropVal);
32039
32040   //***********************************************************
32041   //
32042   // CreateValue()
32043   //
32068   HRESULT CreateValue (
32069     [in] IAAFPropertyValue * pInPropVal,
32070     [out] IAAFPropertyValue ** ppOutPropVal);
32071
32072
32073 }
32074
32075
32076
32077 // ************************
32078 //
32079 // Interface IAAFTypeDefSet
32080 //
32081 // ************************
32098 [
32099     object,
32100     uuid(381e1f22-e7bb-11d2-842a-00600832acb8),
32101     helpstring("IAAFTypeDefSet Interface"),
32102     pointer_default(unique)
32103 ]
32104 interface IAAFTypeDefSet : IUnknown
32105 {
32106
32107   //***********************************************************
32108   //
32109   // Initialize()
32110   //
32138   HRESULT Initialize (
32139     [in] aafUID_constref  id,
32140     [in] IAAFTypeDef * pTypeDef,
32141     [in,string] aafCharacter_constptr  pTypeName);
32142
32143   //***********************************************************
32144   //
32145   // GetElementType()
32146   //
32168   HRESULT GetElementType (
32169     [out] IAAFTypeDef ** ppTypeDef);
32170
32171   //***********************************************************
32172   //
32173   // AddElement()
32174   //
32197   HRESULT AddElement (
32198     [in] IAAFPropertyValue * pSetPropertyValue,
32199     [in] IAAFPropertyValue * pElementPropertyValue);
32200
32201   //***********************************************************
32202   //
32203   // RemoveElement()
32204   //
32227   HRESULT RemoveElement (
32228     [in] IAAFPropertyValue * pSetPropertyValue,
32229     [in] IAAFPropertyValue * pElementPropertyValue);
32230
32231   //***********************************************************
32232   //
32233   // ContainsElement()
32234   //
32257   HRESULT ContainsElement (
32258     [in] IAAFPropertyValue * pSetPropertyValue,
32259     [in] IAAFPropertyValue * pElementPropertyValue,
32260     [out] aafBoolean_t*  pContainsElement);
32261
32262
32263
32264   //***********************************************************
32265   //
32266   // GetCount()
32267   //
32292   HRESULT GetCount (
32293     [in] IAAFPropertyValue * pSetPropertyValue,
32294     [out] aafUInt32 *  pCount);
32295
32296
32297   //***********************************************************
32298   //
32299   // CreateKey()
32300   //
32326   HRESULT CreateKey (
32327     [in,size_is(length)] aafDataBuffer_t  pKeyPtr,
32328     [in] aafUInt32  length,
32329     [out] IAAFPropertyValue ** ppKey);
32330
32331
32332   //***********************************************************
32333   //
32334   // LookupElement()
32335   //
32363   HRESULT LookupElement (
32364     [in] IAAFPropertyValue * pSetPropertyValue,
32365     [in] IAAFPropertyValue * pKey,
32366     [out] IAAFPropertyValue ** ppElementPropertyValue);
32367
32368   //***********************************************************
32369   //
32370   // ContainsKey()
32371   //
32398   HRESULT ContainsKey (
32399     [in] IAAFPropertyValue * pSetPropertyValue,
32400     [in] IAAFPropertyValue * pKey,
32401     [out] aafBoolean_t*  pContainsKey);
32402
32403
32404   //***********************************************************
32405   //
32406   // GetElements()
32407   //
32432   HRESULT GetElements (
32433     [in] IAAFPropertyValue * pSetPropertyValue,
32434     [out] IEnumAAFPropertyValues ** ppEnum);
32435
32436
32437 }
32438
32439
32440
32441 // ************************
32442 //
32443 // Interface IAAFTypeDefStream
32444 //
32445 // ************************
32466 [
32467     object,
32468     uuid(307e9e6e-dcb2-11d2-8429-00600832acb8),
32469     helpstring("IAAFTypeDefStream Interface"),
32470     pointer_default(unique)
32471 ]
32472 interface IAAFTypeDefStream : IUnknown
32473 {
32474
32475   //***********************************************************
32476   //
32477   // GetSize()
32478   //
32503   HRESULT GetSize (
32504     [in] IAAFPropertyValue * pStreamPropertyValue,
32505     [out] aafInt64 *  pSize);
32506
32507   //***********************************************************
32508   //
32509   // SetSize()
32510   //
32533   HRESULT SetSize (
32534     [in] IAAFPropertyValue * pStreamPropertyValue,
32535     [in] aafInt64  newSize);
32536
32537   //***********************************************************
32538   //
32539   // GetPosition()
32540   //
32564   HRESULT GetPosition (
32565     [in] IAAFPropertyValue * pStreamPropertyValue,
32566     [out] aafInt64 *  pPosition);
32567
32568   //***********************************************************
32569   //
32570   // SetPosition()
32571   //
32598   HRESULT SetPosition (
32599     [in] IAAFPropertyValue * pStreamPropertyValue,
32600     [in] aafInt64  newPosition);
32601
32602
32603   //***********************************************************
32604   //
32605   // Read()
32606   //
32636   HRESULT Read (
32637     [in] IAAFPropertyValue * pStreamPropertyValue,
32638     [in] aafUInt32  dataSize,
32639     [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t  pData,
32640     [out,ref] aafUInt32 *  bytesRead);
32641
32642   //***********************************************************
32643   //
32644   // Write()
32645   //
32673   HRESULT Write (
32674     [in] IAAFPropertyValue * pStreamPropertyValue,
32675     [in] aafUInt32  dataSize,
32676     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
32677
32678   //***********************************************************
32679   //
32680   // Append()
32681   //
32709   HRESULT Append (
32710     [in] IAAFPropertyValue * pStreamPropertyValue,
32711     [in] aafUInt32  dataSize,
32712     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
32713
32714
32715   //***********************************************************
32716   //
32717   // HasStoredByteOrder()
32718   //
32743   HRESULT HasStoredByteOrder (
32744     [in] IAAFPropertyValue * pStreamPropertyValue,
32745     [out] aafBoolean_t *  pHasByteOrder);
32746
32747   //***********************************************************
32748   //
32749   // GetStoredByteOrder()
32750   //
32774   HRESULT GetStoredByteOrder (
32775     [in] IAAFPropertyValue * pStreamPropertyValue,
32776     [out] eAAFByteOrder_t *  pByteOrder);
32777
32778   //***********************************************************
32779   //
32780   // SetStoredByteOrder()
32781   //
32806   HRESULT SetStoredByteOrder (
32807     [in] IAAFPropertyValue * pStreamPropertyValue,
32808     [in] eAAFByteOrder_t  byteOrder);
32809
32810   //***********************************************************
32811   //
32812   // ClearStoredByteOrder()
32813   //
32837   HRESULT ClearStoredByteOrder (
32838     [in] IAAFPropertyValue * pStreamPropertyValue);
32839
32840   //***********************************************************
32841   //
32842   // ReadElements()
32843   //
32888   HRESULT ReadElements (
32889     [in] IAAFPropertyValue * pStreamPropertyValue,
32890     [in] IAAFTypeDef * pElementType,
32891     [in] aafUInt32  dataSize,
32892     [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t  pData,
32893     [out,ref] aafUInt32 *  pBytesRead);
32894
32895   //***********************************************************
32896   //
32897   // WriteElements()
32898   //
32940   HRESULT WriteElements (
32941     [in] IAAFPropertyValue * pStreamPropertyValue,
32942     [in] IAAFTypeDef * pElementType,
32943     [in] aafUInt32  dataSize,
32944     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
32945
32946
32947 cpp_quote("  /// Extend in chunks of typed Elements")
32948
32949   //***********************************************************
32950   //
32951   // AppendElements()
32952   //
32993   HRESULT AppendElements (
32994     [in] IAAFPropertyValue * pStreamPropertyValue,
32995     [in] IAAFTypeDef * pElementType,
32996     [in] aafUInt32  dataSize,
32997     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
32998
32999
33000
33001
33002 }
33003
33004
33005 // ************************
33006 //
33007 // Interface IAAFTypeDefString
33008 //
33009 // ************************
33025 [
33026     object,
33027     uuid(307e9e68-dcb2-11d2-8429-00600832acb8),
33028     helpstring("IAAFTypeDefString Interface"),
33029     pointer_default(unique)
33030 ]
33031 interface IAAFTypeDefString : IUnknown
33032 {
33033
33034   //***********************************************************
33035   //
33036   // Initialize()
33037   //
33071   HRESULT Initialize (
33072     [in, ref] aafUID_constref  id,
33073     [in] IAAFTypeDef * pTypeDef,
33074     [in] aafCharacter_constptr  pTypeName);
33075
33076
33077   //***********************************************************
33078   //
33079   // GetType()
33080   //
33102   HRESULT GetType (
33103     [out] IAAFTypeDef ** ppTypeDef);
33104
33105
33106   //***********************************************************
33107   //
33108   // GetCount()
33109   //
33134   HRESULT GetCount (
33135     [in] IAAFPropertyValue * pPropVal,
33136     [out] aafUInt32 *  pCount);
33137
33138
33139   //***********************************************************
33140   //
33141   // CreateValueFromCString()
33142   //
33174   HRESULT CreateValueFromCString (
33175     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
33176     [in] aafUInt32  initDataSize,
33177     [out] IAAFPropertyValue ** ppPropVal);
33178
33179
33180   //***********************************************************
33181   //
33182   // SetCString()
33183   //
33213   HRESULT SetCString (
33214     [in] IAAFPropertyValue * pPropVal,
33215     [in, size_is(dataSize)] aafMemPtr_t  pData,
33216     [in] aafUInt32  dataSize);
33217
33218
33219   //***********************************************************
33220   //
33221   // AppendElements()
33222   //
33245   HRESULT AppendElements (
33246     [in] IAAFPropertyValue * pInPropVal,
33247     [in] aafMemPtr_t  pElements);
33248
33249
33250   //***********************************************************
33251   //
33252   // GetElements()
33253   //
33284   HRESULT GetElements (
33285     [in] IAAFPropertyValue * pInPropVal,
33286     [out] aafMemPtr_t  pBuffer,
33287     [in] aafUInt32  bufferSize);
33288
33289
33290
33291 }
33292
33293
33294
33295 // ************************
33296 //
33297 // Interface IAAFTypeDefStrongObjRef
33298 //
33299 // ************************
33316 [
33317     object,
33318     uuid(381e1f26-e7bb-11d2-842a-00600832acb8),
33319     helpstring("IAAFTypeDefStrongObjRef Interface"),
33320     pointer_default(unique)
33321 ]
33322 interface IAAFTypeDefStrongObjRef : IUnknown
33323 {
33324
33325   //***********************************************************
33326   //
33327   // Initialize()
33328   //
33358   HRESULT Initialize (
33359     [in, ref] aafUID_constref  id,
33360     [in] IAAFClassDef * pObjType,
33361     [in, string] aafCharacter_constptr  pTypeName);
33362
33363
33364
33365
33366 }
33367
33368
33369
33370 // ************************
33371 //
33372 // Interface IAAFTypeDefVariableArray
33373 //
33374 // ************************
33391 [
33392     object,
33393     uuid(307e9e66-dcb2-11d2-8429-00600832acb8),
33394     helpstring("IAAFTypeDefVariableArray Interface"),
33395     pointer_default(unique)
33396 ]
33397 interface IAAFTypeDefVariableArray : IUnknown
33398 {
33399   //***********************************************************
33400   //
33401   // Initialize()
33402   //
33443   HRESULT Initialize (
33444     [in, ref] aafUID_constref  id,
33445     [in] IAAFTypeDef * pTypeDef,
33446     [in] aafCharacter_constptr  pTypeName);
33447
33448
33449   //***********************************************************
33450   //
33451   // GetType()
33452   //
33474   HRESULT GetType (
33475     [out] IAAFTypeDef ** ppTypeDef);
33476
33477
33478   //***********************************************************
33479   //
33480   // GetCount()
33481   //
33506   HRESULT GetCount (
33507     [in] IAAFPropertyValue * pPropVal,
33508     [out] aafUInt32 *  pCount);
33509
33510
33511   //***********************************************************
33512   //
33513   // AppendElement()
33514   //
33536   HRESULT AppendElement (
33537     [in] IAAFPropertyValue * pInPropVal,
33538     [in] IAAFPropertyValue * pMemberPropVal);
33539
33540
33541   //***********************************************************
33542   //
33543   // CreateEmptyValue()
33544   //
33569   HRESULT CreateEmptyValue (
33570     [out] IAAFPropertyValue ** ppPropVal);
33571
33572
33573   //***********************************************************
33574   //
33575   // CreateValueFromValues()
33576   //
33608   HRESULT CreateValueFromValues (
33609     [in, size_is(numElements)] IAAFPropertyValue ** pElementValues,
33610     [in] aafUInt32  numElements,
33611     [out] IAAFPropertyValue ** ppPropVal);
33612
33613
33614   //***********************************************************
33615   //
33616   // CreateValueFromCArray()
33617   //
33655   HRESULT CreateValueFromCArray (
33656     [in, size_is(initDataSize)] aafMemPtr_t  pInitData,
33657     [in] aafUInt32  initDataSize,
33658     [out] IAAFPropertyValue ** ppPropVal);
33659
33660
33661   //***********************************************************
33662   //
33663   // GetElementValue()
33664   //
33696   HRESULT GetElementValue (
33697     [in] IAAFPropertyValue * pInPropVal,
33698     [in] aafUInt32  index,
33699     [out] IAAFPropertyValue ** ppOutPropVal);
33700
33701
33702   //***********************************************************
33703   //
33704   // GetCArray()
33705   //
33743   HRESULT GetCArray (
33744     [in] IAAFPropertyValue * pPropVal,
33745     [out, size_is(dataSize)] aafMemPtr_t  pData,
33746     [in] aafUInt32  dataSize);
33747
33748
33749   //***********************************************************
33750   //
33751   // SetElementValue()
33752   //
33785   HRESULT SetElementValue (
33786     [in] IAAFPropertyValue * pPropVal,
33787     [in] aafUInt32  index,
33788     [in] IAAFPropertyValue * pMemberPropVal);
33789
33790
33791   //***********************************************************
33792   //
33793   // SetCArray()
33794   //
33831   HRESULT SetCArray (
33832     [in] IAAFPropertyValue * pPropVal,
33833     [in, size_is(dataSize)] aafMemPtr_t  pData,
33834     [in] aafUInt32  dataSize);
33835
33836
33837
33838
33839   //***********************************************************
33840   //
33841   // GetElements()
33842   //
33867   HRESULT GetElements (
33868     [in] IAAFPropertyValue * PSetPropVal,
33869     [out] IEnumAAFPropertyValues ** ppEnum);
33870
33871
33872
33873
33874
33875 }
33876
33877
33878 // ************************
33879 //
33880 // Interface IAAFTypeDefWeakObjRef
33881 //
33882 // ************************
33899 [
33900     object,
33901     uuid(381e1f24-e7bb-11d2-842a-00600832acb8),
33902     helpstring("IAAFTypeDefWeakObjRef Interface"),
33903     pointer_default(unique)
33904 ]
33905 interface IAAFTypeDefWeakObjRef : IUnknown
33906 {
33907
33908   //***********************************************************
33909   //
33910   // Initialize()
33911   //
33963   HRESULT Initialize (
33964     [in, ref] aafUID_constref  id,
33965     [in] IAAFClassDef * pObjType,
33966     [in, string] aafCharacter_constptr  pTypeName,
33967     [in] aafUInt32  ids,
33968     [in, size_is(ids)] aafUID_constptr  pTargetSet);
33969 }
33970
33971
33972
33973 // ************************
33974 //
33975 // Interface IAAFVaryingValue
33976 //
33977 // ************************
33997 [
33998     object,
33999     uuid(91920d60-2a2e-11D2-bfA3-006097116212),
34000     helpstring("IAAFVaryingValue Interface"),
34001     pointer_default(unique)
34002 ]
34003 interface IAAFVaryingValue : IUnknown
34004 {
34005
34006
34007   //***********************************************************
34008   //
34009   // Initialize()
34010   //
34038   HRESULT Initialize (
34039     [in] IAAFParameterDef * pParameterDef,
34040     [in] IAAFInterpolationDef * pInterpolation);
34041
34042   //***********************************************************
34043   //
34044   // AddControlPoint()
34045   //
34067   HRESULT AddControlPoint (
34068     [in] IAAFControlPoint * pControlPoint);
34069
34070
34071   //***********************************************************
34072   //
34073   // GetControlPoints()
34074   //
34096   HRESULT GetControlPoints (
34097     [out,retval] IEnumAAFControlPoints ** ppEnum);
34098
34099
34100   //***********************************************************
34101   //
34102   // CountControlPoints()
34103   //
34127   HRESULT CountControlPoints (
34128     [out] aafUInt32 *  pResult);
34129
34130
34131   //***********************************************************
34132   //
34133   // GetControlPointAt()
34134   //
34166   HRESULT GetControlPointAt (
34167     [in] aafUInt32  index,
34168     [out, retval] IAAFControlPoint ** ppControlPoint);
34169
34170
34171   //***********************************************************
34172   //
34173   // RemoveControlPointAt()
34174   //
34203   HRESULT RemoveControlPointAt (
34204     [in] aafUInt32  index);
34205
34206
34207   //***********************************************************
34208   //
34209   // GetInterpolationDefinition()
34210   //
34237   HRESULT GetInterpolationDefinition (
34238     [out] IAAFInterpolationDef ** ppInterpolation);
34239
34240   //***********************************************************
34241   //
34242   // GetValueBufLen()
34243   //
34265   HRESULT GetValueBufLen (
34266     [out] aafInt32 *  pLen);
34267
34268
34269   //***********************************************************
34270   //
34271   // GetInterpolatedValue()
34272   //
34304   HRESULT GetInterpolatedValue (
34305     [in] aafRational_t  inputValue,
34306     [in] aafInt32  valueSize,
34307     [out,size_is(valueSize),length_is(*bytesRead)] aafDataBuffer_t  pValue,
34308     [out] aafInt32 *  bytesRead);
34309 }
34310
34311
34312
34313 // ************************
34314 //
34315 // Interface IAAFWAVEDescriptor
34316 //
34317 // ************************
34331
34332
34339 [
34340     object,
34341     uuid(4c2e1692-8ae6-11d2-813c-006097310172),
34342     helpstring("IAAFWAVEDescriptor Interface"),
34343     pointer_default(unique)
34344 ]
34345 interface IAAFWAVEDescriptor : IUnknown
34346 {
34347
34348   //***********************************************************
34349   //
34350   // Initialize()
34351   //
34370   HRESULT Initialize ();
34371
34372
34373   //***********************************************************
34374   //
34375   // GetSummary()
34376   //
34400   HRESULT GetSummary (
34401     [in] aafUInt32  size,
34402     [out, size_is(size)] aafDataValue_t  pSummary);
34403
34404
34405   //***********************************************************
34406   //
34407   // GetSummaryBufferSize()
34408   //
34427   HRESULT GetSummaryBufferSize (
34428     [out] aafUInt32 *  pSize);
34429
34430
34431   //***********************************************************
34432   //
34433   // SetSummary()
34434   //
34454   HRESULT SetSummary (
34455     [in] aafUInt32  size,
34456     [in, size_is(size)] aafDataValue_t  pSummary);
34457
34458
34459 }
34460
34461
34462
34463 // ************************
34464 //
34465 // Interface IEnumAAFClassDefs
34466 //
34467 // ************************
34480 [
34481     object,
34482     uuid(B1A2138E-1A7D-11D2-BF78-00104BC9156D),
34483     helpstring("IEnumAAFClassDefs Interface"),
34484     pointer_default(unique)
34485 ]
34486 interface IEnumAAFClassDefs : IUnknown
34487 {
34488
34489   //***********************************************************
34490   //
34491   // NextOne()
34492   //
34518   HRESULT NextOne (
34519     [out,retval] IAAFClassDef ** ppClassDefs);
34520
34521
34522   //***********************************************************
34523   //
34524   // Next()
34525   //
34554   HRESULT Next (
34555     [in] aafUInt32  count,
34556     [out, size_is(count), length_is(*pNumFetched)] IAAFClassDef ** ppClassDefs,
34557     [out,ref] aafUInt32 *  pNumFetched);
34558
34559
34560   //***********************************************************
34561   //
34562   // Skip()
34563   //
34583   HRESULT Skip (
34584     [in] aafUInt32  count);
34585
34586
34587   //***********************************************************
34588   //
34589   // Reset()
34590   //
34601   HRESULT Reset ();
34602
34603
34604   //***********************************************************
34605   //
34606   // Clone()
34607   //
34631   HRESULT Clone (
34632     [out,retval] IEnumAAFClassDefs ** ppEnum);
34633 }
34634
34635
34636
34637 // ************************
34638 //
34639 // Interface IEnumAAFCodecDefs
34640 //
34641 // ************************
34642 [
34643     object,
34644     uuid(3B2C9AD4-022A-11d3-80A6-006008143E6F),
34645     helpstring("IEnumAAFCodecDefs Interface"),
34646     pointer_default(unique)
34647 ]
34648 interface IEnumAAFCodecDefs : IUnknown
34649 {
34650
34651   //***********************************************************
34652   //
34653   // NextOne()
34654   //
34680   HRESULT NextOne (
34681     [out,retval] IAAFCodecDef ** ppCodecDefs);
34682
34683
34684   //***********************************************************
34685   //
34686   // Next()
34687   //
34716   HRESULT Next (
34717     [in] aafUInt32  count,
34718     [out, size_is(count), length_is(*pNumFetched)] IAAFCodecDef ** ppCodecDefs,
34719     [out,ref] aafUInt32 *  pNumFetched);
34720
34721
34722   //***********************************************************
34723   //
34724   // Skip()
34725   //
34745   HRESULT Skip (
34746     [in] aafUInt32  count);
34747
34748
34749   //***********************************************************
34750   //
34751   // Reset()
34752   //
34763   HRESULT Reset ();
34764
34765
34766   //***********************************************************
34767   //
34768   // Clone()
34769   //
34793   HRESULT Clone (
34794     [out,retval] IEnumAAFCodecDefs ** ppEnum);
34795 }
34796
34797
34798
34799 // ************************
34800 //
34801 // Interface IEnumAAFCodecFlavours
34802 //
34803 // ************************
34823
34824
34825 [
34826     object,
34827     uuid(AB4D9F12-DD69-11d2-809C-006008143E6F),
34828     helpstring("IEnumAAFCodecFlavours Interface"),
34829     pointer_default(unique)
34830 ]
34831 interface IEnumAAFCodecFlavours : IUnknown
34832 {
34833
34834   //***********************************************************
34835   //
34836   // NextOne()
34837   //
34846   HRESULT NextOne (
34847     [out,retval] aafUID_t *  pAAFCodecFlavour);
34848
34849
34850   //***********************************************************
34851   //
34852   // Next()
34853   //
34864   HRESULT Next (
34865     [in] aafUInt32  count,
34866     [out, size_is(count), length_is(*pFetched)] aafUID_t *  pAAFCodecFlavours,
34867     [out,ref] aafUInt32 *  pFetched);
34868
34869
34870   //***********************************************************
34871   //
34872   // Skip()
34873   //
34880   HRESULT Skip (
34881     [in] aafUInt32  count);
34882
34883
34884   //***********************************************************
34885   //
34886   // Reset()
34887   //
34896   HRESULT Reset ();
34897
34898
34899   //***********************************************************
34900   //
34901   // Clone()
34902   //
34914   HRESULT Clone (
34915     [out,retval] IEnumAAFCodecFlavours ** ppEnum);
34916 }
34917
34918
34919
34920 // ************************
34921 //
34922 // Interface IEnumAAFComponents
34923 //
34924 // ************************
34937 [
34938     object,
34939     uuid(B1A21394-1A7D-11D2-BF78-00104BC9156D),
34940     helpstring("IEnumAAFComponents Interface"),
34941     pointer_default(unique)
34942 ]
34943 interface IEnumAAFComponents : IUnknown
34944 {
34945
34946   //***********************************************************
34947   //
34948   // NextOne()
34949   //
34975   HRESULT NextOne (
34976     [out,retval] IAAFComponent ** ppComponent);
34977
34978
34979   //***********************************************************
34980   //
34981   // Next()
34982   //
35010   HRESULT Next (
35011     [in] aafUInt32  count,
35012     [out, size_is(count), length_is(*pNumFetched)] IAAFComponent ** ppComponents,
35013     [out,ref] aafUInt32 *  pNumFetched);
35014
35015
35016   //***********************************************************
35017   //
35018   // Skip()
35019   //
35039   HRESULT Skip (
35040     [in] aafUInt32  count);
35041
35042
35043   //***********************************************************
35044   //
35045   // Reset()
35046   //
35057   HRESULT Reset ();
35058
35059
35060   //***********************************************************
35061   //
35062   // Clone()
35063   //
35087   HRESULT Clone (
35088     [out,retval] IEnumAAFComponents ** ppEnum);
35089 }
35090
35091
35092
35093 // ************************
35094 //
35095 // Interface IEnumAAFContainerDefs
35096 //
35097 // ************************
35098 [
35099     object,
35100     uuid(3B2C9AD2-022A-11d3-80A6-006008143E6F),
35101     helpstring("IEnumAAFContainerDefs Interface"),
35102     pointer_default(unique)
35103 ]
35104 interface IEnumAAFContainerDefs : IUnknown
35105 {
35106
35107   //***********************************************************
35108   //
35109   // NextOne()
35110   //
35136   HRESULT NextOne (
35137     [out,retval] IAAFContainerDef ** ppContainerDefs);
35138
35139
35140   //***********************************************************
35141   //
35142   // Next()
35143   //
35172   HRESULT Next (
35173     [in] aafUInt32  count,
35174     [out, size_is(count), length_is(*pNumFetched)] IAAFContainerDef ** ppContainerDefs,
35175     [out,ref] aafUInt32 *  pNumFetched);
35176
35177
35178   //***********************************************************
35179   //
35180   // Skip()
35181   //
35201   HRESULT Skip (
35202     [in] aafUInt32  count);
35203
35204
35205   //***********************************************************
35206   //
35207   // Reset()
35208   //
35219   HRESULT Reset ();
35220
35221
35222   //***********************************************************
35223   //
35224   // Clone()
35225   //
35249   HRESULT Clone (
35250     [out,retval] IEnumAAFContainerDefs ** ppEnum);
35251 }
35252
35253
35254
35255 // ************************
35256 //
35257 // Interface IEnumAAFControlPoints
35258 //
35259 // ************************
35260 [
35261     object,
35262     uuid(B1A2139C-1A7D-11D2-BF78-00104BC9156D),
35263     helpstring("IEnumAAFControlPoints Interface"),
35264     pointer_default(unique)
35265 ]
35266 interface IEnumAAFControlPoints : IUnknown
35267 {
35268
35269   //***********************************************************
35270   //
35271   // NextOne()
35272   //
35298   HRESULT NextOne (
35299     [out,retval] IAAFControlPoint ** ppControlPoints);
35300
35301
35302   //***********************************************************
35303   //
35304   // Next()
35305   //
35334   HRESULT Next (
35335     [in] aafUInt32  count,
35336     [out, size_is(count), length_is(*pNumFetched)] IAAFControlPoint ** ppControlPoints,
35337     [out,ref] aafUInt32 *  pNumFetched);
35338
35339
35340   //***********************************************************
35341   //
35342   // Skip()
35343   //
35363   HRESULT Skip (
35364     [in] aafUInt32  count);
35365
35366
35367   //***********************************************************
35368   //
35369   // Reset()
35370   //
35381   HRESULT Reset ();
35382
35383
35384   //***********************************************************
35385   //
35386   // Clone()
35387   //
35411   HRESULT Clone (
35412     [out,retval] IEnumAAFControlPoints ** ppEnum);
35413 }
35414
35415
35416
35417 // ************************
35418 //
35419 // Interface IEnumAAFDataDefs
35420 //
35421 // ************************
35422 [
35423     object,
35424     uuid(d8000382-498e-11d2-841B-00600832ACB8),
35425     helpstring("IEnumAAFDataDefs Interface"),
35426     pointer_default(unique)
35427 ]
35428 interface IEnumAAFDataDefs : IUnknown
35429 {
35430
35431   //***********************************************************
35432   //
35433   // NextOne()
35434   //
35460   HRESULT NextOne (
35461     [out,retval] IAAFDataDef ** ppDataDefs);
35462
35463
35464   //***********************************************************
35465   //
35466   // Next()
35467   //
35496   HRESULT Next (
35497     [in] aafUInt32  count,
35498     [out, size_is(count), length_is(*pNumFetched)] IAAFDataDef ** ppDataDefs,
35499     [out,ref] aafUInt32 *  pNumFetched);
35500
35501
35502   //***********************************************************
35503   //
35504   // Skip()
35505   //
35525   HRESULT Skip (
35526     [in] aafUInt32  count);
35527
35528
35529   //***********************************************************
35530   //
35531   // Reset()
35532   //
35543   HRESULT Reset ();
35544
35545
35546   //***********************************************************
35547   //
35548   // Clone()
35549   //
35573   HRESULT Clone (
35574     [out,retval] IEnumAAFDataDefs ** ppEnum);
35575 }
35576
35577
35578
35579 // ************************
35580 //
35581 // Interface IEnumAAFEssenceData
35582 //
35583 // ************************
35604 [
35605     object,
35606     uuid(B1A21392-1A7D-11D2-BF78-00104BC9156D),
35607     helpstring("IEnumAAFEssenceData Interface"),
35608     pointer_default(unique)
35609 ]
35610 interface IEnumAAFEssenceData : IUnknown
35611 {
35612
35613
35614   //***********************************************************
35615   //
35616   // NextOne()
35617   //
35624   HRESULT NextOne (
35625     [out,retval] IAAFEssenceData ** ppEssenceData);
35626
35627   //***********************************************************
35628   //
35629   // Next()
35630   //
35640   HRESULT Next (
35641     [in] aafUInt32  count,
35642     [out, size_is(count), length_is(*pFetched)] IAAFEssenceData ** ppEssenceData,
35643     [out,ref] aafUInt32 *  pFetched);
35644
35645   //***********************************************************
35646   //
35647   // Skip()
35648   //
35655   HRESULT Skip (
35656     [in] aafUInt32  count);
35657
35658   //***********************************************************
35659   //
35660   // Reset()
35661   //
35667   HRESULT Reset ();
35668
35669   //***********************************************************
35670   //
35671   // Clone()
35672   //
35681   HRESULT Clone (
35682     [out,retval] IEnumAAFEssenceData ** ppEnum);
35683
35684 }
35685
35686
35687
35688 // ************************
35689 //
35690 // Interface IEnumAAFFileDescriptors
35691 //
35692 // ************************
35704 [
35705     object,
35706     uuid(FD4B6BC0-0787-4F5E-9FBD-37282B8706E7),
35707     helpstring("IEnumAAFFileDescriptors Interface"),
35708     pointer_default(unique)
35709 ]
35710 interface IEnumAAFFileDescriptors : IUnknown
35711 {
35712
35713   //***********************************************************
35714   //
35715   // NextOne()
35716   //
35742   HRESULT NextOne (
35743     [out,retval] IAAFFileDescriptor ** ppFileDescriptors);
35744
35745
35746   //***********************************************************
35747   //
35748   // Next()
35749   //
35778   HRESULT Next (
35779     [in] aafUInt32  count,
35780     [out, size_is(count), length_is(*pNumFetched)] IAAFFileDescriptor ** ppFileDescriptors,
35781     [out,ref] aafUInt32 *  pNumFetched);
35782
35783
35784   //***********************************************************
35785   //
35786   // Skip()
35787   //
35807   HRESULT Skip (
35808     [in] aafUInt32  count);
35809
35810
35811   //***********************************************************
35812   //
35813   // Reset()
35814   //
35825   HRESULT Reset ();
35826
35827
35828   //***********************************************************
35829   //
35830   // Clone()
35831   //
35855   HRESULT Clone (
35856     [out,retval] IEnumAAFFileDescriptors ** ppEnum);
35857 }
35858
35859
35860
35861 // ************************
35862 //
35863 // Interface IEnumAAFFileEncodings
35864 //
35865 // ************************
35866 //
35867 // This interface is used to enumerate across Class Definition
35868 // objects.
35877 //
35878 /***********************************************\
35879 *   Stub only.   Implementation not yet added   *
35880 \***********************************************/
35881 //
35882 [
35883     object,
35884     uuid(6173c2cf-9a7a-4ff1-a8fc-be0819aea2de),
35885     helpstring("IEnumAAFFileEncodings Interface"),
35886     pointer_default(unique)
35887 ]
35888 interface IEnumAAFFileEncodings : IUnknown
35889 {
35890
35891   //***********************************************************
35892   //
35893   // NextOne()
35894   //
35920   HRESULT NextOne (
35921     [out,retval] IAAFFileEncoding ** ppFileEncodings);
35922
35923
35924   //***********************************************************
35925   //
35926   // Next()
35927   //
35956   HRESULT Next (
35957     [in] aafUInt32  count,
35958     [out, size_is(count), length_is(*pNumFetched)] IAAFFileEncoding ** ppFileEncodings,
35959     [out,ref] aafUInt32 *  pNumFetched);
35960
35961
35962   //***********************************************************
35963   //
35964   // Skip()
35965   //
35985   HRESULT Skip (
35986     [in] aafUInt32  count);
35987
35988
35989   //***********************************************************
35990   //
35991   // Reset()
35992   //
36003   HRESULT Reset ();
36004
36005
36006   //***********************************************************
36007   //
36008   // Clone()
36009   //
36033   HRESULT Clone (
36034     [out,retval] IEnumAAFFileEncodings ** ppEnum);
36035 }
36036
36037
36038
36039 // ************************
36040 //
36041 // Interface IEnumAAFIdentifications
36042 //
36043 // ************************
36056 [
36057     object,
36058     uuid(B1A21384-1A7D-11D2-BF78-00104BC9156D),
36059     helpstring("IEnumAAFIdentifications Interface"),
36060     pointer_default(unique)
36061 ]
36062 interface IEnumAAFIdentifications : IUnknown
36063 {
36064
36065   //***********************************************************
36066   //
36067   // NextOne()
36068   //
36094   HRESULT NextOne (
36095     [out, retval] IAAFIdentification ** ppIdentification);
36096
36097
36098   //***********************************************************
36099   //
36100   // Next()
36101   //
36130   HRESULT Next (
36131     [in] aafUInt32  count,
36132     [out, size_is(count), length_is(*pNumFetched)] IAAFIdentification ** ppIdentifications,
36133     [out] aafUInt32 *  pNumFetched);
36134
36135
36136   //***********************************************************
36137   //
36138   // Skip()
36139   //
36159   HRESULT Skip (
36160     [in] aafUInt32  count);
36161
36162
36163   //***********************************************************
36164   //
36165   // Reset()
36166   //
36177   HRESULT Reset ();
36178
36179
36180   //***********************************************************
36181   //
36182   // Clone()
36183   //
36207   HRESULT Clone (
36208     [out, retval] IEnumAAFIdentifications ** ppEnum);
36209 }
36210
36211
36212
36213 // ************************
36214 //
36215 // Interface IEnumAAFInterpolationDefs
36216 //
36217 // ************************
36218 [
36219     object,
36220     uuid(293600A5-0D37-11d3-80A9-006008143E6F),
36221     helpstring("IEnumAAFInterpolationDefs Interface"),
36222     pointer_default(unique)
36223 ]
36224 interface IEnumAAFInterpolationDefs : IUnknown
36225 {
36226
36227   //***********************************************************
36228   //
36229   // NextOne()
36230   //
36256   HRESULT NextOne (
36257     [out,retval] IAAFInterpolationDef ** ppInterpolationDefs);
36258
36259
36260   //***********************************************************
36261   //
36262   // Next()
36263   //
36292   HRESULT Next (
36293     [in] aafUInt32  count,
36294     [out, size_is(count), length_is(*pNumFetched)] IAAFInterpolationDef ** ppInterpolationDefs,
36295     [out,ref] aafUInt32 *  pNumFetched);
36296
36297
36298   //***********************************************************
36299   //
36300   // Skip()
36301   //
36321   HRESULT Skip (
36322     [in] aafUInt32  count);
36323
36324
36325   //***********************************************************
36326   //
36327   // Reset()
36328   //
36339   HRESULT Reset ();
36340
36341
36342   //***********************************************************
36343   //
36344   // Clone()
36345   //
36369   HRESULT Clone (
36370     [out,retval] IEnumAAFInterpolationDefs ** ppEnum);
36371 }
36372
36373
36374
36375 // ************************
36376 //
36377 // Interface IEnumAAFKLVData
36378 //
36379 // ************************
36380 [
36381     object,
36382     uuid(46114416-0676-11d4-A356-009027DFCA6A),
36383     helpstring("IEnumAAFKLVData Interface"),
36384     pointer_default(unique)
36385 ]
36386 interface IEnumAAFKLVData : IUnknown
36387 {
36388
36389   //***********************************************************
36390   //
36391   // NextOne()
36392   //
36418   HRESULT NextOne (
36419     [out,retval] IAAFKLVData ** ppKLVData);
36420
36421
36422   //***********************************************************
36423   //
36424   // Next()
36425   //
36454   HRESULT Next (
36455     [in] aafUInt32  count,
36456     [out, size_is(count), length_is(*pNumFetched)] IAAFKLVData ** ppKLVData,
36457     [out,ref] aafUInt32 *  pNumFetched);
36458
36459
36460   //***********************************************************
36461   //
36462   // Skip()
36463   //
36483   HRESULT Skip (
36484     [in] aafUInt32  count);
36485
36486
36487   //***********************************************************
36488   //
36489   // Reset()
36490   //
36501   HRESULT Reset ();
36502
36503
36504   //***********************************************************
36505   //
36506   // Clone()
36507   //
36531   HRESULT Clone (
36532     [out,retval] IEnumAAFKLVData ** ppEnum);
36533 }
36534
36535
36536
36537 // ************************
36538 //
36539 // Interface IEnumAAFKLVDataDefs
36540 //
36541 // ************************
36542 [
36543     object,
36544     uuid(2a368c5c-e5af-43c8-8e5a-e78ba02f5f3b),
36545     helpstring("IEnumAAFKLVDataDefs Interface"),
36546     pointer_default(unique)
36547 ]
36548
36549 interface IEnumAAFKLVDataDefs : IUnknown
36550 {
36551
36552   //***********************************************************
36553   //
36554   // NextOne()
36555   //
36581   HRESULT NextOne (
36582     [out,retval] IAAFKLVDataDefinition ** ppKLVDataDefs);
36583
36584
36585   //***********************************************************
36586   //
36587   // Next()
36588   //
36617   HRESULT Next (
36618     [in] aafUInt32  count,
36619     [out, size_is(count), length_is(*pNumFetched)] IAAFKLVDataDefinition ** ppKLVDataDefs,
36620     [out,ref] aafUInt32 *  pNumFetched);
36621
36622
36623   //***********************************************************
36624   //
36625   // Skip()
36626   //
36646   HRESULT Skip (
36647     [in] aafUInt32  count);
36648
36649
36650   //***********************************************************
36651   //
36652   // Reset()
36653   //
36664   HRESULT Reset ();
36665
36666
36667   //***********************************************************
36668   //
36669   // Clone()
36670   //
36694   HRESULT Clone (
36695     [out,retval] IEnumAAFKLVDataDefs ** ppEnum);
36696 }
36697
36698
36699
36700 // ************************
36701 //
36702 // Interface IEnumAAFLoadedPlugins
36703 //
36704 // ************************
36718 [
36719     object,
36720     uuid(AB4D9F14-DD69-11d2-809C-006008143E6F),
36721     helpstring("IEnumAAFLoadedPlugins Interface"),
36722     pointer_default(unique)
36723 ]
36724 interface IEnumAAFLoadedPlugins : IUnknown
36725 {
36726
36727
36728   //***********************************************************
36729   //
36730   // NextOne()
36731   //
36738   HRESULT NextOne (
36739     [out,retval] aafUID_t*  ppAAFPluginID);
36740
36741   //***********************************************************
36742   //
36743   // Next()
36744   //
36754   HRESULT Next (
36755     [in] aafUInt32  count,
36756     [out, size_is(count), length_is(*pFetched)] aafUID_t*  pAAFPluginIDs,
36757     [out,ref] aafUInt32 *  pFetched);
36758
36759   //***********************************************************
36760   //
36761   // Skip()
36762   //
36769   HRESULT Skip (
36770     [in] aafUInt32  count);
36771
36772   //***********************************************************
36773   //
36774   // Reset()
36775   //
36781   HRESULT Reset ();
36782
36783   //***********************************************************
36784   //
36785   // Clone()
36786   //
36796   HRESULT Clone (
36797     [out,retval] IEnumAAFLoadedPlugins ** ppEnum);
36798
36799 }
36800
36801
36802
36803 // ************************
36804 //
36805 // Interface IEnumAAFLocators
36806 //
36807 // ************************
36821 [
36822     object,
36823     uuid(B1A2139E-1A7D-11D2-BF78-00104BC9156D),
36824     helpstring("IEnumAAFLocators Interface"),
36825     pointer_default(unique)
36826 ]
36827 interface IEnumAAFLocators : IUnknown
36828 {
36829
36830   //***********************************************************
36831   //
36832   // NextOne()
36833   //
36859   HRESULT NextOne (
36860     [out,retval] IAAFLocator ** ppLocator);
36861
36862
36863   //***********************************************************
36864   //
36865   // Next()
36866   //
36894   HRESULT Next (
36895     [in] aafUInt32  count,
36896     [out, size_is(count), length_is(*pFetched)] IAAFLocator ** ppLocators,
36897     [out,ref] aafUInt32 *  pFetched);
36898
36899
36900   //***********************************************************
36901   //
36902   // Skip()
36903   //
36923   HRESULT Skip (
36924     [in] aafUInt32  count);
36925
36926
36927   //***********************************************************
36928   //
36929   // Reset()
36930   //
36941   HRESULT Reset ();
36942
36943
36944   //***********************************************************
36945   //
36946   // Clone()
36947   //
36970   HRESULT Clone (
36971     [out,retval] IEnumAAFLocators ** ppEnum);
36972 }
36973
36974
36975
36976 // ************************
36977 //
36978 // Interface IEnumAAFMobSlots
36979 //
36980 // ************************
36993 [
36994     object,
36995     uuid(B1A21388-1A7D-11D2-BF78-00104BC9156D),
36996     helpstring("IEnumAAFMobSlots Interface"),
36997     pointer_default(unique)
36998 ]
36999 interface IEnumAAFMobSlots : IUnknown
37000 {
37001
37002   //***********************************************************
37003   //
37004   // NextOne()
37005   //
37031   HRESULT NextOne (
37032     [out,retval] IAAFMobSlot ** ppMobSlot);
37033
37034
37035   //***********************************************************
37036   //
37037   // Next()
37038   //
37069   HRESULT Next (
37070     [in] aafUInt32  count,
37071     [out, size_is(count), length_is(*pNumFetched)] IAAFMobSlot ** ppMobSlots,
37072     [out,ref] aafUInt32 *  pNumFetched);
37073
37074
37075   //***********************************************************
37076   //
37077   // Skip()
37078   //
37098   HRESULT Skip (
37099     [in] aafUInt32  count);
37100
37101
37102   //***********************************************************
37103   //
37104   // Reset()
37105   //
37116   HRESULT Reset ();
37117
37118
37119   //***********************************************************
37120   //
37121   // Clone()
37122   //
37143   HRESULT Clone (
37144     [out,retval] IEnumAAFMobSlots ** ppEnum);
37145 }
37146
37147
37148
37149 // ************************
37150 //
37151 // Interface IEnumAAFMobs
37152 //
37153 // ************************
37182 [
37183     object,
37184     uuid(B1A21386-1A7D-11D2-BF78-00104BC9156D),
37185     helpstring("IEnumAAFMobs Interface"),
37186     pointer_default(unique)
37187 ]
37188 interface IEnumAAFMobs : IUnknown
37189 {
37190
37191   //***********************************************************
37192   //
37193   // NextOne()
37194   //
37220   HRESULT NextOne (
37221     [out, retval] IAAFMob ** ppMob);
37222
37223
37224   //***********************************************************
37225   //
37226   // Next()
37227   //
37255   HRESULT Next (
37256     [in] aafUInt32  count,
37257     [out, size_is(count), length_is(*pNumFetched)] IAAFMob ** ppMobs,
37258     [out] aafUInt32 *  pNumFetched);
37259
37260
37261   //***********************************************************
37262   //
37263   // Skip()
37264   //
37284   HRESULT Skip (
37285     [in] aafUInt32  count);
37286
37287
37288   //***********************************************************
37289   //
37290   // Reset()
37291   //
37302   HRESULT Reset ();
37303
37304
37305   //***********************************************************
37306   //
37307   // Clone()
37308   //
37332   HRESULT Clone (
37333     [out, retval] IEnumAAFMobs ** ppEnum);
37334 }
37335
37336
37337
37338 // ************************
37339 //
37340 // Interface IEnumAAFOperationDefs
37341 //
37342 // ************************
37343 [
37344     object,
37345     uuid(92B88021-2B2B-11D2-BF7E-00104BC9156D),
37346     helpstring("IEnumAAFOperationDefs Interface"),
37347     pointer_default(unique)
37348 ]
37349 interface IEnumAAFOperationDefs : IUnknown
37350 {
37351
37352   //***********************************************************
37353   //
37354   // NextOne()
37355   //
37381   HRESULT NextOne (
37382     [out,retval] IAAFOperationDef ** ppOperationDefs);
37383
37384
37385   //***********************************************************
37386   //
37387   // Next()
37388   //
37417   HRESULT Next (
37418     [in] aafUInt32  count,
37419     [out, size_is(count), length_is(*pNumFetched)] IAAFOperationDef ** ppOperationDefs,
37420     [out,ref] aafUInt32 *  pNumFetched);
37421
37422
37423   //***********************************************************
37424   //
37425   // Skip()
37426   //
37446   HRESULT Skip (
37447     [in] aafUInt32  count);
37448
37449
37450   //***********************************************************
37451   //
37452   // Reset()
37453   //
37464   HRESULT Reset ();
37465
37466
37467   //***********************************************************
37468   //
37469   // Clone()
37470   //
37494   HRESULT Clone (
37495     [out,retval] IEnumAAFOperationDefs ** ppEnum);
37496 }
37497
37498
37499
37500 // ************************
37501 //
37502 // Interface IEnumAAFParameterDefs
37503 //
37504 // ************************
37518 [
37519     object,
37520     uuid(B1A213A4-1A7D-11D2-BF78-00104BC9156D),
37521     helpstring("IEnumAAFParameterDefs Interface"),
37522     pointer_default(unique)
37523 ]
37524 interface IEnumAAFParameterDefs : IUnknown
37525 {
37526
37527
37528   //***********************************************************
37529   //
37530   // NextOne()
37531   //
37557   HRESULT NextOne (
37558     [out,retval] IAAFParameterDef ** ppParameterDef);
37559
37560   //***********************************************************
37561   //
37562   // Next()
37563   //
37591   HRESULT Next (
37592     [in] aafUInt32  count,
37593     [out, size_is(count), length_is(*pFetched)] IAAFParameterDef ** ppParameterDefs,
37594     [out,ref] aafUInt32 *  pFetched);
37595
37596   //***********************************************************
37597   //
37598   // Skip()
37599   //
37619   HRESULT Skip (
37620     [in] aafUInt32  count);
37621
37622   //***********************************************************
37623   //
37624   // Reset()
37625   //
37636   HRESULT Reset ();
37640
37641   //***********************************************************
37642   //
37643   // Clone()
37644   //
37668   HRESULT Clone (
37669     [out,retval] IEnumAAFParameterDefs ** ppEnum);
37670
37671 }
37672
37673
37674
37675 // ************************
37676 //
37677 // Interface IEnumAAFParameters
37678 //
37679 // ************************
37693 [
37694     object,
37695     uuid(7227261E-A8C9-11D3-A3ED-0004AC96A937),
37696     helpstring("IEnumAAFParameters Interface"),
37697     pointer_default(unique)
37698 ]
37699 interface IEnumAAFParameters : IUnknown
37700 {
37701
37702   //***********************************************************
37703   //
37704   // NextOne()
37705   //
37731   HRESULT NextOne (
37732     [out,retval] IAAFParameter ** ppParameter);
37733
37734   //***********************************************************
37735   //
37736   // Next()
37737   //
37767   HRESULT Next (
37768     [in] aafUInt32  count,
37769     [out, size_is(count), length_is(*pFetched)] IAAFParameter ** ppParameters,
37770     [out,ref] aafUInt32 *  pFetched);
37771
37772
37773   //***********************************************************
37774   //
37775   // Skip()
37776   //
37796   HRESULT Skip (
37797     [in] aafUInt32  count);
37798
37799
37800   //***********************************************************
37801   //
37802   // Reset()
37803   //
37819   HRESULT Reset ();
37820
37821
37822   //***********************************************************
37823   //
37824   // Clone()
37825   //
37849   HRESULT Clone (
37850     [out,retval] IEnumAAFParameters ** ppEnum);
37851 }
37852
37853
37854
37855 // ************************
37856 //
37857 // Interface IEnumAAFPluginDefs
37858 //
37859 // ************************
37873 [
37874     object,
37875     uuid(AD1BB85F-DBB2-11d2-809C-006008143E6F),
37876     helpstring("IEnumAAFPluginDefs Interface"),
37877     pointer_default(unique)
37878 ]
37879 interface IEnumAAFPluginDefs : IUnknown
37880 {
37881
37882   //***********************************************************
37883   //
37884   // NextOne()
37885   //
37911   HRESULT NextOne (
37912     [out,retval] IAAFPluginDef ** ppPluginDefs);
37913
37914
37915   //***********************************************************
37916   //
37917   // Next()
37918   //
37947   HRESULT Next (
37948     [in] aafUInt32  count,
37949     [out, size_is(count), length_is(*pNumFetched)] IAAFPluginDef ** ppPluginDefs,
37950     [out,ref] aafUInt32 *  pNumFetched);
37951
37952
37953   //***********************************************************
37954   //
37955   // Skip()
37956   //
37976   HRESULT Skip (
37977     [in] aafUInt32  count);
37978
37979
37980   //***********************************************************
37981   //
37982   // Reset()
37983   //
37994   HRESULT Reset ();
37995
37996
37997   //***********************************************************
37998   //
37999   // Clone()
38000   //
38024   HRESULT Clone (
38025     [out,retval] IEnumAAFPluginDefs ** ppEnum);
38026 }
38027
38028
38029
38030 // ************************
38031 //
38032 // Interface IEnumAAFPluginLocators
38033 //
38034 // ************************
38048 [
38049     object,
38050     uuid(AD1BB861-DBB2-11d2-809C-006008143E6F),
38051     helpstring("IEnumAAFPluginLocators Interface"),
38052     pointer_default(unique)
38053 ]
38054 interface IEnumAAFPluginLocators : IUnknown
38055 {
38056
38057   //***********************************************************
38058   //
38059   // NextOne()
38060   //
38067   HRESULT NextOne (
38068     [out,retval] IAAFLocator ** ppAAFLocator);
38069
38070
38071   //***********************************************************
38072   //
38073   // Next()
38074   //
38084   HRESULT Next (
38085     [in] aafUInt32  count,
38086     [out, size_is(count), length_is(*pFetched)] IAAFLocator ** ppAAFLocators,
38087     [out,ref] aafUInt32 *  pFetched);
38088
38089
38090   //***********************************************************
38091   //
38092   // Skip()
38093   //
38100   HRESULT Skip (
38101     [in] aafUInt32  count);
38102
38103
38104   //***********************************************************
38105   //
38106   // Reset()
38107   //
38116   HRESULT Reset ();
38117
38118
38119   //***********************************************************
38120   //
38121   // Clone()
38122   //
38133   HRESULT Clone (
38134     [out,retval] IEnumAAFPluginLocators ** ppEnum);
38135 }
38136
38137
38138
38139 // ************************
38140 //
38141 // Interface IEnumAAFProperties
38142 //
38143 // ************************
38155 [
38156     object,
38157     uuid(BE316DB2-7E73-11D2-841D-00600832ACB8),
38158     helpstring("IEnumAAFProperties Interface"),
38159     pointer_default(unique)
38160 ]
38161 interface IEnumAAFProperties : IUnknown
38162 {
38163
38164   //***********************************************************
38165   //
38166   // NextOne()
38167   //
38193   HRESULT NextOne (
38194     [out,retval] IAAFProperty ** ppProperties);
38195
38196
38197   //***********************************************************
38198   //
38199   // Next()
38200   //
38229   HRESULT Next (
38230     [in] aafUInt32  count,
38231     [out, size_is(count), length_is(*pNumFetched)] IAAFProperty ** ppProperties,
38232     [out,ref] aafUInt32 *  pNumFetched);
38233
38234
38235   //***********************************************************
38236   //
38237   // Skip()
38238   //
38258   HRESULT Skip (
38259     [in] aafUInt32  count);
38260
38261
38262   //***********************************************************
38263   //
38264   // Reset()
38265   //
38276   HRESULT Reset ();
38277
38278
38279   //***********************************************************
38280   //
38281   // Clone()
38282   //
38306   HRESULT Clone (
38307     [out,retval] IEnumAAFProperties ** ppEnum);
38308 }
38309
38310
38311
38312 // ************************
38313 //
38314 // Interface IEnumAAFPropertyDefs
38315 //
38316 // ************************
38317 [
38318     object,
38319     uuid(245343C1-2D59-11D2-BF80-00104BC9156D),
38320     helpstring("IEnumAAFPropertyDefs Interface"),
38321     pointer_default(unique)
38322 ]
38323 interface IEnumAAFPropertyDefs : IUnknown
38324 {
38325
38326   //***********************************************************
38327   //
38328   // NextOne()
38329   //
38355   HRESULT NextOne (
38356     [out,retval] IAAFPropertyDef ** ppPropertyDefs);
38357
38358
38359   //***********************************************************
38360   //
38361   // Next()
38362   //
38391   HRESULT Next (
38392     [in] aafUInt32  count,
38393     [out, size_is(count), length_is(*pNumFetched)] IAAFPropertyDef ** ppPropertyDefs,
38394     [out,ref] aafUInt32 *  pNumFetched);
38395
38396
38397   //***********************************************************
38398   //
38399   // Skip()
38400   //
38420   HRESULT Skip (
38421     [in] aafUInt32  count);
38422
38423
38424   //***********************************************************
38425   //
38426   // Reset()
38427   //
38438   HRESULT Reset ();
38439
38440
38441   //***********************************************************
38442   //
38443   // Clone()
38444   //
38468   HRESULT Clone (
38469     [out,retval] IEnumAAFPropertyDefs ** ppEnum);
38470 }
38471
38472
38473
38474 // ************************
38475 //
38476 // Interface IEnumAAFPropertyValues
38477 //
38478 // ************************
38491 [
38492     object,
38493     uuid(809c8caa-9884-11d2-841f-00600832acb8),
38494     helpstring("IEnumAAFPropertyValues Interface"),
38495     pointer_default(unique)
38496 ]
38497 interface IEnumAAFPropertyValues : IUnknown
38498 {
38499
38500   //***********************************************************
38501   //
38502   // NextOne()
38503   //
38529   HRESULT NextOne (
38530     [out,retval] IAAFPropertyValue ** ppPropertyValue);
38531
38532
38533   //***********************************************************
38534   //
38535   // Next()
38536   //
38567   HRESULT Next (
38568     [in] aafUInt32  count,
38569     [out, size_is(count), length_is(*pFetched)] IAAFPropertyValue ** ppPropertyValues,
38570     [out,ref] aafUInt32 *  pFetched);
38571
38572
38573   //***********************************************************
38574   //
38575   // Skip()
38576   //
38596   HRESULT Skip (
38597     [in] aafUInt32  count);
38598
38599
38600   //***********************************************************
38601   //
38602   // Reset()
38603   //
38616   HRESULT Reset ();
38617
38618
38619   //***********************************************************
38620   //
38621   // Clone()
38622   //
38646   HRESULT Clone (
38647     [out,retval] IEnumAAFPropertyValues ** ppEnum);
38648 }
38649
38650
38651
38652 // ************************
38653 //
38654 // Interface IEnumAAFRIFFChunks
38655 //
38656 // ************************
38669 [
38670     object,
38671     uuid(54716785-ae2a-4e4b-864d-c8831a7f3c61),
38672     helpstring("IEnumAAFRIFFChunks Interface"),
38673     pointer_default(unique)
38674 ]
38675 interface IEnumAAFRIFFChunks : IUnknown
38676 {
38677
38678
38679   //***********************************************************
38680   //
38681   // NextOne()
38682   //
38708   HRESULT NextOne (
38709     [out,retval] IAAFRIFFChunk ** ppRIFFChunks);
38710
38711
38712   //***********************************************************
38713   //
38714   // Next()
38715   //
38744   HRESULT Next (
38745     [in] aafUInt32  count,
38746     [out, size_is(count), length_is(*pNumFetched)] IAAFRIFFChunk ** ppRIFFChunks,
38747     [out,ref] aafUInt32 *  pNumFetched);
38748
38749
38750   //***********************************************************
38751   //
38752   // Skip()
38753   //
38773   HRESULT Skip (
38774     [in] aafUInt32  count);
38775
38776
38777   //***********************************************************
38778   //
38779   // Reset()
38780   //
38791   HRESULT Reset ();
38792
38793
38794   //***********************************************************
38795   //
38796   // Clone()
38797   //
38821   HRESULT Clone (
38822     [out,retval] IEnumAAFRIFFChunks ** ppEnum);
38823
38824 }
38825
38826
38827
38828 // ************************
38829 //
38830 // Interface IEnumAAFSegments
38831 //
38832 // ************************
38833 [
38834     object,
38835     uuid(B1A213A2-1A7D-11D2-BF78-00104BC9156D),
38836     helpstring("IEnumAAFSegments Interface"),
38837     pointer_default(unique)
38838 ]
38839 interface IEnumAAFSegments : IUnknown
38840 {
38841
38842   //***********************************************************
38843   //
38844   // NextOne()
38845   //
38871   HRESULT NextOne (
38872     [out,retval] IAAFSegment ** ppSegments);
38873
38874
38875   //***********************************************************
38876   //
38877   // Next()
38878   //
38907   HRESULT Next (
38908     [in] aafUInt32  count,
38909     [out, size_is(count), length_is(*pNumFetched)] IAAFSegment ** ppSegments,
38910     [out,ref] aafUInt32 *  pNumFetched);
38911
38912
38913   //***********************************************************
38914   //
38915   // Skip()
38916   //
38936   HRESULT Skip (
38937     [in] aafUInt32  count);
38938
38939
38940   //***********************************************************
38941   //
38942   // Reset()
38943   //
38954   HRESULT Reset ();
38955
38956
38957   //***********************************************************
38958   //
38959   // Clone()
38960   //
38984   HRESULT Clone (
38985     [out,retval] IEnumAAFSegments ** ppEnum);
38986 }
38987
38988
38989
38990 // ************************
38991 //
38992 // Interface IEnumAAFTaggedValueDefs
38993 //
38994 // ************************
38995 [
38996     object,
38997     uuid(9d1bd790-16a8-488c-8743-f9a60a1cba95),
38998     helpstring("IEnumAAFTaggedValueDefs Interface"),
38999     pointer_default(unique)
39000 ]
39001
39002 interface IEnumAAFTaggedValueDefs : IUnknown
39003 {
39004
39005   //***********************************************************
39006   //
39007   // NextOne()
39008   //
39034   HRESULT NextOne (
39035     [out,retval] IAAFTaggedValueDefinition ** ppTaggedValueDefs);
39036
39037
39038   //***********************************************************
39039   //
39040   // Next()
39041   //
39070   HRESULT Next (
39071     [in] aafUInt32  count,
39072     [out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValueDefinition ** ppTaggedValueDefs,
39073     [out,ref] aafUInt32 *  pNumFetched);
39074
39075
39076   //***********************************************************
39077   //
39078   // Skip()
39079   //
39099   HRESULT Skip (
39100     [in] aafUInt32  count);
39101
39102
39103   //***********************************************************
39104   //
39105   // Reset()
39106   //
39117   HRESULT Reset ();
39118
39119
39120   //***********************************************************
39121   //
39122   // Clone()
39123   //
39147   HRESULT Clone (
39148     [out,retval] IEnumAAFTaggedValueDefs ** ppEnum);
39149 }
39150
39151
39152
39153 // ************************
39154 //
39155 // Interface IEnumAAFTaggedValues
39156 //
39157 // ************************
39158 [
39159     object,
39160     uuid(5f7916f1-0f87-11d3-8a3e-0050040ef7d2),
39161     helpstring("IEnumAAFTaggedValues Interface"),
39162     pointer_default(unique)
39163 ]
39164 interface IEnumAAFTaggedValues : IUnknown
39165 {
39166
39167   //***********************************************************
39168   //
39169   // NextOne()
39170   //
39196   HRESULT NextOne (
39197     [out,retval] IAAFTaggedValue ** ppTaggedValues);
39198
39199
39200   //***********************************************************
39201   //
39202   // Next()
39203   //
39232   HRESULT Next (
39233     [in] aafUInt32  count,
39234     [out, size_is(count), length_is(*pNumFetched)] IAAFTaggedValue ** ppTaggedValues,
39235     [out,ref] aafUInt32 *  pNumFetched);
39236
39237
39238   //***********************************************************
39239   //
39240   // Skip()
39241   //
39261   HRESULT Skip (
39262     [in] aafUInt32  count);
39263
39264
39265   //***********************************************************
39266   //
39267   // Reset()
39268   //
39279   HRESULT Reset ();
39280
39281
39282   //***********************************************************
39283   //
39284   // Clone()
39285   //
39309   HRESULT Clone (
39310     [out,retval] IEnumAAFTaggedValues ** ppEnum);
39311 }
39312
39313
39314
39315 // ************************
39316 //
39317 // Interface IEnumAAFTypeDefs
39318 //
39319 // ************************
39320 [
39321     object,
39322     uuid(B1A2138C-1A7D-11D2-BF78-00104BC9156D),
39323     helpstring("IEnumAAFTypeDefs Interface"),
39324     pointer_default(unique)
39325 ]
39326 interface IEnumAAFTypeDefs : IUnknown
39327 {
39328
39329   //***********************************************************
39330   //
39331   // NextOne()
39332   //
39358   HRESULT NextOne (
39359     [out,retval] IAAFTypeDef ** ppTypeDefs);
39360
39361
39362   //***********************************************************
39363   //
39364   // Next()
39365   //
39394   HRESULT Next (
39395     [in] aafUInt32  count,
39396     [out, size_is(count), length_is(*pNumFetched)] IAAFTypeDef ** ppTypeDefs,
39397     [out,ref] aafUInt32 *  pNumFetched);
39398
39399
39400   //***********************************************************
39401   //
39402   // Skip()
39403   //
39423   HRESULT Skip (
39424     [in] aafUInt32  count);
39425
39426
39427   //***********************************************************
39428   //
39429   // Reset()
39430   //
39441   HRESULT Reset ();
39442
39443
39444   //***********************************************************
39445   //
39446   // Clone()
39447   //
39471   HRESULT Clone (
39472     [out,retval] IEnumAAFTypeDefs ** ppEnum);
39473 }
39474
39475
39476
39477 // ************************
39478 //
39479 // Interface IAAFAES3PCMDescriptor2
39480 //
39481 // ************************
39495
39496
39505 [
39506     object,
39507     uuid(5d7d099b-02eb-4dc8-afe8-01ce131f5663),
39508     helpstring("IAAFAES3PCMDescriptor2 Interface"),
39509     pointer_default(unique)
39510 ]
39511 interface IAAFAES3PCMDescriptor2 : IUnknown
39512 {
39513
39514   //***********************************************************
39515   //
39516   // Initialize()
39517   //
39535   HRESULT Initialize ();
39536
39537   //***********************************************************
39538   //
39539   // GetEmphasis()
39540   //
39560   HRESULT GetEmphasis (
39561     [out] aafEmphasisType_t *  pEmphasisType);
39562
39563   //***********************************************************
39564   //
39565   // SetEmphasis()
39566   //
39582   HRESULT SetEmphasis (
39583     [in] aafEmphasisType_t  EmphasisType);
39584
39585   //***********************************************************
39586   //
39587   // GetBlockStartOffset()
39588   //
39608   HRESULT GetBlockStartOffset (
39609     [out] aafUInt16 *  pBlockStartOffset);
39610
39611   //***********************************************************
39612   //
39613   // SetBlockStartOffset()
39614   //
39630   HRESULT SetBlockStartOffset (
39631     [in] aafUInt16  BlockStartOffset);
39632
39633   //***********************************************************
39634   //
39635   // GetAuxBitsMode()
39636   //
39656   HRESULT GetAuxBitsMode (
39657     [out] aafAuxBitsModeType_t *  pAuxBitsMode);
39658
39659   //***********************************************************
39660   //
39661   // SetAuxBitsMode()
39662   //
39678   HRESULT SetAuxBitsMode (
39679     [in] aafAuxBitsModeType_t  AuxBitsMode);
39680
39681   //***********************************************************
39682   //
39683   // GetChannelStatusModeAt()
39684   //
39708   HRESULT GetChannelStatusModeAt (
39709     [in] aafUInt32  index,
39710     [out] aafChannelStatusModeType_t *  pChannelStatusMode);
39711
39712   //***********************************************************
39713   //
39714   // SetChannelStatusModeAt()
39715   //
39735   HRESULT SetChannelStatusModeAt (
39736     [in] aafUInt32  index,
39737     [in] aafChannelStatusModeType_t  ChannelStatusMode);
39738
39739   //***********************************************************
39740   //
39741   // GetFixedChannelStatusDataAt()
39742   //
39773   HRESULT GetFixedChannelStatusDataAt (
39774     [in] aafUInt32  index,
39775     [in] aafUInt32  sizeOfBuffer,
39776     [out] aafUInt8 *  pFixedChannelStatusData);
39777
39778   //***********************************************************
39779   //
39780   // SetFixedChannelStatusDataAt()
39781   //
39812   HRESULT SetFixedChannelStatusDataAt (
39813     [in] aafUInt32  index,
39814     [in] aafUInt32  sizeOfBuffer,
39815     [in] aafUInt8 *  pFixedChannelStatusData);
39816
39817   //***********************************************************
39818   //
39819   // GetUserDataModeAt()
39820   //
39844   HRESULT GetUserDataModeAt (
39845     [in] aafUInt32  index,
39846     [out] aafUserDataModeType_t *  pUserDataMode);
39847
39848   //***********************************************************
39849   //
39850   // SetUserDataModeAt()
39851   //
39871   HRESULT SetUserDataModeAt (
39872     [in] aafUInt32  index,
39873     [in] aafUserDataModeType_t  UserDataMode);
39874
39875   //***********************************************************
39876   //
39877   // GetFixedUserDataAt()
39878   //
39909   HRESULT GetFixedUserDataAt (
39910     [in] aafUInt32  index,
39911     [in] aafUInt32  sizeOfBuffer,
39912     [out] aafUInt8 *  pFixedUserData);
39913
39914   //***********************************************************
39915   //
39916   // SetFixedUserDataAt()
39917   //
39948   HRESULT SetFixedUserDataAt (
39949     [in] aafUInt32  index,
39950     [in] aafUInt32  sizeOfBuffer,
39951     [in] aafUInt8 *  pFixedUserData);
39952
39953 }
39954
39955
39956
39957 // ************************
39958 //
39959 // Interface IAAFCDCIDescriptor2
39960 //
39961 // ************************
39975
39976
39985 [
39986     object,
39987     uuid(82B83210-7E2C-417E-92BA-8F42C195906E),
39988     helpstring("IAAFCDCIDescriptor2 Interface"),
39989     pointer_default(unique)
39990 ]
39991 interface IAAFCDCIDescriptor2 : IUnknown
39992 {
39993
39994
39995   //***********************************************************
39996   //
39997   // Initialize()
39998   //
40016   HRESULT Initialize ();
40017
40018
40019   //***********************************************************
40020   //
40021   // SetComponentWidth()
40022   //
40045   HRESULT SetComponentWidth (
40046     [in] aafInt32  ComponentWidth);
40047
40048
40049   //***********************************************************
40050   //
40051   // GetComponentWidth()
40052   //
40080   HRESULT GetComponentWidth (
40081     [out] aafInt32 *  pComponentWidth);
40082
40083
40084   //***********************************************************
40085   //
40086   // SetHorizontalSubsampling()
40087   //
40108   HRESULT SetHorizontalSubsampling (
40109     [in] aafUInt32  HorizontalSubsampling);
40110
40111
40112   //***********************************************************
40113   //
40114   // GetHorizontalSubsampling()
40115   //
40142   HRESULT GetHorizontalSubsampling (
40143     [out] aafUInt32 *  pHorizontalSubsampling);
40144
40145
40146   //***********************************************************
40147   //
40148   // SetVerticalSubsampling()
40149   //
40170   HRESULT SetVerticalSubsampling (
40171     [in] aafUInt32  VerticalSubsampling);
40172
40173
40174   //***********************************************************
40175   //
40176   // GetVerticalSubsampling()
40177   //
40204   HRESULT GetVerticalSubsampling (
40205     [out] aafUInt32 *  pVerticalSubsampling);
40206
40207
40208   //***********************************************************
40209   //
40210   // SetColorSiting()
40211   //
40250   HRESULT SetColorSiting (
40251     [in] aafColorSiting_t  ColorSiting);
40252
40253
40254   //***********************************************************
40255   //
40256   // GetColorSiting()
40257   //
40300   HRESULT GetColorSiting (
40301     [out] aafColorSiting_t *  pColorSiting);
40302
40303
40304   //***********************************************************
40305   //
40306   // SetBlackReferenceLevel()
40307   //
40334   HRESULT SetBlackReferenceLevel (
40335     [in] aafUInt32  BlackReferenceLevel);
40336
40337
40338   //***********************************************************
40339   //
40340   // GetBlackReferenceLevel()
40341   //
40371   HRESULT GetBlackReferenceLevel (
40372     [out] aafUInt32 *  pBlackReferenceLevel);
40373
40374
40375   //***********************************************************
40376   //
40377   // SetWhiteReferenceLevel()
40378   //
40403   HRESULT SetWhiteReferenceLevel (
40404     [in] aafUInt32  WhiteReferenceLevel);
40405
40406
40407   //***********************************************************
40408   //
40409   // GetWhiteReferenceLevel()
40410   //
40437   HRESULT GetWhiteReferenceLevel (
40438     [out] aafUInt32 *  pWhiteReferenceLevel);
40439
40440
40441   //***********************************************************
40442   //
40443   // SetColorRange()
40444   //
40474   HRESULT SetColorRange (
40475     [in] aafUInt32  ColorRange);
40476
40477
40478   //***********************************************************
40479   //
40480   // GetColorRange()
40481   //
40511   HRESULT GetColorRange (
40512     [out] aafUInt32 *  pColorRange);
40513
40514
40515   //***********************************************************
40516   //
40517   // SetPaddingBits()
40518   //
40537   HRESULT SetPaddingBits (
40538     [in] aafInt16  PaddingBits);
40539
40540
40541   //***********************************************************
40542   //
40543   // GetPaddingBits()
40544   //
40567   HRESULT GetPaddingBits (
40568     [out] aafInt16 *  pPaddingBits);
40569
40570
40571   //***********************************************************
40572   //
40573   // SetAlphaSamplingWidth()
40574   //
40589   HRESULT SetAlphaSamplingWidth (
40590     [in] aafUInt32  alphaSamplingWidth);
40591
40592   //***********************************************************
40593   //
40594   // GetAlphaSamplingWidth()
40595   //
40617   HRESULT GetAlphaSamplingWidth (
40618     [out] aafUInt32 *  pAlphaSamplingWidth);
40619
40620   //***********************************************************
40621   //
40622   // SetReversedByteOrder()
40623   //
40638   HRESULT SetReversedByteOrder (
40639     [in] aafBoolean_t  reversedByteOrder);
40640
40641   //***********************************************************
40642   //
40643   // GetReversedByteOrder()
40644   //
40666   HRESULT GetReversedByteOrder (
40667     [out] aafBoolean_t *  pReversedByteOrder);
40668
40669
40670 }
40671
40672
40673
40674 // ************************
40675 //
40676 // Interface IAAFComponent2
40677 //
40678 // ************************
40705 [
40706     object,
40707     uuid(c703e7f5-b97f-44fb-87da-a412e60ea6aa),
40708     helpstring("IAAFComponent2 Interface"),
40709     pointer_default(unique)
40710 ]
40711 interface IAAFComponent2 : IUnknown
40712 {
40713
40714
40715
40716
40717   //***********************************************************
40718   //
40719   // SetLength()
40720   //
40744   HRESULT SetLength (
40745     [in] aafLength_constref  length);
40746
40747
40748   //***********************************************************
40749   //
40750   // GetLength()
40751   //
40778   HRESULT GetLength (
40779     [retval][out] aafLength_t *  pLength);
40780
40781
40782   //***********************************************************
40783   //
40784   // SetDataDef()
40785   //
40803   HRESULT SetDataDef (
40804     [in] IAAFDataDef * pDataDef);
40805
40806
40807   //***********************************************************
40808   //
40809   // GetDataDef()
40810   //
40830   HRESULT GetDataDef (
40831     [out, retval] IAAFDataDef ** ppDatadef);
40832
40833   //***********************************************************
40834   //
40835   // AppendKLVData()
40836   //
40857   HRESULT AppendKLVData (
40858     [in] IAAFKLVData * pData);
40859
40860
40861   //***********************************************************
40862   //
40863   // CountKLVData()
40864   //
40884   HRESULT CountKLVData (
40885     [out] aafUInt32 *  pNumData);
40886
40887
40888   //***********************************************************
40889   //
40890   // GetKLVData()
40891   //
40913   HRESULT GetKLVData (
40914     [out] IEnumAAFKLVData ** ppEnum);
40915
40916
40917   //***********************************************************
40918   //
40919   // RemoveKLVData()
40920   //
40944   HRESULT RemoveKLVData (
40945     [in] IAAFKLVData * pData);
40946
40947
40948
40949   //***********************************************************
40950   //
40951   // AppendComment()
40952   //
40971   HRESULT AppendComment (
40972     [in] aafCharacter_constptr  pName,
40973     [in] aafCharacter_constptr  pValue);
40974
40975   //***********************************************************
40976   //
40977   // CountComments()
40978   //
40993   HRESULT CountComments (
40994     [out] aafUInt32*  pNumComments);
40995
40996
40997   //***********************************************************
40998   //
40999   // GetComments()
41000   //
41018   HRESULT GetComments (
41019     [out] IEnumAAFTaggedValues ** ppEnum);
41020
41021
41022   //***********************************************************
41023   //
41024   // RemoveComment()
41025   //
41040   HRESULT RemoveComment (
41041     [in] IAAFTaggedValue * pComment);
41042
41043   //***********************************************************
41044   //
41045   // AppendAttribute()
41046   //
41065   HRESULT AppendAttribute (
41066     [in] aafCharacter_constptr  pName,
41067     [in] aafCharacter_constptr  pValue);
41068
41069   //***********************************************************
41070   //
41071   // CountAttributes()
41072   //
41087   HRESULT CountAttributes (
41088     [out] aafUInt32*  pNumAttributes);
41089
41090
41091   //***********************************************************
41092   //
41093   // GetAttributes()
41094   //
41112   HRESULT GetAttributes (
41113     [out] IEnumAAFTaggedValues ** ppEnum);
41114
41115
41116   //***********************************************************
41117   //
41118   // RemoveAttribute()
41119   //
41134   HRESULT RemoveAttribute (
41135     [in] IAAFTaggedValue * pAttribute);
41136
41137 }
41138
41139
41140
41141 // ************************
41142 //
41143 // Interface IAAFCompositionMob2
41144 //
41145 // ************************
41160
41161
41167 [
41168     object,
41169     uuid(188a82c7-0d87-4af3-89e0-5f96e56ff9de),
41170     helpstring("IAAFCompositionMob2 Interface"),
41171     pointer_default(unique)
41172 ]
41173 interface IAAFCompositionMob2 : IUnknown
41174 {
41175
41176
41177
41178   //***********************************************************
41179   //
41180   // Initialize()
41181   //
41203   HRESULT Initialize (
41204     [in, string] aafCharacter_constptr  pName);
41205
41206
41207   //***********************************************************
41208   //
41209   // GetDefaultFade()
41210   //
41235   HRESULT GetDefaultFade (
41236     [out] aafDefaultFade_t *  pResult);
41237
41238
41239   //***********************************************************
41240   //
41241   // SetDefaultFade()
41242   //
41268   HRESULT SetDefaultFade (
41269     [in] aafLength_t  fadeLength,
41270     [in] aafFadeType_t  fadeType,
41271     [in] aafRational_t  fadeEditUnit);
41272
41273
41274   //***********************************************************
41275   //
41276   // SetRendering()
41277   //
41279
41286   HRESULT SetRendering (
41287     [in, ref] aafMobID_constref  mobID);
41288
41289   //***********************************************************
41290   //
41291   // GetRendering()
41292   //
41294
41312   HRESULT GetRendering (
41313     [out] aafMobID_t *  pMobID);
41314
41315
41316 }
41317
41318
41319
41320 // ************************
41321 //
41322 // Interface IAAFDataDef2
41323 //
41324 // ************************
41325
41330 [
41331     object,
41332     uuid(588951c1-2f10-46da-a20d-6e8e7ac6963c),
41333     helpstring("IAAFDataDef2 Interface"),
41334     pointer_default(unique)
41335 ]
41336 interface IAAFDataDef2 : IUnknown
41337 {
41338
41339   //***********************************************************
41340   //
41341   // Initialize()
41342   //
41349   HRESULT Initialize (
41350     [in, ref] aafUID_constref  id,
41351     [in, string] aafCharacter_constptr  pName,
41352     [in, string] aafCharacter_constptr  pDescription);
41353
41354
41355   //***********************************************************
41356   //
41357   // IsPictureKind()
41358   //
41363   HRESULT IsPictureKind (
41364     [retval,out] aafBoolean_t *  bIsPictureKind);
41365
41366
41367   //***********************************************************
41368   //
41369   // IsMatteKind()
41370   //
41375   HRESULT IsMatteKind (
41376     [retval,out] aafBoolean_t *  bIsMatteKind);
41377
41378
41379   //***********************************************************
41380   //
41381   // IsPictureWithMatteKind()
41382   //
41387   HRESULT IsPictureWithMatteKind (
41388     [retval,out] aafBoolean_t *  bIsPictureWithMatteKind);
41389
41390
41391   //***********************************************************
41392   //
41393   // IsSoundKind()
41394   //
41399   HRESULT IsSoundKind (
41400     [retval,out] aafBoolean_t *  bIsSoundKind);
41401
41402
41403   //***********************************************************
41404   //
41405   // DoesDataDefConvertTo()
41406   //
41414   HRESULT DoesDataDefConvertTo (
41415     [in] IAAFDataDef * id,
41416     [retval, out] aafBoolean_t *  bDoesConvertTo);
41417
41418
41419   //***********************************************************
41420   //
41421   // IsDataDefOf()
41422   //
41430   HRESULT IsDataDefOf (
41431     [in] IAAFDataDef * pDataDef,
41432     [retval, out] aafBoolean_t *  bIsDataDefOf);
41433
41434
41435   //***********************************************************
41436   //
41437   // DoesDataDefConvertFrom()
41438   //
41446   HRESULT DoesDataDefConvertFrom (
41447     [in] IAAFDataDef * pDataDef,
41448     [retval, out] aafBoolean_t *  bDoesConvertFrom);
41449
41450
41451   //***********************************************************
41452   //
41453   // IsEdgecodeKind()
41454   //
41459   HRESULT IsEdgecodeKind (
41460     [retval,out] aafBoolean_t *  bIsEdgecodeKind);
41461
41462   //***********************************************************
41463   //
41464   // IsTimecodeKind()
41465   //
41470   HRESULT IsTimecodeKind (
41471     [retval,out] aafBoolean_t *  bIsTimecodeKind);
41472
41473 }
41474
41475
41476
41477 // ************************
41478 //
41479 // Interface IAAFDataDef3
41480 //
41481 // ************************
41482
41487 [
41488     object,
41489     uuid(858109c4-cb51-48ad-9086-a3fcfe9739fa),
41490     helpstring("IAAFDataDef3 Interface"),
41491     pointer_default(unique)
41492 ]
41493 interface IAAFDataDef3 : IUnknown
41494 {
41495
41496   //***********************************************************
41497   //
41498   // Initialize()
41499   //
41506   HRESULT Initialize (
41507     [in, ref] aafUID_constref  id,
41508     [in, string] aafCharacter_constptr  pName,
41509     [in, string] aafCharacter_constptr  pDescription);
41510
41511
41512   //***********************************************************
41513   //
41514   // IsPictureKind()
41515   //
41520   HRESULT IsPictureKind (
41521     [retval,out] aafBoolean_t *  bIsPictureKind);
41522
41523
41524   //***********************************************************
41525   //
41526   // IsMatteKind()
41527   //
41532   HRESULT IsMatteKind (
41533     [retval,out] aafBoolean_t *  bIsMatteKind);
41534
41535
41536   //***********************************************************
41537   //
41538   // IsPictureWithMatteKind()
41539   //
41544   HRESULT IsPictureWithMatteKind (
41545     [retval,out] aafBoolean_t *  bIsPictureWithMatteKind);
41546
41547
41548   //***********************************************************
41549   //
41550   // IsSoundKind()
41551   //
41556   HRESULT IsSoundKind (
41557     [retval,out] aafBoolean_t *  bIsSoundKind);
41558
41559
41560   //***********************************************************
41561   //
41562   // DoesDataDefConvertTo()
41563   //
41571   HRESULT DoesDataDefConvertTo (
41572     [in] IAAFDataDef * id,
41573     [retval, out] aafBoolean_t *  bDoesConvertTo);
41574
41575
41576   //***********************************************************
41577   //
41578   // IsDataDefOf()
41579   //
41587   HRESULT IsDataDefOf (
41588     [in] IAAFDataDef * pDataDef,
41589     [retval, out] aafBoolean_t *  bIsDataDefOf);
41590
41591
41592   //***********************************************************
41593   //
41594   // DoesDataDefConvertFrom()
41595   //
41603   HRESULT DoesDataDefConvertFrom (
41604     [in] IAAFDataDef * pDataDef,
41605     [retval, out] aafBoolean_t *  bDoesConvertFrom);
41606
41607
41608   //***********************************************************
41609   //
41610   // IsEdgecodeKind()
41611   //
41616   HRESULT IsEdgecodeKind (
41617     [retval,out] aafBoolean_t *  bIsEdgecodeKind);
41618
41619   //***********************************************************
41620   //
41621   // IsTimecodeKind()
41622   //
41627   HRESULT IsTimecodeKind (
41628     [retval,out] aafBoolean_t *  bIsTimecodeKind);
41629
41630
41631   //***********************************************************
41632   //
41633   // IsAuxiliaryKind()
41634   //
41639   HRESULT IsAuxiliaryKind (
41640     [retval,out] aafBoolean_t *  bIsAuxiliaryKind);
41641
41642   //***********************************************************
41643   //
41644   // IsDescriptiveMetadataKind()
41645   //
41650   HRESULT IsDescriptiveMetadataKind (
41651     [retval,out] aafBoolean_t *  bIsDescriptiveMetadataKind);
41652
41653 }
41654
41655
41656
41657 // ************************
41658 //
41659 // Interface IAAFDiagnosticOutput
41660 //
41661 // ************************
41676
41677
41678 [
41679     object,
41680     uuid(C9346826-1CFE-4AEF-BA4D-54D414138739),
41681     helpstring("IAAFDiagnosticOutput Interface"),
41682     pointer_default(unique)
41683 ]
41684
41685 interface IAAFDiagnosticOutput : IUnknown
41686 {
41687
41688
41689   //***********************************************************
41690   //
41691   // PutString()
41692   //
41698   HRESULT PutString (
41699     [in, string] aafCharacter_constptr  pString);
41700
41701 }
41702
41703
41704
41705 // ************************
41706 //
41707 // Interface IAAFDictionary2
41708 //
41709 // ************************
41724 [
41725     object,
41726     uuid(952a5c85-dcec-4c99-8e40-978d88a0cdc1),
41727     helpstring("IAAFDictionary2 Interface"),
41728     pointer_default(unique)
41729 ]
41730 interface IAAFDictionary2 : IUnknown
41731 {
41732
41733   //***********************************************************
41734   //
41735   // CreateInstance()
41736   //
41747   HRESULT CreateInstance(
41748     [in, ref] aafUID_constref id,
41749     [in, ref] REFIID riid,
41750     [out, iid_is(riid)] IUnknown ** ppvObject);
41751
41752
41753   //***********************************************************
41754   //
41755   // CreateMetaInstance()
41756   //
41767   HRESULT CreateMetaInstance(
41768     [in, ref] aafUID_constref id,
41769     [in, ref] REFIID riid,
41770     [out, iid_is(riid)] IUnknown ** ppMetaDefinition);
41771
41772
41773
41774
41775   //***********************************************************
41776   //
41777   // RegisterClassDef()
41778   //
41801   HRESULT RegisterClassDef (
41802     [in] IAAFClassDef * pClassDef);
41803
41804
41805   //***********************************************************
41806   //
41807   // LookupClassDef()
41808   //
41832   HRESULT LookupClassDef (
41833     [in, ref] aafUID_constref  classId,
41834     [out,retval] IAAFClassDef ** ppClassDef);
41835
41836
41837   //***********************************************************
41838   //
41839   // GetClassDefs()
41840   //
41858   HRESULT GetClassDefs (
41859     [out,retval] IEnumAAFClassDefs ** ppEnum);
41860
41861
41862   //***********************************************************
41863   //
41864   // CountClassDefs()
41865   //
41886   HRESULT CountClassDefs (
41887     [out, retval] aafUInt32 *  pResult);
41888
41889   //***********************************************************
41890   //
41891   // CreateForwardClassReference()
41892   //
41911   HRESULT CreateForwardClassReference (
41912     [in, ref] aafUID_constref  classId);
41913
41914   //***********************************************************
41915   //
41916   // HasForwardClassReference()
41917   //
41941   HRESULT HasForwardClassReference (
41942     [in, ref] aafUID_constref  classId,
41943     [out,retval] aafBoolean_t *  pResult);
41944
41945   //***********************************************************
41946   //
41947   // RegisterTypeDef()
41948   //
41970   HRESULT RegisterTypeDef (
41971     [in] IAAFTypeDef * pTypeDef);
41972
41973
41974   //***********************************************************
41975   //
41976   // LookupTypeDef()
41977   //
42001   HRESULT LookupTypeDef (
42002     [in, ref] aafUID_constref  typeId,
42003     [out,retval] IAAFTypeDef ** ppTypeDef);
42004
42005
42006   //***********************************************************
42007   //
42008   // GetTypeDefs()
42009   //
42027   HRESULT GetTypeDefs (
42028     [out,retval] IEnumAAFTypeDefs ** ppEnum);
42029
42030
42031   //***********************************************************
42032   //
42033   // CountTypeDefs()
42034   //
42055   HRESULT CountTypeDefs (
42056     [out, retval] aafUInt32 *  pResult);
42057
42058
42059   //***********************************************************
42060   //
42061   // RegisterOpaqueTypeDef()
42062   //
42084   HRESULT RegisterOpaqueTypeDef (
42085     [in] IAAFTypeDef * pTypeDef);
42086
42087
42088   //***********************************************************
42089   //
42090   // LookupOpaqueTypeDef()
42091   //
42115   HRESULT LookupOpaqueTypeDef (
42116     [in, ref] aafUID_constref  typeId,
42117     [out,retval] IAAFTypeDef ** ppTypeDef);
42118
42119
42120   //***********************************************************
42121   //
42122   // GetOpaqueTypeDefs()
42123   //
42141   HRESULT GetOpaqueTypeDefs (
42142     [out,retval] IEnumAAFTypeDefs ** ppEnum);
42143
42144
42145   //***********************************************************
42146   //
42147   // CountOpaqueTypeDefs()
42148   //
42169   HRESULT CountOpaqueTypeDefs (
42170     [out, retval] aafUInt32 *  pResult);
42171
42172   //***********************************************************
42173   //
42174   // RegisterKLVDataKey()
42175   //
42200   HRESULT RegisterKLVDataKey (
42201     [in] aafUID_t  pUID,
42202     [in] IAAFTypeDef * pTypeDef);
42203
42204   //***********************************************************
42205   //
42206   // RegisterDataDef()
42207   //
42212   HRESULT RegisterDataDef (
42213     [in] IAAFDataDef * pDataDef);
42214
42215
42216   //***********************************************************
42217   //
42218   // LookupDataDef()
42219   //
42225   HRESULT LookupDataDef (
42226     [in, ref] aafUID_constref  dataDefinitionId,
42227     [out,retval] IAAFDataDef ** ppDataDef);
42228
42229
42230   //***********************************************************
42231   //
42232   // GetDataDefs()
42233   //
42238   HRESULT GetDataDefs (
42239     [out,retval] IEnumAAFDataDefs ** ppEnum);
42240
42241
42242   //***********************************************************
42243   //
42244   // CountDataDefs()
42245   //
42266   HRESULT CountDataDefs (
42267     [out, retval] aafUInt32 *  pResult);
42268
42269
42270   //***********************************************************
42271   //
42272   // RegisterOperationDef()
42273   //
42278   HRESULT RegisterOperationDef (
42279     [in] IAAFOperationDef * pOperationDef);
42280
42281
42282   //***********************************************************
42283   //
42284   // LookupOperationDef()
42285   //
42291   HRESULT LookupOperationDef (
42292     [in, ref] aafUID_constref  operationId,
42293     [out,retval] IAAFOperationDef ** ppOperationDef);
42294
42295
42296   //***********************************************************
42297   //
42298   // GetOperationDefs()
42299   //
42304   HRESULT GetOperationDefs (
42305     [out,retval] IEnumAAFOperationDefs ** ppEnum);
42306
42307
42308   //***********************************************************
42309   //
42310   // CountOperationDefs()
42311   //
42332   HRESULT CountOperationDefs (
42333     [out, retval] aafUInt32 *  pResult);
42334
42335
42336   //***********************************************************
42337   //
42338   // RegisterParameterDef()
42339   //
42344   HRESULT RegisterParameterDef (
42345     [in] IAAFParameterDef * pParmDef);
42346
42347
42348   //***********************************************************
42349   //
42350   // LookupParameterDef()
42351   //
42357   HRESULT LookupParameterDef (
42358     [in, ref] aafUID_constref  parameterId,
42359     [out,retval] IAAFParameterDef ** ppParmDef);
42360
42361
42362   //***********************************************************
42363   //
42364   // GetParameterDefs()
42365   //
42370   HRESULT GetParameterDefs (
42371     [out,retval] IEnumAAFParameterDefs ** ppEnum);
42372
42373
42374   //***********************************************************
42375   //
42376   // CountParameterDefs()
42377   //
42398   HRESULT CountParameterDefs (
42399     [out, retval] aafUInt32 *  pResult);
42400
42401
42402   //***********************************************************
42403   //
42404   // RegisterCodecDef()
42405   //
42410   HRESULT RegisterCodecDef (
42411     [in] IAAFCodecDef * pParmDef);
42412
42413
42414   //***********************************************************
42415   //
42416   // LookupCodecDef()
42417   //
42423   HRESULT LookupCodecDef (
42424     [in, ref] aafUID_constref  parameterId,
42425     [out,retval] IAAFCodecDef ** ppParmDef);
42426
42427
42428   //***********************************************************
42429   //
42430   // GetCodecDefs()
42431   //
42436   HRESULT GetCodecDefs (
42437     [out,retval] IEnumAAFCodecDefs ** ppEnum);
42438
42439
42440   //***********************************************************
42441   //
42442   // CountCodecDefs()
42443   //
42464   HRESULT CountCodecDefs (
42465     [out, retval] aafUInt32 *  pResult);
42466
42467
42468   //***********************************************************
42469   //
42470   // RegisterContainerDef()
42471   //
42476   HRESULT RegisterContainerDef (
42477     [in] IAAFContainerDef * pParmDef);
42478
42479
42480   //***********************************************************
42481   //
42482   // LookupContainerDef()
42483   //
42489   HRESULT LookupContainerDef (
42490     [in, ref] aafUID_constref  parameterId,
42491     [out,retval] IAAFContainerDef ** ppParmDef);
42492
42493
42494   //***********************************************************
42495   //
42496   // GetContainerDefs()
42497   //
42502   HRESULT GetContainerDefs (
42503     [out,retval] IEnumAAFContainerDefs ** ppEnum);
42504
42505
42506   //***********************************************************
42507   //
42508   // CountContainerDefs()
42509   //
42530   HRESULT CountContainerDefs (
42531     [out, retval] aafUInt32 *  pResult);
42532
42533
42534   //***********************************************************
42535   //
42536   // RegisterInterpolationDef()
42537   //
42542   HRESULT RegisterInterpolationDef (
42543     [in] IAAFInterpolationDef * pInterpolationDef);
42544
42545
42546   //***********************************************************
42547   //
42548   // LookupInterpolationDef()
42549   //
42555   HRESULT LookupInterpolationDef (
42556     [in, ref] aafUID_constref  parameterId,
42557     [out,retval] IAAFInterpolationDef ** ppInterpolationDef);
42558
42559
42560   //***********************************************************
42561   //
42562   // GetInterpolationDefs()
42563   //
42568   HRESULT GetInterpolationDefs (
42569     [out,retval] IEnumAAFInterpolationDefs ** ppEnum);
42570
42571
42572   //***********************************************************
42573   //
42574   // CountInterpolationDefs()
42575   //
42596   HRESULT CountInterpolationDefs (
42597     [out, retval] aafUInt32 *  pResult);
42598
42599
42600   //***********************************************************
42601   //
42602   // RegisterPluginDef()
42603   //
42608   HRESULT RegisterPluginDef (
42609     [in] IAAFPluginDef * pPlugDef);
42610
42611
42612   //***********************************************************
42613   //
42614   // LookupPluginDef()
42615   //
42621   HRESULT LookupPluginDef (
42622     [in, ref] aafUID_constref  parameterId,
42623     [out,retval] IAAFPluginDef ** ppPlugDef);
42624
42625
42626   //***********************************************************
42627   //
42628   // GetPluginDefs()
42629   //
42634   HRESULT GetPluginDefs (
42635     [out,retval] IEnumAAFPluginDefs ** ppEnum);
42636
42637
42638   //***********************************************************
42639   //
42640   // CountPluginDefs()
42641   //
42662   HRESULT CountPluginDefs (
42663     [out, retval] aafUInt32 *  pResult);
42664
42665
42666   //***********************************************************
42667   //
42668   // RegisterKLVDataDef()
42669   //
42674   HRESULT RegisterKLVDataDef (
42675     [in] IAAFKLVDataDefinition * pDef);
42676
42677
42678   //***********************************************************
42679   //
42680   // LookupKLVDataDef()
42681   //
42687   HRESULT LookupKLVDataDef (
42688     [in, ref] aafUID_constref  defId,
42689     [out,retval] IAAFKLVDataDefinition ** ppDef);
42690
42691
42692   //***********************************************************
42693   //
42694   // GetKLVDataDefs()
42695   //
42700   HRESULT GetKLVDataDefs (
42701     [out,retval] IEnumAAFKLVDataDefs ** ppEnum);
42702
42703
42704   //***********************************************************
42705   //
42706   // CountKLVDataDefs()
42707   //
42728   HRESULT CountKLVDataDefs (
42729     [out, retval] aafUInt32 *  pResult);
42730
42731
42732   //***********************************************************
42733   //
42734   // RegisterTaggedValueDef()
42735   //
42740   HRESULT RegisterTaggedValueDef (
42741     [in] IAAFTaggedValueDefinition * pDef);
42742
42743
42744   //***********************************************************
42745   //
42746   // LookupTaggedValueDef()
42747   //
42753   HRESULT LookupTaggedValueDef (
42754     [in, ref] aafUID_constref  defId,
42755     [out,retval] IAAFTaggedValueDefinition ** ppDef);
42756
42757
42758   //***********************************************************
42759   //
42760   // GetTaggedValueDefs()
42761   //
42766   HRESULT GetTaggedValueDefs (
42767     [out,retval] IEnumAAFTaggedValueDefs ** ppEnum);
42768
42769
42770   //***********************************************************
42771   //
42772   // CountTaggedValueDefs()
42773   //
42794   HRESULT CountTaggedValueDefs (
42795     [out, retval] aafUInt32 *  pResult);
42796
42797   //***********************************************************
42798   //
42799   // LookupAuxiliaryDataDef()
42800   //
42818   HRESULT LookupAuxiliaryDataDef (
42819     [out,retval] IAAFDataDef ** ppDataDef);
42820
42821   //***********************************************************
42822   //
42823   // LookupDescriptiveMetadataDataDef()
42824   //
42842   HRESULT LookupDescriptiveMetadataDataDef (
42843     [out,retval] IAAFDataDef ** ppDataDef);
42844
42845
42846   //***********************************************************
42847   //
42848   // LookupEdgecodeDataDef()
42849   //
42867   HRESULT LookupEdgecodeDataDef (
42868     [out,retval] IAAFDataDef ** ppDataDef);
42869
42870
42871   //***********************************************************
42872   //
42873   // LookupLegacyPictureDataDef()
42874   //
42892   HRESULT LookupLegacyPictureDataDef (
42893     [out,retval] IAAFDataDef ** ppDataDef);
42894
42895
42896   //***********************************************************
42897   //
42898   // LookupLegacySoundDataDef()
42899   //
42917   HRESULT LookupLegacySoundDataDef (
42918     [out,retval] IAAFDataDef ** ppDataDef);
42919
42920
42921   //***********************************************************
42922   //
42923   // LookupLegacyTimecodeDataDef()
42924   //
42942   HRESULT LookupLegacyTimecodeDataDef (
42943     [out,retval] IAAFDataDef ** ppDataDef);
42944
42945
42946   //***********************************************************
42947   //
42948   // LookupMatteDataDef()
42949   //
42967   HRESULT LookupMatteDataDef (
42968     [out,retval] IAAFDataDef ** ppDataDef);
42969
42970
42971   //***********************************************************
42972   //
42973   // LookupPictureDataDef()
42974   //
42992   HRESULT LookupPictureDataDef (
42993     [out,retval] IAAFDataDef ** ppDataDef);
42994
42995
42996   //***********************************************************
42997   //
42998   // LookupPictureWithMatteDataDef()
42999   //
43017   HRESULT LookupPictureWithMatteDataDef (
43018     [out,retval] IAAFDataDef ** ppDataDef);
43019
43020
43021   //***********************************************************
43022   //
43023   // LookupSoundDataDef()
43024   //
43042   HRESULT LookupSoundDataDef (
43043     [out,retval] IAAFDataDef ** ppDataDef);
43044
43045
43046   //***********************************************************
43047   //
43048   // LookupTimecodeDataDef()
43049   //
43067   HRESULT LookupTimecodeDataDef (
43068     [out,retval] IAAFDataDef ** ppDataDef);
43069
43070
43071 }
43072
43073
43074
43075 // ************************
43076 //
43077 // Interface IAAFDigitalImageDescriptor2
43078 //
43079 // ************************
43172 [
43173     object,
43174     uuid(F7B9D3BE-773E-4910-9888-C9C4D71561CC),
43175     helpstring("IAAFDigitalImageDescriptor2 Interface"),
43176     pointer_default(unique)
43177 ]
43178 interface IAAFDigitalImageDescriptor2 : IUnknown
43179 {
43180
43181
43182   //***********************************************************
43183   //
43184   // SetCompression()
43185   //
43201   HRESULT SetCompression (
43202     [in] aafUID_constref  compression);
43203
43204
43205   //***********************************************************
43206   //
43207   // GetCompression()
43208   //
43228   HRESULT GetCompression (
43229     [out] aafUID_t *  pCompression);
43230
43231
43232   //***********************************************************
43233   //
43234   // SetStoredView()
43235   //
43251   HRESULT SetStoredView (
43252     [in] aafUInt32  StoredHeight,
43253     [in] aafUInt32  StoredWidth);
43254
43255
43256   //***********************************************************
43257   //
43258   // GetStoredView()
43259   //
43281   HRESULT GetStoredView (
43282     [out] aafUInt32 *  pStoredHeight,
43283     [out] aafUInt32 *  pStoredWidth);
43284
43285
43286   //***********************************************************
43287   //
43288   // SetSampledView()
43289   //
43323   HRESULT SetSampledView (
43324     [in] aafUInt32  SampledHeight,
43325     [in] aafUInt32  SampledWidth,
43326     [in] aafInt32  SampledXOffset,
43327     [in] aafInt32  SampledYOffset);
43328
43329
43330   //***********************************************************
43331   //
43332   // GetSampledView()
43333   //
43363   HRESULT GetSampledView (
43364     [out] aafUInt32 *  pSampledHeight,
43365     [out] aafUInt32 *  pSampledWidth,
43366     [out] aafInt32 *  pSampledXOffset,
43367     [out] aafInt32 *  pSampledYOffset);
43368
43369
43370   //***********************************************************
43371   //
43372   // SetDisplayView()
43373   //
43411   HRESULT SetDisplayView (
43412     [in] aafUInt32  DisplayHeight,
43413     [in] aafUInt32  DisplayWidth,
43414     [in] aafInt32  DisplayXOffset,
43415     [in] aafInt32  DisplayYOffset);
43416
43417
43418   //***********************************************************
43419   //
43420   // GetDisplayView()
43421   //
43451   HRESULT GetDisplayView (
43452     [out] aafUInt32 *  pDisplayHeight,
43453     [out] aafUInt32 *  pDisplayWidth,
43454     [out] aafInt32 *  pDisplayXOffset,
43455     [out] aafInt32 *  pDisplayYOffset);
43456
43457
43458   //***********************************************************
43459   //
43460   // SetFrameLayout()
43461   //
43495   HRESULT SetFrameLayout (
43496     [in] aafFrameLayout_t  FrameLayout);
43497
43498
43499   //***********************************************************
43500   //
43501   // GetFrameLayout()
43502   //
43535   HRESULT GetFrameLayout (
43536     [out] aafFrameLayout_t *  pFrameLayout);
43537
43538
43539   //***********************************************************
43540   //
43541   // SetVideoLineMap()
43542   //
43566   HRESULT SetVideoLineMap (
43567     [in] aafUInt32  numberElements,
43568     [in, size_is(numberElements)] aafInt32 *  pVideoLineMap);
43569
43570
43571   //***********************************************************
43572   //
43573   // GetVideoLineMap()
43574   //
43606   HRESULT GetVideoLineMap (
43607     [in] aafUInt32  numberElements,
43608     [out, size_is(numberElements)] aafInt32 *  pVideoLineMap);
43609
43610
43611   //***********************************************************
43612   //
43613   // GetVideoLineMapSize()
43614   //
43632   HRESULT GetVideoLineMapSize (
43633     [out] aafUInt32 *  pNumberElements);
43634
43635
43636   //***********************************************************
43637   //
43638   // SetImageAspectRatio()
43639   //
43657   HRESULT SetImageAspectRatio (
43658     [in] aafRational_t  ImageAspectRatio);
43659
43660
43661   //***********************************************************
43662   //
43663   // GetImageAspectRatio()
43664   //
43684   HRESULT GetImageAspectRatio (
43685     [out] aafRational_t *  pImageAspectRatio);
43686
43687
43688   //***********************************************************
43689   //
43690   // SetAlphaTransparency()
43691   //
43716   HRESULT SetAlphaTransparency (
43717     [in] aafAlphaTransparency_t  AlphaTransparency);
43718
43719
43720   //***********************************************************
43721   //
43722   // GetAlphaTransparency()
43723   //
43745   HRESULT GetAlphaTransparency (
43746     [out] aafAlphaTransparency_t *  pAlphaTransparency);
43747
43748
43749
43750   //***********************************************************
43751   //
43752   // SetImageAlignmentFactor()
43753   //
43773   HRESULT SetImageAlignmentFactor (
43774     [in] aafUInt32  ImageAlignmentFactor);
43775
43776
43777   //***********************************************************
43778   //
43779   // GetImageAlignmentFactor()
43780   //
43803   HRESULT GetImageAlignmentFactor (
43804     [out] aafUInt32 *  pImageAlignmentFactor);
43805
43806
43807   //***********************************************************
43808   //
43809   // SetTransferCharacteristic()
43810   //
43826   HRESULT SetTransferCharacteristic (
43827     [in] aafUID_constref  transferCharacteristic);
43828
43829
43830   //***********************************************************
43831   //
43832   // GetTransferCharacteristic()
43833   //
43854   HRESULT GetTransferCharacteristic (
43855     [out] aafUID_t *  pTransferCharacteristic);
43856
43857   //***********************************************************
43858   //
43859   // SetCodingEquations()
43860   //
43876   HRESULT SetCodingEquations (
43877     [in] aafUID_constref  codingEquations);
43878
43879
43880   //***********************************************************
43881   //
43882   // GetCodingEquations()
43883   //
43904   HRESULT GetCodingEquations (
43905     [out] aafUID_t *  pCodingEquations);
43906
43907   //***********************************************************
43908   //
43909   // SetColorPrimaries()
43910   //
43926   HRESULT SetColorPrimaries (
43927     [in] aafUID_constref  colorPrimaries);
43928
43929
43930   //***********************************************************
43931   //
43932   // GetColorPrimaries()
43933   //
43954   HRESULT GetColorPrimaries (
43955     [out] aafUID_t *  pColorPrimaries);
43956
43957   //***********************************************************
43958   //
43959   // SetFieldStartOffset()
43960   //
43975   HRESULT SetFieldStartOffset (
43976     [in] aafUInt32  fieldStartOffset);
43977
43978
43979   //***********************************************************
43980   //
43981   // GetFieldStartOffset()
43982   //
44003   HRESULT GetFieldStartOffset (
44004     [out] aafUInt32 *  pFieldStartOffset);
44005
44006   //***********************************************************
44007   //
44008   // SetFieldEndOffset()
44009   //
44024   HRESULT SetFieldEndOffset (
44025     [in] aafUInt32  fieldEndOffset);
44026
44027
44028   //***********************************************************
44029   //
44030   // GetFieldEndOffset()
44031   //
44052   HRESULT GetFieldEndOffset (
44053     [out] aafUInt32 *  pFieldEndOffset);
44054
44055   //***********************************************************
44056   //
44057   // SetFieldDominance()
44058   //
44076   HRESULT SetFieldDominance (
44077     [in] aafFieldNumber_t  fieldDominance);
44078
44079
44080   //***********************************************************
44081   //
44082   // GetFieldDominance()
44083   //
44104   HRESULT GetFieldDominance (
44105     [out] aafFieldNumber_t *  pFieldDominance);
44106
44107   //***********************************************************
44108   //
44109   // SetDisplayF2Offset()
44110   //
44128   HRESULT SetDisplayF2Offset (
44129     [in] aafInt32  displayF2Offset);
44130
44131
44132   //***********************************************************
44133   //
44134   // GetDisplayF2Offset()
44135   //
44156   HRESULT GetDisplayF2Offset (
44157     [out] aafInt32 *  pDisplayF2Offset);
44158
44159   //***********************************************************
44160   //
44161   // SetStoredF2Offset()
44162   //
44180   HRESULT SetStoredF2Offset (
44181     [in] aafInt32  storedF2Offset);
44182
44183
44184   //***********************************************************
44185   //
44186   // GetStoredF2Offset()
44187   //
44208   HRESULT GetStoredF2Offset (
44209     [out] aafInt32 *  pStoredF2Offset);
44210
44211   //***********************************************************
44212   //
44213   // SetActiveFormatDescriptor()
44214   //
44229   HRESULT SetActiveFormatDescriptor (
44230     [in] aafUInt8  activeFormatDescriptor);
44231
44232
44233   //***********************************************************
44234   //
44235   // GetActiveFormatDescriptor()
44236   //
44257   HRESULT GetActiveFormatDescriptor (
44258     [out] aafUInt8 *  pActiveFormatDescriptor);
44259
44260   //***********************************************************
44261   //
44262   // SetSignalStandard()
44263   //
44281   HRESULT SetSignalStandard (
44282     [in] aafSignalStandard_t  signalStandard);
44283
44284
44285   //***********************************************************
44286   //
44287   // GetSignalStandard()
44288   //
44309   HRESULT GetSignalStandard (
44310     [out] aafSignalStandard_t *  pSignalStandard);
44311
44312 }
44313
44314
44315
44316 // ************************
44317 //
44318 // Interface IAAFEndian
44319 //
44320 // ************************
44347 [
44348     object,
44349     uuid(6BACC0C1-6091-11D2-841B-00600832ACB8),
44350     helpstring("IAAFEndian Interface"),
44351     pointer_default(unique)
44352 ]
44353 interface IAAFEndian : IUnknown
44354 {
44355
44356   //***********************************************************
44357   //
44358   // GetStoredByteOrder()
44359   //
44382   HRESULT GetStoredByteOrder (
44383     [out] eAAFByteOrder_t *  pOrder);
44384
44385
44386   //***********************************************************
44387   //
44388   // GetNativeByteOrder()
44389   //
44410   HRESULT GetNativeByteOrder (
44411     [out] eAAFByteOrder_t *  pOrder);
44412 }
44413
44414
44415
44416 // ************************
44417 //
44418 // Interface IAAFEssenceDataEx
44419 //
44420 // ************************
44421
44448 [
44449     object,
44450     uuid(d919d41f-979b-4aba-9785-8ec319dba448),
44451     helpstring("IAAFEssenceDataEx Interface"),
44452     pointer_default(unique)
44453 ]
44454 interface IAAFEssenceDataEx : IUnknown
44455 {
44456
44457
44458   //***********************************************************
44459   //
44460   // Initialize()
44461   //
44483   HRESULT Initialize (
44484     [in] IAAFSourceMob * pFileMob);
44485
44486   //***********************************************************
44487   //
44488   // Write()
44489   //
44496   HRESULT Write (
44497     [in] aafUInt32  bytes,
44498     [out, size_is(bytes)] aafDataBuffer_t  buffer,
44499     [out,ref] aafUInt32 *  bytesWritten);
44500
44501
44502   //***********************************************************
44503   //
44504   // Read()
44505   //
44512   HRESULT Read (
44513     [in] aafUInt32  bytes,
44514     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
44515     [out,ref] aafUInt32 *  bytesRead);
44516
44517
44518   //***********************************************************
44519   //
44520   // SetPosition()
44521   //
44526   HRESULT SetPosition (
44527     [in] aafPosition_t  offset);
44528
44529
44530   //***********************************************************
44531   //
44532   // GetPosition()
44533   //
44538   HRESULT GetPosition (
44539     [out] aafPosition_t*  pOffset);
44540
44541
44542   //***********************************************************
44543   //
44544   // GetSize()
44545   //
44550   HRESULT GetSize (
44551     [out] aafLength_t *  pSize );
44552
44553   //***********************************************************
44554   //
44555   // WriteSampleIndex()
44556   //
44563   HRESULT WriteSampleIndex (
44564     [in] aafUInt32  bytes,
44565     [out, size_is(bytes)] aafDataBuffer_t  buffer,
44566     [out,ref] aafUInt32 *  bytesWritten);
44567
44568
44569   //***********************************************************
44570   //
44571   // ReadSampleIndex()
44572   //
44579   HRESULT ReadSampleIndex (
44580     [in] aafUInt32  bytes,
44581     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
44582     [out,ref] aafUInt32 *  bytesRead);
44583
44584
44585   //***********************************************************
44586   //
44587   // SetSampleIndexPosition()
44588   //
44593   HRESULT SetSampleIndexPosition (
44594     [in] aafPosition_t  offset);
44595
44596
44597   //***********************************************************
44598   //
44599   // GetSampleIndexPosition()
44600   //
44605   HRESULT GetSampleIndexPosition (
44606     [out] aafPosition_t*  pOffset);
44607
44608
44609   //***********************************************************
44610   //
44611   // GetSampleIndexSize()
44612   //
44617   HRESULT GetSampleIndexSize (
44618     [out] aafLength_t *  pSize );
44619
44620
44621   //***********************************************************
44622   //
44623   // SetFileMob()
44624   //
44646   HRESULT SetFileMob (
44647     [in] IAAFSourceMob * pFileMob);
44648
44649
44650   //***********************************************************
44651   //
44652   // GetFileMob()
44653   //
44676   HRESULT GetFileMob (
44677     [in] IAAFSourceMob ** ppFileMob);
44678
44679
44680   //***********************************************************
44681   //
44682   // GetFileMobID()
44683   //
44690   HRESULT GetFileMobID (
44691     [out] aafMobID_t *  pFileMobID);
44692
44693 }
44694
44695
44696
44697 // ************************
44698 //
44699 // Interface IAAFEssenceData2
44700 //
44701 // ************************
44702
44726 [
44727     object,
44728     uuid(a4b0a376-af63-4620-8ae7-0db819ac4b06),
44729     helpstring("IAAFEssenceData2 Interface"),
44730     pointer_default(unique)
44731 ]
44732 interface IAAFEssenceData2 : IUnknown
44733 {
44734
44735
44736   //***********************************************************
44737   //
44738   // Initialize()
44739   //
44761   HRESULT Initialize (
44762     [in] IAAFSourceMob * pFileMob);
44763
44764   //***********************************************************
44765   //
44766   // Write()
44767   //
44774   HRESULT Write (
44775     [in] aafUInt32  bytes,
44776     [out, size_is(bytes)] aafDataBuffer_t  buffer,
44777     [out,ref] aafUInt32 *  bytesWritten);
44778
44779
44780   //***********************************************************
44781   //
44782   // Read()
44783   //
44790   HRESULT Read (
44791     [in] aafUInt32  bytes,
44792     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
44793     [out,ref] aafUInt32 *  bytesRead);
44794
44795
44796   //***********************************************************
44797   //
44798   // SetPosition()
44799   //
44804   HRESULT SetPosition (
44805     [in] aafPosition_t  offset);
44806
44807
44808   //***********************************************************
44809   //
44810   // GetPosition()
44811   //
44816   HRESULT GetPosition (
44817     [out] aafPosition_t*  pOffset);
44818
44819
44820   //***********************************************************
44821   //
44822   // GetSize()
44823   //
44828   HRESULT GetSize (
44829     [out] aafLength_t *  pSize );
44830
44831   //***********************************************************
44832   //
44833   // WriteSampleIndex()
44834   //
44841   HRESULT WriteSampleIndex (
44842     [in] aafUInt32  bytes,
44843     [out, size_is(bytes)] aafDataBuffer_t  buffer,
44844     [out,ref] aafUInt32 *  bytesWritten);
44845
44846
44847   //***********************************************************
44848   //
44849   // ReadSampleIndex()
44850   //
44857   HRESULT ReadSampleIndex (
44858     [in] aafUInt32  bytes,
44859     [out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t  buffer,
44860     [out,ref] aafUInt32 *  bytesRead);
44861
44862
44863   //***********************************************************
44864   //
44865   // SetSampleIndexPosition()
44866   //
44871   HRESULT SetSampleIndexPosition (
44872     [in] aafPosition_t  offset);
44873
44874
44875   //***********************************************************
44876   //
44877   // GetSampleIndexPosition()
44878   //
44883   HRESULT GetSampleIndexPosition (
44884     [out] aafPosition_t*  pOffset);
44885
44886
44887   //***********************************************************
44888   //
44889   // GetSampleIndexSize()
44890   //
44895   HRESULT GetSampleIndexSize (
44896     [out] aafLength_t *  pSize );
44897
44898
44899   //***********************************************************
44900   //
44901   // SetFileMob()
44902   //
44924   HRESULT SetFileMob (
44925     [in] IAAFSourceMob * pFileMob);
44926
44927
44928   //***********************************************************
44929   //
44930   // GetFileMob()
44931   //
44954   HRESULT GetFileMob (
44955     [in] IAAFSourceMob ** ppFileMob);
44956
44957
44958   //***********************************************************
44959   //
44960   // GetFileMobID()
44961   //
44968   HRESULT GetFileMobID (
44969     [out] aafMobID_t *  pFileMobID);
44970
44971
44972   //***********************************************************
44973   //
44974   // GetPlainEssenceData()
44975   //
44977   // the AAFPlainEssenceData interface and provides access to a file
44978   // encoding-independent essence data.
44979   //
44980   // Succeeds if:
44981   // - Initialize() has already been called on this object.
44982   // - pPlainEssenceData is a valid pointer.
44983   // - reserved is 0.
45004   HRESULT GetPlainEssenceData (
45005     [in] aafUInt32  reserved,
45006     [out,retval] IAAFPlainEssenceData ** pPlainEssenceData);
45007
45008 }
45009
45010
45011
45012 // ************************
45013 //
45014 // Interface IAAFEssenceMultiAccess
45015 //
45016 // ************************
45017
45038 [
45039     object,
45040     uuid(D815E2B4-2425-11d3-80AD-006008143E6F),
45041     helpstring("IAAFEssenceMultiAccess Interface"),
45042     pointer_default(unique)
45043 ]
45044 interface IAAFEssenceMultiAccess : IUnknown
45045 {
45046
45047   //***********************************************************
45048   //
45049   // WriteMultiSamples()
45050   //
45074   HRESULT WriteMultiSamples (
45075     [in] aafUInt16  arrayElemCount,
45076     [in,size_is(arrayElemCount)] aafmMultiXfer_t *  xferArray,
45077     [out,size_is(arrayElemCount)] aafmMultiResult_t *  resultArray);
45078
45079
45080   //***********************************************************
45081   //
45082   // ReadMultiSamples()
45083   //
45114   HRESULT ReadMultiSamples (
45115     [in] aafUInt16  elemCount,
45116     [in, size_is(elemCount)] aafmMultiXfer_t *  xferArray,
45117     [out, size_is(elemCount)] aafmMultiResult_t *  resultArray);
45118 }
45119
45120
45121
45122 // ************************
45123 //
45124 // Interface IAAFEventMobSlot2
45125 //
45126 // ************************
45127
45134
45135
45140 [
45141     object,
45142     uuid(15375122-ce6c-464d-8ac5-228862e61d08),
45143     helpstring("IAAFEventMobSlot2 Interface"),
45144     pointer_default(unique)
45145 ]
45146 interface IAAFEventMobSlot2 : IUnknown
45147 {
45148
45149   //***********************************************************
45150   //
45151   // GetEditRate()
45152   //
45173   HRESULT GetEditRate (
45174     [out,retval] aafRational_t *  pEditRate);
45175
45176
45177   //***********************************************************
45178   //
45179   // SetEditRate()
45180   //
45201   HRESULT SetEditRate (
45202     [in] aafRational_t *  pEditRate);
45203
45204   //***********************************************************
45205   //
45206   // GetEventSlotOrigin()
45207   //
45230   HRESULT GetEventSlotOrigin (
45231     [out,retval] aafPosition_t *  pEventSlotOrigin);
45232
45233
45234   //***********************************************************
45235   //
45236   // SetEventSlotOrigin()
45237   //
45250   HRESULT SetEventSlotOrigin (
45251     [in] aafPosition_t  eventSlotOrigin);
45252
45253
45254
45255 }
45256
45257
45258
45259 // ************************
45260 //
45261 // Interface IAAFFileDescriptor2
45262 //
45263 // ************************
45285
45286
45291 [
45292     object,
45293     uuid(38c1088b-f0f2-47c7-9413-361262ae9f07),
45294     helpstring("IAAFFileDescriptor2 Interface"),
45295     pointer_default(unique)
45296 ]
45297 interface IAAFFileDescriptor2 : IUnknown
45298 {
45299
45300   //***********************************************************
45301   //
45302   // SetLength()
45303   //
45317   HRESULT SetLength (
45318     [in] aafLength_t  length);
45319
45320
45321   //***********************************************************
45322   //
45323   // GetLength()
45324   //
45344   HRESULT GetLength (
45345     [out] aafLength_t *  pLength);
45346
45347
45348   //***********************************************************
45349   //
45350   // SetCodecDef()
45351   //
45365   HRESULT SetCodecDef (
45366     [in] IAAFCodecDef * codecDef);
45367
45368
45369   //***********************************************************
45370   //
45371   // GetCodecDef()
45372   //
45398   HRESULT GetCodecDef (
45399     [out] IAAFCodecDef ** pCodecDef);
45400
45401
45402   //***********************************************************
45403   //
45404   // SetSampleRate()
45405   //
45420   HRESULT SetSampleRate (
45421     [in] aafRational_constref  rate);
45422
45423
45424   //***********************************************************
45425   //
45426   // GetSampleRate()
45427   //
45448   HRESULT GetSampleRate (
45449     [out] aafRational_t*  pRate);
45450
45451
45452   //***********************************************************
45453   //
45454   // SetContainerFormat()
45455   //
45471   HRESULT SetContainerFormat (
45472     [in] IAAFContainerDef * format);
45473
45474
45475   //***********************************************************
45476   //
45477   // GetContainerFormat()
45478   //
45504   HRESULT GetContainerFormat (
45505     [out] IAAFContainerDef ** pFormat);
45506
45507
45508   //***********************************************************
45509   //
45510   // SetLinkedSlotID()
45511   //
45527   HRESULT SetLinkedSlotID (
45528     [in] aafUInt32  LinkedSlotID);
45529
45530
45531   //***********************************************************
45532   //
45533   // GetLinkedSlotID()
45534   //
45556   HRESULT GetLinkedSlotID (
45557     [out] aafUInt32 *  pLinkedSlotID);
45558
45559 }
45560
45561
45562
45563 // ************************
45564 //
45565 // Interface IAAFHeader2
45566 //
45567 // ************************
45587 [
45588     object,
45589     uuid(463C0CA0-926B-4BE4-84C1-4455FF5628EE),
45590     helpstring("IAAFHeader2 Interface"),
45591     pointer_default(unique)
45592 ]
45593 interface IAAFHeader2 : IUnknown
45594 {
45595
45596   //***********************************************************
45597   //
45598   // LookupMob()
45599   //
45625   HRESULT LookupMob (
45626     [in, ref] aafMobID_constref  mobID,
45627     [out,retval] IAAFMob ** ppMob);
45628
45629
45630   //***********************************************************
45631   //
45632   // CountMobs()
45633   //
45655   HRESULT CountMobs (
45656     [in] aafMobKind_t  mobKind,
45657     [out, retval] aafNumSlots_t *  pResult);
45658
45659
45660   //***********************************************************
45661   //
45662   // GetMobs()
45663   //
45689   HRESULT GetMobs (
45690     [in] aafSearchCrit_t *  pSearchCriteria,
45691     [out, retval] IEnumAAFMobs ** ppEnum);
45692
45693
45694   //***********************************************************
45695   //
45696   // AddMob()
45697   //
45722   HRESULT AddMob (
45723     [in] IAAFMob * pMob);
45724
45725
45726   //***********************************************************
45727   //
45728   // RemoveMob()
45729   //
45753   HRESULT RemoveMob (
45754     [in] IAAFMob * pMob);
45755
45756
45757   //***********************************************************
45758   //
45759   // CountEssenceData()
45760   //
45782   HRESULT CountEssenceData (
45783     [out, retval] aafUInt32 *  pResult);
45784
45785
45786   //***********************************************************
45787   //
45788   // IsEssenceDataPresent()
45789   //
45811   HRESULT IsEssenceDataPresent (
45812     [in, ref] aafMobID_constref  fileMobID,
45813     [in] aafFileFormat_t  fmt,
45814     [out,retval] aafBoolean_t *  pResult);
45815
45816
45817   //***********************************************************
45818   //
45819   // EnumEssenceData()
45820   //
45843   HRESULT EnumEssenceData (
45844     [out,retval] IEnumAAFEssenceData ** ppEnum);
45845
45846
45847   //***********************************************************
45848   //
45849   // AddEssenceData()
45850   //
45876   HRESULT AddEssenceData (
45877     [in] IAAFEssenceData * pEssenceData);
45878
45879   //***********************************************************
45880   //
45881   // RemoveEssenceData()
45882   //
45906   HRESULT RemoveEssenceData (
45907     [in] IAAFEssenceData * pEssenceData);
45908
45909   //***********************************************************
45910   //
45911   // LookupEssenceData()
45912   //
45938   HRESULT LookupEssenceData (
45939     [in, ref] aafMobID_constref  mobID,
45940     [out,retval] IAAFEssenceData ** ppEssenceData);
45941
45942   //***********************************************************
45943   //
45944   // GetDictionary()
45945   //
45968   HRESULT GetDictionary (
45969     [out, retval] IAAFDictionary ** ppDictionary);
45970
45971
45972   //***********************************************************
45973   //
45974   // GetLastIdentification()
45975   //
45997   HRESULT GetLastIdentification (
45998     [out,retval] IAAFIdentification ** ppIdentification);
45999
46000
46001   //***********************************************************
46002   //
46003   // LookupIdentification()
46004   //
46031   HRESULT LookupIdentification (
46032     [in, ref] aafUID_constref  generation,
46033     [out,retval] IAAFIdentification ** ppIdentification);
46034
46035
46036   //***********************************************************
46037   //
46038   // CountIdentifications()
46039   //
46060   HRESULT CountIdentifications (
46061     [out, retval] aafUInt32 *  pResult);
46062
46063
46064   //***********************************************************
46065   //
46066   // GetIdentifications()
46067   //
46091   HRESULT GetIdentifications (
46092     [out,retval] IEnumAAFIdentifications ** ppEnum);
46093
46094
46095   //***********************************************************
46096   //
46097   // AppendIdentification()
46098   //
46121   HRESULT AppendIdentification (
46122     [in] IAAFIdentification * pIdent);
46123
46124
46125   //***********************************************************
46126   //
46127   // GetIdentificationAt()
46128   //
46152   HRESULT GetIdentificationAt (
46153     [in] aafUInt32  index,
46154     [out, retval] IAAFIdentification ** ppIdentification);
46155
46156
46157   //***********************************************************
46158   //
46159   // GetRefImplVersion()
46160   //
46181   HRESULT GetRefImplVersion (
46182     [out, retval] aafProductVersion_t *  pVersion);
46183
46184
46185   //***********************************************************
46186   //
46187   // GetFileRevision()
46188   //
46210   HRESULT GetFileRevision (
46211     [out, retval] aafVersionType_t *  pRevision);
46212
46213
46214   //***********************************************************
46215   //
46216   // GetLastModified()
46217   //
46239   HRESULT GetLastModified (
46240     [out, retval] aafTimeStamp_t *  pTimeStamp);
46241
46242
46243   //***********************************************************
46244   //
46245   // GetContentStorage()
46246   //
46271   HRESULT GetContentStorage (
46272     [out] IAAFContentStorage ** ppStorage);
46273
46274
46275   //***********************************************************
46276   //
46277   // GetPrimaryMob()
46278   //
46303   HRESULT GetPrimaryMob (
46304     [out, retval] IAAFMob ** pPrimaryMob);
46305
46306
46307   //***********************************************************
46308   //
46309   // SetPrimaryMob()
46310   //
46328   HRESULT SetPrimaryMob (
46329     [in] IAAFMob * pPrimaryMob);
46330
46331
46332   //***********************************************************
46333   //
46334   // GetOperationalPattern()
46335   //
46360   HRESULT GetOperationalPattern (
46361     [out] aafUID_t *  pOperationalPatternID);
46362
46363
46364   //***********************************************************
46365   //
46366   // SetOperationalPattern()
46367   //
46382   HRESULT SetOperationalPattern (
46383     [in] aafUID_constref  operationalPatternID);
46384
46385
46386   //***********************************************************
46387   //
46388   // UpdateEssenceContainers()
46389   //
46405   HRESULT UpdateEssenceContainers ();
46406
46407
46408   //***********************************************************
46409   //
46410   // CountEssenceContainers()
46411   //
46435   HRESULT CountEssenceContainers (
46436     [out, retval] aafUInt32*  pCount);
46437
46438
46439   //***********************************************************
46440   //
46441   // GetEssenceContainers()
46442   //
46475   HRESULT GetEssenceContainers (
46476     [in] aafUInt32  maxEssenceContainersCount,
46477     [out, size_is(maxEssenceContainersCount)] aafUID_t *  pEssenceContainerIDs);
46478
46479
46480   //***********************************************************
46481   //
46482   // IsEssenceContainerPresent()
46483   //
46508   HRESULT IsEssenceContainerPresent (
46509     [in, ref] aafUID_constref  essenceContainerID,
46510     [out,retval] aafBoolean_t*  pIsPresent);
46511
46512
46513   //***********************************************************
46514   //
46515   // CountDescriptiveSchemes()
46516   //
46540   HRESULT CountDescriptiveSchemes (
46541     [out, retval] aafUInt32*  pCount);
46542
46543
46544   //***********************************************************
46545   //
46546   // GetDescriptiveSchemes()
46547   //
46580   HRESULT GetDescriptiveSchemes (
46581     [in] aafUInt32  maxDescriptiveSchemesCount,
46582     [out, size_is(maxDescriptiveSchemesCount)] aafUID_t *  pDescriptiveSchemeIDs);
46583
46584
46585   //***********************************************************
46586   //
46587   // IsDescriptiveSchemePresent()
46588   //
46614   HRESULT IsDescriptiveSchemePresent (
46615     [in, ref] aafUID_constref  descriptiveSchemeID,
46616     [out,retval] aafBoolean_t*  pIsPresent);
46617
46618
46619   //***********************************************************
46620   //
46621   // AddDescriptiveScheme()
46622   //
46644   HRESULT AddDescriptiveScheme (
46645     [in] aafUID_constref  descriptiveSchemeID);
46646
46647
46648   //***********************************************************
46649   //
46650   // RemoveDescriptiveScheme()
46651   //
46676   HRESULT RemoveDescriptiveScheme (
46677     [in] aafUID_constref  descriptiveSchemeID);
46678
46679 }
46680
46681
46682
46683 // ************************
46684 //
46685 // Interface IAAFKLVEssenceDataParameters
46686 //
46687 // ************************
46697
46698
46699 [
46700     object,
46701     uuid(cc2af9ae-edad-4b30-9e3e-5ba692380a84),
46702     helpstring("IAAFKLVEssenceDataParameters Interface"),
46703     pointer_default(unique)
46704 ]
46705 interface IAAFKLVEssenceDataParameters : IUnknown
46706 {
46707
46708
46709   //***********************************************************
46710   //
46711   // GetEssenceElementKey()
46712   //
46740   HRESULT GetEssenceElementKey (
46741     [out] aafUID_t *  pEssenceElementKey);
46742
46743
46744   //***********************************************************
46745   //
46746   // SetEssenceElementKey()
46747   //
46770   HRESULT SetEssenceElementKey (
46771     [in, ref] aafUID_constref  key);
46772
46773 }
46774
46775
46776
46777 // ************************
46778 //
46779 // Interface IAAFKLVStreamParameters
46780 //
46781 // ************************
46791 [
46792     object,
46793     uuid(379d9d03-4a5f-4399-a105-5ae6e17d9e59),
46794     helpstring("IAAFKLVStreamParameters Interface"),
46795     pointer_default(unique)
46796 ]
46797 interface IAAFKLVStreamParameters : IUnknown
46798 {
46799
46800
46801   //***********************************************************
46802   //
46803   // GetEssenceElementKey()
46804   //
46834   HRESULT GetEssenceElementKey (
46835     [in] IAAFPropertyValue * pStreamPropertyValue,
46836     [out] aafUID_t *  pEssenceElementKey);
46837
46838
46839   //***********************************************************
46840   //
46841   // SetEssenceElementKey()
46842   //
46870   HRESULT SetEssenceElementKey (
46871     [in] IAAFPropertyValue * pStreamPropertyValue,
46872     [in, ref] aafUID_constref  key);
46873
46874 }
46875
46876
46877
46878 // ************************
46879 //
46880 // Interface IAAFMasterMob2
46881 //
46882 // ************************
46902 [
46903     object,
46904     uuid(afcffd2c-279b-466f-a496-55cbdcc17531),
46905     helpstring("IAAFMasterMob2 Interface"),
46906     pointer_default(unique)
46907 ]
46908 interface IAAFMasterMob2 : IUnknown
46909 {
46910
46911
46912
46913   //***********************************************************
46914   //
46915   // Initialize()
46916   //
46934   HRESULT Initialize ();
46935
46936
46937   //***********************************************************
46938   //
46939   // AddMasterSlot()
46940   //
46990   HRESULT AddMasterSlot (
46991     [in] IAAFDataDef * pDataDef,
46992     [in] aafSlotID_t  sourceSlotID,
46993     [in] IAAFSourceMob * pSourceMob,
46994     [in] aafSlotID_t  masterSlotID,
46995     [in, string] aafCharacter_constptr  pSlotName);
46996
46997
46998   //***********************************************************
46999   //
47000   // GetTapeName()
47001   //
47047   HRESULT GetTapeName (
47048     [in] aafUInt32  masterSlotID,
47049     [out, size_is(bufSize), string] aafCharacter *  pTapeName,
47050     [in] aafUInt32  bufSize);
47051
47052
47053   //***********************************************************
47054   //
47055   // GetTapeNameBufLen()
47056   //
47089   HRESULT GetTapeNameBufLen (
47090     [in] aafUInt32  masterSlotID,
47091     [out] aafUInt32 *  pLen);
47092
47093
47094   //***********************************************************
47095   //
47096   // GetNumRepresentations()
47097   //
47131   HRESULT GetNumRepresentations (
47132     [in] aafSlotID_t  slotID,
47133     [out, retval] aafNumSlots_t *  pNumReps);
47134
47135
47136   //***********************************************************
47137   //
47138   // GetRepresentation()
47139   //
47181   HRESULT GetRepresentation (
47182     [in] aafSlotID_t  slotID,
47183     [in] aafUInt32  index,
47184     [out] IAAFSegment ** ppSourceClip);
47185
47186
47187   //***********************************************************
47188   //
47189   // GetCriteriaSegment()
47190   //
47239   HRESULT GetCriteriaSegment (
47240     [in] aafSlotID_t  slotID,
47241     [in] aafMediaCriteria_t *  pCriteria,
47242     [out] IAAFSegment ** ppSegment);
47243
47244
47245   //***********************************************************
47246   //
47247   // AppendPhysSourceRef()
47248   //
47293   HRESULT AppendPhysSourceRef (
47294     [in] aafRational_t  editrate,
47295     [in] aafSlotID_t  aMobSlot,
47296     [in] IAAFDataDef * pEssenceKind,
47297     [in] aafSourceRef_t  ref,
47298     [in] aafLength_t  srcRefLength);
47299
47300
47301   //***********************************************************
47302   //
47303   // NewPhysSourceRef()
47304   //
47349   HRESULT NewPhysSourceRef (
47350     [in] aafRational_t  editrate,
47351     [in] aafSlotID_t  aMobSlot,
47352     [in] IAAFDataDef * pEssenceKind,
47353     [in] aafSourceRef_t  ref,
47354     [in] aafLength_t  srcRefLength);
47355
47356
47357   //***********************************************************
47358   //
47359   // CreateEssence()
47360   //
47386   HRESULT CreateEssence (
47387     [in] aafSlotID_t  masterSlotID,
47388     [in] IAAFDataDef * pMediaKind,
47389     [in, ref] aafUID_constref  codecID,
47390     [in] aafRational_t  editRate,
47391     [in] aafRational_t  samplerate,
47392     [in] aafCompressEnable_t  Enable,
47393     [in] IAAFLocator * destination,
47394     [in, ref] aafUID_constref  fileFormat,
47395     [out] IAAFEssenceAccess ** access);
47396
47397
47398   //***********************************************************
47399   //
47400   // CreateMultiEssence()
47401   //
47417   HRESULT CreateMultiEssence (
47418     [in, ref] aafUID_constref  codecID,
47419     [in] aafUInt16  arrayElemCount,
47420     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
47421     [in] aafCompressEnable_t  Enable,
47422     [in] IAAFLocator * destination,
47423     [in, ref] aafUID_constref  fileFormat,
47424     [out] IAAFEssenceMultiAccess**  access);
47425
47426
47427   //***********************************************************
47428   //
47429   // OpenEssence()
47430   //
47451   HRESULT OpenEssence (
47452     [in] aafSlotID_t  slotID,
47453     [in] aafMediaCriteria_t*  mediaCrit,
47454     [in] aafMediaOpenMode_t  openMode,
47455     [in] aafCompressEnable_t  compEnable,
47456     [out] IAAFEssenceAccess ** access);
47457
47458
47459   //***********************************************************
47460   //
47461   // OpenMultiEssence()
47462   //
47477   HRESULT OpenMultiEssence (
47478     [in] aafSlotID_t  slotID,
47479     [in] aafMediaCriteria_t*  mediaCrit,
47480     [in] aafMediaOpenMode_t  openMode,
47481     [in] aafCompressEnable_t  compEnable,
47482     [out] IAAFEssenceMultiAccess**  access);
47483
47484
47485   //***********************************************************
47486   //
47487   // CountChannels()
47488   //
47505   HRESULT CountChannels (
47506     [in] aafSlotID_t  slotID,
47507     [in] aafMediaCriteria_t*  mediaCrit,
47508     [in] IAAFDataDef * pMediaKind,
47509     [out] aafUInt16*  numCh);
47510
47511
47512
47513
47514   //***********************************************************
47515   //
47516   // ExtendEssence()
47517   //
47535   HRESULT ExtendEssence (
47536     [in] aafSlotID_t  masterSlotID,
47537     [in] IAAFDataDef * pMediaKind,
47538     [in, ref] aafUID_constref  codecID,
47539     [in] aafRational_t  editRate,
47540     [in] aafRational_t  samplerate,
47541     [in] aafCompressEnable_t  Enable,
47542     [in] IAAFLocator * destination,
47543     [in, ref] aafUID_constref  fileFormat,
47544     [out] IAAFEssenceAccess ** access);
47545
47546
47547   //***********************************************************
47548   //
47549   // ExtendMultiEssence()
47550   //
47566   HRESULT ExtendMultiEssence (
47567     [in, ref] aafUID_constref  codecID,
47568     [in] aafUInt16  arrayElemCount,
47569     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
47570     [in] aafCompressEnable_t  Enable,
47571     [in] IAAFLocator * destination,
47572     [in, ref] aafUID_constref  fileFormat,
47573     [out] IAAFEssenceMultiAccess**  access);
47574
47575
47576   //***********************************************************
47577   //
47578   // CreateStaticEssence()
47579   //
47590   HRESULT CreateStaticEssence (
47591     [in] aafSlotID_t  masterSlotID,
47592     [in] IAAFDataDef * pMediaKind,
47593     [in, ref] aafUID_constref  codecID,
47594     [in] aafCompressEnable_t  Enable,
47595     [in] IAAFLocator * destination,
47596     [in, ref] aafUID_constref  fileFormat,
47597     [out] IAAFEssenceAccess ** access);
47605
47606
47607   //***********************************************************
47608   //
47609   // CreateEventEssence()
47610   //
47623   HRESULT CreateEventEssence (
47624     [in] aafSlotID_t  masterSlotID,
47625     [in] IAAFDataDef * pMediaKind,
47626     [in, ref] aafUID_constref  codecID,
47627     [in] aafRational_t  editRate,
47628     [in] aafRational_t  samplerate,
47629     [in] aafCompressEnable_t  Enable,
47630     [in] IAAFLocator * destination,
47631     [in, ref] aafUID_constref  fileFormat,
47632     [out] IAAFEssenceAccess ** access);
47641
47642 }
47643
47644
47645
47646
47647 // ************************
47648 //
47649 // Interface IAAFMasterMob3
47650 //
47651 // ************************
47671 [
47672     object,
47673     uuid(988af5ac-57d8-47b7-9b0f-239971161939),
47674     helpstring("IAAFMasterMob3 Interface"),
47675     pointer_default(unique)
47676 ]
47677 interface IAAFMasterMob3 : IUnknown
47678 {
47679
47680
47681
47682   //***********************************************************
47683   //
47684   // Initialize()
47685   //
47703   HRESULT Initialize ();
47704
47705
47706   //***********************************************************
47707   //
47708   // AddMasterSlot()
47709   //
47759   HRESULT AddMasterSlot (
47760     [in] IAAFDataDef * pDataDef,
47761     [in] aafSlotID_t  sourceSlotID,
47762     [in] IAAFSourceMob * pSourceMob,
47763     [in] aafSlotID_t  masterSlotID,
47764     [in, string] aafCharacter_constptr  pSlotName);
47765
47766
47767   //***********************************************************
47768   //
47769   // GetTapeName()
47770   //
47816   HRESULT GetTapeName (
47817     [in] aafUInt32  masterSlotID,
47818     [out, size_is(bufSize), string] aafCharacter *  pTapeName,
47819     [in] aafUInt32  bufSize);
47820
47821
47822   //***********************************************************
47823   //
47824   // GetTapeNameBufLen()
47825   //
47858   HRESULT GetTapeNameBufLen (
47859     [in] aafUInt32  masterSlotID,
47860     [out] aafUInt32 *  pLen);
47861
47862
47863   //***********************************************************
47864   //
47865   // GetNumRepresentations()
47866   //
47900   HRESULT GetNumRepresentations (
47901     [in] aafSlotID_t  slotID,
47902     [out, retval] aafNumSlots_t *  pNumReps);
47903
47904
47905   //***********************************************************
47906   //
47907   // GetRepresentation()
47908   //
47950   HRESULT GetRepresentation (
47951     [in] aafSlotID_t  slotID,
47952     [in] aafUInt32  index,
47953     [out] IAAFSegment ** ppSourceClip);
47954
47955
47956   //***********************************************************
47957   //
47958   // GetCriteriaSegment()
47959   //
48008   HRESULT GetCriteriaSegment (
48009     [in] aafSlotID_t  slotID,
48010     [in] aafMediaCriteria_t *  pCriteria,
48011     [out] IAAFSegment ** ppSegment);
48012
48013
48014   //***********************************************************
48015   //
48016   // AppendPhysSourceRef()
48017   //
48062   HRESULT AppendPhysSourceRef (
48063     [in] aafRational_t  editrate,
48064     [in] aafSlotID_t  aMobSlot,
48065     [in] IAAFDataDef * pEssenceKind,
48066     [in] aafSourceRef_t  ref,
48067     [in] aafLength_t  srcRefLength);
48068
48069
48070   //***********************************************************
48071   //
48072   // NewPhysSourceRef()
48073   //
48118   HRESULT NewPhysSourceRef (
48119     [in] aafRational_t  editrate,
48120     [in] aafSlotID_t  aMobSlot,
48121     [in] IAAFDataDef * pEssenceKind,
48122     [in] aafSourceRef_t  ref,
48123     [in] aafLength_t  srcRefLength);
48124
48125
48126   //***********************************************************
48127   //
48128   // CreateEssence()
48129   //
48155   HRESULT CreateEssence (
48156     [in] aafSlotID_t  masterSlotID,
48157     [in] IAAFDataDef * pMediaKind,
48158     [in, ref] aafUID_constref  codecID,
48159     [in] aafRational_t  editRate,
48160     [in] aafRational_t  samplerate,
48161     [in] aafCompressEnable_t  Enable,
48162     [in] IAAFLocator * destination,
48163     [in, ref] aafUID_constref  fileFormat,
48164     [out] IAAFEssenceAccess ** access);
48165
48166
48167   //***********************************************************
48168   //
48169   // CreateMultiEssence()
48170   //
48186   HRESULT CreateMultiEssence (
48187     [in, ref] aafUID_constref  codecID,
48188     [in] aafUInt16  arrayElemCount,
48189     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
48190     [in] aafCompressEnable_t  Enable,
48191     [in] IAAFLocator * destination,
48192     [in, ref] aafUID_constref  fileFormat,
48193     [out] IAAFEssenceMultiAccess**  access);
48194
48195
48196   //***********************************************************
48197   //
48198   // OpenEssence()
48199   //
48220   HRESULT OpenEssence (
48221     [in] aafSlotID_t  slotID,
48222     [in] aafMediaCriteria_t*  mediaCrit,
48223     [in] aafMediaOpenMode_t  openMode,
48224     [in] aafCompressEnable_t  compEnable,
48225     [out] IAAFEssenceAccess ** access);
48226
48227
48228   //***********************************************************
48229   //
48230   // OpenMultiEssence()
48231   //
48246   HRESULT OpenMultiEssence (
48247     [in] aafSlotID_t  slotID,
48248     [in] aafMediaCriteria_t*  mediaCrit,
48249     [in] aafMediaOpenMode_t  openMode,
48250     [in] aafCompressEnable_t  compEnable,
48251     [out] IAAFEssenceMultiAccess**  access);
48252
48253
48254   //***********************************************************
48255   //
48256   // CountChannels()
48257   //
48274   HRESULT CountChannels (
48275     [in] aafSlotID_t  slotID,
48276     [in] aafMediaCriteria_t*  mediaCrit,
48277     [in] IAAFDataDef * pMediaKind,
48278     [out] aafUInt16*  numCh);
48279
48280
48281
48282
48283   //***********************************************************
48284   //
48285   // ExtendEssence()
48286   //
48304   HRESULT ExtendEssence (
48305     [in] aafSlotID_t  masterSlotID,
48306     [in] IAAFDataDef * pMediaKind,
48307     [in, ref] aafUID_constref  codecID,
48308     [in] aafRational_t  editRate,
48309     [in] aafRational_t  samplerate,
48310     [in] aafCompressEnable_t  Enable,
48311     [in] IAAFLocator * destination,
48312     [in, ref] aafUID_constref  fileFormat,
48313     [out] IAAFEssenceAccess ** access);
48314
48315
48316   //***********************************************************
48317   //
48318   // ExtendMultiEssence()
48319   //
48335   HRESULT ExtendMultiEssence (
48336     [in, ref] aafUID_constref  codecID,
48337     [in] aafUInt16  arrayElemCount,
48338     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
48339     [in] aafCompressEnable_t  Enable,
48340     [in] IAAFLocator * destination,
48341     [in, ref] aafUID_constref  fileFormat,
48342     [out] IAAFEssenceMultiAccess**  access);
48343
48344
48345   //***********************************************************
48346   //
48347   // CreateStaticEssence()
48348   //
48359   HRESULT CreateStaticEssence (
48360     [in] aafSlotID_t  masterSlotID,
48361     [in] IAAFDataDef * pMediaKind,
48362     [in, ref] aafUID_constref  codecID,
48363     [in] aafCompressEnable_t  Enable,
48364     [in] IAAFLocator * destination,
48365     [in, ref] aafUID_constref  fileFormat,
48366     [out] IAAFEssenceAccess ** access);
48374
48375
48376   //***********************************************************
48377   //
48378   // CreateEventEssence()
48379   //
48392   HRESULT CreateEventEssence (
48393     [in] aafSlotID_t  masterSlotID,
48394     [in] IAAFDataDef * pMediaKind,
48395     [in, ref] aafUID_constref  codecID,
48396     [in] aafRational_t  editRate,
48397     [in] aafRational_t  samplerate,
48398     [in] aafCompressEnable_t  Enable,
48399     [in] IAAFLocator * destination,
48400     [in, ref] aafUID_constref  fileFormat,
48401     [out] IAAFEssenceAccess ** access);
48410
48411
48412   //***********************************************************
48413   //
48414   // AddMasterSlotWithSequence()
48415   //
48467   HRESULT AddMasterSlotWithSequence (
48468     [in] IAAFDataDef * pDataDef,
48469     [in] aafSlotID_t  sourceSlotID,
48470     [in] IAAFSourceMob * pSourceMob,
48471     [in] aafSlotID_t  masterSlotID,
48472     [in, string] aafCharacter_constptr  pSlotName);
48473
48474 }
48475
48476
48477
48478
48479 // ************************
48480 //
48481 // Interface IAAFMasterMobEx
48482 //
48483 // ************************
48523 [
48524     object,
48525     uuid(b1a21370-1a7d-11d2-bf78-00104bc9156d ),
48526     helpstring("IAAFMasterMobEx Interface"),
48527     pointer_default(unique)
48528 ]
48529 interface IAAFMasterMobEx : IUnknown
48530 {
48531
48532
48533   //***********************************************************
48534   //
48535   // ExtendEssence()
48536   //
48554   HRESULT ExtendEssence (
48555     [in] aafSlotID_t  masterSlotID,
48556     [in] IAAFDataDef * pMediaKind,
48557     [in, ref] aafUID_constref  codecID,
48558     [in] aafRational_t  editRate,
48559     [in] aafRational_t  samplerate,
48560     [in] aafCompressEnable_t  Enable,
48561     [in] IAAFLocator * destination,
48562     [in, ref] aafUID_constref  fileFormat,
48563     [out] IAAFEssenceAccess ** access);
48564
48565
48566   //***********************************************************
48567   //
48568   // ExtendMultiEssence()
48569   //
48585   HRESULT ExtendMultiEssence (
48586     [in, ref] aafUID_constref  codecID,
48587     [in] aafUInt16  arrayElemCount,
48588     [in,ref,size_is(arrayElemCount)] aafmMultiCreate_t *  mediaArray,
48589     [in] aafCompressEnable_t  Enable,
48590     [in] IAAFLocator * destination,
48591     [in, ref] aafUID_constref  fileFormat,
48592     [out] IAAFEssenceMultiAccess**  access);
48593
48594 }
48595
48596
48597
48598 // ************************
48599 //
48600 // Interface IAAFMob2
48601 //
48602 // ************************
48627 [
48628     object,
48629     uuid(a94fdb8b-451f-4d62-ac17-16950344832e),
48630     helpstring("IAAFMob2 Interface"),
48631     pointer_default(unique)
48632 ]
48633 interface IAAFMob2 : IUnknown
48634 {
48635
48636
48637
48638
48639
48640
48641
48642
48643   //***********************************************************
48644   //
48645   // GetMobID()
48646   //
48666   HRESULT GetMobID (
48667     [out] aafMobID_t *  pMobID);
48668
48669
48670   //***********************************************************
48671   //
48672   // SetMobID()
48673   //
48689   HRESULT SetMobID (
48690     [in, ref] aafMobID_constref  mobID);
48691
48692
48693   //***********************************************************
48694   //
48695   // SetName()
48696   //
48725   HRESULT SetName (
48726     [in, string] aafCharacter_constptr  pName);
48727
48728
48729   //***********************************************************
48730   //
48731   // GetName()
48732   //
48770   HRESULT GetName (
48771     [out, string, size_is(bufSize)] aafCharacter *  pName,
48772     [in] aafUInt32  bufSize);
48773
48774
48775   //***********************************************************
48776   //
48777   // GetNameBufLen()
48778   //
48796   HRESULT GetNameBufLen (
48797     [out] aafUInt32 *  pBufSize);
48798
48799
48800   //***********************************************************
48801   //
48802   // CountSlots()
48803   //
48823   HRESULT CountSlots (
48824     [out] aafNumSlots_t *  pNumSlots);
48825
48826
48827   //***********************************************************
48828   //
48829   // AppendSlot()
48830   //
48850   HRESULT AppendSlot (
48851     [in] IAAFMobSlot * pSlot);
48852
48853
48854   //***********************************************************
48855   //
48856   // PrependSlot()
48857   //
48877   HRESULT PrependSlot (
48878     [in] IAAFMobSlot * pSlot);
48879
48880
48881   //***********************************************************
48882   //
48883   // InsertSlotAt()
48884   //
48912   HRESULT InsertSlotAt (
48913     [in] aafUInt32  index,
48914     [in] IAAFMobSlot * pSlot);
48915
48916
48917   //***********************************************************
48918   //
48919   // RemoveSlotAt()
48920   //
48943   HRESULT RemoveSlotAt (
48944     [in] aafUInt32  index);
48945
48946
48947   //***********************************************************
48948   //
48949   // GetSlotAt()
48950   //
48976   HRESULT GetSlotAt (
48977     [in] aafUInt32  index,
48978     [out, retval] IAAFMobSlot ** ppSlot);
48979
48980
48981   //***********************************************************
48982   //
48983   // GetSlots()
48984   //
49005   HRESULT GetSlots (
49006     [out] IEnumAAFMobSlots ** ppEnum);
49007
49008
49009   //***********************************************************
49010   //
49011   // GetModTime()
49012   //
49032   HRESULT GetModTime (
49033     [out] aafTimeStamp_t *  pLastModified);
49034
49035
49036   //***********************************************************
49037   //
49038   // SetModTime()
49039   //
49058   HRESULT SetModTime (
49059     [in, ref] aafTimeStamp_constref  modTime);
49060
49061
49062   //***********************************************************
49063   //
49064   // GetCreateTime()
49065   //
49085   HRESULT GetCreateTime (
49086     [out] aafTimeStamp_t *  pCreationTime);
49087
49088
49089   //***********************************************************
49090   //
49091   // SetCreateTime()
49092   //
49110   HRESULT SetCreateTime (
49111     [in, ref] aafTimeStamp_constref  createTime);
49112
49113
49114   //***********************************************************
49115   //
49116   // AppendComment()
49117   //
49141   HRESULT AppendComment (
49142     [in,string] aafCharacter *  pCategory,
49143     [in, string] aafCharacter_constptr  pComment);
49144
49145
49146   //***********************************************************
49147   //
49148   // CountComments()
49149   //
49169   HRESULT CountComments (
49170     [out] aafUInt32 *  pNumComments);
49171
49172
49173   //***********************************************************
49174   //
49175   // GetComments()
49176   //
49199   HRESULT GetComments (
49200     [out] IEnumAAFTaggedValues ** ppEnum);
49201
49202
49203   //***********************************************************
49204   //
49205   // RemoveComment()
49206   //
49230   HRESULT RemoveComment (
49231     [in] IAAFTaggedValue * pComment);
49232
49233
49234   //***********************************************************
49235   //
49236   // AppendNewTimelineSlot()
49237   //
49267   HRESULT AppendNewTimelineSlot (
49268     [in] aafRational_t  editRate,
49269     [in] IAAFSegment * pSegment,
49270     [in] aafSlotID_t  slotID,
49271     [in, string] aafCharacter_constptr  pSlotName,
49272     [in] aafPosition_t  origin,
49273     [out] IAAFTimelineMobSlot ** ppNewSlot);
49274
49275
49276   //***********************************************************
49277   //
49278   // GetMobInfo()
49279   //
49311   HRESULT GetMobInfo (
49312     [out] aafTimeStamp_t *  pLastModified,
49313     [out] aafTimeStamp_t *  pCreationTime,
49314     [out, size_is(bufSize), string] aafCharacter *  pName,
49315     [in] aafInt32  bufSize);
49316
49317
49318   //***********************************************************
49319   //
49320   // OffsetToMobTimecode()
49321   //
49352   HRESULT OffsetToMobTimecode (
49353     [in] IAAFSegment * pTcSeg,
49354     [in] aafPosition_t *  pOffset,
49355     [out] aafTimecode_t *  pResult);
49356
49357
49358   //***********************************************************
49359   //
49360   // LookupSlot()
49361   //
49385   HRESULT LookupSlot (
49386     [in] aafSlotID_t  slotId,
49387     [out] IAAFMobSlot ** ppDestSlot);
49388
49389
49390   //***********************************************************
49391   //
49392   // ChangeRef()
49393   //
49414   HRESULT ChangeRef (
49415     [in, ref] aafMobID_constref  oldMobID,
49416     [in, ref] aafMobID_constref  newMobID);
49417
49418
49419   //***********************************************************
49420   //
49421   // CloneExternal()
49422   //
49463   HRESULT CloneExternal (
49464     [in] aafDepend_t  resolveDependencies,
49465     [in] aafIncMedia_t  includeMedia,
49466     [in] IAAFFile * pDestFile,
49467     [out] IAAFMob ** ppDestMob);
49468
49469
49470   //***********************************************************
49471   //
49472   // Copy()
49473   //
49503   HRESULT Copy (
49504     [in, string] aafCharacter_constptr  pDestMobName,
49505     [out] IAAFMob ** ppDestMob);
49507
49508   //***********************************************************
49509   //
49510   // AppendKLVData()
49511   //
49532   HRESULT AppendKLVData (
49533     [in] IAAFKLVData * pData);
49534
49535
49536   //***********************************************************
49537   //
49538   // CountKLVData()
49539   //
49559   HRESULT CountKLVData (
49560     [out] aafUInt32 *  pNumData);
49561
49562
49563   //***********************************************************
49564   //
49565   // GetKLVData()
49566   //
49588   HRESULT GetKLVData (
49589     [out] IEnumAAFKLVData ** ppEnum);
49590
49591
49592   //***********************************************************
49593   //
49594   // RemoveKLVData()
49595   //
49619   HRESULT RemoveKLVData (
49620     [in] IAAFKLVData * pData);
49621
49622
49623   //***********************************************************
49624   //
49625   // AppendAttribute()
49626   //
49645   HRESULT AppendAttribute (
49646     [in] aafCharacter_constptr  pName,
49647     [in] aafCharacter_constptr  pValue);
49648
49649   //***********************************************************
49650   //
49651   // CountAttributes()
49652   //
49667   HRESULT CountAttributes (
49668     [out] aafUInt32*  pNumAttributes);
49669
49670
49671   //***********************************************************
49672   //
49673   // GetAttributes()
49674   //
49692   HRESULT GetAttributes (
49693     [out] IEnumAAFTaggedValues ** ppEnum);
49694
49695
49696   //***********************************************************
49697   //
49698   // RemoveAttribute()
49699   //
49714   HRESULT RemoveAttribute (
49715     [in] IAAFTaggedValue * pAttribute);
49716
49717   //***********************************************************
49718   //
49719   // SetUsageCode()
49720   //
49730   HRESULT SetUsageCode (
49731     [in] aafUID_constref  usageCode);
49732
49733   //***********************************************************
49734   //
49735   // GetUsageCode()
49736   //
49756   HRESULT GetUsageCode (
49757     [out] aafUID_t*  pUsageCode);
49758
49759
49760   //***********************************************************
49761   //
49762   // AppendNewStaticSlot()
49763   //
49791   HRESULT AppendNewStaticSlot (
49792     [in] IAAFSegment * pSegment,
49793     [in] aafSlotID_t  slotID,
49794     [in, string] aafCharacter_constptr  pSlotName,
49795     [out] IAAFStaticMobSlot ** ppNewSlot);
49796
49797
49798   //***********************************************************
49799   //
49800   // AppendNewEventSlot()
49801   //
49831   HRESULT AppendNewEventSlot (
49832     [in] aafRational_t  editRate,
49833     [in] IAAFSegment * pSegment,
49834     [in] aafSlotID_t  slotID,
49835     [in, string] aafCharacter_constptr  pSlotName,
49836     [in] aafPosition_t  origin,
49837     [out] IAAFEventMobSlot ** ppNewSlot);
49838
49839
49840 }
49841
49842
49843
49844 // ************************
49845 //
49846 // Interface IAAFProgress
49847 //
49848 // ************************
49859
49860
49861 [
49862     object,
49863     uuid(8E7B0F14-A759-416a-98FD-346242D5081F),
49864     helpstring("IAAFProgress Interface"),
49865     pointer_default(unique)
49866 ]
49867
49868 interface IAAFProgress : IUnknown
49869 {
49870
49871
49872   //***********************************************************
49873   //
49874   // ProgressCallback()
49875   //
49885   HRESULT ProgressCallback ();
49886 }
49887
49888
49889
49890 // ************************
49891 //
49892 // Interface IAAFRGBADescriptor2
49893 //
49894 // ************************
49895
49896
49931 [
49932     object,
49933     uuid(205c5aae-727a-46c3-8368-cd8b1d14fbdd),
49934     helpstring("IAAFRGBADescriptor2 Interface"),
49935     pointer_default(unique)
49936 ]
49937 interface IAAFRGBADescriptor2 : IUnknown
49938 {
49939
49940
49941   //***********************************************************
49942   //
49943   // SetPixelLayout()
49944   //
49969   HRESULT SetPixelLayout (
49970     [in] aafUInt32  numberElements,
49971     [in] aafRGBAComponent_t*  PixelLayoutArray);
49972
49973   //***********************************************************
49974   //
49975   // CountPixelLayoutElements()
49976   //
50000   HRESULT CountPixelLayoutElements (
50001     [out] aafUInt32 *  pResult);
50002
50003   //***********************************************************
50004   //
50005   // GetPixelLayout()
50006   //
50039   HRESULT GetPixelLayout (
50040     [in] aafUInt32  numberElements,
50041     [out, size_is(numberElements)] aafRGBAComponent_t*  PixelLayoutArray);
50042
50043   //***********************************************************
50044   //
50045   // SetPalette()
50046   //
50067   HRESULT SetPalette (
50068     [in] aafUInt32  numberElements,
50069     [in, size_is(numberElements)] aafUInt8*  pPalette);
50070
50071
50072   //***********************************************************
50073   //
50074   // GetPalette()
50075   //
50104   HRESULT GetPalette (
50105     [in] aafUInt32  numberRecords,
50106     [out, size_is(numberRecords)] aafUInt8*  pPalette);
50107
50108
50109   //***********************************************************
50110   //
50111   // GetPaletteSize()
50112   //
50130   HRESULT GetPaletteSize (
50131     [out] aafUInt32 *  pNumberBytes);
50132
50133   //***********************************************************
50134   //
50135   // CountPaletteLayoutElements()
50136   //
50160   HRESULT CountPaletteLayoutElements (
50161     [out] aafUInt32 *  pResult);
50162
50163   //***********************************************************
50164   //
50165   // SetPaletteLayout()
50166   //
50191   HRESULT SetPaletteLayout (
50192     [in] aafUInt32  numberElements,
50193     [in] aafRGBAComponent_t*  PaletteLayoutArray);
50194
50195   //***********************************************************
50196   //
50197   // GetPaletteLayout()
50198   //
50230   HRESULT GetPaletteLayout (
50231     [in] aafUInt32  numberElements,
50232     [out, size_is(numberElements)] aafRGBAComponent_t*  PaletteLayoutArray);
50233
50234
50235   //***********************************************************
50236   //
50237   // SetComponentMaxRef()
50238   //
50253   HRESULT SetComponentMaxRef (
50254     [in] aafUInt32  componentMaxRef);
50255
50256
50257   //***********************************************************
50258   //
50259   // GetComponentMaxRef()
50260   //
50282   HRESULT GetComponentMaxRef (
50283     [out] aafUInt32 *  pComponentMaxRef);
50284
50285
50286   //***********************************************************
50287   //
50288   // SetComponentMinRef()
50289   //
50304   HRESULT SetComponentMinRef (
50305     [in] aafUInt32  componentMinRef);
50306
50307
50308   //***********************************************************
50309   //
50310   // GetComponentMinRef()
50311   //
50333   HRESULT GetComponentMinRef (
50334     [out] aafUInt32 *  pComponentMinRef);
50335
50336
50337   //***********************************************************
50338   //
50339   // SetAlphaMaxRef()
50340   //
50355   HRESULT SetAlphaMaxRef (
50356     [in] aafUInt32  alphaMaxRef);
50357
50358
50359   //***********************************************************
50360   //
50361   // GetAlphaMaxRef()
50362   //
50384   HRESULT GetAlphaMaxRef (
50385     [out] aafUInt32 *  pAlphaMaxRef);
50386
50387
50388   //***********************************************************
50389   //
50390   // SetAlphaMinRef()
50391   //
50406   HRESULT SetAlphaMinRef (
50407     [in] aafUInt32  alphaMinRef);
50408
50409
50410   //***********************************************************
50411   //
50412   // GetAlphaMinRef()
50413   //
50435   HRESULT GetAlphaMinRef (
50436     [out] aafUInt32 *  pAlphaMinRef);
50437
50438
50439   //***********************************************************
50440   //
50441   // SetScanningDirection()
50442   //
50461   HRESULT SetScanningDirection (
50462     [in] aafScanningDirection_t  scanningDirection);
50463
50464
50465   //***********************************************************
50466   //
50467   // GetScanningDirection()
50468   //
50490   HRESULT GetScanningDirection (
50491     [out] aafScanningDirection_t *  pScanningDirection);
50492
50493
50494 }
50495
50496
50497
50498 // ************************
50499 //
50500 // Interface IAAFSearchSource
50501 //
50502 // ************************
50523 [
50524     object,
50525     uuid(332CBDD0-5425-11D2-AA7A-10003D000000),
50526     helpstring("IAAFSearchSource Interface"),
50527     pointer_default(unique)
50528 ]
50529 interface IAAFSearchSource : IUnknown
50530 {
50531
50532   //***********************************************************
50533   //
50534   // SearchSource()
50535   //
50576   HRESULT SearchSource (
50577     [in] aafSlotID_t  slotID,
50578     [in] aafPosition_t  offset,
50579     [in] aafMobKind_t  mobKind,
50580     [in] aafMediaCriteria_t *  pMediaCrit,
50581     [in] aafOperationChoice_t *  pOperationChoice,
50582     [out] IAAFFindSourceInfo ** ppSourceInfo);
50583 }
50584
50585
50586
50587 // ************************
50588 //
50589 // Interface IAAFSourceReference2
50590 //
50591 // ************************
50619 [
50620     object,
50621     uuid(eb3094c4-f60e-4aa3-b500-ba72c4c791b7),
50622     helpstring("IAAFSourceReference2 Interface"),
50623     pointer_default(unique)
50624 ]
50625 interface IAAFSourceReference2 : IUnknown
50626 {
50627
50628
50629
50630   //***********************************************************
50631   //
50632   // GetSourceID()
50633   //
50653   HRESULT GetSourceID (
50654     [retval][out] aafMobID_t *  pSourceID);
50655
50656
50657   //***********************************************************
50658   //
50659   // SetSourceID()
50660   //
50674   HRESULT SetSourceID (
50675     [in] aafMobID_constref   sourceID);
50676
50677
50678   //***********************************************************
50679   //
50680   // GetSourceMobSlotID()
50681   //
50701   HRESULT GetSourceMobSlotID (
50702     [retval][out] aafSlotID_t *  pMobSlotID);
50703
50704
50705   //***********************************************************
50706   //
50707   // SetSourceMobSlotID()
50708   //
50727   HRESULT SetSourceMobSlotID (
50728     [in] aafSlotID_t   mobSlotID);
50729
50730
50731
50732   //***********************************************************
50733   //
50734   // SetChannelIDs()
50735   //
50753   HRESULT SetChannelIDs (
50754     [in] aafUInt32  numberElements,
50755     [in] aafUInt32*  pChannelIDs);
50756
50757
50758   //***********************************************************
50759   //
50760   // GetChannelIDs()
50761   //
50782   HRESULT GetChannelIDs (
50783     [in] aafUInt32  numberElements,
50784     [in] aafUInt32*  pChannelIDs);
50785
50786   //***********************************************************
50787   //
50788   // GetChannelIDsSize()
50789   //
50803   HRESULT GetChannelIDsSize (
50804     [out] aafUInt32 *  pSize);
50805
50806   //***********************************************************
50807   //
50808   // SetMonoSourceSlotIDs()
50809   //
50825   HRESULT SetMonoSourceSlotIDs (
50826     [in] aafUInt32  numberElements,
50827     [in] aafUInt32*  pMonoSourceSlotIDs);
50828
50829
50830   //***********************************************************
50831   //
50832   // GetMonoSourceSlotIDs()
50833   //
50854   HRESULT GetMonoSourceSlotIDs (
50855     [in] aafUInt32  numberElements,
50856     [in] aafUInt32*  pMonoSourceSlotIDs);
50857
50858   //***********************************************************
50859   //
50860   // GetMonoSourceSlotIDsSize()
50861   //
50875   HRESULT GetMonoSourceSlotIDsSize (
50876     [out] aafUInt32 *  pSize);
50877
50878 }
50879
50880
50881
50882 // ************************
50883 //
50884 // Interface IAAFStreamAccess
50885 //
50886 // ************************
50897
50898
50899 [
50900     object,
50901     uuid(065F5F69-3A64-401e-A1A6-5833268F5236),
50902     helpstring("IAAFStreamAccess Interface"),
50903     pointer_default(unique)
50904 ]
50905
50906 interface IAAFStreamAccess : IUnknown
50907 {
50908
50909
50910   //***********************************************************
50911   //
50912   // WriteStream()
50913   //
50928   HRESULT WriteStream (
50929     [in] IAAFPropertyValue * propertyValue,
50930     [in] aafMemPtr_t  pUserData);
50931
50932 }
50933
50934
50935
50936 // ************************
50937 //
50938 // Interface IAAFTimelineMobSlot2
50939 //
50940 // ************************
50960
50961
50966 [
50967     object,
50968     uuid(db347978-ba72-4bdf-a188-8172ea5c5f00),
50969     helpstring("IAAFTimelineMobSlot2 Interface"),
50970     pointer_default(unique)
50971 ]
50972 interface IAAFTimelineMobSlot2 : IUnknown
50973 {
50974
50975   //***********************************************************
50976   //
50977   // Initialize()
50978   //
50997   HRESULT Initialize ();
50998
50999
51000   //***********************************************************
51001   //
51002   // GetEditRate()
51003   //
51024   HRESULT GetEditRate (
51025     [out,retval] aafRational_t *  pEditRate);
51026
51027
51028   //***********************************************************
51029   //
51030   // SetEditRate()
51031   //
51046   HRESULT SetEditRate (
51047     [in] aafRational_constref  editRate);
51048
51049
51050   //***********************************************************
51051   //
51052   // GetOrigin()
51053   //
51074   HRESULT GetOrigin (
51075     [out,retval] aafPosition_t *  pOrigin);
51076
51077
51078   //***********************************************************
51079   //
51080   // SetOrigin()
51081   //
51096   HRESULT SetOrigin (
51097     [in] aafPosition_t  origin);
51098
51099   //***********************************************************
51100   //
51101   // GetMarkIn()
51102   //
51129   HRESULT GetMarkIn (
51130     [out,retval] aafPosition_t *  result);
51131
51132   //***********************************************************
51133   //
51134   // SetMarkIn()
51135   //
51155   HRESULT SetMarkIn (
51156     [in] aafPosition_t  value);
51157
51158   //***********************************************************
51159   //
51160   // GetMarkOut()
51161   //
51188   HRESULT GetMarkOut (
51189     [out,retval] aafPosition_t *  result);
51190
51191   //***********************************************************
51192   //
51193   // SetMarkOut()
51194   //
51214   HRESULT SetMarkOut (
51215     [in] aafPosition_t  value);
51216
51217   //***********************************************************
51218   //
51219   // GetUserPos()
51220   //
51247   HRESULT GetUserPos (
51248     [out,retval] aafPosition_t *  result);
51249
51250   //***********************************************************
51251   //
51252   // SetUserPos()
51253   //
51273   HRESULT SetUserPos (
51274     [in] aafPosition_t  value);
51275
51276 }
51277
51278
51279
51280 // ************************
51281 //
51282 // Interface IAAFTypeDefStreamEx
51283 //
51284 // ************************
51300 [
51301     object,
51302     uuid(A7A76BEF-E074-4da8-B18D-07E355C60DF4 ),
51303     helpstring("IAAFTypeDefStreamEx Interface"),
51304     pointer_default(unique)
51305 ]
51306
51307 interface IAAFTypeDefStreamEx : IUnknown
51308 {
51309
51310
51311
51312   //***********************************************************
51313   //
51314   // SetCallback()
51315   //
51339   HRESULT SetCallback (
51340     [in] IAAFPropertyValue * pPropertyValue,
51341     [in] IAAFStreamAccess*  pCallbackIF,
51342     [in] aafMemPtr_t  pUserData);
51343
51344 }
51345
51346
51347
51348
51349
51350 // ************************
51351 //
51352 // Interface IAAFTypeDefStream3
51353 //
51354 // ************************
51373 [
51374     object,
51375     uuid(D1E43120-D90A-463f-BC4D-BB1174A8DBD3),
51376     helpstring("IAAFTypeDefStream3 Interface"),
51377     pointer_default(unique)
51378 ]
51379
51380 interface IAAFTypeDefStream3 : IUnknown
51381 {
51382
51383
51384
51385   //***********************************************************
51386   //
51387   // GetSize()
51388   //
51413   HRESULT GetSize (
51414     [in] IAAFPropertyValue * pStreamPropertyValue,
51415     [out] aafInt64 *  pSize);
51416
51417   //***********************************************************
51418   //
51419   // SetSize()
51420   //
51443   HRESULT SetSize (
51444     [in] IAAFPropertyValue * pStreamPropertyValue,
51445     [in] aafInt64  newSize);
51446
51447   //***********************************************************
51448   //
51449   // GetPosition()
51450   //
51474   HRESULT GetPosition (
51475     [in] IAAFPropertyValue * pStreamPropertyValue,
51476     [out] aafInt64 *  pPosition);
51477
51478   //***********************************************************
51479   //
51480   // SetPosition()
51481   //
51508   HRESULT SetPosition (
51509     [in] IAAFPropertyValue * pStreamPropertyValue,
51510     [in] aafInt64  newPosition);
51511
51512
51513   //***********************************************************
51514   //
51515   // Read()
51516   //
51546   HRESULT Read (
51547     [in] IAAFPropertyValue * pStreamPropertyValue,
51548     [in] aafUInt32  dataSize,
51549     [out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t  pData,
51550     [out,ref] aafUInt32 *  bytesRead);
51551
51552   //***********************************************************
51553   //
51554   // Write()
51555   //
51583   HRESULT Write (
51584     [in] IAAFPropertyValue * pStreamPropertyValue,
51585     [in] aafUInt32  dataSize,
51586     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
51587
51588   //***********************************************************
51589   //
51590   // Append()
51591   //
51619   HRESULT Append (
51620     [in] IAAFPropertyValue * pStreamPropertyValue,
51621     [in] aafUInt32  dataSize,
51622     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
51623
51624
51625   //***********************************************************
51626   //
51627   // HasStoredByteOrder()
51628   //
51653   HRESULT HasStoredByteOrder (
51654     [in] IAAFPropertyValue * pStreamPropertyValue,
51655     [out] aafBoolean_t *  pHasByteOrder);
51656
51657   //***********************************************************
51658   //
51659   // GetStoredByteOrder()
51660   //
51684   HRESULT GetStoredByteOrder (
51685     [in] IAAFPropertyValue * pStreamPropertyValue,
51686     [out] eAAFByteOrder_t *  pByteOrder);
51687
51688   //***********************************************************
51689   //
51690   // SetStoredByteOrder()
51691   //
51716   HRESULT SetStoredByteOrder (
51717     [in] IAAFPropertyValue * pStreamPropertyValue,
51718     [in] eAAFByteOrder_t  byteOrder);
51719
51720   //***********************************************************
51721   //
51722   // ClearStoredByteOrder()
51723   //
51747   HRESULT ClearStoredByteOrder (
51748     [in] IAAFPropertyValue * pStreamPropertyValue);
51749
51750   //***********************************************************
51751   //
51752   // ReadElements()
51753   //
51798   HRESULT ReadElements (
51799     [in] IAAFPropertyValue * pStreamPropertyValue,
51800     [in] IAAFTypeDef * pElementType,
51801     [in] aafUInt32  dataSize,
51802     [out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t  pData,
51803     [out,ref] aafUInt32 *  pBytesRead);
51804
51805   //***********************************************************
51806   //
51807   // WriteElements()
51808   //
51850   HRESULT WriteElements (
51851     [in] IAAFPropertyValue * pStreamPropertyValue,
51852     [in] IAAFTypeDef * pElementType,
51853     [in] aafUInt32  dataSize,
51854     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
51855
51856
51857 cpp_quote("  /// Extend in chunks of typed Elements")
51858
51859   //***********************************************************
51860   //
51861   // AppendElements()
51862   //
51903   HRESULT AppendElements (
51904     [in] IAAFPropertyValue * pStreamPropertyValue,
51905     [in] IAAFTypeDef * pElementType,
51906     [in] aafUInt32  dataSize,
51907     [in, ref, size_is(dataSize)] aafMemPtr_t  pData);
51908
51909   //***********************************************************
51910   //
51911   // SetCallback()
51912   //
51936   HRESULT SetCallback (
51937     [in] IAAFPropertyValue * pPropertyValue,
51938     [in] IAAFStreamAccess*  pCallbackIF,
51939     [in] aafMemPtr_t  pUserData);
51940
51941   //***********************************************************
51942   //
51943   // GetPlainStreamData()
51944   //
51946   // interface and provides access to the file encoding-independent
51947   // stream data.
51948   //
51949   // Succeeds if:
51950   // - Initialize() has already been called on this object.
51951   // - pPlainStreamData is a valid pointer.
51952   // - reserved is 0.
51973   HRESULT GetPlainStreamData (
51974     [in] aafUInt32  reserved,
51975     [out,retval] IAAFPlainStreamData ** pPlainStreamData);
51976
51977 }
51978
51979
51980
51981 // ************************
51982 //
51983 // Interface IAAFTypeDefVariableArrayEx
51984 //
51985 // ************************
52001 [
52002     object,
52003     uuid(7f73d4b3-6f9a-11d4-8e59-009027dfcc26 ),
52004     helpstring("IAAFTypeDefVariableArrayEx Interface"),
52005     pointer_default(unique)
52006 ]
52007
52008 interface IAAFTypeDefVariableArrayEx : IUnknown
52009 {
52010
52011
52012
52013   //***********************************************************
52014   //
52015   // PrependElement()
52016   //
52038   HRESULT PrependElement (
52039     [in] IAAFPropertyValue * pInPropVal,
52040     [in] IAAFPropertyValue * pMemberPropVal);
52041
52042
52043
52044
52045   //***********************************************************
52046   //
52047   // RemoveElement()
52048   //
52077   HRESULT RemoveElement (
52078     [in] IAAFPropertyValue * pInPropVal,
52079     [in] aafUInt32  index);
52080
52081
52082
52083
52084   //***********************************************************
52085   //
52086   // InsertElement()
52087   //
52120   HRESULT InsertElement (
52121     [in] IAAFPropertyValue * pInPropVal,
52122     [in] aafUInt32  index,
52123     [in] IAAFPropertyValue * pMemberPropVal);
52124
52125
52126
52127
52128 }
52129
52130
52131
52132
52133
52134
52147
52148
52149
52150 cpp_quote("  ///***********************************************************")
52151 cpp_quote("
52152 cpp_quote("
52153 cpp_quote("
52154 cpp_quote("
52155 cpp_quote("
52156 cpp_quote("
52157 cpp_quote("
52158
52159   //***********************************************************
52160   //
52161   // AAFLoad()
52162   //
52177 cpp_quote("STDAPI AAFLoad (const char *  dllname);")
52178 cpp_quote("")
52179
52180
52182   //
52183   // AAFUnload()
52184   //
52188 cpp_quote("STDAPI AAFUnload ();")
52189 cpp_quote("")
52190
52191
52192 cpp_quote("
52193 cpp_quote("
52194 cpp_quote("
52195
52196   //***********************************************************
52197   //
52198   // AAFFileOpenExistingRead()
52199   //
52256 cpp_quote("STDAPI AAFFileOpenExistingRead (")
52257 cpp_quote("          aafCharacter_constptr  pFileName,")
52258 cpp_quote("          aafUInt32  modeFlags,")
52259 cpp_quote("          IAAFFile ** ppFile);")
52260 cpp_quote("")
52261
52262
52263   //***********************************************************
52264   //
52265   // AAFFileOpenExistingModify()
52266   //
52334 cpp_quote("STDAPI AAFFileOpenExistingModify (")
52335 cpp_quote("          aafCharacter_constptr  pFileName,")
52336 cpp_quote("          aafUInt32  modeFlags,")
52337 cpp_quote("          aafProductIdentification_t *  pIdent,")
52338 cpp_quote("          IAAFFile ** ppFile);")
52339 cpp_quote("")
52340
52341
52342   //***********************************************************
52343   //
52344   // AAFFileOpenNewModify()
52345   //
52404 cpp_quote("STDAPI AAFFileOpenNewModify (")
52405 cpp_quote("          aafCharacter_constptr  pFileName,")
52406 cpp_quote("          aafUInt32  modeFlags,")
52407 cpp_quote("          aafProductIdentification_t *  pIdent,")
52408 cpp_quote("          IAAFFile ** ppFile);")
52409 cpp_quote("")
52410
52411
52412   //***********************************************************
52413   //
52414   // AAFFileOpenNewModifyEx()
52415   //
52470 cpp_quote("STDAPI AAFFileOpenNewModifyEx (")
52471 cpp_quote("          aafCharacter_constptr  pFileName,")
52472 cpp_quote("          aafUID_constptr  pFileKind,")
52473 cpp_quote("          aafUInt32  modeFlags,")
52474 cpp_quote("          aafProductIdentification_t *  pIdent,")
52475 cpp_quote("          IAAFFile ** ppFile);")
52476 cpp_quote("")
52477
52478
52479   //***********************************************************
52480   //
52481   // AAFFileOpenTransient()
52482   //
52515 cpp_quote("STDAPI AAFFileOpenTransient (")
52516 cpp_quote("          aafProductIdentification_t *  pIdent,")
52517 cpp_quote("          IAAFFile ** ppFile);")
52518 cpp_quote("")
52519
52520
52521   //***********************************************************
52522   //
52523   // AAFFileIsAAFFile()
52524   //
52548 cpp_quote("STDAPI AAFFileIsAAFFile (")
52549 cpp_quote("          aafCharacter_constptr  pFileName,")
52550 cpp_quote("          aafUID_t *  pAAFFileKind,")
52551 cpp_quote("          aafBool *  pFileIsAAFFile);")
52552 cpp_quote("")
52553
52554   //***********************************************************
52555   //
52556   // AAFRawStorageIsAAFFile()
52557   //
52578 cpp_quote("STDAPI AAFRawStorageIsAAFFile (")
52579 cpp_quote("          IAAFRawStorage *  pRawStorage,")
52580 cpp_quote("          aafUID_t *  pAAFFileKind,")
52581 cpp_quote("          aafBool *  pRawStorageIsAAFFile);")
52582 cpp_quote("")
52583
52584
52585   //***********************************************************
52586   //
52587   // AAFFileIsAAFFileKind()
52588   //
52613 cpp_quote("STDAPI AAFFileIsAAFFileKind (")
52614 cpp_quote("          aafCharacter_constptr  pFileName,")
52615 cpp_quote("          aafUID_constptr  pAAFFileKind,")
52616 cpp_quote("          aafBool *  pFileIsAAFFile);")
52617 cpp_quote("")
52618
52619
52620   //***********************************************************
52621   //
52622   // AAFRawStorageIsAAFFileKind()
52623   //
52648 cpp_quote("STDAPI AAFRawStorageIsAAFFileKind (")
52649 cpp_quote("          IAAFRawStorage *  pRawStorage,")
52650 cpp_quote("          aafUID_constptr  pAAFFileKind,")
52651 cpp_quote("          aafBool *  pRawStorageIsAAFFile);")
52652 cpp_quote("")
52653
52654
52655   //***********************************************************
52656   //
52657   // AAFGetPluginManager()
52658   //
52664 cpp_quote("STDAPI AAFGetPluginManager (IAAFPluginManager ** ppPluginManager);")
52665 cpp_quote("")
52666
52667
52668   //***********************************************************
52669   //
52670   // AAFCreateRawStorageMemory()
52671   //
52695 cpp_quote("STDAPI AAFCreateRawStorageMemory (")
52696 cpp_quote("          aafFileAccess_t  access,")
52697 cpp_quote("          IAAFRawStorage ** ppNewRawStorage);")
52698 cpp_quote("")
52699
52700
52701   //***********************************************************
52702   //
52703   // AAFCreateRawStorageDisk()
52704   //
52742 cpp_quote("STDAPI AAFCreateRawStorageDisk (")
52743 cpp_quote("          aafCharacter_constptr  pFilename,")
52744 cpp_quote("          aafFileExistence_t  existence,")
52745 cpp_quote("          aafFileAccess_t  access,")
52746 cpp_quote("          IAAFRawStorage ** ppNewRawStorage);")
52747 cpp_quote("")
52748
52749
52750   //***********************************************************
52751   //
52752   // AAFCreateRawStorageCachedDisk()
52753   //
52793 cpp_quote("STDAPI AAFCreateRawStorageCachedDisk (")
52794 cpp_quote("          aafCharacter_constptr  pFilename,")
52795 cpp_quote("          aafFileExistence_t  existence,")
52796 cpp_quote("          aafFileAccess_t  access,")
52797 cpp_quote("          aafUInt32  pageCount,")
52798 cpp_quote("          aafUInt32  pageSize,")
52799 cpp_quote("          IAAFRawStorage ** ppNewRawStorage);")
52800 cpp_quote("")
52801
52802   //***********************************************************
52803   //
52804   // AAFCreateRawStorageCached()
52805   //
52830 cpp_quote("STDAPI AAFCreateRawStorageCached (")
52831 cpp_quote("          IAAFRawStorage *  pRawStorage,")
52832 cpp_quote("          aafUInt32  pageCount,")
52833 cpp_quote("          aafUInt32  pageSize,")
52834 cpp_quote("          IAAFRawStorage ** ppNewRawStorage);")
52835 cpp_quote("")
52836
52837   //***********************************************************
52838   //
52839   // AAFCreateRawStorageCached2()
52840   //
52871 cpp_quote("STDAPI AAFCreateRawStorageCached2 (")
52872 cpp_quote("          IAAFRawStorage *  pRawStorage,")
52873 cpp_quote("          aafUInt32  pageCount,")
52874 cpp_quote("          aafUInt32  pageSize,")
52875 cpp_quote("          IAAFCachePageAllocator*  pCachePageAllocator,")
52876 cpp_quote("          IAAFRawStorage ** ppNewRawStorage);")
52877 cpp_quote("")
52878
52879   //***********************************************************
52880   //
52881   // AAFCreateAAFFileOnRawStorage()
52882   //
52947 cpp_quote("STDAPI AAFCreateAAFFileOnRawStorage (")
52948 cpp_quote("          IAAFRawStorage *  pRawStorage,")
52949 cpp_quote("          aafFileExistence_t  existence,")
52950 cpp_quote("          aafFileAccess_t  access,")
52951 cpp_quote("          aafUID_constptr  pFileKind,")
52952 cpp_quote("          aafUInt32  modeFlags,")
52953 cpp_quote("          aafProductIdentification_constptr  pIdent,")
52954 cpp_quote("          IAAFFile ** ppNewFile);")
52955 cpp_quote("")
52956
52957   //***********************************************************
52958   //
52959   // AAFSetProgressCallback()
52960   //
52965 cpp_quote("STDAPI AAFSetProgressCallback (IAAFProgress*  pProgress);")
52966 cpp_quote("")
52967
52968   //***********************************************************
52969   //
52970   // AAFGetFileEncodings()
52971   //
52990 cpp_quote("STDAPI AAFGetFileEncodings (IEnumAAFFileEncodings ** ppFileEncodings);")
52991 cpp_quote("")
52992
52993   //***********************************************************
52994   //
52995   // AAFSetDiagnosticOutput()
52996   //
53018 cpp_quote("STDAPI AAFSetDiagnosticOutput (IAAFDiagnosticOutput*  pOutput);")
53019 cpp_quote("")
53020
53021   //***********************************************************
53022   //
53023   // AAFGetLibraryVersion()
53024   //
53045 cpp_quote("STDAPI AAFGetLibraryVersion (aafProductVersion_t *  pVersion);")
53046 cpp_quote("")
53047
53048   //***********************************************************
53049   //
53050   // AAFGetStaticLibraryVersion()
53051   //
53075 cpp_quote("STDAPI AAFGetStaticLibraryVersion (aafProductVersion_t *  pVersion);")
53076 cpp_quote("")
53077
53078   //***********************************************************
53079   //
53080   // AAFGetLibraryPathNameBufLen()
53081   //
53099 cpp_quote("STDAPI AAFGetLibraryPathNameBufLen (aafUInt32 *  pBufSize);")
53100 cpp_quote("")
53101
53102   //***********************************************************
53103   //
53104   // AAFGetLibraryPathName()
53105   //
53141 cpp_quote("STDAPI AAFGetLibraryPathName (")
53142 cpp_quote("          aafCharacter *  pLibraryPathName,")
53143 cpp_quote("          aafUInt32  bufSize);")
53144 cpp_quote("")
53145
53146   //***********************************************************
53147   //
53148   // AAFResultToTextBufLen()
53149   //
53176 cpp_quote("STDAPI AAFResultToTextBufLen (")
53177 cpp_quote("          AAFRESULT  result,")
53178 cpp_quote("          aafUInt32 *   pResultTextSize);")
53179 cpp_quote("")
53180
53181
53182   //***********************************************************
53183   //
53184   // AAFResultToText()
53185   //
53217 cpp_quote("STDAPI AAFResultToText (")
53218 cpp_quote("          AAFRESULT  result,")
53219 cpp_quote("          aafCharacter *  pResultText,")
53220 cpp_quote("          aafUInt32  resultTextSize);")
53221 cpp_quote("")
53222
53223
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: AAFTypes.idl File Reference

Classes
AAFTypes.idl File Reference

Go to the source code of this file.

Classes

interface | IAAFTypes
struct | IAAFTypes::_aafMobComment_t
struct | IAAFTypes::_aafRGBAComponent_t
struct | IAAFTypes::_aafVersionType_t
struct | IAAFTypes::_aafProductVersion_t
struct | IAAFTypes::_aafUID_t
struct | IAAFTypes::_aafMobID_t
struct | IAAFTypes::_aafProductIdentification_t
struct | IAAFTypes::_aafDateStruct_t
struct | IAAFTypes::_aafTimeStruct_t
struct | IAAFTypes::_aafTimeStamp_t
struct | IAAFTypes::_aafRational_t
struct | IAAFTypes::_aafRect_t
struct | IAAFTypes::_aafmMultiXfer_t
struct | IAAFTypes::_aafmMultiResult_t
struct | IAAFTypes::_aafmMultiCreate_t
struct | IAAFTypes::_aafTimecode_t
struct | IAAFTypes::_aafEdgecode_t
struct | IAAFTypes::_aafSourceRef_t
struct | IAAFTypes::_aafDefaultFade_t
struct | IAAFTypes::_aafMediaCriteria_t
struct | IAAFTypes::_aafSearchCrit_t
struct | IAAFTypes::_aafDefinitionCrit_t
struct | IAAFTypes::_aafIdentificationCrit_t
struct | IAAFTypes::_aafSearchDictionaryCrit_t
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: AAFTypes.idl Source File

AAFTypes.idl
Go to the documentation of this file.
00001
00002 cpp_quote("//=---------------------------------------------------------------------=")
00003 cpp_quote("//")
00004 cpp_quote("// This file was GENERATED for the AAF SDK")
00005 cpp_quote("//")
00006 cpp_quote("// $Id: AAFTypes.idl,v 1.18 2012/06/26 20:54:40 jptrainor Exp $ $Name:  $")
00007 cpp_quote("//")
00008 cpp_quote("// The contents of this file are subject to the AAF SDK Public Source")
00009 cpp_quote("// License Agreement Version 2.0 (the \"License\"); You may not use this")
00010 cpp_quote("// file except in compliance with the License.  The License is available")
00011 cpp_quote("// in AAFSDKPSL.TXT, or you may obtain a copy of the License from the")
00012 cpp_quote("// Advanced Media Workflow Association, Inc., or its successor.")
00013 cpp_quote("//")
00014 cpp_quote("// Software distributed under the License is distributed on an \"AS IS\"")
00015 cpp_quote("// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See")
00016 cpp_quote("// the License for the specific language governing rights and limitations")
00017 cpp_quote("// under the License.  Refer to Section 3.3 of the License for proper use")
00018 cpp_quote("// of this Exhibit.")
00019 cpp_quote("//")
00020 cpp_quote("// WARNING:  Please contact the Advanced Media Workflow Association,")
00021 cpp_quote("// Inc., for more information about any additional licenses to")
00022 cpp_quote("// intellectual property covering the AAF Standard that may be required")
00023 cpp_quote("// to create and distribute AAF compliant products.")
00024 cpp_quote("// (http://www.amwa.tv/policies).")
00025 cpp_quote("//")
00026 cpp_quote("// Copyright Notices:")
00027 cpp_quote("// The Original Code of this file is Copyright 1998-2012, licensor of the")
00028 cpp_quote("// Advanced Media Workflow Association.  All rights reserved.")
00029 cpp_quote("//")
00030 cpp_quote("// The Initial Developer of the Original Code of this file and the")
00031 cpp_quote("// licensor of the Advanced Media Workflow Association is")
00032 cpp_quote("// Avid Technology.")
00033 cpp_quote("// All rights reserved.")
00034 cpp_quote("//")
00035 cpp_quote("//=---------------------------------------------------------------------=")
00036
00037
00038
00039 #ifndef DO_NO_IMPORTS
00040 import "wtypes.idl";
00041 #endif
00042
00043 [
00044     uuid(B1A2137B-1A7D-11D2-BF78-00104BC9156D),
00045     pointer_default(unique)
00046 ]
00047
00048 interface IAAFTypes
00049 {
00050
00051 cpp_quote("/*")
00052 cpp_quote(" * Basic types that don't depend on other types.")
00053 cpp_quote(" */")
00054
00055
00056 cpp_quote("#if 0")
00057 cpp_quote("// MIDL only defintion for 64 bit integer")
00058
00059 #if ((!defined(MIDL_PASS) || defined(__midl)) && (!defined(_M_IX86) || (defined(_INTEGRAL_MAX_BITS) && _INTEGRAL_MAX_BITS >= 64)))
00060
00061 typedef signed char                     aafInt8;
00062 typedef signed short int        aafInt16;
00063 typedef signed int                      aafInt32;
00064
00065 typedef unsigned char           aafUInt8;
00066 typedef unsigned short int      aafUInt16;
00067 typedef unsigned int            aafUInt32;
00068
00069 typedef hyper                   aafInt64;
00070 typedef unsigned hyper          aafUInt64;
00071
00072 typedef wchar_t                 aafWChar;
00073 typedef wchar_t                 aafCharacter;
00074
00075 #else
00076 #error Using an incompatible midl host compiler!
00077 #endif
00078
00079 cpp_quote("#else")
00080 cpp_quote("#include \"AAFPlatform.h\"")
00081
00082 cpp_quote("#endif  // #if 0")
00083
00084
00085 typedef unsigned char * aafMemPtr_t;
00086
00087 typedef aafInt32                AAFRESULT;
00088
00089 cpp_quote("#ifndef NULL")
00090 cpp_quote("#ifdef __cplusplus")
00091 cpp_quote("#define NULL (0L)")
00092 cpp_quote("#else")
00093 cpp_quote("#define NULL ((void *)0L)")
00094 cpp_quote("#endif")
00095 cpp_quote("#endif")
00096
00097 typedef aafInt32 aafBoolean_t;
00098 typedef enum _aafBoolean_e
00099 {
00100   kAAFFalse = 0,
00101   kAAFTrue = 1
00102 } aafBoolean_e;
00103
00104 cpp_quote("#ifndef MAX_NUM_RGBA_COMPS")
00105 cpp_quote("#define MAX_NUM_RGBA_COMPS 8 /* limit on the size of component arrays */")
00106 cpp_quote("#if 0")
00107 typedef aafInt32 aafMAX_NUM_RGBA_COMPS;
00108 typedef enum _aafMAX_NUM_RGBA_COMPS_e
00109 {
00110   MAX_NUM_RGBA_COMPS = 8                                // Lower to 6 to match type object
00111 } aafMAX_NUM_RGBA_COMPS_e;
00112 cpp_quote("#endif")
00113 cpp_quote("#endif")
00114
00115
00116 cpp_quote("#if 0")
00117 typedef [string] aafCharacter * aafString_t;
00118 cpp_quote("#endif")
00119 cpp_quote("typedef aafCharacter * aafString_t;")
00120
00121 cpp_quote("/************************************************************")
00122 cpp_quote(" *")
00123 cpp_quote(" * AAF types that map to an integral type or pointer to")
00124 cpp_quote(" *  integeral type.")
00125 cpp_quote(" *")
00126 cpp_quote(" * These each map to an existing integral type or pointer.  Note")
00127 cpp_quote(" * that aafClassID_t is a structure used to hold storage for a")
00128 cpp_quote(" * classID, but most functions take an aafClassIDPtr_t reference.")
00129 cpp_quote(" *")
00130 cpp_quote(" *************************************************************/")
00131
00132 cpp_quote("/*** Types for all components***/")
00133 typedef aafInt64                aafLength_t;
00134
00135 cpp_quote("/*** Types for mob slots***/")
00136 typedef aafInt64                aafPosition_t;
00137 typedef aafInt64                aafFrameOffset_t;
00138 typedef aafInt64                aafFrameLength_t;
00139 typedef aafUInt32       aafSlotID_t;
00140
00141 typedef aafUInt32               aafNumSlots_t;
00142 typedef struct _aafUID_t   aafClassID_t;
00143 typedef aafUInt8        *aafDataValue_t;
00144
00145 // Used by all api methods that need to access an array of bytes.
00146 typedef aafUInt8        *aafDataBuffer_t;
00147
00148
00149 cpp_quote("/*** Types for operation groups ***/")
00150 typedef struct _aafUID_t   aafArgIDType_t;
00151
00152 cpp_quote("/*** Types for plugins ***/")
00153 typedef struct _aafUID_t        aafHardwarePlatform_t;
00154 typedef struct _aafUID_t        aafEngine_t;
00155 typedef struct _aafUID_t        aafPluginAPI_t;
00156 typedef struct _aafUID_t        aafCodecID_t;
00157
00158 cpp_quote("/* typedefs for image processing */")
00159 typedef aafUInt8            aafCompSizeArray_t[MAX_NUM_RGBA_COMPS];
00160 typedef aafInt8             aafCompArray_t[MAX_NUM_RGBA_COMPS];
00161 typedef aafInt32                aafVideoLineMap_t[2];
00162 typedef aafInt32                aafJPEGTableID_t; /* for TIFF objects */
00163
00164 cpp_quote("/************************************************************")
00165 cpp_quote(" *")
00166 cpp_quote(" * Enumerated AAF types.")
00167 cpp_quote(" *")
00168 cpp_quote(" *************************************************************/")
00169
00170 typedef aafInt32 aafFileRev_t;
00171 typedef enum _aafFileRev_e
00172 {
00173   kAAFRev1 = 0,
00174   kAAFRev2 = 1
00175 } aafFileRev_e;
00176
00177 typedef aafInt32 aafMediaOpenMode_t;
00178 typedef enum _aafMediaOpenMode_e
00179 {
00180         kAAFMediaOpenReadOnly = 0,
00181         kAAFMediaOpenAppend = 1
00182 } aafMediaOpenMode_e;
00183
00184 typedef aafInt32 aafFieldDom_t;
00185 typedef enum _aafFieldDom_e
00186 {
00187         kAAFDominantField1 = 0,
00188         kAAFDominantField2 = 1,
00189         kAAFNoDominant = 2
00190 } aafFieldDom_e;
00191
00192 typedef aafInt32 aafFieldTop_t;
00193 typedef enum _aafFieldTop_e
00194 {
00195         kAAFTopField1 = 0,
00196         kAAFTopField2 = 1,
00197         kAAFTopFieldNone = 2
00198 } aafFieldTop_e;
00199
00200 typedef aafInt32 aafAlphaTransparency_t;
00201 typedef enum _aafAlphaTransparency_e
00202 {
00203         kAAFMinValueTransparent = 0,
00204         kAAFMaxValueTransparent = 1
00205 } aafAlphaTransparency_e;
00206
00207 typedef aafInt32 aafFieldNumber_t;
00208 typedef enum _aafFieldNumber_e
00209 {
00210         kAAFUnspecifiedField = 0,
00211         kAAFFieldOne = 1,
00212         kAAFFieldTwo = 2
00213 } aafFieldNumber_e;
00214
00215 typedef aafInt32 aafPixelFormat_t;
00216 typedef enum _aafPixelFormat_e
00217 {
00218         kAAFPixNone = 0,
00219         kAAFPixRGBA = 1,
00220         kAAFPixYUV = 2
00221 } aafPixelFormat_e;
00222
00223
00224 typedef aafInt32 aafFileExistence_t;
00225 typedef enum _aafFileExistence_e
00226 {
00227   kAAFFileExistence_new = 1,
00228   kAAFFileExistence_existing = 2
00229 } aafFileExistence_e;
00230
00231
00232 typedef aafInt32 aafFileAccess_t;
00233 typedef enum _aafFileAccess_e
00234 {
00235   kAAFFileAccess_none  = 0,
00236   kAAFFileAccess_read  = 1 << 0,
00237   kAAFFileAccess_write = 1 << 1,
00238   kAAFFileAccess_modify = kAAFFileAccess_read | kAAFFileAccess_write
00239 } aafFileAccess_e;
00240
00241
00242 typedef aafInt32 aafJPEGcomponent_t;
00243 cpp_quote("#if 0")
00244 typedef enum _aafJPEGcomponent_e
00245 {
00246         kAAFJcLuminance = 0,
00247         kAAFJcChrominance = 1,
00248         kAAFJcLuminanceFP16 = 2,
00249         kAAFJcChrominanceFP16 = 3
00250 } aafJPEGcomponent_e;
00251 cpp_quote("#endif")
00252
00253 cpp_quote("typedef enum _aafJPEGcomponent_e")
00254 cpp_quote("{")
00255 cpp_quote("kAAFJcLuminance = 0,")
00256 cpp_quote("kAAFJcChrominance = 1")
00257 cpp_quote("#if ! defined(STANDARD_JPEG_Q)")
00258 cpp_quote(", kAAFJcLuminanceFP16 = 2,")
00259 cpp_quote("kAAFJcChrominanceFP16 = 3")
00260 cpp_quote("#endif")
00261 cpp_quote("} aafJPEGcomponent_e;")
00262
00263 typedef aafInt32 aafCompressEnable_t;
00264 typedef enum _aafCompressEnable_e
00265 {
00266         kAAFCompressionEnable = 0, /*--cf ? Replaced SDK with AAF */
00267         kAAFCompressionDisable = 1 /*--cf ? Replaced SDK with AAF */
00268 } aafCompressEnable_e;
00269
00270 typedef aafInt32 aafFileFormat_t;
00271 typedef enum _aafFileFormat_e
00272 {
00273         kAAFEssence = 0, /*--cf changed iMedia to Essense as per Tom's request */
00274         kAAFForeignMedia = 1
00275 } aafFileFormat_e;
00276
00277 typedef aafInt32 aafDropType_t;
00278 typedef enum _aafDropType_e
00279 {
00280         kAAFTcNonDrop = 0,
00281         kAAFTcDrop = 1
00282 } aafDropType_e;
00283
00284 typedef aafInt32 aafFrameLayout_t;
00285 typedef enum _aafFrameLayout_e
00286 {
00287         kAAFFullFrame = 0,
00288         kAAFSeparateFields = 1,
00289         kAAFOneField = 2,
00290         kAAFMixedFields = 3,
00291         kAAFSegmentedFrame = 4
00292 } aafFrameLayout_e;
00293
00294 typedef aafInt32 aafElectroSpatialFormulation_t;
00295 typedef enum _aafElectroSpatialFormulation_e
00296 {
00297         kAAFElectroSpatialFormulation_Default = 0,
00298         kAAFElectroSpatialFormulation_TwoChannelMode = 1,
00299         kAAFElectroSpatialFormulation_SingleChannelMode = 2,
00300         kAAFElectroSpatialFormulation_PrimarySecondaryMode = 3,
00301         kAAFElectroSpatialFormulation_StereophonicMode = 4,
00302         kAAFElectroSpatialFormulation_SingleChannelDoubleSamplingFrequencyMode = 7,
00303         kAAFElectroSpatialFormulation_StereoLeftChannelDoubleSamplingFrequencyMode = 8,
00304         kAAFElectroSpatialFormulation_StereoRightChannelDoubleSamplingFrequencyMode = 9,
00305         kAAFElectroSpatialFormulation_MultiChannelMode = 15
00306 } aafElectroSpatialFormulation_e;
00307
00308 typedef aafInt32 aafEmphasisType_t;
00309 typedef enum _aafEmphasisType_e
00310 {
00311         kAAFEmphasis_Unknown = 0,
00312         kAAFEmphasis_Reserved0 = 1,
00313         kAAFEmphasis_Reserved1 = 2,
00314         kAAFEmphasis_Reserved2 = 3,
00315         kAAFEmphasis_None = 4,
00316         kAAFEmphasis_Reserved3 = 5,
00317         kAAFEmphasis_15and50 = 6,
00318         kAAFEmphasis_ITU = 7
00319 } aafEmphasisType_e;
00320
00321 typedef aafInt32 aafAuxBitsModeType_t;
00322 typedef enum _aafAuxBitsModeType_e
00323 {
00324         kAAFAuxBitsMode_NotDefined = 0,
00325         kAAFAuxBitsMode_MainAudioSampleData = 1,
00326         kAAFAuxBitsMode_SingleCoordinationSignal = 2,
00327         kAAFAuxBitsMode_UserDefined = 3,
00328         kAAFAuxBitsMode_Reserved0 = 4,
00329         kAAFAuxBitsMode_Reserved1 = 5,
00330         kAAFAuxBitsMode_Reserved2 = 6,
00331         kAAFAuxBitsMode_Reserved3 = 7
00332 } aafAuxBitsModeType_e;
00333
00334 typedef aafInt32 aafChannelStatusModeType_t;
00335 typedef enum _aafChannelStatusModeType_e
00336 {
00337         kAAFChannelStatusMode_None = 0,
00338         kAAFChannelStatusMode_Minimum = 1,
00339         kAAFChannelStatusMode_Standard = 2,
00340         kAAFChannelStatusMode_Fixed = 3,
00341         kAAFChannelStatusMode_Stream = 4,
00342         kAAFChannelStatusMode_Essence = 5
00343 } aafChannelStatusModeType_e;
00344
00345 typedef aafInt32 aafUserDataModeType_t;
00346 typedef enum _aafUserDataModeType_e
00347 {
00348         kAAFUserDataMode_NotDefined = 0,
00349         kAAFUserDataMode_192BitBlockStructure = 1,
00350         kAAFUserDataMode_AES18 = 2,
00351         kAAFUserDataMode_UserDefined = 3,
00352         kAAFUserDataMode_IEC = 4,
00353         kAAFUserDataMode_Metadata = 5,
00354         kAAFUserDataMode_Reserved0 = 6,
00355         kAAFUserDataMode_Reserved1 = 7,
00356         kAAFUserDataMode_Reserved2 = 8,
00357         kAAFUserDataMode_Reserved3 = 9,
00358         kAAFUserDataMode_Reserved4 = 10,
00359         kAAFUserDataMode_Reserved5 = 11,
00360         kAAFUserDataMode_Reserved6 = 12,
00361         kAAFUserDataMode_Reserved7 = 13,
00362         kAAFUserDataMode_Reserved8 = 14,
00363         kAAFUserDataMode_Reserved9 = 15
00364 } aafUserDataModeType_e;
00365
00366 typedef aafInt32 aafSignalStandard_t;
00367 typedef enum _aafSignalStandard_e
00368 {
00369         kAAFSignalStandard_None = 0,
00370         kAAFSignalStandard_ITU601 = 1,
00371         kAAFSignalStandard_ITU1358 = 2,
00372         kAAFSignalStandard_SMPTE347M = 3,
00373         kAAFSignalStandard_SMPTE274M = 4,
00374         kAAFSignalStandard_SMPTE296M = 5,
00375         kAAFSignalStandard_SMPTE349M = 6
00376 } aafSignalStandard_e;
00377
00378 typedef aafInt32 aafScanningDirection_t;
00379 typedef enum _aafScanningDirection_e
00380 {
00381         kAAFScanningDirection_LeftToRightTopToBottom = 0,
00382         kAAFScanningDirection_RightToLeftTopToBottom = 1,
00383         kAAFScanningDirection_LeftToRightBottomToTop = 2,
00384         kAAFScanningDirection_RightToLeftBottomToTop = 3,
00385         kAAFScanningDirection_TopToBottomLeftToRight = 4,
00386         kAAFScanningDirection_TopToBottomRightToLeft = 5,
00387         kAAFScanningDirection_BottomToTopLeftToRight = 6,
00388         kAAFScanningDirection_BottomToTopRightToLeft = 7
00389 } aafScanningDirection_e;
00390
00391 typedef aafInt32 aafContentScanningType_t;
00392 typedef enum _aafContentScanningType_e
00393 {
00394         kAAFContentScanning_NotKnown = 0,
00395         kAAFContentScanning_Progressive = 1,
00396         kAAFContentScanning_Interlace = 2,
00397         kAAFContentScanning_Mixed = 3
00398 } aafContentScanningType_e;
00399
00400 typedef aafInt32 aafTitleAlignmentType_t;
00401 typedef enum _aafTitleAlignmentType_e
00402 {
00403         kAAFTitleAlignment_Left = 0,
00404         kAAFTitleAlignment_Center = 1,
00405         kAAFTitleAlignment_Right = 2
00406 } aafTitleAlignmentType_e;
00407
00408 typedef aafInt32 aafColorSiting_t;
00409 typedef enum _aafColorSiting_e
00410 {
00411         kAAFCoSiting = 0,
00412         kAAFAveraging = 1,
00413         kAAFThreeTap = 2,
00414         kAAFQuincunx = 3,
00415         kAAFRec601 = 4,
00416         kAAFUnknownSiting = 255
00417 } aafColorSiting_e;
00418
00419 typedef aafInt32 aafPropertyOpt_t;
00420 typedef enum _aafPropertyOpt_e
00421 {
00422         kAAFPropRequired = 0,
00423         kAAFPropOptional = 1
00424 } aafPropertyOpt_e;
00425
00426 typedef aafInt32 AAFDataDefinitionMatch_t;
00427 typedef enum _AAFDataDefinitionMatch_e
00428 {
00429         kAAFExactMatch = 0,
00430         kAAFConvertTo = 1,
00431         kAAFConvertFrom = 2
00432 } AAFDataDefinitionMatch_e;
00433
00434 typedef aafInt32 aafAppendOption_t;
00435 typedef enum _aafAppendOption_e
00436 {
00437         kAAFAppend = 0,
00438         kAAFForceOverwrite = 1
00439 } aafAppendOption_e;
00440
00441 typedef aafInt32 aafReferenceType_t;
00442 typedef enum _aafReferenceType_e
00443 {
00444         kAAFRefLimitMinimum = 0,
00445         kAAFRefLimitMaximum = 1,
00446         kAAFRefMinimum = 2,
00447         kAAFRefMaximum = 3,
00448         kAAFRefEnumvalue = 4
00449 } aafReferenceType_e;
00450
00451 typedef aafInt32 aafSwapNeeded_t;
00452 typedef enum _aafSwapNeeded_e
00453 {
00454         kAAFSwapIfNeeded = 0,
00455         kAAFNeverSwap = 1
00456 } aafSwapNeeded_e;
00457
00458 typedef aafInt32 aafTimecodeSourceType_t;
00459 typedef enum _aafTimecodeSourceType_e
00460 {
00461         kAAFTimecodeLTC = 0,
00462         kAAFTimecodeVITC = 1
00463 } aafTimecodeSourceType_e;
00464
00465 cpp_quote("/************************************************************")
00466 cpp_quote(" *")
00467 cpp_quote(" * Mob specific data types")
00468 cpp_quote(" *")
00469 cpp_quote(" *************************************************************/")
00470 typedef aafInt32 aafMobKind_t;
00471 typedef enum _aafMobKind_e
00472 {
00473         kAAFCompMob = 0,
00474         kAAFMasterMob = 1,
00475         kAAFFileMob = 2,
00476         kAAFTapeMob = 3,
00477         kAAFFilmMob = 4,
00478         kAAFPrimaryMob = 5,
00479         kAAFAllMob = 6,
00480         kAAFPhysicalMob = 7
00481 } aafMobKind_e;
00482
00483 typedef aafInt32 aafOperationChoice_t;
00484 typedef enum _aafOperationChoice_e
00485 {
00486   kAAFFindNull = 0,
00487   kAAFFindIncoming = 1,
00488   kAAFFindOutgoing = 2,
00489   kAAFFindRender = 3,
00490   kAAFFindOperationSrc1 = 4,
00491   kAAFFindOperationSrc2 = 5,
00492   kAAFFindOperationSrc3 = 6,
00493   kAAFFindOperationSrc4 = 7,
00494   kAAFFindOperationSrc5 = 8,
00495   kAAFFindOperationSrc6 = 9,
00496   kAAFFindOperationSrc7 = 10,
00497   kAAFFindOperationSrc8 = 11
00498 } aafOperationChoice_e;
00499
00500 typedef aafInt32 aafDepend_t;
00501 typedef enum _aafDepend_e
00502 {
00503         kAAFNoFollowDepend = 0,
00504         kAAFFollowDepend = 1
00505 } aafDepend_e;
00506
00507 typedef aafInt32 aafIncMedia_t;
00508 typedef enum _aafIncMedia_e
00509 {
00510         kAAFNoIncludeMedia = 0,
00511         kAAFIncludeMedia = 1
00512 } aafIncMedia_e;
00513
00514 cpp_quote("/* aafIndexType_t: describes the types of HEAD indices */")
00515 typedef aafInt32 aafIndexType_t;
00516 typedef enum _aafIndexType_e
00517 {
00518         kAAFCompMobIndex = 0,
00519         kAAFSourceMobIndex = 1,
00520         kAAFMediaIndex = 2,
00521         kAAFPrimaryMobIndex = 3
00522 } aafIndexType_e;
00523
00524 cpp_quote("/* aafFadeType_t: describes values for SCLP fadein and fadeout types  */")
00525 typedef aafInt32 aafFadeType_t;
00526 typedef enum _aafFadeType_e
00527 {
00528         kAAFFadeNone = 0,
00529         kAAFFadeLinearAmp = 1,
00530         kAAFFadeLinearPower = 2
00531 } aafFadeType_e;
00532
00533 typedef aafInt32 aafAudioSampleType_t;
00534 typedef enum _aafAudioSampleType_e
00535 {
00536         kAAFOffsetBinary = 0,
00537         kAAFSignedMagnitude = 1
00538 } aafAudioSampleType_e;
00539
00540 typedef aafInt32 aafTapeCaseType_t;
00541 typedef enum _aafTapeCaseType_e
00542 {
00543         kAAFTapeCaseNull = 0,
00544         kAAFThreeFourthInchVideoTape = 1,
00545         kAAFVHSVideoTape = 2,
00546         kAAF8mmVideoTape = 3,
00547         kAAFBetacamVideoTape = 4,
00548         kAAFCompactCassette = 5,
00549         kAAFDATCartridge = 6,
00550         kAAFNagraAudioTape = 7
00551 } aafTapeCaseType_e;
00552
00553 typedef aafInt32 aafVideoSignalType_t;
00554 typedef enum _aafVideoSignalType_e
00555 {
00556         kAAFVideoSignalNull = 0,
00557         kAAFNTSCSignal = 1,
00558         kAAFPALSignal = 2,
00559         kAAFSECAMSignal = 3
00560 } aafVideoSignalType_e;
00561
00562 typedef aafInt32 aafTapeFormatType_t;
00563 typedef enum _aafTapeFormatType_e
00564 {
00565         kAAFTapeFormatNull = 0,
00566         kAAFBetacamFormat = 1,
00567         kAAFBetacamSPFormat = 2,
00568         kAAFVHSFormat = 3,
00569         kAAFSVHSFormat = 4,
00570         kAAF8mmFormat = 5,
00571         kAAFHi8Format = 6
00572 } aafTapeFormatType_e;
00573
00574 typedef aafInt32 aafAttributeKind_t;
00575 typedef enum _aafAttributeKind_e
00576 {
00577         kAAFNullAttribute = 0,
00578         kAAFIntegerAttribute = 1,
00579         kAAFStringAttribute = 2,
00580         kAAFObjectAttribute = 3
00581 } aafAttributeKind_e;
00582
00583 typedef aafInt32 aafPulldownKind_t;
00584 typedef enum _aafPulldownKind_e
00585 {
00586         kAAFTwoThreePD = 0,
00587         kAAFPALPD = 1,
00588         kAAFOneToOneNTSC = 2,
00589         kAAFOneToOnePAL = 3,
00590         kAAFVideoTapNTSC = 4,
00591         kAAFOneToOneHDSixty = 5,
00592         kAAFTwentyFourToSixtyPD = 6,
00593         kAAFTwoToOnePD = 7
00594 } aafPulldownKind_e;
00595
00596 typedef aafInt32        aafPhaseFrame_t;
00597
00598 typedef aafInt32 aafPulldownDir_t;
00599 typedef enum _aafPulldownDir_e
00600 {
00601         kAAFTapeToFilmSpeed = 0,
00602         kAAFFilmToTapeSpeed = 1
00603 }       aafPulldownDir_e;
00604
00605 typedef struct _aafMobComment_t
00606 {
00607         aafString_t category;
00608         aafString_t comment;
00609 } aafMobComment_t;
00610
00611 typedef aafInt32 aafRGBAComponentKind_t;
00612 typedef enum _aafRGBAComponentKind_e
00613 {
00614         kAAFCompNone = 0x30,
00615         kAAFCompAlpha = 0x41,
00616         kAAFCompBlue = 0x42,
00617         kAAFCompFill = 0x46,
00618         kAAFCompGreen = 0x47,
00619         kAAFCompPalette = 0x50,
00620         kAAFCompRed = 0x52,
00621         kAAFCompNull = 0x0
00622 } aafRGBAComponentKind_e;
00623
00624 typedef struct _aafRGBAComponent_t
00625 {
00626         aafRGBAComponentKind_t Code;
00627         aafUInt8               Size;
00628 } aafRGBAComponent_t;
00629
00630
00631
00632 cpp_quote("/************************************************************")
00633 cpp_quote(" *")
00634 cpp_quote(" * Operation Group Types")
00635 cpp_quote(" *")
00636 cpp_quote(" *************************************************************/")
00637 typedef aafInt32 aafInterpKind_t;
00638 typedef enum _aafInterpKind_e
00639 {
00640         kAAFConstInterp = 1,
00641         kAAFLinearInterp = 2
00642 } aafInterpKind_e;
00643
00644 typedef aafInt32 aafEditHint_t;
00645 typedef enum _aafEditHint_e
00646 {
00647         kAAFNoEditHint = 0,
00648         kAAFProportional = 1,
00649         kAAFRelativeLeft = 2,
00650         kAAFRelativeRight = 3,
00651         kAAFRelativeFixed = 4
00652 } aafEditHint_e;
00653
00654 typedef aafInt32 aafProductReleaseType_t;
00655 typedef enum _aafProductReleaseType_e
00656 {
00657         kAAFVersionUnknown = 0,
00658         kAAFVersionReleased = 1,
00659         kAAFVersionDebug = 2,
00660         kAAFVersionPatched = 3,
00661         kAAFVersionBeta = 4,
00662         kAAFVersionPrivateBuild = 5
00663 } aafProductReleaseType_e;
00664
00665 cpp_quote("/************************************************************")
00666 cpp_quote(" *")
00667 cpp_quote(" * Structured AAFI types.")
00668 cpp_quote(" *")
00669 cpp_quote(" *************************************************************/")
00670 typedef struct _aafVersionType_t
00671 {
00672         aafInt8            major;
00673         aafInt8            minor;
00674 } aafVersionType_t;
00675
00676 typedef struct _aafProductVersion_t
00677 {
00678         aafUInt16                               major;
00679         aafUInt16                               minor;
00680         aafUInt16                               tertiary;
00681         aafUInt16                               patchLevel;
00682         aafProductReleaseType_t type;
00683 } aafProductVersion_t;
00684
00685 typedef struct _aafUID_t
00686 {
00687 //      aafUInt32           value[4]; // binary compatibility with GUID/CLSID and IID structures.
00688     aafUInt32 Data1;
00689     aafUInt16 Data2;
00690     aafUInt16 Data3;
00691     aafUInt8  Data4[8];
00692 } aafUID_t;
00693
00694 typedef struct  _aafMobID_t
00695 {
00696     aafUInt8                    SMPTELabel[12];         // 12-bytes of label prefix
00697         aafUInt8                        length;
00698     aafUInt8                    instanceHigh;
00699     aafUInt8                    instanceMid;
00700     aafUInt8                    instanceLow;
00701     struct _aafUID_t    material;
00702 }       aafMobID_t;
00703
00704
00705
00706 typedef struct _aafProductIdentification_t
00707 {
00708         aafCharacter *             companyName;
00709         aafCharacter *             productName;
00710         aafCharacter *             productVersionString;
00711         aafUID_t                   productID;
00712     aafCharacter *             platform;        // optional
00713     aafProductVersion_t *      productVersion;  // optional
00714 } aafProductIdentification_t;
00715
00716 cpp_quote("extern const aafProductVersion_t AAFReferenceImplementationVersion;")
00717
00718
00719
00720 typedef struct _aafDateStruct_t
00721 {
00722   aafInt16 year;   /* range -32,767 to +32767 */
00723   aafUInt8 month;  /* range: 1-12, inclusive */
00724   aafUInt8 day;    /* range: 1-31, inclusive */
00725 } aafDateStruct_t;
00726
00727 typedef struct _aafTimeStruct_t
00728 {
00729   aafUInt8 hour;     /* range 0-23 inclusive */
00730   aafUInt8 minute;   /* range 0-59 inclusive */
00731   aafUInt8 second;   /* range 0-59 inclusive */
00732   aafUInt8 fraction; /* range 0..99 inclusive; accuracy: .01 sec */
00733 } aafTimeStruct_t;
00734
00735 typedef struct _aafTimeStamp_t
00736 {
00737   aafDateStruct_t date;
00738   aafTimeStruct_t time;
00739 } aafTimeStamp_t;
00740
00741
00742
00743 typedef struct _aafRational_t
00744 {
00745         aafInt32           numerator;
00746         aafInt32           denominator;
00747 } aafRational_t;
00748
00749 typedef struct _aafRect_t
00750 {
00751         aafInt32           xOffset;
00752         aafInt32           yOffset;
00753         aafInt32           xSize;
00754         aafInt32           ySize;
00755 } aafRect_t;
00756
00757 typedef struct _aafmMultiXfer_t
00758 {
00759     aafUID_t *          mediaKind;              /* IN -- */
00760         aafInt16                        subTrackNum;    /* IN - The physical output channel */
00761         aafUInt32           numSamples;         /* IN -- */
00762         aafUInt32               buflen;                 /* IN -- */
00763         aafDataBuffer_t         buffer;                 /* IN/OUT -- */
00764 } aafmMultiXfer_t;
00765
00766 typedef struct _aafmMultiResult_t
00767 {
00768         aafUInt32               bytesXfered;    /* OUT -- */
00769         aafUInt32                       samplesXfered;  /* OUT */
00770 } aafmMultiResult_t;
00771
00772 typedef struct _aafmMultiCreate_t
00773 {
00774         const aafUID_t *        mediaKind;              /* IN -- */
00775         aafInt16                        subTrackNum;    /* IN - The physical output channel */
00776         aafInt32                slotID;         /* IN -- */
00777         aafRational_t           sampleRate;
00778 } aafmMultiCreate_t;
00779
00780 cpp_quote("/* Typedefs specific to edgecode and timecode */")
00781 typedef aafInt32 aafEdgeType_t;
00782 typedef enum _aafEdgeType_e
00783 {
00784         kAAFEtNull = 0,
00785         kAAFEtKeycode = 1,
00786         kAAFEtEdgenum4 = 2,
00787         kAAFEtEdgenum5 = 3,
00788         kAAFEtHeaderSize = 8
00789 } aafEdgeType_e;
00790
00791 typedef aafInt32 aafFilmType_t;
00792 typedef enum _aafFilmType_e
00793 {
00794         kAAFFtNull = 0,
00795         kAAFFt35MM = 1,
00796         kAAFFt16MM = 2,
00797         kAAFFt8MM = 3,
00798         kAAFFt65MM = 4
00799 } aafFilmType_e;
00800
00801 typedef aafInt32 aafDirectionCode_t;
00802 typedef enum _aafDirectionCode_e
00803 {
00804         kAAFDirCodeRight = 0,
00805         kAAFDirCodeUpperRight = 1,
00806         kAAFDirCodeUp = 2,
00807         kAAFDirCodeUpperLeft = 3,
00808         kAAFDirCodeLeft = 4,
00809         kAAFDirCodeLowerLeft = 5,
00810         kAAFDirCodeDown = 6,
00811         kAAFDirCodeLowerRight = 7
00812 } aafDirectionCode_e;
00813
00814 typedef aafInt32 aafColorSpace_t;
00815 typedef enum _aafColorSpace_e
00816 {
00817         kAAFColorSpaceRGB = 0,
00818         kAAFColorSpaceYUV = 1,
00819         kAAFColorSpaceYIQ = 2,
00820         kAAFColorSpaceHSI = 3,
00821         kAAFColorSpaceHSV = 4,
00822         kAAFColorSpaceYCrCb = 5,
00823         kAAFColorSpaceYDrDb = 6,
00824         kAAFColorSpaceCMYK = 7
00825 } aafColorSpace_e;
00826
00827 typedef struct _aafTimecode_t
00828 {
00829         aafFrameOffset_t        startFrame;
00830         aafDropType_t   drop;
00831         aafUInt16               fps;    /* frames per second */
00832 } aafTimecode_t;
00833
00834 typedef aafUInt8 aafEdgecodeHeader_t[kAAFEtHeaderSize];
00835
00836 typedef struct _aafEdgecode_t
00837 {
00838         aafFrameOffset_t   startFrame;
00839         aafFilmType_t   filmKind;
00840         aafEdgeType_t codeFormat;
00841         aafEdgecodeHeader_t header;
00842 } aafEdgecode_t;
00843
00844 cpp_quote("/*** Types for clips ***/")
00845 typedef struct _aafSourceRef_t
00846 {
00847         aafMobID_t        sourceID;
00848         aafSlotID_t    sourceSlotID;
00849         aafPosition_t   startTime;
00850 } aafSourceRef_t;
00851
00852
00853 typedef struct _aafDefaultFade_t
00854 {
00855         aafLength_t             fadeLength;
00856         aafFadeType_t   fadeType;
00857         aafRational_t   fadeEditUnit;
00858         aafBoolean_t    valid;          /* Are the above fields valid? */
00859 } aafDefaultFade_t;
00860
00861 cpp_quote("/************************************************************")
00862 cpp_quote(" *")
00863 cpp_quote(" * Multiple Media Representations Criteria types")
00864 cpp_quote(" *")
00865 cpp_quote(" *************************************************************/")
00866 //typedef aafInt16(*aafCriteriaProc_t)(IAAFFile  * file,
00867 //                                     IAAFObject  * mdes,
00868 //                                     aafCodecID_t codecID);
00869
00870 typedef aafInt32 aafCriteriaType_t;
00871 typedef enum _aafCriteriaType_e
00872 {
00873         kAAFAnyRepresentation = 0,
00874         kAAFFastestRepresentation = 1,
00875         kAAFBestFidelityRepresentation = 2,
00876         kAAFSmallestRepresentation = 3 //, Jeff may add this one back.
00877 //      kAAFUseRepresentationProc = 4
00878 } aafCriteriaType_e;
00879
00880 typedef struct _aafMediaCriteria_t
00881 {
00882         aafCriteriaType_t               type;
00883 //      aafCriteriaProc_t               proc;
00884 } aafMediaCriteria_t;
00885
00886 cpp_quote("/************************************************************")
00887 cpp_quote(" *")
00888 cpp_quote(" * Data Types for Search Criteria and Iterators")
00889 cpp_quote(" *")
00890 cpp_quote(" *************************************************************/")
00891
00892 typedef aafInt32 aafSearchTag_t;
00893 typedef enum _aafSearchTag_e
00894 {
00895         kAAFNoSearch = 0,
00896         kAAFByMobID = 1,
00897         kAAFByMobKind = 2,
00898         kAAFByName = 3,
00899         kAAFByClass = 4,
00900         kAAFByDataDef = 5,
00901         kAAFByMediaCrit = 6,
00902         kAAFByUsageCode = 7,
00903         kAAFByMasterMobUsageCode = 8,
00904         kAAFBySourceMobUsageCode = 9,
00905         kAAFByCompositionMobUsageCode = 10
00906 } aafSearchTag_e;
00907
00908
00909 cpp_quote("#if 0")
00910 typedef struct _aafSearchCrit_t
00911 {
00912
00913     aafSearchTag_t     searchTag;
00914     [switch_is(searchTag)] union
00915     {
00916         [case(kAAFByMobID)]
00917                         aafMobID_t mobID;               // shouldn't this be a pointer?
00918         [case(kAAFByMobKind)]
00919                         aafMobKind_t mobKind;
00920         [case(kAAFByName)]
00921                         aafString_t name;
00922         [case(kAAFByClass)]
00923                         aafClassID_t objClass;  // shouldn't this be a pointer?
00924         [case(kAAFByDataDef)]
00925                         aafUID_t datadef;       // shouldn't this be a pointer?
00926         [case(kAAFByMediaCrit)]
00927                         aafCriteriaType_t mediaCrit;
00928         [default] ;
00929     } ;
00930
00931 } aafSearchCrit_t;
00932 cpp_quote("#endif")
00933 cpp_quote("//")
00934 cpp_quote("typedef struct _aafSearchCrit_t")
00935 cpp_quote("{")
00936 cpp_quote("    aafSearchTag_t     searchTag;")
00937 cpp_quote("    union")
00938 cpp_quote("    {")
00939 cpp_quote("        aafMobID_t        mobID;             // shouldn't this be a pointer?")
00940 cpp_quote("        aafMobKind_t    mobKind;")
00941 cpp_quote("        aafString_t       name;")
00942 cpp_quote("        aafClassID_t      objClass;  // shouldn't this be a pointer?")
00943 cpp_quote("        aafUID_t              datadef;       // shouldn't this be a pointer?")
00944 cpp_quote("        aafCriteriaType_t mediaCrit;")
00945 cpp_quote("        aafUID_t          usageCode;")
00946 cpp_quote("    } tags;")
00947 cpp_quote("} aafSearchCrit_t;")
00948
00949
00950
00951 typedef aafInt32 aafDefinitionKind_t;
00952 typedef enum _aafDefinitionKind_e
00953 {
00954         kAAFClassDefinition         = 1,
00955         kAAFPropertyDefinition  = 2,
00956         kAAFTypeDefinition      = 4,
00957         kAAFDataDefinition      = 8,
00958         kAAFOperationDefinition    = 16,
00959         kAAFAllDefinitions      = -1
00960 } aafDefinitionKind_e;
00961
00962 typedef aafInt32 aafDefinitionCritType_t;
00963 typedef enum _aafDefinitionCritType_e
00964 {
00965         kAAFNoDefSearch = 0,
00966         kAAFByDefKind = 1,
00967         kAAFByDefName = 2,
00968         kAAFByDefClass  = 3
00969 } aafDefinitionCritType_e;
00970
00971 typedef struct _aafDefinitionCrit_t
00972 {
00973         aafDefinitionCritType_t type;
00974         union
00975         {
00976                 aafDefinitionKind_t     defKind;
00977                 aafString_t         name;
00978                 aafClassID_t        objClass;   // shouldn't this be a pointer?
00979         } tags;
00980 } aafDefinitionCrit_t;
00981
00982 typedef aafInt32 aafIdentificationCritType_t;
00983 typedef enum _aafIdentificationCritType_e
00984 {
00985         kAAFNoIdSearch = 0,
00986         kAAFByIdProductID = 1,
00987         kAAFByIdGeneration = 2,
00988         kAAFByIdRefImplVersion = 3
00989 } aafIdentificationCritType_e;
00990
00991 typedef struct _aafIdentificationCrit_t
00992 {
00993         aafIdentificationCritType_t type;
00994         union
00995         {
00996                 aafUID_t                    productID;
00997                 aafUID_t            generation;
00998                 aafProductVersion_t referenceImplementationVersion;
00999         } tags;
01000 } aafIdentificationCrit_t;
01001
01002
01003 cpp_quote("/************************************************************")
01004 cpp_quote(" *")
01005 cpp_quote(" * Data Types for Searching the Class Dictionary")
01006 cpp_quote(" *")
01007 cpp_quote(" *************************************************************/")
01008
01009 typedef aafInt32 aafSearchDictionaryTag_t;
01010 typedef enum _aafSearchDictionaryTag_e
01011 {
01012         kAAFAllClasses = 0,       // selects all classes in the given class dictionary.
01013         kAAFByClassID = 1,             // selects the class with the given class id.
01014         kAAFByParentClassID = 2,  // selects all classes with the given parent class id.
01015         kAAFByPropertyID = 3,     // selects all classes that contain the given property id.
01016         kAAFByTypeID = 4,         // selects all classes that contain properties with the given type id.
01017         kAAFByClassName = 5       // selects all classes with the given name
01018 } aafSearchDictionaryTag_e;
01019
01020
01021 //********
01022 //
01023 // Enum indicating data "Endian-ness"
01024 //
01025 typedef aafInt32 eAAFByteOrder_t;
01026 typedef enum _eAAFByteOrder_e
01027 {
01028   //
01029   // Little Endian (e.g. Intel byte order)
01030   //
01031   kAAFByteOrderLittle   = 0,
01032
01033   //
01034   // Big Endian (e.g. Mac or Sparc byte order)
01035   //
01036   kAAFByteOrderBig      = 1
01037
01038 } eAAFByteOrder_e;
01039
01040
01041 cpp_quote("#if 0")
01042 typedef struct _aafSearchDictionaryCrit_t
01043 {
01044
01045     aafSearchDictionaryTag_t     searchTag;
01046     [switch_is(searchTag)] union
01047     {
01048         [case(kAAFByClassID)]
01049             aafUID_t    * classID;
01050         [case(kAAFByParentClassID)]
01051             aafUID_t    * parentClassID;
01052         [case(kAAFByPropertyID)]
01053             aafUID_t    * propertyID;
01054         [case(kAAFByTypeID)]
01055             aafUID_t    * typeID;
01056         [case(kAAFByClassName)]
01057             aafString_t   name;
01058         [default] ;
01059     } ;
01060
01061 } aafSearchDictionaryCrit_t;
01062
01063
01064 //********
01065 //
01066 // Enum indicating general category of stored (property) data
01067 //
01068 //
01069 cpp_quote("#endif")
01070 cpp_quote("//")
01071 cpp_quote("typedef struct _aafSearchDictionaryCrit_t")
01072 cpp_quote("{")
01073 cpp_quote("     aafSearchDictionaryTag_t     searchTag;")
01074 cpp_quote("     union ")
01075 cpp_quote("     {")
01076 cpp_quote("             aafUID_t    * classID;")
01077 cpp_quote("             aafUID_t    * parentClassID;")
01078 cpp_quote("             aafUID_t        * propertyID;")
01079 cpp_quote("             aafUID_t        * typeID;")
01080 cpp_quote("             aafString_t   name;")
01081 cpp_quote("     } tags;")
01082 cpp_quote("} aafSearchDictionaryCrit_t;")
01083
01084
01085
01086 typedef aafInt32 eAAFTypeCategory_t;
01087 typedef enum _eAAFTypeCategory_e
01088 {
01089   kAAFTypeCatUnknown       = 0,  // can only occur in damaged files
01090   kAAFTypeCatInt           = 1,  // any integral type
01091   kAAFTypeCatCharacter     = 2,  // any character type
01092   kAAFTypeCatStrongObjRef  = 3,  // strong object reference
01093   kAAFTypeCatWeakObjRef    = 4,  // weak object reference
01094   kAAFTypeCatRename        = 5,  // renamed type
01095   kAAFTypeCatEnum          = 6,  // enumerated type
01096   kAAFTypeCatFixedArray    = 7,  // fixed-size array
01097   kAAFTypeCatVariableArray = 8,  // variably-sized array
01098   kAAFTypeCatSet           = 9,  // set of strong object references or
01099                                  // set of weak object references
01100   kAAFTypeCatRecord        = 10, // a structured type
01101   kAAFTypeCatStream        = 11, // potentially huge amount of data
01102   kAAFTypeCatString        = 12, // null-terminated variably-sized
01103                                  // array of characters
01104   kAAFTypeCatExtEnum       = 13, // extendible enumerated type
01105   kAAFTypeCatIndirect      = 14, // type must be determined at runtime
01106   kAAFTypeCatOpaque        = 15, // type can be determined at runtime
01107   kAAFTypeCatEncrypted     = 16  // type can be determined at runtime
01108                                  // but bits are encrypted
01109 } eAAFTypeCategory_e;
01110
01111
01112 // typedefs to make things more consistent
01113 typedef aafAlphaTransparency_t  aafAlphaTransparencyType_t;
01114 typedef aafBoolean_t            aafBool;
01115 typedef aafColorSiting_t        aafColorSitingType_t;
01116 typedef aafEditHint_t           aafEditHintType_t;
01117 typedef aafFrameLayout_t        aafLayoutType_t;
01118 typedef aafMobID_t              aafMobIDType_t;
01119 typedef aafPulldownDir_t        aafPulldownDirectionType_t;
01120 typedef aafPulldownKind_t       aafPulldownKindType_t;
01121 typedef aafScanningDirection_t  aafScanningDirectionType_t;
01122 typedef aafSignalStandard_t     aafSignalStandardType_t;
01123 typedef aafTimecodeSourceType_t aafTCSource_t;
01124
01125
01126 cpp_quote("/**************************/")
01127 cpp_quote("#ifndef STDMETHODCALLTYPE")
01128 cpp_quote("  #ifndef _MSC_VER")
01129 cpp_quote("    #ifdef __SC__")
01130 cpp_quote("      #define STDMETHODCALLTYPE _cdecl")
01131 cpp_quote("    #else")
01132 cpp_quote("      #define STDMETHODCALLTYPE")
01133 cpp_quote("    #endif")
01134 cpp_quote("  #else")
01135 cpp_quote("    #define STDMETHODCALLTYPE __stdcall")
01136 cpp_quote("  #endif")
01137 cpp_quote("#endif")
01138
01139
01140
01141 cpp_quote("#if 0")
01142   #if defined(__midl)
01143     /* MIDL 2.0 definitions */
01144         typedef aafArgIDType_t *             aafArgIDType_constref;
01145         typedef aafEdgecodeHeader_t *        aafEdgecodeHeader_constref;
01146         typedef aafEdgecode_t *              aafEdgecode_constref;
01147         typedef aafEngine_t *                aafEngine_constref;
01148         typedef aafHardwarePlatform_t *      aafHardwarePlatform_constref;
01149         typedef aafMediaCriteria_t *         aafMediaCriteria_constref;
01150         typedef aafPluginAPI_t *             aafPluginAPI_constref;
01151         typedef aafPosition_t *              aafPosition_constref;
01152         typedef aafProductIdentification_t * aafProductIdentification_constref;
01153         typedef aafProductVersion_t *        aafProductVersion_constref;
01154         typedef aafRect_t *                  aafRect_constref;
01155         typedef aafSourceRef_t *             aafSourceRef_constref;
01156         typedef aafTimecode_t *              aafTimecode_constref;
01157     typedef aafLength_t *                aafLength_constref;
01158     typedef aafRational_t *              aafRational_constref;
01159     typedef aafTimeStamp_t *             aafTimeStamp_constref;
01160     typedef aafUID_t *                   aafUID_constref;
01161     typedef aafMobID_t *                 aafMobID_constref;
01162     typedef aafVersionType_t *           aafVersionType_constref;
01163   #else
01164     /* MIDL 1.1 definitions */
01165         typedef aafArgIDType_t               aafArgIDType_constref;
01166         typedef aafEdgecodeHeader_t          aafEdgecodeHeader_constref;
01167         typedef aafEdgecode_t                aafEdgecode_constref;
01168         typedef aafEngine_t                  aafEngine_constref;
01169         typedef aafHardwarePlatform_t        aafHardwarePlatform_constref;
01170         typedef aafMediaCriteria_t           aafMediaCriteria_constref;
01171         typedef aafPluginAPI_t               aafPluginAPI_constref;
01172         typedef aafPosition_t                aafPosition_constref;
01173         typedef aafProductIdentification_t   aafProductIdentification_constref;
01174         typedef aafProductVersion_t          aafProductVersion_constref;
01175         typedef aafRect_t                    aafRect_constref;
01176         typedef aafSourceRef_t               aafSourceRef_constref;
01177         typedef aafTimecode_t                aafTimecode_constref;
01178     typedef aafLength_t                  aafLength_constref;
01179     typedef aafRational_t                aafRational_constref;
01180     typedef aafTimeStamp_t               aafTimeStamp_constref;
01181     typedef aafUID_t                     aafUID_constref;
01182     typedef aafMobID_t                   aafMobID_constref;
01183     typedef aafVersionType_t             aafVersionType_constref;
01184   #endif
01185
01186   typedef unsigned char *                aafMemConstPtr_t;
01187   typedef aafCharacter *                 aafCharacter_constptr;
01188   typedef aafMediaCriteria_t *           aafMediaCriteria_constptr;
01189   typedef aafOperationChoice_t *         aafOperationChoice_constptr;
01190   typedef aafProductVersion_t *          aafProductVersion_constptr;
01191   typedef aafProductIdentification_t *   aafProductIdentification_constptr;
01192   typedef aafSearchCrit_t *              aafSearchCrit_constptr;
01193   typedef aafUID_t *                     aafUID_constptr;
01194   typedef aafMobID_t *                   aafMobID_constptr;
01195
01196 cpp_quote("#endif // 0")
01197
01198 cpp_quote("#if defined(__cplusplus)")
01199 cpp_quote("#define aafArgIDType_constref        const aafArgIDType_t &")
01200 cpp_quote("#define aafEdgecodeHeader_constref   const aafEdgecodeHeader_t &")
01201 cpp_quote("#define aafEdgecode_constref         const aafEdgecode_t &")
01202 cpp_quote("#define aafEngine_constref           const aafEngine_t &")
01203 cpp_quote("#define aafHardwarePlatform_constref const aafHardwarePlatform_t &")
01204 cpp_quote("#define aafLength_constref           const aafLength_t &")
01205 cpp_quote("#define aafMediaCriteria_constref    const aafMediaCriteria_t &")
01206 cpp_quote("#define aafPluginAPI_constref        const aafPluginAPI_t &")
01207 cpp_quote("#define aafPosition_constref         const aafPosition_t &")
01208 cpp_quote("#define aafProductIdentification_constref const aafProductIdentification_t &")
01209 cpp_quote("#define aafProductVersion_constref   const aafProductVersion_t &")
01210 cpp_quote("#define aafRational_constref         const aafRational_t &")
01211 cpp_quote("#define aafRect_constref             const aafRect_t &")
01212 cpp_quote("#define aafSourceRef_constref        const aafSourceRef_t &")
01213 cpp_quote("#define aafTimeStamp_constref        const aafTimeStamp_t &")
01214 cpp_quote("#define aafTimecode_constref         const aafTimecode_t &")
01215 cpp_quote("#define aafUID_constref              const aafUID_t &")
01216 cpp_quote("#define aafMobID_constref            const aafMobID_t &")
01217 cpp_quote("#define aafVersionType_constref      const aafVersionType_t &")
01218 cpp_quote("#else // !__cplusplus")
01219 cpp_quote("#define aafArgIDType_constref         const aafArgIDType_t * const")
01220 cpp_quote("#define aafEdgecodeHeader_constref    const aafEdgecodeHeader_t * const")
01221 cpp_quote("#define aafEdgecode_constref          const aafEdgecode_t * const")
01222 cpp_quote("#define aafEngine_constref            const aafEngine_t * const")
01223 cpp_quote("#define aafHardwarePlatform_constref  const aafHardwarePlatform_t * const")
01224 cpp_quote("#define aafLength_constref            const aafLength_t * const")
01225 cpp_quote("#define aafMediaCriteria_constref     const aafMediaCriteria_t * const")
01226 cpp_quote("#define aafPluginAPI_constref         const aafPluginAPI_t * const")
01227 cpp_quote("#define aafPosition_constref          const aafPosition_t * const")
01228 cpp_quote("#define aafProductIdentification_constref const aafProductIdentification_t * const")
01229 cpp_quote("#define aafProductVersion_constref    const aafProductVersion_t * const")
01230 cpp_quote("#define aafRational_constref          const aafRational_t * const")
01231 cpp_quote("#define aafRect_constref              const aafRect_t * const")
01232 cpp_quote("#define aafSourceRef_constref         const aafSourceRef_t * const")
01233 cpp_quote("#define aafTimeStamp_constref         const aafTimeStamp_t * const")
01234 cpp_quote("#define aafTimecode_constref          const aafTimecode_t * const")
01235 cpp_quote("#define aafUID_constref               const aafUID_t * const")
01236 cpp_quote("#define aafMobID_constref             const aafMobID_t * const")
01237 cpp_quote("#define aafVersionType_constref       const aafVersionType_t * const")
01238 cpp_quote("#endif // !__cplusplus")
01239
01240 cpp_quote("#define aafMemConstPtr_t              const unsigned char *")
01241 cpp_quote("#define aafCharacter_constptr         const aafCharacter *")
01242 cpp_quote("#define aafMediaCriteria_constptr     const aafMediaCriteria_t *")
01243 cpp_quote("#define aafOperationChoice_constptr   const aafOperationChoice_t *")
01244 cpp_quote("#define aafProductVersion_constptr    const aafProductVersion_t *")
01245 cpp_quote("#define aafProductIdentification_constptr const aafProductIdentification_t *")
01246 cpp_quote("#define aafSearchCrit_constptr        const aafSearchCrit_t *")
01247 cpp_quote("#define aafUID_constptr               const aafUID_t *")
01248 cpp_quote("#define aafMobID_constptr             const aafMobID_t *")
01249
01250 }
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: File Members

  • All
  • Functions
Here is a list of all file members with links to the files they belong to:
  • AAFCreateAAFFileOnRawStorage() : AAF.idl
  • AAFCreateRawStorageCached() : AAF.idl
  • AAFCreateRawStorageCached2() : AAF.idl
  • AAFCreateRawStorageCachedDisk() : AAF.idl
  • AAFCreateRawStorageDisk() : AAF.idl
  • AAFCreateRawStorageMemory() : AAF.idl
  • AAFFileIsAAFFile() : AAF.idl
  • AAFFileIsAAFFileKind() : AAF.idl
  • AAFFileOpenExistingModify() : AAF.idl
  • AAFFileOpenExistingRead() : AAF.idl
  • AAFFileOpenNewModify() : AAF.idl
  • AAFFileOpenNewModifyEx() : AAF.idl
  • AAFFileOpenTransient() : AAF.idl
  • AAFGetFileEncodings() : AAF.idl
  • AAFGetLibraryPathName() : AAF.idl
  • AAFGetLibraryPathNameBufLen() : AAF.idl
  • AAFGetLibraryVersion() : AAF.idl
  • AAFGetPluginManager() : AAF.idl
  • AAFGetStaticLibraryVersion() : AAF.idl
  • AAFLoad() : AAF.idl
  • AAFRawStorageIsAAFFile() : AAF.idl
  • AAFRawStorageIsAAFFileKind() : AAF.idl
  • AAFResultToText() : AAF.idl
  • AAFResultToTextBufLen() : AAF.idl
  • AAFSetDiagnosticOutput() : AAF.idl
  • AAFSetProgressCallback() : AAF.idl
  • AAFUnload() : AAF.idl
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: File Members

  • All
  • Functions
  • AAFCreateAAFFileOnRawStorage() : AAF.idl
  • AAFCreateRawStorageCached() : AAF.idl
  • AAFCreateRawStorageCached2() : AAF.idl
  • AAFCreateRawStorageCachedDisk() : AAF.idl
  • AAFCreateRawStorageDisk() : AAF.idl
  • AAFCreateRawStorageMemory() : AAF.idl
  • AAFFileIsAAFFile() : AAF.idl
  • AAFFileIsAAFFileKind() : AAF.idl
  • AAFFileOpenExistingModify() : AAF.idl
  • AAFFileOpenExistingRead() : AAF.idl
  • AAFFileOpenNewModify() : AAF.idl
  • AAFFileOpenNewModifyEx() : AAF.idl
  • AAFFileOpenTransient() : AAF.idl
  • AAFGetFileEncodings() : AAF.idl
  • AAFGetLibraryPathName() : AAF.idl
  • AAFGetLibraryPathNameBufLen() : AAF.idl
  • AAFGetLibraryVersion() : AAF.idl
  • AAFGetPluginManager() : AAF.idl
  • AAFGetStaticLibraryVersion() : AAF.idl
  • AAFLoad() : AAF.idl
  • AAFRawStorageIsAAFFile() : AAF.idl
  • AAFRawStorageIsAAFFileKind() : AAF.idl
  • AAFResultToText() : AAF.idl
  • AAFResultToTextBufLen() : AAF.idl
  • AAFSetDiagnosticOutput() : AAF.idl
  • AAFSetProgressCallback() : AAF.idl
  • AAFUnload() : AAF.idl
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class List

Class List
Here are the classes, structs, unions and interfaces with brief descriptions:
IAAFTypes::_aafDateStruct_t |
IAAFTypes::_aafDefaultFade_t |
IAAFTypes::_aafDefinitionCrit_t |
IAAFTypes::_aafEdgecode_t |
IAAFTypes::_aafIdentificationCrit_t |
IAAFTypes::_aafMediaCriteria_t |
IAAFTypes::_aafmMultiCreate_t |
IAAFTypes::_aafmMultiResult_t |
IAAFTypes::_aafmMultiXfer_t |
IAAFTypes::_aafMobComment_t |
IAAFTypes::_aafMobID_t |
IAAFTypes::_aafProductIdentification_t |
IAAFTypes::_aafProductVersion_t |
IAAFTypes::_aafRational_t |
IAAFTypes::_aafRect_t |
IAAFTypes::_aafRGBAComponent_t |
IAAFTypes::_aafSearchCrit_t |
IAAFTypes::_aafSearchDictionaryCrit_t |
IAAFTypes::_aafSourceRef_t |
IAAFTypes::_aafTimecode_t |
IAAFTypes::_aafTimeStamp_t |
IAAFTypes::_aafTimeStruct_t |
IAAFTypes::_aafUID_t |
IAAFTypes::_aafVersionType_t |
IAAFAES3PCMDescriptor | The IAAFAES3PCMDescriptor is DEPRECATED, please use IAAFAES3PCMDescriptor2
IAAFAES3PCMDescriptor2 | The IAAFAES3PCMDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components
IAAFAIFCDescriptor | The IAAFAIFCDescriptor interface is implemented by objects which describe audio content data formatted according to the AIFC compressed Audio File Format
IAAFAuxiliaryDescriptor | The IAAFAuxiliaryDescriptor interface is implemented by objects that describe a file source which has no physical source
IAAFBWFImportDescriptor | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFCachePageAllocator | This interface is used by the toolkit for allocation and deallocation of pages in a page cache
IAAFCDCIDescriptor | IAAFCDCIDescriptor is DEPRECATED
IAAFCDCIDescriptor2 | The IAAFCDCIDescriptor2 interface is implemented by objects which describe video essence formatted with one luminance component and two color-difference components
IAAFClassDef | This interface is used with an object representing an AAF class definition
IAAFCodecDef | This interface is used with an object representing a particular kind of essence codec, which may be implemented by one or more AAFPluginDescriptors
IAAFCommentMarker | The IAAFCommentMarker interface is implemented by objects which represent a user comment associated with a point in time
IAAFComponent | IAAFComponent is DEPRECATED, please use IAAFComponent2
IAAFComponent2 | The component class represents an essence element
IAAFCompositionMob | IAAFCompositionMob is DEPRECATED, please use IAAFCompositionMob2
IAAFCompositionMob2 | The IAAFCompositionMob2 interface is implemented on objects which can specify how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements
IAAFConstantValue | The IAAFConstantValue interface is implemented by objects that specify a parameter whose value is constant for an entire operation group
IAAFContainerDef | This interface is used with an object representing a particular kind of essence stream factory object, which may be implemented by one or more AAFPluginDescriptors
IAAFContentStorage | Objects that implement IAAFContentStorage also implement the following interfaces:
IAAFControlPoint | The IAAFControlPoint interface is implemented by objects that store an individual point value of a parameter whose value changes during the operation group
IAAFDataDef | IAAFDataDef is DEPRECATED, Please use IAAFDataDef2
IAAFDataDef2 | Objects that implement IAAFDataDef2 also implement the following interfaces:
IAAFDataDef3 | Objects that implement IAAFDataDef3 also implement the following interfaces:
IAAFDataEssenceDescriptor | AAFRESULT_NOMEMORY
IAAFDefObject | This interface is defines an item to be referenced in the AAF file
IAAFDescriptiveClip | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFDescriptiveFramework | The IAAFDescriptiveFramework interface is implemented by objects that represent descriptive metadata
IAAFDescriptiveMarker | The IAAFDescriptiveMarker interface is implemented by objects which represent a descriptive metadata associated with a point in time
IAAFDescriptiveObject | The IAAFDescriptiveObject interface is implemented by objects that represent descriptive metadata
IAAFDiagnosticOutput | This interface is used by AAF Toolkit as an output stream to which it writes diagnostic messages
IAAFDictionary | This interface is used to access dictionary services in an AAF file
IAAFDictionary2 | This interface is used to access dictionary services in an AAF file
IAAFDigitalImageDescriptor | IAAFDigitalImageDescriptor is DEPRECATED
IAAFDigitalImageDescriptor2 | The IAAFDigitalImageDescriptor2 interface is implemented by objects which describe video content data formatted either using RGBA or luminance/chrominance formatting
IAAFEdgecode | Objects that implement IAAFEdgecode also implement the following interfaces:
IAAFEndian | This interface is used to allow the user to determine the byte order of this object
IAAFEssenceAccess | AAFEssenceAccess is an interace which provides streaming access over multiple channels of essence data
IAAFEssenceData | This interface is DEPRECATED, please use IAAFEssenceData2
IAAFEssenceData2 | The IAAFEssenceData2 interface is used to modify AAFEssenceData objects, which contain the actual essence data (ex
IAAFEssenceDataEx | This interface is DEPRECATED, please use IAAFEssenceData2
IAAFEssenceDescriptor | The IAAFEssenceDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob or of the media associated with a Physical Source mob
IAAFEssenceFormat | The AAFEssenceFormat class represents a collection of parameters (such as image height/width, audio sample width) which describes a piece of essence
IAAFEssenceGroup | This interface provides access to the IAAFEssenceGroup interface, which contains multiple representations of the same media within a MasterMob
IAAFEssenceMultiAccess | AAFEssenceMultiAccess is an interace which provides streaming access over essence data
IAAFEvent | The IAAFEvent interface is implemented by objects which represent a text comment, a trigger, or an area in the image that has an associated interactive action
IAAFEventMobSlot | IAAFEventMobSlot is DEPRECATED, please use IAAFEventMobSlot2
IAAFEventMobSlot2 | An EventMobSlot, as all MobSlots, has a concrete segment, which is a concrete Event or a Sequence of ordered Events
IAAFFile | This interface is used with an object representing an AAF file
IAAFFileDescriptor | IAAFFileDescriptor is DEPRECATED, please use IAAFFileDescriptor2
IAAFFileDescriptor2 | The IAAFFileDescriptor2 interface is implemented by objects which describe the format of the content data associated with a File Source mob or the media associated with a Physical Source mob
IAAFFileEncoding | Start of the comment
IAAFFiller | The IAAFFiller interface is supported by objects which serve as placeholders for an unknown values for the component duration
IAAFFilmDescriptor | The IAAFFilmDescriptor interface is implemented by objects which describe film essence
IAAFFindSourceInfo |
IAAFGetFileBits | This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to obtain the raw bits of a file after close
IAAFGPITrigger | The IAAFGPITrigger interface is implemented by objects which represent an trigger action that should be taken when its position in time is reached
IAAFHeader | The IAAFHeader interface provides file-wide information and indexes
IAAFHeader2 | The IAAFHeader2 interface provides file-wide information and indexes
IAAFIdentification | The IAAFIdentification interface provides information about an application that either created or modified the AAF file
IAAFImportDescriptor | The IAAFImportDescriptor interface is implemented by objects which describe a file which was imported into AAF
IAAFInterpolationDef | This interface is used with an object representing a particular kind of interpolator, which may be implemented by one or more AAFPluginDescriptors
IAAFKLVData | The IAAFKLVData interface is implemented by objects that specify an User defined tag and value
IAAFKLVDataDefinition | This interface is used to describe the data type of a value stored in an AAFKLVData object
IAAFKLVEssenceDataParameters | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFKLVStreamParameters | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFLocator | The IAAFLocator interface is implemented by objects that provide information to help find a file that contains the essence
IAAFMasterMob | The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects
IAAFMasterMob2 | The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects
IAAFMasterMob3 | The IAAFMasterMob interface is implemented by objects which provide access to the File Source Mobs and EssenceData objects
IAAFMasterMobEx | The IAAFMasterMobEx interface extends IAAFMasterMob
IAAFMetaDefinition | This interface is defines an item to be referenced in the AAF file
IAAFMob | IAAFMob is DEPRECATED, Please use IAAFMob2
IAAFMob2 | The IAAFMob2 interface is implemented by objects that specify a Metadata Object, which can describe a composition, essence, or physical media
IAAFMobSlot | The IAAFMobSlot interface is implemented by objects which represent a Segment of essence in a Mob
IAAFMPEGVideoDescriptor | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFMultipleDescriptor | The IAAFMultipleDescriptor interface is implemented by objects which describe the format of the content data associated with a File Source mob containing multiple tracks of essence
IAAFNestedScope | This interface is used with an object which contains an ordered set of AAFSegments and produces the value specified by the last AAFSegement in the ordered seta reference to a segment
IAAFNetworkLocator | The IAAFNetworkLocator interface is implemented by objects which provide information to help find a file containing essence data
IAAFObject | This interface is implemented for all AAF persistent classes
IAAFOperationDef | The IAAFOperationDef interface is implemented by objects that specify an operation definition
IAAFOperationGroup | The IAAFOperationGroup interface is implemented by objects describe an operation (such as an effect) affecting the interpretation of zero or more input segments
IAAFParameter | The IAAFParameter interface is implemented by objects that specify an Instantiation of an operation parameter
IAAFParameterDef | The IAAFParameterDef interface is implemented by objects that specify a definition of an operation group parameter
IAAFPCMDescriptor | The IAAFPCMDescriptor interface is implemented by objects which describe audio essence
IAAFPhysicalDescriptor | The AAFPhysicalDescriptor interface is implemented by objects which describe physical sources
IAAFPlainEssenceData | This is a default inerface for a class used to provide access to file encoding-independent stream data
IAAFPlainStreamData | This interface is used to define Stream types used in AAF persistent objects
IAAFPluginDef | An object which describes a particular implementation of a plug-in interface
IAAFPluginManager | This interface is used with an object representing an AAF class definition
IAAFProgress | This interface is used by the toolkit
IAAFProperty | This interface is used to access instances of properties contained in AAF persistent objects
IAAFPropertyDef | This interface is used to access the definitions of types for properties contained in AAF persistent objects
IAAFPropertyValue | This interface is used to access the values of properties contained in AAF persistent objects
IAAFPulldown | This interface is used with an object which converts between film frame rates and videotape frame rates by describing the mapping between them
IAAFRandomFile | Specialized file interface for use with files which exist on storage media which has random access capability
IAAFRandomRawStorage | This interface is used by the toolkit to access storage in which AAF files are to be read and written
IAAFRawStorage | This interface is used by the toolkit to access storage in which AAF files are to be read and written
IAAFRecordingDescriptor | The IAAFRecordingDescriptor interface is implemented by objects that describe a file source which has no physical source
IAAFRGBADescriptor | IAAFRGBADescriptor is DEPRECATED
IAAFRGBADescriptor2 | The IAAFRGBADescriptor2 interface is implemented by objects which describe video content data formatted using RGBA formatting
IAAFRIFFChunk | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IAAFScopeReference | This interface is used with an object representing a reference to a segment on another slot of this scope (AAFNestedScope or AAFMob) or an enclosing scope
IAAFSearchSource | The IAAFSearchSource interface is used to return source information for some mob slots
IAAFSegment | The IAAFSegment interface is implemented by objects which represent a component that is independent of any other components which may surround it in a sequence
IAAFSelector | The IAAFSelector interface is implemented by objects that specify a single segment while preserving references to unused alternatives
IAAFSequence | This interface provides access to the list of Segment and Transition objects maintained by a Sequence object
IAAFSetFileBits | This interface is implemented by the toolkit, and is provided to clients of IAAFFile to allow them to supply the raw bits of a file before open
IAAFSoundDescriptor | The IAAFSoundDescriptor interface is implemented by objects which describe the basic parameters of Sound used by all compression or coding schemes
IAAFSourceClip | The IAAFSourceClip interface is implemented by objects that reference the content data and identify the source of the content data
IAAFSourceMob | This interface is used with an object representing a SourceMob containing some form of AAFEssenceDescriptor, either an AAFTapeDescriptor, AAFFileDescriptor AAFFilmDescriptor, or some extended descriptor not in the v1 specification
IAAFSourceReference | The IAAFSourceReference interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob
IAAFSourceReference2 | The IAAFSourceReference2 interface is implemented by objects that represent the essence or other data described by a MobSlot in a Mob
IAAFStaticMobSlot | StaticMobSlot describes essence data that has no relationship to time, such as a static image; consequently, a StaticMobSlot does not define an edit rate
IAAFStreamAccess | This interface is used by the toolkit
IAAFTaggedValue | The IAAFTaggedValue interface is implemented by objects that specify an User defined tag and value
IAAFTaggedValueDefinition | This interface is used to describe the data type of a value stored in an AAFTaggedValue object
IAAFTapeDescriptor | The IAAFTapeDescriptor interface is implemented by objects which describe audio tape or videotape media
IAAFTextLocator | The IAAFTextLocator interface is implemented by objects which provide information to help find a file containing essence data in a descriptive way for files that are held off-line
IAAFTIFFDescriptor | The IAAFTIFFDescriptor interface is implemented by objects which describe TIFF format media
IAAFTimecode | The IAAFTimecode interface is implemented by objects which store videotape or audio tape timecode information
IAAFTimecodeStream | Objects which support IAAFTimecodeStream specify a stream of timecode data
IAAFTimecodeStream12M | Objects that implement IAAFTimecodeStream12M also implement the following interfaces:
IAAFTimelineMobSlot | This interface is DEPRECATED, please use IAAFTimelineMobSlot2
IAAFTimelineMobSlot2 | The IAAFTimelineMobSlot interface is implemented by objects which contain time-varying timeline essence
IAAFTransition | The IAAFTransition interface is implemented by objects describe a change or transition from one piece of essence to another
IAAFTypeDef | This interface is used to define types used in AAF persistent objects
IAAFTypeDefCharacter | This interface is used to define Integer types used in AAF persistent objects
IAAFTypeDefEnum | This interface is used to define enumerated types used in AAF persistent objects
IAAFTypeDefExtEnum | This interface is used to define field-extendible enumerated types used in AAF persistent objects
IAAFTypeDefFixedArray | This interface is used to define fixed-sized Array types used in AAF persistent objects
IAAFTypeDefIndirect | This interface is used to define Integer types used in AAF persistent objects
IAAFTypeDefInt | This interface is used to define Integer types used in AAF persistent objects
IAAFTypeDefObjectRef | This interface is used to define Object references (either strong or weak) used in AAF persistent objects
IAAFTypeDefOpaque | This interface is used to define Integer types used in AAF persistent objects
IAAFTypeDefRecord | This interface is used to define C-like structured types used in AAF persistent objects
IAAFTypeDefRename | This interface is used to define Renamed types (analogous to C typedefs) used in AAF persistent objects
IAAFTypeDefSet | This interface is used to define variably-sized set types used in AAF persistent objects
IAAFTypeDefStream | AAFTypeDefStream is DEPRECATED, please use AAFTypeDefStream3
IAAFTypeDefStream3 | This interface is used to define Stream types used in AAF persistent objects
IAAFTypeDefStreamEx | This interface is an extension to the previously definined TypeDefStream interface
IAAFTypeDefString | This interface is used to define variably-sized Array types whose length is determined by a special terminator element value
IAAFTypeDefStrongObjRef | This interface is used to implement Strong Object references
IAAFTypeDefVariableArray | This interface is used to define variably-sized Array types used in AAF persistent objects
IAAFTypeDefVariableArrayEx | This interface is an extension to the previously definined TypeDefVariableArray interface
IAAFTypeDefWeakObjRef | This interface is used to implement Weak Object references
IAAFTypes |
IAAFVaryingValue | The IAAFVaryingValue interface is implemented by objects that specify a parameter whose value changes during the operation group
IAAFWAVEDescriptor | The IAAFWaveDescriptor interface is implemented by objects which describe audio content data formatted according to the RIFF Waveform Audio File Format (WAVE)
IEnumAAFClassDefs | This interface is used to enumerate across Class Definition objects
IEnumAAFCodecDefs |
IEnumAAFCodecFlavours | An object which allows iteration over all of the flavour codes which a given codec is able to handle
IEnumAAFComponents | This interface is used to enumerate over the AAFComponents contained in an AAFSequence
IEnumAAFContainerDefs |
IEnumAAFControlPoints |
IEnumAAFDataDefs |
IEnumAAFEssenceData | The IEnumAAFEssenceData interface is used enumerate all of the AAFEssenceData objects in a file
IEnumAAFFileDescriptors | This interface is used to enumerate across File Descriptor objects
IEnumAAFFileEncodings | In addition to the specific error results listed for each method, all methods in this interface may also return one of the following values:
IEnumAAFIdentifications | This interfaces allows access to individual IAAFIdentification-supporting objects within a collection
IEnumAAFInterpolationDefs |
IEnumAAFKLVData |
IEnumAAFKLVDataDefs |
IEnumAAFLoadedPlugins | An object which allows iteration over all of the AAFDefObject managed by the AAFPluginManager
IEnumAAFLocators | This interface is for the enumerator which is generated by IAAFEssenceDescriptor and is used for enumerating over IAAFLocators attached to EssenceDescriptor attached to an AAFSourceMob
IEnumAAFMobs | This interface is for the enumerator which is generated by IAAFHeader and is used for enumerating over IAAFMobs attached to the content storage attached to the header
IEnumAAFMobSlots | This interface is for the enumerator which is generated by IAAFMob and is used for enumerating over IAAFMobSlots attached to the mob
IEnumAAFOperationDefs |
IEnumAAFParameterDefs | This interface is used to enumerate over the AAFParameterDefinitions referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary
IEnumAAFParameters | This interface is used to enumerate over the AAFParameters referenced from in an AAFOperationDefinition or AAFParameter, and contained within the AAFDictionary
IEnumAAFPluginDefs | An object which allows iteration over all of the AAFPluginDefinitions in the dictionary
IEnumAAFPluginLocators | An object which allows iteration over all of the AAFLocators attached to an AAFPluginDescriptor
IEnumAAFProperties | This interface is used to enumerate over the AAFProperties contained in a collection
IEnumAAFPropertyDefs |
IEnumAAFPropertyValues | This interface is used to enumerate over the AAFPropertyValues contained in a collection
IEnumAAFRIFFChunks | This interface is used to enumerate across RIFFChunk objects
IEnumAAFSegments |
IEnumAAFTaggedValueDefs |
IEnumAAFTaggedValues |
IEnumAAFTypeDefs |
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Class Index

Class Index
I | _
I
IAAFEssenceFormat IAAFParameterDef IAAFTimelineMobSlot2 IEnumAAFMobs
IAAFAES3PCMDescriptor IAAFEssenceGroup IAAFPCMDescriptor IAAFTransition IEnumAAFMobSlots
IAAFAES3PCMDescriptor2 IAAFEssenceMultiAccess IAAFPhysicalDescriptor IAAFTypeDef IEnumAAFOperationDefs
IAAFAIFCDescriptor IAAFEvent IAAFPlainEssenceData IAAFTypeDefCharacter IEnumAAFParameterDefs
IAAFAuxiliaryDescriptor IAAFEventMobSlot IAAFPlainStreamData IAAFTypeDefEnum IEnumAAFParameters
IAAFBWFImportDescriptor IAAFEventMobSlot2 IAAFPluginDef IAAFTypeDefExtEnum IEnumAAFPluginDefs
IAAFCachePageAllocator IAAFFile IAAFPluginManager IAAFTypeDefFixedArray IEnumAAFPluginLocators
IAAFCDCIDescriptor IAAFFileDescriptor IAAFProgress IAAFTypeDefIndirect IEnumAAFProperties
IAAFCDCIDescriptor2 IAAFFileDescriptor2 IAAFProperty IAAFTypeDefInt IEnumAAFPropertyDefs
IAAFClassDef IAAFFileEncoding IAAFPropertyDef IAAFTypeDefObjectRef IEnumAAFPropertyValues
IAAFCodecDef IAAFFiller IAAFPropertyValue IAAFTypeDefOpaque IEnumAAFRIFFChunks
IAAFCommentMarker IAAFFilmDescriptor IAAFPulldown IAAFTypeDefRecord IEnumAAFSegments
IAAFComponent IAAFFindSourceInfo IAAFRandomFile IAAFTypeDefRename IEnumAAFTaggedValueDefs
IAAFComponent2 IAAFGetFileBits IAAFRandomRawStorage IAAFTypeDefSet IEnumAAFTaggedValues
IAAFCompositionMob IAAFGPITrigger IAAFRawStorage IAAFTypeDefStream IEnumAAFTypeDefs
IAAFCompositionMob2 IAAFHeader IAAFRecordingDescriptor IAAFTypeDefStream3
_
IAAFConstantValue IAAFHeader2 IAAFRGBADescriptor IAAFTypeDefStreamEx IAAFTypes::_aafDateStruct_t
IAAFContainerDef IAAFIdentification IAAFRGBADescriptor2 IAAFTypeDefString IAAFTypes::_aafDefaultFade_t
IAAFContentStorage IAAFImportDescriptor IAAFRIFFChunk IAAFTypeDefStrongObjRef IAAFTypes::_aafDefinitionCrit_t
IAAFControlPoint IAAFInterpolationDef IAAFScopeReference IAAFTypeDefVariableArray IAAFTypes::_aafEdgecode_t
IAAFDataDef IAAFKLVData IAAFSearchSource IAAFTypeDefVariableArrayEx IAAFTypes::_aafIdentificationCrit_t
IAAFDataDef2 IAAFKLVDataDefinition IAAFSegment IAAFTypeDefWeakObjRef IAAFTypes::_aafMediaCriteria_t
IAAFDataDef3 IAAFKLVEssenceDataParameters IAAFSelector IAAFTypes IAAFTypes::_aafmMultiCreate_t
IAAFDataEssenceDescriptor IAAFKLVStreamParameters IAAFSequence IAAFVaryingValue IAAFTypes::_aafmMultiResult_t
IAAFDefObject IAAFLocator IAAFSetFileBits IAAFWAVEDescriptor IAAFTypes::_aafmMultiXfer_t
IAAFDescriptiveClip IAAFMasterMob IAAFSoundDescriptor IEnumAAFClassDefs IAAFTypes::_aafMobComment_t
IAAFDescriptiveFramework IAAFMasterMob2 IAAFSourceClip IEnumAAFCodecDefs IAAFTypes::_aafMobID_t
IAAFDescriptiveMarker IAAFMasterMob3 IAAFSourceMob IEnumAAFCodecFlavours IAAFTypes::_aafProductIdentification_t
IAAFDescriptiveObject IAAFMasterMobEx IAAFSourceReference IEnumAAFComponents IAAFTypes::_aafProductVersion_t
IAAFDiagnosticOutput IAAFMetaDefinition IAAFSourceReference2 IEnumAAFContainerDefs IAAFTypes::_aafRational_t
IAAFDictionary IAAFMob IAAFStaticMobSlot IEnumAAFControlPoints IAAFTypes::_aafRect_t
IAAFDictionary2 IAAFMob2 IAAFStreamAccess IEnumAAFDataDefs IAAFTypes::_aafRGBAComponent_t
IAAFDigitalImageDescriptor IAAFMobSlot IAAFTaggedValue IEnumAAFEssenceData IAAFTypes::_aafSearchCrit_t
IAAFDigitalImageDescriptor2 IAAFMPEGVideoDescriptor IAAFTaggedValueDefinition IEnumAAFFileDescriptors IAAFTypes::_aafSearchDictionaryCrit_t
IAAFEdgecode IAAFMultipleDescriptor IAAFTapeDescriptor IEnumAAFFileEncodings IAAFTypes::_aafSourceRef_t
IAAFEndian IAAFNestedScope IAAFTextLocator IEnumAAFIdentifications IAAFTypes::_aafTimecode_t
IAAFEssenceAccess IAAFNetworkLocator IAAFTIFFDescriptor IEnumAAFInterpolationDefs IAAFTypes::_aafTimeStamp_t
IAAFEssenceData IAAFObject IAAFTimecode IEnumAAFKLVData IAAFTypes::_aafTimeStruct_t
IAAFEssenceData2 IAAFOperationDef IAAFTimecodeStream IEnumAAFKLVDataDefs IAAFTypes::_aafUID_t
IAAFEssenceDataEx IAAFOperationGroup IAAFTimecodeStream12M IEnumAAFLoadedPlugins IAAFTypes::_aafVersionType_t
IAAFEssenceDescriptor IAAFParameter IAAFTimelineMobSlot IEnumAAFLocators
I | _
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: File List

File List
Here is a list of all files with brief descriptions:
AAF.idl [code]
AAFTypes.idl [code]
Generated on Wed Jul 4 2012 22:13:52 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFAES3PCMDescriptor Member List
This is the complete list of members for IAAFAES3PCMDescriptor, including all inherited members.
Initialize() IAAFAES3PCMDescriptor
Generated on Wed Jul 4 2012 22:13:45 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCDCIDescriptor Member List
This is the complete list of members for IAAFCDCIDescriptor, including all inherited members.
GetBlackReferenceLevel([out] aafUInt32 *pBlackReferenceLevel) | IAAFCDCIDescriptor
GetColorRange([out] aafUInt32 *pColorRange) | IAAFCDCIDescriptor
GetColorSiting([out] aafColorSiting_t *pColorSiting) | IAAFCDCIDescriptor
GetComponentWidth([out] aafInt32 *pComponentWidth) | IAAFCDCIDescriptor
GetHorizontalSubsampling([out] aafUInt32 *pHorizontalSubsampling) | IAAFCDCIDescriptor
GetPaddingBits([out] aafInt16 *pPaddingBits) | IAAFCDCIDescriptor
GetVerticalSubsampling([out] aafUInt32 *pVerticalSubsampling) | IAAFCDCIDescriptor
GetWhiteReferenceLevel([out] aafUInt32 *pWhiteReferenceLevel) | IAAFCDCIDescriptor
Initialize() | IAAFCDCIDescriptor
SetBlackReferenceLevel([in] aafUInt32 BlackReferenceLevel) | IAAFCDCIDescriptor
SetColorRange([in] aafUInt32 ColorRange) | IAAFCDCIDescriptor
SetColorSiting([in] aafColorSiting_t ColorSiting) | IAAFCDCIDescriptor
SetComponentWidth([in] aafInt32 ComponentWidth) | IAAFCDCIDescriptor
SetHorizontalSubsampling([in] aafUInt32 HorizontalSubsampling) | IAAFCDCIDescriptor
SetPaddingBits([in] aafInt16 PaddingBits) | IAAFCDCIDescriptor
SetVerticalSubsampling([in] aafUInt32 VerticalSubsampling) | IAAFCDCIDescriptor
SetWhiteReferenceLevel([in] aafUInt32 WhiteReferenceLevel) | IAAFCDCIDescriptor
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFComponent Member List
This is the complete list of members for IAAFComponent, including all inherited members.
AppendKLVData([in] IAAFKLVData *pData) | IAAFComponent
CountKLVData([out] aafUInt32 *pNumData) | IAAFComponent
GetDataDef([out, retval] IAAFDataDef **ppDatadef) | IAAFComponent
GetKLVData([out] IEnumAAFKLVData **ppEnum) | IAAFComponent
GetLength([retval][out] aafLength_t *pLength) | IAAFComponent
RemoveKLVData([in] IAAFKLVData *pData) | IAAFComponent
SetDataDef([in] IAAFDataDef *pDataDef) | IAAFComponent
SetLength([in] aafLength_constref length) | IAAFComponent
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFCompositionMob Member List
This is the complete list of members for IAAFCompositionMob, including all inherited members.
GetDefaultFade([out] aafDefaultFade_t *pResult) | IAAFCompositionMob
Initialize([in, string] aafCharacter_constptr pName) | IAAFCompositionMob
SetDefaultFade([in] aafLength_t fadeLength,[in] aafFadeType_t fadeType,[in] aafRational_t fadeEditUnit) | IAAFCompositionMob
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDataDef Member List
This is the complete list of members for IAAFDataDef, including all inherited members.
DoesDataDefConvertFrom([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bDoesConvertFrom) | IAAFDataDef
DoesDataDefConvertTo([in] IAAFDataDef *id,[retval, out] aafBoolean_t *bDoesConvertTo) | IAAFDataDef
Initialize([in, ref] aafUID_constref id,[in, string] aafCharacter_constptr pName,[in, string] aafCharacter_constptr pDescription) | IAAFDataDef
IsDataDefOf([in] IAAFDataDef *pDataDef,[retval, out] aafBoolean_t *bIsDataDefOf) | IAAFDataDef
IsMatteKind([retval, out] aafBoolean_t *bIsMatteKind) | IAAFDataDef
IsPictureKind([retval, out] aafBoolean_t *bIsPictureKind) | IAAFDataDef
IsPictureWithMatteKind([retval, out] aafBoolean_t *bIsPictureWithMatteKind) | IAAFDataDef
IsSoundKind([retval, out] aafBoolean_t *bIsSoundKind) | IAAFDataDef
Generated on Wed Jul 4 2012 22:13:46 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDictionary Member List
This is the complete list of members for IAAFDictionary, including all inherited members.
CountClassDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountCodecDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountContainerDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountDataDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountInterpolationDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountOpaqueTypeDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountOperationDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountParameterDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountPluginDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CountTypeDefs([out, retval] aafUInt32 *pResult) | IAAFDictionary
CreateForwardClassReference([in, ref] aafUID_constref classId) | IAAFDictionary
CreateInstance([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppvObject) | IAAFDictionary
CreateMetaInstance([in, ref] aafUID_constref id,[in, ref] REFIID riid,[out, iid_is(riid)] IUnknown **ppMetaDefinition) | IAAFDictionary
GetClassDefs([out, retval] IEnumAAFClassDefs **ppEnum) | IAAFDictionary
GetCodecDefs([out, retval] IEnumAAFCodecDefs **ppEnum) | IAAFDictionary
GetContainerDefs([out, retval] IEnumAAFContainerDefs **ppEnum) | IAAFDictionary
GetDataDefs([out, retval] IEnumAAFDataDefs **ppEnum) | IAAFDictionary
GetInterpolationDefs([out, retval] IEnumAAFInterpolationDefs **ppEnum) | IAAFDictionary
GetOpaqueTypeDefs([out, retval] IEnumAAFTypeDefs **ppEnum) | IAAFDictionary
GetOperationDefs([out, retval] IEnumAAFOperationDefs **ppEnum) | IAAFDictionary
GetParameterDefs([out, retval] IEnumAAFParameterDefs **ppEnum) | IAAFDictionary
GetPluginDefs([out, retval] IEnumAAFPluginDefs **ppEnum) | IAAFDictionary
GetTypeDefs([out, retval] IEnumAAFTypeDefs **ppEnum) | IAAFDictionary
HasForwardClassReference([in, ref] aafUID_constref classId,[out, retval] aafBoolean_t *pResult) | IAAFDictionary
LookupClassDef([in, ref] aafUID_constref classId,[out, retval] IAAFClassDef **ppClassDef) | IAAFDictionary
LookupCodecDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFCodecDef **ppParmDef) | IAAFDictionary
LookupContainerDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFContainerDef **ppParmDef) | IAAFDictionary
LookupDataDef([in, ref] aafUID_constref dataDefinitionId,[out, retval] IAAFDataDef **ppDataDef) | IAAFDictionary
LookupInterpolationDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFInterpolationDef **ppInterpolationDef) | IAAFDictionary
LookupOpaqueTypeDef([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef) | IAAFDictionary
LookupOperationDef([in, ref] aafUID_constref operationId,[out, retval] IAAFOperationDef **ppOperationDef) | IAAFDictionary
LookupParameterDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFParameterDef **ppParmDef) | IAAFDictionary
LookupPluginDef([in, ref] aafUID_constref parameterId,[out, retval] IAAFPluginDef **ppPlugDef) | IAAFDictionary
LookupTypeDef([in, ref] aafUID_constref typeId,[out, retval] IAAFTypeDef **ppTypeDef) | IAAFDictionary
RegisterClassDef([in] IAAFClassDef *pClassDef) | IAAFDictionary
RegisterCodecDef([in] IAAFCodecDef *pParmDef) | IAAFDictionary
RegisterContainerDef([in] IAAFContainerDef *pParmDef) | IAAFDictionary
RegisterDataDef([in] IAAFDataDef *pDataDef) | IAAFDictionary
RegisterInterpolationDef([in] IAAFInterpolationDef *pInterpolationDef) | IAAFDictionary
RegisterKLVDataKey([in] aafUID_t pUID,[in] IAAFTypeDef *pTypeDef) | IAAFDictionary
RegisterOpaqueTypeDef([in] IAAFTypeDef *pTypeDef) | IAAFDictionary
RegisterOperationDef([in] IAAFOperationDef *pOperationDef) | IAAFDictionary
RegisterParameterDef([in] IAAFParameterDef *pParmDef) | IAAFDictionary
RegisterPluginDef([in] IAAFPluginDef *pPlugDef) | IAAFDictionary
RegisterTypeDef([in] IAAFTypeDef *pTypeDef) | IAAFDictionary
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFDigitalImageDescriptor Member List
This is the complete list of members for IAAFDigitalImageDescriptor, including all inherited members.
GetAlphaTransparency([out] aafAlphaTransparency_t *pAlphaTransparency) | IAAFDigitalImageDescriptor
GetCompression([out] aafUID_t *pCompression) | IAAFDigitalImageDescriptor
GetDisplayView([out] aafUInt32 *pDisplayHeight,[out] aafUInt32 *pDisplayWidth,[out] aafInt32 *pDisplayXOffset,[out] aafInt32 *pDisplayYOffset) | IAAFDigitalImageDescriptor
GetFrameLayout([out] aafFrameLayout_t *pFrameLayout) | IAAFDigitalImageDescriptor
GetGamma([out] aafUID_t *pGamma) | IAAFDigitalImageDescriptor
GetImageAlignmentFactor([out] aafUInt32 *pImageAlignmentFactor) | IAAFDigitalImageDescriptor
GetImageAspectRatio([out] aafRational_t *pImageAspectRatio) | IAAFDigitalImageDescriptor
GetSampledView([out] aafUInt32 *pSampledHeight,[out] aafUInt32 *pSampledWidth,[out] aafInt32 *pSampledXOffset,[out] aafInt32 *pSampledYOffset) | IAAFDigitalImageDescriptor
GetStoredView([out] aafUInt32 *pStoredHeight,[out] aafUInt32 *pStoredWidth) | IAAFDigitalImageDescriptor
GetVideoLineMap([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafInt32 *pVideoLineMap) | IAAFDigitalImageDescriptor
GetVideoLineMapSize([out] aafUInt32 *pNumberElements) | IAAFDigitalImageDescriptor
SetAlphaTransparency([in] aafAlphaTransparency_t AlphaTransparency) | IAAFDigitalImageDescriptor
SetCompression([in] aafUID_constref compression) | IAAFDigitalImageDescriptor
SetDisplayView([in] aafUInt32 DisplayHeight,[in] aafUInt32 DisplayWidth,[in] aafInt32 DisplayXOffset,[in] aafInt32 DisplayYOffset) | IAAFDigitalImageDescriptor
SetFrameLayout([in] aafFrameLayout_t FrameLayout) | IAAFDigitalImageDescriptor
SetGamma([in] aafUID_t Gamma) | IAAFDigitalImageDescriptor
SetImageAlignmentFactor([in] aafUInt32 ImageAlignmentFactor) | IAAFDigitalImageDescriptor
SetImageAspectRatio([in] aafRational_t ImageAspectRatio) | IAAFDigitalImageDescriptor
SetSampledView([in] aafUInt32 SampledHeight,[in] aafUInt32 SampledWidth,[in] aafInt32 SampledXOffset,[in] aafInt32 SampledYOffset) | IAAFDigitalImageDescriptor
SetStoredView([in] aafUInt32 StoredHeight,[in] aafUInt32 StoredWidth) | IAAFDigitalImageDescriptor
SetVideoLineMap([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafInt32 *pVideoLineMap) | IAAFDigitalImageDescriptor
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEssenceData Member List
This is the complete list of members for IAAFEssenceData, including all inherited members.
GetFileMob([in] IAAFSourceMob **ppFileMob) | IAAFEssenceData
GetFileMobID([out] aafMobID_t *pFileMobID) | IAAFEssenceData
GetPosition([out] aafPosition_t *pOffset) | IAAFEssenceData
GetSize([out] aafLength_t *pSize) | IAAFEssenceData
Initialize([in] IAAFSourceMob *pFileMob) | IAAFEssenceData
Read([in] aafUInt32 bytes,[out, size_is(bytes), length_is(*bytesRead)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesRead) | IAAFEssenceData
SetFileMob([in] IAAFSourceMob *pFileMob) | IAAFEssenceData
SetPosition([in] aafPosition_t offset) | IAAFEssenceData
Write([in] aafUInt32 bytes,[out, size_is(bytes)] aafDataBuffer_t buffer,[out, ref] aafUInt32 *bytesWritten) | IAAFEssenceData
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFEventMobSlot Member List
This is the complete list of members for IAAFEventMobSlot, including all inherited members.
GetEditRate([out, retval] aafRational_t *pEditRate) | IAAFEventMobSlot
SetEditRate([in] aafRational_t *pEditRate) | IAAFEventMobSlot
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFFileDescriptor Member List
This is the complete list of members for IAAFFileDescriptor, including all inherited members.
GetCodecDef([out] IAAFCodecDef **pCodecDef) | IAAFFileDescriptor
GetContainerFormat([out] IAAFContainerDef **pFormat) | IAAFFileDescriptor
GetLength([out] aafLength_t *pLength) | IAAFFileDescriptor
GetSampleRate([out] aafRational_t *pRate) | IAAFFileDescriptor
SetCodecDef([in] IAAFCodecDef *codecDef) | IAAFFileDescriptor
SetContainerFormat([in] IAAFContainerDef *format) | IAAFFileDescriptor
SetLength([in] aafLength_t length) | IAAFFileDescriptor
SetSampleRate([in] aafRational_constref rate) | IAAFFileDescriptor
Generated on Wed Jul 4 2012 22:13:47 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFHeader Member List
This is the complete list of members for IAAFHeader, including all inherited members.
AddEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFHeader
AddMob([in] IAAFMob *pMob) | IAAFHeader
AppendIdentification([in] IAAFIdentification *pIdent) | IAAFHeader
CountEssenceData([out, retval] aafUInt32 *pResult) | IAAFHeader
CountIdentifications([out, retval] aafUInt32 *pResult) | IAAFHeader
CountMobs([in] aafMobKind_t mobKind,[out, retval] aafNumSlots_t *pResult) | IAAFHeader
EnumEssenceData([out, retval] IEnumAAFEssenceData **ppEnum) | IAAFHeader
GetContentStorage([out] IAAFContentStorage **ppStorage) | IAAFHeader
GetDictionary([out, retval] IAAFDictionary **ppDictionary) | IAAFHeader
GetFileRevision([out, retval] aafVersionType_t *pRevision) | IAAFHeader
GetIdentificationAt([in] aafUInt32 index,[out, retval] IAAFIdentification **ppIdentification) | IAAFHeader
GetIdentifications([out, retval] IEnumAAFIdentifications **ppEnum) | IAAFHeader
GetLastIdentification([out, retval] IAAFIdentification **ppIdentification) | IAAFHeader
GetLastModified([out, retval] aafTimeStamp_t *pTimeStamp) | IAAFHeader
GetMobs([in] aafSearchCrit_t *pSearchCriteria,[out, retval] IEnumAAFMobs **ppEnum) | IAAFHeader
GetRefImplVersion([out, retval] aafProductVersion_t *pVersion) | IAAFHeader
IsEssenceDataPresent([in, ref] aafMobID_constref fileMobID,[in] aafFileFormat_t fmt,[out, retval] aafBoolean_t *pResult) | IAAFHeader
LookupEssenceData([in, ref] aafMobID_constref mobID,[out, retval] IAAFEssenceData **ppEssenceData) | IAAFHeader
LookupIdentification([in, ref] aafUID_constref generation,[out, retval] IAAFIdentification **ppIdentification) | IAAFHeader
LookupMob([in, ref] aafMobID_constref mobID,[out, retval] IAAFMob **ppMob) | IAAFHeader
RemoveEssenceData([in] IAAFEssenceData *pEssenceData) | IAAFHeader
RemoveMob([in] IAAFMob *pMob) | IAAFHeader
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMasterMob Member List
This is the complete list of members for IAAFMasterMob, including all inherited members.
AddMasterSlot([in] IAAFDataDef *pDataDef,[in] aafSlotID_t sourceSlotID,[in] IAAFSourceMob *pSourceMob,[in] aafSlotID_t masterSlotID,[in, string] aafCharacter_constptr pSlotName) | IAAFMasterMob
AppendPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob
CountChannels([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] IAAFDataDef *pMediaKind,[out] aafUInt16 *numCh) | IAAFMasterMob
CreateEssence([in] aafSlotID_t masterSlotID,[in] IAAFDataDef *pMediaKind,[in, ref] aafUID_constref codecID,[in] aafRational_t editRate,[in] aafRational_t samplerate,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceAccess **access) | IAAFMasterMob
CreateMultiEssence([in, ref] aafUID_constref codecID,[in] aafUInt16 arrayElemCount,[in, ref, size_is(arrayElemCount)] aafmMultiCreate_t *mediaArray,[in] aafCompressEnable_t Enable,[in] IAAFLocator *destination,[in, ref] aafUID_constref fileFormat,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob
GetCriteriaSegment([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *pCriteria,[out] IAAFSegment **ppSegment) | IAAFMasterMob
GetNumRepresentations([in] aafSlotID_t slotID,[out, retval] aafNumSlots_t *pNumReps) | IAAFMasterMob
GetRepresentation([in] aafSlotID_t slotID,[in] aafUInt32 index,[out] IAAFSegment **ppSourceClip) | IAAFMasterMob
GetTapeName([in] aafUInt32 masterSlotID,[out, size_is(bufSize), string] aafCharacter *pTapeName,[in] aafUInt32 bufSize) | IAAFMasterMob
GetTapeNameBufLen([in] aafUInt32 masterSlotID,[out] aafUInt32 *pLen) | IAAFMasterMob
Initialize() | IAAFMasterMob
NewPhysSourceRef([in] aafRational_t editrate,[in] aafSlotID_t aMobSlot,[in] IAAFDataDef *pEssenceKind,[in] aafSourceRef_t ref,[in] aafLength_t srcRefLength) | IAAFMasterMob
OpenEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceAccess **access) | IAAFMasterMob
OpenMultiEssence([in] aafSlotID_t slotID,[in] aafMediaCriteria_t *mediaCrit,[in] aafMediaOpenMode_t openMode,[in] aafCompressEnable_t compEnable,[out] IAAFEssenceMultiAccess **access) | IAAFMasterMob
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFMob Member List
This is the complete list of members for IAAFMob, including all inherited members.
AppendComment([in, string] aafCharacter *pCategory,[in, string] aafCharacter_constptr pComment) | IAAFMob
AppendKLVData([in] IAAFKLVData *pData) | IAAFMob
AppendNewTimelineSlot([in] aafRational_t editRate,[in] IAAFSegment *pSegment,[in] aafSlotID_t slotID,[in, string] aafCharacter_constptr pSlotName,[in] aafPosition_t origin,[out] IAAFTimelineMobSlot **ppNewSlot) | IAAFMob
AppendSlot([in] IAAFMobSlot *pSlot) | IAAFMob
ChangeRef([in, ref] aafMobID_constref oldMobID,[in, ref] aafMobID_constref newMobID) | IAAFMob
CloneExternal([in] aafDepend_t resolveDependencies,[in] aafIncMedia_t includeMedia,[in] IAAFFile *pDestFile,[out] IAAFMob **ppDestMob) | IAAFMob
Copy([in, string] aafCharacter_constptr pDestMobName,[out] IAAFMob **ppDestMob) | IAAFMob
CountComments([out] aafUInt32 *pNumComments) | IAAFMob
CountKLVData([out] aafUInt32 *pNumData) | IAAFMob
CountSlots([out] aafNumSlots_t *pNumSlots) | IAAFMob
GetComments([out] IEnumAAFTaggedValues **ppEnum) | IAAFMob
GetCreateTime([out] aafTimeStamp_t *pCreationTime) | IAAFMob
GetKLVData([out] IEnumAAFKLVData **ppEnum) | IAAFMob
GetMobID([out] aafMobID_t *pMobID) | IAAFMob
GetMobInfo([out] aafTimeStamp_t *pLastModified,[out] aafTimeStamp_t *pCreationTime,[out, size_is(bufSize), string] aafCharacter *pName,[in] aafInt32 bufSize) | IAAFMob
GetModTime([out] aafTimeStamp_t *pLastModified) | IAAFMob
GetName([out, string, size_is(bufSize)] aafCharacter *pName,[in] aafUInt32 bufSize) | IAAFMob
GetNameBufLen([out] aafUInt32 *pBufSize) | IAAFMob
GetSlotAt([in] aafUInt32 index,[out, retval] IAAFMobSlot **ppSlot) | IAAFMob
GetSlots([out] IEnumAAFMobSlots **ppEnum) | IAAFMob
InsertSlotAt([in] aafUInt32 index,[in] IAAFMobSlot *pSlot) | IAAFMob
LookupSlot([in] aafSlotID_t slotId,[out] IAAFMobSlot **ppDestSlot) | IAAFMob
OffsetToMobTimecode([in] IAAFSegment *pTcSeg,[in] aafPosition_t *pOffset,[out] aafTimecode_t *pResult) | IAAFMob
PrependSlot([in] IAAFMobSlot *pSlot) | IAAFMob
RemoveComment([in] IAAFTaggedValue *pComment) | IAAFMob
RemoveKLVData([in] IAAFKLVData *pData) | IAAFMob
RemoveSlotAt([in] aafUInt32 index) | IAAFMob
SetCreateTime([in, ref] aafTimeStamp_constref createTime) | IAAFMob
SetMobID([in, ref] aafMobID_constref mobID) | IAAFMob
SetModTime([in, ref] aafTimeStamp_constref modTime) | IAAFMob
SetName([in, string] aafCharacter_constptr pName) | IAAFMob
Generated on Wed Jul 4 2012 22:13:48 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFRGBADescriptor Member List
This is the complete list of members for IAAFRGBADescriptor, including all inherited members.
CountPaletteLayoutElements([out] aafUInt32 *pResult) | IAAFRGBADescriptor
CountPixelLayoutElements([out] aafUInt32 *pResult) | IAAFRGBADescriptor
GetPalette([in] aafUInt32 numberRecords,[out, size_is(numberRecords)] aafUInt8 *pPalette) | IAAFRGBADescriptor
GetPaletteLayout([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PaletteLayoutArray) | IAAFRGBADescriptor
GetPaletteSize([out] aafUInt32 *pNumberBytes) | IAAFRGBADescriptor
GetPixelLayout([in] aafUInt32 numberElements,[out, size_is(numberElements)] aafRGBAComponent_t *PixelLayoutArray) | IAAFRGBADescriptor
SetPalette([in] aafUInt32 numberElements,[in, size_is(numberElements)] aafUInt8 *pPalette) | IAAFRGBADescriptor
SetPaletteLayout([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PaletteLayoutArray) | IAAFRGBADescriptor
SetPixelLayout([in] aafUInt32 numberElements,[in] aafRGBAComponent_t *PixelLayoutArray) | IAAFRGBADescriptor
Generated on Wed Jul 4 2012 22:13:49 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFSourceReference Member List
This is the complete list of members for IAAFSourceReference, including all inherited members.
GetSourceID([retval][out] aafMobID_t *pSourceID) | IAAFSourceReference
GetSourceMobSlotID([retval][out] aafSlotID_t *pMobSlotID) | IAAFSourceReference
SetSourceID([in] aafMobID_constref sourceID) | IAAFSourceReference
SetSourceMobSlotID([in] aafSlotID_t mobSlotID) | IAAFSourceReference
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTimecodeStream Member List
This is the complete list of members for IAAFTimecodeStream, including all inherited members.
GetPositionTimecode([in] aafPosition_t position,[out] aafTimecode_t *timecode) | IAAFTimecodeStream
GetSampleRate([out] aafRational_t *pSampleRate) | IAAFTimecodeStream
GetSampleSize([out] aafUInt32 *pSampleSize) | IAAFTimecodeStream
GetSource([in] aafUInt32 valueSize,[out, size_is(valueSize), length_is(*bytesRead)] aafDataBuffer_t pValue,[out] aafUInt32 *bytesRead) | IAAFTimecodeStream
GetSourceBufLen([out] aafUInt32 *pLen) | IAAFTimecodeStream
GetSourceType([out] aafTimecodeSourceType_t *pSourceType) | IAAFTimecodeStream
GetUserDataAtPosition([in] aafPosition_t position,[in] aafInt32 buflen,[out] aafDataBuffer_t buffer) | IAAFTimecodeStream
GetUserDataLength([out] aafInt32 *length) | IAAFTimecodeStream
SetPositionTimecode([in] aafPosition_t position,[in] aafTimecode_t timecode) | IAAFTimecodeStream
SetSampleRate([in] aafRational_t sampleRate) | IAAFTimecodeStream
SetSource([in] aafUInt32 valueSize,[in, size_is(valueSize)] aafDataBuffer_t pValue) | IAAFTimecodeStream
SetSourceType([in] aafTimecodeSourceType_t sourceType) | IAAFTimecodeStream
SetUserDataAtPosition([in] aafPosition_t position,[in] aafInt32 buflen,[in] aafDataBuffer_t buffer) | IAAFTimecodeStream
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTimelineMobSlot Member List
This is the complete list of members for IAAFTimelineMobSlot, including all inherited members.
GetEditRate([out, retval] aafRational_t *pEditRate) | IAAFTimelineMobSlot
GetOrigin([out, retval] aafPosition_t *pOrigin) | IAAFTimelineMobSlot
Initialize() | IAAFTimelineMobSlot
SetEditRate([in] aafRational_constref editRate) | IAAFTimelineMobSlot
SetOrigin([in] aafPosition_t origin) | IAAFTimelineMobSlot
Generated on Wed Jul 4 2012 22:13:50 for AAF COM APIAAF COM API by doxygen 1.7.4


AAF COM APIAAF COM API: Member List

IAAFTypeDefStream Member List
This is the complete list of members for IAAFTypeDefStream, including all inherited members.
Append([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream
AppendElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream
ClearStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue) | IAAFTypeDefStream
GetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pPosition) | IAAFTypeDefStream
GetSize([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafInt64 *pSize) | IAAFTypeDefStream
GetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] eAAFByteOrder_t *pByteOrder) | IAAFTypeDefStream
HasStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[out] aafBoolean_t *pHasByteOrder) | IAAFTypeDefStream
Read([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*bytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *bytesRead) | IAAFTypeDefStream
ReadElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[out, size_is(dataSize), length_is(*pBytesRead)] aafMemPtr_t pData,[out, ref] aafUInt32 *pBytesRead) | IAAFTypeDefStream
SetPosition([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newPosition) | IAAFTypeDefStream
SetSize([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafInt64 newSize) | IAAFTypeDefStream
SetStoredByteOrder([in] IAAFPropertyValue *pStreamPropertyValue,[in] eAAFByteOrder_t byteOrder) | IAAFTypeDefStream
Write([in] IAAFPropertyValue *pStreamPropertyValue,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream
WriteElements([in] IAAFPropertyValue *pStreamPropertyValue,[in] IAAFTypeDef *pElementType,[in] aafUInt32 dataSize,[in, ref, size_is(dataSize)] aafMemPtr_t pData) | IAAFTypeDefStream
Generated on Wed Jul 4 2012 22:13:51 for AAF COM APIAAF COM API by doxygen 1.7.4